<?php 
	include '../config/config.php';
	include_once 'log_check.php';
	Kernel::includeObject('lib/classes/UserClass.inc');
	Kernel::includeObject('lib/classes/RateAdjustClass.inc');
	Kernel::includeObject('lib/xajax/xajax.inc');
	if ($_SESSION['access'] != 2) //super admin
	{
		void_redirect_url('homepage.php', 2, 'Redirecting to Homepage. Please wait...');
	}	
	function saveDept($data)
	{
		$arrData = array();
		
		$arrData[RateAdjustClass::FD_DEPT_CODE] = $data['txtDeptCode'];
		$arrData[RateAdjustClass::FD_DEPT_NAME] = $data['txtDeptDesc'];
		$arrData[RateAdjustClass::FD_ACTIVE] = 1;
		$rate = new RateAdjustClass();
		$isCodeUnique = $rate->isDeptCodeUnique($data['txtDeptCode']);
		$objResponse = new xajaxResponse();
		if ($isCodeUnique)
		{
			$addId = $rate->addDept($arrData);				
			$table = $rate->getDepartmentList();
			$objResponse->addAssign("rates_list","innerHTML",$table);
			$objResponse->addAssign("reqCode","innerHTML",'');
			$objResponse->addAssign("reqDesc","innerHTML",'');
			$objResponse->addAssign("txtDeptCode","value",'');
			$objResponse->addAssign("txtDeptDesc","value",'');
			$objResponse->addAssign("show_error","innerHTML",'');
		}
		else
		{
			$objResponse->addAssign("show_error","innerHTML",'The department code entered is already existing');
		}	
		return $objResponse;
	}
	
	function editDept($id)
	{
		$rate = new RateAdjustClass();
		$arrData = $rate->getDeptInfo($id);
		$objResponse = new xajaxResponse();
		$table = $rate->getDepartmentList();
		$objResponse->addAssign("rates_list","innerHTML",$table);
		$objResponse->addAssign("reqCode","innerHTML",'');
		$objResponse->addAssign("reqDesc","innerHTML",'');
		$objResponse->addAssign("txtDeptCode","value",$arrData[RateAdjustClass::FD_DEPT_CODE]);
		$objResponse->addAssign("txtDeptDesc","value",$arrData[RateAdjustClass::FD_DEPT_NAME]);
		$objResponse->addAssign("show_error","innerHTML",'');
		$objResponse->addAssign("txtDeptCode","disabled",true);
		$button = '<input type="button" value="Save" name="Save" onClick="events(\'updateDept\', '.$id.')"/>
						<input type="button" value="Cancel" name="Cancel" onClick="events(\'refreshForm\', 0)" />';
		$objResponse->addAssign("divButtons","innerHTML",$button);
		return $objResponse;
	}
	
	function deleteDept($id)
	{
		$objResponse = new xajaxResponse();
		if ($id != '')
		{
			$arrData = array();		
			$arrData[RateAdjustClass::FD_ACTIVE] = 0;
			$rate = new RateAdjustClass();
			$rate->updateDept($arrData, $id);				
			$table = $rate->getDepartmentList();
			$objResponse->addAlert("Delete successful");
			$objResponse->addAssign("rates_list","innerHTML",$table);
			$objResponse->addAssign("reqCode","innerHTML",'');
			$objResponse->addAssign("reqDesc","innerHTML",'');
			$objResponse->addAssign("txtDeptCode","value",'');
			$objResponse->addAssign("txtDeptDesc","value",'');
			$objResponse->addAssign("show_error","innerHTML",'');
			$button = '<input type="button" value="Save" name="Save" onClick="events(\'addDept\', 0)"/>
						<input type="button" value="Cancel" name="Cancel" onClick="events(\'refreshForm\', 0)" />';
			$objResponse->addAssign("divButtons","innerHTML",$button);
		}
		return $objResponse;
	}
	
	function modifyDept($id, $data)
	{
		$objResponse = new xajaxResponse();
		if ($id != '')
		{
			$arrData = array();		
			$arrData[RateAdjustClass::FD_DEPT_NAME] = $data['txtDeptDesc'];
			$rate = new RateAdjustClass();
			$sql = $rate->updateDept($arrData, $id);				
			$table = $rate->getDepartmentList();
			$objResponse->addAlert("Update successful");
			$objResponse->addAssign("rates_list","innerHTML",$table);
			$objResponse->addAssign("reqCode","innerHTML",'');
			$objResponse->addAssign("reqDesc","innerHTML",'');
			$objResponse->addAssign("txtDeptCode","value",'');
			$objResponse->addAssign("txtDeptDesc","value",'');
			$objResponse->addAssign("show_error","innerHTML",'');
			$objResponse->addAssign("txtDeptCode","disabled",false);
			$button = '<input type="button" value="Save" name="Save" onClick="events(\'addDept\', 0)"/>
						<input type="button" value="Cancel" name="Cancel" onClick="events(\'refreshForm\', 0)" />';
			$objResponse->addAssign("divButtons","innerHTML",$button);
		}
		return $objResponse;
	}
	
	$xajax = new xajax();
	$xajax->setCharEncoding("UTF-8");
	$xajax->registerFunction("saveDept");
	$xajax->registerFunction("deleteDept");
	$xajax->registerFunction("editDept");
	$xajax->registerFunction("modifyDept");
	$xajax->processRequests();
	$title = 'System Utilities - Department';
	include_once 'header.php';
	
	$xajax_dir = "js";
	$xajax->printJavascript($xajax_dir);
	
	$user = new UserClass();
	$rate = new RateAdjustClass();
?>
</head>
<body>
<div id="wrapper" class="settings">
	<?php include("menu_bar.php"); ?>
<div id="main">
		<h2 class="title_a">| Department Codes</h2>
		<div id="main_info">
							<div class="one_col title_c">
					<div class="two_col ">
						<form name="frmDepartment" id="frmDepartment" method="post" onSubmit="events('addDept', 0); return false;">
							<div class="one_col">
								<div class="two_col title_c">
									Code : 
								</div>
								<div class="two_col ">
									<input type="text" name="txtDeptCode" id="txtDeptCode" maxlength="25" size="25" value="" style="width: 80%; min-width:80%;"><font color="#FF0000">*</font>&nbsp;<p class="errmsg" id="reqCode"></p>
								</div>
							</div>
							<div class="one_col">
								<div class="two_col title_c">
									Description : 
								</div>
								<div class="two_col">
									<input type="text" name="txtDeptDesc" id="txtDeptDesc" maxlength="25" size="25" value="" style="width: 80%; min-width:80%;"><font color="#FF0000">*</font>&nbsp;<p class="errmsg" id="reqDesc"></p>
								</div>
							</div>
							<div class="one_col">
								<div class="two_col title_c">
								</div>
								<div class="two_col">
									<div id="divButtons" style="float:right;"><input type="button" value="Save" name="Save" onClick="events('addDept', 0)"/>
									<input type="button" value="Cancel" name="Cancel" onClick="events('refreshForm', 0)" /></div>
								</div>
							</div>
							<input type="hidden" name="hdnAction" id="hdnAction" value="add"/>
							<input type="hidden" name="hdnUserID" id="hdnUserID" value=""/>
							<input type="hidden" name="hdnUserAccess" id="hdnUserAccess" value=""/>
						</form>
					</div>
					<div class="two_col ">
						&nbsp;
					</div>
				</div>
			<div class="one_col">
				<div class="tabber">
					 <div class="tabbertab">
						<h2>List</h2><br />
						<div id="rates_list" name="rates_list">
							<?php print $rate->getDepartmentList();
							?>
						</div>
						<br />
					 </div>
				</div>
			</div>
<?php include("footer.php"); ?>
</body>
<script>
	var frmDepartment = document.getElementById('frmDepartment');
	
	function events(eventType, id)
	{
		switch (eventType){
			case 'addDept':
				if (validateRateForm())
				{
					xajax_saveDept(xajax.getFormValues("frmDepartment"));
				}
				return false;
			case 'updateDept':
				if (validateRateForm())
				{
					xajax_modifyDept(id, xajax.getFormValues("frmDepartment"));
				}
				return false;
			case 'editDept':
					xajax_editDept(id);
				return false;
			case 'deleteDept':
				if (confirm('Are you sure you want to delete this record?'))
				{
					xajax_deleteDept(id);
					refreshRateForm();
				}
				return false;
			case 'refreshForm':
				refreshRateForm();
				return false;
			default:
				break;
		}
	}

	function refreshRateForm()
	{
		document.getElementById('reqCode').innerHTML = '';
		document.getElementById('reqDesc').innerHTML = '';
		frmDepartment.txtDeptCode.value = '';
		frmDepartment.txtDeptDesc.value = '';
		frmDepartment.txtDeptCode.disabled = false;
	}
	
	function validateRateForm()
	{
		var blnReturn = true;
		if (frmDepartment.txtDeptCode.value == '')
		{
			document.getElementById('reqCode').innerHTML = 'Code is required';
			blnReturn = false;
		}
		if (frmDepartment.txtDeptDesc.value == '')
		{
			document.getElementById('reqDesc').innerHTML = 'Description is required';
			blnReturn = false;
		}
		
		return blnReturn;
	}

</script>
</html>