<?php 
	include '../config/config.php';
	include_once 'log_check.php';
	Kernel::includeObject('lib/classes/FileClass.inc');
	Kernel::includeObject('lib/classes/ps_pagination');
	Kernel::includeObject('lib/xajax/xajax.inc');
	
	function keywordSearch($keyword)
	{
		$userId = $_SESSION['user_id'];
		$access = $_SESSION['access'];
		$pic = !isset($_SESSION['fPic']) || $_SESSION['fPic'] == ''? NULL: $_SESSION['fPic'];
		$objResponse = new xajaxResponse();
		$file = new FileClass();
		$table = $file->getFileSummary(1, $keyword, $pic);
		$objResponse->addAssign("file_list","innerHTML",$table);
		$_SESSION['fKeyword'] = $keyword;
		return $objResponse;
	}
	
	function getFileSummary($pic)
	{
		$userId = $_SESSION['user_id'];
		$access = $_SESSION['access'];
		$objResponse = new xajaxResponse();
		$file = new FileClass();
		$table = $file->getFileSummary(1, $keyword, $pic);
		$objResponse->addAssign("file_list","innerHTML",$table);
		$_SESSION['fKeyword'] = $keyword;
		$_SESSION['fPic'] = $pic;
		return $objResponse;
	}
	
	function pageSearch($page)
	{
		$userId = $_SESSION['user_id'];
		$access = $_SESSION['access'];
		$pic = !isset($_SESSION['fPic']) || $_SESSION['fPic'] == ''? NULL: $_SESSION['fPic'];
		$keyword = !isset($_SESSION['fKeyword']) || $_SESSION['fKeyword'] == ''? NULL: $_SESSION['fKeyword'];
		$objResponse = new xajaxResponse();
		$file = new FileClass();
		$table = $file->getFileSummary($page, $keyword, $pic);
		$objResponse->addAssign("file_list","innerHTML",$table);
		return $objResponse;
	}
	
	$xajax = new xajax();
	$xajax->setCharEncoding("UTF-8");
	$xajax->registerFunction("keywordSearch");
	$xajax->registerFunction("pageSearch");
	$xajax->registerFunction("getFileSummary");
	$xajax->processRequests();
	$title = 'File Summary';
	include_once 'header.php';

	$xajax_dir = "js";
	$xajax->printJavascript($xajax_dir);
	
	$file = new FileClass();
	$fileLawyer = new FileLawyerClass();
	
	$userId = $_SESSION['user_id'];
	$access = $_SESSION['access'];
?>
</head>
<body class='file_summary'>
<div id="wrapper" class="file">
	<?php include("menu_bar.php"); ?>
<div id="main">
		<h2 class="title_a">| Job Engagement Memo Summary</h2>
<div id="main_info">
			<div class="col_holder">
				<div class="four_col text_r f_left title_b">
					Keyword Search :&nbsp; 
				</div>
				<div class="four_col f_left">
					<input type="text" name="txtKywrd" id="txtKywrd" maxlength="50" size="25" value="" onKeyUp="xajax_keywordSearch(this.value)"><br>&nbsp;
				</div>
				<?php
					if ($_SESSION['access'] == 2) //super admin
					{
				?>
				<div class="four_col text_r f_left title_b">
					Partner :
				</div>
				<?php
					}
				?>
				<div class="four_col f_left">
					<?php 
						if ($_SESSION['access'] == 2) //super admin
						{
							$events = array('onchange' => 'xajax_getFileSummary(this.value)');
							print $fileLawyer->getPartnersCombo(null, $events);
						}
					?>
					 <input type="button" value="Export to Excel" name="btnExport" id="btnExport" onClick="events('exportReport', 0)" />
				</div>
			</div>
		<div id="file_list" name="file_list" class="one_small_col">
			<?php print $file->getFileSummary(1, null, $userId);?>
		</div>
<?php include("footer.php"); ?>
</body>
<script>
	var frmReport = document.getElementById('frmReport');
	function events(eventType, id)
	{
		switch (eventType){
			case 'exportReport':
				var k = document.getElementById('txtKywrd').value;
				if (document.getElementById('cmbFileLawyer') != null)
				{
					var p = document.getElementById('cmbFileLawyer').value;
				}
				else
				{
					var p ="<?php echo $_SESSION['user_id'];?>";
				}
				window.location = 'fileSummary.php?word='+k+'&pic='+p;
				break;
		}
	}
</script>
</html>
