<?php
	include '../config/config.php';
	include_once 'log_check.php';
	Kernel::includeObject('lib/classes/ClientClass.inc');
	Kernel::includeObject('lib/classes/FileClass.inc');
	Kernel::includeObject('lib/classes/FileLawyerClass.inc');
	Kernel::includeObject('lib/classes/FileBillingClass.inc');
	Kernel::includeObject('lib/xajax/xajax.inc');

	$file = new FileClass();
	$fileLawyer = new FileLawyerClass();
	$client = new ClientClass();

	function addLawyer($userId, $fileId)
	{
		$arrData = array();
		$arrData[FileLawyerClass::FD_FILE_ID] = $fileId;
		$arrData[FileLawyerClass::FD_USER_ID] = $userId;
		$arrData[FileLawyerClass::FD_ACTIVE] = 1;
		$fileLawyer = new FileLawyerClass();
		$fileLawyer->addFileLawyer($arrData);
		$table = $fileLawyer->getFileLawyer($fileId);
		$combo = $fileLawyer->getLawyerCombo(NULL, array(), $fileId);
		if ($combo != '')
		{
			$combo .= '<input type="button" value="Add" onclick="events(\'addLawyer\', '.$fileId.')">';
		}
		else
		{
			$combo = '<i>--No lawyer to select--</i>';
		}
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("lawyer_list","innerHTML",$table);
		$objResponse->addAssign("lawyer_combo","innerHTML",$combo);
		return $objResponse;
	}

	function deleteLawyer($ids)
	{
		list($fileLawyerId, $fileId) = explode('-', $ids);
		$fileLawyer = new FileLawyerClass();
		$fileLawyer->deleteFileLawyer($fileLawyerId);
		$table = $fileLawyer->getFileLawyer($fileId);
		$combo = $fileLawyer->getLawyerCombo(NULL, array(), $fileId);
		if ($combo != '')
		{
			$combo .= '<input type="button" value="Add" onclick="events(\'addLawyer\', '.$fileId.')">';
		}
		else
		{
			$combo = '<i>--No lawyer to select--</i>';
		}
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("lawyer_list","innerHTML",$table);
		$objResponse->addAssign("lawyer_combo","innerHTML",$combo);
		return $objResponse;
	}

	$fileId = NULL;
	if (isset($_GET['flid']) && $_GET['flid'] != '')
		$fileId = $_GET['flid'];

	if (is_null($fileId) || $fileId == '')
		void_redirect_url('file_list.php');

	$client = new ClientClass();

	$fileData = $file->getFileInfo($fileId);
	$clientId = $fileData[FileClass::FD_CLIENT_ID];
	$clientData = $client->getClientInfo($clientId);
	if (count($fileId) == 0)
		void_redirect_url('file_list.php');

	$xajax = new xajax();
	$xajax->setCharEncoding("UTF-8");
	$xajax->registerFunction("addLawyer");
	$xajax->registerFunction("deleteLawyer");
	$xajax->processRequests();
	$title = 'View File';
	include_once 'header.php';
	Kernel::includeObject('WEBROOT/calendar/tc_calendar');

	$xajax_dir = "js";
	$xajax->printJavascript($xajax_dir);

	$file = new FileClass();
	$fileLawyer = new FileLawyerClass();
	$fileBilling = new FileBillingClass();
	$user = new UserClass();
	if (isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER'] != '')
	{
		$referer = $_SERVER['HTTP_REFERER'];
	}
	else
	{
		$referer = 'file_list.php';
	}
	$userDetails = $user->getUserInfo($userId);
?>
<script type="text/javascript" src="calendar/calendar.js"></script>
</head>
<body>
<div id="wrapper" class="file">
	<?php include("menu_bar.php"); ?>
<div id="main">
		<h2 class="title_a">| View JEM : <?php print $fileData[FileClass::FD_JEM_NO];?></h2>
		<div id="main_info">
			 <form name="frmFile" id="frmFile" method="post" onSubmit="return validateForm()">
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Client Name :
					</div>
					<div class="two_col ">
						<?php print strtoupper($clientData['client_code']).'-'.$clientData[ClientClass::FD_CLIENT_NAME]?>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						JEM Code :
					</div>
					<div class="two_col ">
						<?php print strtoupper($fileData[FileClass::FD_JEM_NO])?>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Referred By :
					</div>
					<div class="two_col ">
						<?php
							$userDetails = $user->getUserInfo($fileData[FileClass::FD_REF_BY]);
							print $userDetails[UserClass::FD_USER_NAME];?>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Short Title :
					</div>
					<div class="two_col ">
						<?php print $fileData[FileClass::FD_TITLE]?>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Detailed Job Description :
					</div>
					<div class="two_col ">
						<?php print $fileData[FileClass::FD_DESC]?>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Remarks :
					</div>
					<div class="two_col ">
						<?php print $fileData[FileClass::FD_FILE_REMARKS]?>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Status :
					</div>
					<div class="two_col ">
						<?php
						$fileStatus = array(
								1 => 'On-going',
								2 => 'Inactive',
								0 => 'Pending',
								3 => 'Completed',
								4 => 'Terminated',
							);
						print $fileStatus[$fileData[FileClass::FD_FILE_STATUS]];?>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="one_col title_c tr title_a">
						Retainer
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Amount :
					</div>
					<div class="two_col ">
						<?php //print 'P'.number_format($fileData[FileClass::FD_RET_FEE], 2).'- $'.number_format($fileData[FileClass::FD_RET_FEE], 2)?>
						<?php print 'Php'.$fileData[FileClass::FD_RET_FEE].'- $'.$fileData[FileClass::FD_RET_FEE_US];?>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Billing Date :
					</div>
					<div class="two_col ">
						<?php  print $fileData[FileClass::FD_BILL_DET]?>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Time :
					</div>
					<div class="two_col ">

					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Maximum Fees :
					</div>
					<div class="two_col ">
						<?php //print 'P'.number_format($fileData[FileClass::FD_MAX_FEE], 2).'- $'.number_format($fileData[FileClass::FD_MAX_FEE_US], 2)?>
						<?php print 'Php'.$fileData[FileClass::FD_MAX_FEE].'- $'.$fileData[FileClass::FD_MAX_FEE_US];?>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="one_col title_c tr title_a">
						Fixed Fees
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Amount :
					</div>
					<div class="two_col ">
						<?php //print 'P'.number_format($fileData[FileClass::FD_FIX_FEE], 2).'- $'.number_format($fileData[FileClass::FD_FIX_FEE_US], 2)?>
						<?php print 'Php'.$fileData[FileClass::FD_FIX_FEE].'- $'.$fileData[FileClass::FD_FIX_FEE_US];?>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="one_col title_c tr title_a">
						Billing and Acceptance Fee
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Amount :
					</div>
					<div class="two_col ">
						<?php //print 'P'.number_format($fileData[FileClass::FD_ACC_FEE], 2).'- $'.number_format($fileData[FileClass::FD_ACC_US], 2)?>
						<?php print 'Php'.$fileData[FileClass::FD_ACC_FEE].'- $'.$fileData[FileClass::FD_ACC_US];?>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="one_col title_c tr title_a">
						Others & OPE
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Details :
					</div>
					<div class="two_col ">
						<?php  print $fileData[FileClass::FD_OTHERS]?>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">

					</div>
					<div class="two_col ">
						<?php
							if (($_SESSION['access'] == 0) or ($_SESSION['access'] == 2))
								echo '<input type="button" value="Edit" name="Edit" onClick="events(\'edit\', '. $fileId .')" />';
						?>

						<input type="button" value="Show All Files" name="ShowAll" onClick="events('list', 0)" />
						<input type="button" value="Cancel" name="Cancel" onClick="events('cancel', 0)" />
					</div>
				</div>
					<input type="hidden" name="hdnClientId" id="hdnFileId" value="<?php print $fileId;?>"/>
					<input type="hidden" name="hdnAction" id="hdnAction" value="edit"/>
					<input type="hidden" name="hdnSection" id="hdnSection" value="file"/>
			</form>
			<div class="one_small_col">
				<div class="tabber">
					 <div class="tabbertab">
							<h2>Lawyers Assigned</h2><br />
							<div id="lawyer_list" name="lawyer_list">
								<?php print $fileLawyer->getFileLawyer($fileId);?>
							</div>
							<br />
					 </div>
					<div class="tabbertab">
						<h2>Activities</h2>
						<br />
						<?php print $fileBilling->getFileActivityList($fileId);?>
						<br />
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>
</body>
<script>
	function events(eventType, id)
	{
		switch (eventType){
			case 'addLawyer':
				var index =document.getElementById("cmbFileLawyer").selectedIndex;
				var option =document.getElementById("cmbFileLawyer").options;
				xajax_addLawyer(option[index].value, id);
				return false;
			case 'removeLawyer':
				if (confirm("Are you sure you want to delete this record?"))
				{
					xajax_deleteLawyer(id);
				}
				break;
			case 'edit':
				window.location = 'file_edit.php?flid='+id;
				break;
			case 'list':
				window.location = 'file_list.php';
				break;
			case 'addActivity':
				window.location = 'time_billing.php?flid='+id;
				break;
			case 'addActivitySec':
				window.location = 'timebillingdsr.php?flid='+id;
				break;
			case 'cancel':
				window.location = '<?php print $referer?>';
				break;
			default:
				break;
		}
	}
</script>
</html>
