<?php 
	include '../config/config.php';
	include_once 'log_check.php';
	Kernel::includeObject('lib/classes/UserClass.inc');
	Kernel::includeObject('lib/classes/RateAdjustClass.inc');
	Kernel::includeObject('lib/xajax/xajax.inc');
	if ($_SESSION['access'] != 2) //super admin
	{
		void_redirect_url('homepage.php', 2, 'Redirecting to Homepage. Please wait...');
	}	
	function saveJob($data)
	{
		$arrData = array();
		
		$arrData[RateAdjustClass::FD_JOB_CODE] = $data['txtCode'];
		$arrData[RateAdjustClass::FD_JOB_NAME] = $data['txtDesc'];
		$arrData[RateAdjustClass::FD_ACTIVE] = 1;
		$rate = new RateAdjustClass();
		$isCodeUnique = $rate->isJobCodeUnique($data['txtCode']);
		$objResponse = new xajaxResponse();
		if ($isCodeUnique)
		{
			$addId = $rate->addJob($arrData);				
			$table = $rate->getJobList();
			$objResponse->addAssign("rates_list","innerHTML",$table);
			$objResponse->addAssign("reqCode","innerHTML",'');
			$objResponse->addAssign("reqDesc","innerHTML",'');
			$objResponse->addAssign("txtCode","value",'');
			$objResponse->addAssign("txtDesc","value",'');
			$objResponse->addAssign("show_error","innerHTML",'');
		}
		else
		{
			$objResponse->addAssign("show_error","innerHTML",'The job code entered is already existing');
		}	
		return $objResponse;
	}
	
	function editJob($id)
	{
		$rate = new RateAdjustClass();
		$arrData = $rate->getJobInfo($id);
		$objResponse = new xajaxResponse();
		$table = $rate->getJobList();
		$objResponse->addAssign("rates_list","innerHTML",$table);
		$objResponse->addAssign("reqCode","innerHTML",'');
		$objResponse->addAssign("reqDesc","innerHTML",'');
		$objResponse->addAssign("txtCode","value",$arrData[RateAdjustClass::FD_JOB_CODE]);
		$objResponse->addAssign("txtDesc","value",$arrData[RateAdjustClass::FD_JOB_NAME]);
		$objResponse->addAssign("show_error","innerHTML",'');
		$objResponse->addAssign("txtCode","disabled",true);
		$button = '<input type="button" value="Save" name="Save" onClick="events(\'updateJob\', '.$id.')"/>
						<input type="button" value="Cancel" name="Cancel" onClick="events(\'refreshForm\', 0)" />';
		$objResponse->addAssign("divButtons","innerHTML",$button);
		return $objResponse;
	}
	
	function deleteJob($id)
	{
		$objResponse = new xajaxResponse();
		if ($id != '')
		{
			$arrData = array();		
			$arrData[RateAdjustClass::FD_ACTIVE] = 0;
			$rate = new RateAdjustClass();
			$rate->updateJob($arrData, $id);				
			$table = $rate->getJobList();
			$objResponse->addAlert("Delete successful");
			$objResponse->addAssign("rates_list","innerHTML",$table);
			$objResponse->addAssign("reqCode","innerHTML",'');
			$objResponse->addAssign("reqDesc","innerHTML",'');
			$objResponse->addAssign("txtCode","value",'');
			$objResponse->addAssign("txtDesc","value",'');
			$objResponse->addAssign("show_error","innerHTML",'');
			$button = '<input type="button" value="Save" name="Save" onClick="events(\'addJob\', 0)"/>
						<input type="button" value="Cancel" name="Cancel" onClick="events(\'refreshForm\', 0)" />';
			$objResponse->addAssign("divButtons","innerHTML",$button);
		}
		return $objResponse;
	}
	
	function modifyJob($id, $data)
	{
		$objResponse = new xajaxResponse();
		if ($id != '')
		{
			$arrData = array();		
			$arrData[RateAdjustClass::FD_JOB_NAME] = $data['txtDesc'];
			$rate = new RateAdjustClass();
			$sql = $rate->updateJob($arrData, $id);	
			$table = $rate->getJobList();
			$objResponse->addAlert("Update successful");
			$objResponse->addAssign("rates_list","innerHTML",$table);
			$objResponse->addAssign("reqCode","innerHTML",'');
			$objResponse->addAssign("reqDesc","innerHTML",'');
			$objResponse->addAssign("txtCode","value",'');
			$objResponse->addAssign("txtDesc","value",'');
			$objResponse->addAssign("show_error","innerHTML",'');
			$objResponse->addAssign("txtCode","disabled",false);
			$button = '<input type="button" value="Save" name="Save" onClick="events(\'addJob\', 0)"/>
						<input type="button" value="Cancel" name="Cancel" onClick="events(\'refreshForm\', 0)" />';
			$objResponse->addAssign("divButtons","innerHTML",$button);
		}
		return $objResponse;
	}
	
	$xajax = new xajax();
	$xajax->setCharEncoding("UTF-8");
	$xajax->registerFunction("saveJob");
	$xajax->registerFunction("deleteJob");
	$xajax->registerFunction("editJob");
	$xajax->registerFunction("modifyJob");
	$xajax->processRequests();
	$title = 'System Utilities - Jobs';
	include_once 'header.php';
	
	$xajax_dir = "js";
	$xajax->printJavascript($xajax_dir);
	
	$user = new UserClass();
	$rate = new RateAdjustClass();
?>
</head>
<body>
<div id="wrapper" class="settings">
	<?php include("menu_bar.php"); ?>
<div id="main">
		<h2 class="title_a">| Job/Matter Codes</h2>
		<div id="main_info">
			<div class="one_col title_c">
					<div class="two_col ">
						<form name="frmJobs" id="frmJobs" method="post" onSubmit="events('addJob', 0); return false;">
							<div class="one_col">
								<div class="two_col title_c">
									Code : 
								</div>
								<div class="two_col ">
									<input type="text" name="txtCode" id="txtCode" maxlength="25" size="25" value="" style="width: 80%; min-width:80%;"><font color="#FF0000">*</font>&nbsp;<p class="errmsg" id="reqCode"></p>
								</div>
							</div>
							<div class="one_col">
								<div class="two_col title_c">
									Description : 
								</div>
								<div class="two_col">
									<input type="text" name="txtDesc" id="txtDesc" maxlength="25" size="25" value="" style="width: 80%; min-width:80%;"><font color="#FF0000">*</font>&nbsp;<p class="errmsg" id="reqDesc"></p>
								</div>
							</div>
							<div class="one_col">
								<div class="two_col title_c">
								</div>
								<div class="two_col">
									<div id="divButtons" style="float:right;"><input type="button" value="Save" name="Save" onClick="events('addJob', 0)"/>
									<input type="button" value="Cancel" name="Cancel" onClick="events('refreshForm', 0)" /></div>
								</div>
							</div>
							<input type="hidden" name="hdnAction" id="hdnAction" value="add"/>
							<input type="hidden" name="hdnUserID" id="hdnUserID" value=""/>
							<input type="hidden" name="hdnUserAccess" id="hdnUserAccess" value=""/>
						</form>
					</div>
					<div class="two_col ">
						&nbsp;
					</div>
				</div>
			<div class="one_col">
				<div class="tabber">
					 <div class="tabbertab">
						<h2>List</h2><br />
						<div id="rates_list" name="rates_list">
							<?php print $rate->getJobList();
							?>
						</div>
						<br />
					 </div>
				</div>
			</div>
<?php include("footer.php"); ?>
</body>
<script>
	var frmReference = document.getElementById('frmJobs');
	
	function events(eventType, id)
	{
		switch (eventType){
			case 'addJob':
				if (validateRateForm())
				{
					xajax_saveJob(xajax.getFormValues("frmJobs"));
				}
				return false;
			case 'updateJob':
				if (validateRateForm())
				{
					xajax_modifyJob(id, xajax.getFormValues("frmJobs"));
				}
				return false;
			case 'editJob':
					xajax_editJob(id);
				return false;
			case 'deleteJob':
				if (confirm('Are you sure you want to delete this record?'))
				{
					xajax_deleteJob(id);
					refreshRateForm();
				}
				return false;
			case 'refreshForm':
				refreshRateForm();
				return false;
			default:
				break;
		}
	}

	function refreshRateForm()
	{
		document.getElementById('reqCode').innerHTML = '';
		document.getElementById('reqDesc').innerHTML = '';
		frmReference.txtCode.value = '';
		frmReference.txtDesc.value = '';
		frmReference.txtCode.disabled = false;
	}
	
	function validateRateForm()
	{
		var blnReturn = true;
		if (frmReference.txtCode.value == '')
		{
			document.getElementById('reqCode').innerHTML = 'Code is required';
			blnReturn = false;
		}
		if (frmReference.txtDesc.value == '')
		{
			document.getElementById('reqDesc').innerHTML = 'Description is required';
			blnReturn = false;
		}
		
		return blnReturn;
	}

</script>
</html>