<?php 
	include '../config/config.php';
	include_once 'log_check.php';
	
	Kernel::includeObject('lib/classes/ClientClass.inc');
	Kernel::includeObject('lib/classes/FileClass.inc');
	Kernel::includeObject('lib/classes/FileLawyerClass.inc');
	Kernel::includeObject('lib/classes/FileBillingClass.inc');
	Kernel::includeObject('lib/xajax/xajax.inc');
	if ($_SESSION['access'] == 3) //secretary
	{
		void_redirect_url('homepage.php', 2, 'Redirecting to Homepage. Please wait...');
	}	
	function getClientFiles($clientId)
	{
		$file = new FileClass();
		// $combo = $file->getJemsCombo($clientId, null);
		$combo = $file->getJemsPerLawyerCombo($clientId, null, $_SESSION['user_id']);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("jem_combo","innerHTML",$combo);
		return $objResponse;
	}
	
	function getFileInfo($fileId)
	{
		$file = new FileClass();
		$arrFile = $file->getFileInfo($fileId);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("hdnFileId","value",$fileId);
		if (isset($arrFile[FileClass::FD_FILE_NAME]))
		{
			$objResponse->addAssign("filName","innerHTML",$arrFile[FileClass::FD_FILE_NAME]);
			#$objResponse->addAssign("btnExport","disabled",'');
		}
		else
		{
			$objResponse->addAssign("filName","innerHTML",'');
			#$objResponse->addAssign("btnExport","disabled",'disabled');
		}
		return $objResponse;
	}
	
	function getFileWorkDetails($page, $fileId, $clientId, $userId, $startDate, $endDate)
	{
		$fileBill = new FileBillingClass();
		$table = $fileBill->getUserWorkDetails($page, $fileId, $clientId,$userId, $startDate, $endDate, false);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("work_list","innerHTML",$table);
		return $objResponse;
	}
	
	function getJemTitle($jemId)
	{
		$file = new FileClass();
		$details = $file->getFileInfo($jemId);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("jem_title","innerHTML",$details['short_title']);
		return $objResponse;
	}
		
	$xajax = new xajax();
	$xajax->setCharEncoding("UTF-8");
	$xajax->registerFunction("getClientFiles");
	$xajax->registerFunction("getFileInfo");
	$xajax->registerFunction("getFileWorkDetails");
	$xajax->registerFunction("getJemTitle");
	
	$xajax->processRequests();
	$title = 'My Work Details';
	include_once 'header.php';
	Kernel::includeObject('WEBROOT/calendar/tc_calendar');
	
	$xajax_dir = "js";
	$xajax->printJavascript($xajax_dir);
	
	$userId = $_SESSION['user_id'];
	
	$client = new ClientClass();
	$file = new FileClass();
	$fileBill = new FileBillingClass();
	
	$dateTodayHidden = date("Y-m-d");
	$dateToday = date("F d, Y");
	$startDate = date("Y-m-d");
	$endDate = date("Y-m-d");
	$clientId= 0;
	$fileId = 0;
?>
<script src="//code.jquery.com/jquery-1.10.2.js"></script>
<script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
<link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
<script>
 $(document).ready(function()
	{
		$( "#txtStartDate" ).datepicker({
			showOn: "both",
			buttonImage: "images/calendar.png",
			buttonImageOnly: true,
			dateFormat: "MM dd, yy",
			altField: "#hdnStartDate",
			altFormat: "yy-m-dd",
		});
		$( "#txtEndDate" ).datepicker({
			showOn: "both",
			buttonImage: "images/calendar.png",
			buttonImageOnly: true,
			dateFormat: "MM dd, yy",
			altField: "#hdnEndDate",
			altFormat: "yy-m-dd",
		});
	});
</script>
</head>
<body>
<div id="wrapper" class="mylist">
	<?php include("menu_bar.php"); ?>
<div id="main">
	<h2 class="title_a">| My List</h2>
    <div id="main_info">
		<div class="col_holder">
			 <form name="frmReport" id="frmReport" method="post">
				<div class="two_col f_left title_b">
					Period :
					<input type="text" id="txtStartDate" name="txtStartDate" class="date" value="<?php echo $dateToday;?>">
					<input type="hidden" id="hdnStartDate" name="hdnStartDate" value="<?php echo $dateTodayHidden;?>"><span>-</span><input type="text" id="txtEndDate" name="txtEndDate" class="date" value="<?php echo $dateToday;?>">
					<input type="hidden" id="hdnEndDate" name="hdnEndDate" value="<?php echo $dateTodayHidden;?>">					
				</div>
				<div class="two_col f_left title_b" style="padding-top:12px;">
					Client : &nbsp;
					<?php 
						$arrEvent = array('onchange'=>'events(\'getFiles\', this.value);');
						print $client->getClientComboForDRS($clientId, $arrEvent, $userId);
					?><br><br>
					JEM Code : &nbsp;
					<span id="jem_combo"><?php 
					print $file->getJemsCombo($clientId, $fileId);
					?></span>&nbsp;&nbsp;<span id="jem_title"></span>	
					<br>
					<br>
					<div style="padding-left:78px;">
						<input type="button" value="Display" name="Display" onClick="events('getFileWorkDetails', 0)" />
						<input type="button" value="Export to Excel" name="btnExport" id="btnExport" onClick="events('exportMyWorkDetails', 0)" />
					</div>
					<input type="hidden" name="hdnUserId" id="hdnUserId" value="<?php print $userId;?>"/>
					</form>
				</div>
		</div>
			<div id="work_list" name="work_list">
					<?php 
						$table = $fileBill->getUserWorkDetails($page, $fileId, $clientId, $userId, $startDate, $endDate, FALSE);
						echo $table;
					?>
			</div>
    </div><!--main-info-->
</div><!--main-->
</div><!--wrapper-->
<?php include("footer.php"); ?>
</body>
<script>
	var frmReport = document.getElementById('frmReport');
	function events(eventType, id)
	{
		switch (eventType){
			case 'getFiles':
				clientId = id;
				document.getElementById("jem_title").innerHTML = '';
				xajax_getClientFiles(clientId);
				fileId = 0;
				userId = frmReport.hdnUserId.value;
				startDate = frmReport.hdnStartDate.value;
				endDate = frmReport.hdnEndDate.value;
				xajax_getFileWorkDetails(1, fileId, clientId, userId, startDate, endDate);
				break;
			case 'getFileWorkDetails':
				fileId = frmReport.cmbJems.options[frmReport.cmbJems.selectedIndex].value;
				clientId = frmReport.cmbClient.options[frmReport.cmbClient.selectedIndex].value;
				userId = frmReport.hdnUserId.value;
				startDate = frmReport.hdnStartDate.value;
				endDate = frmReport.hdnEndDate.value;
				xajax_getFileWorkDetails(1, fileId, clientId, userId, startDate, endDate);
				break;
			case 'changePage':
				fileId = frmReport.cmbJems.options[frmReport.cmbJems.selectedIndex].value;
				clientId = frmReport.cmbClient.options[frmReport.cmbClient.selectedIndex].value;
				userId = frmReport.hdnUserId.value;
				startDate = frmReport.txtStartDate.value;
				endDate = frmReport.txtEndDate.value;
				xajax_getFileWorkDetails(id, fileId, clientId, userId, startDate, endDate);
				break;
			case 'exportMyWorkDetails':
				fileId = frmReport.cmbJems.options[frmReport.cmbJems.selectedIndex].value;
				clientId = frmReport.cmbClient.options[frmReport.cmbClient.selectedIndex].value;
				userId = frmReport.hdnUserId.value;
				startDate = frmReport.hdnStartDate.value;
				endDate = frmReport.hdnEndDate.value;
				window.location = 'MyWorkReport.php?flid='+fileId+'&uid='+userId+'&sdate='+startDate+'&edate='+endDate+'&cId='+clientId;
				break;
			default:
				break;
		}
	}
	function displayJemTitle(jemId)
	{
		xajax_getJemTitle(jemId);
	}
</script>
</html>
