<?php 
	include '../config/config.php';
	include_once 'log_check.php';
	
	Kernel::includeObject('lib/classes/ClientClass.inc');
	Kernel::includeObject('lib/classes/FileClass.inc');
	Kernel::includeObject('lib/classes/FileLawyerClass.inc');
	Kernel::includeObject('lib/classes/FileBillingClass.inc');
	Kernel::includeObject('lib/xajax/xajax.inc');
	// if (($_SESSION['access'] == 1) or ($_SESSION['access'] == 3)) //lawyer and secretary
	// {
		// void_redirect_url('homepage.php', 2, 'Redirecting to Homepage. Please wait...');
	// }

	function getFileWorkDetails($page, $userId, $startDate, $endDate)
	{
		$fileBill = new FileBillingClass();
		$table = $fileBill->getPayrollReport($page, $userId, $startDate, $endDate);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("work_list","innerHTML",$table);
		return $objResponse;
	}
	
	$xajax = new xajax();
	$xajax->setCharEncoding("UTF-8");
	$xajax->registerFunction("getFileWorkDetails");
	
	$xajax->processRequests();
	$title = 'Payroll Report';
	include_once 'header.php';
	
	$xajax_dir = "js";
	$xajax->printJavascript($xajax_dir);
	
	$client = new ClientClass();
	$file = new FileClass();
	$fileBill = new FileBillingClass();
	
	$dateTodayHidden = date("Y-m-d");
	$dateToday = date("F d, Y");
	$startDate = date("Y-m-d");
	$endDate = date("Y-m-d");
	$clientId= 0;
	$fileId = 0;
	$userId = 0;
?>
<script src="//code.jquery.com/jquery-1.10.2.js"></script>
<script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
<link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
<script>
 $(document).ready(function()
	{
		$( "#txtStartDate" ).datepicker({
			showOn: "both",
			buttonImage: "images/calendar.png",
			buttonImageOnly: true,
			dateFormat: "MM dd, yy",
			altField: "#hdnStartDate",
			altFormat: "yy-m-dd",
		});
		$( "#txtEndDate" ).datepicker({
			showOn: "both",
			buttonImage: "images/calendar.png",
			buttonImageOnly: true,
			dateFormat: "MM dd, yy",
			altField: "#hdnEndDate",
			altFormat: "yy-m-dd",
		});
	});
</script>
</head>
<body>
<div id="wrapper" class="reports">
	<?php include("menu_bar.php"); ?>
<div id="main">
	<h2 class="title_a">| Payroll Report</h2>
    <div id="main_info">
		<div class="col_holder">
			 <form name="frmReport" id="frmReport" method="post">
				<div class="two_col text_r f_left title_b">
					&nbsp;
				</div>
				<div class="two_col f_left title_b">
					<span>Period :</span>&nbsp; 
					<input type="text" id="txtStartDate" name="txtStartDate" class="date" value="<?php echo $dateToday;?>">
					<input type="hidden" id="hdnStartDate" name="hdnStartDate" value="<?php echo $dateTodayHidden;?>"><span>-</span><input type="text" id="txtEndDate" name="txtEndDate" class="date" value="<?php echo $dateToday;?>">
					<input type="hidden" id="hdnEndDate" name="hdnEndDate" value="<?php echo $dateTodayHidden;?>">
					<br><br>					
					<span class="text-right">Lawyer : &nbsp;</span>
					<span id="lawyer_combo"><?php 
						$fileLawyer = new FileLawyerClass();
						// $arrEvent = array('onchange'=>'events(\'getFileWorkDetails\', this.value);');
						$arrEvent = array();
						print $fileLawyer->getJemLawyerCombo(0, $arrEvent, $fileId);
						?></span><font color="#FF0000">&nbsp;*</font><span id="jem_title"></span>
					<br><br>					
					<div style="padding-left:64px;">
						<input type="button" value="Display" name="Display" onClick="events('getFileWorkDetails', 0)" />
						<input type="button" value="Export to Excel" name="btnExport" id="btnExport" onClick="events('exportMyWorkDetails', 0)" />
					</div>
				</div>
					<input type="hidden" name="hdnUserId" id="hdnUserId" value="<?php print $userId;?>"/>
				</form>
		</div>
		<div id="work_list" name="work_list">
				<?php 
					$table = $fileBill->getPayrollReport($page, $userId, $startDate, $endDate);
					echo $table;
				?>
		</div>
    </div><!--main-info-->
</div><!--main-->
</div><!--wrapper-->
<?php include("footer.php"); ?>
</body>
<script>
	var frmReport = document.getElementById('frmReport');
	function events(eventType, id)
	{
		switch (eventType){
			case 'getFileWorkDetails':
				fileId = 0;
				clientId = 0;
				userId = frmReport.cmbFileLawyer.options[frmReport.cmbFileLawyer.selectedIndex].value;
				if (userId == '')
				{
					alert("Please choose a lawyer.");
				}
				else
				{
					startDate = frmReport.hdnStartDate.value;
					endDate = frmReport.hdnEndDate.value;
					xajax_getFileWorkDetails(1, userId, startDate, endDate);
				}
				break;
			case 'changePage':
				fileId = 0;
				clientId = 0;
				userId = frmReport.cmbFileLawyer.options[frmReport.cmbFileLawyer.selectedIndex].value;
				startDate = frmReport.txtStartDate.value;
				endDate = frmReport.txtEndDate.value;
				xajax_getFileWorkDetails(id, userId, startDate, endDate);
				break;
			case 'exportMyWorkDetails':
				fileId = 0;
				clientId = 0;
				userId = frmReport.cmbFileLawyer.options[frmReport.cmbFileLawyer.selectedIndex].value;
				if (userId == '')
				{
					alert("Please choose a lawyer.");
				}
				else
				{
					startDate = frmReport.hdnStartDate.value;
					endDate = frmReport.hdnEndDate.value;
					window.location = 'PayrollReport.php?uid='+userId+'&sdate='+startDate+'&edate='+endDate;
				}
				break;
			default:
				break;
		}
	}
</script>
</html>
