<?php 
	include '../config/config.php';
	include_once 'log_check.php';
	Kernel::includeObject('lib/classes/UserClass.inc');
	Kernel::includeObject('lib/classes/RateAdjustClass.inc');
	Kernel::includeObject('lib/xajax/xajax.inc');
	if ($_SESSION['access'] != 2) //super admin
	{
		void_redirect_url('homepage.php', 2, 'Redirecting to Homepage. Please wait...');
	}	
	function savePost($data)
	{
		$arrData = array();		
		$arrData[RateAdjustClass::FD_POST_CODE] = $data['txtCode'];
		$arrData[RateAdjustClass::FD_POST_NAME] = $data['txtDesc'];
		$arrData[RateAdjustClass::FD_ACTIVE] = 1;
		$rate = new RateAdjustClass();
		$isCodeUnique = $rate->isPositionCodeUnique($data['txtCode']);
		$objResponse = new xajaxResponse();
		if ($isCodeUnique)
		{
			$addId = $rate->addPost($arrData);
			$table = $rate->getPositionList();
			$objResponse->addAssign("rates_list","innerHTML",$table);
			$objResponse->addAssign("reqCode","innerHTML",'');
			$objResponse->addAssign("reqDesc","innerHTML",'');
			$objResponse->addAssign("txtCode","value",'');
			$objResponse->addAssign("txtDesc","value",'');
			$objResponse->addAssign("show_error","innerHTML",'');
		}
		else
		{
			$objResponse->addAssign("show_error","innerHTML",'The position code entered is already existing');
		}	
		return $objResponse;
	}
	
	function editPost($id)
	{
		$rate = new RateAdjustClass();
		$arrData = $rate->getPositionInfo($id);
		$objResponse = new xajaxResponse();
		$table = $rate->getPositionList();
		$objResponse->addAssign("rates_list","innerHTML",$table);
		$objResponse->addAssign("reqCode","innerHTML",'');
		$objResponse->addAssign("reqDesc","innerHTML",'');
		$objResponse->addAssign("txtCode","value",$arrData[RateAdjustClass::FD_POST_CODE]);
		$objResponse->addAssign("txtDesc","value",$arrData[RateAdjustClass::FD_POST_NAME]);
		$objResponse->addAssign("show_error","innerHTML",'');
		$objResponse->addAssign("txtCode","disabled",true);
		$button = '<input type="button" value="Save" name="Save" onClick="events(\'updatePost\', '.$id.')"/>
						<input type="button" value="Cancel" name="Cancel" onClick="events(\'refreshForm\', 0)" />';
		$objResponse->addAssign("divButtons","innerHTML",$button);
		return $objResponse;
	}
	
	function deletePost($id)
	{
		$objResponse = new xajaxResponse();
		if ($id != '')
		{
			$arrData = array();		
			$arrData[RateAdjustClass::FD_ACTIVE] = 0;
			$rate = new RateAdjustClass();
			$rate->updatePost($arrData, $id);				
			$table = $rate->getPositionList();
			$objResponse->addAlert("Delete successful");
			$objResponse->addAssign("rates_list","innerHTML",$table);
			$objResponse->addAssign("reqCode","innerHTML",'');
			$objResponse->addAssign("reqDesc","innerHTML",'');
			$objResponse->addAssign("txtCode","value",'');
			$objResponse->addAssign("txtDesc","value",'');
			$objResponse->addAssign("show_error","innerHTML",'');
			$button = '<input type="button" value="Save" name="Save" onClick="events(\'addPost\', 0)"/>
						<input type="button" value="Cancel" name="Cancel" onClick="events(\'refreshForm\', 0)" />';
			$objResponse->addAssign("divButtons","innerHTML",$button);
		}
		return $objResponse;
	}
	
	function modifyPost($id, $data)
	{
		$objResponse = new xajaxResponse();
		if ($id != '')
		{
			$arrData = array();		
			$arrData[RateAdjustClass::FD_POST_NAME] = $data['txtDesc'];
			$rate = new RateAdjustClass();
			$sql = $rate->updatePost($arrData, $id);	
			$table = $rate->getPositionList();
			$objResponse->addAlert("Update successful");
			$objResponse->addAssign("rates_list","innerHTML",$table);
			$objResponse->addAssign("reqCode","innerHTML",'');
			$objResponse->addAssign("reqDesc","innerHTML",'');
			$objResponse->addAssign("txtCode","value",'');
			$objResponse->addAssign("txtDesc","value",'');
			$objResponse->addAssign("show_error","innerHTML",'');
			$objResponse->addAssign("txtDeptCode","disabled",false);
			$button = '<input type="button" value="Save" name="Save" onClick="events(\'addPost\', 0)"/>
						<input type="button" value="Cancel" name="Cancel" onClick="events(\'refreshForm\', 0)" />';
			$objResponse->addAssign("divButtons","innerHTML",$button); 
		}
		return $objResponse;
	}
	
	$xajax = new xajax();
	$xajax->setCharEncoding("UTF-8");
	$xajax->registerFunction("savePost");
	$xajax->registerFunction("deletePost");
	$xajax->registerFunction("editPost");
	$xajax->registerFunction("modifyPost");
	$xajax->processRequests();
	$title = 'System Utilities - Position';
	include_once 'header.php';
	
	$xajax_dir = "js";
	$xajax->printJavascript($xajax_dir);
	
	$user = new UserClass();
	$rate = new RateAdjustClass();
?>
</head>
<body>
<div id="wrapper" class="settings">
	<?php include("menu_bar.php"); ?>
<div id="main">
		<h2 class="title_a">| Positions</h2>
		<div id="main_info">
			<div class="one_col title_c">
					<div class="two_col ">
						<form name="frmPosition" id="frmPosition" method="post" onSubmit="events('addPost', 0); return false;">
							<div class="one_col">
								<div class="two_col title_c">
									Code : 
								</div>
								<div class="two_col ">
									<input type="text" name="txtCode" id="txtCode" maxlength="25" size="25" value="" style="width: 80%; min-width:80%;"><font color="#FF0000">*</font>&nbsp;<p class="errmsg" id="reqCode"></p>
								</div>
							</div>
							<div class="one_col">
								<div class="two_col title_c">
									Description : 
								</div>
								<div class="two_col">
									<input type="text" name="txtDesc" id="txtDesc" maxlength="25" size="25" value="" style="width: 80%; min-width:80%;"><font color="#FF0000">*</font>&nbsp;<p class="errmsg" id="reqDesc"></p>
								</div>
							</div>
							<div class="one_col">
								<div class="two_col title_c">
								</div>
								<div class="two_col">
									<div id="divButtons" style="float:right;"><input type="button" value="Save" name="Save" onClick="events('addPost', 0)"/>
									<input type="button" value="Cancel" name="Cancel" onClick="events('refreshForm', 0)" /></div>
								</div>
							</div>
							<input type="hidden" name="hdnAction" id="hdnAction" value="add"/>
							<input type="hidden" name="hdnUserID" id="hdnUserID" value=""/>
							<input type="hidden" name="hdnUserAccess" id="hdnUserAccess" value=""/>
						</form>
					</div>
					<div class="two_col ">
						&nbsp;
					</div>
			</div>
			
				<div class="one_col">
					<div class="tabber">
						 <div class="tabbertab">
							<h2>List</h2><br />
							<div id="rates_list" name="rates_list">
								<?php print $rate->getPositionList();
								?>
							</div>
							<br />
						 </div>
					</div>
				</div>
				

			
<?php include("footer.php"); ?>
</body>
<script>
	var frmReference = document.getElementById('frmPosition');
	
	function events(eventType, id)
	{
		switch (eventType){
			case 'addPost':
				if (validateRateForm())
				{
					xajax_savePost(xajax.getFormValues("frmPosition"));
					refreshRateForm();
				}
				return false;
			case 'updatePost':
				if (validateRateForm())
				{
					xajax_modifyPost(id, xajax.getFormValues("frmPosition"));
					refreshRateForm();
				}
				return false;
			case 'editPost':
					xajax_editPost(id);
				return false;
			case 'deletePost':
				if (confirm('Are you sure you want to delete this record?'))
				{
					xajax_deletePost(id);
					refreshRateForm();
				}
				return false;
			case 'refreshForm':
				refreshRateForm();
				return false;
			default:
				break;
		}
	}

	function refreshRateForm()
	{
		document.getElementById('reqCode').innerHTML = '';
		document.getElementById('reqDesc').innerHTML = '';
		frmReference.txtCode.value = '';
		frmReference.txtDesc.value = '';
		frmReference.txtCode.disabled = false;
	}
	
	function validateRateForm()
	{
		var blnReturn = true;
		if (frmReference.txtCode.value == '')
		{
			document.getElementById('reqCode').innerHTML = 'Code is required';
			blnReturn = false;
		}
		if (frmReference.txtDesc.value == '')
		{
			document.getElementById('reqDesc').innerHTML = 'Description is required';
			blnReturn = false;
		}
		
		return blnReturn;
	}

</script>
</html>