<?php 
	include '../config/config.php';
	$isAdmin = true;
	include_once 'log_check.php';
	Kernel::includeObject('lib/classes/ClientClass.inc');
	Kernel::includeObject('lib/classes/FileClass.inc');
	Kernel::includeObject('lib/classes/ps_pagination');
	Kernel::includeObject('lib/xajax/xajax.inc');
	
	function keywordSearch($keyword)
	{
		$fileType = !isset($_SESSION['cFileType']) || $_SESSION['cFileType'] == ''? NULL: $_SESSION['cFileType'];
		$fileNumber = !isset($_SESSION['cFileNumber']) || $_SESSION['cFileNumber'] == ''? NULL: $_SESSION['cFileNumber'];
		$objResponse = new xajaxResponse();
		$client = new ClientClass();
		$table = $client->getClientList(1, $keyword, $fileType, $fileNumber);
		$objResponse->addAssign("client_list","innerHTML",$table);
		$_SESSION['cKeyword'] = $keyword;
		return $objResponse;
	}
	
	function fileTypeSearch($fileType)
	{
		$keyword = !isset($_SESSION['cKeyword']) || $_SESSION['cKeyword'] == ''? NULL: $_SESSION['cKeyword'];
		$fileNumber = !isset($_SESSION['cFileNumber']) || $_SESSION['cFileNumber'] == ''? NULL: $_SESSION['cFileNumber'];
		$objResponse = new xajaxResponse();
		$file = new ClientClass();
		$table = $file->getClientList(1, $keyword, $fileType, $fileNumber);
		$objResponse->addAssign("client_list","innerHTML",$table);
		$_SESSION['cFileType'] = $fileType;
		return $objResponse;
	}

	function fileNumberSearch($fileNumber)
	{
		$keyword = !isset($_SESSION['cKeyword']) || $_SESSION['cKeyword'] == ''? NULL: $_SESSION['cKeyword'];
		$fileType = !isset($_SESSION['cFileType']) || $_SESSION['cFileType'] == ''? NULL: $_SESSION['cFileType'];
		$objResponse = new xajaxResponse();
		$file = new ClientClass();
		$table = $file->getClientList(1, $keyword, $fileType, $fileNumber);
		$objResponse->addAssign("client_list","innerHTML",$table);
		$_SESSION['cFileNumber'] = $fileNumber;
		return $objResponse;
	}
	
	function pageSearch($page)
	{
		$keyword = !isset($_SESSION['cKeyword']) || $_SESSION['cKeyword'] == ''? NULL: $_SESSION['cKeyword'];
		$fileType = !isset($_SESSION['cFileType']) || $_SESSION['cFileType'] == ''? NULL: $_SESSION['cFileType'];
		$fileNumber = !isset($_SESSION['cFileNumber']) || $_SESSION['cFileNumber'] == ''? NULL: $_SESSION['cFileNumber'];
		$objResponse = new xajaxResponse();
		$client = new ClientClass();
		$table = $client->getClientList($page, $keyword, $fileType, $fileNumber);
		$objResponse->addAssign("client_list","innerHTML",$table);
		return $objResponse;
	}
	
	function deleteClient($id)
	{
		unset($_SESSION['cKeyword']);
		unset($_SESSION['cFileType']);
		unset($_SESSION['cFileNumber']);
		$objResponse = new xajaxResponse();
		$client = new ClientClass();
		$client->deleteClient($id);
		$table = $client->getClientList();
		$objResponse->addAssign("client_list","innerHTML",$table);
		return $objResponse;
	}
	
	$xajax = new xajax();
	$xajax->setCharEncoding("UTF-8");
	$xajax->registerFunction("keywordSearch");
	$xajax->registerFunction("fileTypeSearch");
	$xajax->registerFunction("fileNumberSearch");
	$xajax->registerFunction("pageSearch");
	$xajax->registerFunction("deleteClient");
	$xajax->processRequests();
	$title = 'Client List';
	include_once 'header.php';

	$xajax_dir = "js";
	$xajax->printJavascript($xajax_dir);
	
	$client = new ClientClass();
	$file = new FileClass();
?>
</head>
<script>
	function events(eventType, id)
	{
		switch (eventType){
			case 'add':
				window.location = 'client_add.php';
				break;
			case 'edit':
				window.location = 'client_edit.php?clid=' + id;
				break;
			case 'view':
				window.location = 'client_view.php?clid=' + id;
				break;
			case 'delete':
				var response = confirm('Are you sure you want to delete this record?');
				if (response)
					xajax_deleteClient(id);
				break;
			case 'editFile':
				window.location = 'file_edit.php?flid='+id;
				break;
			case 'viewFile':
				window.location = 'file_view.php?flid='+id;
				break;
			case 'printFile':
				window.location = 'file_print.php?flid='+id;
				break;
			case 'exportReport':
				var k = document.getElementById('txtKywrd').value;
				var s = document.getElementById('cmbFileStatus').value;
				window.location = 'masterList.php?word='+k+'&s='+s;
				break;
			case 'deleteFile':
				var response = confirm('Are you sure you want to delete this record?');
				if (response)
					xajax_deleteFile(id);
				break;
			case 'jemSummary':
				window.location = 'file_summary.php';
				break;
		}
	}

</script>
<body>
<div id="wrapper" class="">
	<?php include("menu_bar.php"); ?>
<div id="main">
		<h2 class="title_a">| Client Search Result</h2>
		<div id="main_info">
			<div class="col_holder">
				<div class="four_col text_r f_left title_b">
				</div>
				<div class="four_col f_left">
				</div>
			</div>
			<div id="client_list">
				<?php print $client->getClientList(1, $_POST['search']);?>
			</div>
		</div>
		<h2 class="title_a">| JEM Search Result</h2>
		<div id="main_info">
			<div class="col_holder">
				<div class="four_col text_r f_left title_b">
				</div>
				<div class="four_col f_left">
				</div>
			</div>
			<div id="client_list">
				<?php 
				print $file->getFileList($userId, $access, 1, $_POST['search'], null, null);
				?>
			</div>
		</div>
</div>
<?php include("footer.php"); ?>
</body>
</html>