<?php 
	include '../config/config.php';
	include_once 'log_check.php';
	
	Kernel::includeObject('lib/classes/ClientClass.inc');
	Kernel::includeObject('lib/classes/UserClass.inc');
	Kernel::includeObject('lib/classes/RateAdjustClass.inc');
	Kernel::includeObject('lib/classes/FileClass.inc');
	Kernel::includeObject('lib/classes/FileLawyerClass.inc');
	Kernel::includeObject('lib/classes/FileBillingClass.inc');
	Kernel::includeObject('lib/xajax/xajax.inc');
	
	function getJemsPerClient($clientId, $lawyerId)
	{
		$file = new FileClass();
		// $combo = $file->getJemsCombo($clientId, null);
		$combo = $file->getJemsPerLawyerCombo($clientId, null, $lawyerId);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("jem_combo","innerHTML",$combo);
		return $objResponse;
	}
	
	function getJemTitle($jemId, $userId)
	{
		$file = new FileClass();
		$details = $file->getFileInfo($jemId);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("jem_title","innerHTML",$details['short_title']);
		$lawyers = new FileLawyerClass();
		$rate = $lawyers->getLawyerRatePerFile($jemId, $userId);
		$objResponse->addAssign("hdnRate","value",$rate);
		return $objResponse;
	}
	
	function getTaskDesc($taskId)
	{
		$settings = new RateAdjustClass();
		$details = $settings->getTaskInfo($taskId);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("txtWorkDetail","value",$details['task_name']);
		return $objResponse;
	}
	
	function getBilling($fileBillingId)
	{
		$fileBill = new FileBillingClass();
		$client = new ClientClass();
		$file = new FileClass();
		
		$arrData = $fileBill->getBillingInfoForSec($fileBillingId);		
		$arrEvent = array('onchange'=>'getFiles(this.value)');
		$cmbClient = $client->getClientComboForDRS($arrData['client_id'], $arrEvent, $arrData['user_id']);
		// $cmbFile =  $file->getJemsCombo($arrData['client_id'],$arrData['file_id']);
		$cmbFile = $file->getJemsPerLawyerCombo($arrData['client_id'],$arrData['file_id'], $arrData['user_id']);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("client_combo","innerHTML",$cmbClient);
		$objResponse->addAssign("jem_combo","innerHTML",$cmbFile);
		$objResponse->addAssign("txtWorkDetail","value",$arrData['work_detail']);
		$objResponse->addAssign("hdnRate","value",$arrData['rate']);
		if ($arrData['task_type'] == 1) //Billable
			$objResponse->addAssign("radTaskTypeB","checked",true);
		else
			$objResponse->addAssign("radTaskTypeNB","checked",true);
		$objResponse->addAssign("cmbTaskCode","value",$arrData['task_code']);
		$objResponse->addAssign("txtTime","value",number_format($arrData['time_spent'], 1));
		$objResponse->addAssign("hdnSpentTime","value",number_format($arrData['time_spent'], 1));
		$objResponse->addAssign("hdnFileId","value",$arrData['file_id']);
		$objResponse->addAssign("hdnFileBillingId","value",$arrData['file_billing_id']);
		$objResponse->addAssign("hdnAction","value",'edit');
		return $objResponse;
	}
	

	function saveBilling($data)
	{
		$arrData = array();
		$arrData[FileBillingClass::FD_BILLING_DATE] = $data['hdnDate'];
		$arrData[FileBillingClass::FD_FILE_ID] = $data['cmbJems'];
		$arrData[FileBillingClass::FD_USER_ID] = $data['cmbFileLawyer'];
		$arrData[FileBillingClass::FD_WORK_DETAIL] = $data['txtWorkDetail'];
		$arrData[FileBillingClass::FD_TIME_SPENT] = $data['hdnSpentTime'];
		$arrData[FileBillingClass::FD_RATE] = $data['hdnRate'];
		$arrData[FileBillingClass::FD_TASK_TYPE] = $data['radTaskType'];
		$arrData[FileBillingClass::FD_TASK_CODE] = $data['cmbTaskCode'];
		$arrData[FileBillingClass::FD_START_TIME] = $data['startTimeHrs'].':'.$data['startTimeMin'];
		$arrData[FileBillingClass::FD_END_TIME] = $data['endTimeHrs'].':'.$data['endTimeMin'];
		$arrData[FileBillingClass::FD_AMOUNT] = doubleval($data['hdnRate']) * doubleval($data['hdnSpentTime']);
		$arrData[FileBillingClass::FD_ACTIVE] = 2; //pending status
		$fileBill = new FileBillingClass();
		$client = new ClientClass();
		$file = new FileClass();

		if ($data['hdnAction'] == 'edit')
		{
			$fileBill->editBilling($data['hdnFileBillingId'], $arrData);
		}
		elseif($data['hdnAction'] == 'add')
		{
			$fileBill->addBilling($arrData);
		}
		
		$arrEvent = array('onchange'=>'getFiles(this.value)');
		$cmbClient = $client->getClientComboForDRS(NULL, $arrEvent, $data['cmbFileLawyer']);
		$cmbFile =  $file->getJemsCombo(NULL);
		$table = $fileBill->getBillingListSec('', $data['txtDate']);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("activity_list","innerHTML",$table);
		$objResponse->addAssign("client_combo","innerHTML",$cmbClient);
		$objResponse->addAssign("jem_combo","innerHTML",$cmbFile);
		return $objResponse;
	}
	
	function preFilledBilling()
	{
		$fileBill = new FileBillingClass();
		$client = new ClientClass();
		$file = new FileClass();
		$fileLawyer = new FileLawyerClass();
		$userId = $_SESSION['user_id'];
		$arrData = $fileBill->getLastBillingInfoForSec($userId);
		$user = new UserClass();
		$userData = $user->getUserInfo($userId);
		$test =  unserialize(base64_decode($userData[UserClass::FD_USER_ASSLAW]));
		$arrEvent = array('onchange'=>'events(\'getClients\', this.value);xajax_getActivities(this.value,frmBilling.hdnDate.value)');
		$lawyerCmb = $fileLawyer->getSecretaryLawyerCombo($arrData['user_id'], $arrEvent, $arrData['file_id'], $test); 
		$arrEvent = array('onchange'=>'getFiles(this.value)');
		$cmbClient = $client->getClientComboForDRS($arrData['client_id'], $arrEvent, $arrData['user_id']);
		$cmbFile = $file->getJemsPerLawyerCombo($arrData['client_id'],$arrData['file_id'], $arrData['user_id']);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("lawyer","innerHTML",$lawyerCmb);
		$objResponse->addAssign("client_combo","innerHTML",$cmbClient);
		$objResponse->addAssign("jem_combo","innerHTML",$cmbFile);
		$objResponse->addAssign("txtWorkDetail","value",'');
		$objResponse->addAssign("hdnRate","value",$arrData['rate']);
		if ($arrData['task_type'] == 1) //Billable
			$objResponse->addAssign("radTaskTypeB","checked",true);
		else
			$objResponse->addAssign("radTaskTypeNB","checked",true);
		$objResponse->addAssign("cmbTaskCode","value",'');
		$objResponse->addAssign("txtTime","value",'');
		$objResponse->addAssign("hdnSpentTime","value",'');
		$objResponse->addAssign("hdnFileId","value",$arrData['file_id']);
		$objResponse->addAssign("hdnFileBillingId","value",'');
		$objResponse->addAssign("hdnAction","value",'add');
		return $objResponse;
	}
	
	function deleteBilling($userId, $fileBillingId, $date)
	{
		$fileBill = new FileBillingClass();
		$fileBill->deleteBilling($fileBillingId);
		$table = $fileBill->getBillingListSec($userId, $date);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("activity_list","innerHTML",$table);
		return $objResponse;
	}
	
	function getActivities($userId, $date)
	{
		$fileBill = new FileBillingClass();
		$table = $fileBill->getBillingListSec($userId, $date);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("activity_list","innerHTML",$table);
		return $objResponse;
	}
	
	function getClients($lawyerID)
	{
		$client = new ClientClass();
		$arrEvent = array('onchange'=>'getFiles(this.value)');
		$cmbClient = $client->getClientComboForDRS(null, $arrEvent, $lawyerID);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("client_combo","innerHTML",$cmbClient);
		return $objResponse;
	}
	
	$xajax = new xajax();
	$xajax->setCharEncoding("UTF-8");
	$xajax->registerFunction("getJemsPerClient");
	$xajax->registerFunction("getJemTitle");
	$xajax->registerFunction("getTaskDesc");
	$xajax->registerFunction("saveBilling");
	$xajax->registerFunction("deleteBilling");
	$xajax->registerFunction("getBilling");
	$xajax->registerFunction("getActivities");
	$xajax->registerFunction("getClients");
	$xajax->registerFunction("preFilledBilling");

	$xajax->processRequests();
	$title = 'DTR';
	include_once 'header.php';
	// Kernel::includeObject('WEBROOT/calendar/tc_calendar');
	
	$xajax_dir = "js";
	$xajax->printJavascript($xajax_dir);
	
	$client = new ClientClass();
	$file = new FileClass();
	$fileBill = new FileBillingClass();
	$user = new UserClass();
	$settings = new RateAdjustClass();
	$fileLawyer = new FileLawyerClass();
	$userId = $_SESSION['user_id'];
	$userData = $user->getUserInfo($userId);
	$fileId = 0;
	$clientId = 0;
	if (isset($_GET['flid']) && $_GET['flid'] != '')
	{
		$fileId = $_GET['flid'];
		$fileData = $file->getFileInfo($fileId);
		$clientId = $fileData[FileClass::FD_CLIENT_ID];
		// $clientData = $client->getClientInfo($clientId);		
		// $clientId = $clientData[ClientClass::FD_CLIENT_ID];
	}
	$dateTodayHidden = date("Y-m-d");
	$dateToday = date("F d, Y");
?>
<script src="//code.jquery.com/jquery-1.10.2.js"></script>
<script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
<link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
<script>
 $(document).ready(function()
	{
		$( "#txtDate" ).datepicker({
			showOn: "both",
			buttonImage: "images/calendar.png",
			buttonImageOnly: true,
			dateFormat: "MM dd, yy",
			altField: "#hdnDate",
			altFormat: "yy-m-dd",
			onSelect: function(ev) {
				date = document.getElementById('hdnDate').value;
				dateSel = document.getElementById('txtDate').value;
				id = document.getElementById('cmbFileLawyer').value;
				clearBillingInfo();
				document.getElementById('txtDate').value = dateSel;
				document.getElementById('cmbFileLawyer').value = id;
				xajax_getActivities(id, date);
			},
		});
	});
</script>
  <style>
  .custom-combobox {
    position: relative;
    display: inline-block;
  }
  .custom-combobox-toggle {
    position: absolute;
    top: 0;
    bottom: 0;
    margin-left: -1px;
    padding: 0;
  }
  .custom-combobox-input {
    margin: 0;
    padding: 5px 10px;
  }
  </style>
  <script>
  (function( $ ) {
    $.widget( "custom.combobox", {
      _create: function() {
        this.wrapper = $( "<span>" )
          .addClass( "custom-combobox" )
          .insertAfter( this.element );
 
        this.element.hide();
        this._createAutocomplete();
        this._createShowAllButton();
      },
 
      _createAutocomplete: function() {
        var selected = this.element.children( ":selected" ),
          value = selected.val() ? selected.text() : "";
 
        this.input = $( "<input>" )
          .appendTo( this.wrapper )
          .val( value )
          .attr( "id", "timeComboUI" )
          .addClass( "time custom-combobox-input ui-widget ui-widget-content ui-state-default ui-corner-left" )
          .autocomplete({
            delay: 0,
            minLength: 0,
            source: $.proxy( this, "_source" )
          })
          .tooltip({
            tooltipClass: "ui-state-highlight"
          });
 
        this._on( this.input, {
          autocompleteselect: function( event, ui ) {
            ui.item.option.selected = true;
            this._trigger( "select", event, {
              item: ui.item.option
            });
          },
 
          autocompletechange: "_removeIfInvalid"
        });
      },
 
      _createShowAllButton: function() {
        var input = this.input,
          wasOpen = false;
 
        $( "<a>" )
          .attr( "tabIndex", -1 )
          .attr( "title", "Show All Items" )
          .tooltip()
          .appendTo( this.wrapper )
          .button({
            icons: {
              primary: "ui-icon-triangle-1-s"
            },
            text: false
          })
          .removeClass( "ui-corner-all" )
          .addClass( "custom-combobox-toggle ui-corner-right" )
          .mousedown(function() {
            wasOpen = input.autocomplete( "widget" ).is( ":visible" );
          })
          .click(function() {
            input.focus();
 
            // Close if already visible
            if ( wasOpen ) {
              return;
            }
 
            // Pass empty string as value to search for, displaying all results
            input.autocomplete( "search", "" );
          });
      },
 
      _source: function( request, response ) {
        var matcher = new RegExp( $.ui.autocomplete.escapeRegex(request.term), "i" );
        response( this.element.children( "option" ).map(function() {
          var text = $( this ).text();
          if ( this.value && ( !request.term || matcher.test(text) ) )
            return {
              label: text,
              value: text,
              option: this
            };
        }) );
      },
 
      _removeIfInvalid: function( event, ui ) {
 
        // Selected an item, nothing to do
        if ( ui.item ) {
          return;
        }
 
        // Search for a match (case-insensitive)
        var value = this.input.val(),
          valueLowerCase = value.toLowerCase(),
          valid = false;
        this.element.children( "option" ).each(function() {
          if ( $( this ).text().toLowerCase() === valueLowerCase ) {
            this.selected = valid = true;
            return false;
          }
        });
 
        // Found a match, nothing to do
        if ( valid ) {
          return;
        }
 
        // Remove invalid value
        this.input
          .val( "" )
          .attr( "title", value + " didn't match any item" )
          .tooltip( "open" );
        this.element.val( "" );
        this._delay(function() {
          this.input.tooltip( "close" ).attr( "title", "" );
        }, 2500 );
        this.input.autocomplete( "instance" ).term = "";
      },
 
      _destroy: function() {
        this.wrapper.remove();
        this.element.show();
      }
    });
  })( jQuery );
 
  $(function() {
    $( "#startTimeHrs" ).combobox();
    $( "#toggle" ).click(function() {
      $( "#startTimeHrs" ).toggle();
    });
	$( "#startTimeMin" ).combobox();
    $( "#toggle" ).click(function() {
      $( "#startTimeMin" ).toggle();
    });
	$( "#endTimeHrs" ).combobox();
    $( "#toggle" ).click(function() {
      $( "#endTimeHrs" ).toggle();
    });
	$( "#endTimeMin" ).combobox();
    $( "#toggle" ).click(function() {
      $( "#endTimeMin" ).toggle();
    });
  });
  </script>
  
</head>
<body>
<div id="wrapper" class="dsr">
	<?php include("menu_bar.php"); ?>
<div id="main">
		<h2 class="title_a">| Daily Time Record</h2>
		<div id="main_info">
			 <form name="frmBilling" id="frmBilling" method="post" onSubmit="events('saveBilling', 0); return false;">
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Lawyer : 
					</div>
					<div class="two_col ">
						<span id="lawyer">
						<?php 
						$test =  unserialize(base64_decode($userData[UserClass::FD_USER_ASSLAW]));
						$arrEvent = array('onchange'=>'events(\'getClients\', this.value);xajax_getActivities(this.value,frmBilling.hdnDate.value)');
						print $fileLawyer->getSecretaryLawyerCombo(null, $arrEvent, null, $test); 
						?>
						</span>&nbsp;<font color="#FF0000">*</font> <span id="reqLawyer" class="errmsg"></span>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Date : 
					</div>
					<div class="two_col ">
						<span id="billing_date">
						<input type="text" id="txtDate" name="txtDate" class="date" value="<?php echo $dateToday;?>">
						<input type="hidden" id="hdnDate" name="hdnDate" value="<?php echo $dateTodayHidden;?>">
						</span>&nbsp;<font color="#FF0000">*</font> <span id="reqDate" class="errmsg"></span>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Client : 
					</div>
					<div class="two_col">
						<span id="client_combo"><?php 
							$arrEvent = array('onchange'=>'getFiles(this.value)');
							print $client->getClientComboForDRS($clientId, $arrEvent, null);
						?></span>&nbsp;<font color="#FF0000">*</font><span id="reqClient" class="errmsg"></span>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						JEM : 
					</div>
					<div class="two_col">
						<span id="jem_combo"><?php 
							print $file->getJemsCombo($clientId, $fileId);
						?></span>
						&nbsp;<font color="#FF0000">*</font><span id="reqJem" class="errmsg"></span>
						<span id="jem_title"></span>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Task Type : 
					</div>
					<div class="two_col">
						<input type="radio" name="radTaskType" id= "radTaskTypeB" value = 1> Billable &nbsp;&nbsp;&nbsp;
						<input type="radio" name="radTaskType" id= "radTaskTypeNB" value = 2> Non-billable
						&nbsp;<font color="#FF0000">*</font><span id="reqType" class="errmsg"></span>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Task Code : 
					</div>
					<div class="two_col">
						<span id="task_codes"><?php 
							print $settings->getTaskCodeCombo();
						?>
						</span>&nbsp;<font color="#FF0000">*</font><span id="reqCode" class="errmsg"></span>
					</div>
				</div>
				
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Description : 
					</div>
					<div class="two_col">
						<textarea name="txtWorkDetail" id="txtWorkDetail" ></textarea>&nbsp;<font color="#FF0000">*</font><span id="reqDesc" class="errmsg"></span>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Time : 
					</div>
					<div class="two_col">
						<input type="text" class="timeInput" name="txtTime" id="txtTime" maxlength="5" size="5" value=""> <font color="#FF0000">*</font>&nbsp;<span id="reqTime" class="errmsg"></span>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						&nbsp;
					</div>
					<div class="two_col">
						<?php 
							$hours = '00,01,02,03,04,05,06,07,08,09,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24';
							$minutes = '00,01,02,03,04,05,06,07,08,09,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60';
							$hoursChoices = explode(',', $hours);
							$minutesChoices = explode(',', $minutes);
							$startTimehours = $fileBill->timeCombo('startTimeHrs', $hoursChoices);
							$startMinhours = $fileBill->timeCombo('startTimeMin', $minutesChoices);
							$endTimehours = $fileBill->timeCombo('endTimeHrs', $hoursChoices);
							$endMinhours = $fileBill->timeCombo('endTimeMin', $minutesChoices);
							print '
							<b>Start : </b><div style="width:100%; float:left;"><div class="ui-widget timecombo"> '.$startTimehours.'</div><div class="ui-widget timecombo"> : '.$startMinhours.' </div></div>';
						?>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						&nbsp;
					</div>
					<div class="two_col">
						<?php 
							print '
							<b>End : </b><div style="width:100%; float:left;"><div class="ui-widget timecombo"> '.$endTimehours.' </div><div class="ui-widget timecombo"> : '.$endMinhours.'</div></div>';
						?>
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
					</div>
					<div class="two_col">
						<input type="hidden" name="hdnFileBillingId" id="hdnFileBillingId" value="">
						<input type="hidden" name="hdnSpentTime" id="hdnSpentTime" value="">
						<input type="hidden" name="hdnRate" id="hdnRate" value="">
						<input type="hidden" name="hdnUserId" id="hdnUserId" value="<?php print $userId;?>"/>
						<input type="button" value="Save" name="Save" onClick="events('saveBilling', 0)" />
						<input type="button" value="Cancel" name="Cancel" onClick="clearBillingInfo()" />
						<input type="hidden" name="hdnAction" id="hdnAction" value="add"/>
					</div>
				</div>
			</form>
			<div class="one_small_col">
				<div class="tabber">
                         <div class="tabbertab">
							<h2>Summary</h2><br />
							<div id="activity_list" name="activity_list">
							<?php 
							$lawyerId = ($_POST['cmbFileLawyer'] != '') ? $_POST['cmbFileLawyer'] : null;
							print $fileBill->getBillingListSec($lawyerId, date('Y-m-d'));?>
							</div>
							<br />
                         </div>
                    </div>	
			</div>
<?php include("footer.php"); ?>
</body>
<script>
	var frmBilling = document.getElementById('frmBilling');
	function getFiles(clientId)
	{
		lawyerId = frmBilling.cmbFileLawyer.options[frmBilling.cmbFileLawyer.selectedIndex].value;
		xajax_getJemsPerClient(clientId,lawyerId);
	}
	function displayJemTitle(jemId)
	{
		var userId = frmBilling.cmbFileLawyer.options[frmBilling.cmbFileLawyer.selectedIndex].value;
		xajax_getJemTitle(jemId, userId);
	}
	function displayTaskDesc(taskCodeId)
	{
		xajax_getTaskDesc(taskCodeId);
	}
	function events(eventType, id)
	{
		switch (eventType){
			case 'getFiles':
				clientId = frmBilling.cmbClient.options[frmBilling.cmbClient.selectedIndex].value;
				lawyerId = frmBilling.cmbFileLawyer.options[frmBilling.cmbFileLawyer.selectedIndex].value;
				xajax_getJemsPerClient(clientId,lawyerId);
				break;
			case 'getClients':
				xajax_getClients(id);
				break;
			case 'saveBilling':
				blnReturn = validateForm();
				if (!blnReturn)
					break;
				xajax_saveBilling(xajax.getFormValues("frmBilling"));
				clearBillingInfo();
				preFilledForm();
				break;
			case 'getBilling':
				clearRequiredFields();
				xajax_getBilling(id);
				break;
			case 'deleteBilling':
				var response = confirm('Are you sure you want to delete this record?');
				if (response)
				date = frmBilling.hdnDate.value;
					xajax_deleteBilling(frmBilling.cmbFileLawyer.value, id, date);
				break;
			case 'changeDate':
				if (frmBilling.hdnAction.value == 'add')
				{
					date = frmBilling.hdnDate.value;
					//clearBillingInfo();
					xajax_getActivities(frmBilling.cmbFileLawyer.value, date);
				}
				else (frmBilling.hdnAction.value == 'edit')
				{
					date = frmBilling.hdnDate.value;
					//clearBillingInfo();
					xajax_getActivities(frmBilling.cmbFileLawyer.value, date);
				}
				break;
			case 'addBilling':
			case 'cancelForm':
				if (frmBilling.hdnAction.value == 'add')
				{
					clearBillingInfo();
				}
				else (frmBilling.hdnAction.value == 'edit')
				{
					window.location = 'timebillingdsr.php';
				}
				break;
			default:
				break;
		}
	}
	
	function clearBillingInfo()
	{
		frmBilling.cmbJems.value = '';
		frmBilling.cmbFileLawyer.value = '';
		frmBilling.txtWorkDetail.value = '';
		frmBilling.hdnSpentTime.value = '';
		frmBilling.hdnRate.value = '';
		frmBilling.cmbClient.value = '';
		frmBilling.txtTime.value = '';
		frmBilling.cmbTaskCode.value = '';
		frmBilling.startTimeHrs.value = '';
		frmBilling.startTimeMin.value = '';
		frmBilling.endTimeHrs.value = '';
		frmBilling.endTimeMin.value = '';
		frmBilling.timeComboUI.val = '';
		document.getElementById('jem_title').innerHTML = '';
		frmBilling.hdnAction.value = 'add';
		frmBilling.radTaskType.checked = false;
		frmBilling.reset();
		clearRequiredFields();
	}
	
	function clearRequiredFields()
	{
		document.getElementById('reqLawyer').innerHTML = '';
		document.getElementById('reqDate').innerHTML = '';
		document.getElementById('reqTime').innerHTML = '';
		document.getElementById('reqClient').innerHTML = '';
		document.getElementById('reqJem').innerHTML = '';
		document.getElementById('reqType').innerHTML = '';
		document.getElementById('reqCode').innerHTML = '';
		document.getElementById('reqDesc').innerHTML = '';
	}
	
	function validateForm()
	{
		var blnReturn = true;
		document.getElementById('reqLawyer').innerHTML = '';
		document.getElementById('reqDate').innerHTML = '';
		document.getElementById('reqTime').innerHTML = '';
		document.getElementById('reqClient').innerHTML = '';
		document.getElementById('reqJem').innerHTML = '';
		document.getElementById('reqType').innerHTML = '';
		document.getElementById('reqCode').innerHTML = '';
		document.getElementById('reqDesc').innerHTML = '';
		
		if (frmBilling.hdnDate.value == '')
		{
			document.getElementById('reqDate').innerHTML = 'Date is required';
			blnReturn = false;
		}
		if ((frmBilling.txtTime.value == '') && (frmBilling.startTimeHrs.value == '') && (frmBilling.startTimeMin.value == '') && (frmBilling.endTimeHrs.value == '') && (frmBilling.endTimeMin.value == ''))
		{
			document.getElementById('reqTime').innerHTML = 'Time is required';
			blnReturn = false;
		}
		else
		{
			document.getElementById('hdnSpentTime').value = frmBilling.txtTime.value;
			if (isNaN(frmBilling.txtTime.value))
			{
				document.getElementById('reqTime').innerHTML = 'Time requires a number';
				blnReturn = false;
			}
			else if ((frmBilling.startTimeHrs.value != '') && (frmBilling.startTimeMin.value != '') && (frmBilling.endTimeHrs.value != '') && (frmBilling.endTimeMin.value != ''))
			{
				var startHours = frmBilling.startTimeHrs.value;
				var startMin = frmBilling.startTimeMin.value;
				var endHours = frmBilling.endTimeHrs.value;
				var endMin = frmBilling.endTimeMin.value;
				var startMinDec = startMin/60;
				var startTime = parseInt(startHours) + parseFloat(startMinDec);
				var endMinDec = endMin/60;
				var endTime = parseInt(endHours) + parseFloat(endMinDec);
				var timeDiff = parseFloat(endTime) - parseFloat(startTime);
				document.getElementById('hdnSpentTime').value = timeDiff;
				if (timeDiff < 0)
				{
					document.getElementById('reqTime').innerHTML = 'Time is invalid';
					blnReturn = false;
				}
				else
				{
					document.getElementById('txtTime').value = timeDiff;
				}
			}
			else
			{
				//do nothing
			}
		}
		if (frmBilling.cmbClient.value == '')
		{
			document.getElementById('reqClient').innerHTML = 'Client is required';
			blnReturn = false;
		}
		if (frmBilling.cmbFileLawyer.value == '')
		{
			document.getElementById('reqLawyer').innerHTML = 'Lawyer is required';
			blnReturn = false;
		}
		if (frmBilling.cmbJems.value == '')
		{
			document.getElementById('reqJem').innerHTML = 'JEM is required';
			blnReturn = false;
		}
		if (frmBilling.radTaskType.value == '')
		{
			document.getElementById('reqType').innerHTML = 'Task type is required';
			blnReturn = false;
		}
		if (frmBilling.cmbTaskCode.value == '')
		{
			document.getElementById('reqCode').innerHTML = 'Task code is required';
			blnReturn = false;
		}
		if (frmBilling.txtWorkDetail.value == '')
		{
			document.getElementById('reqDesc').innerHTML = 'Description is required';
			blnReturn = false;
		}
		return blnReturn;
	}
	
	function initializeForm()
	{
		Select_Value_Set('cmbClient', <?php print $clientId;?>);
		Select_Value_Set('cmbFile', '<?php print $fileType;?>');
		frmBilling.txtFileNumber.value = '<?php print $fileNumber;?>';
		frmBilling.hdnFileId.value = '<?php print $fileId;?>';
		document.getElementById('filName').innerHTML = '<?php print $fileName;?>';
	}
	
	function preFilledForm()
	{
		xajax_preFilledBilling();
	}
	
	<?php if ($fileId > 0) {?>
		initializeForm();
	<?php }
		else{
	?>
		 preFilledForm();
	<?php
		}
	?>
	
</script>
</html>
