<?php 
	include '../config/config.php';
	include_once 'log_check.php';
	Kernel::includeObject('lib/classes/UserClass.inc');
	Kernel::includeObject('lib/classes/ps_pagination');
	Kernel::includeObject('lib/xajax/xajax.inc');
	if ($_SESSION['access'] != 2) //super admin
	{
		void_redirect_url('homepage.php', 2, 'Redirecting to Homepage. Please wait...');
	}	
	function keywordSearch($keyword)
	{
		$position = !isset($_SESSION['uPosition']) || $_SESSION['uPosition'] == ''? NULL: $_SESSION['uPosition'];
		$objResponse = new xajaxResponse();
		$user = new UserClass();
		$table = $user->getUserList(1, $keyword, $position);
		$objResponse->addAssign("page_holder","innerHTML",$table);
		$_SESSION['uKeyword'] = $keyword;
		return $objResponse;
	}
	
	
	function userPositionSearch($position)
	{
		$keyword = !isset($_SESSION['uKeyword']) || $_SESSION['uKeyword'] == ''? NULL: $_SESSION['uKeyword'];
		$objResponse = new xajaxResponse();
		$file = new UserClass();
		$table = $file->getUserList(1, $keyword, $position);
		$objResponse->addAssign("page_holder","innerHTML",$table);
		$_SESSION['uPosition'] = $position;
		return $objResponse;
	}


	function pageSearch($page)
	{
		$keyword = !isset($_SESSION['uKeyword']) || $_SESSION['uKeyword'] == ''? NULL: $_SESSION['uKeyword'];
		$position = !isset($_SESSION['uPosition']) || $_SESSION['uPosition'] == ''? NULL: $_SESSION['uPosition'];
		$objResponse = new xajaxResponse();
		$user = new UserClass();
		$table = $user->getUserList($page, $keyword, $position);
		$objResponse->addAssign("page_holder","innerHTML",$table);
		return $objResponse;
	}
	
	function deleteUser($id)
	{
		unset($_SESSION['cKeyword']);
		unset($_SESSION['cFileType']);
		unset($_SESSION['cFileNumber']);
		$objResponse = new xajaxResponse();
		$user = new UserClass();
		$user->deleteUser($id);
		$objResponse->addAlert("Delete successful");
		$table = $user->getUserList();
		$objResponse->addAssign("page_holder","innerHTML",$table);
		return $objResponse;
	}
	

	$xajax = new xajax();
	$xajax->setCharEncoding("UTF-8");
	$xajax->registerFunction("keywordSearch");
	$xajax->registerFunction("userPositionSearch");
	$xajax->registerFunction("pageSearch");
	$xajax->registerFunction("deleteUser");
	$xajax->processRequests();
	$title = 'User List';
	include_once 'header.php';

	$xajax_dir = "js";
	$xajax->printJavascript($xajax_dir);
	
	$user = new UserClass();
?>

</head>
<script>
	function events(eventType, id)
	{
		switch (eventType){
			case 'add':
				window.location = 'user_add.php';
				break;
			case 'edit':
				window.location = 'user_edit.php?ulid=' + id;
				break;
			case 'view':
				window.location = 'user_view.php?ulid=' + id;
				break;
			case 'delete':
				var response = confirm('Are you sure you want to delete this record?');
				if (response)
					xajax_deleteUser(id);
				break;
		}
	}
	
	function confirmDelete()
	{
	}
</script>
<body>
<div id="wrapper" class="user">
	<?php include("menu_bar.php"); ?>
<div id="main">
		<h2 class="title_a">| User List</h2>
	<div id="main_info">
			<div class="col_holder">
				<div class="four_col text_r f_left title_b">
					Keyword Search :&nbsp; 
				</div>
				<div class="four_col f_left">
					<input type="text" name="txtKywrd" id="txtKywrd" maxlength="50" size="25" value="" onKeyUp="xajax_keywordSearch(this.value)" placeholder="Last name, first name or username"><br>&nbsp;
				</div>
				<div class="four_col text_r f_left title_b">
					Position : &nbsp;
				</div>
				<div class="four_col f_left">
				<?php 
					$events = array('onchange' => 'xajax_userPositionSearch(this.value)');
					print $user->getPositionCombo(NULL, $events);
				?><br>&nbsp;
				</div>
			</div>
		<?php print $user->getUserList();?>
<?php include("footer.php"); ?>
</body>
</html>
