<?php
class ContactClass
{
	private $Db;
	
	public static $contactTypes = array(
			1 => 'Primary',
			2 => 'Secondary',
			3 => 'Tertiary',
			4 => 'Others',
		);
	
	const TABLENAME_CONTACT_INFO = 'client_contact_tbl';
	const FD_CONTACT_ID = 'client_contact_id';
	const FD_CLIENT_ID = 'client_id';
	const FD_CONTACT_LNAME = 'contact_lastname';
	const FD_CONTACT_FNAME = 'contact_firstname';
	const FD_CONTACT_TELNO = 'contact_telno';
	const FD_CONTACT_FAXNO = 'contact_faxno';
	const FD_CONTACT_CELLNO = 'contact_cellno';
	const FD_CONTACT_EMAIL = 'contact_email';
	const FD_CONTACT_TYPE = 'contact_type';
	const FD_CONTACT_POSITION = 'contact_position';
	const FD_ACTIVE = 'active';
	
	private $arrDataDef = array(
			self::FD_CONTACT_ID => 'integer',
			self::FD_CLIENT_ID => 'integer',
			self::FD_CONTACT_LNAME => 'string',
			self::FD_CONTACT_FNAME => 'string',
			self::FD_CONTACT_TELNO => 'string',
			self::FD_CONTACT_FAXNO => 'string',
			self::FD_CONTACT_CELLNO => 'string',
			self::FD_CONTACT_EMAIL => 'string',
			self::FD_CONTACT_TYPE => 'integer',
			self::FD_CONTACT_POSITION => 'string',
			self::FD_ACTIVE => 'integer',
		);
	
	public function __construct()
	{
		$this->Db = new MSSQLDatabase();
	}
	
	public function addContact($arrData)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['insert_by'] = intval($_SESSION['user_id']);
		$arrFormat['insert_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		foreach($arrFormat as $key => $value)
		{
			$fieldValues[] = $key;
			$fieldNames[] = $value;
		}
		
		$sql = 'INSERT INTO '.self::TABLENAME_CONTACT_INFO.'('.implode(',',$fieldValues).') VALUES ('.implode(',',$fieldNames).')';
		$this->Db->insertStatement($sql);
		return $this->Db->insertID;
	}
	
	public function editContact($contactId, $arrData)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['update_by'] = intval($_SESSION['user_id']);
		$arrFormat['update_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		$set = '';
		foreach($arrFormat as $key => $value)
		{
			if ($set != '')
				$set .= ', ';
				
			$set .= $key.' = '.$value;
		}
		
		$sql = 'UPDATE '.self::TABLENAME_CONTACT_INFO.' SET '.$set.' WHERE '.self::FD_CONTACT_ID.' = '.intval($contactId);
		$this->Db->selectDatafromDB($sql);
	}
	
	public function deleteContact($contactId)
	{
		$arrFormat = array();
		$arrFormat['update_by'] = intval($_SESSION['user_id']);
		$arrFormat['update_dt'] = 'now()';
		$arrFormat[ContactClass::FD_ACTIVE] = 0; //inactive
		$fieldValues = array();
		$fieldNames = array();
		$set = '';
		foreach($arrFormat as $key => $value)
		{
			if ($set != '')
				$set .= ', ';
				
			$set .= $key.' = '.$value;
		}
		
		$sql = 'UPDATE '.self::TABLENAME_CONTACT_INFO.' SET '.$set.' WHERE '.self::FD_CONTACT_ID.' = '.intval($contactId);
		$this->Db->selectDatafromDB($sql);
	}
	
	public static function getContactTypeCombo($value=NULL, $action=array(), $name="cmbType", $id="cmbType")
	{
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';
				
				$events .= $key . '="' . $eventAction .'"';
			}
		}
		$combo = '<select name="'.$name.'" id="'.$id.'" ' . $events . '>';
		
		$contactTypes = ContactClass::$contactTypes;
		foreach($contactTypes as $key => $data)
		{
			if ($key == $value)
			{
				$combo .= '<option value="' . $key . '" id="'.$name.$key.'" selected>' . $data . '</option>';
			}
			else 
			{
				$combo .= '<option value="' . $key . '" id="'.$name.$key.'">' . $data . '</option>';
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	
	public function getContactList($clientId)
	{
		$sql = 'SELECT * FROM ' . self::TABLENAME_CONTACT_INFO . ' WHERE client_id = ' . intval($clientId).' and active = 1';
		$rec = $this->Db->selectDatafromDB($sql);
		
		// $table = '	<table id="contacts-list-table" border="0" cellpadding="0" cellspacing="0" style="border: solid 1px #3c546d; padding:5px 2px 2px 2px;">';
		// $table .= '		<tr id="table-header">';
        // $table .= '     	<td colspan="6" id="table-header"><b>Contact Person List</b></td>';
        // $table .= '		</tr>';
		// $table .= '		<tr id="table-header">';
		// $table .= '			<th id="table-header">First name</th>';
		// $table .= '			<th id="table-header">Last name</th>';
		// $table .= '			<th id="table-header">Type</th>';
		// $table .= '			<th id="table-header">Position</th>';
		// $table .= '			<th colspan="3" align="center" id="table-header"><a href="#Contacts" onclick="events(\'showContactAdd\', 0)" title="Add Contact"><img src="images/add.png" border="0"></a></th>';
		// $table .= '		 </tr>';		
		$table = '	<div class="table">';
		$table .= '		<div class="tr" id="table-header">';
        $table .= '     	<div class="th title_b" id="table-header"><b>Contact Person List</b></div>';
        $table .= '		</div>';
		$table .= '		<div class="tr" id="table-header">';
		$table .= '			<div class="th clientinfo_fn" id="table-header">First name</div>';
		$table .= '			<div class="th clientinfo_ln" id="table-header">Last name</div>';
		$table .= '			<div class="th clientinfo_type" id="table-header">Type</div>';
		$table .= '			<div class="th clientinfo_position" id="table-header">Position</div>';
		$table .= '			<div class="th add" align="center" id="table-header"><a href="#Contacts" onclick="events(\'showContactAdd\', 0)" title="Add Contact"><img src="images/add.png" border="0"></a></div>';
		$table .= '		 </div>';
		
		$rowCnt = mysql_num_rows($rec);
		
		if ($rowCnt > 0)
		{
			$ctr = 1;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$contactPos = self::$contactTypes[$row[self::FD_CONTACT_TYPE]];
				$table .= '		 <div class="tr" id="'.$classRow.'">';
				$table .= '			<div class="td clientinfo_fn" id="table-row"><span>First name : </span>'.ellipsis($row[self::FD_CONTACT_FNAME], 20).'</div>';
				$table .= '			<div class="td clientinfo_ln" id="table-row"><span>Last name : </span>'.ellipsis($row[self::FD_CONTACT_LNAME], 20).'</div>';
				$table .= '			<div class="td clientinfo_type" id="table-row"><span>Type : </span>'.$contactPos.'</div>';
				$table .= '			<div class="td clientinfo_position" id="table-row"><span>Position : </span>'.$row[self::FD_CONTACT_POSITION].'</div>';
				$table .= '			<div class="td actions" align="center" id="table-row"><a href="#Contacts" onclick="events(\'showContactEdit\','.$row[self::FD_CONTACT_ID].')" title="Edit Contact"><img src="images/edit.png" border="0"></a></div>';
				$table .= '			<div class="td actions" align="center" id="table-row"><a href="#" onclick="events(\'getContactView\', '.$row[self::FD_CONTACT_ID].')" title="View Contact"><img src="images/view.png" border="0"></a></div>';
				$table .= '			<div class="td actions" align="center" id="table-row"><a href="#" onclick="events(\'deleteContact\', '.$row[self::FD_CONTACT_ID].')"><img src="images/delete.png" border="0" title="Delete Contact"></a></div>';
				$table .= '		 </div>';
				$ctr++;
			}
		}
		else
		{
			$table .= '		 <div class="tr">';
			$table .= '			<div class="th" align="center"><i>--No Contacts Listed--</i></div>';
			$table .= '		 </div>';
		}
		$table .= '	</div>';
		
		return $table;
	}
	
	public function getPrimaryContact($clientId, $contactType = 1)
	{
		$sql = 'SELECT * FROM ' . self::TABLENAME_CONTACT_INFO . ' WHERE client_id = ' . intval($clientId).' and contact_type = '.$contactType; 
		$rec = $this->Db->selectDatafromDB($sql);
		$result = array();
		$rowCnt = mysql_num_rows($rec);
		
		if ($rowCnt > 0)
		{
			$ctr = 1;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				$contactPos = self::$contactTypes[$row[self::FD_CONTACT_TYPE]];
				$result['name'] = $row[self::FD_CONTACT_FNAME].' '.$row[self::FD_CONTACT_LNAME];
				$result['position'] = $row[self::FD_CONTACT_POSITION];
				$result['telephone'] = $row[self::FD_CONTACT_TELNO];
				$result['mobile'] = $row[self::FD_CONTACT_CELLNO];
				$result['email'] = $row[self::FD_CONTACT_EMAIL];
			}
		}
		return $result;
	}
	
	public function getEditData($contactId)
	{
		$sql = 'SELECT * FROM ' . self::TABLENAME_CONTACT_INFO . ' WHERE '.self::FD_CONTACT_ID.' = ' . intval($contactId);
		$rec = $this->Db->selectDatafromDB($sql);
		
		if (mysql_num_rows($rec) == 0)
			return array();
		
		$row = mysql_fetch_array($rec);
		return $row;
	}
}
?>