<?php
Kernel::includeObject('lib/classes/FileLawyerClass.inc');

class FileClass
{
	private $Db;
	public $pages;
	
	
	const TABLENAME_USER_INFO = 'user_info_tbl';
	const VIEWNAME_LIST = 'file_list_vw';
	const TABLENAME_FILE_INFO = 'file_info_tbl';
	const LISTVIEW_LIMIT = 10;
	
	const FD_USER_ID = 'user_id';
	const FD_USER_FIRSTNAME = 'firstname';
	const FD_USER_LASTNAME = 'lastname';
	const FD_FILE_ID = 'file_id';
	const FD_CLIENT_ID = 'client_id';
	const FD_FILE_TYPE = 'file_type';
	const FD_FILE_NUMBER = 'file_number';
	const FD_FILE_NAME = 'file_name';
	const FD_FILE_RE = 'file_re';
	const FD_FILE_ADVERSE_PARTY = 'file_adverse_party';
	const FD_FILE_ADVERSE_ADDRESS = 'file_adverse_address';
	const FD_FILE_OPPOSING_COUNSEL = 'file_opposing_counsel';
	const FD_FILE_OPPOSING_ADDRESS = 'file_opposing_address';
	const FD_FILE_ACCEPTANCE_FEE = 'file_acceptance_fee';
	const FD_FILE_FIXED_FEE = 'file_fixed_fee';
	const FD_FILE_INITIAL_FEE = 'file_initial_fee';
	const FD_FILE_RETAINERS_FEE = 'file_retainers_fee';
	const FD_FILE_OPE_DEPOSIT = 'file_ope_deposit';
	const FD_FILE_UNUSED_OPE = 'file_unused_ope';
	const FD_FILE_LAST_BILLING = 'file_last_billing';
	const FD_FILE_DATE_OPENED = 'file_date_opened';
	const FD_FILE_STATUS = 'file_status';
	const FD_FILE_REMARKS = 'file_remarks';
	const FD_ACTIVE = 'active';
	
	private $arrDataDef = array(
			self::FD_USER_ID => 'integer',	
			self::FD_CLIENT_ID => 'integer',
			self::FD_USER_FIRSTNAME => 'string',
			self::FD_USER_LASTNAME => 'string',
			self::FD_FILE_TYPE => 'string',
			self::FD_FILE_NUMBER => 'string',
			self::FD_FILE_NAME => 'string',
			self::FD_FILE_RE => 'string',
			self::FD_FILE_ADVERSE_PARTY => 'string',
			self::FD_FILE_ADVERSE_ADDRESS => 'string',
			self::FD_FILE_OPPOSING_COUNSEL => 'string',
			self::FD_FILE_OPPOSING_ADDRESS => 'string',
			self::FD_FILE_ACCEPTANCE_FEE => 'float',
			self::FD_FILE_FIXED_FEE => 'float',
			self::FD_FILE_INITIAL_FEE => 'float',
			self::FD_FILE_RETAINERS_FEE => 'float',
			self::FD_FILE_OPE_DEPOSIT => 'double',
			self::FD_FILE_UNUSED_OPE => 'double',
			self::FD_FILE_LAST_BILLING => 'string',
			self::FD_FILE_DATE_OPENED => 'string',
			self::FD_FILE_STATUS => 'integer',
			self::FD_FILE_REMARKS => 'string',
			self::FD_ACTIVE => 'integer',
		);
	
	public static $fileTypes = array(
			'' => '',
			'CS' => 'CS',
			'IM' => 'IM',
			'IP' => 'IP',
			'LB' => 'LB',
			'LT' => 'LT',
			'MS' => 'MS',
			'OF' => 'OF',
			'PB' => 'PB',
			'PD' => 'PD',
			'RE' => 'RE',
			'SP' => 'SP',
		);
		
	public static $fileStatus = array(
			1 => 'Active',
			0 => 'Inactive',
		);
	
	public function __construct()
	{
		$this->Db = new MSSQLDatabase();
	}
	
	public function addFile($arrData)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['insert_by'] = intval($_SESSION['user_id']);
		$arrFormat['insert_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		foreach($arrFormat as $key => $value)
		{
			$fieldValues[] = $key;
			$fieldNames[] = $value;
		}
		
		$sql = 'INSERT INTO '.self::TABLENAME_FILE_INFO.'('.implode(',',$fieldValues).') VALUES ('.implode(',',$fieldNames).')';
		$this->Db->insertStatement($sql);
		return $this->Db->insertID;
	}
	
	public function editFile($fileId, $arrData)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['update_by'] = intval($_SESSION['user_id']);
		$arrFormat['update_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		$set = '';
		foreach($arrFormat as $key => $value)
		{
			if ($set != '')
				$set .= ', ';
				
			$set .= $key.' = '.$value;
		}
		
		$sql = 'UPDATE '.self::TABLENAME_FILE_INFO.' SET '.$set.' WHERE '.self::FD_FILE_ID.' = '.intval($fileId);
		$this->Db->selectDatafromDB($sql);
	}
	
	public function getFileInfo($fileId)
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_FILE_INFO.' WHERE file_id = '.intval($fileId);
		$rec = $this->Db->selectDatafromDB($sql);
		
		$cnt = mysql_num_rows($rec);
		
		if ($cnt == 0)
			return array();
		
		$arrData = array();
		$row = mysql_fetch_array($rec);
		foreach($row as $key => $value)
		{
			$arrData[$key] = $value;
		}
		
		return $arrData;
	}
	
	public function getFileStatusCombo($value=NULL, $action=array())
	{
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';
				
				$events .= $key . '="' . $eventAction .'"';
			}
		}
		$combo = '<select name="cmbFileStatus" id="cmbFileStatus" ' . $events . '>';
		
		$fileStatus = self::$fileStatus;
		$cnt = 1;
		foreach($fileStatus as $key => $data)
		{
			if (!is_null($value) && $key == $value)
			{
				$combo .= '<option value="' . $key . '" selected>' . $data . '</option>';
				$cnt++;
			}
			elseif($cnt == 1)
			{
				$combo .= '<option value="' . $key . '" selected>' . $data . '</option>';
				$cnt++;
			}
			else 
			{
				$combo .= '<option value="' . $key . '">' . $data . '</option>';
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	
	public function getFileTypeCombo($value=NULL, $action=array(), $allValuesOnly=false)
	{
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';
				
				$events .= $key . '="' . $eventAction .'"';
			}
		}
		$combo = '<select name="cmbFile" id="cmbFile" ' . $events . '>';
		
		$fileTypes = self::$fileTypes;
		foreach($fileTypes as $key => $data)
		{
			if ($allValuesOnly && $data == '')
			{
				continue;
			}
		
			if ($key == $value)
			{
				$combo .= '<option value="' . $key . '" selected>' . $data . '</option>';
			}
			else 
			{
				$combo .= '<option value="' . $key . '">' . $data . '</option>';
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	
	public function getSelectClientFiles($clientId=0, $action=array())
	{
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';
				
				$events .= $key . '="' . $eventAction .'"';
			}
		}
		$combo = '<select name="cmbFile" id="cmbClientFiles" ' . $events . '>';
		$combo .= '<option value=""><em>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</em></option>';
		
		$sql = 'SELECT * FROM '.self::TABLENAME_FILE_INFO.' WHERE '.self::FD_CLIENT_ID.' = '. intval($clientId);
		$rec = $this->Db->selectDatafromDB($sql);		
		$cnt = mysql_num_rows($rec);
		
		if ($clientId != 0 && $cnt != 0)
		{
			while ($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				$combo .= '<option value="'.$row[self::FD_FILE_ID].'">'.$row[self::FD_FILE_TYPE].'.'.$row[self::FD_FILE_NUMBER].'</option>';
			}
		}
			
		$combo .= '</select>';
		return $combo;
	}
	
	public function getSelectLawyerFiles($clientId=0, $action=array())
	{
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';
				
				$events .= $key . '="' . $eventAction .'"';
			}
		}
		$combo = '<select name="cmbFile" id="cmbClientFiles" ' . $events . '>';
		$combo .= '<option value=""><em>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</em></option>';
		
		$sql = 'SELECT * FROM '.self::TABLENAME_FILE_INFO.' WHERE '.self::FD_CLIENT_ID.' = '. intval($clientId);
		$rec = $this->Db->selectDatafromDB($sql);		
		$cnt = mysql_num_rows($rec);
		
		if ($clientId != 0 && $cnt != 0)
		{
			while ($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				$combo .= '<option value="'.$row[self::FD_FILE_ID].'">'.$row[self::FD_FILE_TYPE].'.'.$row[self::FD_FILE_NUMBER].'</option>';
			}
		}
			
		$combo .= '</select>';
		return $combo;
	}
	
	public function getUserFiles($userId = 0, $action=array())
	{
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';
				
				$events .= $key . '="' . $eventAction .'"';
			}
		}
		
		$arrFiles = FileLawyerClass::getLawyerFiles($userId);
		$ids = implode(', ', $arrFiles);
		$ids = $ids == ''? '0': $ids;
		$cond = 'active = 1  AND file_id IN ('.$ids.')';
		$sql = 'SELECT * FROM ' . self::VIEWNAME_LIST . ' WHERE ' . $cond . ' ORDER BY file_type, file_number';

		$combo = '<select name="cmbFile" id="cmbClientFiles" ' . $events . '>';
		$combo .= '<option value=""><em>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</em></option>';
		
		$rec = $this->Db->selectDatafromDB($sql);		
		$cnt = mysql_num_rows($rec);
		
		if ($cnt != 0)
		{
			while ($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				$combo .= '<option value="'.$row[self::FD_FILE_ID].'">'.$row[self::FD_FILE_TYPE].'.'.$row[self::FD_FILE_NUMBER].'</option>';
			}
		}
			
		$combo .= '</select>';
		return $combo;
	}
	
	public function getFileList($userId, $access, $page=1, $keyword=NULL, $fileType=NULL, $fileNumber=NULL)
	{
		$condAccess = '';
		if ($access == 1)
		{
			$arrFiles = FileLawyerClass::getLawyerFiles($userId);
			if (count($arrFiles))
			{
				$ids = implode(', ', $arrFiles);
				$condAccess = ' AND file_id IN ('.$ids.')';
			}
		}
	
		$arrField = array('client_id', 'client_name', 'file_id', 'concat(file_type, ".", file_number) AS file_number');
		$cond = 'active = 1';
		if ($keyword != NULL && $keyword != '')
			$cond .= ' AND UCASE(client_name) like "' . strtoupper($keyword) . '%"';
		if ($fileType != NULL && $fileType != '') 
			$cond .= ' AND UCASE(file_type) = "' . strtoupper($fileType) . '"';
		if ($fileNumber != NULL && $fileNumber != '') 
			$cond .= ' AND file_number like "' . strtoupper($fileNumber) . '%"';
		if ($condAccess != '')
			$cond .= $condAccess;
		$start = ($page * self::LISTVIEW_LIMIT) - self::LISTVIEW_LIMIT;
		
		$sql = 'SELECT ' . implode(', ', $arrField) . ' FROM ' . self::VIEWNAME_LIST . ' WHERE ' . $cond;
		$arrSQL = array();
		$arrSQL['fields'] = implode(', ', $arrField);
		$arrSQL['table'] = self::VIEWNAME_LIST;
		$arrSQL['cond'] = $cond;
		$pager = new PS_Pagination($this->Db->dbConnectionID, $arrSQL, self::LISTVIEW_LIMIT, 3, '', $page);
		$pager->setActionEvent(true, 'xajax_pageSearch('.PS_Pagination::PAGE_TAG.')');
		$rec = $pager->paginate();
		$pages = $pager->renderFullNav();
		$table = '	<table width="700px" cellpadding="0" cellspacing="0" style="border: solid 1px #3c546d; padding:5px 2px 2px 2px;">';
		$table .= '		<tr id="table-header">';
		$table .= '			<th id="table-header">No</th>';
		$table .= '			<th id="table-header">Client</th>';
		$table .= '			<th id="table-header">File</th>';
		$table .= '			<th id="table-header">&nbsp;</th>';
		$table .= '		 </tr>';
		
		$rowCnt = 0;
		if(is_resource($rec))
		{
			$rowCnt = mysql_num_rows($rec);
		}
		
		if ($rowCnt > 0)
		{
			$ctr = ($page * self::LISTVIEW_LIMIT) - self::LISTVIEW_LIMIT;
			$ctr++;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$table .= '		 <tr id="'.$classRow.'">';
				$table .= '			<td id="table-row">'.$ctr.'</td>';
				$table .= '			<td id="table-row">'.ellipsis($row['client_name'], 20).'</td>';
				$table .= '			<td id="table-row">'.$row['file_number'].'</td>';
				$table .= '			<td id="table-row"><a href="#" onclick="events(\'edit\', '.$row['file_id'].')" title="Add Billing"><img src="images/edit.png" border="0"></a></td>';
				$table .= '		 </tr>';
				$ctr++;
			}
		}
		else
		{
			$table .= '		 <tr>';
			$table .= '			<td colspan="4" align="center"><i>--No Files Listed--</i></td>';
			$table .= '		 </tr>';
			
		}
		
		$table .= '	</table>';
		#return $table;
		
		$html = '<div style="padding:10px 25px 10px 25px; border: solid 1px #3c546d;">';
		$html .= '	<table width="100%" cellpadding="5" cellspacing="10">';
		$html .= '			<tr>';
		$html .= '				<td colspan="8" align="right">'.$pages.'</td>';
		$html .= '			</tr>';
		$html .= '		</table>';
		$html .= '		<form name="frmClient" id="frmClient" method="post">';
		$html .= '			<div id="file_list" name="file_list">';
		$html .= $table;
		$html .= '			</div>';
		$html .= '		<input type="hidden" name="hdnUserID" id="hdnUserID" value=""/>';
		$html .= '		<input type="hidden" name="hdnUserAccess" id="hdnUserAccess" value=""/>';
		$html .= '		</form>';
		$html .= '		<table width="100%" cellpadding="5" cellspacing="10">';
		$html .= '			<tr>';
		$html .= '				<td colspan="8" align="right">'.$pages.'</td>';
		$html .= '			</tr>';
		$html .= '		</table>';
		$html .= '	</div>';
		return $html;
	}
	
	public function getClientFiles($clientId)
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_FILE_INFO.' WHERE '.self::FD_CLIENT_ID.' = '. intval($clientId);
		$rec = $this->Db->selectDatafromDB($sql);
		
		$table = '<table width="100%" id="files-list-table" border="0" cellpadding="0" cellspacing="0" style="border: solid 1px #3c546d; padding:5px 2px 2px 2px;">';
		$table .= '		<tr id="table-header">';
		$table .= '			<td colspan="6" id="table-header"><b>Files List</b></td>';
		$table .= '		</tr>';
		$table .= '		<tr id="table-header">';
		$table .= '			<th id="table-header">File</th>';
		$table .= '			<th id="table-header">Case Name</th>';
		$table .= '			<th id="table-header">Status</th>';
		$table .= '			<th colspan="2" align="center" id="table-header"><a href="#" onclick="events(\'addFile\', '.$clientId.')" title="Add File"><img src="images/add.png" border="0"></a></th>';
		$table .= '		 </tr>';
		
		$rowCnt = mysql_num_rows($rec);
		
		if ($rowCnt > 0)
		{
			$ctr = 1;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$status = self::$fileStatus[$row[self::FD_FILE_STATUS]];
				$table .= '		 <tr id="'.$classRow.'">';
				$table .= '			<td id="table-row">'.$row[self::FD_FILE_TYPE].'.'.$row[self::FD_FILE_NUMBER].'</td>';
				$table .= '			<td id="table-row">'.ellipsis($row[self::FD_FILE_NAME], 20).'</td>';
				$table .= '			<td id="table-row">'.$status.'</td>';
				$table .= '			<td align="center" id="table-row"><a href="#" onclick="events(\'editFile\', '.$row['file_id'].')" title="Edit File"><img src="images/edit.png" border="0"></a></td>';
				$table .= '			<td align="center" id="table-row"><a href="#" onclick="events(\'viewFile\', '.$row['file_id'].')" title="View File"><img src="images/view.png" border="0"></a></td>';
				$table .= '		 </tr>';
				$ctr++;
			}
		}
		else
		{
			$table .= '		 <tr>';
			$table .= '			<td colspan="5" align="center"><i>--No Files Listed--</i></td>';
			$table .= '		 </tr>';
		}
		$table .= '	</table>';
		
		return $table;
	}
	
	public function getClientFileType($clientId, $fileType=NULL)
	{
		$sql = 'SELECT file_id, file_type, file_number, file_name FROM '.self::VIEWNAME_LIST.' WHERE client_id = '.intval($clientId);
		if (is_null($fileType))
		{
			$fileType = '';
		}
		$sql .= ' AND file_type = '.dbString($fileType);
		$rec = $this->Db->selectDatafromDB($sql);
		$rowCnt = mysql_num_rows($rec);
		
		$table = '<table width="90%" align="center">';
		$table .= '	<tr>';
		$table .= '		<td align="right" colspan="3"><a onclick="events(\'closeFiles\', 0)"><img src="images/close.png" alt="Close" height="10px" width="10px"></td>';
		$table .= '	</tr>';
		
		if ($rowCnt > 0)
		{
			$table .= '	<tr>';
			$table .= '		<td align="left"><b>No</b></td>';
			$table .= '		<td align="left"><b>File</b></td>';
			$table .= '		<td align="left"><b>Case</b></td>';
			$table .= '	</tr>';
			$ctr = 1;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				//$filename = stripslashes($row[self::FD_FILE_NAME]);
				$filename = str_replace('\"', '_', $row[self::FD_FILE_NAME]);
				$table .= '		 <tr onclick="events(\'setFile\', \''.$row[self::FD_FILE_ID].'#'.$row[self::FD_FILE_NUMBER].'#'.$filename.'\')">';
				$table .= '			<td>'.$ctr.'</td>';
				$table .= '			<td width="50px">'.$row[self::FD_FILE_TYPE].'.'.$row[self::FD_FILE_NUMBER].'</td>';
				$table .= '			<td>'.stripslashes($row[self::FD_FILE_NAME]).'</td>';
				$table .= '		 </tr>';
				$ctr++;
			}
		}
		else
		{
			$table .= '		 <tr>';
			$table .= '			<td colspan="5" align="center"><i>--No Files Listed--</i></td>';
			$table .= '		 </tr>';
		}
		$table .= '	</table>';
		return $table;
	}
	
	public static function arrClientsFiles($clientId=NULL, $fileType=NULL, $fileNumber=NULL)
	{
		$Db = new MSSQLDatabase();
		$arrField = array('DISTINCT(client_id)', 'COUNT(*) AS file_count');
		$cond = 'active = 1';
		if ($clientId != NULL && $clientId != '')
			$cond = ' AND client_id = ' . intval($clientId);
		if ($fileType != NULL && $fileType != '') 
			$cond .= ' AND UCASE(file_type) = "' . strtoupper($fileType) . '"';
		if ($fileNumber != NULL && $fileNumber != '') 
			$cond .= ' AND file_number like "' . strtoupper($fileNumber) . '%"';
		$rec = $Db->getDatafromDB(self::VIEWNAME_LIST, $arrField, $cond, 'client_id', 'client_id');
		$arrData = array();
		while($data = mysql_fetch_array($rec, MYSQL_ASSOC))
		{
			$arrData[$data['client_id']] = $data;
		}
		return $arrData;
	}
}
?>