<?php
Kernel::includeObject('lib/classes/FileBillingClass.inc');

class RateAdjustClass
{
	private $Db;
	
	const TABLENAME_RATE_ADJUSTMENT = 'rate_adjustment_tbl';
	const FD_RATE_ADJ_ID = 'rate_adj_id';
	const FD_RATE = 'rate';
	const FD_POSITION = 'position';
	const FD_START_DATE = 'start_date';
	const FD_END_DATE = 'end_date';
	const FD_INSERT_BY = 'insert_by';
	const FD_INSERT_DT = 'insert_dt';
	const TABLENAME_DEPARTMENT = 'department_tbl';
	const FD_DEPT_CODE = 'dept_code';
	const FD_DEPT_NAME = 'dept_name';
	const TABLENAME_INDUSTRY = 'industry_tbl';
	const FD_IND_CODE = 'industry_code';
	const FD_IND_NAME = 'industry_name';
	const TABLENAME_TASKS = 'task_codes_tbl';
	const FD_TASK_CODE = 'task_code';
	const FD_TASK_NAME = 'task_name';
	const TABLENAME_JOBS = 'jobs_tbl';
	const FD_JOB_CODE = 'job_code';
	const FD_JOB_NAME = 'job_name';
	const TABLENAME_HOLIDAY = 'holidays_tbl';
	const FD_HOL_DATE = 'holiday_date';
	const FD_HOL_NAME = 'holiday_name';
	const TABLENAME_POSITIONS = 'positions_tbl';
	const FD_POST_CODE = 'position_code';
	const FD_POST_NAME = 'position_name';
	
	const FD_ACTIVE = 'active';
	const FD_UPDATE_BY = 'update_by';
	const FD_UPDATE_DT = 'update_dt';
	
	
	private $arrDataDef = array(
		self::FD_RATE_ADJ_ID => 'integer',
		self::FD_RATE => 'double',
		self::FD_POSITION => 'integer',
		self::FD_START_DATE => 'string',
		self::FD_END_DATE => 'string',
		self::FD_INSERT_BY => 'integer',
		self::FD_INSERT_DT => 'string',
		self::FD_DEPT_CODE => 'string',
		self::FD_DEPT_NAME => 'string',
		self::FD_IND_CODE => 'string',
		self::FD_IND_NAME => 'string',
		self::FD_TASK_CODE => 'string',
		self::FD_TASK_NAME => 'string',
		self::FD_JOB_CODE => 'string',
		self::FD_JOB_NAME => 'string',
		self::FD_HOL_DATE => 'string',
		self::FD_HOL_NAME => 'string',
		self::FD_POST_CODE => 'string',
		self::FD_POST_NAME => 'string',
		);
	
	public function __construct()
	{
		$this->Db = new MSSQLDatabase();
	}
	
	public function getHolidayList()
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_HOLIDAY.' WHERE active = 1 ORDER BY holiday_date DESC';
		$rec = $this->Db->selectDatafromDB($sql);
		
		$table = '<div id="billing-list-table" class="table">';
		$table .= '		<div class="tr" id="table-header">';
		$table .= '			<div class="th no" id="table-header">No</div>';
		$table .= '			<div class="th dept_list_code" id="table-header"><b>Date</b></div>';
		$table .= '			<div class="th dept_list_name" id="table-header"><b>Description</b></div>';
		$table .= '			<div class="th add" id="table-header"><b>&nbsp</b></div>';
		$table .= '		</div>';
		$rowCnt = mysql_num_rows($rec);
		
		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				$buttons = '<a href="#" onclick="events(\'editHoliday\', '.$row['holiday_id'].')"><img src="images/edit.png" title="Edit"/></a>
									<a href="#" onclick="events(\'deleteHoliday\', '.$row['holiday_id'].')"><img src="images/delete.png" title="Delete"/></a>';
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$table .= '		 <div class="tr" id="'.$classRow.'">';
				$table .= '			<div class="td no" id="table-row"><b><span>No. </span>'.$ctr.'</b></div>';
				$table .= '			<div class="td dept_list_code" id="table-row"><span>Code : </span>'.date("F d, Y", strtotime($row[self::FD_HOL_DATE])).'</div>';
				$table .= '			<div class="td dept_list_name" id="table-row"><span>Description : </span>'.$row[self::FD_HOL_NAME].'</div>';
				$table .= '			<div class="td add" align="right">'.$buttons.' &nbsp;&nbsp;</div>';
				$table .= '		 </div>';
				$ctr++;
			}
		}
		else
		{
			$table .= '		 <div class="tr">';
			$table .= '			<div class="th" colspan="3" align="center"><i>--NO RECORD TO BE DISPLAYED--</i></div>';
			$table .= '		 </div>';
		}
		$table .= '</div>';
		
		return $table;
	}
	
	public function addHoliday($arrData)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['insert_by'] = intval($_SESSION['user_id']);
		$arrFormat['insert_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		foreach($arrFormat as $key => $value)
		{
			$fieldValues[] = $key;
			$fieldNames[] = $value;
		}
		$sql = 'INSERT INTO '.self::TABLENAME_HOLIDAY.' ('.implode(',',$fieldValues).') VALUES ('.implode(',',$fieldNames).')';
		$this->Db->insertStatement($sql);
		return $this->Db->insertID;
	}
	
	public function updateHoliday($arrData, $id)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['update_by'] = intval($_SESSION['user_id']);
		$arrFormat['update_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		$set = '';
		foreach($arrFormat as $key => $value)
		{
			if ($set != '')
				$set .= ', ';
				
			$set .= $key.' = '.$value;
		}
		$sql = 'UPDATE '.self::TABLENAME_HOLIDAY.' SET '.$set.' WHERE holiday_id = '.intval($id);
		$this->Db->selectDatafromDB($sql);
	}
	
	public function getHolidayInfo($id)
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_HOLIDAY.' WHERE holiday_id = '.intval($id);
		$rec = $this->Db->selectDatafromDB($sql);
		
		$cnt = mysql_num_rows($rec);
		
		if ($cnt == 0)
			return array();
		
		$arrData = array();
		$row = mysql_fetch_array($rec);
		foreach($row as $key => $value)
		{
			$arrData[$key] = $value;
		}
		
		return $arrData;
	}
	
	public function addDept($arrData)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['insert_by'] = intval($_SESSION['user_id']);
		$arrFormat['insert_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		foreach($arrFormat as $key => $value)
		{
			$fieldValues[] = $key;
			$fieldNames[] = $value;
		}
		$sql = 'INSERT INTO '.self::TABLENAME_DEPARTMENT.'('.implode(',',$fieldValues).') VALUES ('.implode(',',$fieldNames).')';
		$this->Db->insertStatement($sql);
		return $this->Db->insertID;
	}
	
	public function updateDept($arrData, $deptId)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['update_by'] = intval($_SESSION['user_id']);
		$arrFormat['update_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		$set = '';
		foreach($arrFormat as $key => $value)
		{
			if ($set != '')
				$set .= ', ';
				
			$set .= $key.' = '.$value;
		}
		$sql = 'UPDATE '.self::TABLENAME_DEPARTMENT.' SET '.$set.' WHERE department_id = '.intval($deptId);
		$this->Db->selectDatafromDB($sql);
	}
	

	public static function isDeptCodeUnique($code)
	{
		$db = new MSSQLDatabase();
		$sql = 'SELECT dept_code FROM '.self::TABLENAME_DEPARTMENT.' WHERE dept_code = '.dbString($code).' and active = 1';
		$rec = $db->selectDatafromDB($sql);
		$cnt = mysql_num_rows($rec);		
		if ($cnt == 0)
			return true;
		else
			return false;
	}
	
	public function getDepartmentList()
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_DEPARTMENT.' WHERE active = 1 ORDER BY dept_code ASC';
		$rec = $this->Db->selectDatafromDB($sql);
		
		$table = '<div id="billing-list-table" class="table">';
		$table .= '		<div class="tr" id="table-header">';
		$table .= '			<div class="th no" id="table-header">No</div>';
		$table .= '			<div class="th dept_list_code" id="table-header"><b>Code</b></div>';
		$table .= '			<div class="th dept_list_name" id="table-header"><b>Description</b></div>';
		$table .= '			<div class="th add" id="table-header"><b>&nbsp</b></div>';
		$table .= '		</div>';
		$rowCnt = mysql_num_rows($rec);
		
		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				$buttons = '<a href="#" onclick="events(\'editDept\', '.$row['department_id'].')"><img src="images/edit.png" title="Edit"/></a>
									<a href="#" onclick="events(\'deleteDept\', '.$row['department_id'].')"><img src="images/delete.png" title="Delete"/></a>';
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$table .= '		 <div class="tr" id="'.$classRow.'">';
				$table .= '			<div class="td no" id="table-row"><b><span>No. </span>'.$ctr.'</b></div>';
				$table .= '			<div class="td dept_list_code" id="table-row"><span>Code : </span>'.$row[self::FD_DEPT_CODE].'</div>';
				$table .= '			<div class="td dept_list_name" id="table-row"><span>Description : </span>'.$row[self::FD_DEPT_NAME].'</div>';
				$table .= '			<div class="td add" align="right">'.$buttons.' &nbsp;&nbsp;</div>';
				$table .= '		 </div>';
				$ctr++;
			}
		}
		else
		{
			$table .= '		 <div class="tr">';
			$table .= '			<div class="th" colspan="3" align="center"><i>--NO RECORD TO BE DISPLAYED--</i></div>';
			$table .= '		 </div>';
		}
		$table .= '</div>';
		
		return $table;
	}
	
	public function getDeptInfo($deptId)
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_DEPARTMENT.' WHERE department_id = '.intval($deptId);
		$rec = $this->Db->selectDatafromDB($sql);
		
		$cnt = mysql_num_rows($rec);
		
		if ($cnt == 0)
			return array();
		
		$arrData = array();
		$row = mysql_fetch_array($rec);
		foreach($row as $key => $value)
		{
			$arrData[$key] = $value;
		}
		
		return $arrData;
	}
	
	//////////////////////////////////////////////////////////////////////////////////////////////////
	
	public function addInd($arrData)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['insert_by'] = intval($_SESSION['user_id']);
		$arrFormat['insert_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		foreach($arrFormat as $key => $value)
		{
			$fieldValues[] = $key;
			$fieldNames[] = $value;
		}
		$sql = 'INSERT INTO '.self::TABLENAME_INDUSTRY.'('.implode(',',$fieldValues).') VALUES ('.implode(',',$fieldNames).')';
		$this->Db->insertStatement($sql);
		return $this->Db->insertID;
	}
	
	public function updateInd($arrData, $id)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['update_by'] = intval($_SESSION['user_id']);
		$arrFormat['update_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		$set = '';
		foreach($arrFormat as $key => $value)
		{
			if ($set != '')
				$set .= ', ';
				
			$set .= $key.' = '.$value;
		}
		$sql = 'UPDATE '.self::TABLENAME_INDUSTRY.' SET '.$set.' WHERE industry_id = '.intval($id);
		$this->Db->selectDatafromDB($sql);
	}
	

	public static function isIndustryCodeUnique($code)
	{
		$db = new MSSQLDatabase();
		$sql = 'SELECT industry_code FROM '.self::TABLENAME_INDUSTRY.' WHERE industry_code = '.dbString($code).' and active = 1';
		$rec = $db->selectDatafromDB($sql);
		$cnt = mysql_num_rows($rec);		
		if ($cnt == 0)
			return true;
		else
			return false;
	}
	

	public function getIndustryList()
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_INDUSTRY.' WHERE active = 1 ORDER BY industry_code ASC';
		$rec = $this->Db->selectDatafromDB($sql);
		
		$table = '<div id="billing-list-table" class="table">';
		$table .= '		<div class="tr" id="table-header">';
		$table .= '			<div class="th no" id="table-header">No</div>';
		$table .= '			<div class="th dept_list_code" id="table-header"><b>Code</b></div>';
		$table .= '			<div class="th dept_list_name" id="table-header"><b>Description</b></div>';
		$table .= '			<div class="th add" id="table-header"><b>&nbsp</b></div>';
		$table .= '		</div>';
		$rowCnt = mysql_num_rows($rec);
		
		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				$buttons = '<a href="#" onclick="events(\'editInd\', '.$row['industry_id'].')"><img src="images/edit.png" title="Edit"/></a>
									<a href="#" onclick="events(\'deleteInd\', '.$row['industry_id'].')"><img src="images/delete.png" title="Delete"/></a>';
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$table .= '		 <div class="tr" id="'.$classRow.'">';
				$table .= '			<div class="td no" id="table-row"><b><span>No. </span>'.$ctr.'</b></div>';
				$table .= '			<div class="td dept_list_code" id="table-row"><span>Code : </span>'.$row[self::FD_IND_CODE].'</div>';
				$table .= '			<div class="td dept_list_name" id="table-row"><span>Description : </span>'.$row[self::FD_IND_NAME].'</div>';
				$table .= '			<div class="td add" align="right">'.$buttons.' &nbsp;&nbsp;</div>';
				$table .= '		 </div>';
				$ctr++;
			}
		}
		else
		{
			$table .= '		 <div class="tr">';
			$table .= '			<div class="th" colspan="3" align="center"><i>--NO RECORD TO BE DISPLAYED--</i></div>';
			$table .= '		 </div>';
		}
		$table .= '</div>';
		
		return $table;
	}
	
	public function getIndustryInfo($id)
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_INDUSTRY.' WHERE industry_id = '.intval($id);
		$rec = $this->Db->selectDatafromDB($sql);
		
		$cnt = mysql_num_rows($rec);
		
		if ($cnt == 0)
			return array();
		
		$arrData = array();
		$row = mysql_fetch_array($rec);
		foreach($row as $key => $value)
		{
			$arrData[$key] = $value;
		}
		
		return $arrData;
	}
	
	/////////////////////////////////////////////////////////////////////////////
	
	public function addTask($arrData)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['insert_by'] = intval($_SESSION['user_id']);
		$arrFormat['insert_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		foreach($arrFormat as $key => $value)
		{
			$fieldValues[] = $key;
			$fieldNames[] = $value;
		}
		$sql = 'INSERT INTO '.self::TABLENAME_TASKS.'('.implode(',',$fieldValues).') VALUES ('.implode(',',$fieldNames).')';
		$this->Db->insertStatement($sql);
		return $this->Db->insertID;
	}
	
	public function updateTask($arrData, $id)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['update_by'] = intval($_SESSION['user_id']);
		$arrFormat['update_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		$set = '';
		foreach($arrFormat as $key => $value)
		{
			if ($set != '')
				$set .= ', ';
				
			$set .= $key.' = '.$value;
		}
		$sql = 'UPDATE '.self::TABLENAME_TASKS.' SET '.$set.' WHERE task_code_id = '.intval($id);
		$this->Db->selectDatafromDB($sql);
	}
	

	public static function isTaskCodeUnique($code)
	{
		$db = new MSSQLDatabase();
		$sql = 'SELECT 	task_code FROM '.self::TABLENAME_TASKS.' WHERE 	task_code = '.dbString($code).' and active = 1';
		$rec = $db->selectDatafromDB($sql);
		$cnt = mysql_num_rows($rec);		
		if ($cnt == 0)
			return true;
		else
			return false;
	}
	
	public function getTaskList()
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_TASKS.' WHERE active = 1 ORDER BY task_code ASC';
		$rec = $this->Db->selectDatafromDB($sql);
		
		$table = '<div id="billing-list-table" class="table">';
		$table .= '		<div class="tr" id="table-header">';
		$table .= '			<div class="th no" id="table-header">No</div>';
		$table .= '			<div class="th dept_list_code" id="table-header"><b>Code</b></div>';
		$table .= '			<div class="th dept_list_name" id="table-header"><b>Description</b></div>';
		$table .= '			<div class="th add" id="table-header"><b>&nbsp</b></div>';
		$table .= '		</div>';
		$rowCnt = mysql_num_rows($rec);
		
		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				$buttons = '<a href="#" onclick="events(\'editTask\', '.$row['task_code_id'].')"><img src="images/edit.png" title="Edit"/></a>
									<a href="#" onclick="events(\'deleteTask\', '.$row['task_code_id'].')"><img src="images/delete.png" title="Delete"/></a>';
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$table .= '		 <div class="tr" id="'.$classRow.'">';
				$table .= '			<div class="td no" id="table-row"><b><span>No. </span>'.$ctr.'</b></div>';
				$table .= '			<div class="td dept_list_code" id="table-row"><span>Code : </span>'.$row[self::FD_TASK_CODE].'</div>';
				$table .= '			<div class="td dept_list_name" id="table-row"><span>Description : </span>'.$row[self::FD_TASK_NAME].'</div>';
				$table .= '			<div class="td add" align="right">'.$buttons.' &nbsp;&nbsp;</div>';
				$table .= '		 </div>';
				$ctr++;
			}
		}
		else
		{
			$table .= '		 <div class="tr">';
			$table .= '			<div class="th" colspan="3" align="center"><i>--NO RECORD TO BE DISPLAYED--</i></div>';
			$table .= '		 </div>';
		}
		$table .= '</div>';
		
		return $table;
	}
	
	public function getTaskCodeCombo($value = null)
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_TASKS.' WHERE active = 1 ORDER BY task_code ASC';
		$rec = $this->Db->selectDatafromDB($sql);
		$rowCnt = mysql_num_rows($rec);
		$options = array();
		if ($rowCnt > 0)
		{
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				$options[$row['task_code_id']] = array('code' => $row['task_code'], 'desc' => $row['task_name']);
			}
		}
		$combo = '<select name="cmbTaskCode" id="cmbTaskCode" onchange="displayTaskDesc(this.value);">';
		$combo .= '<option value=""></option>';
		
		foreach($options as $key => $data)
		{
			if ($key == $value)
			{
				$combo .= '<option value="' . $key . '" selected title="'.$data['desc'].'">' .$data['code']. '</option>';
			}
			else 
			{
				$combo .= '<option value="' . $key . '" title="'.$data['desc'].'">' .$data['code']. '</option>';
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	
	public function getTaskInfo($id)
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_TASKS.' WHERE task_code_id = '.intval($id);
		$rec = $this->Db->selectDatafromDB($sql);
		
		$cnt = mysql_num_rows($rec);
		
		if ($cnt == 0)
			return array();
		
		$arrData = array();
		$row = mysql_fetch_array($rec);
		foreach($row as $key => $value)
		{
			$arrData[$key] = $value;
		}
		
		return $arrData;
	}
	
	//////////////////////////////////////////////////////////////////////////////////////////////////
	
	public function addJob($arrData)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['insert_by'] = intval($_SESSION['user_id']);
		$arrFormat['insert_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		foreach($arrFormat as $key => $value)
		{
			$fieldValues[] = $key;
			$fieldNames[] = $value;
		}
		$sql = 'INSERT INTO '.self::TABLENAME_JOBS.'('.implode(',',$fieldValues).') VALUES ('.implode(',',$fieldNames).')';
		$this->Db->insertStatement($sql);
		return $this->Db->insertID;
	}
	
	public function updateJob($arrData, $id)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['update_by'] = intval($_SESSION['user_id']);
		$arrFormat['update_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		$set = '';
		foreach($arrFormat as $key => $value)
		{
			if ($set != '')
				$set .= ', ';
				
			$set .= $key.' = '.$value;
		}
		$sql = 'UPDATE '.self::TABLENAME_JOBS.' SET '.$set.' WHERE jobs_id = '.intval($id);
		$this->Db->selectDatafromDB($sql);
	}
	

	public static function isJobCodeUnique($code)
	{
		$db = new MSSQLDatabase();
		$sql = 'SELECT job_code FROM '.self::TABLENAME_JOBS.' WHERE job_code = '.dbString($code).' and active = 1';
		$rec = $db->selectDatafromDB($sql);
		$cnt = mysql_num_rows($rec);		
		if ($cnt == 0)
			return true;
		else
			return false;
	}
	
	public function getJobList()
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_JOBS.' WHERE active = 1 ORDER BY job_code ASC';
		$rec = $this->Db->selectDatafromDB($sql);
		
		// $table = '<table width="100%" id="billing-list-table" border="0" cellpadding="0" cellspacing="0" style="border: solid 1px #3c546d; padding:5px 2px 2px 2px;">';
		// $table .= '		<tr id="table-header">';
		// $table .= '			<td id="table-header"></td>';
		// $table .= '			<td id="table-header"><b>Code</b></td>';
		// $table .= '			<td id="table-header"><b>Name</b></td>';
		// $table .= '			<td id="table-header"><b>&nbsp</b></td>';
		// $table .= '		</tr>';
		$table = '<div id="billing-list-table" class="table">';
		$table .= '		<div class="tr" id="table-header">';
		$table .= '			<div class="th no" id="table-header">No</div>';
		$table .= '			<div class="th dept_list_code" id="table-header"><b>Code</b></div>';
		$table .= '			<div class="th dept_list_name" id="table-header"><b>Description</b></div>';
		$table .= '			<div class="th add" id="table-header"><b>&nbsp</b></div>';
		$table .= '		</div>';
		$rowCnt = mysql_num_rows($rec);
		
		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				$buttons = '<a href="#" onclick="events(\'editJob\', '.$row['jobs_id'].')"><img src="images/edit.png" title="Edit"/></a>
									<a href="#" onclick="events(\'deleteJob\', '.$row['jobs_id'].')"><img src="images/delete.png" title="Delete"/></a>';
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				// $table .= '		 <tr id="'.$classRow.'">';
				// $table .= '			<td id="table-row">'.$ctr.'</td>';
				// $table .= '			<td id="table-row">'.$row[self::FD_JOB_CODE].'</td>';
				// $table .= '			<td id="table-row">'.$row[self::FD_JOB_NAME].'</td>';
				// $table .= '			<td align="right">'.$buttons.' &nbsp;&nbsp;</td>';
				// $table .= '		 </tr>';
				$table .= '		 <div class="tr" id="'.$classRow.'">';
				$table .= '			<div class="td no" id="table-row"><b><span>No. </span>'.$ctr.'</b></div>';
				$table .= '			<div class="td dept_list_code" id="table-row"><span>Code : </span>'.$row[self::FD_JOB_CODE].'</div>';
				$table .= '			<div class="td dept_list_name" id="table-row"><span>Description : </span>'.$row[self::FD_JOB_NAME].'</div>';
				$table .= '			<div class="td add" align="right">'.$buttons.' &nbsp;&nbsp;</div>';
				$table .= '		 </div>';
				$ctr++;
			}
		}
		else
		{
			$table .= '		 <div class="tr">';
			$table .= '			<div class="th" colspan="3" align="center"><i>--NO RECORD TO BE DISPLAYED--</i></div>';
			$table .= '		 </div>';
		}
		$table .= '</div>';
		
		return $table;
	}
	
	public function getJobInfo($id)
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_JOBS.' WHERE jobs_id = '.intval($id);
		$rec = $this->Db->selectDatafromDB($sql);
		
		$cnt = mysql_num_rows($rec);
		
		if ($cnt == 0)
			return array();
		
		$arrData = array();
		$row = mysql_fetch_array($rec);
		foreach($row as $key => $value)
		{
			$arrData[$key] = $value;
		}
		
		return $arrData;
	}
	
	//////////////////////////////////////////////////////////////////////////////
	
	
	public function addRate($arrData)
	{
		$ended = $this->endPreviousRate($arrData[self::FD_POSITION], $arrData[self::FD_START_DATE]);
		if (!$ended)
			return false;
		
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['insert_by'] = intval($_SESSION['user_id']);
		$arrFormat['insert_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		foreach($arrFormat as $key => $value)
		{
			$fieldValues[] = $key;
			$fieldNames[] = $value;
		}
		
		$sql = 'INSERT INTO '.self::TABLENAME_RATE_ADJUSTMENT.'('.implode(',',$fieldValues).') VALUES ('.implode(',',$fieldNames).')';
		$this->Db->insertStatement($sql);
		FileBillingClass::adjustPositionRate($arrData[self::FD_POSITION], $arrData[self::FD_START_DATE], $arrData[self::FD_RATE]);
		return $this->Db->insertID;
	}
	
	private function endPreviousRate($position, $date)
	{
		$rate = $this->getPreviousRate($position);
		$date =  $date.' 00:00:00';
		if (!count($rate))
			return true;
			
		$time1 = strtotime($rate[self::FD_START_DATE]);
		$time2 = strtotime($date);
		$interval = $time2 - $time1;
		
		if ($interval <= 0)
			return false;
		
		$date = date("Y-m-d 00:00:00", $time2 - 86400);
		
		
		$sql = 'UPDATE '.self::TABLENAME_RATE_ADJUSTMENT.' SET '.self::FD_END_DATE.' = '.dbString($date).' WHERE '.self::FD_START_DATE.' = '.dbString($rate[self::FD_START_DATE]).' AND '.self::FD_POSITION.' = '.intval($position);
		$this->Db->insertStatement($sql);
		
		return true;
	}
	
	private function getPreviousRate($position)
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_RATE_ADJUSTMENT.' WHERE '.self::FD_POSITION.' = '.intval($position).' ORDER BY '.self::FD_START_DATE.' DESC LIMIT 1';
		$rec = $this->Db->selectDatafromDB($sql);
		
		$cnt = mysql_num_rows($rec);
		
		if (!$cnt)
		{
			return array();
		}
		
		$row = mysql_fetch_array($rec);
		
		return $row;
	}
	
	public function getRateList()
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_RATE_ADJUSTMENT.' WHERE '.self::FD_END_DATE.' IS NULL ORDER BY position ASC';
		$rec = $this->Db->selectDatafromDB($sql);
		
		$table = '<table width="100%" id="billing-list-table" border="0" cellpadding="0" cellspacing="0" style="border: solid 1px #3c546d; padding:5px 2px 2px 2px;">';
		$table .= '		<tr id="table-header">';
		$table .= '			<td id="table-header"></td>';
		$table .= '			<td id="table-header"><b>Start Date</b></td>';
		$table .= '			<td id="table-header"><b>Position</b></td>';
		$table .= '			<td id="table-header"><b>Rate</b></td>';
		$table .= '		</tr>';
		
		$rowCnt = mysql_num_rows($rec);
		
		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			$position = UserClass::$userPositionList;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$table .= '		 <tr id="'.$classRow.'">';
				$table .= '			<td id="table-row">'.$ctr.'</td>';
				$table .= '			<td id="table-row">'.date_format(date_create($row[self::FD_START_DATE]), 'M d, Y').'</td>';
				$table .= '			<td id="table-row">'.$position[$row[self::FD_POSITION]].'</td>';
				$table .= '			<td align="right">'.number_format($row[self::FD_RATE], 2).' &nbsp;&nbsp;</td>';
				$table .= '		 </tr>';
				$ctr++;

			}
		}
		else
		{
			$table .= '		 <tr>';
			$table .= '			<td colspan="4" align="center"><i>--No Rates Listed--</i></td>';
			$table .= '		 </tr>';
		}
		$table .= '</table>';
		
		return $table;
	}
	
	public static function getUserRate($positionId, $date)
	{
		static $prevPosId = -1;
		static $rate = 0;
		
		if ($prevPosId == $positionId)
		{
			return $rate;
		}
		
		$db = new MSSQLDatabase();
		$sql = 'SELECT rate FROM '.self::TABLENAME_RATE_ADJUSTMENT.' WHERE position = '.intval($positionId).' AND start_date <= '.dbString($date).' AND IFNULL(end_date, NOW()) >= '.dbString($date);
		$rec = $db->selectDatafromDB($sql);
		
		$rowCnt = mysql_num_rows($rec);
		
		if (!$rowCnt)
		{
			$prevPosId = $positionId;
			$rate = 0;
			return $rate;
		}
		
		$row = mysql_fetch_array($rec, MYSQL_ASSOC);
		
		$prevPosId = $positionId;
		$rate = $row['rate'];
		
		return $rate;
	}
	////////////////////////////////////////////////////
	public function addPost($arrData)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['insert_by'] = intval($_SESSION['user_id']);
		$arrFormat['insert_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		foreach($arrFormat as $key => $value)
		{
			$fieldValues[] = $key;
			$fieldNames[] = $value;
		}
		$sql = 'INSERT INTO '.self::TABLENAME_POSITIONS.'('.implode(',',$fieldValues).') VALUES ('.implode(',',$fieldNames).')';
		$this->Db->insertStatement($sql);
		return $this->Db->insertID;
	}
	
	public function updatePost($arrData, $id)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['update_by'] = intval($_SESSION['user_id']);
		$arrFormat['update_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		$set = '';
		foreach($arrFormat as $key => $value)
		{
			if ($set != '')
				$set .= ', ';
				
			$set .= $key.' = '.$value;
		}
		$sql = 'UPDATE '.self::TABLENAME_POSITIONS.' SET '.$set.' WHERE position_id = '.intval($id);
		$this->Db->selectDatafromDB($sql);
	}
	
	
	public static function isPositionCodeUnique($code)
	{
		$db = new MSSQLDatabase();
		$sql = 'SELECT position_code FROM '.self::TABLENAME_POSITIONS.' WHERE position_code = '.dbString($code).' and active = 1';
		$rec = $db->selectDatafromDB($sql);
		$cnt = mysql_num_rows($rec);		
		if ($cnt == 0)
			return true;
		else
			return false;
	}
	
	public function getPositionList()
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_POSITIONS.' WHERE active = 1 ORDER BY position_code ASC';
		$rec = $this->Db->selectDatafromDB($sql);
		
		$table = '<div id="billing-list-table" class="table">';
		$table .= '		<div class="tr" id="table-header">';
		$table .= '			<div class="th no" id="table-header">No</div>';
		$table .= '			<div class="th dept_list_code" id="table-header"><b>Code</b></div>';
		$table .= '			<div class="th dept_list_name" id="table-header"><b>Description</b></div>';
		$table .= '			<div class="th add" id="table-header"><b>&nbsp</b></div>';
		$table .= '		</div>';
		$rowCnt = mysql_num_rows($rec);
		
		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				$buttons = '<a href="#" onclick="events(\'editPost\', '.$row['position_id'].')"><img src="images/edit.png" title="Edit"/></a>
									<a href="#" onclick="events(\'deletePost\', '.$row['position_id'].')"><img src="images/delete.png" title="Delete"/></a>';
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$table .= '		 <div class="tr" id="'.$classRow.'">';
				$table .= '			<div class="td no" id="table-row"><b><span>No. </span>'.$ctr.'</b></div>';
				$table .= '			<div class="td dept_list_code" id="table-row"><span>Code : </span>'.$row[self::FD_POST_CODE].'</div>';
				$table .= '			<div class="td dept_list_name" id="table-row"><span>Description : </span>'.$row[self::FD_POST_NAME].'</div>';
				$table .= '			<div class="td add" align="right">'.$buttons.' &nbsp;&nbsp;</div>';
				$table .= '		 </div>';
				$ctr++;
			}
		}
		else
		{
			$table .= '		 <div class="tr">';
			$table .= '			<div class="th" colspan="3" align="center"><i>--NO RECORD TO BE DISPLAYED--</i></div>';
			$table .= '		 </div>';
		}
		$table .= '</div>';
		
		return $table;
	}
	
	public function getPositionInfo($id)
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_POSITIONS.' WHERE position_id = '.intval($id);
		$rec = $this->Db->selectDatafromDB($sql);
		
		$cnt = mysql_num_rows($rec);
		
		if ($cnt == 0)
			return array();
		
		$arrData = array();
		$row = mysql_fetch_array($rec);
		foreach($row as $key => $value)
		{
			$arrData[$key] = $value;
		}
		
		return $arrData;
	}
	
	public function getIndustryCombo($value=NULL, $action=array())
	{
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';
				
				$events .= $key . '="' . $eventAction .'"';
			}
		}
		$combo = '<select name="cmbIndustry" id="cmbIndustry" ' . $events . '>';
		
		$sql = 'SELECT industry_id, industry_name FROM '.self::TABLENAME_INDUSTRY.' WHERE active = 1 ORDER BY industry_name ASC';
		$rec = $this->Db->selectDatafromDB($sql);
		$cnt = mysql_num_rows($rec);
		if ($cnt)
		{
			if (intval($value) != 0)
				$combo .= '<option value="">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option>';
			else
				$combo .= '<option value="" selected>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option>';
			
			while($row = mysql_fetch_array($rec))
			{
				if (intval($row['industry_id']) == intval($value))
				{
					$combo .= '<option value="' . $row['industry_id'] . '" selected>' . $row['industry_name'] . '</option>';
				}
				else 
				{
					$combo .= '<option value="' . $row['industry_id'] . '">' . $row['industry_name']. '</option>';
				}
			}
		}
		$combo .= '</select>';
		return $combo;
	}
}
?>