<?php
class UserClass
{
	private $Db;
	
	public static $userAccessList = array(
			'' => '',
			0 => 'Admin',
			1 => 'User/Lawyer',
			2 => 'Super Admin',
			3 => 'Secretary',
		);

	public static $userStatusList = array(
			'' => '',
			0 => 'Regular',
			1 => 'Contractual',
			2 => 'Partime',
		);
	
	public static $userPositionList = array(
			'' => '',
			0 => 'Senior Partner',
			1 => 'Partner',
			2 => 'Junior Partner',
			3 => 'Senior Associate',
			4 => 'Associate',
			5 => 'Junior Associate',
			6 => 'Legal Assistant',
			7 => 'Staff',
			8 => 'Special Counsel',
		);
		

	const VIEWNAME_LIST = 'user_info_tbl';
	const TABLENAME_USER_INFO = 'user_info_tbl';
	const FD_USER_ID = 'user_id';
	const FD_USER_NAME = 'username';
	const FD_USER_PASSWORD = 'password';
	const FD_USER_CONFPASSWORD = 'password';
	const FD_USER_EMPNO = 'emp_no';
	const FD_USER_LASTNAME = 'lastname';
	const FD_USER_FIRSTNAME = 'firstname';
	const FD_USER_MIDDLE = 'middle';
	const FD_USER_BIRTHDATE = 'birthdate';
	const FD_USER_ADDRESS = 'address';
	const FD_USER_PHONENUM = 'phone_num';
	const FD_USER_CELLNUM = 'cellphone_num';
	const FD_USER_EMAIL = 'email';
	const FD_USER_POSITION = 'position';
	const FD_USER_STATUS = 'status';
	const FD_USER_ACCESS= 'access';
	const FD_USER_RATE = 'rate';
	const FD_USER_ASSLAW = 'assigned_lawyers';
	const FD_ACTIVE = 'active';
	const FD_INSERT_BY = 'insert_by';
	const FD_INSERT_DT = 'insert_dt';
	const FD_UPDATE_BY = 'update_by';
	const FD_UPDATE_DT = 'update_dt';
	const FD_LAST_LOG_DT = 'last_logged_in';
	
	private $arrDataDef = array(
			self:: FD_USER_ID  => 'integer',
			self:: FD_USER_NAME => 'string',
			self:: FD_USER_PASSWORD => 'string',
			self:: FD_USER_CONFPASSWORD => 'string',
			self:: FD_USER_EMPNO => 'integer',
			self:: FD_USER_LASTNAME => 'string',
			self:: FD_USER_FIRSTNAME => 'string',
			self:: FD_USER_MIDDLE => 'string',
			self:: FD_USER_BIRTHDATE => 'string',
			self:: FD_USER_ADDRESS => 'string',
			self:: FD_USER_PHONENUM => 'string',
			self:: FD_USER_CELLNUM => 'string',
			self:: FD_USER_EMAIL => 'string',
			self:: FD_USER_POSITION => 'integer',
			self:: FD_USER_STATUS => 'integer',
			self:: FD_USER_ACCESS => 'integer',
			self:: FD_USER_RATE => 'integer',
			self:: FD_USER_ASSLAW => 'string',
			self:: FD_ACTIVE => 'integer',
			self:: FD_LAST_LOG_DT => 'string',
		);
	
	const LISTVIEW_LIMIT = 10;

	public function UserClass()
	{
		$this->Db = new MSSQLDatabase();
	}	
	
	function validateLogin($username, $password, &$useraccessDB, &$useridDB)
	{
		$userFieldsToSelect = array("username","password","access","user_id");
		$userCondToSelect = "username = '".$username."' and ACTIVE = 1";
		$userInfoDatabase = new MSSQLDatabase;		
		$userInfoDatabase->getDatafromDB("user_info_tbl", $userFieldsToSelect, $userCondToSelect);
		if($userInfoDatabase->numRows() > 0)
		{
			while($userInfoDatabase->nextRecord())
			{
				$userData     = $userInfoDatabase->displayData();
				$usernameDB   = $userData["username"];
				$userpassDB   = $userData["password"];
				$useraccessDB = $userData["access"];
				$useridDB     = $userData["user_id"];
			}
			if (($password == $userpassDB) && ($username == $usernameDB))
			{
				return OK_LOGIN; //valid username and password
			}
			else
			{
				return NG_LOGIN1; //invalid password
			}
		}
		else
		{
			return NG_LOGIN2; //username does not exist
		}
	}

		
	public function checkUserAvailability($username, $empno)
	{
		$sql = 'SELECT username, emp_no FROM '.self::TABLENAME_USER_INFO.' where ACTIVE = 1 and username ="'.addslashes($username).'" and emp_no ="'.addslashes($empno).'"';
		$rec = $this->Db->selectDatafromDB($sql);
		
		$cnt = mysql_num_rows($rec);
		
		if ($cnt == 0)
			return array();
		
		$arrData = array();
		$row = mysql_fetch_array($rec);
		foreach($row as $key => $value)
		{
			$arrData[$key] = $value;
		}
		
		return $arrData;
	}
	
	
	public function addUser($arrData)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$fieldValues = array();
		$fieldNames = array();
		foreach($arrFormat as $key => $value)
		{
			$fieldValues[] = $key;
			$fieldNames[] = $value;
		}
		
		$sql = 'INSERT INTO '.self::TABLENAME_USER_INFO.'('.implode(',',$fieldValues).') VALUES ('.implode(',',$fieldNames).')';
		$this->Db->insertStatement($sql);
		return $this->Db->insertID;
	}
	
	public function editUser($userId, $arrData)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$fieldValues = array();
		$fieldNames = array();
		$set = '';
		foreach($arrFormat as $key => $value)
		{
			if ($set != '')
				$set .= ', ';
				
			$set .= $key.' = '.$value;
		}
		
		$sql = 'UPDATE '.self::TABLENAME_USER_INFO.' SET '.$set.' WHERE user_id = '.intval($userId);
		$this->Db->selectDatafromDB($sql);
	}
	
	public function deleteUser($userId)
	{
		$sql = 'UPDATE '.self::TABLENAME_USER_INFO.' SET '.self::FD_ACTIVE.' = 0 WHERE user_id = '.intval($userId);
		$this->Db->selectDatafromDB($sql);
	}
	
	
	public function getUserInfo($userId)
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_USER_INFO.' WHERE user_id = '.intval($userId);
		$rec = $this->Db->selectDatafromDB($sql);
		
		$cnt = mysql_num_rows($rec);
		
		if ($cnt == 0)
			return array();
		
		$arrData = array();
		$row = mysql_fetch_array($rec);
		foreach($row as $key => $value)
		{
			$arrData[$key] = $value;
		}
		
		return $arrData;
	}
	
	public function getAccessCombo($value=NULL, $action=array(), $able=1)
	{
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';
				
				$events .= $key . '="' . $eventAction .'"';
			}
		}
		if ($able == 0)
		{
			$combo = '<select name="cmbAccess" id="cmbAccess" disabled="disabled" ' . $events . '>';
		}
		else
		{	
			$combo = '<select name="cmbAccess" id="cmbAccess" ' . $events . '>';
		}
		$userAccess = UserClass::$userAccessList;
		foreach($userAccess as $key => $data)
		{
			if ($key == $value)
			{
				$combo .= '<option value="' . $key . '" selected>' . $data . '</option>';
			}
			else 
			{
				$combo .= '<option value="' . $key . '">' . $data . '</option>';
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	
	public function getAccessComboHide($value=NULL, $action=array(), $able=1)
	{
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';
				
				$events .= $key . '="' . $eventAction .'"';
			}
		}
		if ($able == 0)
		{
			$combo = '<select name="cmbAccess" id="cmbAccess" disabled="disabled" ' . $events . '>';
		}
		else
		{	
			$combo = '<select name="cmbAccess" id="cmbAccess" style="display:none" ' . $events . '>';
		}
		$userAccess = UserClass::$userAccessList;
		foreach($userAccess as $key => $data)
		{
			if (($key == $value) and ($value != ''))
			{
				$combo .= '<option value="' . $key . '" selected>' . $data . '</option>';
			}
			else 
			{
				$combo .= '<option value="' . $key . '">' . $data . '</option>';
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	
	public function getPositionCombo($value=NULL, $action=array(), $able=1)
	{
		$database = new MSSQLDatabase();
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';
				
				$events .= $key . '="' . $eventAction .'"';
			}
		}
		if ($able == 0)
		{
			$combo = '<select name="cmbPosition" id="cmbPosition" disabled="disabled"  ' . $events . '>';
		}
		else
		{
			$combo = '<select name="cmbPosition" id="cmbPosition" ' . $events . '>';
		}
		// $userPosition = UserClass::$userPositionList;
		// foreach($userPosition as $key => $data)
		// {
			// if (($key == $value) and ($value != ''))
			// {
				// $combo .= '<option value="' . $key . '" selected>' . $data . '</option>';
			// }
			// else 
			// {
				// $combo .= '<option value="' . $key . '">' . $data . '</option>';
			// }
		// }
		$sql = 'SELECT position_id, position_name FROM positions_tbl WHERE active = 1 ORDER BY position_name ASC';
		$rec = $database->selectDatafromDB($sql);
		$cnt = mysql_num_rows($rec);
		if ($cnt)
		{
			if (intval($value) != 0)
				$combo .= '<option value="">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option>';
			else
				$combo .= '<option value="" selected>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option>';
			
			while($row = mysql_fetch_array($rec))
			{
				if (intval($row['position_id']) == intval($value))
				{
					$combo .= '<option value="' . $row['position_id'] . '" selected>' . $row['position_name'] . '</option>';
				}
				else 
				{
					$combo .= '<option value="' . $row['position_id'] . '">' . $row['position_name']. '</option>';
				}
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	
	public function getPositionComboHide($value=NULL, $action=array(), $able=1)
	{
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';
				
				$events .= $key . '="' . $eventAction .'"';
			}
		}
		if ($able == 0)
		{
			$combo = '<select name="cmbPosition" id="cmbPosition" disabled="disabled"  ' . $events . '>';
		}
		else
		{
			$combo = '<select name="cmbPosition" id="cmbPosition" style="display:none" ' . $events . '>';
		}
		// $userPosition = UserClass::$userPositionList;
		// foreach($userPosition as $key => $data)
		// {
			// if ($key == $value )
			// {
				// $combo .= '<option value="' . $key . '" selected>' . $data . '</option>';
			// }
			// else 
			// {
				// $combo .= '<option value="' . $key . '">' . $data . '</option>';
			// }
		// }
		$database = new MSSQLDatabase();
		$sql = 'SELECT position_id, position_name FROM positions_tbl WHERE active = 1 ORDER BY position_name ASC';
		$rec = $database->selectDatafromDB($sql);
		$cnt = mysql_num_rows($rec);
		if ($cnt)
		{
			if (intval($value) != 0)
				$combo .= '<option value="">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option>';
			else
				$combo .= '<option value="" selected>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option>';
			
			while($row = mysql_fetch_array($rec))
			{
				if (intval($row['position_id']) == intval($value))
				{
					$combo .= '<option value="' . $row['position_id'] . '" selected>' . $row['position_name'] . '</option>';
				}
				else 
				{
					$combo .= '<option value="' . $row['position_id'] . '">' . $row['position_name']. '</option>';
				}
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	
	public function getStatusCombo($value=NULL, $action=array())
	{
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';
				
				$events .= $key . '="' . $eventAction .'"';
			}
		}
		$combo = '<select name="cmbStatus" id="cmbStatus" ' . $events . '>';
		
		$userStatus = UserClass::$userStatusList;
		foreach($userStatus as $key => $data)
		{
			if ($key == $value)
			{
				$combo .= '<option value="' . $key . '">' . $data . '</option>';
			}
			else 
			{
				$combo .= '<option value="' . $key . '">' . $data . '</option>';
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	
	public function getUserCombo($value=NULL, $action=array(), $multiple = false)
	{
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';
				
				$events .= $key . '="' . $eventAction .'"';
			}
		}
		
		if ($multiple)
			$combo = '<select name="cmbUser[]" id="cmbUser" ' . $events . ' multiple style="height:80px;">';
		else
			$combo = '<select name="cmbUser" id="cmbUser" ' . $events . '>';
		$where = ($multiple) ? ' AND (access = 1 OR access = 2) ' : '';
		$db = new MSSQLDatabase();
		$sql = 'SELECT user_id, firstname, lastname FROM '.self::TABLENAME_USER_INFO.' WHERE active = 1 '.$where.' ORDER BY lastname ASC';
		$rec = $db->selectDatafromDB($sql);
		$cnt = mysql_num_rows($rec);
		if ($cnt)
		{
			if (!$multiple)
			{
				if (intval($value) != 0)
					$combo .= '<option value="">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option>';
				else
					$combo .= '<option value="" selected>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</option>';
			}
			while($row = mysql_fetch_array($rec))
			{
				if (!$multiple)
				{
					if (intval($row['user_id']) == intval($value))
						$combo .= '<option value="' . $row['user_id'] . '" selected>' . $row['firstname'] . "" . $row['lastname'] .  '</option>';
					else 
						$combo .= '<option value="' . $row['user_id'] . '">' . $row['firstname'] . " " . $row['lastname'] .  '</option>';
				}
				else
				{
					if (isset($value[$row['user_id']]))
						$combo .= '<option value="' . $row['user_id'] . '" selected>' . $row['firstname'] . "" . $row['lastname'] .  '</option>';
					else 
						$combo .= '<option value="' . $row['user_id'] . '">' . $row['firstname'] . " " . $row['lastname'] .  '</option>';
				}
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	

	function displayStatus($statusCode)
	{
		$statusName = "";
		if($statusCode == '0') $statusName = "Regular";
		else if($statusCode == '1') $statusName = "Contractual";
		else if($statusCode == '2') $statusName = "Part-Time";
		
		return $statusName;
	}
	
	function displayPosition($id)
	{
		$sql = 'SELECT * FROM positions_tbl WHERE position_id= '.intval($id);
		$rec = $this->Db->selectDatafromDB($sql);
		$cnt = mysql_num_rows($rec);
		if ($cnt == 0)
			return array();
		$arrData = array();
		$row = mysql_fetch_array($rec);
		return $row['position_name'];
	}
	function displayAccess($accessCode)
	{
		$accessName = "";
		if($accessCode == '0') $accessName = "Admin";
		else if($accessCode == '1') $accessName = "User";
		else if($accessCode == '2') $accessName = "Super Admin";
		else if($accessCode == '3') $accessName = "Secretary";
		return $accessName;
	}
	
	function createDatePicker($name, $value = NULL)
	{
	$myCalendar = new tc_calendar($name, true, false);
	$myCalendar->setIcon("images/iconCalendar.gif");
	$dateGiven = getdate(strtotime($value));
	if ($value == NULL)
	{
		$myCalendar->setDate(date('d'), date('m'), date('Y'));
	}
	else
	{
		$myCalendar->setDate($dateGiven["mday"], $dateGiven["mon"], $dateGiven["year"]);
	}	
	
	$myCalendar->setPath("./");
	$myCalendar->setYearInterval(1940, 2040);
    $myCalendar->writeScript();
	}
	
	public function getUserList($page = 1, $keyword = NULL, $position=NULL, $status=NULL)
	{
		//$arrFiles = FileClass::arrClientsFiles(NULL, $position, $status);
		//$blnLimitFiles = ($position != '' || $status != '')? TRUE: FALSE;
		$arrField = array('*');
		$cond = 'active = 1';
		if ($keyword != NULL) 
		{
			$cond .= ' AND (UCASE(firstname) like "' . strtoupper($keyword) . '%" OR UCASE(lastname) like "' . strtoupper($keyword) . '%" OR UCASE(username) like "' . strtoupper($keyword) . '%")';
		}
		if ($position != NULL) 
		{
			$cond .= ' AND position like '.$position.' ';
		}
/*		if ($blnLimitFiles)
		{
			$arrKeys = array_keys($arrFiles);
			$cond .= ' AND user_id IN (' . implode(', ', $arrKeys) . ')';
		}*/
		// $start = ($page * self::LISTVIEW_LIMIT) - self::LISTVIEW_LIMIT;
		// $rec = $this->Db->getDatafromDB('user_info_tbl', $arrField, $cond, 'user_id', self::LISTVIEW_LIMIT, $start);
		
		$arrSQL = array();
		$arrSQL['fields'] = implode(', ', $arrField);
		$arrSQL['table'] = self::VIEWNAME_LIST;
		$arrSQL['cond'] = $cond;
		$arrSQL['order'] = 'lastname';
		$pager = new PS_Pagination($this->Db->dbConnectionID, $arrSQL, self::LISTVIEW_LIMIT, 3, '', $page);
		$pager->setActionEvent(true, 'xajax_pageSearch('.PS_Pagination::PAGE_TAG.')');
		$rec = $pager->paginate();
		$pages = $pager->renderFullNav();
		$table = '	<div class="table">';
		$table .= '		<div class="tr">';
		$table .= '			<div class="th no" id="table-header">No</div>';
		$table .= '			<div class="th ln" id="table-header">Last name</div>';
		$table .= '			<div class="th fn" id="table-header">First name</div>';
		$table .= '			<div class="th un" id="table-header">Username</div>';
		$table .= '			<div class="th position" id="table-header">Position</div>';
		$table .= '			<div class="th al" id="table-header">Access Level</div>';
		$table .= '			<div class="th add" id="table-header" colspan="3"><a href="#" onclick="events(\'add\', 0)"><img src="images/add.png" title="Add"/></a></div>';
		$table .= '		 </div>';
		
		$rowCnt = 0;
		if (is_resource($rec))
			$rowCnt = mysql_num_rows($rec);
		if ($rowCnt > 0)
		{
			//$blnLimitFiles = ($fileType != '' || $fileNumber != '')? TRUE: FALSE;
			$ctr = 1;
			$ctr = ($page * self::LISTVIEW_LIMIT) - self::LISTVIEW_LIMIT;
			$ctr++;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$fileCount = isset($arrFiles[$row['user_id']])? $arrFiles[$row['user_id']]['lastname']: 0;
				if ($row['lastname'] == '')
					$row['lastname'] = '';
				$table .= '		 <div class="tr" id="'.$classRow.'">';
				$table .= '			<div class="td no" id="table-row"><b><span>No. </span>'.$ctr.'</b></div>';
				$table .= '			<div class="td ln" id="table-row"><span>Last name : </span>'.$row['lastname'].'</div>';
				$table .= '			<div class="td fn" id="table-row"><span>First name : </span>'.$row['firstname'].'</div>';
				$table .= '			<div class="td un" id="table-row"><span>Username : </span>'.$row['username'].'</div>';
				$table .= '			<div class="td position" id="table-row"><span>Position : </span>'.$this->displayPosition($row['position']).'</div>';
				$table .= '			<div class="td al" id="table-row"><span>Access level : </span>'.$this->displayAccess($row['access']).'</div>';
				$table .= '			<div class="td actions"><a href="#" onclick="events(\'edit\', '.$row['user_id'].')"><img src="images/edit.png" title="Edit"/></a></div>';
				$table .= '			<div class="td actions"><a href="#" onclick="events(\'view\', '.$row['user_id'].')"><img src="images/view.png" title="View"/></a></div>';
				$table .= '			<div class="td actions"><a href="#" onclick="events(\'delete\', '.$row['user_id'].')"><img src="images/delete.png" title="Delete"/></a></div>';
				$table .= '		 </div>';
				$ctr++;
				
			}
		} else {
			$table .= '		 <div class="tr">';
			$table .= '			<div class="td"align="center"><i>--NO RECORD TO BE DISPLAYED--</i></div>';
			$table .= '		 </div>';
		}
		// $table .= '	 	<div class="tr" id="table-footer"><div class="td">&nbsp;</div></div>';
		$table .= '	</div>';
		$html = '<div id="page_holder">';
		$html .= '	<table width="100%" cellpadding="5" cellspacing="10">';
		$html .= '			<tr>';
		$html .= '				<td colspan="8" align="right">'.$pages.'</td>';
		$html .= '			</tr>';
		$html .= '		</table>';

		$html .= '		<form name="frmUser" id="frmUser" method="post">';
		$html .= '			<div id="user_list" name="user_list">';
		$html .= $table;
		$html .= '			</div>';
		$html .= '		<input type="hidden" name="hdnUserID" id="hdnUserID" value=""/>';
		$html .= '		<input type="hidden" name="hdnUserAccess" id="hdnUserAccess" value=""/>';
		$html .= '		</form>';
		$html .= '		<table width="100%" cellpadding="5" cellspacing="10">';
		$html .= '			<tr>';
		$html .= '				<td colspan="8" align="right">'.$pages.'</td>';
		$html .= '			</tr>';
		$html .= '		</table>';
		$html .= '	</div>';
		return $html;
		
	}
	
	public static function checkEmpNO($empno)
	{
		$db = new MSSQLDatabase();
		$sql = 'SELECT emp_no FROM '.self::TABLENAME_USER_INFO.' WHERE emp_no = '.dbString($empno);
		$rec = $db->selectDatafromDB($sql);
		$cnt = mysql_num_rows($rec);
		
		if ($cnt == 0)
			return array();
		
		$arrData = array();
		$row = mysql_fetch_array($rec);
		foreach($row as $key => $value)
		{
			$arrData[$key] = $value;
		}
		
		return $arrData;
	}
	
	public static function checkUsername($username)
	{
		$db = new MSSQLDatabase();
		$sql = 'SELECT username FROM '.self::TABLENAME_USER_INFO.' WHERE username = '.dbString($username);
		$rec = $db->selectDatafromDB($sql);
		$cnt = mysql_num_rows($rec);
		
		if ($cnt == 0)
			return array();
		
		$arrData = array();
		$row = mysql_fetch_array($rec);
		foreach($row as $key => $value)
		{
			$arrData[$key] = $value;
		}
		
		return $arrData;
	}
}
?>