DROP TABLE file_billing_tbl;

CREATE TABLE `file_billing_tbl` (
  `file_billing_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `position` tinyint(4) NOT NULL,
  `billing_date` datetime NOT NULL,
  `file_id` int(11) NOT NULL,
  `work_detail` text NOT NULL,
  `rate` double NOT NULL,
  `time_spent_sec` smallint(6) DEFAULT NULL,
  `time_spent` float NOT NULL,
  `amount` double NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `insert_by` tinyint(4) DEFAULT NULL,
  `insert_dt` datetime DEFAULT NULL,
  `update_by` tinyint(4) DEFAULT NULL,
  `update_dt` datetime DEFAULT NULL,
  `task_type` tinyint(4) NOT NULL COMMENT '0 - Non-billable; 1- Billable',
  `start_time` time NOT NULL,
  `end_time` time NOT NULL,
  `task_code` tinyint(4) NOT NULL,
  PRIMARY KEY (`file_billing_id`)
) ENGINE=InnoDB AUTO_INCREMENT=383 DEFAULT CHARSET=latin1;

INSERT INTO file_billing_tbl VALUES("1","12","0","2016-08-04 00:00:00","1","Attended meeting at ","6500","","2","13000","1","12","2016-08-04 19:48:17","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2","12","0","2016-08-04 00:00:00","1","Attended meeting at ","6500","","3","19500","1","12","2016-08-04 19:51:27","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3","12","0","2016-08-04 00:00:00","1","Wrote email to","0","","1","0","1","12","2016-08-04 19:53:07","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4","18","0","2016-08-10 00:00:00","10","Drafted affidavit of Atty. Arbis re:  SPA on nominee shares on ACC-RCC sale of ICC shares","0","","1.5","0","1","18","2016-09-19 10:28:49","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("5","18","0","2016-08-10 00:00:00","10","Wrote letter to BIR ECTAD explaining 1) proof of cost; 2) SPA on nominee shares; 3) exchange rate","0","","4","0","1","18","2016-09-19 10:37:20","","","1","13:00:00","17:00:00","9");
INSERT INTO file_billing_tbl VALUES("6","17","0","2016-08-17 00:00:00","87","Attended meeting with Ignasi Vegas and Engr. John Yrastorza and RAB (re: Igusol\'s and Promudix issues with BAI)","2500","","1","2500","1","17","2016-09-19 10:46:46","","","1","13:00:00","14:00:00","1");
INSERT INTO file_billing_tbl VALUES("7","18","0","2016-09-19 00:00:00","10","Read Email from client","0","","0.35","0","1","18","2016-09-19 10:48:40","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("8","12","0","2016-09-19 00:00:00","63","Attended meeting at  ","0","","1","0","1","21","2016-09-19 11:29:01","","","1","10:00:00","11:00:00","1");
INSERT INTO file_billing_tbl VALUES("9","16","0","2016-09-19 00:00:00","90","Traveled to Paranaque City RTC branch 195","0","","1.75","0","0","16","2016-09-20 06:48:37","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("10","16","0","2016-09-20 00:00:00","90","Traveled to Parañaque City RTC Branch 195 for hearing","0","","1.5","0","1","16","2016-09-20 06:51:15","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("11","16","0","2016-09-20 00:00:00","90","Attended trial/hearing at Paranaque RTC Branch 195 (Motion for Reconsideration)","0","","1","0","1","16","2016-09-20 11:26:41","16","2016-09-20 11:27:53","2","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("12","16","0","2016-09-20 00:00:00","90","Traveled to office from Paranaque RTC Branch 195","0","","2","0","1","16","2016-09-20 11:27:09","16","2016-09-20 11:28:00","2","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("13","16","0","2016-09-20 00:00:00","39","Traveled to Makati City Hall for meeting with Atty Labra","100","","0.5","50","1","16","2016-09-20 15:21:45","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("14","16","0","2016-09-20 00:00:00","39","Internally discussed with GVF re case","100","","0.5","50","1","16","2016-09-20 15:22:18","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("15","16","0","2016-09-20 00:00:00","39","Attended meeting at Makati City Hall with Atty Labra (settlement negotiations)","100","","0.75","75","1","16","2016-09-20 15:23:30","16","2016-09-20 16:07:34","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("16","13","0","2016-09-20 00:00:00","39","Traveled to Makati City Hall","180","","0.583333","105","1","13","2016-09-20 15:35:47","","","1","14:45:00","15:20:00","14");
INSERT INTO file_billing_tbl VALUES("17","13","0","2016-09-20 00:00:00","39","Attended meeting at Makati City Hall with Atty. Ariel Labra and DRP","180","","0.65","117","1","13","2016-09-20 15:57:53","","","1","15:21:00","16:00:00","1");
INSERT INTO file_billing_tbl VALUES("18","13","0","2016-09-20 00:00:00","39","Traveled to MPF from Makati City Hall","180","","0.333333","60","1","13","2016-09-20 16:24:03","","","1","16:01:00","16:21:00","14");
INSERT INTO file_billing_tbl VALUES("19","12","0","2016-09-16 00:00:00","63","Reviewed of work of MPP Opinion","0","","2.5","0","1","21","2016-09-20 17:44:45","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("20","12","0","2016-09-16 00:00:00","63","Reviewed of work of SGV comments on RF Rules","0","","0.3","0","0","21","2016-09-20 17:45:29","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("21","12","0","2016-09-16 00:00:00","3","Conferred with Shadik &amp; team","0","","2","0","1","21","2016-09-20 17:49:11","","","1","10:30:00","12:30:00","2");
INSERT INTO file_billing_tbl VALUES("22","12","0","2016-09-16 00:00:00","63","Made telephone call to Allen Arbis","0","","0.5","0","1","21","2016-09-20 17:51:09","","","1","15:00:00","15:30:00","16");
INSERT INTO file_billing_tbl VALUES("23","12","0","2016-09-16 00:00:00","63","Reviewed of work of LGU Lugait donation MOA","0","","1","0","1","21","2016-09-20 17:52:22","","","1","17:00:00","18:00:00","12");
INSERT INTO file_billing_tbl VALUES("24","12","0","2016-09-16 00:00:00","63","Reviewed of work of RF SGV copy","0","","0.416667","0","1","21","2016-09-20 17:53:09","","","1","18:00:00","18:25:00","12");
INSERT INTO file_billing_tbl VALUES("25","12","0","2016-09-16 00:00:00","80","Reviewed of work of charging agreements with HSEE","0","","1.33333","0","1","21","2016-09-20 17:53:57","","","1","18:25:00","19:45:00","12");
INSERT INTO file_billing_tbl VALUES("26","12","0","2016-09-19 00:00:00","9","Wrote email to Kitten, RF","0","","0.5","0","1","21","2016-09-20 17:55:25","","","1","10:00:00","10:30:00","6");
INSERT INTO file_billing_tbl VALUES("27","12","0","2016-09-19 00:00:00","80","Wrote email to April re SLA for Vietnam","0","","0.5","0","1","21","2016-09-20 17:56:19","","","1","10:30:00","11:00:00","6");
INSERT INTO file_billing_tbl VALUES("28","12","0","2016-09-19 00:00:00","63","Reviewed of work of MPP Opinion","0","","2","0","1","21","2016-09-20 17:57:04","","","1","13:00:00","15:00:00","12");
INSERT INTO file_billing_tbl VALUES("29","12","0","2016-09-19 00:00:00","63","Reviewed of work of MPP Memo","0","","2.58333","0","1","21","2016-09-20 17:57:59","","","1","15:00:00","17:35:00","12");
INSERT INTO file_billing_tbl VALUES("30","13","0","2016-09-20 00:00:00","80","Reviewed Service Agreement with IT Managers, Inc.","0","","1","0","1","13","2016-09-21 10:50:37","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("31","12","0","2016-09-21 00:00:00","63","Received telephone call from Atty. Arbis","0","","0.2","0","1","12","2016-09-21 15:34:38","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("32","12","0","2016-09-21 00:00:00","124","Internally discussed with DRP re results of meeting","6000","","0.2","1200","1","12","2016-09-21 15:36:53","","","0","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("33","12","0","2016-09-19 00:00:00","158","Wrote email to Sonny","6000","","0.25","1500","1","21","2016-09-22 13:09:20","","","1","18:00:00","18:15:00","6");
INSERT INTO file_billing_tbl VALUES("34","12","0","2016-09-19 00:00:00","134","Reviewed of work of Memo","0","","0.75","0","1","21","2016-09-22 13:09:54","","","1","18:15:00","19:00:00","12");
INSERT INTO file_billing_tbl VALUES("35","12","0","2016-09-16 00:00:00","134","Reviewed of work of UNTV Addendum","0","","0.5","0","1","21","2016-09-22 13:16:46","","","1","19:15:00","19:45:00","12");
INSERT INTO file_billing_tbl VALUES("36","12","0","2016-09-16 00:00:00","88","Conferred with Diego","6000","","1","6000","1","21","2016-09-22 13:17:32","","","1","14:00:00","15:00:00","2");
INSERT INTO file_billing_tbl VALUES("37","14","0","2016-09-16 00:00:00","94","Reviewed of work of Judicial Affidavit of ICPA Querido","4000","","0.833333","3333.33333333","2","21","2016-09-22 13:18:56","","","1","09:40:00","10:30:00","12");
INSERT INTO file_billing_tbl VALUES("38","18","0","2016-09-22 00:00:00","155","Performed Other Service DST ","3000","","1","3000","0","23","2016-09-22 14:32:53","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("39","19","0","2016-09-19 00:00:00","163","Internally discussed with staff and iManila on DTR System","0","","2","0","1","19","2016-09-22 15:23:46","","","2","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("40","19","0","2016-09-19 00:00:00","163","Internally discussed with lawyers on case update reports","0","","1","0","1","19","2016-09-22 15:26:11","","","2","01:00:00","02:00:00","8");
INSERT INTO file_billing_tbl VALUES("41","19","0","2016-09-19 00:00:00","163","Researched on SEC Opinion on Nationality Requirement of Manufacturing Business","0","","0.3","0","1","19","2016-09-22 15:27:50","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("42","19","0","2016-09-19 00:00:00","163","Performed Other Service, updated case database  and reported case summary","0","","1.3","0","1","19","2016-09-22 15:29:41","19","2016-09-22 15:30:10","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("43","18","0","2016-08-16 00:00:00","155","Performed Other Service","3000","","1","3000","0","23","2016-09-22 15:52:05","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("44","18","0","2016-09-22 00:00:00","155","Wrote email to","3000","","8","24000","0","23","2016-09-22 15:56:19","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("45","14","0","2016-09-20 00:00:00","161","Conferred with Vilma of BIR","3000","","0.25","750","2","21","2016-09-22 16:56:04","","","1","10:30:00","10:45:00","2");
INSERT INTO file_billing_tbl VALUES("46","14","0","2016-09-20 00:00:00","161","Conferred with Vilma of BIR","3000","","0.166667","500","2","21","2016-09-22 16:56:54","","","1","09:30:00","09:40:00","2");
INSERT INTO file_billing_tbl VALUES("47","14","0","2016-09-20 00:00:00","163","Attended meeting at Tsumura with Dennis Puno, EMP, GVF","0","","2.5","0","2","21","2016-09-22 16:58:11","","","2","11:30:00","14:00:00","1");
INSERT INTO file_billing_tbl VALUES("48","14","0","2016-09-20 00:00:00","163","Internally discussed with JLL","0","","1.5","0","2","21","2016-09-22 16:59:31","","","2","14:00:00","15:30:00","8");
INSERT INTO file_billing_tbl VALUES("49","14","0","2016-09-22 00:00:00","94","Reviewed of work of Judicial Affidavit of ICPA Querido","0","","0.833333","0","0","21","2016-09-22 17:02:44","","","1","09:40:00","10:30:00","12");
INSERT INTO file_billing_tbl VALUES("50","16","0","2016-09-23 00:00:00","97","Reviewed/proofread Shareholders Agreement","2500","","3","7500","1","16","2016-09-23 10:27:44","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("51","16","0","2016-09-22 00:00:00","97","Internally discussed with EMP re: Shareholders Agreement","2500","","1.5","3750","1","16","2016-09-23 10:28:23","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("52","17","0","2016-09-01 00:00:00","9","Attended meeting at BIR RDO 39 to check on the CAR application (Tokuyama &amp;amp; Taiheyo to LHPI)","0","","2","0","0","22","2016-09-26 13:05:44","22","2016-09-26 14:00:15","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("53","17","0","2016-09-01 00:00:00","9","Attended meeting at RDO 29 - Manila to check on the CAR application (SCCC to LRI)","0","","2","0","1","22","2016-09-26 13:06:59","17","2016-09-26 14:20:57","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("54","17","0","2016-09-01 00:00:00","9","Attended meeting at RD of Manila to check on the cancellation of mortgage (Star Terminal Properties)","0","","1.5","0","1","22","2016-09-26 13:10:34","22","2016-09-26 17:15:00","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("55","17","0","2016-09-01 00:00:00","67","Followed-up work at RD of Pasig regarding registration of condo unit","0","","4","0","1","22","2016-09-26 13:11:42","22","2016-09-26 17:15:38","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("56","17","0","2016-09-02 00:00:00","63","Revised draft Affidavit of Non-Renewal","0","","0.5","0","1","22","2016-09-26 13:25:06","22","2016-09-26 17:16:16","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("57","17","0","2016-09-02 00:00:00","145","Wrote email to Genshi regarding update on Go Lifestyle","3000","","0.5","1500","1","22","2016-09-26 13:26:24","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("58","17","0","2016-09-02 00:00:00","145","Made telephone call to Samantha Limbo and prepared documents of Go Lifestyle for her signature","3000","","0.5","1500","1","22","2016-09-26 13:28:11","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("59","17","0","2016-09-02 00:00:00","163","Law firm matters/lawyers lunch/reporting","0","","3","0","1","22","2016-09-26 13:30:45","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("60","17","0","2016-09-05 00:00:00","144","Drafted Paper Minutes and Secretary\'s Certificate for the release of 2015 FS of VSI","0","","1.5","0","1","22","2016-09-26 13:32:00","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("61","17","0","2016-09-05 00:00:00","89","Prepared Certification and Compliance for submission to the Court of Appeals","2500","","1.5","3750","1","22","2016-09-26 13:33:12","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("62","17","0","2016-09-05 00:00:00","163","Prepared and gave lecture on time periods","0","","2","0","1","22","2016-09-26 13:42:53","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("63","17","0","2016-09-05 00:00:00","152","Finalized memo for Advatech","2500","","5","12500","1","22","2016-09-26 13:43:42","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("64","17","0","2016-09-06 00:00:00","163","Digested cases for office purposes","0","","1.5","0","0","22","2016-09-26 13:45:32","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("65","17","0","2016-09-06 00:00:00","67","Drafted request for Management Certification (Renaissance)","0","","0.5","0","0","22","2016-09-26 13:46:13","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("66","17","0","2016-09-06 00:00:00","137","Updated Hedcor deadlines","2500","","0.75","1875","1","22","2016-09-26 13:49:59","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("67","17","0","2016-09-01 00:00:00","9","Traveled to BIR RDO 39 to check on the CAR application (Tokuyama &amp;amp;amp; Taiheyo to LHPI)","0","","2","0","1","22","2016-09-26 14:05:14","22","2016-09-27 10:06:40","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("68","17","0","2016-09-24 00:00:00","82","Revised memo to HEABS","0","","4.5","0","1","22","2016-09-26 14:24:07","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("69","16","0","2016-09-26 00:00:00","163","Internally discussed with EMP re: BSP requirements for registration of foreign direct investments (Gil Levy)","0","","0.3","0","1","16","2016-09-26 15:57:05","16","2016-09-26 16:16:27","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("70","16","0","2016-09-26 00:00:00","163","Researched on BSP registration requirements for foreign direct investments (Gil Levy)","0","","0.75","0","1","16","2016-09-26 15:57:47","16","2016-09-26 15:58:33","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("71","16","0","2016-09-26 00:00:00","163","Wrote email to EMP re: BSP registration requirements for foreign direct investments (Gil Levy)","0","","0.3","0","1","16","2016-09-26 15:58:22","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("72","16","0","2016-09-26 00:00:00","163","Reviewed firm practice areas for website","0","","1.5","0","1","16","2016-09-26 15:59:10","","","2","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("73","16","0","2016-09-26 00:00:00","143","Reviewed work of JLL (Pretrial Brief, Judicial Affidavits, Motion for Commissioning of ICPA) ","2500","","2.25","5625","1","16","2016-09-26 15:59:59","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("74","16","0","2016-09-26 00:00:00","143","Wrote email to EMP re: Project Cancer","2500","","0.2","500","1","16","2016-09-26 16:00:25","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("75","16","0","2016-09-26 00:00:00","143","Made telephone calls to JLL re: PTB/Judicial Affidavits","2500","","0.25","625","1","16","2016-09-26 16:01:27","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("76","16","0","2016-09-26 00:00:00","163","Internally discussed with EMP re: Gil Levy query on BSP registration of foreign direct investments (certificate of inward remittance)","0","","0.3","0","1","16","2016-09-26 16:10:50","16","2016-09-26 16:15:42","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("77","16","0","2016-09-26 00:00:00","163","Further researched on BSP registration of foreign direct investments (certificate of inward remittance) (Gil Levy)","0","","0.5","0","1","16","2016-09-26 16:11:20","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("78","16","0","2016-09-26 00:00:00","80","Reviewed Standard Assignment and Assumption Agreement","0","","3","0","1","16","2016-09-26 16:17:36","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("79","17","0","2016-09-06 00:00:00","163","Read and digested cases for office purposes","0","","1.5","0","1","22","2016-09-26 17:20:22","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("80","17","0","2016-09-06 00:00:00","67","Drafted request for Management Certification (Renaissance)","0","","0.5","0","1","22","2016-09-26 17:21:09","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("81","17","0","2016-09-07 00:00:00","9","Updated table on CAR request on prior transfer","0","","1.5","0","1","22","2016-09-26 17:23:03","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("82","17","0","2016-09-07 00:00:00","63","Drafted Deed of Assignment of Permit for EMP\'s review","0","","1","0","0","22","2016-09-26 17:23:47","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("83","17","0","2016-09-08 00:00:00","63","Traveled to Davao City to follow up transfer of  FLAs","0","","9","0","1","22","2016-09-26 17:26:54","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("84","17","0","2016-09-08 00:00:00","63","Attended meeting with Brgy Captain Cabling re HMDC properties","0","","1.5","0","0","22","2016-09-26 17:27:48","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("85","16","0","2016-09-26 00:00:00","124","Internally discussed with EMP re: remedies against PMCAI","3000","","0.2","600","1","16","2016-09-26 17:44:45","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("86","16","0","2016-09-26 00:00:00","124","Examined Petron Corp/PMCAI GIS ","3000","","1.25","3750","1","16","2016-09-26 17:45:34","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("87","16","0","2016-09-26 00:00:00","163","Internally discussed with EMP re: Gil Levy incorporation","0","","0.1","0","1","16","2016-09-26 17:45:53","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("88","16","0","2016-09-24 00:00:00","56","Reviewed Employment Agreement/Resignation Letters for GDS Global Services Philippines","0","","3","0","1","16","2016-09-26 17:50:59","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("89","16","0","2016-09-27 00:00:00","124","Conference call with Alvis Realty and EMP","3000","","0.75","2250","1","16","2016-09-27 08:37:10","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("90","16","0","2016-09-27 00:00:00","124","Examined GIS of Petron Corp. in preparation for conference call with Alvis and EMP","3000","","0.25","750","1","16","2016-09-27 08:41:19","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("91","17","0","2016-09-09 00:00:00","63","Prepared update to EMP","0","","1.5","0","1","22","2016-09-27 09:29:01","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("92","17","0","2016-09-09 00:00:00","144","Finalized Notice of Annual Meeting of VSI","0","","2","0","1","22","2016-09-27 09:30:04","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("93","17","0","2016-09-09 00:00:00","163","Prepared proposal to Mr. Faerber","0","","1","0","1","22","2016-09-27 09:30:51","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("94","17","0","2016-09-09 00:00:00","163","Lawyers\' lunch and reporting","0","","3","0","1","22","2016-09-27 09:31:31","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("95","17","0","2016-09-09 00:00:00","144","Finalized VSI Secretary\'s Certificate and prepared documents of VSI for the joint stockholders and directors meeting","0","","1.5","0","1","22","2016-09-27 09:32:27","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("96","17","0","2016-09-09 00:00:00","63","Revised draft of Deed of Assignment for Brgy. Captain Cabling","0","","1","0","0","22","2016-09-27 09:33:25","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("97","17","0","2016-09-10 00:00:00","144","Attended Joint Stockholders and Directors meeting of VSI","0","","8","0","1","22","2016-09-27 09:35:30","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("98","17","0","2016-09-12 00:00:00","63","Attended meeting with EMP,, SLP and Atty. Allen Arbis","0","","3.5","0","0","22","2016-09-27 09:36:22","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("99","17","0","2016-09-12 00:00:00","86","Notarized documents of Igusol","2500","","0.5","1250","0","22","2016-09-27 09:37:11","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("100","17","0","2016-09-14 00:00:00","119","Wrote email to Dorrit West re update and answered her queries","100","","0.5","50","1","22","2016-09-27 09:38:20","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("101","17","0","2016-09-15 00:00:00","94","Attended meeting with Richard Querido","2500","","2","5000","1","22","2016-09-27 09:39:35","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("102","17","0","2016-09-15 00:00:00","9","Followed-up work at BIR National Office re CAC request for CAR","0","","3","0","1","22","2016-09-27 09:40:33","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("103","17","0","2016-09-19 00:00:00","163","Case reporting and lawyers\' lunch","0","","3","0","1","22","2016-09-27 09:41:23","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("104","17","0","2016-09-19 00:00:00","163","Finalized work prospectus","0","","1.5","0","1","22","2016-09-27 09:41:58","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("105","17","0","2016-09-19 00:00:00","63","Finalized memo re: MPP","0","","2","0","1","22","2016-09-27 09:42:43","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("106","17","0","2016-09-19 00:00:00","163","Attended MPF DTR Seminar","0","","1","0","1","22","2016-09-27 09:43:42","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("107","17","0","2016-09-19 00:00:00","94","Prepared JA of Mr. Querido","2500","","2","5000","1","22","2016-09-27 09:44:41","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("108","17","0","2016-09-20 00:00:00","94","Prepared Judicial  Affidavit of Richard Querido","2500","","5","12500","1","22","2016-09-27 09:45:22","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("109","17","0","2016-09-20 00:00:00","63","Finalized MPP memo","0","","1","0","1","22","2016-09-27 09:46:05","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("110","17","0","2016-09-20 00:00:00","9","Followed-up work at RDO 29 re: issuance of CAR on SCCC-LRI transaction","0","","3","0","1","22","2016-09-27 09:47:04","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("111","17","0","2016-09-21 00:00:00","163","Went to St. Luke\'s for check-up (postponed)","0","","3","0","1","22","2016-09-27 09:48:13","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("112","17","0","2016-09-21 00:00:00","9","Followed-up work at BIR National re: CAC request for CAR","0","","2","0","1","22","2016-09-27 09:49:16","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("113","17","0","2016-09-21 00:00:00","144","Finalized Secretary\'s Certificate for VSI","0","","1","0","1","22","2016-09-27 09:49:58","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("114","17","0","2016-09-22 00:00:00","94","Finalized JA of Mr. Querido","2500","","3","7500","1","22","2016-09-27 09:50:48","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("115","17","0","2016-09-22 00:00:00","86","Finalized Igusol\'s BOC application documents","2500","","1","2500","1","22","2016-09-27 09:52:16","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("116","17","0","2016-09-22 00:00:00","89","Internally discussed with GVF re: Llarena","2500","","0.25","625","1","22","2016-09-27 09:53:44","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("117","17","0","2016-09-22 00:00:00","82","Internally discussed with GVF re: HEABS","0","","1","0","1","22","2016-09-27 09:54:50","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("118","17","0","2016-09-22 00:00:00","82","Reviewed job descriptions of HEABS\' employees","0","","3","0","1","22","2016-09-27 09:55:39","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("119","17","0","2016-09-24 00:00:00","82","Revised memo to HEABS","0","","4.5","0","0","22","2016-09-27 09:56:16","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("120","17","0","2016-09-07 00:00:00","24","Drafted Secretary\'s Certificate for Lani Diaceno","0","","1","0","1","22","2016-09-27 10:09:59","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("121","17","0","2016-09-12 00:00:00","63","Wrote email to EMP re:  Chapter XI of DAO 2010-21","0","","0.33","0","1","22","2016-09-27 10:12:35","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("122","17","0","2016-09-13 00:00:00","63","Attended meeting with EMP, SLP and Atty. Allen Arbis","0","","3.5","0","1","22","2016-09-27 10:15:03","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("123","17","0","2016-09-13 00:00:00","86","Notarized documents for Igusol","2500","","0.5","1250","1","22","2016-09-27 10:16:01","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("124","17","0","2016-09-14 00:00:00","63","Researched on nationality requirement for manufacturing business and finalized memo on MPP","0","","5","0","1","22","2016-09-27 10:17:56","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("125","17","0","2016-09-15 00:00:00","63","Internally discussed with EMP re: memo on MPP","0","","2","0","1","22","2016-09-27 10:18:46","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("126","16","0","2016-09-27 00:00:00","143","Made telephone call to JLL re: 9183 ICPA JA","2500","","0.2","500","1","16","2016-09-27 12:45:15","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("127","16","0","2016-09-27 00:00:00","143","Received telephone call from JLL re: 9183 documents for PTB","2500","","0.2","500","1","16","2016-09-27 12:45:43","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("128","16","0","2016-09-27 00:00:00","141","Received telephone call from JLL re: 9187 documents for PTB","2500","","0.2","500","1","16","2016-09-27 12:45:58","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("129","16","0","2016-09-27 00:00:00","40","Internally discussed with MAC re: minutes of meeting to shorten corporate term","100","","0.25","25","1","16","2016-09-27 12:46:48","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("130","16","0","2016-09-27 00:00:00","40","Drafted minutes to shorten corporate term (CAC and CAHC)","100","","0.75","75","1","16","2016-09-27 12:47:12","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("131","16","0","2016-09-27 00:00:00","40","Examined 2016 GIS of CAC and CAHC","100","","0.5","50","1","16","2016-09-27 12:47:33","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("132","14","0","2016-09-27 00:00:00","106","Internally discussed with MAC","0","","0.2","0","0","21","2016-09-27 12:56:06","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("133","14","0","2016-09-26 00:00:00","163","Conferred with ","0","","0.75","0","2","21","2016-09-27 12:57:30","","","2","12:00:00","12:45:00","2");
INSERT INTO file_billing_tbl VALUES("134","14","0","2016-09-26 00:00:00","140","Reviewed filing of Compliance &amp; MOTEX of Comment","4000","","0.25","1000","2","21","2016-09-27 12:59:16","","","1","12:45:00","13:00:00","12");
INSERT INTO file_billing_tbl VALUES("135","14","0","2016-09-26 00:00:00","163","Conferred with EMP","0","","1","0","2","21","2016-09-27 12:59:59","","","2","13:00:00","14:00:00","2");
INSERT INTO file_billing_tbl VALUES("136","16","0","2016-09-27 00:00:00","90","Examined Oppositor\'s Motion to Recall Order","0","","0.5","0","1","16","2016-09-27 13:05:25","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("137","16","0","2016-09-27 00:00:00","90","Researched on grounds to oppose Motion to Recall Order dated Aug 31","0","","2.5","0","1","16","2016-09-27 13:06:13","16","2016-09-27 17:06:27","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("138","14","0","2016-09-26 00:00:00","106","Conferred with BIR officials, MAC at RDO Makati","0","","0.5","0","2","21","2016-09-27 13:15:37","","","1","14:00:00","14:30:00","2");
INSERT INTO file_billing_tbl VALUES("139","14","0","2016-09-26 00:00:00","163","Performed Other Service, discussion w/ JLL","0","","1.5","0","2","21","2016-09-27 13:16:40","","","2","14:30:00","16:00:00","11");
INSERT INTO file_billing_tbl VALUES("140","14","0","2016-09-22 00:00:00","161","Conferred with Vilma of BIR","3000","","0.166667","500","2","21","2016-09-27 13:19:00","","","1","09:30:00","09:40:00","2");
INSERT INTO file_billing_tbl VALUES("141","14","0","2016-09-22 00:00:00","94","Reviewed of work of Judicial affidavit of ICPA","4000","","0.833333","3333.33333333","2","21","2016-09-27 13:19:46","","","1","09:40:00","10:30:00","12");
INSERT INTO file_billing_tbl VALUES("142","14","0","2016-09-22 00:00:00","163","Conferred with Dennis Puno, GVF &amp; EMP at Tsumura Restaurant Makati","0","","2.5","0","2","21","2016-09-27 13:20:36","","","2","11:30:00","14:00:00","2");
INSERT INTO file_billing_tbl VALUES("143","14","0","2016-09-22 00:00:00","163","Performed Other Service","0","","1.5","0","2","21","2016-09-27 13:21:10","","","2","14:00:00","15:30:00","11");
INSERT INTO file_billing_tbl VALUES("144","12","0","2016-09-27 00:00:00","140","Internal routing MOTEX Comment","0","","0.1","0","1","21","2016-09-27 13:47:58","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("145","12","0","2016-09-27 00:00:00","140","Internal routing documents from Katie of Hedcor","0","","0.1","0","1","21","2016-09-27 13:48:37","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("146","12","0","2016-09-27 00:00:00","140","Internal routing Compliance filed on Sept. 26","0","","0.1","0","1","21","2016-09-27 13:49:11","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("147","12","0","2016-09-26 00:00:00","10","Internal routing letter to BIR","0","","0.1","0","1","21","2016-09-27 13:50:03","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("148","12","0","2016-09-26 00:00:00","94","Internal routing Judicial aff. of ICPA","0","","0.1","0","1","21","2016-09-27 13:51:44","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("149","12","0","2016-09-26 00:00:00","94","Internal routing supporting documents","0","","0.1","0","1","21","2016-09-27 13:52:16","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("150","12","0","2016-09-26 00:00:00","86","Internal routing application for bureau of customs","6000","","0.1","600","1","21","2016-09-27 13:55:38","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("151","12","0","2016-09-26 00:00:00","140","Internal routing notice of resolution","0","","0.1","0","1","21","2016-09-27 13:56:24","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("152","12","0","2016-09-26 00:00:00","64","Internal routing transmittal letter re GIS ","0","","0.1","0","1","21","2016-09-27 13:57:10","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("153","12","0","2016-09-26 00:00:00","119","Internal routing authentication letter","0","","0.1","0","1","21","2016-09-27 13:57:44","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("154","12","0","2016-09-22 00:00:00","120","Internal routing transmittal letter","0","","0.1","0","1","21","2016-09-27 14:01:16","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("155","12","0","2016-09-22 00:00:00","63","Internal routing Certification","0","","0.1","0","1","21","2016-09-27 14:06:07","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("156","12","0","2016-09-22 00:00:00","162","Internal routing transmittal letter","6000","","0.1","600","1","21","2016-09-27 14:06:52","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("157","12","0","2016-09-19 00:00:00","161","Internal routing letter to Comm. Henares","6000","","0.1","600","1","21","2016-09-27 14:07:34","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("158","12","0","2016-09-19 00:00:00","120","Internal routing Joint stipulation of facts","0","","0.1","0","1","21","2016-09-27 14:08:09","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("159","12","0","2016-09-16 00:00:00","162","Internal routing request for reinvestigation","6000","","0.1","600","1","21","2016-09-27 14:08:59","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("160","12","0","2016-09-16 00:00:00","161","Internal routing request for assistance","6000","","0.1","600","1","21","2016-09-27 14:09:36","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("161","12","0","2016-09-16 00:00:00","67","Internal routing letter to Atty. Maog of RTC 155","0","","0.1","0","1","21","2016-09-27 14:10:13","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("162","12","0","2016-09-16 00:00:00","80","Internal routing transmittal of employers sworn affidavit","0","","0.1","0","1","21","2016-09-27 14:11:06","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("163","12","0","2016-09-16 00:00:00","66","Internal routing transmittal of supply agreement","0","","0.1","0","1","21","2016-09-27 14:11:47","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("164","16","0","2016-09-27 00:00:00","90","Drafted Comment/Opposition re: Motion to Recall ORder","0","","3","0","1","16","2016-09-27 17:04:46","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("165","16","0","2016-09-27 00:00:00","141","Received telephone call from JLL re: BIR records (9187)","2500","","0.1","250","1","16","2016-09-27 17:05:15","16","2016-09-27 17:05:46","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("166","16","0","2016-09-27 00:00:00","143","Received telephone call from JLL re: BIR records (9183)","2500","","0.1","250","1","16","2016-09-27 17:05:39","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("167","16","0","2016-09-27 00:00:00","141","Internally discussed with EMP re: strategy on newly discovered BIR records and PTB filing ","2500","","0.25","625","1","16","2016-09-27 17:06:17","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("168","16","0","2016-09-28 00:00:00","141","Traveled to CTA to inspect BIR docket for 9187","2500","","1.25","3125","0","16","2016-09-27 17:09:27","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("169","12","0","2016-09-27 00:00:00","134","Wrote Opinion on income tax and VAT on service fees","0","","1.41667","0","1","12","2016-09-27 17:51:34","","","1","04:05:00","05:30:00","10");
INSERT INTO file_billing_tbl VALUES("170","12","0","2016-09-27 00:00:00","134","Reviewed of work of draft of memo","0","","0.2","0","1","12","2016-09-27 17:52:53","12","2016-09-27 17:53:13","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("171","12","0","2016-09-27 00:00:00","124","Conferred with Mr. Ezerins and Lea Molino re results of PETRON meeting","6000","","1","6000","1","12","2016-09-27 17:55:08","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("172","12","0","2016-09-28 00:00:00","143","Reviewed of work of JLL - Pre-trial brief and judicial affidavit","0","","1.5","0","1","12","2016-09-28 09:54:55","12","2016-09-28 09:56:38","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("173","12","0","2016-09-28 00:00:00","143","Wrote email to client","0","","0.5","0","1","12","2016-09-28 09:56:00","12","2016-09-28 10:09:11","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("174","12","0","2016-09-28 00:00:00","143","Internally discussed with Jan and Dianne","0","","0.3","0","1","12","2016-09-28 09:57:23","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("175","16","0","2016-09-28 00:00:00","141","Traveled to CTA to review BIR docket","2500","","1.5","3750","1","16","2016-09-28 10:15:17","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("176","16","0","2016-09-28 00:00:00","141","Examined BIR docket at CTA","2500","","1.75","4375","1","16","2016-09-28 10:17:10","16","2016-09-28 11:44:05","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("177","12","0","2016-09-20 00:00:00","134","Drafted memo","0","","1.75","0","1","21","2016-09-28 11:16:39","","","1","07:00:00","08:45:00","3");
INSERT INTO file_billing_tbl VALUES("178","12","0","2016-09-20 00:00:00","94","Reviewed of work of ICPA Affidavit","0","","0.5","0","1","21","2016-09-28 11:17:18","","","1","08:45:00","09:15:00","12");
INSERT INTO file_billing_tbl VALUES("179","12","0","2016-09-20 00:00:00","63","Reviewed of work of MPP Memo","0","","0.416667","0","1","21","2016-09-28 11:21:07","","","1","11:00:00","11:25:00","12");
INSERT INTO file_billing_tbl VALUES("180","12","0","2016-09-20 00:00:00","124","Conferred with Atty. Tecson","6000","","0.666667","4000","1","21","2016-09-28 11:21:54","","","1","11:20:00","12:00:00","2");
INSERT INTO file_billing_tbl VALUES("181","12","0","2016-09-20 00:00:00","124","Performed Other Service","6000","","0.5","3000","1","21","2016-09-28 11:23:45","","","1","14:00:00","14:30:00","11");
INSERT INTO file_billing_tbl VALUES("182","12","0","2016-09-20 00:00:00","163","Attended meeting at FINEX","0","","1","0","1","21","2016-09-28 11:25:04","","","2","14:30:00","15:30:00","1");
INSERT INTO file_billing_tbl VALUES("183","12","0","2016-09-22 00:00:00","63","Wrote email to Kitten re valuable of MPSA","0","","0.75","0","1","21","2016-09-28 11:26:01","","","1","09:00:00","09:45:00","6");
INSERT INTO file_billing_tbl VALUES("184","12","0","2016-09-22 00:00:00","63","Reviewed of work of","0","","0.5","0","1","21","2016-09-28 11:27:22","","","1","09:45:00","10:15:00","12");
INSERT INTO file_billing_tbl VALUES("185","12","0","2016-09-22 00:00:00","63","Wrote email to Kat ","0","","0.5","0","1","21","2016-09-28 11:28:29","","","1","10:30:00","11:00:00","6");
INSERT INTO file_billing_tbl VALUES("186","12","0","2016-09-22 00:00:00","66","Reviewed of work of MOA re Lugait Land donation","0","","1","0","1","21","2016-09-28 11:29:12","","","1","13:00:00","14:00:00","12");
INSERT INTO file_billing_tbl VALUES("187","12","0","2016-09-22 00:00:00","158","Wrote email to Sonny","6000","","0.333333","2000","1","21","2016-09-28 11:29:49","","","1","13:00:00","13:20:00","6");
INSERT INTO file_billing_tbl VALUES("188","12","0","2016-09-23 00:00:00","155","Conferred with Keith Jones","6000","","1","6000","1","21","2016-09-28 11:30:34","","","1","10:00:00","11:00:00","2");
INSERT INTO file_billing_tbl VALUES("189","12","0","2016-09-23 00:00:00","152","Wrote email to","0","","0.25","0","1","21","2016-09-28 11:39:42","","","1","10:00:00","10:15:00","6");
INSERT INTO file_billing_tbl VALUES("190","12","0","2016-09-23 00:00:00","23","Drafted Gonzales JV","0","","0.666667","0","1","21","2016-09-28 11:41:17","","","1","11:00:00","11:40:00","3");
INSERT INTO file_billing_tbl VALUES("191","12","0","2016-09-23 00:00:00","97","Revised SHA","6000","","1","6000","1","21","2016-09-28 11:42:16","","","1","13:00:00","14:00:00","19");
INSERT INTO file_billing_tbl VALUES("192","12","0","2016-09-23 00:00:00","22","Attended meeting at BOD Meeting at Bel-Air Makati","0","","2","0","1","21","2016-09-28 11:43:18","","","1","14:00:00","16:00:00","1");
INSERT INTO file_billing_tbl VALUES("193","12","0","2016-09-23 00:00:00","63","Reviewed of work of RF Investment, 2nd amendment Agreement of SHA","0","","1","0","1","21","2016-09-28 11:44:03","","","1","16:00:00","17:00:00","12");
INSERT INTO file_billing_tbl VALUES("194","16","0","2016-09-28 00:00:00","143","Examined BIR docket at CTA","2500","","1.5","3750","1","16","2016-09-28 11:44:37","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("195","16","0","2016-09-28 00:00:00","143","Traveled from CTA to Concorde Condominium for BOD meeting","2500","","1.75","4375","1","16","2016-09-28 11:45:09","16","2016-09-28 18:39:54","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("196","12","0","2016-09-26 00:00:00","163","Attended meeting at Senate hearing for FINEX","0","","2","0","1","21","2016-09-28 11:58:20","","","2","07:30:00","09:30:00","1");
INSERT INTO file_billing_tbl VALUES("197","12","0","2016-09-26 00:00:00","22","Internally discussed with RAB","0","","0.5","0","1","21","2016-09-28 11:58:46","","","1","09:30:00","10:00:00","8");
INSERT INTO file_billing_tbl VALUES("198","12","0","2016-09-26 00:00:00","64","Drafted Reply to Allen RE BIR registration of Royalty ","0","","1","0","1","21","2016-09-28 12:02:27","","","1","10:00:00","11:00:00","3");
INSERT INTO file_billing_tbl VALUES("199","12","0","2016-09-26 00:00:00","108","Wrote email to Kitten","0","","0.416667","0","1","21","2016-09-28 12:02:56","","","1","13:35:00","14:00:00","6");
INSERT INTO file_billing_tbl VALUES("200","12","0","2016-09-26 00:00:00","10","Internally discussed with RAB","0","","0.5","0","1","21","2016-09-28 13:05:34","","","1","14:00:00","14:30:00","8");
INSERT INTO file_billing_tbl VALUES("201","12","0","2016-09-26 00:00:00","9","Internally discussed with RAB","0","","0.5","0","1","21","2016-09-28 13:06:14","","","1","14:30:00","15:00:00","8");
INSERT INTO file_billing_tbl VALUES("202","12","0","2016-09-27 00:00:00","80","Reviewed of work of Assignment agreement w/ Citibank","0","","0.5","0","1","21","2016-09-28 13:09:20","","","1","14:00:00","14:30:00","12");
INSERT INTO file_billing_tbl VALUES("203","14","0","2016-09-27 00:00:00","10","Attended meeting at BIR with MAC","0","","7","0","2","21","2016-09-28 15:47:49","","","1","08:30:00","15:30:00","1");
INSERT INTO file_billing_tbl VALUES("204","16","0","2016-09-28 00:00:00","163","Attended BOD meeting for Concorde Condominium (Genato/Landmart; no JEM)","0","","1.1","0","1","16","2016-09-28 18:26:04","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("205","16","0","2016-09-28 00:00:00","163","Traveled from Concorde Condominium to office","0","","0.5","0","1","16","2016-09-28 18:26:30","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("206","16","0","2016-09-28 00:00:00","163","Performed Other Service: Business Etiquette seminar","0","","1.25","0","1","16","2016-09-28 18:26:55","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("207","16","0","2016-09-28 00:00:00","141","Internally discussed with EMP re: Pisces newly discovered documents","2500","","0.25","625","1","16","2016-09-28 18:27:19","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("208","16","0","2016-09-28 00:00:00","141","Made telephone calls (2) to Ada Santiago re: documents for Pisces","2500","","0.2","500","1","16","2016-09-28 18:39:00","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("209","16","0","2016-09-28 00:00:00","141","Revised PTB, Judicial Affidavit of Apple Malapad","2500","","3.5","8750","1","16","2016-09-28 18:39:33","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("210","16","0","2016-09-28 00:00:00","90","Internally discussed with GVF re: Oppositor\'s Motion to Recall","0","","0.1","0","1","16","2016-09-28 19:14:11","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("211","16","0","2016-09-28 00:00:00","90","Internally discussed with MAC hearing on Oppositor\'s Motion to Recall scheduled on 9/29/16, and earlier Motion for Reconsideration ","0","","0.5","0","1","16","2016-09-28 19:14:57","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("212","16","0","2016-09-29 00:00:00","141","Revised PTB, JAs for 9187","2500","","1.5","3750","1","16","2016-09-29 11:03:06","16","2016-09-29 11:06:05","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("213","16","0","2016-09-29 00:00:00","143","Revised PTB, JAs for 9183","2500","","1.5","3750","1","16","2016-09-29 11:03:25","16","2016-09-29 11:06:10","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("214","16","0","2016-09-29 00:00:00","141","Received telephone call from Ada Santiago re: JA of Arazeli Malapad","2500","","0.2","500","1","16","2016-09-29 11:03:50","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("215","16","0","2016-09-29 00:00:00","141","Performed Other Service: checked exhibits to be attached to 9187 PTB","2500","","2","5000","1","16","2016-09-29 11:04:31","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("216","16","0","2016-09-29 00:00:00","141","Supervised filing of PTB, JAs for 9187","2500","","5","12500","1","16","2016-09-29 11:05:13","16","2016-09-30 10:55:57","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("217","16","0","2016-09-29 00:00:00","143","Supervised filing of PTB, JAs for 9183","2500","","5","12500","1","16","2016-09-29 11:05:33","16","2016-09-30 10:56:18","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("218","16","0","2016-09-29 00:00:00","141","Received telephone call from EMP re: filing of PTBs and JAs for 9187 and 9183","2500","","0.2","500","1","16","2016-09-29 11:05:56","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("219","16","0","2016-09-29 00:00:00","163","Examined documents received from Nisce Mamuric (Generali Asia NV Tax Treaty Relief Application)","0","","1.25","0","1","16","2016-09-29 11:07:28","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("220","16","0","2016-09-29 00:00:00","90","Received telephone calls from MAC re: hearing on Oppositor\'s Motion to Recall Order","0","","0.2","0","1","16","2016-09-29 11:10:48","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("221","16","0","2016-09-29 00:00:00","56","Conference call with EMP and GVF re: transfer of employees from GDS Link Asia to GDS Global","0","","0.25","0","1","16","2016-09-29 16:39:22","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("222","12","0","2016-09-29 00:00:00","143","Internal routing Jud. Aff of Mr. Mendoza","0","","0.1","0","1","21","2016-09-30 10:15:49","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("223","12","0","2016-09-29 00:00:00","63","Internal routing of SPA","0","","0.1","0","1","21","2016-09-30 10:16:22","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("224","12","0","2016-09-29 00:00:00","140","Internal routing Order","0","","0.1","0","1","21","2016-09-30 10:17:07","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("225","12","0","2016-09-29 00:00:00","158","Internal routing certified true copies of documents","6000","","0.1","600","1","21","2016-09-30 10:17:39","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("226","12","0","2016-09-29 00:00:00","120","Internal routing Order","0","","0.1","0","1","21","2016-09-30 10:18:08","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("227","16","0","2016-09-29 00:00:00","99","Received telephone call from Jenny Chan re: birth certificate affidavit","2500","","0.5","1250","1","16","2016-09-30 10:55:38","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("228","16","0","2016-09-29 00:00:00","141","Drafted Manifestation re: filing of PTB by registered mail","2500","","1","2500","1","16","2016-09-30 10:56:46","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("229","16","0","2016-09-30 00:00:00","141","Drafted Manifestation re: filing of PTB by registered mail","2500","","1","2500","1","16","2016-09-30 10:57:22","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("230","16","0","2016-09-30 00:00:00","143","Drafted Manifestation re: filing of PTB by registered mail","2500","","1","2500","1","16","2016-09-30 10:57:39","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("231","16","0","2016-09-30 00:00:00","56","Drafted Offer Letter","0","","1","0","0","16","2016-09-30 11:07:36","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("232","16","0","2016-09-30 00:00:00","163","Performed Other Service: Lawyers\' lunch/case reporting","0","","2.5","0","1","16","2016-09-30 11:07:57","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("233","16","0","2016-09-30 00:00:00","163","Internally discussed planning meeting to Cambodia","0","","1","0","1","16","2016-09-30 15:10:19","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("234","16","0","2016-09-30 00:00:00","56","Revised offer letter, employment contract","0","","1","0","1","16","2016-09-30 15:23:47","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("235","16","0","2016-09-30 00:00:00","163","Examined GANV documents transmitted by Nisce Mamuric","0","","0.75","0","1","16","2016-09-30 15:45:50","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("236","16","0","2016-09-30 00:00:00","163","Drafted Certification to be executed by custodian of GANV Deeds of Sale","0","","0.5","0","1","16","2016-09-30 15:46:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("237","16","0","2016-09-30 00:00:00","163","Wrote email to EMP re: GANV documents","0","","0.25","0","1","16","2016-09-30 15:46:36","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("238","19","0","2016-10-03 00:00:00","140","Examined transmitted original and certified true copies of documents/exhibits","2500","","0.5","1250","1","19","2016-10-03 12:53:03","19","2016-10-03 12:53:35","1","11:00:00","11:30:00","5");
INSERT INTO file_billing_tbl VALUES("239","19","0","2016-09-19 00:00:00","163","Attended meeting at MPF on DTR system","0","","1.5","0","0","19","2016-10-03 12:55:14","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("240","19","0","2016-09-23 00:00:00","140","Drafted ICPA compliance submission","2500","","0.5","1250","1","19","2016-10-03 12:57:16","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("241","19","0","2016-09-26 00:00:00","140","Drafted Motion for extension to file comment","2500","","0.25","625","1","19","2016-10-03 12:59:04","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("242","19","0","2016-09-28 00:00:00","163","Attended meeting at MPF on Atty. Sta. Maria\'s etiquette lecture ","0","","2","0","1","19","2016-10-03 13:00:52","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("243","19","0","2016-09-30 00:00:00","163","Internally discussed with JLL on Benjamin Uy case update Re: Appeal and Reply to respondent\'s appeal","0","","1","0","1","19","2016-10-03 13:03:47","","","2","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("244","19","0","2016-09-30 00:00:00","140","Performed Other Service (Proofread) Comment on BIR\'s motion for early resolution","2500","","0.5","1250","1","19","2016-10-03 13:06:43","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("245","16","0","2016-10-03 00:00:00","141","Examined Pretrial Brief in preparation for tomorrow\'s Pretrial","2500","","1","2500","1","16","2016-10-03 15:08:46","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("246","16","0","2016-10-03 00:00:00","80","Received telephone call from EMP re: amendments to HEABS\' multiple SLAs","0","","0.3","0","1","16","2016-10-03 15:11:03","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("247","16","0","2016-10-03 00:00:00","80","Drafted Amendment Agreement (to SLA) template","0","","1.25","0","1","16","2016-10-03 15:12:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("248","16","0","2016-10-03 00:00:00","80","Attended meeting at HEABS office with EMP and Mr. Ed Santiago","0","","1","0","1","16","2016-10-03 21:24:05","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("249","16","0","2016-10-03 00:00:00","80","Traveled to HEABS office for meeting with Ed Santiago","0","","1.2","0","1","16","2016-10-03 21:24:34","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("250","16","0","2016-10-03 00:00:00","80","Traveled from HEABS office to MPF office after meeting with Ed Santiago","0","","0.75","0","1","16","2016-10-03 21:25:07","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("251","16","0","2016-10-03 00:00:00","80","Drafted Service Level Agreement for Lafarge Vietnam, revised SLA for Holcim Vietnam","0","","1.25","0","1","16","2016-10-03 21:25:42","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("252","16","0","2016-10-03 00:00:00","80","Made telephone call to MAC re: memo on divestment of affiliates","0","","0.25","0","1","16","2016-10-03 21:26:32","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("253","16","0","2016-10-03 00:00:00","143","Received telephone call from Clerk of Court of CTA 3rd division re CTA case 9183","2500","","0.2","500","1","16","2016-10-03 21:27:09","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("254","16","0","2016-10-03 00:00:00","143","Examined Resolution dated Sep 1 for CTA Case 9183","2500","","1","2500","1","16","2016-10-03 21:27:50","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("255","16","0","2016-10-03 00:00:00","143","Internally discussed with EMP re: next steps for CTA Case 9183","2500","","0.25","625","1","16","2016-10-03 21:28:18","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("256","18","0","2016-09-09 00:00:00","163","Attended meeting with I-Manila on DTR","0","","1.5","0","0","18","2016-10-04 13:42:00","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("257","18","0","2016-09-09 00:00:00","120","traveled to CTA for Commissioner\'s Hearing (Pre-marking Exhibits)","2500","","1.5","3750","0","18","2016-10-04 13:45:46","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("258","18","0","2016-09-09 00:00:00","120","Performed Other Service for Commissioner\'s Hearing (Pre-Marking Exhibits)","2500","","1.5","3750","0","18","2016-10-04 13:53:25","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("259","18","0","2016-09-09 00:00:00","134","Revise Memo on Situs of Taxation of Services rendered offsite/onsite","100","","2.5","250","0","18","2016-10-04 13:54:59","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("260","18","0","2016-09-19 00:00:00","163","Attended meeting with I-Manila on DTR","0","","1.5","0","1","18","2016-10-04 13:58:09","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("261","18","0","2016-09-19 00:00:00","120","Traveled to CTA for Pre-Marking of Exhibits","2500","","1.5","3750","1","18","2016-10-04 13:58:52","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("262","18","0","2016-09-19 00:00:00","120","Performed Other Service for Commissioner\'s Hearing (Pre-Marking Exhibits)","2500","","1.5","3750","1","18","2016-10-04 13:59:32","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("263","18","0","2016-09-19 00:00:00","134","Revise Memo on Situs of Taxation of Services rendered Offsite/Onsite.","100","","2.5","250","1","18","2016-10-04 14:00:21","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("264","18","0","2016-09-20 00:00:00","106","Followed-up work at status of assessment at RDO 50","2500","","2","5000","1","18","2016-10-04 14:03:22","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("265","18","0","2016-09-20 00:00:00","134","Followed-up work to Cecile Carillo of Maybank re: Board Resolution on Internet Banking","100","","0.5","50","1","18","2016-10-04 14:05:55","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("266","18","0","2016-09-20 00:00:00","134","Wrote email to client on status of Board Resolution on Internet Banking","100","","0.5","50","1","18","2016-10-04 14:06:58","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("267","18","0","2016-09-20 00:00:00","134","Revise memo on Situs of Taxation on Services Rendered Offsite/Onsite","100","","3","300","1","18","2016-10-04 14:08:03","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("268","18","0","2016-09-20 00:00:00","134","Internally discussed with EMP re: Benchmark Memo","100","","0.5","50","1","18","2016-10-04 14:08:35","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("269","16","0","2016-10-04 00:00:00","141","Traveled to CTA for pretrial","2500","","1.75","4375","1","16","2016-10-06 07:48:09","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("270","16","0","2016-10-04 00:00:00","141","Attended pretrial for pisces","0","","1.5","0","1","16","2016-10-06 07:49:21","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("271","16","0","2016-10-04 00:00:00","141","Traveled from CTA from pisces pretrial","2500","","2","5000","1","16","2016-10-06 07:50:20","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("272","16","0","2016-10-04 00:00:00","163","Performed Other Service: sick leave","0","","8","0","1","16","2016-10-06 07:51:06","16","2016-10-06 07:56:35","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("273","16","0","2016-10-04 00:00:00","163","Performed Other Service: vacation leave","0","","8","0","1","16","2016-10-06 07:51:51","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("274","16","0","2016-10-06 00:00:00","90","Traveled to Paranaque City Hall for hearing","0","","1.25","0","1","16","2016-10-06 07:52:26","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("275","16","0","2016-10-06 00:00:00","90","Attended trial/hearing at Paranaque RTC Br 195","0","","2","0","1","16","2016-10-06 07:53:20","16","2016-10-06 12:03:43","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("276","16","0","2016-10-06 00:00:00","90","Traveled to office from Paranaque RTC","0","","3.1","0","1","16","2016-10-06 07:53:41","16","2016-10-06 12:03:56","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("277","16","0","2016-10-05 00:00:00","80","Revised HVL, LCL SLAs/Amendment Agreement to HVL SLA","0","","2.5","0","1","16","2016-10-06 07:54:52","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("278","16","0","2016-10-04 00:00:00","90","Researched on execution pending appeal/discretionary execution","0","","3","0","1","16","2016-10-06 07:55:43","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("279","16","0","2016-10-04 00:00:00","90","Drafted Comment on Motion to Recall","0","","1.5","0","1","16","2016-10-06 07:56:20","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("280","18","0","2016-09-21 00:00:00","39","Performed Other Service, Prepare/arrange documents for transmittal to SGV and update bank passbook of CAC and CAHC","100","","1.5","150","1","18","2016-10-06 10:33:20","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("281","18","0","2016-09-21 00:00:00","39","Wrote email to Ms. Gemma Merin regarding CAC and CAHC","0","","0.5","0","1","18","2016-10-06 10:34:27","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("282","18","0","2016-09-21 00:00:00","149","Wrote email to Dayrelle Servidad ","3500","","0.5","1750","1","18","2016-10-06 10:35:05","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("283","18","0","2016-09-21 00:00:00","155","Drafted Minutes of the Organizational Meeting of Stockholders; and Minutes of Organizational Meeting of BOD.","3000","","2","6000","1","18","2016-10-06 10:36:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("284","18","0","2016-09-21 00:00:00","134","Drafted Minutes of BOD Meeting re: Internet Banking Facility and Director\'s Certificate (Singaporean Directors).","100","","2.5","250","1","18","2016-10-06 10:38:42","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("285","18","0","2016-09-21 00:00:00","39","Drafted email to SGV","100","","1","100","1","18","2016-10-06 10:39:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("286","18","0","2016-09-22 00:00:00","128","Drafted Minutes of the BOD Meeting Held August 31, 2016.","0","","2","0","1","18","2016-10-06 10:42:36","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("287","18","0","2016-09-22 00:00:00","64","Drafted Minutes of the Meeting (August 31, 2016).","0","","2","0","1","18","2016-10-06 10:43:43","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("288","18","0","2016-09-22 00:00:00","155","Revise Minutes of Organizational Meeting of Shareholders and BOD; and Sec\'s Cert RE: BPI and Coins.ph.","3000","","2","6000","1","18","2016-10-06 10:45:18","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("289","18","0","2016-09-22 00:00:00","128","Revise LHAI Minutes of BOD Meeting (August 31, 2016).","0","","1","0","1","18","2016-10-06 10:46:14","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("290","18","0","2016-09-23 00:00:00","155","Attended meeting with Keith Jones &amp; EMP.","3000","","1.5","4500","1","18","2016-10-06 10:48:43","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("291","18","0","2016-09-23 00:00:00","10","Revise letter to ELTAD","0","","1","0","1","18","2016-10-06 10:49:23","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("292","18","0","2016-09-23 00:00:00","10","Supervised filing of Letter tp ELTAD","0","","0.5","0","1","18","2016-10-06 10:49:48","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("293","18","0","2016-09-23 00:00:00","134","Revise Minutes of the BOD Meeting re: Internet Banking; and Director\'s Certificate.","100","","1.5","150","1","18","2016-10-06 10:50:40","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("294","18","0","2016-09-23 00:00:00","149","Wrote email to Dayrelle Servidad","3500","","0.5","1750","1","18","2016-10-06 10:57:01","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("295","18","0","2016-09-23 00:00:00","120","Wrote email to CTA 2n Division re: List of Document Exhibits to be presented by Petitioner","2500","","0.5","1250","1","18","2016-10-06 10:58:10","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("296","18","0","2016-09-23 00:00:00","134","Revise Memo on Situs of Taxation on Services rendered Offsite/Onsite","100","","2","200","1","18","2016-10-06 10:58:44","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("297","18","0","2016-09-26 00:00:00","134","Revise Memo to be sent to UNTV","0","","1.5","0","1","18","2016-10-06 11:00:51","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("298","18","0","2016-09-26 00:00:00","106","Internally discussed with with RAB, EMP and Ms. Badeth Nanaga.","2500","","1.5","3750","1","18","2016-10-06 11:02:12","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("299","18","0","2016-09-26 00:00:00","106","Attended meeting with BIR Officer Charlemagne Ramil, with Atty. Roberto Baquiran and Badeth Nanaga.","0","","1.5","0","1","18","2016-10-06 11:04:28","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("300","18","0","2016-09-26 00:00:00","163","Performed Other Service Updated List of Case Reporting Assignment","0","","1","0","1","18","2016-10-06 11:08:57","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("301","18","0","2016-09-26 00:00:00","40","Contact Ms. Gemma Merin","100","","1","100","1","18","2016-10-06 11:13:15","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("302","18","0","2016-10-06 00:00:00","80","Traveled to BOI","0","","1","0","0","18","2016-10-06 11:40:02","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("303","18","0","2016-09-27 00:00:00","80","Traveled to BOI","0","","1","0","1","18","2016-10-06 11:40:26","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("304","18","0","2016-09-27 00:00:00","80","Attended meeting with Atty. Pia Alano","0","","1","0","1","18","2016-10-06 11:40:53","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("305","18","0","2016-09-27 00:00:00","80","Traveled to SEC","0","","1.5","0","1","18","2016-10-06 11:42:11","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("306","18","0","2016-09-27 00:00:00","80","Attended meeting with Ms. Margarette Almazan of Compliance Monitoring Division (SEC)","0","","1.5","0","1","18","2016-10-06 11:42:49","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("307","18","0","2016-09-27 00:00:00","80","Drafted email re: updated to Mr. Santiago.","0","","1","0","1","18","2016-10-06 11:43:17","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("308","18","0","2016-10-06 00:00:00","10","Traveled to BIR National Office","0","","1.5","0","0","18","2016-10-06 11:45:34","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("309","18","0","2016-09-28 00:00:00","10","Traveled to BIR National Office","0","","1.5","0","1","18","2016-10-06 11:46:28","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("310","18","0","2016-09-28 00:00:00","10","Attended meeting with BIR Examiner Ernesto Gamrad and Atty. Roberto Baqurian","0","","3","0","1","18","2016-10-06 11:47:15","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("311","18","0","2016-09-28 00:00:00","10","Internally discussed with Atty. Baquiran and Atty. Euney","0","","1","0","1","18","2016-10-06 11:47:45","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("312","18","0","2016-09-28 00:00:00","10","Drafted email to update the Client","0","","1","0","1","18","2016-10-06 11:48:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("313","18","0","2016-09-28 00:00:00","163","Attended seminar re: Etiquette.\n","0","","1","0","1","18","2016-10-06 11:49:47","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("314","18","0","2016-09-29 00:00:00","90","Traveled to RTC Parañaque","0","","1.5","0","1","18","2016-10-06 11:52:12","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("315","18","0","2016-09-29 00:00:00","90","Performed Other Service, Inquire status of case with court staff","0","","1","0","1","18","2016-10-06 11:53:33","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("316","18","0","2016-09-30 00:00:00","106","Made telephone call to Charlemagne Ramil of RR No. 8","2500","","1","2500","1","18","2016-10-06 13:21:21","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("317","18","0","2016-09-30 00:00:00","120","Made telephone call to Ms. Ada Santiago re: Draft ICPA Report and CTC of DOE Certificate.","2500","","1","2500","1","18","2016-10-06 13:22:08","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("318","18","0","2016-09-30 00:00:00","128","Drafted Secretary\'s Certificate on Assets Recommended for Approval.","0","","1.5","0","1","18","2016-10-06 13:24:21","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("319","18","0","2016-09-30 00:00:00","39","Made telephone call to Ms. Gemma Merin re: sending documents for transmittal","100","","1","100","1","18","2016-10-06 13:25:03","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("320","18","0","2016-09-30 00:00:00","10","Performed Other Service , Locate schedules of the SPA for the records.","0","","1.5","0","1","18","2016-10-06 13:26:50","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("321","14","0","2016-10-06 00:00:00","163","Attended FINEX Tax Forum at Marriot Grand Ballroom Building, Pasay","0","","3.5","0","2","21","2016-10-06 16:49:45","","","2","14:00:00","17:30:00","1");
INSERT INTO file_billing_tbl VALUES("322","17","0","2016-09-27 00:00:00","94","Attended hearing at the Court of Tax Appeals for the presentation of ICPA","2500","","3","7500","2","22","2016-10-07 14:06:05","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("323","17","0","2016-09-27 00:00:00","163","Check-up at St. Luke\'s Hospital","0","","3","0","2","22","2016-10-07 14:07:03","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("324","17","0","2016-10-27 00:00:00","143","Checking of files at the Court of Tax Appeals for CTA Cases 9183 and 9187","2500","","2.5","6250","0","22","2016-10-07 14:08:06","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("325","17","0","2016-09-27 00:00:00","143","Revised Pretrial Brief, Motion for ICPA Commissioning and Judicial Affidavit of Mr. Emmanuel Mendoza","0","","3","0","2","22","2016-10-07 14:09:02","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("326","17","0","2016-09-27 00:00:00","63","Updated EMP re: Davao FLAs","0","","0.33","0","2","22","2016-10-07 14:10:04","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("327","17","0","2016-09-28 00:00:00","63","Traveled to Batangas to submit application for Provisional Permit and SPA of Mata-Perez &amp; Francisco with Jeric Leonardo","0","","8.5","0","2","22","2016-10-07 14:11:24","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("328","17","0","2016-09-28 00:00:00","163","Attended lecture on etiquette ","0","","2","0","2","22","2016-10-07 14:11:54","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("329","17","0","2016-09-28 00:00:00","143","Finalized Pretrial Brief and Judicial Affidavit of Apple Malapad","2500","","3.5","8750","2","22","2016-10-07 14:12:56","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("330","17","0","2016-09-29 00:00:00","143","Supervised filing of Pretrial Brief for CTA Case 9183","0","","2.5","0","2","22","2016-10-07 14:13:56","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("331","17","0","2016-09-29 00:00:00","163","Attended TMAP  Seminar","0","","5","0","2","22","2016-10-07 14:14:28","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("332","17","0","2016-09-30 00:00:00","163","Case reporting and lawyers\' lunch","0","","3","0","2","22","2016-10-07 14:15:07","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("333","17","0","2016-09-30 00:00:00","163","Prepared time reports","0","","1","0","2","22","2016-10-07 14:15:43","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("334","17","0","2016-09-30 00:00:00","163","Prepared request for payment","0","","1.5","0","2","22","2016-10-07 14:16:09","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("335","17","0","2016-09-30 00:00:00","63","Oriented RHO re Batangas MLA","0","","0.5","0","2","22","2016-10-07 14:16:50","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("336","17","0","2016-09-27 00:00:00","143","Checking of files at the Court of Tax Appeals for CTA Cases 9183 and 9187","0","","2.5","0","2","22","2016-10-07 14:20:57","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("337","15","0","2016-10-11 00:00:00","93","Revised JLL\'s draft of formal offer of evidence. Consultation on how to submit the ICPA report and all 1500 exhibits. ","2500","","0.5","1250","1","15","2016-10-11 14:09:03","","","1","14:15:00","14:45:00","19");
INSERT INTO file_billing_tbl VALUES("338","15","0","2016-10-11 00:00:00","163","Researched and Revised Powerpoint on Corp. Sec training. Include revision of ppt on GIS filing. ","0","","4.25","0","1","15","2016-10-11 14:11:41","","","2","10:30:00","14:45:00","13");
INSERT INTO file_billing_tbl VALUES("339","12","0","2016-10-10 00:00:00","63","Wrote email to ALLEN RE STATUS ","0","","0.3","0","1","12","2016-10-11 15:45:35","","","0","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("340","12","0","2016-10-10 00:00:00","9","Reviewed of work of JLL re updates of CAR; discussion with Bobby","0","","0.5","0","1","12","2016-10-11 15:46:38","","","0","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("341","12","0","2016-10-10 00:00:00","10","Internally discussed with RAB and Maki re BIR Requirements","0","","0.5","0","1","12","2016-10-11 15:49:19","","","0","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("342","16","0","2016-10-10 00:00:00","11","Examined Judicial Affidavit of Teresita Villamor/prepared cross-examination questions","0","","2","0","1","16","2016-10-11 16:18:24","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("343","16","0","2016-10-10 00:00:00","11","Traveled to CTA for hearing","0","","1","0","1","16","2016-10-11 16:18:43","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("344","16","0","2016-10-10 00:00:00","11","Attended trial/hearing at CTA Third Div for TA Oil v CIR","0","","2.5","0","1","16","2016-10-11 16:19:46","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("345","16","0","2016-10-10 00:00:00","11","Traveled from CTA","0","","1.25","0","1","16","2016-10-11 16:20:09","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("346","16","0","2016-10-10 00:00:00","11","Drafted email update to client","0","","0.75","0","1","16","2016-10-11 16:20:32","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("347","16","0","2016-10-10 00:00:00","97","Reviewed previous research on fishpond matter","2500","","1","2500","1","16","2016-10-11 16:21:16","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("348","16","0","2016-10-10 00:00:00","97","Received telephone call from EMP re: Fortman Cline fishpond matter","2500","","0.2","500","1","16","2016-10-11 16:21:38","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("349","16","0","2016-10-10 00:00:00","97","Attended meeting at Fortman Cline re fishpond matter","2500","","2","5000","0","16","2016-10-11 16:21:51","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("350","16","0","2016-10-10 00:00:00","97","Researched on nationality restrictions on fishponds","2500","","1","2500","0","16","2016-10-11 16:22:05","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("351","16","0","2016-10-11 00:00:00","97","Attended meeting at Fortman Cline re fishpond matter","0","","2","0","1","16","2016-10-11 16:23:05","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("352","16","0","2016-10-11 00:00:00","97","Researched on nationality restrictions on fishponds","0","","1","0","1","16","2016-10-11 16:23:35","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("353","16","0","2016-10-11 00:00:00","141","Drafted Joint Stipulation of Facts and Issues","2500","","3","7500","1","16","2016-10-11 16:23:56","16","2016-10-11 16:26:46","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("354","16","0","2016-10-11 00:00:00","163","Wrote emails to Dr. Hazel Zuellig re: amendment of AOI of ZHC","0","","0.4","0","1","16","2016-10-11 16:24:48","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("355","16","0","2016-10-11 00:00:00","99","Drafted Affidavit of Discrepancy re birth date of Jenny Chan","2500","","1","2500","1","16","2016-10-11 16:25:16","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("356","16","0","2016-10-11 00:00:00","163","Wrote email to EMP re: requirements for amendment of AOI (Southwest Premiere Ferries)","0","","0.2","0","1","16","2016-10-11 16:25:53","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("357","16","0","2016-10-11 00:00:00","163","Internally discussed with RHO re: requirements for amendment of AOI/increase in ACS/conversion of shares to RPS (Southwest Premiere Ferries)","0","","0.4","0","1","16","2016-10-11 16:26:24","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("358","16","0","2016-10-11 00:00:00","11","Internally discussed with EMP re possibility of presenting rebuttal evidence","0","","0.25","0","1","16","2016-10-11 16:28:27","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("359","12","0","2016-10-14 00:00:00","141","Reviewed of work of DRP Joint Stipulation of Facts","0","","0.5","0","1","12","2016-10-14 19:39:59","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("360","12","0","2016-10-14 00:00:00","166","Conferred with Anton Lichauco","0","","1.3","0","1","12","2016-10-14 19:40:35","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("361","12","0","2016-10-14 00:00:00","166","Drafted Subscription Agreement/Amended AOI","0","","1.25","0","1","12","2016-10-14 19:41:05","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("362","12","0","2016-10-14 00:00:00","94","Reviewed of work of Formal Offer of Evidence","0","","0.5","0","1","12","2016-10-14 19:43:20","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("363","12","0","2016-10-14 00:00:00","9","Internally discussed with Bobby/Jan re Star Terminal CAR","0","","0.2","0","1","12","2016-10-14 19:45:23","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("364","12","0","2016-10-14 00:00:00","85","Wrote letter to BIR re CAR amendments","0","","0.2","0","1","12","2016-10-14 19:49:53","","","1","00:00:00","00:00:00","9");
INSERT INTO file_billing_tbl VALUES("365","12","0","2016-10-14 00:00:00","106","Reviewed of work of MAC re letter to BIR for pull-out of records","0","","0.2","0","1","12","2016-10-14 19:51:11","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("366","12","0","2016-10-14 00:00:00","120","Internally discussed with MAC","0","","0.2","0","1","12","2016-10-14 19:53:44","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("367","12","0","2016-10-14 00:00:00","80","Internally discussed with Dianne  re various contracts","0","","0.5","0","1","12","2016-10-14 19:54:26","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("368","12","0","2016-10-14 00:00:00","166","Drafted Subscription Agreement, Amended AOI, Certificate of Amendment","0","","1.5","0","1","12","2016-10-14 21:15:11","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("369","12","0","2016-10-13 00:00:00","65","Conferred with Vangie Caballa","0","","1.5","0","1","12","2016-10-14 21:16:58","","","0","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("370","12","0","2016-10-13 00:00:00","65","Internally discussed with Bobby and Dianne","0","","0.5","0","1","12","2016-10-14 21:17:18","","","0","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("371","12","0","2016-10-13 00:00:00","65","Traveled to RFM Office","0","","0.45","0","1","12","2016-10-14 21:17:40","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("372","12","0","2016-10-13 00:00:00","85","Internally discussed with GVF CAR amendments","0","","0.3","0","1","12","2016-10-14 21:18:29","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("373","12","0","2016-10-13 00:00:00","166","Made telephone call to Anton Lichauco","0","","0.3","0","1","12","2016-10-14 21:19:04","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("374","12","0","2016-10-13 00:00:00","106","Internally discussed with RAB and Macky","0","","0.5","0","1","12","2016-10-14 21:19:46","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("375","12","0","2016-10-13 00:00:00","80","Wrote email to Jon Testor","0","","0.2","0","1","12","2016-10-14 21:21:01","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("376","12","0","2016-10-13 00:00:00","80","Internally discussed with mac","0","","0.2","0","1","12","2016-10-14 21:21:19","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("377","12","0","2016-10-13 00:00:00","166","Wrote email to Michelle","0","","0.2","0","1","12","2016-10-14 21:21:49","","","0","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("378","12","0","2016-10-12 00:00:00","166","Drafted Subscription Agreement","0","","1.5","0","1","12","2016-10-14 21:23:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("379","12","0","2016-10-12 00:00:00","106","Conferred with Charlie and Maning Mendoza","0","","1.75","0","1","12","2016-10-14 21:25:13","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("380","12","0","2016-10-12 00:00:00","166","Wrote email to Michelle - re conversion","0","","0.2","0","1","12","2016-10-14 21:25:59","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("381","12","0","2016-10-11 00:00:00","97","Conferred with Mark Luz to discuss Prawn project","6000","","1","6000","1","12","2016-10-14 21:27:52","","","0","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("382","12","0","2016-10-11 00:00:00","63","Internally discussed withJLL","0","","0.5","0","1","12","2016-10-14 21:28:55","","","1","00:00:00","00:00:00","8");
# end of file