DROP TABLE file_billing_tbl;

CREATE TABLE `file_billing_tbl` (
  `file_billing_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `position` tinyint(4) NOT NULL,
  `billing_date` datetime NOT NULL,
  `file_id` int(11) NOT NULL,
  `work_detail` text NOT NULL,
  `rate` double NOT NULL,
  `time_spent_sec` smallint(6) DEFAULT NULL,
  `time_spent` float NOT NULL,
  `amount` double NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `insert_by` tinyint(4) DEFAULT NULL,
  `insert_dt` datetime DEFAULT NULL,
  `update_by` tinyint(4) DEFAULT NULL,
  `update_dt` datetime DEFAULT NULL,
  `task_type` tinyint(4) NOT NULL COMMENT '0 - Non-billable; 1- Billable',
  `start_time` time NOT NULL,
  `end_time` time NOT NULL,
  `task_code` tinyint(4) NOT NULL,
  PRIMARY KEY (`file_billing_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4744 DEFAULT CHARSET=latin1;

INSERT INTO file_billing_tbl VALUES("1","12","0","2016-08-04 00:00:00","1","Attended meeting at ","6500","","2","13000","1","12","2016-08-04 19:48:17","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2","12","0","2016-08-04 00:00:00","1","Attended meeting at ","6500","","3","19500","1","12","2016-08-04 19:51:27","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3","12","0","2016-08-04 00:00:00","1","Wrote email to","0","","1","0","1","12","2016-08-04 19:53:07","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4","18","0","2016-08-10 00:00:00","10","Drafted affidavit of Atty. Arbis re:  SPA on nominee shares on ACC-RCC sale of ICC shares","0","","1.5","0","1","18","2016-09-19 10:28:49","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("5","18","0","2016-08-10 00:00:00","10","Wrote letter to BIR ECTAD explaining 1) proof of cost; 2) SPA on nominee shares; 3) exchange rate","0","","4","0","1","18","2016-09-19 10:37:20","","","1","13:00:00","17:00:00","9");
INSERT INTO file_billing_tbl VALUES("6","17","0","2016-08-17 00:00:00","87","Attended meeting with Ignasi Vegas and Engr. John Yrastorza and RAB (re: Igusol\'s and Promudix issues with BAI)","2500","","1","2500","1","17","2016-09-19 10:46:46","","","1","13:00:00","14:00:00","1");
INSERT INTO file_billing_tbl VALUES("7","18","0","2016-09-19 00:00:00","10","Read Email from client","0","","0.35","0","1","18","2016-09-19 10:48:40","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("8","12","0","2016-09-19 00:00:00","63","Attended meeting at  ","0","","1","0","1","21","2016-09-19 11:29:01","","","1","10:00:00","11:00:00","1");
INSERT INTO file_billing_tbl VALUES("9","16","0","2016-09-19 00:00:00","90","Traveled to Paranaque City RTC branch 195","0","","1.75","0","0","16","2016-09-20 06:48:37","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("10","16","0","2016-09-20 00:00:00","90","Traveled to Parañaque City RTC Branch 195 for hearing","0","","1.5","0","1","16","2016-09-20 06:51:15","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("11","16","0","2016-09-20 00:00:00","90","Attended trial/hearing at Paranaque RTC Branch 195 (Motion for Reconsideration)","0","","1","0","1","16","2016-09-20 11:26:41","16","2016-09-20 11:27:53","2","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("12","16","0","2016-09-20 00:00:00","90","Traveled to office from Paranaque RTC Branch 195","0","","2","0","1","16","2016-09-20 11:27:09","16","2016-09-20 11:28:00","2","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("13","16","0","2016-09-20 00:00:00","39","Traveled to Makati City Hall for meeting with Atty Labra","100","","0.5","50","1","16","2016-09-20 15:21:45","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("14","16","0","2016-09-20 00:00:00","39","Internally discussed with GVF re case","100","","0.5","50","1","16","2016-09-20 15:22:18","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("15","16","0","2016-09-20 00:00:00","39","Attended meeting at Makati City Hall with Atty Labra (settlement negotiations)","100","","1","100","1","16","2016-09-20 15:23:30","16","2016-10-25 15:19:12","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("16","13","0","2016-09-20 00:00:00","39","Traveled to Makati City Hall","180","","0.583333","105","1","13","2016-09-20 15:35:47","","","1","14:45:00","15:20:00","14");
INSERT INTO file_billing_tbl VALUES("17","13","0","2016-09-20 00:00:00","39","Attended meeting at Makati City Hall with Atty. Ariel Labra and DRP","180","","0.65","117","1","13","2016-09-20 15:57:53","","","1","15:21:00","16:00:00","1");
INSERT INTO file_billing_tbl VALUES("18","13","0","2016-09-20 00:00:00","39","Traveled to MPF from Makati City Hall","180","","0.333333","60","1","13","2016-09-20 16:24:03","","","1","16:01:00","16:21:00","14");
INSERT INTO file_billing_tbl VALUES("19","12","0","2016-09-16 00:00:00","63","Reviewed of work of MPP Opinion","0","","2.5","0","1","21","2016-09-20 17:44:45","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("20","12","0","2016-09-16 00:00:00","63","Reviewed of work of SGV comments on RF Rules","0","","0.3","0","0","21","2016-09-20 17:45:29","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("21","12","0","2016-09-16 00:00:00","3","Conferred with Shadik &amp; team","0","","2","0","1","21","2016-09-20 17:49:11","","","1","10:30:00","12:30:00","2");
INSERT INTO file_billing_tbl VALUES("22","12","0","2016-09-16 00:00:00","63","Made telephone call to Allen Arbis","0","","0.5","0","1","21","2016-09-20 17:51:09","","","1","15:00:00","15:30:00","16");
INSERT INTO file_billing_tbl VALUES("23","12","0","2016-09-16 00:00:00","63","Reviewed of work of LGU Lugait donation MOA","0","","1","0","1","21","2016-09-20 17:52:22","","","1","17:00:00","18:00:00","12");
INSERT INTO file_billing_tbl VALUES("24","12","0","2016-09-16 00:00:00","63","Reviewed of work of RF SGV copy","0","","0.416667","0","1","21","2016-09-20 17:53:09","","","1","18:00:00","18:25:00","12");
INSERT INTO file_billing_tbl VALUES("25","12","0","2016-09-16 00:00:00","80","Reviewed of work of charging agreements with HSEE","0","","1.33333","0","1","21","2016-09-20 17:53:57","","","1","18:25:00","19:45:00","12");
INSERT INTO file_billing_tbl VALUES("26","12","0","2016-09-19 00:00:00","9","Wrote email to Kitten, RF","0","","0.5","0","1","21","2016-09-20 17:55:25","","","1","10:00:00","10:30:00","6");
INSERT INTO file_billing_tbl VALUES("27","12","0","2016-09-19 00:00:00","80","Wrote email to April re SLA for Vietnam","0","","0.5","0","1","21","2016-09-20 17:56:19","","","1","10:30:00","11:00:00","6");
INSERT INTO file_billing_tbl VALUES("28","12","0","2016-09-19 00:00:00","63","Reviewed of work of MPP Opinion","0","","2","0","1","21","2016-09-20 17:57:04","","","1","13:00:00","15:00:00","12");
INSERT INTO file_billing_tbl VALUES("29","12","0","2016-09-19 00:00:00","63","Reviewed of work of MPP Memo","0","","2.58333","0","1","21","2016-09-20 17:57:59","","","1","15:00:00","17:35:00","12");
INSERT INTO file_billing_tbl VALUES("30","13","0","2016-09-20 00:00:00","80","Reviewed Service Agreement with IT Managers, Inc.","0","","1","0","1","13","2016-09-21 10:50:37","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("31","12","0","2016-09-21 00:00:00","63","Received telephone call from Atty. Arbis","0","","0.2","0","1","12","2016-09-21 15:34:38","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("32","12","0","2016-09-21 00:00:00","124","Internally discussed with DRP re results of meeting","6000","","0.2","1200","1","12","2016-09-21 15:36:53","","","0","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("33","12","0","2016-09-19 00:00:00","158","Wrote email to Sonny","6000","","0.25","1500","1","21","2016-09-22 13:09:20","","","1","18:00:00","18:15:00","6");
INSERT INTO file_billing_tbl VALUES("34","12","0","2016-09-19 00:00:00","134","Reviewed of work of Memo","0","","0.75","0","1","21","2016-09-22 13:09:54","","","1","18:15:00","19:00:00","12");
INSERT INTO file_billing_tbl VALUES("35","12","0","2016-09-16 00:00:00","134","Reviewed of work of UNTV Addendum","0","","0.5","0","1","21","2016-09-22 13:16:46","","","1","19:15:00","19:45:00","12");
INSERT INTO file_billing_tbl VALUES("36","12","0","2016-09-16 00:00:00","88","Conferred with Diego","6000","","1","6000","1","21","2016-09-22 13:17:32","","","1","14:00:00","15:00:00","2");
INSERT INTO file_billing_tbl VALUES("37","14","0","2016-09-16 00:00:00","94","Reviewed of work of Judicial Affidavit of ICPA Querido","4000","","0.833333","3333.33333333","2","21","2016-09-22 13:18:56","","","1","09:40:00","10:30:00","12");
INSERT INTO file_billing_tbl VALUES("38","18","0","2016-09-22 00:00:00","155","Performed Other Service DST ","3000","","1","3000","0","23","2016-09-22 14:32:53","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("39","19","0","2016-09-19 00:00:00","163","Internally discussed with staff and iManila on DTR System","0","","2","0","1","19","2016-09-22 15:23:46","","","2","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("40","19","0","2016-09-19 00:00:00","163","Internally discussed with lawyers on case update reports","0","","1","0","1","19","2016-09-22 15:26:11","","","2","01:00:00","02:00:00","8");
INSERT INTO file_billing_tbl VALUES("41","19","0","2016-09-19 00:00:00","163","Researched on SEC Opinion on Nationality Requirement of Manufacturing Business","0","","0.3","0","1","19","2016-09-22 15:27:50","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("42","19","0","2016-09-19 00:00:00","163","Performed Other Service, updated case database  and reported case summary","0","","1.3","0","1","19","2016-09-22 15:29:41","19","2016-09-22 15:30:10","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("43","18","0","2016-08-16 00:00:00","155","Performed Other Service","3000","","1","3000","0","23","2016-09-22 15:52:05","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("44","18","0","2016-09-22 00:00:00","155","Wrote email to","3000","","8","24000","0","23","2016-09-22 15:56:19","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("45","14","0","2016-09-20 00:00:00","161","Conferred with Vilma of BIR","3000","","0.25","750","2","21","2016-09-22 16:56:04","","","1","10:30:00","10:45:00","2");
INSERT INTO file_billing_tbl VALUES("46","14","0","2016-09-20 00:00:00","161","Conferred with Vilma of BIR","3000","","0.166667","500","2","21","2016-09-22 16:56:54","","","1","09:30:00","09:40:00","2");
INSERT INTO file_billing_tbl VALUES("47","14","0","2016-09-20 00:00:00","163","Attended meeting at Tsumura with Dennis Puno, EMP, GVF","0","","2.5","0","2","21","2016-09-22 16:58:11","","","2","11:30:00","14:00:00","1");
INSERT INTO file_billing_tbl VALUES("48","14","0","2016-09-20 00:00:00","163","Internally discussed with JLL","0","","1.5","0","2","21","2016-09-22 16:59:31","","","2","14:00:00","15:30:00","8");
INSERT INTO file_billing_tbl VALUES("49","14","0","2016-09-22 00:00:00","94","Reviewed of work of Judicial Affidavit of ICPA Querido","0","","0.833333","0","0","21","2016-09-22 17:02:44","","","1","09:40:00","10:30:00","12");
INSERT INTO file_billing_tbl VALUES("50","16","0","2016-09-23 00:00:00","97","Reviewed/proofread Shareholders Agreement","2500","","4","10000","1","16","2016-09-23 10:27:44","16","2016-10-25 16:19:07","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("51","16","0","2016-09-22 00:00:00","97","Internally discussed with EMP re: Shareholders Agreement","2500","","1.5","3750","1","16","2016-09-23 10:28:23","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("52","17","0","2016-09-01 00:00:00","9","Attended meeting at BIR RDO 39 to check on the CAR application (Tokuyama &amp;amp; Taiheyo to LHPI)","0","","2","0","0","22","2016-09-26 13:05:44","22","2016-09-26 14:00:15","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("53","17","0","2016-09-01 00:00:00","9","Attended meeting at RDO 29 - Manila to check on the CAR application (SCCC to LRI)","0","","2","0","1","22","2016-09-26 13:06:59","17","2016-09-26 14:20:57","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("54","17","0","2016-09-01 00:00:00","9","Attended meeting at RD of Manila to check on the cancellation of mortgage (Star Terminal Properties)","0","","1.5","0","1","22","2016-09-26 13:10:34","22","2016-09-26 17:15:00","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("55","17","0","2016-09-01 00:00:00","67","Followed-up work at RD of Pasig regarding registration of condo unit","0","","4","0","1","22","2016-09-26 13:11:42","22","2016-09-26 17:15:38","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("56","17","0","2016-09-02 00:00:00","63","Revised draft Affidavit of Non-Renewal","0","","0.5","0","1","22","2016-09-26 13:25:06","22","2016-09-26 17:16:16","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("57","17","0","2016-09-02 00:00:00","145","Wrote email to Genshi regarding update on Go Lifestyle","3000","","0.5","1500","1","22","2016-09-26 13:26:24","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("58","17","0","2016-09-02 00:00:00","145","Made telephone call to Samantha Limbo and prepared documents of Go Lifestyle for her signature","3000","","0.5","1500","1","22","2016-09-26 13:28:11","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("59","17","0","2016-09-02 00:00:00","163","Law firm matters/lawyers lunch/reporting","0","","3","0","1","22","2016-09-26 13:30:45","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("60","17","0","2016-09-05 00:00:00","144","Drafted Paper Minutes and Secretary\'s Certificate for the release of 2015 FS of VSI","0","","1.5","0","1","22","2016-09-26 13:32:00","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("61","17","0","2016-09-05 00:00:00","89","Prepared Certification and Compliance for submission to the Court of Appeals","2500","","1.5","3750","1","22","2016-09-26 13:33:12","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("62","17","0","2016-09-05 00:00:00","163","Prepared and gave lecture on time periods","0","","2","0","1","22","2016-09-26 13:42:53","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("63","17","0","2016-09-05 00:00:00","152","Finalized memo for Advatech","2500","","5","12500","1","22","2016-09-26 13:43:42","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("64","17","0","2016-09-06 00:00:00","163","Digested cases for office purposes","0","","1.5","0","0","22","2016-09-26 13:45:32","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("65","17","0","2016-09-06 00:00:00","67","Drafted request for Management Certification (Renaissance)","0","","0.5","0","0","22","2016-09-26 13:46:13","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("66","17","0","2016-09-06 00:00:00","137","Updated Hedcor deadlines","2500","","0.75","1875","1","22","2016-09-26 13:49:59","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("67","17","0","2016-09-01 00:00:00","9","Traveled to BIR RDO 39 to check on the CAR application (Tokuyama &amp;amp;amp; Taiheyo to LHPI)","0","","2","0","1","22","2016-09-26 14:05:14","22","2016-09-27 10:06:40","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("68","17","0","2016-09-24 00:00:00","82","Revised memo to HEABS","0","","4.5","0","1","22","2016-09-26 14:24:07","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("69","16","0","2016-09-26 00:00:00","163","Internally discussed with EMP re: BSP requirements for registration of foreign direct investments (Gil Levy)","0","","0.3","0","1","16","2016-09-26 15:57:05","16","2016-09-26 16:16:27","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("70","16","0","2016-09-26 00:00:00","163","Researched on BSP registration requirements for foreign direct investments (Gil Levy)","0","","0.75","0","1","16","2016-09-26 15:57:47","16","2016-09-26 15:58:33","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("71","16","0","2016-09-26 00:00:00","163","Wrote email to EMP re: BSP registration requirements for foreign direct investments (Gil Levy)","0","","0.3","0","1","16","2016-09-26 15:58:22","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("72","16","0","2016-09-26 00:00:00","163","Reviewed firm practice areas for website","0","","1.5","0","1","16","2016-09-26 15:59:10","","","2","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("73","16","0","2016-09-26 00:00:00","143","Reviewed work of JLL (Pretrial Brief, Judicial Affidavits, Motion for Commissioning of ICPA) ","2500","","2.25","5625","1","16","2016-09-26 15:59:59","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("74","16","0","2016-09-26 00:00:00","143","Wrote email to EMP re: Project Cancer","2500","","0.2","500","1","16","2016-09-26 16:00:25","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("75","16","0","2016-09-26 00:00:00","143","Made telephone calls to JLL re: PTB/Judicial Affidavits","2500","","0.25","625","1","16","2016-09-26 16:01:27","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("76","16","0","2016-09-26 00:00:00","163","Internally discussed with EMP re: Gil Levy query on BSP registration of foreign direct investments (certificate of inward remittance)","0","","0.3","0","1","16","2016-09-26 16:10:50","16","2016-09-26 16:15:42","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("77","16","0","2016-09-26 00:00:00","163","Further researched on BSP registration of foreign direct investments (certificate of inward remittance) (Gil Levy)","0","","0.5","0","1","16","2016-09-26 16:11:20","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("78","16","0","2016-09-26 00:00:00","80","Reviewed Standard Assignment and Assumption Agreement","0","","3","0","1","16","2016-09-26 16:17:36","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("79","17","0","2016-09-06 00:00:00","163","Read and digested cases for office purposes","0","","1.5","0","1","22","2016-09-26 17:20:22","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("80","17","0","2016-09-06 00:00:00","67","Drafted request for Management Certification (Renaissance)","0","","0.5","0","1","22","2016-09-26 17:21:09","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("81","17","0","2016-09-07 00:00:00","9","Updated table on CAR request on prior transfer","0","","1.5","0","1","22","2016-09-26 17:23:03","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("82","17","0","2016-09-07 00:00:00","63","Drafted Deed of Assignment of Permit for EMP\'s review","0","","1","0","0","22","2016-09-26 17:23:47","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("83","17","0","2016-09-08 00:00:00","63","Traveled to Davao City to follow up transfer of  FLAs","0","","9","0","1","22","2016-09-26 17:26:54","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("84","17","0","2016-09-08 00:00:00","63","Attended meeting with Brgy Captain Cabling re HMDC properties","0","","1.5","0","0","22","2016-09-26 17:27:48","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("85","16","0","2016-09-26 00:00:00","124","Internally discussed with EMP re: remedies against PMCAI","3000","","0.2","600","1","16","2016-09-26 17:44:45","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("86","16","0","2016-09-26 00:00:00","124","Examined Petron Corp/PMCAI GIS ","3000","","1.25","3750","1","16","2016-09-26 17:45:34","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("87","16","0","2016-09-26 00:00:00","163","Internally discussed with EMP re: Gil Levy incorporation","0","","0.1","0","1","16","2016-09-26 17:45:53","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("88","16","0","2016-09-24 00:00:00","56","Reviewed Employment Agreement/Resignation Letters for GDS Global Services Philippines","0","","3","0","1","16","2016-09-26 17:50:59","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("89","16","0","2016-09-27 00:00:00","124","Conference call with Alvis Realty and EMP","3000","","0.75","2250","1","16","2016-09-27 08:37:10","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("90","16","0","2016-09-27 00:00:00","124","Examined GIS of Petron Corp. in preparation for conference call with Alvis and EMP","3000","","0.25","750","1","16","2016-09-27 08:41:19","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("91","17","0","2016-09-09 00:00:00","63","Prepared update to EMP","0","","1.5","0","1","22","2016-09-27 09:29:01","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("92","17","0","2016-09-09 00:00:00","144","Finalized Notice of Annual Meeting of VSI","0","","2","0","1","22","2016-09-27 09:30:04","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("93","17","0","2016-09-09 00:00:00","163","Prepared proposal to Mr. Faerber","0","","1","0","1","22","2016-09-27 09:30:51","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("94","17","0","2016-09-09 00:00:00","163","Lawyers\' lunch and reporting","0","","3","0","1","22","2016-09-27 09:31:31","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("95","17","0","2016-09-09 00:00:00","144","Finalized VSI Secretary\'s Certificate and prepared documents of VSI for the joint stockholders and directors meeting","0","","1.5","0","1","22","2016-09-27 09:32:27","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("96","17","0","2016-09-09 00:00:00","63","Revised draft of Deed of Assignment for Brgy. Captain Cabling","0","","1","0","0","22","2016-09-27 09:33:25","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("97","17","0","2016-09-10 00:00:00","144","Attended Joint Stockholders and Directors meeting of VSI","0","","8","0","1","22","2016-09-27 09:35:30","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("98","17","0","2016-09-12 00:00:00","63","Attended meeting with EMP,, SLP and Atty. Allen Arbis","0","","3.5","0","0","22","2016-09-27 09:36:22","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("99","17","0","2016-09-12 00:00:00","86","Notarized documents of Igusol","2500","","0.5","1250","0","22","2016-09-27 09:37:11","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("100","17","0","2016-09-14 00:00:00","119","Wrote email to Dorrit West re update and answered her queries","100","","0.5","50","1","22","2016-09-27 09:38:20","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("101","17","0","2016-09-15 00:00:00","94","Attended meeting with Richard Querido","2500","","2","5000","1","22","2016-09-27 09:39:35","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("102","17","0","2016-09-15 00:00:00","9","Followed-up work at BIR National Office re CAC request for CAR","0","","3","0","1","22","2016-09-27 09:40:33","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("103","17","0","2016-09-19 00:00:00","163","Case reporting and lawyers\' lunch","0","","3","0","1","22","2016-09-27 09:41:23","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("104","17","0","2016-09-19 00:00:00","163","Finalized work prospectus","0","","1.5","0","1","22","2016-09-27 09:41:58","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("105","17","0","2016-09-19 00:00:00","63","Finalized memo re: MPP","0","","2","0","1","22","2016-09-27 09:42:43","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("106","17","0","2016-09-19 00:00:00","163","Attended MPF DTR Seminar","0","","1","0","1","22","2016-09-27 09:43:42","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("107","17","0","2016-09-19 00:00:00","94","Prepared JA of Mr. Querido","2500","","2","5000","1","22","2016-09-27 09:44:41","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("108","17","0","2016-09-20 00:00:00","94","Prepared Judicial  Affidavit of Richard Querido","2500","","5","12500","1","22","2016-09-27 09:45:22","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("109","17","0","2016-09-20 00:00:00","63","Finalized MPP memo","0","","1","0","1","22","2016-09-27 09:46:05","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("110","17","0","2016-09-20 00:00:00","9","Followed-up work at RDO 29 re: issuance of CAR on SCCC-LRI transaction","0","","3","0","1","22","2016-09-27 09:47:04","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("111","17","0","2016-09-21 00:00:00","163","Went to St. Luke\'s for check-up (postponed)","0","","3","0","1","22","2016-09-27 09:48:13","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("112","17","0","2016-09-21 00:00:00","9","Followed-up work at BIR National re: CAC request for CAR","0","","2","0","1","22","2016-09-27 09:49:16","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("113","17","0","2016-09-21 00:00:00","144","Finalized Secretary\'s Certificate for VSI","0","","1","0","1","22","2016-09-27 09:49:58","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("114","17","0","2016-09-22 00:00:00","94","Finalized JA of Mr. Querido","2500","","3","7500","1","22","2016-09-27 09:50:48","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("115","17","0","2016-09-22 00:00:00","86","Finalized Igusol\'s BOC application documents","2500","","1","2500","1","22","2016-09-27 09:52:16","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("116","17","0","2016-09-22 00:00:00","89","Internally discussed with GVF re: Llarena","2500","","0.25","625","1","22","2016-09-27 09:53:44","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("117","17","0","2016-09-22 00:00:00","82","Internally discussed with GVF re: HEABS","0","","1","0","1","22","2016-09-27 09:54:50","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("118","17","0","2016-09-22 00:00:00","82","Reviewed job descriptions of HEABS\' employees","0","","3","0","1","22","2016-09-27 09:55:39","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("119","17","0","2016-09-24 00:00:00","82","Revised memo to HEABS","0","","4.5","0","0","22","2016-09-27 09:56:16","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("120","17","0","2016-09-07 00:00:00","24","Drafted Secretary\'s Certificate for Lani Diaceno","0","","1","0","1","22","2016-09-27 10:09:59","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("121","17","0","2016-09-12 00:00:00","63","Wrote email to EMP re:  Chapter XI of DAO 2010-21","0","","0.33","0","1","22","2016-09-27 10:12:35","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("122","17","0","2016-09-13 00:00:00","63","Attended meeting with EMP, SLP and Atty. Allen Arbis","0","","3.5","0","1","22","2016-09-27 10:15:03","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("123","17","0","2016-09-13 00:00:00","86","Notarized documents for Igusol","2500","","0.5","1250","1","22","2016-09-27 10:16:01","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("124","17","0","2016-09-14 00:00:00","63","Researched on nationality requirement for manufacturing business and finalized memo on MPP","0","","5","0","1","22","2016-09-27 10:17:56","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("125","17","0","2016-09-15 00:00:00","63","Internally discussed with EMP re: memo on MPP","0","","2","0","1","22","2016-09-27 10:18:46","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("126","16","0","2016-09-27 00:00:00","143","Made telephone call to JLL re: 9183 ICPA JA","2500","","0.2","500","1","16","2016-09-27 12:45:15","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("127","16","0","2016-09-27 00:00:00","143","Received telephone call from JLL re: 9183 documents for PTB","2500","","0.2","500","1","16","2016-09-27 12:45:43","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("128","16","0","2016-09-27 00:00:00","141","Received telephone call from JLL re: 9187 documents for PTB","2500","","0.2","500","1","16","2016-09-27 12:45:58","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("129","16","0","2016-09-27 00:00:00","40","Internally discussed with MAC re: minutes of meeting to shorten corporate term","100","","0.25","25","1","16","2016-09-27 12:46:48","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("130","16","0","2016-09-27 00:00:00","40","Drafted minutes to shorten corporate term (CAC and CAHC)","100","","0.75","75","1","16","2016-09-27 12:47:12","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("131","16","0","2016-09-27 00:00:00","40","Examined 2016 GIS of CAC and CAHC","100","","0.5","50","1","16","2016-09-27 12:47:33","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("132","14","0","2016-09-27 00:00:00","106","Internally discussed with MAC","0","","0.2","0","0","21","2016-09-27 12:56:06","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("133","14","0","2016-09-26 00:00:00","163","Conferred with ","0","","0.75","0","2","21","2016-09-27 12:57:30","","","2","12:00:00","12:45:00","2");
INSERT INTO file_billing_tbl VALUES("134","14","0","2016-09-26 00:00:00","140","Reviewed filing of Compliance &amp; MOTEX of Comment","4000","","0.25","1000","2","21","2016-09-27 12:59:16","","","1","12:45:00","13:00:00","12");
INSERT INTO file_billing_tbl VALUES("135","14","0","2016-09-26 00:00:00","163","Conferred with EMP","0","","1","0","2","21","2016-09-27 12:59:59","","","2","13:00:00","14:00:00","2");
INSERT INTO file_billing_tbl VALUES("136","16","0","2016-09-27 00:00:00","90","Examined Oppositor\'s Motion to Recall Order","0","","0.5","0","1","16","2016-09-27 13:05:25","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("137","16","0","2016-09-27 00:00:00","90","Researched on grounds to oppose Motion to Recall Order dated Aug 31","0","","2.5","0","1","16","2016-09-27 13:06:13","16","2016-09-27 17:06:27","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("138","14","0","2016-09-26 00:00:00","106","Conferred with BIR officials, MAC at RDO Makati","0","","0.5","0","2","21","2016-09-27 13:15:37","","","1","14:00:00","14:30:00","2");
INSERT INTO file_billing_tbl VALUES("139","14","0","2016-09-26 00:00:00","163","Performed Other Service, discussion w/ JLL","0","","1.5","0","2","21","2016-09-27 13:16:40","","","2","14:30:00","16:00:00","11");
INSERT INTO file_billing_tbl VALUES("140","14","0","2016-09-22 00:00:00","161","Conferred with Vilma of BIR","3000","","0.166667","500","2","21","2016-09-27 13:19:00","","","1","09:30:00","09:40:00","2");
INSERT INTO file_billing_tbl VALUES("141","14","0","2016-09-22 00:00:00","94","Reviewed of work of Judicial affidavit of ICPA","4000","","0.833333","3333.33333333","2","21","2016-09-27 13:19:46","","","1","09:40:00","10:30:00","12");
INSERT INTO file_billing_tbl VALUES("142","14","0","2016-09-22 00:00:00","163","Conferred with Dennis Puno, GVF &amp; EMP at Tsumura Restaurant Makati","0","","2.5","0","2","21","2016-09-27 13:20:36","","","2","11:30:00","14:00:00","2");
INSERT INTO file_billing_tbl VALUES("143","14","0","2016-09-22 00:00:00","163","Performed Other Service","0","","1.5","0","2","21","2016-09-27 13:21:10","","","2","14:00:00","15:30:00","11");
INSERT INTO file_billing_tbl VALUES("144","12","0","2016-09-27 00:00:00","140","Internal routing MOTEX Comment","0","","0.1","0","1","21","2016-09-27 13:47:58","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("145","12","0","2016-09-27 00:00:00","140","Internal routing documents from Katie of Hedcor","0","","0.1","0","1","21","2016-09-27 13:48:37","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("146","12","0","2016-09-27 00:00:00","140","Internal routing Compliance filed on Sept. 26","0","","0.1","0","1","21","2016-09-27 13:49:11","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("147","12","0","2016-09-26 00:00:00","10","Internal routing letter to BIR","0","","0.1","0","1","21","2016-09-27 13:50:03","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("148","12","0","2016-09-26 00:00:00","94","Internal routing Judicial aff. of ICPA","0","","0.1","0","1","21","2016-09-27 13:51:44","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("149","12","0","2016-09-26 00:00:00","94","Internal routing supporting documents","0","","0.1","0","1","21","2016-09-27 13:52:16","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("150","12","0","2016-09-26 00:00:00","86","Internal routing application for bureau of customs","6000","","0.1","600","1","21","2016-09-27 13:55:38","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("151","12","0","2016-09-26 00:00:00","140","Internal routing notice of resolution","0","","0.1","0","1","21","2016-09-27 13:56:24","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("152","12","0","2016-09-26 00:00:00","64","Internal routing transmittal letter re GIS ","0","","0.1","0","1","21","2016-09-27 13:57:10","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("153","12","0","2016-09-26 00:00:00","119","Internal routing authentication letter","0","","0.1","0","1","21","2016-09-27 13:57:44","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("154","12","0","2016-09-22 00:00:00","120","Internal routing transmittal letter","0","","0.1","0","1","21","2016-09-27 14:01:16","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("155","12","0","2016-09-22 00:00:00","63","Internal routing Certification","0","","0.1","0","1","21","2016-09-27 14:06:07","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("156","12","0","2016-09-22 00:00:00","162","Internal routing transmittal letter","6000","","0.1","600","1","21","2016-09-27 14:06:52","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("157","12","0","2016-09-19 00:00:00","161","Internal routing letter to Comm. Henares","6000","","0.1","600","1","21","2016-09-27 14:07:34","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("158","12","0","2016-09-19 00:00:00","120","Internal routing Joint stipulation of facts","0","","0.1","0","1","21","2016-09-27 14:08:09","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("159","12","0","2016-09-16 00:00:00","162","Internal routing request for reinvestigation","6000","","0.1","600","1","21","2016-09-27 14:08:59","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("160","12","0","2016-09-16 00:00:00","161","Internal routing request for assistance","6000","","0.1","600","1","21","2016-09-27 14:09:36","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("161","12","0","2016-09-16 00:00:00","67","Internal routing letter to Atty. Maog of RTC 155","0","","0.1","0","1","21","2016-09-27 14:10:13","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("162","12","0","2016-09-16 00:00:00","80","Internal routing transmittal of employers sworn affidavit","0","","0.1","0","1","21","2016-09-27 14:11:06","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("163","12","0","2016-09-16 00:00:00","66","Internal routing transmittal of supply agreement","0","","0.1","0","1","21","2016-09-27 14:11:47","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("164","16","0","2016-09-27 00:00:00","90","Drafted Comment/Opposition re: Motion to Recall ORder","0","","3","0","1","16","2016-09-27 17:04:46","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("165","16","0","2016-09-27 00:00:00","141","Received telephone call from JLL re: BIR records (9187)","2500","","0.1","250","1","16","2016-09-27 17:05:15","16","2016-09-27 17:05:46","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("166","16","0","2016-09-27 00:00:00","143","Received telephone call from JLL re: BIR records (9183)","2500","","0.1","250","1","16","2016-09-27 17:05:39","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("167","16","0","2016-09-27 00:00:00","141","Internally discussed with EMP re: strategy on newly discovered BIR records and PTB filing ","2500","","0.25","625","1","16","2016-09-27 17:06:17","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("168","16","0","2016-09-28 00:00:00","141","Traveled to CTA to inspect BIR docket for 9187","2500","","1.25","3125","0","16","2016-09-27 17:09:27","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("169","12","0","2016-09-27 00:00:00","134","Wrote Opinion on income tax and VAT on service fees","0","","1.41667","0","1","12","2016-09-27 17:51:34","","","1","04:05:00","05:30:00","10");
INSERT INTO file_billing_tbl VALUES("170","12","0","2016-09-27 00:00:00","134","Reviewed of work of draft of memo","0","","0.2","0","1","12","2016-09-27 17:52:53","12","2016-09-27 17:53:13","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("171","12","0","2016-09-27 00:00:00","124","Conferred with Mr. Ezerins and Lea Molino re results of PETRON meeting","6000","","1","6000","1","12","2016-09-27 17:55:08","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("172","12","0","2016-09-28 00:00:00","143","Reviewed of work of JLL - Pre-trial brief and judicial affidavit","0","","1.5","0","1","12","2016-09-28 09:54:55","12","2016-09-28 09:56:38","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("173","12","0","2016-09-28 00:00:00","143","Wrote email to client","0","","0.5","0","1","12","2016-09-28 09:56:00","12","2016-09-28 10:09:11","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("174","12","0","2016-09-28 00:00:00","143","Internally discussed with Jan and Dianne","0","","0.3","0","1","12","2016-09-28 09:57:23","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("175","16","0","2016-09-28 00:00:00","141","Traveled to CTA to review BIR docket","2500","","1.5","3750","1","16","2016-09-28 10:15:17","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("176","16","0","2016-09-28 00:00:00","141","Examined BIR docket at CTA","2500","","1.75","4375","1","16","2016-09-28 10:17:10","16","2016-09-28 11:44:05","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("177","12","0","2016-09-20 00:00:00","134","Drafted memo","0","","1.75","0","1","21","2016-09-28 11:16:39","","","1","07:00:00","08:45:00","3");
INSERT INTO file_billing_tbl VALUES("178","12","0","2016-09-20 00:00:00","94","Reviewed of work of ICPA Affidavit","0","","0.5","0","1","21","2016-09-28 11:17:18","","","1","08:45:00","09:15:00","12");
INSERT INTO file_billing_tbl VALUES("179","12","0","2016-09-20 00:00:00","63","Reviewed of work of MPP Memo","0","","0.416667","0","1","21","2016-09-28 11:21:07","","","1","11:00:00","11:25:00","12");
INSERT INTO file_billing_tbl VALUES("180","12","0","2016-09-20 00:00:00","124","Conferred with Atty. Tecson","6000","","0.666667","4000","1","21","2016-09-28 11:21:54","","","1","11:20:00","12:00:00","2");
INSERT INTO file_billing_tbl VALUES("181","12","0","2016-09-20 00:00:00","124","Performed Other Service","6000","","0.5","3000","1","21","2016-09-28 11:23:45","","","1","14:00:00","14:30:00","11");
INSERT INTO file_billing_tbl VALUES("182","12","0","2016-09-20 00:00:00","163","Attended meeting at FINEX","0","","1","0","1","21","2016-09-28 11:25:04","","","2","14:30:00","15:30:00","1");
INSERT INTO file_billing_tbl VALUES("183","12","0","2016-09-22 00:00:00","63","Wrote email to Kitten re valuable of MPSA","0","","0.75","0","1","21","2016-09-28 11:26:01","","","1","09:00:00","09:45:00","6");
INSERT INTO file_billing_tbl VALUES("184","12","0","2016-09-22 00:00:00","63","Reviewed of work of","0","","0.5","0","1","21","2016-09-28 11:27:22","","","1","09:45:00","10:15:00","12");
INSERT INTO file_billing_tbl VALUES("185","12","0","2016-09-22 00:00:00","63","Wrote email to Kat ","0","","0.5","0","1","21","2016-09-28 11:28:29","","","1","10:30:00","11:00:00","6");
INSERT INTO file_billing_tbl VALUES("186","12","0","2016-09-22 00:00:00","66","Reviewed of work of MOA re Lugait Land donation","0","","1","0","1","21","2016-09-28 11:29:12","","","1","13:00:00","14:00:00","12");
INSERT INTO file_billing_tbl VALUES("187","12","0","2016-09-22 00:00:00","158","Wrote email to Sonny","6000","","0.333333","2000","1","21","2016-09-28 11:29:49","","","1","13:00:00","13:20:00","6");
INSERT INTO file_billing_tbl VALUES("188","12","0","2016-09-23 00:00:00","155","Conferred with Keith Jones","6000","","1","6000","1","21","2016-09-28 11:30:34","","","1","10:00:00","11:00:00","2");
INSERT INTO file_billing_tbl VALUES("189","12","0","2016-09-23 00:00:00","152","Wrote email to","0","","0.25","0","1","21","2016-09-28 11:39:42","","","1","10:00:00","10:15:00","6");
INSERT INTO file_billing_tbl VALUES("190","12","0","2016-09-23 00:00:00","23","Drafted Gonzales JV","0","","0.666667","0","1","21","2016-09-28 11:41:17","","","1","11:00:00","11:40:00","3");
INSERT INTO file_billing_tbl VALUES("191","12","0","2016-09-23 00:00:00","97","Revised SHA","6000","","1","6000","1","21","2016-09-28 11:42:16","","","1","13:00:00","14:00:00","19");
INSERT INTO file_billing_tbl VALUES("192","12","0","2016-09-23 00:00:00","22","Attended meeting at BOD Meeting at Bel-Air Makati","0","","2","0","1","21","2016-09-28 11:43:18","","","1","14:00:00","16:00:00","1");
INSERT INTO file_billing_tbl VALUES("193","12","0","2016-09-23 00:00:00","63","Reviewed of work of RF Investment, 2nd amendment Agreement of SHA","0","","1","0","1","21","2016-09-28 11:44:03","","","1","16:00:00","17:00:00","12");
INSERT INTO file_billing_tbl VALUES("194","16","0","2016-09-28 00:00:00","143","Examined BIR docket at CTA","2500","","1.5","3750","1","16","2016-09-28 11:44:37","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("195","16","0","2016-09-28 00:00:00","143","Traveled from CTA to Concorde Condominium for BOD meeting","2500","","1.75","4375","1","16","2016-09-28 11:45:09","16","2016-09-28 18:39:54","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("196","12","0","2016-09-26 00:00:00","163","Attended meeting at Senate hearing for FINEX","0","","2","0","1","21","2016-09-28 11:58:20","","","2","07:30:00","09:30:00","1");
INSERT INTO file_billing_tbl VALUES("197","12","0","2016-09-26 00:00:00","22","Internally discussed with RAB","0","","0.5","0","1","21","2016-09-28 11:58:46","","","1","09:30:00","10:00:00","8");
INSERT INTO file_billing_tbl VALUES("198","12","0","2016-09-26 00:00:00","64","Drafted Reply to Allen RE BIR registration of Royalty ","0","","1","0","1","21","2016-09-28 12:02:27","","","1","10:00:00","11:00:00","3");
INSERT INTO file_billing_tbl VALUES("199","12","0","2016-09-26 00:00:00","108","Wrote email to Kitten","0","","0.416667","0","1","21","2016-09-28 12:02:56","","","1","13:35:00","14:00:00","6");
INSERT INTO file_billing_tbl VALUES("200","12","0","2016-09-26 00:00:00","10","Internally discussed with RAB","0","","0.5","0","1","21","2016-09-28 13:05:34","","","1","14:00:00","14:30:00","8");
INSERT INTO file_billing_tbl VALUES("201","12","0","2016-09-26 00:00:00","9","Internally discussed with RAB","0","","0.5","0","1","21","2016-09-28 13:06:14","","","1","14:30:00","15:00:00","8");
INSERT INTO file_billing_tbl VALUES("202","12","0","2016-09-27 00:00:00","80","Reviewed of work of Assignment agreement w/ Citibank","0","","0.5","0","1","21","2016-09-28 13:09:20","","","1","14:00:00","14:30:00","12");
INSERT INTO file_billing_tbl VALUES("203","14","0","2016-09-27 00:00:00","10","Attended meeting at BIR with MAC","0","","7","0","2","21","2016-09-28 15:47:49","","","1","08:30:00","15:30:00","1");
INSERT INTO file_billing_tbl VALUES("204","16","0","2016-09-28 00:00:00","163","Attended BOD meeting for Concorde Condominium (Genato/Landmart; no JEM)","0","","1.1","0","1","16","2016-09-28 18:26:04","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("205","16","0","2016-09-28 00:00:00","163","Traveled from Concorde Condominium to office","0","","0.5","0","1","16","2016-09-28 18:26:30","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("206","16","0","2016-09-28 00:00:00","163","Performed Other Service: Business Etiquette seminar","0","","1.25","0","1","16","2016-09-28 18:26:55","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("207","16","0","2016-09-28 00:00:00","141","Internally discussed with EMP re: Pisces newly discovered documents","2500","","0.25","625","1","16","2016-09-28 18:27:19","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("208","16","0","2016-09-28 00:00:00","141","Made telephone calls (2) to Ada Santiago re: documents for Pisces","2500","","0.2","500","1","16","2016-09-28 18:39:00","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("209","16","0","2016-09-28 00:00:00","141","Revised PTB, Judicial Affidavit of Apple Malapad","2500","","3.5","8750","1","16","2016-09-28 18:39:33","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("210","16","0","2016-09-28 00:00:00","90","Internally discussed with GVF re: Oppositor\'s Motion to Recall","0","","0.1","0","1","16","2016-09-28 19:14:11","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("211","16","0","2016-09-28 00:00:00","90","Internally discussed with MAC hearing on Oppositor\'s Motion to Recall scheduled on 9/29/16, and earlier Motion for Reconsideration ","0","","0.5","0","1","16","2016-09-28 19:14:57","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("212","16","0","2016-09-29 00:00:00","141","Revised PTB, JAs for 9187","2500","","1.5","3750","1","16","2016-09-29 11:03:06","16","2016-09-29 11:06:05","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("213","16","0","2016-09-29 00:00:00","143","Revised PTB, JAs for 9183","2500","","1.5","3750","1","16","2016-09-29 11:03:25","16","2016-09-29 11:06:10","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("214","16","0","2016-09-29 00:00:00","141","Received telephone call from Ada Santiago re: JA of Arazeli Malapad","2500","","0.2","500","1","16","2016-09-29 11:03:50","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("215","16","0","2016-09-29 00:00:00","141","Performed Other Service: checked exhibits to be attached to 9187 PTB","2500","","2","5000","1","16","2016-09-29 11:04:31","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("216","16","0","2016-09-29 00:00:00","141","Supervised filing of PTB, JAs for 9187","2500","","5","12500","1","16","2016-09-29 11:05:13","16","2016-09-30 10:55:57","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("217","16","0","2016-09-29 00:00:00","143","Supervised filing of PTB, JAs for 9183","2500","","5","12500","1","16","2016-09-29 11:05:33","16","2016-09-30 10:56:18","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("218","16","0","2016-09-29 00:00:00","141","Received telephone call from EMP re: filing of PTBs and JAs for 9187 and 9183","2500","","0.2","500","1","16","2016-09-29 11:05:56","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("219","16","0","2016-09-29 00:00:00","163","Examined documents received from Nisce Mamuric (Generali Asia NV Tax Treaty Relief Application)","0","","1.25","0","1","16","2016-09-29 11:07:28","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("220","16","0","2016-09-29 00:00:00","90","Received telephone calls from MAC re: hearing on Oppositor\'s Motion to Recall Order","0","","0.2","0","1","16","2016-09-29 11:10:48","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("221","16","0","2016-09-29 00:00:00","56","Conference call with EMP and GVF re: transfer of employees from GDS Link Asia to GDS Global","0","","0.25","0","1","16","2016-09-29 16:39:22","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("222","12","0","2016-09-29 00:00:00","143","Internal routing Jud. Aff of Mr. Mendoza","0","","0.1","0","1","21","2016-09-30 10:15:49","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("223","12","0","2016-09-29 00:00:00","63","Internal routing of SPA","0","","0.1","0","1","21","2016-09-30 10:16:22","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("224","12","0","2016-09-29 00:00:00","140","Internal routing Order","0","","0.1","0","1","21","2016-09-30 10:17:07","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("225","12","0","2016-09-29 00:00:00","158","Internal routing certified true copies of documents","6000","","0.1","600","1","21","2016-09-30 10:17:39","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("226","12","0","2016-09-29 00:00:00","120","Internal routing Order","0","","0.1","0","1","21","2016-09-30 10:18:08","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("227","16","0","2016-09-29 00:00:00","99","Received telephone call from Jenny Chan re: birth certificate affidavit","2500","","0.5","1250","1","16","2016-09-30 10:55:38","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("228","16","0","2016-09-29 00:00:00","141","Drafted Manifestation re: filing of PTB by registered mail","2500","","1","2500","1","16","2016-09-30 10:56:46","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("229","16","0","2016-09-30 00:00:00","141","Drafted Manifestation re: filing of PTB by registered mail","2500","","1","2500","1","16","2016-09-30 10:57:22","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("230","16","0","2016-09-30 00:00:00","143","Drafted Manifestation re: filing of PTB by registered mail","2500","","1","2500","1","16","2016-09-30 10:57:39","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("231","16","0","2016-09-30 00:00:00","56","Drafted Offer Letter","0","","1","0","0","16","2016-09-30 11:07:36","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("232","16","0","2016-09-30 00:00:00","163","Performed Other Service: Lawyers\' lunch/case reporting","0","","2.5","0","1","16","2016-09-30 11:07:57","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("233","16","0","2016-09-30 00:00:00","163","Internally discussed planning meeting to Cambodia","0","","1","0","1","16","2016-09-30 15:10:19","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("234","16","0","2016-09-30 00:00:00","56","Revised offer letter, employment contract","0","","1","0","1","16","2016-09-30 15:23:47","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("235","16","0","2016-09-30 00:00:00","163","Examined GANV documents transmitted by Nisce Mamuric","0","","0.75","0","1","16","2016-09-30 15:45:50","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("236","16","0","2016-09-30 00:00:00","163","Drafted Certification to be executed by custodian of GANV Deeds of Sale","0","","0.5","0","1","16","2016-09-30 15:46:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("237","16","0","2016-09-30 00:00:00","163","Wrote email to EMP re: GANV documents","0","","0.25","0","1","16","2016-09-30 15:46:36","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("238","19","0","2016-10-03 00:00:00","140","Examined transmitted original and certified true copies of documents/exhibits","2500","","0.5","1250","1","19","2016-10-03 12:53:03","19","2016-10-03 12:53:35","1","11:00:00","11:30:00","5");
INSERT INTO file_billing_tbl VALUES("239","19","0","2016-09-19 00:00:00","163","Attended meeting at MPF on DTR system","0","","1.5","0","0","19","2016-10-03 12:55:14","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("240","19","0","2016-09-23 00:00:00","140","Drafted ICPA compliance submission","2500","","0.5","1250","1","19","2016-10-03 12:57:16","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("241","19","0","2016-09-26 00:00:00","140","Drafted Motion for extension to file comment","2500","","0.25","625","1","19","2016-10-03 12:59:04","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("242","19","0","2016-09-28 00:00:00","163","Attended meeting at MPF on Atty. Sta. Maria\'s etiquette lecture ","0","","2","0","1","19","2016-10-03 13:00:52","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("243","19","0","2016-09-30 00:00:00","163","Internally discussed with JLL on Benjamin Uy case update Re: Appeal and Reply to respondent\'s appeal","0","","1","0","1","19","2016-10-03 13:03:47","","","2","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("244","19","0","2016-09-30 00:00:00","140","Performed Other Service (Proofread) Comment on BIR\'s motion for early resolution","2500","","0.5","1250","1","19","2016-10-03 13:06:43","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("245","16","0","2016-10-03 00:00:00","141","Examined Pretrial Brief in preparation for tomorrow\'s Pretrial","2500","","1","2500","1","16","2016-10-03 15:08:46","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("246","16","0","2016-10-03 00:00:00","80","Received telephone call from EMP re: amendments to HEABS\' multiple SLAs","0","","0.3","0","1","16","2016-10-03 15:11:03","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("247","16","0","2016-10-03 00:00:00","80","Drafted Amendment Agreement (to SLA) template","0","","1.25","0","1","16","2016-10-03 15:12:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("248","16","0","2016-10-03 00:00:00","80","Attended meeting at HEABS office with EMP and Mr. Ed Santiago","0","","1","0","1","16","2016-10-03 21:24:05","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("249","16","0","2016-10-03 00:00:00","80","Traveled to HEABS office for meeting with Ed Santiago","0","","1.2","0","1","16","2016-10-03 21:24:34","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("250","16","0","2016-10-03 00:00:00","80","Traveled from HEABS office to MPF office after meeting with Ed Santiago","0","","0.75","0","1","16","2016-10-03 21:25:07","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("251","16","0","2016-10-03 00:00:00","80","Drafted Service Level Agreement for Lafarge Vietnam, revised SLA for Holcim Vietnam","0","","1.25","0","1","16","2016-10-03 21:25:42","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("252","16","0","2016-10-03 00:00:00","80","Made telephone call to MAC re: memo on divestment of affiliates","0","","0.25","0","1","16","2016-10-03 21:26:32","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("253","16","0","2016-10-03 00:00:00","143","Received telephone call from Clerk of Court of CTA 3rd division re CTA case 9183","2500","","0.2","500","1","16","2016-10-03 21:27:09","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("254","16","0","2016-10-03 00:00:00","143","Examined Resolution dated Sep 1 for CTA Case 9183","2500","","1","2500","1","16","2016-10-03 21:27:50","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("255","16","0","2016-10-03 00:00:00","143","Internally discussed with EMP re: next steps for CTA Case 9183","2500","","0.25","625","1","16","2016-10-03 21:28:18","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("256","18","0","2016-09-09 00:00:00","163","Attended meeting with I-Manila on DTR","0","","1.5","0","0","18","2016-10-04 13:42:00","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("257","18","0","2016-09-09 00:00:00","120","traveled to CTA for Commissioner\'s Hearing (Pre-marking Exhibits)","2500","","1.5","3750","0","18","2016-10-04 13:45:46","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("258","18","0","2016-09-09 00:00:00","120","Performed Other Service for Commissioner\'s Hearing (Pre-Marking Exhibits)","2500","","1.5","3750","0","18","2016-10-04 13:53:25","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("259","18","0","2016-09-09 00:00:00","134","Revise Memo on Situs of Taxation of Services rendered offsite/onsite","100","","2.5","250","0","18","2016-10-04 13:54:59","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("260","18","0","2016-09-19 00:00:00","163","Attended meeting with I-Manila on DTR","0","","1.5","0","1","18","2016-10-04 13:58:09","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("261","18","0","2016-09-19 00:00:00","120","Traveled to CTA for Pre-Marking of Exhibits","2500","","1.5","3750","1","18","2016-10-04 13:58:52","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("262","18","0","2016-09-19 00:00:00","120","Performed Other Service for Commissioner\'s Hearing (Pre-Marking Exhibits)","2500","","1.5","3750","1","18","2016-10-04 13:59:32","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("263","18","0","2016-09-19 00:00:00","134","Revise Memo on Situs of Taxation of Services rendered Offsite/Onsite.","100","","2.5","250","1","18","2016-10-04 14:00:21","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("264","18","0","2016-09-20 00:00:00","106","Followed-up work at status of assessment at RDO 50","2500","","2","5000","1","18","2016-10-04 14:03:22","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("265","18","0","2016-09-20 00:00:00","134","Followed-up work to Cecile Carillo of Maybank re: Board Resolution on Internet Banking","100","","0.5","50","1","18","2016-10-04 14:05:55","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("266","18","0","2016-09-20 00:00:00","134","Wrote email to client on status of Board Resolution on Internet Banking","100","","0.5","50","1","18","2016-10-04 14:06:58","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("267","18","0","2016-09-20 00:00:00","134","Revise memo on Situs of Taxation on Services Rendered Offsite/Onsite","100","","3","300","1","18","2016-10-04 14:08:03","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("268","18","0","2016-09-20 00:00:00","134","Internally discussed with EMP re: Benchmark Memo","100","","0.5","50","1","18","2016-10-04 14:08:35","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("269","16","0","2016-10-04 00:00:00","141","Traveled to CTA for pretrial","2500","","1.75","4375","1","16","2016-10-06 07:48:09","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("270","16","0","2016-10-04 00:00:00","141","Attended pretrial for pisces","0","","1.5","0","1","16","2016-10-06 07:49:21","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("271","16","0","2016-10-04 00:00:00","141","Traveled from CTA from pisces pretrial","2500","","2","5000","1","16","2016-10-06 07:50:20","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("272","16","0","2016-10-04 00:00:00","163","Performed Other Service: sick leave","0","","8","0","0","16","2016-10-06 07:51:06","16","2016-10-06 07:56:35","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("273","16","0","2016-10-04 00:00:00","163","Performed Other Service: vacation leave","0","","8","0","1","16","2016-10-06 07:51:51","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("274","16","0","2016-10-06 00:00:00","90","Traveled to Paranaque City Hall for hearing","0","","1.25","0","1","16","2016-10-06 07:52:26","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("275","16","0","2016-10-06 00:00:00","90","Attended trial/hearing at Paranaque RTC Br 195","0","","2","0","1","16","2016-10-06 07:53:20","16","2016-10-06 12:03:43","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("276","16","0","2016-10-06 00:00:00","90","Traveled to office from Paranaque RTC","0","","3.1","0","1","16","2016-10-06 07:53:41","16","2016-10-06 12:03:56","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("277","16","0","2016-10-05 00:00:00","80","Revised HVL, LCL SLAs/Amendment Agreement to HVL SLA","0","","2.5","0","1","16","2016-10-06 07:54:52","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("278","16","0","2016-10-04 00:00:00","90","Researched on execution pending appeal/discretionary execution","0","","3","0","1","16","2016-10-06 07:55:43","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("279","16","0","2016-10-04 00:00:00","90","Drafted Comment on Motion to Recall","0","","1.5","0","1","16","2016-10-06 07:56:20","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("280","18","0","2016-09-21 00:00:00","39","Performed Other Service, Prepare/arrange documents for transmittal to SGV and update bank passbook of CAC and CAHC","100","","1.5","150","1","18","2016-10-06 10:33:20","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("281","18","0","2016-09-21 00:00:00","39","Wrote email to Ms. Gemma Merin regarding CAC and CAHC","0","","0.5","0","1","18","2016-10-06 10:34:27","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("282","18","0","2016-09-21 00:00:00","149","Wrote email to Dayrelle Servidad ","3500","","0.5","1750","1","18","2016-10-06 10:35:05","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("283","18","0","2016-09-21 00:00:00","155","Drafted Minutes of the Organizational Meeting of Stockholders; and Minutes of Organizational Meeting of BOD.","3000","","2","6000","1","18","2016-10-06 10:36:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("284","18","0","2016-09-21 00:00:00","134","Drafted Minutes of BOD Meeting re: Internet Banking Facility and Director\'s Certificate (Singaporean Directors).","100","","2.5","250","1","18","2016-10-06 10:38:42","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("285","18","0","2016-09-21 00:00:00","39","Drafted email to SGV","100","","1","100","1","18","2016-10-06 10:39:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("286","18","0","2016-09-22 00:00:00","128","Drafted Minutes of the BOD Meeting Held August 31, 2016.","0","","2","0","1","18","2016-10-06 10:42:36","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("287","18","0","2016-09-22 00:00:00","64","Drafted Minutes of the Meeting (August 31, 2016).","0","","2","0","1","18","2016-10-06 10:43:43","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("288","18","0","2016-09-22 00:00:00","155","Revise Minutes of Organizational Meeting of Shareholders and BOD; and Sec\'s Cert RE: BPI and Coins.ph.","3000","","2","6000","1","18","2016-10-06 10:45:18","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("289","18","0","2016-09-22 00:00:00","128","Revise LHAI Minutes of BOD Meeting (August 31, 2016).","0","","1","0","1","18","2016-10-06 10:46:14","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("290","18","0","2016-09-23 00:00:00","155","Attended meeting with Keith Jones &amp; EMP.","3000","","1.5","4500","1","18","2016-10-06 10:48:43","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("291","18","0","2016-09-23 00:00:00","10","Revise letter to ELTAD","0","","1","0","1","18","2016-10-06 10:49:23","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("292","18","0","2016-09-23 00:00:00","10","Supervised filing of Letter tp ELTAD","0","","0.5","0","1","18","2016-10-06 10:49:48","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("293","18","0","2016-09-23 00:00:00","134","Revise Minutes of the BOD Meeting re: Internet Banking; and Director\'s Certificate.","100","","1.5","150","1","18","2016-10-06 10:50:40","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("294","18","0","2016-09-23 00:00:00","149","Wrote email to Dayrelle Servidad","3500","","0.5","1750","1","18","2016-10-06 10:57:01","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("295","18","0","2016-09-23 00:00:00","120","Wrote email to CTA 2n Division re: List of Document Exhibits to be presented by Petitioner","2500","","0.5","1250","1","18","2016-10-06 10:58:10","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("296","18","0","2016-09-23 00:00:00","134","Revise Memo on Situs of Taxation on Services rendered Offsite/Onsite","100","","2","200","1","18","2016-10-06 10:58:44","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("297","18","0","2016-09-26 00:00:00","134","Revise Memo to be sent to UNTV","0","","1.5","0","1","18","2016-10-06 11:00:51","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("298","18","0","2016-09-26 00:00:00","106","Internally discussed with with RAB, EMP and Ms. Badeth Nanaga.","2500","","1.5","3750","1","18","2016-10-06 11:02:12","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("299","18","0","2016-09-26 00:00:00","106","Attended meeting with BIR Officer Charlemagne Ramil, with Atty. Roberto Baquiran and Badeth Nanaga.","0","","1.5","0","1","18","2016-10-06 11:04:28","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("300","18","0","2016-09-26 00:00:00","163","Performed Other Service Updated List of Case Reporting Assignment","0","","1","0","1","18","2016-10-06 11:08:57","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("301","18","0","2016-09-26 00:00:00","40","Contact Ms. Gemma Merin","100","","1","100","1","18","2016-10-06 11:13:15","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("302","18","0","2016-10-06 00:00:00","80","Traveled to BOI","0","","1","0","0","18","2016-10-06 11:40:02","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("303","18","0","2016-09-27 00:00:00","80","Traveled to BOI","0","","1","0","1","18","2016-10-06 11:40:26","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("304","18","0","2016-09-27 00:00:00","80","Attended meeting with Atty. Pia Alano","0","","1","0","1","18","2016-10-06 11:40:53","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("305","18","0","2016-09-27 00:00:00","80","Traveled to SEC","0","","1.5","0","1","18","2016-10-06 11:42:11","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("306","18","0","2016-09-27 00:00:00","80","Attended meeting with Ms. Margarette Almazan of Compliance Monitoring Division (SEC)","0","","1.5","0","1","18","2016-10-06 11:42:49","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("307","18","0","2016-09-27 00:00:00","80","Drafted email re: updated to Mr. Santiago.","0","","1","0","1","18","2016-10-06 11:43:17","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("308","18","0","2016-10-06 00:00:00","10","Traveled to BIR National Office","0","","1.5","0","0","18","2016-10-06 11:45:34","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("309","18","0","2016-09-28 00:00:00","10","Traveled to BIR National Office","0","","1.5","0","1","18","2016-10-06 11:46:28","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("310","18","0","2016-09-28 00:00:00","10","Attended meeting with BIR Examiner Ernesto Gamrad and Atty. Roberto Baqurian","0","","3","0","1","18","2016-10-06 11:47:15","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("311","18","0","2016-09-28 00:00:00","10","Internally discussed with Atty. Baquiran and Atty. Euney","0","","1","0","1","18","2016-10-06 11:47:45","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("312","18","0","2016-09-28 00:00:00","10","Drafted email to update the Client","0","","1","0","1","18","2016-10-06 11:48:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("313","18","0","2016-09-28 00:00:00","163","Attended seminar re: Etiquette.\n","0","","1","0","1","18","2016-10-06 11:49:47","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("314","18","0","2016-09-29 00:00:00","90","Traveled to RTC Parañaque","0","","1.5","0","1","18","2016-10-06 11:52:12","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("315","18","0","2016-09-29 00:00:00","90","Performed Other Service, Inquire status of case with court staff","0","","1","0","1","18","2016-10-06 11:53:33","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("316","18","0","2016-09-30 00:00:00","106","Made telephone call to Charlemagne Ramil of RR No. 8","2500","","1","2500","1","18","2016-10-06 13:21:21","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("317","18","0","2016-09-30 00:00:00","120","Made telephone call to Ms. Ada Santiago re: Draft ICPA Report and CTC of DOE Certificate.","2500","","1","2500","1","18","2016-10-06 13:22:08","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("318","18","0","2016-09-30 00:00:00","128","Drafted Secretary\'s Certificate on Assets Recommended for Approval.","0","","1.5","0","1","18","2016-10-06 13:24:21","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("319","18","0","2016-09-30 00:00:00","39","Made telephone call to Ms. Gemma Merin re: sending documents for transmittal","100","","1","100","1","18","2016-10-06 13:25:03","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("320","18","0","2016-09-30 00:00:00","10","Performed Other Service , Locate schedules of the SPA for the records.","0","","1.5","0","1","18","2016-10-06 13:26:50","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("321","14","0","2016-10-06 00:00:00","163","Attended FINEX Tax Forum at Marriot Grand Ballroom Building, Pasay","0","","3.5","0","2","21","2016-10-06 16:49:45","","","2","14:00:00","17:30:00","1");
INSERT INTO file_billing_tbl VALUES("322","17","0","2016-09-27 00:00:00","94","Attended hearing at the Court of Tax Appeals for the presentation of ICPA","2500","","3","7500","1","22","2016-10-07 14:06:05","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("323","17","0","2016-09-27 00:00:00","163","Check-up at St. Luke\'s Hospital","0","","3","0","1","22","2016-10-07 14:07:03","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("324","17","0","2016-10-27 00:00:00","143","Checking of files at the Court of Tax Appeals for CTA Cases 9183 and 9187","2500","","2.5","6250","0","22","2016-10-07 14:08:06","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("325","17","0","2016-09-27 00:00:00","143","Revised Pretrial Brief, Motion for ICPA Commissioning and Judicial Affidavit of Mr. Emmanuel Mendoza","0","","3","0","1","22","2016-10-07 14:09:02","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("326","17","0","2016-09-27 00:00:00","63","Updated EMP re: Davao FLAs","0","","0.33","0","1","22","2016-10-07 14:10:04","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("327","17","0","2016-09-28 00:00:00","63","Traveled to Batangas to submit application for Provisional Permit and SPA of Mata-Perez &amp; Francisco with Jeric Leonardo","0","","8.5","0","1","22","2016-10-07 14:11:24","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("328","17","0","2016-09-28 00:00:00","163","Attended lecture on etiquette ","0","","2","0","1","22","2016-10-07 14:11:54","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("329","17","0","2016-09-28 00:00:00","143","Finalized Pretrial Brief and Judicial Affidavit of Apple Malapad","2500","","3.5","8750","1","22","2016-10-07 14:12:56","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("330","17","0","2016-09-29 00:00:00","143","Supervised filing of Pretrial Brief for CTA Case 9183","0","","2.5","0","1","22","2016-10-07 14:13:56","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("331","17","0","2016-09-29 00:00:00","163","Attended TMAP  Seminar","0","","5","0","1","22","2016-10-07 14:14:28","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("332","17","0","2016-09-30 00:00:00","163","Case reporting and lawyers\' lunch","0","","3","0","1","22","2016-10-07 14:15:07","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("333","17","0","2016-09-30 00:00:00","163","Prepared time reports","0","","1","0","1","22","2016-10-07 14:15:43","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("334","17","0","2016-09-30 00:00:00","163","Prepared request for payment","0","","1.5","0","1","22","2016-10-07 14:16:09","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("335","17","0","2016-09-30 00:00:00","63","Oriented RHO re Batangas MLA","0","","0.5","0","1","22","2016-10-07 14:16:50","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("336","17","0","2016-09-27 00:00:00","143","Checking of files at the Court of Tax Appeals for CTA Cases 9183 and 9187","0","","2.5","0","1","22","2016-10-07 14:20:57","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("337","15","0","2016-10-11 00:00:00","93","Revised JLL\'s draft of formal offer of evidence. Consultation on how to submit the ICPA report and all 1500 exhibits. ","2500","","0.5","1250","1","15","2016-10-11 14:09:03","","","1","14:15:00","14:45:00","19");
INSERT INTO file_billing_tbl VALUES("338","15","0","2016-10-11 00:00:00","163","Researched and Revised Powerpoint on Corp. Sec training. Include revision of ppt on GIS filing. ","0","","4.25","0","1","15","2016-10-11 14:11:41","","","2","10:30:00","14:45:00","13");
INSERT INTO file_billing_tbl VALUES("339","12","0","2016-10-10 00:00:00","63","Wrote email to ALLEN RE STATUS ","0","","0.3","0","1","12","2016-10-11 15:45:35","","","0","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("340","12","0","2016-10-10 00:00:00","9","Reviewed of work of JLL re updates of CAR; discussion with Bobby","0","","0.5","0","1","12","2016-10-11 15:46:38","","","0","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("341","12","0","2016-10-10 00:00:00","10","Internally discussed with RAB and Maki re BIR Requirements","0","","0.5","0","1","12","2016-10-11 15:49:19","","","0","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("342","16","0","2016-10-10 00:00:00","11","Examined Judicial Affidavit of Teresita Villamor/prepared cross-examination questions","0","","2","0","1","16","2016-10-11 16:18:24","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("343","16","0","2016-10-10 00:00:00","11","Traveled to CTA for hearing","0","","1","0","1","16","2016-10-11 16:18:43","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("344","16","0","2016-10-10 00:00:00","11","Attended trial/hearing at CTA Third Div for TA Oil v CIR","0","","2.5","0","1","16","2016-10-11 16:19:46","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("345","16","0","2016-10-10 00:00:00","11","Traveled from CTA","0","","1.25","0","1","16","2016-10-11 16:20:09","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("346","16","0","2016-10-10 00:00:00","11","Drafted email update to client","0","","0.75","0","1","16","2016-10-11 16:20:32","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("347","16","0","2016-10-10 00:00:00","97","Reviewed previous research on fishpond matter","2500","","1","2500","1","16","2016-10-11 16:21:16","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("348","16","0","2016-10-10 00:00:00","97","Received telephone call from EMP re: Fortman Cline fishpond matter","2500","","0.2","500","1","16","2016-10-11 16:21:38","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("349","16","0","2016-10-10 00:00:00","97","Attended meeting at Fortman Cline re fishpond matter","2500","","2","5000","0","16","2016-10-11 16:21:51","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("350","16","0","2016-10-10 00:00:00","97","Researched on nationality restrictions on fishponds","2500","","1","2500","0","16","2016-10-11 16:22:05","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("351","16","0","2016-10-11 00:00:00","97","Attended meeting at Fortman Cline re fishpond matter","0","","2","0","1","16","2016-10-11 16:23:05","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("352","16","0","2016-10-11 00:00:00","97","Researched on nationality restrictions on fishponds","0","","1","0","1","16","2016-10-11 16:23:35","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("353","16","0","2016-10-11 00:00:00","141","Drafted Joint Stipulation of Facts and Issues","2500","","3","7500","1","16","2016-10-11 16:23:56","16","2016-10-11 16:26:46","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("354","16","0","2016-10-11 00:00:00","163","Wrote emails to Dr. Hazel Zuellig re: amendment of AOI of ZHC","0","","0.4","0","1","16","2016-10-11 16:24:48","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("355","16","0","2016-10-11 00:00:00","99","Drafted Affidavit of Discrepancy re birth date of Jenny Chan","2500","","1","2500","1","16","2016-10-11 16:25:16","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("356","16","0","2016-10-11 00:00:00","163","Wrote email to EMP re: requirements for amendment of AOI (Southwest Premiere Ferries)","0","","0.2","0","1","16","2016-10-11 16:25:53","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("357","16","0","2016-10-11 00:00:00","163","Internally discussed with RHO re: requirements for amendment of AOI/increase in ACS/conversion of shares to RPS (Southwest Premiere Ferries)","0","","0.4","0","1","16","2016-10-11 16:26:24","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("358","16","0","2016-10-11 00:00:00","11","Internally discussed with EMP re possibility of presenting rebuttal evidence","0","","0.25","0","1","16","2016-10-11 16:28:27","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("359","12","0","2016-10-14 00:00:00","141","Reviewed of work of DRP Joint Stipulation of Facts","0","","0.5","0","1","12","2016-10-14 19:39:59","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("360","12","0","2016-10-14 00:00:00","166","Conferred with Anton Lichauco","0","","1.3","0","1","12","2016-10-14 19:40:35","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("361","12","0","2016-10-14 00:00:00","166","Drafted Subscription Agreement/Amended AOI","0","","1.25","0","1","12","2016-10-14 19:41:05","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("362","12","0","2016-10-14 00:00:00","94","Reviewed of work of Formal Offer of Evidence","0","","0.5","0","1","12","2016-10-14 19:43:20","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("363","12","0","2016-10-14 00:00:00","9","Internally discussed with Bobby/Jan re Star Terminal CAR","0","","0.2","0","1","12","2016-10-14 19:45:23","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("364","12","0","2016-10-14 00:00:00","85","Wrote letter to BIR re CAR amendments","0","","0.2","0","1","12","2016-10-14 19:49:53","","","1","00:00:00","00:00:00","9");
INSERT INTO file_billing_tbl VALUES("365","12","0","2016-10-14 00:00:00","106","Reviewed of work of MAC re letter to BIR for pull-out of records","0","","0.2","0","1","12","2016-10-14 19:51:11","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("366","12","0","2016-10-14 00:00:00","120","Internally discussed with MAC","0","","0.2","0","1","12","2016-10-14 19:53:44","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("367","12","0","2016-10-14 00:00:00","80","Internally discussed with Dianne  re various contracts","0","","0.5","0","1","12","2016-10-14 19:54:26","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("368","12","0","2016-10-14 00:00:00","166","Drafted Subscription Agreement, Amended AOI, Certificate of Amendment","0","","1.5","0","1","12","2016-10-14 21:15:11","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("369","12","0","2016-10-13 00:00:00","65","Conferred with Vangie Caballa","0","","1.5","0","1","12","2016-10-14 21:16:58","","","0","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("370","12","0","2016-10-13 00:00:00","65","Internally discussed with Bobby and Dianne","0","","0.5","0","1","12","2016-10-14 21:17:18","","","0","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("371","12","0","2016-10-13 00:00:00","65","Traveled to RFM Office","0","","0.45","0","1","12","2016-10-14 21:17:40","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("372","12","0","2016-10-13 00:00:00","85","Internally discussed with GVF CAR amendments","0","","0.3","0","1","12","2016-10-14 21:18:29","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("373","12","0","2016-10-13 00:00:00","166","Made telephone call to Anton Lichauco","0","","0.3","0","1","12","2016-10-14 21:19:04","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("374","12","0","2016-10-13 00:00:00","106","Internally discussed with RAB and Macky","0","","0.5","0","1","12","2016-10-14 21:19:46","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("375","12","0","2016-10-13 00:00:00","80","Wrote email to Jon Testor","0","","0.2","0","1","12","2016-10-14 21:21:01","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("376","12","0","2016-10-13 00:00:00","80","Internally discussed with mac","0","","0.2","0","1","12","2016-10-14 21:21:19","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("377","12","0","2016-10-13 00:00:00","166","Wrote email to Michelle","0","","0.2","0","1","12","2016-10-14 21:21:49","","","0","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("378","12","0","2016-10-12 00:00:00","166","Drafted Subscription Agreement","0","","1.5","0","1","12","2016-10-14 21:23:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("379","12","0","2016-10-12 00:00:00","106","Conferred with Charlie and Maning Mendoza","0","","1.75","0","1","12","2016-10-14 21:25:13","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("380","12","0","2016-10-12 00:00:00","166","Wrote email to Michelle - re conversion","0","","0.2","0","1","12","2016-10-14 21:25:59","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("381","12","0","2016-10-11 00:00:00","97","Conferred with Mark Luz to discuss Prawn project","6000","","1","6000","1","12","2016-10-14 21:27:52","","","0","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("382","12","0","2016-10-11 00:00:00","63","Internally discussed withJLL","0","","0.5","0","1","12","2016-10-14 21:28:55","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("383","16","0","2016-10-17 00:00:00","143","Reviewed JLL\'s draft Motion for Reconsideration (re: Resolution dated September 1, 2016)","2500","","2.75","6875","1","16","2016-10-17 12:21:18","16","2016-10-17 12:24:58","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("384","16","0","2016-10-17 00:00:00","85","Revised letters requesting amendment of Sarah Ongsun\'s CARs, reviewed AFS for market value of shares","0","","1.75","0","1","16","2016-10-17 12:22:00","16","2016-10-17 12:25:13","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("385","16","0","2016-10-17 00:00:00","80","Internally discussed with EMP and RHO re: Amendment Agreements for OpCo SLAs","0","","0.35","0","1","16","2016-10-17 12:22:29","16","2016-10-17 12:25:20","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("386","16","0","2016-10-17 00:00:00","80","Revised OpCo SLA Amendment Agreements","0","","3.5","0","1","16","2016-10-17 12:22:46","16","2016-10-17 12:24:48","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("387","16","0","2016-10-17 00:00:00","163","Performed Other Service: attended HMO seminar","0","","1","0","1","16","2016-10-17 12:24:37","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("388","16","0","2016-10-18 00:00:00","163","Attended trial/hearing RTC Branch 149 for Concorde Condominium matter (Genato/Landmart Philippines, Inc. c/o GVF)","0","","4.5","0","1","16","2016-10-17 12:29:14","16","2016-10-18 12:25:38","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("389","15","0","2016-06-15 00:00:00","120","Revise and reviewed MAC\'s Motion to Admit supplemental petition for review. ","2500","","1.25","3125","1","15","2016-10-17 14:54:55","15","2016-10-17 14:55:22","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("390","15","0","2016-06-15 00:00:00","120","Revise and reviewed MAC\'s Motion to Admit Supplemental Petition for Review","2500","","2.5","6250","1","15","2016-10-17 14:56:19","","","1","09:15:00","11:45:00","19");
INSERT INTO file_billing_tbl VALUES("391","15","0","2016-06-16 00:00:00","120","Revised and reviewed MAC\'s motion to admit supplemental petition for review. ","0","","1.5","0","1","15","2016-10-17 15:00:41","","","1","09:15:00","10:45:00","19");
INSERT INTO file_billing_tbl VALUES("392","15","0","2016-06-16 00:00:00","153","Researched on and Revised opinion on tax incentives of roro owners and operators","0","","1.08333","0","1","15","2016-10-17 15:09:33","","","1","12:45:00","13:50:00","13");
INSERT INTO file_billing_tbl VALUES("393","15","0","2016-10-17 00:00:00","19","Wrote email to Lani regarding materials for preparation and distribution to shareholders. ","0","","0.5","0","1","15","2016-10-17 17:26:24","","","1","17:00:00","17:30:00","6");
INSERT INTO file_billing_tbl VALUES("394","15","0","2016-10-17 00:00:00","153","Drafted materials for amendment of articles of incorporation (extended entry to include brief conferences with EMP) ","0","","2.66667","0","1","15","2016-10-17 17:28:15","","","1","09:30:00","12:10:00","3");
INSERT INTO file_billing_tbl VALUES("395","15","0","2016-10-17 00:00:00","18","Drafted initial draft of memorandum, include going over and reviewing records form 2013 to build facts of case.  ","0","","3.25","0","1","15","2016-10-17 17:30:21","","","1","11:30:00","14:45:00","3");
INSERT INTO file_billing_tbl VALUES("396","15","0","2016-10-17 00:00:00","163","Performed Other Service","0","","1.25","0","1","15","2016-10-17 17:31:28","","","2","15:00:00","16:15:00","11");
INSERT INTO file_billing_tbl VALUES("397","15","0","2016-10-17 00:00:00","120","Revised and reviewed MAC\'s Omnibus motion to admit supplemental petition for review and supplemental petition for review. ","2500","","2.33333","5833.33333333","0","15","2016-10-17 17:37:38","","","1","10:10:00","12:30:00","19");
INSERT INTO file_billing_tbl VALUES("398","15","0","2016-06-16 00:00:00","120","Revised and reviewed MAC\'s Supplemental Petition for Review with the accompanying Motion to Admin Supplemental Petition for Review","0","","2.33333","0","1","15","2016-10-17 17:40:45","","","1","10:10:00","12:30:00","19");
INSERT INTO file_billing_tbl VALUES("399","15","0","2016-06-16 00:00:00","139","Revised and reviewed MAC\'s draft memorandum.","2500","","1.5","3750","1","15","2016-10-17 17:46:15","","","1","13:15:00","14:45:00","19");
INSERT INTO file_billing_tbl VALUES("400","15","0","2016-06-16 00:00:00","139","Revised and reviewed MAC\'s Omnibus motion to admit supplemental petition for review and supplemental petition for review.","0","","2.58333","0","0","15","2016-10-17 17:49:28","","","1","10:10:00","12:45:00","19");
INSERT INTO file_billing_tbl VALUES("401","15","0","2016-06-16 00:00:00","139","Researched on Hedcor cases for citation in the memorandum ","0","","1.41667","0","1","15","2016-10-17 17:52:31","","","1","16:20:00","17:45:00","13");
INSERT INTO file_billing_tbl VALUES("402","15","0","2016-06-16 00:00:00","153","Revised the opinion based on additional research. ","0","","1","0","1","15","2016-10-17 18:02:30","","","1","17:30:00","18:30:00","19");
INSERT INTO file_billing_tbl VALUES("403","15","0","2016-06-15 00:00:00","9","Traveled to Republic\'s office to discuss updates on CAR application of Cities asset purchases. ","0","","2.16667","0","1","15","2016-10-17 18:04:29","","","1","15:00:00","17:10:00","14");
INSERT INTO file_billing_tbl VALUES("404","12","0","2016-10-18 00:00:00","143","Reviewed of work of DRP/JLL re Motion for Reconsideration","0","","1.2","0","1","12","2016-10-18 05:33:52","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("405","12","0","2016-10-17 00:00:00","136","Reviewed of work of SLP Memorandum","0","","1.5","0","1","12","2016-10-18 05:35:52","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("406","12","0","2016-10-17 00:00:00","166","Drafted revised Certificate of Increase, and other SEC Documents","0","","2","0","1","12","2016-10-18 05:36:26","12","2016-10-18 05:40:15","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("407","12","0","2016-10-17 00:00:00","146","Conferred with GEnshi and Osamu","0","","0.5","0","1","12","2016-10-18 05:39:22","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("408","12","0","2016-10-17 00:00:00","145","Conferred with GEnshi and Osamu re various matters","0","","0.5","0","1","12","2016-10-18 05:39:49","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("409","12","0","2016-10-17 00:00:00","122","Internally discussed with Bobby and Jan","6000","","0.3","1800","1","12","2016-10-18 05:40:49","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("410","12","0","2016-10-17 00:00:00","80","Reviewed of work of DRP - Various Amendments","0","","1.9","0","1","12","2016-10-18 05:44:51","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("411","15","0","2016-10-18 00:00:00","153","Conferred with EMP regarding new changes on the AOI and subscription agreement drafts. Include, review of revised by-laws from RHO. Include, conference with EMP and MAC re consultation with the SEC on procedure for conversion of shares i.e. whether AOI amendment is necessary for each conversion. ","0","","3.91667","0","1","15","2016-10-18 14:09:16","","","1","10:10:00","14:05:00","2");
INSERT INTO file_billing_tbl VALUES("412","12","0","2016-10-18 00:00:00","142","Reviewed of work of MAC:  Pre-Trial Brief, Motion for Commissioning, JA of Apple Malapad","0","","1.5","0","1","12","2016-10-18 14:11:30","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("413","12","0","2016-10-18 00:00:00","166","Drafted revised AOI","0","","0.5","0","1","12","2016-10-18 14:12:00","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("414","12","0","2016-10-18 00:00:00","166","with SLP and MAC","0","","0.5","0","1","12","2016-10-18 14:12:19","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("415","12","0","2016-10-18 00:00:00","166","Reviewed of work of Subscription Agreement","0","","0.5","0","1","12","2016-10-18 14:12:57","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("416","12","0","2016-10-18 00:00:00","65","Internal discussion with RAB/DRP","0","","0.3","0","1","12","2016-10-18 14:13:34","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("417","15","0","2016-10-18 00:00:00","19","Performed Other Service i.e. preparation of materials, script and calculation of proxies for the 2016 ASHM. ","0","","2.16667","0","1","15","2016-10-18 14:19:12","","","1","14:10:00","16:20:00","11");
INSERT INTO file_billing_tbl VALUES("418","12","0","2016-10-18 00:00:00","141","Reviewed of work of MAC - Joint Stipulation of Facts","0","","0.3","0","1","12","2016-10-18 14:19:48","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("419","15","0","2016-10-18 00:00:00","153","Internally discussed with RHO to look for SEC opinions on conversion of stocks from RPS to common. ","0","","0.333333","0","1","15","2016-10-18 14:22:34","","","1","15:00:00","15:20:00","8");
INSERT INTO file_billing_tbl VALUES("420","15","0","2016-10-18 00:00:00","18","Internally discussed with Anne regarding request for copies of TSN with the court for purposes of drafting memorandum. ","0","","0.333333","0","1","15","2016-10-18 14:30:44","","","1","16:00:00","16:20:00","8");
INSERT INTO file_billing_tbl VALUES("421","14","0","2016-10-18 00:00:00","22","Wrote letter to Dir. Myrna Leonida of Revenue Region 5 of Caloocan re SDT No. RRS-3-2015-163 of VLAP","0","","2.5","0","2","21","2016-10-18 15:14:58","","","1","10:00:00","12:30:00","9");
INSERT INTO file_billing_tbl VALUES("422","12","0","2016-10-03 00:00:00","134","Internal routing bank statements","0","","0.2","0","1","21","2016-10-18 15:19:25","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("423","12","0","2016-10-03 00:00:00","119","Internal routing Letter addressed to Ms. Tata Tan of BPI\n","0","","0.1","0","1","21","2016-10-18 15:20:00","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("424","12","0","2016-10-03 00:00:00","81","Internal routing Filed preferential tax of Kyle Villaflor to BIR &amp; Transmitted to Ms. Jigs\n","0","","0.1","0","1","21","2016-10-18 15:21:27","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("425","12","0","2016-10-03 00:00:00","140","Internal routing Certificate of registration","0","","0.1","0","1","21","2016-10-18 15:22:08","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("426","12","0","2016-10-03 00:00:00","120","Internal routing DOE Certificate of endorsement\n","0","","0.1","0","1","21","2016-10-18 15:22:48","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("427","12","0","2016-10-04 00:00:00","142","Internal routing respondent\'s pre-trial brief\n","0","","0.1","0","1","21","2016-10-18 15:23:24","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("428","12","0","2016-10-04 00:00:00","155","Internal routing transmittal of docs. for bank\n","6000","","0.1","600","1","21","2016-10-18 15:24:04","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("429","12","0","2016-10-06 00:00:00","18","Internal routing notice of resolution dtd. 9.23.16\n","0","","0.1","0","1","21","2016-10-18 15:24:37","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("430","12","0","2016-10-06 00:00:00","94","Internal routing Order dated 9.27.16\n","0","","0.1","0","1","21","2016-10-18 15:25:16","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("431","12","0","2016-10-06 00:00:00","140","Internal routing Order dated 9.30.16\n","0","","0.1","0","1","21","2016-10-18 15:25:48","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("432","12","0","2016-10-06 00:00:00","140","Internal routing Comment/Opposition\n","0","","0.1","0","1","21","2016-10-18 15:26:18","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("433","12","0","2016-10-06 00:00:00","136","Internal routing MOTEX to file Memorandum\n","0","","0.1","0","1","21","2016-10-18 15:27:05","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("434","12","0","2016-10-06 00:00:00","120","Internal routing motion to set 2nd commissioner\'s hearing\n","0","","0.1","0","1","21","2016-10-18 15:27:33","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("435","12","0","2016-10-06 00:00:00","63","Internal routing Letter from DENR\n","0","","0.1","0","1","21","2016-10-18 15:28:08","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("436","12","0","2016-10-06 00:00:00","18","Internal routing Order dtd 8.8.16\n&amp; notice of resolution dtd. 9.23.16\n","0","","0.2","0","1","21","2016-10-18 15:29:03","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("437","12","0","2016-10-06 00:00:00","94","Internal routing Order  dtd. 9.27.16\n","0","","0.1","0","1","21","2016-10-18 15:29:39","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("438","12","0","2016-10-10 00:00:00","66","Internal routing Support Services Agreement\n","0","","0.1","0","1","21","2016-10-18 15:35:18","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("439","12","0","2016-10-10 00:00:00","143","Internal routing transmittal notice of resolution\n","0","","0.1","0","1","21","2016-10-18 15:36:04","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("440","12","0","2016-10-11 00:00:00","63","Internal routing Memo from DENR Region IVA\n","0","","0.1","0","1","21","2016-10-18 15:36:39","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("441","12","0","2016-10-11 00:00:00","63","Internal routing SPA","0","","0.1","0","1","21","2016-10-18 15:37:13","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("442","12","0","2016-10-11 00:00:00","63","Internal routing Documents for certification\n","0","","0.1","0","1","21","2016-10-18 15:37:36","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("443","12","0","2016-10-11 00:00:00","136","Internal routing Manifestation dtd 10/5/16\n","0","","0.1","0","1","21","2016-10-18 15:40:27","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("444","12","0","2016-10-14 00:00:00","120","Internal routing Notice of Pre-trial order dtd. 10.5.16\n","0","","0.1","0","1","21","2016-10-18 15:41:08","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("445","12","0","2016-10-14 00:00:00","134","Internal routing certificate of authentication\n","0","","0.1","0","1","21","2016-10-18 15:46:29","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("446","12","0","2016-10-14 00:00:00","120","Internal routing Order dtd 10.6.16\n","0","","0.1","0","1","21","2016-10-18 15:51:35","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("447","12","0","2016-10-14 00:00:00","136","Internal routing Minute resolution dtd 10.6.16\n","0","","0.1","0","1","21","2016-10-18 15:52:15","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("448","12","0","2016-10-14 00:00:00","136","Internal routing Order dtd 10.5.16\n","0","","0.1","0","1","21","2016-10-18 15:52:43","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("449","12","0","2016-10-14 00:00:00","144","Internal routing 2015 AFS, 2015 ITR\n","0","","0.1","0","1","21","2016-10-18 15:53:17","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("450","12","0","2016-10-14 00:00:00","106","Internal routing Docs. for CTA-BIR Assessment for year 2012\n","0","","0.1","0","1","21","2016-10-18 15:53:47","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("451","12","0","2016-10-14 00:00:00","63","Internal routing documents from April Militar\n","0","","0.1","0","1","21","2016-10-18 15:54:22","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("452","16","0","2016-10-18 00:00:00","163","Drafted status update email to client re: hearing for Concorde Condominium (client: Landmart Philippines/Genato c/o GVF)","0","","1.25","0","1","16","2016-10-18 16:29:40","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("453","16","0","2016-10-18 00:00:00","143","Internally discussed with EMP re: Motion for Reconsideration","2500","","0.5","1250","1","16","2016-10-18 16:30:28","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("454","16","0","2016-10-18 00:00:00","143","Revised Motion for Reconsideration","2500","","4","10000","1","16","2016-10-18 16:30:43","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("455","12","0","2016-10-19 00:00:00","143","Drafted and reviewed Motion for Reconsideration","0","","1","0","1","12","2016-10-19 10:01:38","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("456","12","0","2016-10-19 00:00:00","166","Drafted amended AOI/BL and Subscription Agreement","0","","0.75","0","1","12","2016-10-19 10:05:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("457","12","0","2016-10-19 00:00:00","166","Internally discussed with MAC","0","","0.2","0","1","12","2016-10-19 10:06:42","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("458","18","0","2016-10-03 00:00:00","163","Drafted powerpoint on Corporate Secretary Duties","0","","3","0","1","18","2016-10-19 10:10:34","","","2","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("459","18","0","2016-10-03 00:00:00","40","Performed Other Service re: Consolidate documents for submission to SGV ","100","","1.5","150","1","18","2016-10-19 10:11:37","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("460","18","0","2016-10-03 00:00:00","120","Drafted Motion to set Commissioner\'s Hearing ","2500","","2","5000","1","18","2016-10-19 10:12:32","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("461","18","0","2016-10-03 00:00:00","134","Revise Memo on ICC Clearance ","100","","1.5","150","1","18","2016-10-19 10:13:09","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("462","18","0","2016-10-19 00:00:00","155","Reviewed of work of Contract (Loan Agreement)","3000","","3.5","10500","0","18","2016-10-19 10:29:11","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("463","18","0","2016-10-03 00:00:00","155","Reviewed of work of contract (Loan Agreement)","0","","3.5","0","1","18","2016-10-19 10:30:58","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("464","16","0","2016-10-19 00:00:00","143","Internally discussed with EMP and MAC re: Cancer/Leo","2500","","1","2500","1","16","2016-10-19 10:36:25","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("465","16","0","2016-10-19 00:00:00","65","Internally discussed with EMP re: meeting on sales allowances/bad debts","0","","0.5","0","1","16","2016-10-19 10:36:50","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("466","18","0","2016-10-03 00:00:00","128","Revise Secretary\'s Certificate and BOD Minutes (re: Assets for Disposal)","0","","1","0","1","18","2016-10-19 10:38:18","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("467","18","0","2016-10-04 00:00:00","134","Drafted Powerpoint on presentation to UNTV","100","","2","200","1","18","2016-10-19 10:39:24","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("468","18","0","2016-10-04 00:00:00","142","Drafted Authorization letter to claim BIR records from CTA","2500","","1","2500","1","18","2016-10-19 10:40:39","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("469","18","0","2016-10-04 00:00:00","155","Revise Loan Agreement","3000","","1","3000","1","18","2016-10-19 10:41:07","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("470","18","0","2016-10-04 00:00:00","149","Made telephone call to RDO 57 Laguna ","3500","","0.5","1750","1","18","2016-10-19 10:41:43","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("471","16","0","2016-10-19 00:00:00","65","Researched on sales allowances","0","","2","0","1","16","2016-10-19 10:41:59","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("472","18","0","2016-10-04 00:00:00","90","Researched on Jurisprudence on executions pending appeal","0","","1.5","0","1","18","2016-10-19 10:42:24","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("473","18","0","2016-10-04 00:00:00","120","Made telephone call to to Ms. Ada Santiago","2500","","0.5","1250","1","18","2016-10-19 10:42:47","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("474","18","0","2016-10-04 00:00:00","10","Internally discussed with Atty. Euney ","0","","1","0","1","18","2016-10-19 10:43:23","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("475","18","0","2016-10-04 00:00:00","134","Traveled to UNTV at Quezon City","100","","2","200","1","18","2016-10-19 10:43:52","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("476","18","0","2016-10-04 00:00:00","134","Attended meeting with UNTV","100","","3","300","1","18","2016-10-19 10:44:20","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("477","18","0","2016-10-05 00:00:00","40","Performed Other Service re: Consolidate/Print documents for transmittal to SGV","100","","2","200","1","18","2016-10-19 10:45:25","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("478","18","0","2016-10-05 00:00:00","155","Revise Loan Agreement","3000","","1","3000","1","18","2016-10-19 10:45:49","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("479","18","0","2016-10-05 00:00:00","149","Drafted cover letter for Application for CAR.","3500","","1.56","5460","1","18","2016-10-19 10:46:20","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("480","18","0","2016-10-05 00:00:00","149","Supervised, Prepare/Print Documents for filing of CAR","3500","","3","10500","1","18","2016-10-19 10:47:15","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("481","18","0","2016-10-05 00:00:00","149","Made telephone call to RDO 57 Laguna","3500","","0.5","1750","1","18","2016-10-19 10:47:43","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("482","18","0","2016-10-05 00:00:00","134","Attended meeting with Matt Ashe","100","","2","200","1","18","2016-10-19 10:49:20","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("483","18","0","2016-10-05 00:00:00","40","Made telephone call to Ms. Gemma Merin of Idein Consulting ","100","","1","100","1","18","2016-10-19 10:50:13","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("484","18","0","2016-10-06 00:00:00","155","Traveled to SEC ","3000","","2","6000","1","18","2016-10-19 10:52:24","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("485","18","0","2016-10-06 00:00:00","155","Attended meeting with the Officer from SEC Licensing Division to follow up on Certificate of Authority","3000","","2","6000","1","18","2016-10-19 10:53:42","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("486","18","0","2016-10-06 00:00:00","120","Drafted Judicial Affidavit of Mr. Richard Querido","2500","","3","7500","1","18","2016-10-19 10:54:16","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("487","18","0","2016-10-07 00:00:00","163","Performed Other Service, updated list of case Assignments and research on new tax and labor cases","0","","3","0","1","18","2016-10-19 10:55:29","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("488","18","0","2016-10-07 00:00:00","40","Revise minutes of Shareholders and Boar of Directors Meeting on the approval of FS and shortening of corporate term ","100","","3.5","350","1","18","2016-10-19 10:56:32","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("489","18","0","2016-10-10 00:00:00","10","Drafted and revise letter to ELTAD ","0","","2.5","0","1","18","2016-10-19 10:57:21","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("490","18","0","2016-10-10 00:00:00","10","Supervised filing of letter to ELTAD","0","","1","0","1","18","2016-10-19 10:57:51","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("491","18","0","2016-10-10 00:00:00","149","Made telephone call to RDO 57","3500","","0.5","1750","1","18","2016-10-19 10:58:14","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("492","18","0","2016-10-10 00:00:00","120","Revise Judicial Affidavit of Richard Querido","2500","","2","5000","1","18","2016-10-19 10:59:21","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("493","12","0","2016-10-19 00:00:00","143","Internally discussed with MAC and DRP the Motion of Reconsideration and other cases for summarisation to client.","0","","0.5","0","1","12","2016-10-19 11:08:27","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("494","18","0","2016-10-11 00:00:00","134","Made telephone call to Mr. Rex of BIR revenue Region no. 2","0","","0.5","0","0","18","2016-10-19 11:37:39","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("495","18","0","2016-10-11 00:00:00","134","Drafted email to client re: update on meeting with UNTV","0","","2.5","0","1","18","2016-10-19 13:28:57","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("496","18","0","2016-10-11 00:00:00","106","Made telephone call to Mr. Rex of BIR Revenue Regon no. 2.","2500","","0.5","1250","1","18","2016-10-19 13:29:50","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("497","18","0","2016-10-11 00:00:00","106","Made telephone call to Ms. Charlemagne Ramil of Revenue Region no. 2","0","","0.5","0","1","18","2016-10-19 13:30:23","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("498","18","0","2016-10-12 00:00:00","106","Traveled to SEC ","2500","","2","5000","1","18","2016-10-19 13:39:31","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("499","18","0","2016-10-12 00:00:00","106","Attended meeting with Marife Yee re: Quasi-reorganization and Equity Restructuring ","2500","","2","5000","1","18","2016-10-19 13:41:02","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("500","18","0","2016-10-12 00:00:00","166","Internally discussed with Atty. Euney and Atty. Richelle","0","","1","0","1","18","2016-10-19 13:41:35","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("501","18","0","2016-10-12 00:00:00","166","Researched on study term sheet and Subscription Agreement ","0","","3","0","1","18","2016-10-19 13:42:16","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("502","18","0","2016-10-12 00:00:00","106","Made telephone call to Ms. Charlemagne Ramil of Revenue Region No. 2","2500","","0.5","1250","1","18","2016-10-19 13:43:13","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("503","18","0","2016-10-12 00:00:00","120","Revise Judicial Affidavit of Richard Querido ","2500","","1","2500","1","18","2016-10-19 13:43:43","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("504","18","0","2016-10-12 00:00:00","149","Made telephone call RDO 57 Laguna","3500","","0.5","1750","1","18","2016-10-19 13:44:07","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("505","18","0","2016-10-12 00:00:00","166","Researched on Term Sheet ad Subscription Agreement","0","","3","0","1","18","2016-10-19 15:47:29","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("506","18","0","2016-10-13 00:00:00","106","Made telephone call to Ms. Charlemagne Ramil of Revenue Region No. 2","2500","","0.5","1250","1","18","2016-10-19 15:48:10","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("507","18","0","2016-10-13 00:00:00","120","Revise Judicial Affidavit of Mr. Richard  Querido","2500","","1","2500","1","18","2016-10-19 15:49:28","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("508","18","0","2016-10-13 00:00:00","149","Made telephone call to RDO 57 Laguna","3500","","0.5","1750","1","18","2016-10-19 15:49:57","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("509","18","0","2016-10-13 00:00:00","80","Supervised and checked completeness of the documents for filing of  Updated list of Affiliates with BOI/SEC","0","","2","0","1","18","2016-10-19 15:51:51","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("510","18","0","2016-10-13 00:00:00","163","Reviewed of work MPF lecture on Corporate Secretary Work","0","","2","0","1","18","2016-10-19 15:54:10","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("511","18","0","2016-10-13 00:00:00","120","Supervised filing of Compliance re: ICPA Report ","2500","","2","5000","1","18","2016-10-19 15:54:51","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("512","18","0","2016-10-13 00:00:00","106","Attended meeting with Charlie Casas, Emmanuel Mendoza and Ms. Badeth Nanaga","2500","","2","5000","1","18","2016-10-19 15:55:27","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("513","18","0","2016-10-14 00:00:00","155","Drafted General Information Sheet","3000","","2","6000","1","18","2016-10-19 15:58:26","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("514","18","0","2016-10-14 00:00:00","142","Drafted Judicial Affidavit of Emmanuel Mendoza","2500","","3.5","8750","1","18","2016-10-19 15:59:17","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("515","18","0","2016-10-14 00:00:00","142","Made telephone call to Emmanuel Mendoza","2500","","0.5","1250","1","18","2016-10-19 15:59:36","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("516","18","0","2016-10-14 00:00:00","120","Revise Judicial Affidavit of Mr. Richard Querido","2500","","2","5000","1","18","2016-10-19 16:00:36","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("517","18","0","2016-10-14 00:00:00","155","Revise Loan Agreement and email to client ","3000","","1.5","4500","1","18","2016-10-19 16:01:26","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("518","18","0","2016-10-15 00:00:00","142","Drafted Motion for Commissioning of ICPA","2500","","3","7500","0","18","2016-10-19 16:05:53","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("519","19","0","2016-09-20 00:00:00","163","Researched on SC decision","0","","0.3","0","0","23","2016-10-20 08:32:09","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("520","19","0","2016-09-20 00:00:00","163","Researched on new SC decisions","0","","0.3","0","1","23","2016-10-20 08:33:37","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("521","19","0","2016-09-20 00:00:00","163","Researched on SC decision","0","","0.3","0","1","23","2016-10-20 08:33:52","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("522","19","0","2016-09-20 00:00:00","163","Researched on labor Updates","0","","1","0","1","23","2016-10-20 08:34:23","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("523","17","0","2016-10-02 00:00:00","144","Prepared GIS 2016 of VSI","0","","1.5","0","0","17","2016-10-20 09:00:52","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("524","17","0","2016-10-02 00:00:00","9","Drafted letter to RDO Agraam","0","","2.5","0","0","17","2016-10-20 09:01:29","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("525","17","0","2016-10-02 00:00:00","67","Drafted letter to RD of Pasig","0","","1","0","0","17","2016-10-20 09:02:22","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("526","17","0","2016-10-03 00:00:00","144","Prepared GIS for 2016 of VSI","0","","1.5","0","1","17","2016-10-20 09:03:26","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("527","17","0","2016-10-03 00:00:00","9","Drafted letter to RDO Agraam","0","","2.5","0","1","17","2016-10-20 09:04:47","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("528","17","0","2016-10-03 00:00:00","67","Drafted letter to RD of Pasig","0","","1","0","1","17","2016-10-20 09:05:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("529","17","0","2016-10-04 00:00:00","19","Prepared Notice for FEATI meetings","0","","1","0","1","17","2016-10-20 09:06:27","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("530","17","0","2016-10-04 00:00:00","19","Researched/studied on lost stock certificates","0","","1","0","1","17","2016-10-20 09:07:10","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("531","17","0","2016-10-04 00:00:00","19","Drafted FEATI Minutes","0","","1.5","0","1","17","2016-10-20 09:07:33","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("532","17","0","2016-10-04 00:00:00","63","Updated EMP re: Davao FLAs","0","","0.75","0","1","17","2016-10-20 09:08:39","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("533","17","0","2016-10-05 00:00:00","145","Wrote email to EMP re: concern of Genshi Shigekawa","3000","","0.5","1500","1","17","2016-10-20 09:09:54","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("534","17","0","2016-10-05 00:00:00","19","Wrote email to EMP re: lost stock certificates","0","","0.33","0","1","17","2016-10-20 09:10:45","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("535","17","0","2016-10-05 00:00:00","144","Revised GIS for 2016 of VSI","0","","0.5","0","1","17","2016-10-20 09:11:17","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("536","17","0","2016-10-06 00:00:00","19","Attended FEATI Board Meeting","0","","1.5","0","1","17","2016-10-20 09:14:08","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("537","17","0","2016-10-06 00:00:00","19","Drafted email to EMP re: FEATI Board Meeting","0","","0.5","0","1","17","2016-10-20 09:14:37","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("538","17","0","2016-10-06 00:00:00","9","Updated EMP on the CAC CAR","0","","0.25","0","1","17","2016-10-20 09:15:26","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("539","17","0","2016-10-06 00:00:00","119","Wrote email to Dorrit West re: instruction to BPI","100","","0.25","25","1","17","2016-10-20 09:16:07","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("540","17","0","2016-10-06 00:00:00","122","Reviewed Primewater memo","3000","","1","3000","1","17","2016-10-20 09:16:44","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("541","17","0","2016-10-07 00:00:00","9","Traveled to LMB Binondo to discuss with LMB the transfer of MLA in Calaca, Batangas","0","","3","0","1","17","2016-10-20 09:18:40","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("542","17","0","2016-10-07 00:00:00","163","Lawyers\' lunch","0","","2.5","0","1","17","2016-10-20 09:19:23","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("543","17","0","2016-10-07 00:00:00","163","Preparation of reimbursements","0","","3.5","0","1","17","2016-10-20 09:19:50","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("544","17","0","2016-10-10 00:00:00","144","Finalized VSI GIS for 2016","0","","1.5","0","1","17","2016-10-20 09:20:57","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("545","17","0","2016-10-10 00:00:00","9","Revised CAR application table","0","","0.75","0","1","17","2016-10-20 09:21:34","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("546","12","0","2016-10-03 00:00:00","134","Reviewed Memo","0","","0.5","0","1","21","2016-10-20 09:21:49","","","1","09:00:00","09:30:00","12");
INSERT INTO file_billing_tbl VALUES("547","12","0","2016-10-03 00:00:00","140","Review Comment","0","","0.5","0","1","21","2016-10-20 09:22:28","","","1","09:30:00","10:00:00","12");
INSERT INTO file_billing_tbl VALUES("548","17","0","2016-10-10 00:00:00","63","Requested Atty. Jonathan Fernandez for certified true copies of certain documents","0","","0.25","0","1","17","2016-10-20 09:22:41","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("549","17","0","2016-10-10 00:00:00","63","Traveled to DENR Region IV-A","0","","2.5","0","1","17","2016-10-20 09:23:26","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("550","17","0","2016-10-10 00:00:00","165","Traveled with RAB to Ayala Greenfield Homeowners Association, Inc. office in Calamba City, Laguna","0","","3.5","0","1","17","2016-10-20 09:25:20","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("551","17","0","2016-10-11 00:00:00","165","Reported to EMP and GVF the meeting at Ayala Greenfield Homeowner\'s Association, Inc.","0","","0.25","0","1","17","2016-10-20 09:27:00","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("552","17","0","2016-10-11 00:00:00","163","Drafted article re: EMP election","0","","0.75","0","1","17","2016-10-20 09:27:44","","","2","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("553","17","0","2016-10-11 00:00:00","94","Drafted Formal Offer of Evidence for CTA Case No. 9080","2500","","2.5","6250","1","17","2016-10-20 09:28:21","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("554","17","0","2016-10-11 00:00:00","63","Drafted letter to CENRO Calaca","0","","1.5","0","1","17","2016-10-20 09:28:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("555","17","0","2016-10-11 00:00:00","63","Drafted letter to RED Alicer","0","","1","0","1","17","2016-10-20 09:29:12","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("556","17","0","2016-10-12 00:00:00","94","Traveled to CTA to photocopy documents marked as exhibits for CTA Case No. 9080","2500","","3.5","8750","1","17","2016-10-20 09:30:06","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("557","17","0","2016-10-12 00:00:00","63","Traveled to Davao City","0","","4.5","0","1","17","2016-10-20 09:30:35","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("558","17","0","2016-10-13 00:00:00","63","Attended meeting with Engr. Nihil Panangit, April Militar and Ryan Mejillano at Davao City","0","","3","0","1","17","2016-10-20 09:31:43","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("559","17","0","2016-10-13 00:00:00","63","Traveled to CENRO and DENR Regional Office in Davao City to follow-up transfer of FLAs","0","","2","0","1","17","2016-10-20 09:32:26","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("560","17","0","2016-10-13 00:00:00","63","Traveled to PENRO in Digos City to submit documents","0","","5","0","1","17","2016-10-20 09:32:57","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("561","17","0","2016-10-14 00:00:00","63","Traveled back to Manila","0","","5.5","0","1","17","2016-10-20 09:33:31","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("562","17","0","2016-10-14 00:00:00","94","Completion of FOE attachments for CTA Case No. 9080","2500","","2","5000","1","17","2016-10-20 09:34:18","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("563","17","0","2016-10-14 00:00:00","163","Lawyers\' lunch and reporting","0","","3","0","1","17","2016-10-20 09:34:53","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("564","17","0","2016-10-14 00:00:00","163","Preparation of time charges and liquidation","0","","1.5","0","1","17","2016-10-20 09:35:23","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("565","16","0","2016-10-19 00:00:00","65","Traveled to RFM Corporate Center for meeting with Vangie Caballa","0","","1","0","1","16","2016-10-20 10:26:35","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("566","16","0","2016-10-19 00:00:00","65","Attended meeting at RFM Corporate Center with Vangie Caballa","0","","2.25","0","1","16","2016-10-20 10:26:57","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("567","16","0","2016-10-19 00:00:00","65","Traveled from RFM Corporate Center to office","0","","1","0","1","16","2016-10-20 10:27:18","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("568","16","0","2016-10-19 00:00:00","143","Further researched re: RMC 54-2014 and Sec. 112(C) of Tax Code for Project Cancer Motion for Reconsideration","2500","","2","5000","1","16","2016-10-20 10:28:09","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("569","12","0","2016-10-19 00:00:00","25","Attended meeting at RFM Office with RAB, DRP and Ms. Vangie","0","","1.5","0","1","12","2016-10-20 15:53:07","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("570","12","0","2016-10-19 00:00:00","51","Performed Other Service - Various emails discussion re bond and manifestation","0","","0.2","0","1","12","2016-10-20 15:54:13","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("571","12","0","2016-10-19 00:00:00","19","Reviewed of work of - Minutes of Meeting","0","","0.5","0","1","12","2016-10-20 15:55:42","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("572","12","0","2016-10-19 00:00:00","19","Performed Other Service - Various emails to and from Mrs. Santiago; revising notice of meeting; internal discussion","0","","0.5","0","1","12","2016-10-20 15:56:25","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("573","12","0","2016-10-19 00:00:00","143","Reviewed of work of  - Revised Motion for Reconsideration","0","","0.8","0","1","12","2016-10-20 15:57:03","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("574","12","0","2016-10-19 00:00:00","143","Reviewed of work of JLL/DRP Motion for Reconsideration","0","","0.8","0","0","12","2016-10-20 15:57:25","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("575","12","0","2016-10-19 00:00:00","134","Reviewed of work of Various Contracts","0","","1.2","0","1","12","2016-10-20 15:58:04","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("576","12","0","2016-10-20 00:00:00","143","Reviewed of work of DRP/JLL re Motion for Reconsideration","0","","1.2","0","1","12","2016-10-20 15:59:47","","","0","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("577","17","0","2016-09-25 00:00:00","143","Preparation of Pretrial Brief, Judicial Affidavits of Araceli Malapad and ICPA, and Motion for Commissioning of ICPA","0","","10","0","1","22","2016-10-20 18:02:02","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("578","17","0","2016-09-26 00:00:00","9","Traveled to BIR RDO 39 to check CAR on the transfer of Tokuyama Taiheyo SCCC shares transaction","0","","2.5","0","1","22","2016-10-20 18:03:11","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("579","17","0","2016-09-26 00:00:00","9","Internally discussed with EMP and RAB various applications for CAR","0","","0.5","0","1","22","2016-10-20 18:04:08","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("580","17","0","2016-09-26 00:00:00","163","Drafted memo to GVF re: tax consequences of doing business in the Philippines","0","","4","0","1","22","2016-10-20 18:05:03","","","2","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("581","17","0","2016-09-26 00:00:00","143","Wrote email to Mr. Mendoza (ICPA) to ask for his services","2500","","0.5","1250","1","22","2016-10-20 18:05:59","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("582","15","0","2016-06-17 00:00:00","163","Researched on RMO 26-2016 for reporting ","0","","0.75","0","1","15","2016-10-24 10:13:30","","","2","09:00:00","09:45:00","13");
INSERT INTO file_billing_tbl VALUES("583","15","0","2016-06-17 00:00:00","139","Revised and reviewed of memorandum with client\'s comments. ","2500","","1.66667","4166.66666667","1","15","2016-10-24 10:20:00","","","1","10:10:00","11:50:00","19");
INSERT INTO file_billing_tbl VALUES("584","15","0","2016-06-17 00:00:00","9","Traveled to Republic\'s office to discuss status of CAR applications with Mr. Malibiran. ","0","","1.83333","0","1","15","2016-10-24 10:22:37","","","1","13:10:00","15:00:00","14");
INSERT INTO file_billing_tbl VALUES("585","15","0","2016-06-17 00:00:00","9","Revised post closing checklist in accordance with meeting with Republic. ","0","","1.5","0","1","15","2016-10-24 10:31:20","","","1","15:30:00","17:00:00","19");
INSERT INTO file_billing_tbl VALUES("586","15","0","2016-06-17 00:00:00","163","Performed Other Service: reporting of cases and lawyer\'s lunch","0","","2.16667","0","1","15","2016-10-24 10:32:37","","","2","12:00:00","14:10:00","11");
INSERT INTO file_billing_tbl VALUES("587","15","0","2016-06-17 00:00:00","9","Conferred with JLL regarding pending requirements for CAR application and revision of checklist","0","","0.75","0","1","15","2016-10-24 10:34:57","","","1","18:00:00","18:45:00","2");
INSERT INTO file_billing_tbl VALUES("588","15","0","2016-06-20 00:00:00","9","Reviewed intern\'s draft table of CAR application requirements. ","0","","0.5","0","1","15","2016-10-24 11:02:03","","","1","09:30:00","10:00:00","12");
INSERT INTO file_billing_tbl VALUES("589","15","0","2016-06-20 00:00:00","19","Conferred with JLL on requested Feati secretary\'s certificate","0","","0.666667","0","1","15","2016-10-24 11:10:10","","","1","10:10:00","10:50:00","2");
INSERT INTO file_billing_tbl VALUES("590","15","0","2016-06-20 00:00:00","66","Reviewed operating agreements emailed by HMDC for purposes of drafting reexecution copies. ","0","","1.75","0","1","15","2016-10-24 11:15:30","","","1","11:15:00","13:00:00","12");
INSERT INTO file_billing_tbl VALUES("591","15","0","2016-06-20 00:00:00","120","Traveled to NAC for meeting with Golda and Ada regarding Sabangan.","2500","","3.25","8125","1","15","2016-10-24 11:16:49","","","1","13:15:00","16:30:00","14");
INSERT INTO file_billing_tbl VALUES("592","15","0","2016-06-20 00:00:00","120","Revised intern\'s draft trial plan for Hedcor Sabangan while conferring with MAC. ","0","","1.5","0","1","15","2016-10-24 11:20:06","","","1","17:00:00","18:30:00","19");
INSERT INTO file_billing_tbl VALUES("593","15","0","2016-06-21 00:00:00","163","Performed Other Service: waited for Imanila to troubleshoot laptop since inbox cannot receive emails since last night. ","0","","1.25","0","1","15","2016-10-24 11:34:18","","","2","09:45:00","11:00:00","11");
INSERT INTO file_billing_tbl VALUES("594","15","0","2016-06-21 00:00:00","58","Supervised filing of amendment for increase of ACS. ","0","","1.25","0","1","15","2016-10-24 11:37:22","","","1","10:00:00","11:15:00","18");
INSERT INTO file_billing_tbl VALUES("595","15","0","2016-06-21 00:00:00","163","Reviewed email from Fritz Seegovia re Citibank matter","0","","0.5","0","1","15","2016-10-24 11:44:02","","","1","11:00:00","11:30:00","12");
INSERT INTO file_billing_tbl VALUES("596","15","0","2016-06-21 00:00:00","120","Internally discussed with EMP, MAC and RAB regarding newly discovered memorandum report from the BIR granting the tax refund. ","2500","","1.75","4375","1","15","2016-10-24 11:45:37","","","1","13:00:00","14:45:00","8");
INSERT INTO file_billing_tbl VALUES("597","15","0","2016-06-21 00:00:00","80","Internally discussed with EMP re requirements to update HEAB\'s SEC records to include the Lafarge affiliates. ","0","","0.666667","0","1","15","2016-10-24 12:04:07","","","1","14:30:00","15:10:00","8");
INSERT INTO file_billing_tbl VALUES("598","15","0","2016-06-21 00:00:00","19","Drafted requested secretary\'s certificates for enrolling in EFPS and opening of account with Landbank ","0","","1.16667","0","1","15","2016-10-24 12:07:04","","","1","15:10:00","16:20:00","3");
INSERT INTO file_billing_tbl VALUES("599","15","0","2016-06-21 00:00:00","66","Drafted and revised Doric operating agreement","0","","1.75","0","1","15","2016-10-24 12:10:01","","","1","18:00:00","19:45:00","3");
INSERT INTO file_billing_tbl VALUES("600","15","0","2016-06-22 00:00:00","66","Reviewed operating agreement for Heirs of Zayco and HPI royalty agreements with third parties. ","0","","1.66667","0","1","15","2016-10-24 12:18:39","","","1","09:50:00","11:30:00","12");
INSERT INTO file_billing_tbl VALUES("601","15","0","2016-06-22 00:00:00","66","Drafted Operating Agreement with heirs of zayco; drafted deed of assignment for royalty agreements; drafted interim operating agreement between HPI and HPMC. ","0","","5.25","0","1","15","2016-10-24 12:20:31","","","1","11:30:00","16:45:00","3");
INSERT INTO file_billing_tbl VALUES("602","15","0","2016-06-22 00:00:00","66","Internally discussed with EMP regarding pending agreements","0","","0.666667","0","1","15","2016-10-24 12:22:23","","","1","16:20:00","17:00:00","8");
INSERT INTO file_billing_tbl VALUES("603","15","0","2016-07-22 00:00:00","63","Internally discussed with EMP and JLL on pending spin-off matters. ","0","","0.5","0","1","15","2016-10-24 12:23:12","","","1","17:10:00","17:40:00","8");
INSERT INTO file_billing_tbl VALUES("604","15","0","2016-06-22 00:00:00","63","Internally discussed with EMP and JLL on pending spin-off issues. ","0","","0.833333","0","1","15","2016-10-24 12:27:45","","","1","17:10:00","18:00:00","8");
INSERT INTO file_billing_tbl VALUES("605","15","0","2016-06-23 00:00:00","128","Reviewed LHAI Plan retirement rules to determine procedure for replacing committee member in view of Domenic Rosina\'s resignation. ","0","","1.08333","0","1","15","2016-10-24 16:03:54","","","1","09:45:00","10:50:00","12");
INSERT INTO file_billing_tbl VALUES("606","15","0","2016-06-23 00:00:00","153","Revised maritime opinion based on additional comments from client. Additional research input included to answer specific issues raised. ","0","","1.66667","0","1","15","2016-10-24 16:16:06","","","1","10:30:00","12:10:00","19");
INSERT INTO file_billing_tbl VALUES("607","15","0","2016-06-23 00:00:00","153","Internally discussed with EMP and Fam regarding Michelle\'s comments on the opinion. ","0","","1.33333","0","1","15","2016-10-24 16:19:45","","","1","13:20:00","14:40:00","8");
INSERT INTO file_billing_tbl VALUES("608","15","0","2016-06-23 00:00:00","66","Revised Deeds of assignment (royalty agreements, operating agreements and fringe assets) reviewed by EMP. ","0","","1.5","0","1","15","2016-10-24 16:32:26","","","1","15:30:00","17:00:00","19");
INSERT INTO file_billing_tbl VALUES("609","15","0","2016-06-23 00:00:00","66","Revised and updated status of contracts. ","0","","0.666667","0","1","15","2016-10-24 16:47:33","","","1","18:10:00","18:50:00","19");
INSERT INTO file_billing_tbl VALUES("610","15","0","2016-06-23 00:00:00","58","emailed MBG Capital on computation of SEC filing fees for icnrease in ACS. Supervised filing of application with SEC. ","0","","0.666667","0","1","15","2016-10-24 16:49:22","","","1","19:00:00","19:40:00","18");
INSERT INTO file_billing_tbl VALUES("611","15","0","2016-06-24 00:00:00","9","Reviewed consolidated table of all CAR issues raised by Republic. ","0","","0.666667","0","1","15","2016-10-24 17:09:56","","","1","09:30:00","10:10:00","12");
INSERT INTO file_billing_tbl VALUES("612","15","0","2016-06-24 00:00:00","163","Performed Other Service: prepared for reporting. ","0","","1","0","1","15","2016-10-24 17:10:43","","","2","10:30:00","11:30:00","11");
INSERT INTO file_billing_tbl VALUES("613","15","0","2016-06-24 00:00:00","163","Performed Other Service: lawyer\'s lunch and reporting. ","0","","2.75","0","1","15","2016-10-24 17:11:50","","","2","12:00:00","14:45:00","11");
INSERT INTO file_billing_tbl VALUES("614","15","0","2016-06-24 00:00:00","153","Internally discussed with EMP and Fam the issues raised regarding BOI incentives particularly to operating of vessels in missionary routes. Include additional research. ","0","","2.58333","0","1","15","2016-10-24 17:14:02","","","1","15:10:00","17:45:00","8");
INSERT INTO file_billing_tbl VALUES("615","15","0","2016-06-27 00:00:00","18","Attended at trial/hearing at CTA for presentation of respondent\'s witness. ","0","","4.66667","0","1","15","2016-10-24 17:21:30","","","1","06:30:00","11:10:00","15");
INSERT INTO file_billing_tbl VALUES("616","15","0","2016-06-27 00:00:00","45","Traveled to BIR central office to update on status of request for ruling on tax-deferred exchange. ","0","","2.25","0","1","15","2016-10-24 17:22:40","","","1","13:00:00","15:15:00","14");
INSERT INTO file_billing_tbl VALUES("617","15","0","2016-06-27 00:00:00","63","Traveled to BIR central to inquire regarding status of request for ruling on tax free exchange. ","0","","1.83333","0","1","15","2016-10-24 17:24:23","","","1","13:10:00","15:00:00","14");
INSERT INTO file_billing_tbl VALUES("618","15","0","2016-06-28 00:00:00","63","Wrote email to Mr. Segovia regarding status of CTA Case no. 8569. ","0","","0.75","0","1","15","2016-10-24 17:33:35","","","1","09:45:00","10:30:00","6");
INSERT INTO file_billing_tbl VALUES("619","15","0","2016-06-28 00:00:00","45","Wrote email update to EMP and RAB on the status of the ruling request for tax-deferred exchange. ","0","","0.5","0","1","15","2016-10-24 17:35:15","","","1","10:10:00","10:40:00","6");
INSERT INTO file_billing_tbl VALUES("620","15","0","2016-06-28 00:00:00","45","Drafted letter to SEC requesting for further extension to submit proof of transfer of property. ","0","","0.5","0","1","15","2016-10-24 17:37:30","","","1","11:00:00","11:30:00","3");
INSERT INTO file_billing_tbl VALUES("621","15","0","2016-06-28 00:00:00","63","Drafted letter to SEC requesting for further extension to submit proof of transfer of property. ","0","","0.583333","0","1","15","2016-10-24 17:38:18","","","1","11:30:00","12:05:00","3");
INSERT INTO file_billing_tbl VALUES("622","15","0","2016-06-28 00:00:00","63","Revised and updated HMDC\'s summary of contracts. ","0","","0.333333","0","1","15","2016-10-24 17:46:21","","","1","13:00:00","13:20:00","19");
INSERT INTO file_billing_tbl VALUES("623","15","0","2016-06-28 00:00:00","63","Reviewed HPI - HMDC group consultancy agreement ","0","","1.33333","0","1","15","2016-10-24 17:52:03","","","1","14:10:00","15:30:00","12");
INSERT INTO file_billing_tbl VALUES("624","15","0","2016-06-28 00:00:00","153","Reviewed intern\'s research on imposition of surety bond in the importation of goods as part of the items for review in the maritime opinion. ","0","","1.33333","0","1","15","2016-10-24 17:55:16","","","1","15:20:00","16:40:00","12");
INSERT INTO file_billing_tbl VALUES("625","15","0","2016-06-28 00:00:00","80","Reviewed and updated documents for filing with SEC to update HEAB records after project cities. ","0","","1.16667","0","1","15","2016-10-24 17:56:46","","","1","16:50:00","18:00:00","12");
INSERT INTO file_billing_tbl VALUES("626","15","0","2016-06-28 00:00:00","137","Wrote letter to client with draft table of hedcor and LHC deadlines. ","2500","","1","2500","1","15","2016-10-24 17:59:28","","","1","18:30:00","19:30:00","9");
INSERT INTO file_billing_tbl VALUES("627","15","0","2016-06-29 00:00:00","153","Reviewed and revised draft of maritime opinion with EMP\'s additional comments and additional inputs from Fam. ","0","","1.5","0","1","15","2016-10-24 18:03:16","","","1","10:00:00","11:30:00","12");
INSERT INTO file_billing_tbl VALUES("628","15","0","2016-06-29 00:00:00","66","Wrote email to Ms. Laus cc EMP and Atty. Allen regarding advice on CSR service provider extension of contract. ","0","","0.75","0","1","15","2016-10-24 18:04:54","","","1","11:45:00","12:30:00","6");
INSERT INTO file_billing_tbl VALUES("629","15","0","2016-06-29 00:00:00","66","Reviewed and revised HMDC contracts (supply, operating and deeds of assignments) based on comments from client\'s operations team. Include revisions and updating of status of contracts. ","0","","2.25","0","1","15","2016-10-24 18:07:43","","","1","13:30:00","15:45:00","12");
INSERT INTO file_billing_tbl VALUES("630","15","0","2016-06-29 00:00:00","66","Made telephone call to Micha of HMDC to go over status of all pending contracts. and internal discussion with EMP aftewards. ","0","","1.16667","0","1","15","2016-10-24 18:28:50","","","1","15:10:00","16:20:00","16");
INSERT INTO file_billing_tbl VALUES("631","15","0","2016-06-29 00:00:00","140","Reviewed incoming court orders for project zodiac. and updated project calendar to note incoming hearing dates and submission deadlines. ","2500","","0.833333","2083.33333333","1","15","2016-10-24 18:31:01","","","1","18:00:00","18:50:00","12");
INSERT INTO file_billing_tbl VALUES("632","15","0","2016-06-29 00:00:00","66","Revised supply agreement annexes according to the changes made in the HPI-HMDC agreement. ","0","","0.75","0","1","15","2016-10-24 18:32:28","","","1","19:00:00","19:45:00","19");
INSERT INTO file_billing_tbl VALUES("633","15","0","2016-06-29 00:00:00","19","Drafted secretary\'s certificate for labor case. ","0","","0.5","0","1","15","2016-10-24 18:33:59","","","1","20:00:00","20:30:00","3");
INSERT INTO file_billing_tbl VALUES("634","15","0","2016-06-30 00:00:00","137","Attended at trial/hearing at CTA for presentation of respondent\'s evidence. ","2500","","5.1","12750","1","15","2016-10-24 18:47:01","15","2016-10-24 18:53:26","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("635","15","0","2016-06-30 00:00:00","128","Wrote email to on list of items that need to be brought up during the board meeting. ","0","","0.5","0","1","15","2016-10-24 18:48:07","","","1","13:00:00","13:30:00","6");
INSERT INTO file_billing_tbl VALUES("636","15","0","2016-06-30 00:00:00","66","Reviewed and revised further the supply agreement annexes based on EMP\'s comments. ","0","","0.833333","0","1","15","2016-10-24 18:49:21","","","1","14:00:00","14:50:00","12");
INSERT INTO file_billing_tbl VALUES("637","15","0","2016-06-30 00:00:00","66","Revised operating agreements for zayco and doric to include MPSA details recently emailed covering the areas of operation. ","0","","1.5","0","1","15","2016-10-24 18:51:39","","","1","14:30:00","16:00:00","19");
INSERT INTO file_billing_tbl VALUES("638","15","0","2016-06-30 00:00:00","128","Wrote email to Kat Mamba regarding procedure for replacing Domenic Rosina as committee member. ","0","","0.5","0","1","15","2016-10-24 18:52:45","","","1","17:00:00","17:30:00","6");
INSERT INTO file_billing_tbl VALUES("639","15","0","2016-07-01 00:00:00","66","Reviewed and emailed HMDC and HRDC operating agreements to HMDC group for review. ","0","","1","0","1","15","2016-10-25 13:06:14","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("640","15","0","2016-07-05 00:00:00","66","Reviewed supply agreements and revised according to Kat Mamba\'s email dated July 5. ","0","","2.3","0","1","15","2016-10-25 13:08:17","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("641","15","0","2016-07-07 00:00:00","66","Revised LHAI supply agreement to include provision and language on stranded cost. ","0","","1.2","0","1","15","2016-10-25 13:10:29","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("642","15","0","2016-07-18 00:00:00","66","Reviewed letter extending HPI - HMDC quarry service agreement ","0","","0.8","0","1","15","2016-10-25 13:12:57","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("643","15","0","2016-07-18 00:00:00","66","Reviewed and revised LHAI supply agreement with HMDC\'s comments. ","0","","1.4","0","1","15","2016-10-25 13:13:58","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("644","15","0","2016-07-18 00:00:00","66","Reviewed and revised HPHI-HMDC Quarry service agreement ","0","","1.5","0","1","15","2016-10-25 13:14:53","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("645","15","0","2016-07-22 00:00:00","66","Conferred with Kat Mamba and Zoe Sibala regarding the volume requirement provisin of the LHAI - HPI Supply Agreement","0","","2","0","1","15","2016-10-25 13:25:50","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("646","15","0","2016-07-26 00:00:00","66","Reviewed and revised contract for disposal of non-essential assets as requested by Jon Fernandez","0","","1.7","0","1","15","2016-10-25 13:29:00","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("647","15","0","2016-07-28 00:00:00","9","Reviewed communication between Republic and MPF on CAR application for the LRAI shares ","0","","0.6","0","1","15","2016-10-25 13:31:44","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("648","15","0","2016-07-29 00:00:00","66","Reviewed and revised Royalty agreement with Mr. Pantonial","0","","2.8","0","1","15","2016-10-25 13:32:41","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("649","15","0","2016-07-29 00:00:00","64","Drafted and revised HMDC and HRDC secretary\'s certificates on Land Bank trust funds","0","","1.8","0","1","15","2016-10-25 13:34:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("650","15","0","2016-07-29 00:00:00","64","Drafted, reviewed and revised treasury memorandA secretary\'s certificates for HMDC, HRDC, LORVI and LHAI","0","","3.2","0","1","15","2016-10-25 13:35:43","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("651","15","0","2016-08-04 00:00:00","64","Traveled to Traveled to HPI office and met with EMP and HPI/HMDC group to discuss pending contracts and RF matters","0","","5.2","0","1","15","2016-10-25 13:38:34","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("652","15","0","2016-08-03 00:00:00","64","Revised status of contracts based on latest drafts in preparation for tomorrow\'s meeting. ","0","","1.5","0","1","15","2016-10-25 13:39:50","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("653","15","0","2016-08-04 00:00:00","64","Reviewed and final revision of the royalty agreement before release to other party. ","0","","1.4","0","1","15","2016-10-25 13:40:49","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("654","15","0","2016-08-05 00:00:00","64","Drafted and revised remaining corp sec certificates for the other items in the HMDC Group treasury memoranda","0","","2.3","0","1","15","2016-10-25 13:43:17","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("655","15","0","2016-08-09 00:00:00","64","Revised summary of contracts as per EMP\'s instructions for client update. ","0","","0.7","0","1","15","2016-10-25 13:44:25","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("656","15","0","2016-08-08 00:00:00","13","Drafted Drafted and revised minutes and SPA for Rolive dissolution","3000","","1.5","4500","1","15","2016-10-25 13:46:08","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("657","15","0","2016-08-08 00:00:00","64","Reviewed and revised GIS of HDMC group of companies in accordance with rules on change of business address (consolidated entry) ","0","","2.8","0","1","15","2016-10-25 13:47:16","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("658","15","0","2016-08-11 00:00:00","64","Revised royalty agreement in accordance with discussion with other party","0","","1.1","0","1","15","2016-10-25 13:47:58","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("659","15","0","2016-08-11 00:00:00","64","Reviewed revised draft AOI amendment documents drafted by RHO and MAC. ","0","","2.1","0","1","15","2016-10-25 13:49:54","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("660","15","0","2016-08-12 00:00:00","64","Revised draft HMDC group GIS for filing","0","","1.5","0","1","15","2016-10-25 13:51:10","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("661","15","0","2016-08-15 00:00:00","64","Supervised filing of HMDC group GIS with amendment on business address","0","","1.5","0","1","15","2016-10-25 13:52:25","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("662","15","0","2016-08-15 00:00:00","64","Internally discussed with EMP, MAC and RHO on amendments to be reflected in the AOI from the amendments to the SHA. ","0","","1.8","0","1","15","2016-10-25 13:54:14","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("663","15","0","2016-08-17 00:00:00","66","Revised final version of royalty agreement and finalized for execution. ","0","","0.7","0","1","15","2016-10-25 13:55:28","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("664","15","0","2016-08-18 00:00:00","64","Drafted notice of agenda for Aug. 31 board meeting. Include discussion with EMP and communication with client on upcoming agenda. ","0","","1.5","0","1","15","2016-10-25 13:57:19","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("665","15","0","2016-08-26 00:00:00","64","Drafted and revised minutes of previous board meeting; consolidated with review and revisions based on emp\'s comments. ","0","","2.7","0","1","15","2016-10-25 13:59:23","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("666","15","0","2016-08-30 00:00:00","64","Revised and reviewed minutes of meeting of BOD as per emp\'s corrections. ","0","","0.8","0","1","15","2016-10-25 14:00:29","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("667","15","0","2016-08-30 00:00:00","64","Performed Other Service: prepared, drafted and consoldiated materials for tomorrow\'s board meeting. ","0","","3.5","0","1","15","2016-10-25 14:01:01","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("668","15","0","2016-08-31 00:00:00","64","Traveled to HPI office for HMDC group board meeting. ","0","","4.8","0","1","15","2016-10-25 14:02:02","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("669","15","0","2016-08-31 00:00:00","64","Drafted minutes from meeting","0","","0.8","0","1","15","2016-10-25 14:02:35","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("670","15","0","2016-09-01 00:00:00","128","Drafted sec certs for AMO accreditation","0","","0.8","0","1","15","2016-10-25 14:03:27","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("671","15","0","2016-09-01 00:00:00","128","Performed Other Service: furnished HPI with requested GIS from HMDC group and CLINCO/CEMCO","0","","0.8","0","1","15","2016-10-25 14:04:12","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("672","15","0","2016-09-02 00:00:00","9","Internally discussed with EMP and JAN regarding pending documents for CAR application ","0","","1","0","1","15","2016-10-25 14:05:45","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("673","15","0","2016-09-02 00:00:00","64","Supervised filing of and transmittal to client of GIS of HMDC group","0","","1.2","0","1","15","2016-10-25 14:06:25","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("674","15","0","2016-09-13 00:00:00","9","Traveled to HMDC office to discuss drafting of position paper on inclusion of crushing and grinding in the MPP requirement","0","","3.8","0","1","15","2016-10-25 14:08:16","15","2016-10-25 14:13:29","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("675","15","0","2016-09-13 00:00:00","64","Revised status of contracts for update to client. ","0","","0.6","0","1","15","2016-10-25 14:09:25","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("676","15","0","2016-09-13 00:00:00","128","Internally discussed with EMP regarding proposal for due diligence on the Hard Rock Acquisition","0","","0.6","0","1","15","2016-10-25 14:10:04","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("677","15","0","2016-09-13 00:00:00","9","Researched laws, jurisprudence and agency issuance on MPP requirement; include drafting of position paper.","0","","4.8","0","1","15","2016-10-25 14:11:42","15","2016-10-25 14:13:06","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("678","15","0","2016-09-16 00:00:00","66","Drafted Drafted second amendment to shareholders\'s agreement","0","","1","0","1","15","2016-10-25 14:14:56","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("679","15","0","2016-09-19 00:00:00","66","Performed Other Service: compiled all execution copies of HMDC group contracts.","0","","1","0","1","15","2016-10-25 14:15:45","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("680","15","0","2016-09-20 00:00:00","66","Performed Other Service: calculated number of shares paid for by the MPSAs assigned to HMDC. Include internal discusison with EMP","0","","1.8","0","1","15","2016-10-25 14:17:52","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("681","15","0","2016-09-23 00:00:00","66","Revised amendment to SHA as per EMP\'s comments","0","","0.5","0","1","15","2016-10-25 14:19:27","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("682","15","0","2016-09-23 00:00:00","66","Revised deeds of assignment of operating and royalty agreements and fringe assets as per EMP\'s comments","0","","1.8","0","1","15","2016-10-25 14:20:54","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("683","15","0","2016-09-23 00:00:00","9","Traveled to HMDC to discuss MPP opinion with Mike Cabalda","0","","3.5","0","1","15","2016-10-25 14:22:14","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("684","15","0","2016-09-26 00:00:00","128","Performed Other Service Performed Other Service: reviewed board resolutions to determine who has authority to sign for LHAI\'s day - to -day transactions. ","0","","1","0","1","15","2016-10-25 14:23:21","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("685","15","0","2016-09-26 00:00:00","66","Internally discussed with EMP regarding BIR registration of sellers of the Pantonial royalty agreement","0","","0.8","0","1","15","2016-10-25 14:24:27","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("686","15","0","2016-09-27 00:00:00","128","Drafted and reviewed draft board minutes for disposal of assets","0","","1","0","1","15","2016-10-25 14:25:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("687","15","0","2016-09-29 00:00:00","66","Revised and reviewed all pending contracts for tomorrow\'s meeting. Also updated status of contracts. ","0","","2.7","0","1","15","2016-10-25 14:27:13","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("688","15","0","2016-09-30 00:00:00","66","Traveled to HMDC office to discuss pending contracts for HMDC group","0","","3","0","1","15","2016-10-25 14:27:52","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("689","15","0","2016-07-21 00:00:00","66","Reviewed and revised draft operating agreements, royalty agreements and deeds of assignments for HMDC group","0","","2.8","0","1","15","2016-10-25 14:28:33","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("690","15","0","2016-07-28 00:00:00","64","Drafted secretary\'s certificates on treasury memoranda from HMDC group","0","","2.4","0","1","15","2016-10-25 14:29:22","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("691","16","0","2016-09-20 00:00:00","124","Attended meeting with Atty. Tecson and EMP","3000","","1.5","4500","1","16","2016-10-25 15:19:00","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("692","16","0","2016-09-01 00:00:00","80","Internally discussed with EMP re: Intra Group Data Protection agreement","0","","1","0","1","16","2016-10-25 15:21:43","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("693","16","0","2016-09-01 00:00:00","163","Wrote email to Dr. Hazel Zuellig","0","","0.3","0","1","16","2016-10-25 15:22:55","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("694","16","0","2016-09-01 00:00:00","163","Drafted/finalized documents for AOI amendment of ZHC (Zuellig)","0","","1.5","0","1","16","2016-10-25 15:23:28","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("695","16","0","2016-09-01 00:00:00","158","Conferred with BIR ITAD officer of the day re: certified true copies of AFS and GIS for TTRA filing","3000","","0.3","900","1","16","2016-10-25 15:25:53","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("696","16","0","2016-09-01 00:00:00","80","Drafted/revised form of Declaration of Accession of Intra Group Data Protection Agreement","0","","1","0","1","16","2016-10-25 15:26:35","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("697","16","0","2016-09-01 00:00:00","158","Internally discussed with EMP re: updates to TTRA checklist","3000","","0.5","1500","1","16","2016-10-25 15:27:11","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("698","16","0","2016-09-01 00:00:00","158","Examined files of GANV TTRA/updated checklist","0","","0.5","0","1","16","2016-10-25 15:27:32","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("699","16","0","2016-09-01 00:00:00","158","Wrote emails to EMP re: GANV TTRA/checklist","0","","0.3","0","1","16","2016-10-25 15:27:56","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("700","16","0","2016-09-01 00:00:00","80","Drafted opinion on HEABS/HANZ master data processing","0","","4","0","1","16","2016-10-25 15:28:35","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("701","16","0","2016-09-02 00:00:00","80","Conducted research/drafted opinion on HEABS/HANZ master data processing","0","","7","0","1","16","2016-10-25 15:29:04","16","2016-10-25 15:31:20","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("702","16","0","2016-09-02 00:00:00","80","Internally discussed with EMP and RHO re: master data processing opinion/limitations under Data Privacy Act","0","","0.5","0","1","16","2016-10-25 15:29:46","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("703","16","0","2016-09-02 00:00:00","141","Performed Other Service: updated table of deadlines for LHC/Hedcor cases","2500","","0.5","1250","1","16","2016-10-25 15:31:14","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("704","16","0","2016-09-02 00:00:00","91","Conferred with Ms. Elaine of DCFII/GADC re: billing for DCFII v. CIR","2500","","0.3","750","1","16","2016-10-25 15:32:37","16","2016-10-25 15:32:49","2","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("705","16","0","2016-09-02 00:00:00","91","Internally discussed with EMP re: billing for DCFII v. CIR","0","","0.2","0","1","16","2016-10-25 15:33:25","","","2","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("706","16","0","2016-09-05 00:00:00","65","Drafted/revised memo on sales discounts/shelf rentals per EMP\'s comments","0","","4","0","1","16","2016-10-25 15:34:16","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("707","16","0","2016-09-05 00:00:00","65","Internally discussed with EMP re: memo on sales discounts/shelf rentals per EMP\'s comments","0","","0.5","0","1","16","2016-10-25 15:34:39","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("708","15","0","2016-10-26 00:00:00","66","Reviewed and revised remaining pending contracts for execution and updated status of pending contracts. Include email to Micha and atty. Allen to apprise them of status and request for copies of latest executed contracts. ","0","","1.5","0","1","15","2016-10-25 15:35:07","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("709","16","0","2016-09-05 00:00:00","90","Internally discussed with GVF re: filing of Manifestation and Motion to Issue Letters of Administration","0","","0.3","0","1","16","2016-10-25 15:35:32","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("710","16","0","2016-09-05 00:00:00","90","Drafted Manifestation and Motion to Issue Letters of Administration","0","","2","0","1","16","2016-10-25 15:35:45","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("711","16","0","2016-09-05 00:00:00","114","Drafted billing proposal for Tax Treaty Relief Certification (RP-Vietnam Tax Treaty)","2500","","1.5","3750","1","16","2016-10-25 15:36:22","","","2","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("712","15","0","2016-10-24 00:00:00","66","Made telephone call to Micha of HMDC regarding update on status of pending contracts and to discuss execution of remaining agreements. ","0","","0.8","0","1","15","2016-10-25 15:36:31","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("713","16","0","2016-09-05 00:00:00","48","Internally discussed with EMP whether amendment of AOI is still necessary to change principal address in light of new SEC regs","0","","0.5","0","1","16","2016-10-25 15:37:15","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("714","15","0","2016-10-24 00:00:00","9","Drafted Drafted SPA in favor of MPF to process, sign and coordinate with government agencies for the process of the CAR of the Cities assets. ","0","","1","0","1","15","2016-10-25 15:37:33","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("715","16","0","2016-09-05 00:00:00","48","Performed Other Service: reviewed SEC regs on change of principal address","0","","0.75","0","1","16","2016-10-25 15:38:04","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("716","16","0","2016-09-06 00:00:00","163","Internally discussed with GVF re: Atty. Sta Maria\'s La Vista matter","0","","0.5","0","1","16","2016-10-25 15:38:29","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("717","16","0","2016-09-06 00:00:00","163","Performed Other Service: lunch with Mr. Ed Santiago of HEABS with EMP, RAB, SLP and MAC","0","","3","0","1","16","2016-10-25 15:38:52","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("718","16","0","2016-09-06 00:00:00","163","Researched on Atty. Sta Maria\'s La Vista matter (trespass to dwelling)","0","","4","0","1","16","2016-10-25 15:39:22","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("719","16","0","2016-09-06 00:00:00","163","Drafted memo on Atty. Sta Maria\'s La Vista matter (trespass to dwelling)","0","","3.5","0","1","16","2016-10-25 15:39:59","16","2016-10-25 15:40:17","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("720","16","0","2016-09-06 00:00:00","163","Received telephone call from GVF re: La Vista matter","0","","0.2","0","1","16","2016-10-25 15:41:04","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("721","16","0","2016-09-08 00:00:00","163","Researched on Lupong Tagapamayapa (Atty. Sta Maria La Vista matter c/o GVF)","0","","1.25","0","1","16","2016-10-25 15:43:54","16","2016-10-25 15:44:00","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("722","16","0","2016-09-07 00:00:00","38","Researched on Bloomberry SC Decision","0","","0.5","0","1","16","2016-10-25 15:45:36","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("723","16","0","2016-09-07 00:00:00","85","Internally discussed with RAB re: TGPI CARs (correction)","0","","1","0","1","16","2016-10-25 15:46:06","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("724","16","0","2016-09-07 00:00:00","85","Examined TGP CARs","0","","2","0","1","16","2016-10-25 15:46:24","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("725","16","0","2016-09-07 00:00:00","141","Revised documents for Pretrial Brief (Judicial Affidavits and Motion for Commissioning of ICPA)","2500","","4.5","11250","1","16","2016-10-25 15:48:21","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("726","16","0","2016-09-08 00:00:00","85","Internally discussed with Ariel, RAB and Joyce re correction of Sarah Ongsun\'s CAR/monitored issuance of new CAR","0","","1.5","0","1","16","2016-10-25 15:52:14","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("727","16","0","2016-09-08 00:00:00","141","Revised documents for Pretrial Brief (Judicial Affidavits and Motion for Commissioning of ICPA)/reviewed documents","2500","","5.25","13125","1","16","2016-10-25 15:52:50","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("728","16","0","2016-09-09 00:00:00","80","Examined files for HEABS SLA with Vietnam","0","","2","0","1","16","2016-10-25 15:54:32","16","2016-10-25 15:56:52","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("729","16","0","2016-09-09 00:00:00","80","Drafted new SLA for HEABS-Lafarge Cement LLC Vietnam","0","","4","0","1","16","2016-10-25 15:55:43","16","2016-10-25 15:55:51","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("730","16","0","2016-09-09 00:00:00","163","Performed Other Service: writing session","0","","2","0","1","16","2016-10-25 15:56:46","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("731","15","0","2016-10-26 00:00:00","140","Revised table of LHC/Hedcor cases with jurisdictional challenges. ","2500","","0.5","1250","1","15","2016-10-25 15:57:12","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("732","16","0","2016-09-12 00:00:00","163","Performed Other Service: Eid\'l Adha holiday","0","","8","0","1","16","2016-10-25 15:57:33","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("733","15","0","2016-10-26 00:00:00","64","Wrote email to Jon Fernandez re his request for SPA in favor of Catherine Batucan","0","","0.6","0","1","15","2016-10-25 15:58:36","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("734","16","0","2016-09-13 00:00:00","90","Drafted Motion for Reconsideration","0","","4.5","0","1","16","2016-10-25 15:59:15","16","2016-10-25 16:03:44","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("735","16","0","2016-09-16 00:00:00","115","Attended meeting with EMP, GVF, Padma officials","0","","2","0","1","16","2016-10-25 16:00:46","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("736","16","0","2016-09-13 00:00:00","90","Drafted Affidavit to be attached to Motion for Reconsideration","0","","1.5","0","1","16","2016-10-25 16:02:44","16","2016-10-25 16:03:52","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("737","16","0","2016-09-13 00:00:00","80","Revised HEABS-LCL SLA per EMP\'s comments","0","","2","0","1","16","2016-10-25 16:03:37","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("738","16","0","2016-09-16 00:00:00","163","Performed Other Service: conference call with Diego Recalde re: visa issue of his children; pending work with Sustento","0","","1","0","1","16","2016-10-25 16:04:42","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("739","16","0","2016-09-16 00:00:00","163","Researched on student visa/student permit (Diego Recalde, c/o EMP)","0","","2","0","1","16","2016-10-25 16:05:15","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("740","16","0","2016-09-16 00:00:00","163","Wrote email to Diego Recalde re: student visa/student permit (c/o EMP)","0","","1","0","1","16","2016-10-25 16:05:38","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("741","16","0","2016-09-16 00:00:00","80","Revised HEABS-LCL SLA","0","","2","0","0","16","2016-10-25 16:06:05","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("742","16","0","2016-09-15 00:00:00","80","Revised HEABS-LCL SLA","0","","2","0","1","16","2016-10-25 16:06:34","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("743","15","0","2016-07-01 00:00:00","66","Drafted and revised HMDC and HRDC supply agreements with HPI","0","","2.1","0","1","15","2016-10-25 16:06:41","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("744","16","0","2016-09-16 00:00:00","90","Researched on notices of appeal/records on appeal","0","","2.5","0","1","16","2016-10-25 16:06:53","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("745","16","0","2016-09-16 00:00:00","90","Wrote reply emails to GVF re: record on appeal/notice of appeal","0","","1.25","0","1","16","2016-10-25 16:07:20","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("746","15","0","2016-07-01 00:00:00","163","Performed Other Service: Writing session and report; include prepping for reporting of cases.","0","","3.8","0","1","15","2016-10-25 16:07:29","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("747","15","0","2016-07-01 00:00:00","66","Internally discussed with Internally discussed with EMP regrading operating and supply agreements","0","","0.8","0","1","15","2016-10-25 16:08:39","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("748","16","0","2016-09-14 00:00:00","90","Internally discussed with GVF re: Motion for Reconsideration and Affidavit","0","","0.4","0","1","16","2016-10-25 16:09:15","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("749","16","0","2016-09-14 00:00:00","90","Revised MR and Affidavit per GVF\'s comments","0","","7.6","0","1","16","2016-10-25 16:09:30","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("750","15","0","2016-07-01 00:00:00","66","Wrote email to Atty. Allen and Micha attaching draft agreements","0","","0.5","0","1","15","2016-10-25 16:09:36","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("751","16","0","2016-09-15 00:00:00","90","Revised MR and Affidavit per GVF\'s comments","0","","6","0","1","16","2016-10-25 16:09:54","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("752","16","0","2016-09-19 00:00:00","85","Internally discussed with GVF re: admission of new members in a foundation","0","","0.3","0","1","16","2016-10-25 16:10:42","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("753","16","0","2016-09-19 00:00:00","85","Examined incorporation documents of TGP Foundation/conducted research re admission of new members/drafted reply to GVF","0","","6","0","1","16","2016-10-25 16:11:07","16","2016-10-25 16:12:03","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("754","16","0","2016-09-19 00:00:00","39","Examined files in preparation for Sep 20 meeting with Atty Labra","100","","2","200","1","16","2016-10-25 16:11:40","16","2016-10-25 16:12:14","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("755","15","0","2016-07-04 00:00:00","153","Revised opinion. added an update on the query regarding the surety bond for the 4.5%FWT and whether this is also applicable to a bareboat charter between two domestic entities. Include conference with Marina. ","0","","3.5","0","1","15","2016-10-25 16:11:55","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("756","16","0","2016-09-21 00:00:00","158","Made telephone call to BIR ITAD re: GANV TTRA matter","3000","","0.4","1200","1","16","2016-10-25 16:13:15","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("757","16","0","2016-09-21 00:00:00","158","Wrote email to EMP re: GANV TTRA","0","","0.4","0","1","16","2016-10-25 16:13:32","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("758","16","0","2016-09-21 00:00:00","159","Internally discussed with GVF re: deeds of assignment, DST, and declarations of trust for Acquapower and Sustento","0","","0.5","0","1","16","2016-10-25 16:14:14","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("759","16","0","2016-09-21 00:00:00","159","Performed Other Service: reviewed files, drafted checklist, prepared drafts of declarations of trust, wrote emails to GVF, calculated unpaid subscriptions, prepared tables of share transfers (Acquapower and Sustento)","0","","7","0","1","16","2016-10-25 16:14:44","16","2016-10-25 16:15:25","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("760","15","0","2016-07-04 00:00:00","153","Revised quick look table to conform with revisions on main body of opinion ","0","","1.2","0","1","15","2016-10-25 16:15:38","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("761","16","0","2016-09-21 00:00:00","159","Drafted letter-application to obtain CAR for GVF\'s Acquapower shares","0","","1.25","0","1","16","2016-10-25 16:16:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("762","16","0","2016-09-22 00:00:00","99","Made telephone call to Mary Pauline Villarosa of Sanyo Seiki re Jenny Chan affidavit","2500","","0.3","750","1","16","2016-10-25 16:16:53","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("763","15","0","2016-07-04 00:00:00","19","Reviewed JLL\'s sec cert drafts for Land Bank accounts","0","","0.8","0","1","15","2016-10-25 16:17:12","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("764","16","0","2016-09-22 00:00:00","99","Drafted Jenny Chan affidavit on birth certificate","2500","","1.5","3750","1","16","2016-10-25 16:17:13","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("765","16","0","2016-09-22 00:00:00","141","Further revised documents for Pretrial (PTB, JAs, Motion for Commissioning)","2500","","4.7","11750","1","16","2016-10-25 16:18:03","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("766","15","0","2016-07-04 00:00:00","153","Internally discussed with EMP and Fam regarding additional research and consultation with the Marina","0","","1.2","0","1","15","2016-10-25 16:18:42","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("767","16","0","2016-09-23 00:00:00","56","Reviewed contracts re: reassignment of GDS Link Asia employees to GDS Global","0","","4","0","1","16","2016-10-25 16:18:59","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("768","15","0","2016-07-04 00:00:00","9","Made telephone call to Ms. Yayie of Republic to inquire on status of our request for CAR documents for Cities transaction. ","0","","0.8","0","1","15","2016-10-25 16:23:27","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("769","16","0","2016-10-05 00:00:00","163","Performed Other Service: VL","0","","8","0","1","16","2016-10-25 16:42:23","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("770","16","0","2016-10-07 00:00:00","143","Examined Resolution of CTA 3rd Div dated September 5, 2016","2500","","2","5000","1","16","2016-10-25 16:43:30","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("771","16","0","2016-10-07 00:00:00","143","Wrote email update to Atty. Golda re: Sep. 5 Resolution","0","","1","0","1","16","2016-10-25 16:43:54","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("772","16","0","2016-10-07 00:00:00","11","Reviewed TA Oil files in preparation for hearing on October 10, 2016/prepared cross-examination questions for BIR witness Teresita Villamor","0","","5","0","1","16","2016-10-25 16:45:08","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("773","16","0","2016-10-12 00:00:00","85","Drafted letters-request for amendment of TGP CARs/examined CARs for errors","0","","4","0","1","16","2016-10-25 16:46:07","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("774","16","0","2016-10-12 00:00:00","141","Drafted Joint Stipulation of Facts and Issues","2500","","3","7500","1","16","2016-10-25 16:46:44","16","2016-10-25 16:46:56","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("775","16","0","2016-10-12 00:00:00","65","Internally discussed with EMP re: RFM matters (Philtown bad debts issue, shelf rentals/sales discounts and allowances issue)","0","","1","0","1","16","2016-10-25 16:47:30","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("776","16","0","2016-10-14 00:00:00","80","Drafted Amendment Agreements for various HEABS OpCos/updated schedules","0","","5","0","1","16","2016-10-25 16:48:10","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("777","16","0","2016-10-14 00:00:00","11","Drafted TA Oil Manifestation re: rebuttal evidence","0","","1.5","0","1","16","2016-10-25 16:48:35","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("778","16","0","2016-10-14 00:00:00","143","Researched on RMC 54-2014, NIRC 112(C) ","2500","","2","5000","1","16","2016-10-25 16:49:11","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("779","16","0","2016-10-20 00:00:00","11","Drafted Manifestation re: surety bond extension/examined surety bond issued by Liberty Insurance","0","","2.5","0","1","16","2016-10-25 16:52:38","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("780","18","0","2016-10-13 00:00:00","106","Drafted affidavit of Declaration on Current Year\'s Gross Income","2500","","0.5","1250","1","18","2016-10-26 10:46:29","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("781","19","0","2016-10-18 00:00:00","166","Researched on consequence or effect of optional conversion of preferred shares to common shares and SEC opinions on the said matter.","0","","1","0","1","19","2016-10-26 10:47:48","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("782","18","0","2016-10-15 00:00:00","142","Drafted Motion for Commissioning of ICPA ","2500","","3","7500","1","18","2016-10-26 10:48:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("783","18","0","2016-10-15 00:00:00","142","Reviewed of BIR files.","0","","2","0","1","18","2016-10-26 10:49:15","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("784","19","0","2016-10-19 00:00:00","166","Internally discussed with EMP on pre-clearance with respect to the reclassification of common shares to preferred shares.","0","","0.5","0","1","19","2016-10-26 10:49:35","19","2016-10-26 10:50:09","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("785","18","0","2016-10-15 00:00:00","142","Drafted Pre-Trial Brief","0","","4","0","1","18","2016-10-26 10:51:36","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("786","19","0","2016-10-19 00:00:00","166","Internally discussed with SLP on the pre-clearance with respect to the reclassification of common shares to preferred shares.","0","","0.25","0","1","19","2016-10-26 10:51:53","","","1","11:15:00","11:30:00","8");
INSERT INTO file_billing_tbl VALUES("787","18","0","2016-10-15 00:00:00","142","Drafted Judicial Affidavit of Apple Malapad","2500","","4","10000","1","18","2016-10-26 10:52:08","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("788","18","0","2016-10-15 00:00:00","80","Drafted letter to BOI (updated list of Singaporean Affiliates)","0","","2","0","1","18","2016-10-26 10:52:48","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("789","18","0","2016-10-15 00:00:00","149","Wrote email to client","3500","","0.5","1750","1","18","2016-10-26 10:53:20","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("790","18","0","2016-10-15 00:00:00","149","Drafted request to amend CAR","3500","","1","3500","1","18","2016-10-26 10:53:42","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("791","19","0","2016-10-19 00:00:00","166","Examined SEC documentary requirements for the reclassification of common shares to preferred shares.","0","","0.5","0","1","19","2016-10-26 10:53:55","","","1","11:30:00","12:00:00","5");
INSERT INTO file_billing_tbl VALUES("792","16","0","2016-10-26 00:00:00","85","Internally discussions with Ariel re: correction of Sarah Ongsun CARs","0","","0.4","0","1","16","2016-10-26 10:57:56","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("793","16","0","2016-10-26 00:00:00","85","Wrote email to GVF re: originals of Sarah Ongsun CARs","0","","0.3","0","1","16","2016-10-26 10:58:13","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("794","16","0","2016-10-26 00:00:00","158","Internally discussed with Ms. Lyn re: GANV TTRA","3000","","0.3","900","1","16","2016-10-26 10:58:28","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("795","19","0","2016-10-19 00:00:00","166","Traveled to SEC for the pre-clearance of reclassification of common shares to preferred shares.","0","","4","0","1","19","2016-10-26 10:59:18","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("796","19","0","2016-10-20 00:00:00","166","Internally discussed with EMP on SEC\'s comment on the documentary requirements for the reclassification of common shares to preferred shares. ","0","","0.5","0","1","19","2016-10-26 11:01:56","19","2016-10-26 11:02:19","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("797","19","0","2016-10-20 00:00:00","166","Examined documentary requirements for the reclassification of common shares to preferred shares.","0","","0.25","0","1","19","2016-10-26 11:04:03","","","1","03:15:00","03:30:00","5");
INSERT INTO file_billing_tbl VALUES("798","19","0","2016-10-21 00:00:00","166","Traveled to SEC satellite office at Robinsons Galleria for the pre-clearance of documentary requirements on reclassification of common shares to preferred shares. ","0","","4","0","1","19","2016-10-26 11:08:00","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("799","16","0","2016-10-26 00:00:00","158","Internally discussed with EMP re: GANV TTRA requirements","3000","","0.25","750","1","16","2016-10-26 11:21:50","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("800","19","0","2016-10-25 00:00:00","166","Followed-up work at SEC satellite office Robinsons Galleria for the pre-clearance of documentary requirements on reclassification of common shares to preferred shares.","0","","4","0","1","19","2016-10-26 11:22:12","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("801","15","0","2016-07-25 00:00:00","140","Revised table of schedules and deadlines for client\'s update","2500","","1.1","2750","1","15","2016-10-26 13:30:18","15","2016-11-07 17:22:12","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("802","15","0","2016-08-02 00:00:00","140","Drafted pre-trial bried and judicial affidavit of the ICPA","2500","","2.8","7000","1","15","2016-10-26 13:31:15","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("803","15","0","2016-08-03 00:00:00","140","Traveled to Hedcor, Inc. office at NAC tower to meet regarding pre-trial and judicial affidavits","0","","4.5","0","1","15","2016-10-26 13:33:38","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("804","15","0","2016-08-01 00:00:00","140","Drafted ALM\'s judicial affidavit. Include review of case records. ","0","","2.9","0","1","15","2016-10-26 13:34:20","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("805","15","0","2016-08-03 00:00:00","140","Revised and reviewed drafts of PTB and judicial affidavits and motion to set case for commissioner\'s hearing. ","0","","2.5","0","1","15","2016-10-26 13:35:13","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("806","15","0","2016-08-04 00:00:00","140","further revision of ALM\'s judicial affidavit. ","0","","1.8","0","1","15","2016-10-26 13:37:56","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("807","15","0","2016-08-05 00:00:00","140","further revised and reviewed pre-trial documents as per client\'s and emp\'s comments. supervised review, reproduction and arrangement of exhibits. ","0","","4.6","0","1","15","2016-10-26 13:38:29","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("808","15","0","2016-08-05 00:00:00","140","Supervised filing of pre-trial documents","0","","3.2","0","1","15","2016-10-26 13:39:35","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("809","15","0","2016-08-08 00:00:00","140","Wrote email to Richard Querido regarding pre-trial and commissioning schedule. Coordinated with Mr. Querido on the drafting and execution of his judicial affidavit (consolidated entry) ","0","","2.8","0","1","15","2016-10-26 13:41:19","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("810","15","0","2016-08-11 00:00:00","140","Attended at trial/hearing for pre-trial and motioning for commissioning of ICPA","0","","5.4","0","1","15","2016-10-26 13:45:32","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("811","15","0","2016-08-22 00:00:00","140","Revised and reviewed JSF drafted by RHO. ","0","","1.3","0","1","15","2016-10-26 13:46:31","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("812","15","0","2016-08-19 00:00:00","140","Internally discussed with RHO regarding coordination with BIR lawyer and drafting of Joint Stipulation of Facts (JSF) ","0","","1","0","1","15","2016-10-26 13:47:14","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("813","15","0","2016-08-24 00:00:00","140","Revised draft of JSF for signing and filing. Supervised filing of JSF. ","0","","2","0","1","15","2016-10-26 13:48:22","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("814","15","0","2016-09-21 00:00:00","140","Reviewed Motion for Early Resolution of Jurisdiction filed by the BIR for purposes of drafting Comment","0","","1","0","1","15","2016-10-26 13:50:39","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("815","15","0","2016-09-23 00:00:00","140","Drafted Comment and Opposition to Motion for Early Resolution. Include research of applicable laws, jurisprudence and regulations. ","2500","","4.4","11000","1","15","2016-10-26 13:51:42","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("816","15","0","2016-09-26 00:00:00","140","Drafted and finalized compliance to court order to file ICPA report. Coordinated with Mr. Querido in securing copies of the ICPA report. Supervised filing of ICPA report. ","0","","3.5","0","1","15","2016-10-26 13:53:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("817","15","0","2016-09-27 00:00:00","140","Internally discussed with EMP the draft Comment to the jurisdictional challenge. Include time spent on additional research of jurisprudence and revisions based on EMP\'s comments. Include composing of email to client attaching draft Comment explaining background of case. ","0","","5.4","0","1","15","2016-10-26 13:55:46","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("818","15","0","2016-10-03 00:00:00","140","Revised further the draft Comment as per EMP\'s review. ","0","","2","0","1","15","2016-10-26 14:01:57","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("819","15","0","2016-10-04 00:00:00","140","Final revision of Comment and supervised filing of comment","0","","2.5","0","1","15","2016-10-26 14:07:40","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("820","15","0","2016-09-29 00:00:00","140","Attended at trial/hearing CTA for marking of exhibits","0","","3","0","1","15","2016-10-26 14:13:57","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("821","15","0","2016-07-08 00:00:00","153","Revised and proofread Opinion including additional revisions to the quick-look table. ","0","","1.5","0","1","15","2016-10-26 14:23:48","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("822","15","0","2016-07-05 00:00:00","153","Researched on additional BIR rulings. Further revision on opinion draft. ","0","","1.2","0","1","15","2016-10-26 14:42:50","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("823","15","0","2016-07-05 00:00:00","58","Wrote email to Mike Garcia regarding approval of capital increase. Coordinated with client on DST payment","0","","1.2","0","1","15","2016-10-26 14:44:20","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("824","15","0","2016-07-07 00:00:00","19","Drafted secretary\'s certificate for Nancy Cabuhat case","0","","0.8","0","1","15","2016-10-26 15:10:17","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("825","15","0","2016-07-07 00:00:00","128","Performed Other Service: coordinated with LHAI\'s Jonah Togueno regarding BOC requirements","0","","1","0","1","15","2016-10-26 15:27:32","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("826","15","0","2016-07-07 00:00:00","80","Performed Other Service: coordinated with BOI and SEC on updating the list of affiliates","0","","1.2","0","1","15","2016-10-26 15:30:56","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("827","15","0","2016-07-07 00:00:00","58","Drafted letter requesting update on the request for ruling re preferred tax treatment filed for Seahedge. ","0","","1","0","1","15","2016-10-26 15:36:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("828","15","0","2016-07-08 00:00:00","58","Performed Other Service: prepared for reporting and writing class. reporting and writing class. ","0","","3.8","0","1","15","2016-10-26 15:37:45","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("829","15","0","2016-07-08 00:00:00","153","Internally discussed with EMP and Fam regarding final revisions and changes to the opinion","0","","1.3","0","1","15","2016-10-26 15:38:27","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("830","15","0","2016-07-12 00:00:00","58","Performed Other Service: Coordinated with Alvin Tan of MBG to obtain documentary requirements for filing of administrative claim for refund of excess taxes paid. ","0","","2.1","0","1","15","2016-10-26 16:02:34","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("831","15","0","2016-07-11 00:00:00","45","Performed Other Service: drafted email reply to ACI on status of request for ruling on tax-deferred status of assignment of shares. ","0","","0.5","0","1","15","2016-10-26 17:31:56","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("832","15","0","2016-10-26 00:00:00","64","Drafted SPA in favor Catherine Batucan to process CAR for Bacolod properties. ","0","","0.8","0","1","15","2016-10-26 17:32:42","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("833","15","0","2016-07-11 00:00:00","120","Reviewed CIR\'s Comment to Omnibus Motion to Admit Supplemental Petition","2500","","0.8","2000","1","15","2016-10-26 17:40:43","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("834","16","0","2016-10-27 00:00:00","158","Internally discussed with Ms. Lyn re GANV TTRA","3000","","0.3","900","1","16","2016-10-27 12:06:45","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("835","16","0","2016-10-27 00:00:00","158","Examined documents transmitted by Nisce for GANV TTRA","3000","","0.5","1500","1","16","2016-10-27 12:06:59","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("836","16","0","2016-10-27 00:00:00","11","Supervised preparation of filing copies of Motion for Extension/FOE","0","","0.5","0","1","16","2016-10-27 12:07:28","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("837","16","0","2016-10-27 00:00:00","163","Internally discussed with EMP re: MOA/Agreement to Buy and Sell (Maginhawa restaurant)","0","","0.3","0","1","16","2016-10-27 12:07:50","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("838","16","0","2016-10-27 00:00:00","97","Performed Other Service: transcribed Oct 11 meeting notes","2500","","1","2500","1","16","2016-10-27 12:08:08","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("839","16","0","2016-10-27 00:00:00","163","Wrote email to Dr. Zuellig re CMI DST returns","0","","0.3","0","1","16","2016-10-27 12:08:33","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("840","16","0","2016-10-27 00:00:00","163","Made telephone call to iManila re: email account/office 365","0","","1.2","0","1","16","2016-10-27 12:08:59","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("841","16","0","2016-10-27 00:00:00","163","Internally discussed with SLP, MAC and RHO re: Christmas party and Christmas giveaways","0","","1.5","0","1","16","2016-10-27 13:28:15","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("842","12","0","2016-10-27 00:00:00","134","Reviewed of various contracts","0","","1.3","0","1","12","2016-10-27 14:20:32","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("843","12","0","2016-10-27 00:00:00","80","Wrote email to Eduardo Santiago","0","","0.3","0","1","12","2016-10-27 14:21:12","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("844","12","0","2016-10-27 00:00:00","19","Email to Mrs. Santiago","0","","0.2","0","1","12","2016-10-27 14:22:43","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("845","12","0","2016-10-27 00:00:00","146","Performed Other Service - signing of Treasurer\'s Affidavit","0","","0.2","0","1","12","2016-10-27 14:23:15","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("846","15","0","2016-09-12 00:00:00","63","Traveled to HMDC and met with Atty. Allen and EMP to discuss drafting of opinion on why HPI crushing and grinding is not covered by an MPP. ","0","","3.2","0","1","15","2016-10-27 16:02:11","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("847","15","0","2016-09-09 00:00:00","9","Traveled to HMDC and met with Atty. Allen and EMP to discuss drafting of opinion on why HPI crushing and grinding is not covered by an MPP. ","0","","3.2","0","1","15","2016-10-27 16:02:59","15","2016-10-27 16:05:31","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("848","15","0","2016-09-09 00:00:00","9","Reviewed materials, industry journals, jurisprudence and laws pertaining to the nature and issuance of MPPs. ","0","","3.5","0","1","15","2016-10-27 16:04:07","15","2016-10-27 16:05:44","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("849","15","0","2016-09-09 00:00:00","9","Drafted initial memorandum on application of MPP to the cement industry","0","","2.4","0","1","15","2016-10-27 16:04:50","15","2016-10-27 16:06:03","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("850","15","0","2016-09-13 00:00:00","9","continued writing memorandum on application of MPP to the cement industry.","0","","2.8","0","1","15","2016-10-27 16:07:03","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("851","15","0","2016-09-08 00:00:00","9","Traveled to HMDC office to discuss drafting of position paper on inclusion of crushing and grinding in the MPP requirement","0","","3.8","0","1","15","2016-10-27 16:07:52","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("852","15","0","2016-09-15 00:00:00","9","Internally discussed with EMP, JLL and RHO, initial draft of the MPP memorandum","0","","3.1","0","1","15","2016-10-27 16:10:48","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("853","15","0","2016-09-15 00:00:00","9","Reviewed and revised RHO\'s inputs on the MPP memorandum ","0","","1.5","0","1","15","2016-10-27 16:12:54","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("854","15","0","2016-09-19 00:00:00","9","Traveled to HMDC office to discuss and live edit draft MPP with Atty. Allen, EMP and Mike Cabalda","0","","3.5","0","1","15","2016-10-27 16:14:00","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("855","15","0","2016-09-20 00:00:00","9","Reviewed and revised MPP memorandum substantially according to Mike Cabalda\'s comments.","0","","2.4","0","1","15","2016-10-27 16:16:09","15","2016-10-27 16:16:28","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("856","15","0","2016-09-21 00:00:00","9","Drafted transmittal letter to the DENR secretary","0","","0.5","0","1","15","2016-10-27 16:17:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("857","15","0","2016-09-21 00:00:00","9","Internally discussed with RHO and EMP inclusion of definition of terms for MPP memorandum. Research on what differentiates metallurgical work from quarry work. ","0","","2.1","0","1","15","2016-10-27 16:18:40","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("858","15","0","2016-09-21 00:00:00","9","Internally discussed final draft of memorandum with EMP and RHO before transmitting execution copy to client. ","0","","1.2","0","1","15","2016-10-27 16:19:59","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("859","15","0","2016-10-27 00:00:00","64","Drafted SPA for Cathy Batucan as per Jon Fernandez\' request. Include revision for additional info and emailing of draft to client. ","0","","0.8","0","1","15","2016-10-28 11:26:32","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("860","15","0","2016-10-27 00:00:00","163","Internally discussed with Associates about the christmas party and the christmas basket giveaway","0","","1.5","0","1","15","2016-10-28 11:27:18","","","2","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("861","15","0","2016-10-27 00:00:00","153","Internally discussed with EMP and RHO additional SEC requirement of Marina certification for capital reclassifcation.","0","","0.8","0","1","15","2016-10-28 11:28:34","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("862","15","0","2016-10-27 00:00:00","153","Reviewed and revised RHO\'s letter to MARINA requesting certification. Include internal discussion with RHO and EMP.","0","","1.5","0","1","15","2016-10-28 11:29:22","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("863","15","0","2016-10-27 00:00:00","153","Review of FEATI documents for initial draft of memorandum","0","","2.8","0","1","15","2016-10-28 11:33:25","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("864","15","0","2016-10-25 00:00:00","63","Internally discussed with EMP and JLL on pending spin-off matters","0","","1.5","0","1","15","2016-10-28 11:41:30","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("865","15","0","2016-10-25 00:00:00","63","Review of draft of pending contracts and updated status of contracts for email to client","0","","1.2","0","1","15","2016-10-28 11:42:34","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("866","15","0","2016-10-25 00:00:00","66","Followed-up with Micha of HMDC regarding any comments on pending contracts and coordinated regarding finalization and execution","0","","0.8","0","1","15","2016-10-28 11:43:38","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("867","15","0","2016-10-25 00:00:00","18","Performed Other Service: instructed staff to request and collate FEATI TSN since 2014. ","0","","0.5","0","1","15","2016-10-28 13:43:44","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("868","15","0","2016-10-25 00:00:00","153","Internally discussed with EMP and RHO re status of SEC filing and pending requirements, if any","0","","1","0","1","15","2016-10-28 13:44:37","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("869","15","0","2016-10-21 00:00:00","19","Attended Annual Stockholders\' meeting at FEATI University. ","0","","4","0","1","15","2016-10-28 13:54:18","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("870","15","0","2016-10-21 00:00:00","142","Reviewed pre-trial documents for filing. Internal discussion with MAC in preparation for pre-trial conference","2500","","1.7","4250","1","15","2016-10-28 13:56:44","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("871","15","0","2016-10-21 00:00:00","19","Internally discussed with RHO regarding drafting of FEATI and RPMC minutes. ","0","","1","0","1","15","2016-10-28 14:00:53","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("872","15","0","2016-10-28 00:00:00","18","Drafted initial memorandum","0","","2.5","0","1","15","2016-10-28 14:27:24","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("873","15","0","2016-10-28 00:00:00","163","Revised HO billing on MPP opinion","0","","0.8","0","1","15","2016-10-28 14:27:46","","","2","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("874","15","0","2016-10-28 00:00:00","58","Performed Other Service: Lawyer\'s Lunch","0","","2","0","1","15","2016-10-28 14:28:14","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("875","16","0","2016-11-02 00:00:00","56","Drafted Sec Cert and Minutes for GDS Global (opening of Chinabank account)","0","","2.2","0","1","16","2016-11-02 10:37:33","16","2016-11-22 11:14:02","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("876","16","0","2016-11-02 00:00:00","56","Wrote email to directors of GDS Global re: Chinabank account minutes and Sec Cert","0","","0.5","0","1","16","2016-11-02 10:37:52","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("877","16","0","2016-11-02 00:00:00","158","Drafted Certificate of No Pending Case (GPHC)","3000","","0.75","2250","1","16","2016-11-02 11:31:04","16","2016-11-22 11:14:18","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("878","16","0","2016-11-02 00:00:00","158","Wrote email to Atty. Sonny Nisce re: GPHC Certificate of No Pending Case","3000","","0.5","1500","1","16","2016-11-02 11:31:22","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("879","16","0","2016-11-02 00:00:00","11","Discussed with Ms. Lyn/supervised revision of Motion for Extension of Time to File Comment on FOE","0","","0.5","0","1","16","2016-11-02 11:31:59","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("880","16","0","2016-11-02 00:00:00","85","Drafted email to Atty. Annaleah and Atty. Gilbert Millado re Sarah Ongsun\'s corrected CARs / sent draft email to GVF","0","","0.6","0","1","16","2016-11-02 11:37:25","16","2016-11-22 11:14:38","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("881","16","0","2016-11-02 00:00:00","158","Performed Other Service: reviewed CGT return previously filed/supervised preparation of amended CGT return for GANV.","3000","","0.5","1500","1","16","2016-11-02 14:42:52","16","2016-11-02 14:42:59","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("882","16","0","2016-11-02 00:00:00","85","Examined documents for registration of TGP land","0","","1.25","0","1","16","2016-11-02 14:43:22","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("883","16","0","2016-11-02 00:00:00","97","Received telephone call from Lily Gonzales of Fortman Cline re aquaculture village project","2500","","0.2","500","1","16","2016-11-02 14:44:53","16","2016-11-02 14:56:38","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("884","16","0","2016-11-02 00:00:00","85","Made telephone call to SEC re TGP foundation (admission of new members)","0","","0.5","0","1","16","2016-11-02 14:55:43","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("885","16","0","2016-11-02 00:00:00","85","Wrote email to GVF re: TGP foundation (admission of new members)","0","","0.5","0","1","16","2016-11-02 14:56:14","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("886","12","0","2016-10-18 00:00:00","166","Internal routing Certification, directors cert., cert. of amendment of AOI","0","","0.1","0","1","21","2016-11-03 09:48:43","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("887","12","0","2016-10-18 00:00:00","144","Internal routing notarized sec cert","0","","0.1","0","1","21","2016-11-03 09:49:08","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("888","12","0","2016-10-21 00:00:00","141","Internal routing Order dtd 10-4-16\n","0","","0.1","0","1","21","2016-11-03 09:49:54","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("889","12","0","2016-10-21 00:00:00","5","Internal routing Order dtd 10-10-16\n","0","","0.1","0","1","21","2016-11-03 09:51:05","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("890","12","0","2016-10-21 00:00:00","155","Internal routing GIS 2016\n","6000","","0.1","600","1","21","2016-11-03 09:51:40","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("891","12","0","2016-10-21 00:00:00","120","Internal routing minute resolution 10-17-2016\n","0","","0.1","0","1","21","2016-11-03 09:52:06","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("892","12","0","2016-10-24 00:00:00","142","Internal routing Pre-Trial Brief\n","0","","0.1","0","1","21","2016-11-03 09:52:45","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("893","12","0","2016-10-24 00:00:00","149","Internal routing transmittal of CAR\n","0","","0.1","0","1","21","2016-11-03 09:53:09","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("894","12","0","2016-10-26 00:00:00","5","Internal routing Respondent\'s FOE\n","0","","0.1","0","1","21","2016-11-03 09:55:53","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("895","12","0","2016-10-26 00:00:00","81","Internal routing Sec cert.\n","0","","0.1","0","1","21","2016-11-03 10:03:42","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("896","12","0","2016-10-26 00:00:00","81","Internal routing Filed preferential tax of Ma. Cecilia Dela Torre to BIR &amp; Transmitted to Ms. Jigs\n","0","","0.1","0","1","21","2016-11-03 10:04:07","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("897","12","0","2016-10-26 00:00:00","166","Internal routing AOI &amp; By-Laws, treasurers affidavit, Marina indorsement, check\n","0","","0.1","0","1","21","2016-11-03 10:04:39","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("898","12","0","2016-10-26 00:00:00","81","Internal routing Letter to Atty. Marjorie Samaniego of BOI \n","0","","0.1","0","1","21","2016-11-03 10:05:15","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("899","17","0","2016-10-16 00:00:00","143","Drafted Motion for Reconsideration for Project Cancer","2500","","7","17500","1","17","2016-11-04 09:01:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("900","17","0","2016-10-16 00:00:00","144","Drafted Secretary\'s Certificate for VSI","0","","0.5","0","1","17","2016-11-04 09:02:36","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("901","17","0","2016-10-16 00:00:00","94","Drafted Formal Offer Evidence for Hedcor 9080 ","2500","","2","5000","1","17","2016-11-04 09:03:46","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("902","17","0","2016-10-16 00:00:00","63","Wrote email to EMP re status report","0","","0.67","0","1","17","2016-11-04 09:04:59","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("903","17","0","2016-10-17 00:00:00","92","Drafted letter to Assumption Antipolo","2500","","1","2500","1","17","2016-11-04 09:05:35","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("904","17","0","2016-10-18 00:00:00","9","Drafted letter to Lafarge for Project Cities re: Computation of Surcharges","0","","1.5","0","1","17","2016-11-04 09:06:46","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("905","17","0","2016-10-18 00:00:00","143","Added discussion of RMC No. 54-2014 to the Motion for Reconsideration","2500","","0.5","1250","1","17","2016-11-04 09:07:51","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("906","17","0","2016-10-18 00:00:00","163","Drafted memo on ICC application","0","","1","0","1","17","2016-11-04 09:10:45","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("907","17","0","2016-10-18 00:00:00","144","Started to draft VSI Minutes","0","","4","0","1","17","2016-11-04 09:11:26","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("908","17","0","2016-10-18 00:00:00","9","Drafted/finalized letter to Lafarge re: Surcharges","0","","1","0","1","17","2016-11-04 09:12:11","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("909","17","0","2016-10-18 00:00:00","19","Drafted minutes of FEATI","0","","2","0","1","17","2016-11-04 09:12:43","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("910","17","0","2016-10-19 00:00:00","9","Researched on RR-4-2008","0","","0.5","0","1","17","2016-11-04 09:13:35","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("911","17","0","2016-10-19 00:00:00","19","Continue drafting FEATI minutes ","0","","2","0","1","17","2016-11-04 09:14:07","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("912","17","0","2016-10-19 00:00:00","9","Went to RDO 39 to follow-up CAR application","0","","3.5","0","1","17","2016-11-04 09:15:25","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("913","17","0","2016-10-24 00:00:00","144","Drafted/finalized Secretary\'s Certificate for VSI on bank signatories","0","","2.5","0","1","17","2016-11-04 09:16:25","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("914","17","0","2016-10-24 00:00:00","82","Researched on retirement law rules","0","","3.5","0","1","17","2016-11-04 09:16:54","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("915","17","0","2016-10-24 00:00:00","9","Revised/updated table on CAR applications with discussions with EMP","0","","1.5","0","1","17","2016-11-04 09:17:39","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("916","17","0","2016-10-25 00:00:00","82","Made further discussion with RHO re: retirement rules and emailed GVF","0","","1","0","1","17","2016-11-04 09:18:35","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("917","17","0","2016-10-25 00:00:00","9","Went to RDO 39 to check on CAR application SCCC shares","0","","3.5","0","1","17","2016-11-04 09:19:17","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("918","17","0","2016-10-25 00:00:00","146","Attended meeting with Genshi Shigekawa","3000","","1","3000","1","17","2016-11-04 09:19:49","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("919","17","0","2016-10-26 00:00:00","163","Wrote email to Ronnie Cruz re: Art Personas Financial Statements","0","","0.25","0","1","17","2016-11-04 09:20:43","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("920","17","0","2016-10-26 00:00:00","9","Went to RDO 39 to check on CAR application (SCCC shares transfer)","0","","3.5","0","1","17","2016-11-04 09:21:35","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("921","17","0","2016-10-26 00:00:00","163","Went with EMP to Caritas Manila Concert","0","","3.5","0","1","17","2016-11-04 09:22:19","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("922","17","0","2016-10-27 00:00:00","146","Wrote email to Gemma Merin re: Shea Mira opening of TITF account","3000","","0.25","750","1","17","2016-11-04 09:23:15","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("923","17","0","2016-10-27 00:00:00","146","Prepared Treasurer\'s Affidavit for Shea Mira","3000","","1","3000","1","17","2016-11-04 09:24:11","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("924","17","0","2016-10-27 00:00:00","89","Drafted TCI Comment to the Motion for Reconsideration of Llarena","2500","","7.5","18750","1","17","2016-11-04 09:24:47","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("925","17","0","2016-10-28 00:00:00","63","Traveled to Batangas to file letter to CENRO Calaca","0","","8","0","1","17","2016-11-04 09:25:36","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("926","16","0","2016-11-03 00:00:00","163","Performed Other Service: sick leave","0","","8","0","1","16","2016-11-04 10:25:05","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("927","16","0","2016-11-03 00:00:00","158","Wrote email to EMP re: amended CGT return for GANV","3000","","0.5","1500","1","16","2016-11-04 10:25:39","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("928","16","0","2016-11-03 00:00:00","159","Wrote email to GVF re: Sustento GIS","0","","0.3","0","1","16","2016-11-04 10:26:29","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("929","16","0","2016-11-04 00:00:00","159","Wrote email to GVF re: Sustento GIS","0","","0.3","0","1","16","2016-11-04 10:27:21","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("930","16","0","2016-11-04 00:00:00","158","Wrote email to EMP re: amended CGT return of GANV","3000","","0.5","1500","1","16","2016-11-04 10:27:45","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("931","16","0","2016-11-04 00:00:00","163","Researched on Cyprus-Ph Tax Treaty for EMP","0","","0.3","0","1","16","2016-11-04 10:28:38","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("932","15","0","2016-07-11 00:00:00","163","Performed Other Service: Meeting with Tina to discuss procedure for providing notary services to client, protocol regarding notarial books and collection and distribution of notarial fees","0","","1.5","0","1","15","2016-11-06 16:50:33","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("933","15","0","2016-07-11 00:00:00","19","Reviewed JLL\'s draft of the Secretary\'s certificates on opening of Land Bank account and representation for the Nancy Cabuhat case","0","","1.2","0","1","15","2016-11-06 16:52:03","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("934","15","0","2016-07-11 00:00:00","120","Examined and reviewed Comment/Opposition filed by the BIR to the Motion to Admit Supplemental Petition for Review. Discussed with EMP and MAC regarding drafting of Reply","2500","","2.1","5250","1","15","2016-11-06 16:54:50","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("935","15","0","2016-07-11 00:00:00","59","Conferred with Conferred with with Alvin Tan of Seahedge regarding request for documentary requirements for filing of admin claim for refund for seahedge overpayment of FWT.","2500","","1.2","3000","1","15","2016-11-06 16:58:34","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("936","15","0","2016-07-12 00:00:00","63","Conferred with EMP and RAB regarding next steps for the request for ruling on tax-deferred status of Holcim spin-off. Include drafting of BIR Letter request ","0","","2.1","0","1","15","2016-11-06 17:00:48","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("937","15","0","2016-07-12 00:00:00","45","Conferred with EMP and RAB regarding next steps on the request for ruling of tax-deferred status of the Big@St. Ig. property in exchange for shares transaction. Include drafting of letter request to BIR for status update","0","","1.2","0","1","15","2016-11-06 17:02:00","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("938","15","0","2016-07-12 00:00:00","59","Internally discussed with GVF and intern regarding reckoning period for the prescription on the filing of admin claims for refund","2500","","1.2","3000","1","15","2016-11-06 17:14:13","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("939","15","0","2016-07-12 00:00:00","66","Revised LHAI Supply Agreement on pricing and annex C. ","0","","0.8","0","1","15","2016-11-06 17:26:26","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("940","15","0","2016-07-12 00:00:00","66","Internally discussed with EMP regarding LHAI Supply Agreement revisions","0","","0.8","0","1","15","2016-11-06 17:39:33","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("941","15","0","2016-07-13 00:00:00","66","Revised LHA Supply Agreement after further instructions from EMP. ","0","","0.7","0","1","15","2016-11-06 17:53:23","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("942","15","0","2016-07-13 00:00:00","66","Wrote email to Kat Mamba attaching the revised LHAI Supply Agreement","0","","0.5","0","1","15","2016-11-06 17:57:18","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("943","15","0","2016-07-13 00:00:00","59","Wrote email to GVF on research regarding reckoning period of prescription for filing of admin claim","2500","","0.5","1250","1","15","2016-11-06 18:02:28","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("944","15","0","2016-07-13 00:00:00","59","Performed Other Service Performed Other Service: Coordinated with Alvin Tan of MBG to obtain documentary requirements for filing of administrative claim for refund of excess taxes paid.","0","","1","0","1","15","2016-11-06 18:03:34","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("945","15","0","2016-07-13 00:00:00","19","Performed Other Service: Updated EMP on the status of contracts sent b FEATI for review and requested secretary\'s certificates","0","","0.8","0","1","15","2016-11-06 18:05:17","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("946","15","0","2016-07-13 00:00:00","19","Internally discussed with JLL on the drafting of two more additional secretary\'s certificate i.e. EFPS filing and Richard Janer labor case. Reviewed drafts.","0","","1.5","0","1","15","2016-11-06 18:07:20","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("947","15","0","2016-07-13 00:00:00","19","Reviewed final drafts of MOAs with ClearSkies and Dwightsteel Corp before sending to client","0","","1.5","0","1","15","2016-11-06 18:09:47","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("948","15","0","2016-07-13 00:00:00","59","Performed Other Service: compiled documentary requirements for filing of admin claim for refund. Include further coordination with Alvin Tan of Seahedge to inquire on status of requested proof of withholding from seller. ","2500","","1.2","3000","1","15","2016-11-06 18:11:34","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("949","15","0","2016-07-14 00:00:00","147","Received telephone call from EMP regarding instructions on the EPI memorandum. ","3000","","0.5","1500","1","15","2016-11-06 18:16:19","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("950","15","0","2016-07-14 00:00:00","147","Read Email from EMP attaching draft opinion. Reviewed draft opinion to update myself on status of project and topic of pending inquiry to the ERC. ","0","","1.6","0","1","15","2016-11-06 18:19:47","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("951","15","0","2016-07-14 00:00:00","147","Traveled to ERC to request for further information or copies of regulations/rulngs pertaining to the FIT requirements and whether a previous or subsequent PPA with private entity is ground for disqualification. ","3000","","3.8","11400","1","15","2016-11-06 18:23:50","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("952","15","0","2016-07-14 00:00:00","147","Revised draft opinion to include results of consultation with ERC. ","0","","1","0","1","15","2016-11-06 18:24:29","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("953","15","0","2016-07-14 00:00:00","147","Internally discussed with EMP and MAC regarding consultation with ERC. ","0","","0.8","0","1","15","2016-11-06 18:25:20","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("954","15","0","2016-07-14 00:00:00","59","Made telephone call to Alvin Tan of Seahedge to inquire regarding status of documents requested from San Miguel Corp. ","2500","","0.5","1250","1","15","2016-11-06 18:28:51","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("955","15","0","2016-07-15 00:00:00","59","Internally discussed with RAB regarding issue with SMC\'s inability to provide a 2306 specific to Seahedge\'s transactions since shares are lodged with the depositary, Deutsche. The 2306 wil pertain to all transctions made by depository so there is no proof of specific withholding. ","2500","","1.1","2750","1","15","2016-11-06 18:31:57","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("956","15","0","2016-07-15 00:00:00","59","Drafted Letter of Refund and emailed the draft to GVF and RAB for review. ","0","","1.2","0","1","15","2016-11-06 18:33:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("957","15","0","2016-07-15 00:00:00","59","Wrote email to Alvin Tan of Seahedge based ondiscussion with RAB. Requested for SMC\'s 1604E which indicate all income payments subject to WT. Include further exchange of emails with Mr. Tan confirming if a certification from Deutsche will suffice. ","0","","1.3","0","1","15","2016-11-06 18:35:50","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("958","15","0","2016-07-15 00:00:00","58","Performed Other Service: prepared table of pending ruling requests with the BIR Legal Division as per EMP\'s request","0","","0.6","0","1","15","2016-11-06 18:36:56","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("959","15","0","2016-07-15 00:00:00","81","Revised Confirmation of Completeness","0","","0.5","0","1","15","2016-11-06 18:37:39","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("960","15","0","2016-07-15 00:00:00","147","Reviewed latest draft of opinion to update myself on any changes","3000","","0.7","2100","1","15","2016-11-06 18:39:16","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("961","15","0","2016-07-15 00:00:00","163","Performed Other Service: writing session with Janet","0","","2.1","0","1","15","2016-11-06 18:45:23","15","2016-11-06 18:46:40","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("962","15","0","2016-07-15 00:00:00","163","Performed Other Service: Lawyers\' Lunch","0","","1.2","0","1","15","2016-11-06 18:45:44","15","2016-11-06 18:46:58","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("963","15","0","2016-07-18 00:00:00","9","Read Email from Rikki Guevarra re CAR for transfer of APC shares. Forwarded email to Joy for docketing. ","0","","0.5","0","1","15","2016-11-06 19:04:42","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("964","15","0","2016-07-18 00:00:00","64","Read Email from Micha Lingan regarding request for sec cert on opening of government bank accounts and request for latest amended GIS","0","","0.5","0","1","15","2016-11-06 19:06:21","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("965","15","0","2016-07-18 00:00:00","19","Wrote email to Lani Diaceno regarding request for original AOI and BL. Forwarded request to Joy with instructions to obtain first copy of articles and BL without amendments as per request. ","0","","0.7","0","1","15","2016-11-06 19:08:48","15","2016-11-06 19:10:46","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("966","15","0","2016-07-18 00:00:00","58","Read Email from Alvin Tan requesting for board resolutions authorizing the use of the name MBG. Draft board resolutions and secretary\'s certificates for GVF\'s review and signature. ","0","","1.2","0","1","15","2016-11-06 19:12:22","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("967","15","0","2016-07-18 00:00:00","59","Read Email from Alvin Tan confirming actual date of withholding and payment of FWT for Seahedge declaration of dividends. Emailed information to GVF and RAB. ","2500","","0.6","1500","1","15","2016-11-06 19:13:59","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("968","15","0","2016-07-18 00:00:00","64","Internally discussed with intern regarding drafting of sec certs reflecting board resolutions on HMDC group treasury memoranda. ","0","","0.6","0","1","15","2016-11-06 19:16:42","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("969","15","0","2016-07-19 00:00:00","64","Reviewed and revised sec certs drafted by intern on the HMDC group treasury memoranda","0","","1.3","0","1","15","2016-11-06 19:26:44","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("970","15","0","2016-07-19 00:00:00","140","Performed Other Service: updated table on status of cases for reporting to client. ","2500","","0.6","1500","1","15","2016-11-06 19:33:33","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("971","15","0","2016-07-19 00:00:00","58","Reviewed and revised draft sec certs based on GVF\'s comments and revisions","0","","0.5","0","1","15","2016-11-06 19:35:20","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("972","15","0","2016-07-19 00:00:00","58","Drafted update email to Mike Garcia on status of seahedge\'s admin claim for refund. ","0","","0.5","0","1","15","2016-11-06 19:36:25","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("973","15","0","2016-07-19 00:00:00","19","Revised drafts of MOAs for EMP\'s final review. ","0","","0.7","0","1","15","2016-11-06 19:37:40","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("974","15","0","2016-07-19 00:00:00","13","Internally discussed with EMP regarding Roliva liquidation. Drafted minutes authorizing liquidation and executor. ","3000","","1.3","3900","1","15","2016-11-06 19:41:30","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("975","15","0","2016-07-19 00:00:00","137","Performed Other Service: further revisions on table  on status of cases as per EMP\'s instructions.","2500","","0.6","1500","1","15","2016-11-06 19:43:32","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("976","15","0","2016-07-19 00:00:00","58","Reviewed final drafts of resolution and secretary\'s certificates for transmittal to client","0","","0.7","0","1","15","2016-11-06 19:49:07","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("977","15","0","2016-07-19 00:00:00","63","Drafted letter-request for admin claim for GVF and RAB\'s review","0","","1.5","0","1","15","2016-11-06 20:12:59","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("978","15","0","2016-07-20 00:00:00","63","Revised and reviewed the BIR letter requesting for update on status of ruling request","0","","0.6","0","1","15","2016-11-06 20:14:46","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("979","15","0","2016-07-20 00:00:00","45","Revised and reviewed the BIR letter requesting for update on status of ruling request","0","","0.5","0","1","15","2016-11-06 20:21:01","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("980","15","0","2016-07-20 00:00:00","13","Reviewed and revised UHCH sec cert to include appoint of attorney-in-fact","3000","","0.7","2100","1","15","2016-11-06 20:22:02","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("981","15","0","2016-07-20 00:00:00","9","Read Email from Rhodora Celira of Republic regarding the updates from the BIR on the CAR applications for the previous transfers for cities assets.","0","","0.5","0","1","15","2016-11-06 20:34:43","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("982","15","0","2016-07-20 00:00:00","59","Conferred with Alvin Tan in relation to additional details requested by Deutsche for issuance of certification on the fact of withholding (consolidated entry throughout the day)","2500","","1.2","3000","1","15","2016-11-06 22:29:23","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("983","15","0","2016-07-20 00:00:00","9","Reviewed table of CAR applications and requirements revised by JLL.","0","","0.6","0","1","15","2016-11-06 22:31:57","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("984","15","0","2016-07-20 00:00:00","14","Reviewed Letter received from BIR denying request for abatement","0","","0.8","0","1","15","2016-11-06 22:33:14","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("985","15","0","2016-07-20 00:00:00","64","Reviewed revised corp sec certificates based on HMDC group treasury memoranda for execution","0","","0.7","0","1","15","2016-11-06 22:41:06","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("986","15","0","2016-07-20 00:00:00","63","Drafted cover letter for BIR Ruling request letter update","0","","0.4","0","1","15","2016-11-06 22:48:38","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("987","15","0","2016-07-20 00:00:00","163","Performed Other Service: meeting with Tina re librarian","0","","0.5","0","1","15","2016-11-06 22:50:30","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("988","15","0","2016-07-20 00:00:00","14","Internally discussed with EMP regarding denial of request for abatement","0","","1","0","1","15","2016-11-06 22:52:43","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("989","15","0","2016-07-21 00:00:00","139","Traveled to CTA for commissioner\'s hearing","2500","","4.1","10250","1","15","2016-11-06 23:11:05","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("990","15","0","2016-07-21 00:00:00","14","Researched on cases for preliminary draft of second motion for reconsideration","0","","1.5","0","1","15","2016-11-06 23:12:26","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("991","16","0","2016-11-07 00:00:00","39","Attended trial/hearing at RTC Makati Br. 132","100","","3.5","350","1","16","2016-11-07 12:07:48","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("992","16","0","2016-11-07 00:00:00","163","Revised VLAP-FIFASCI memo on loan/advances","0","","4.5","0","1","16","2016-11-07 12:15:15","16","2016-11-22 11:13:27","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("993","15","0","2016-07-22 00:00:00","163","Performed Other Service Lawyer\'s lunch and writing session.","0","","3.1","0","1","15","2016-11-07 17:18:37","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("994","15","0","2016-07-25 00:00:00","64","Wrote email to Jon Fernandez\' email responding to his question regarding lease agreement btween HPI and HMDC","0","","0.5","0","1","15","2016-11-07 17:21:34","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("995","15","0","2016-07-22 00:00:00","80","Examined ownership structure of HEAB to check if HMDC group was included in the diagram","0","","0.5","0","1","15","2016-11-07 17:24:21","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("996","15","0","2016-07-25 00:00:00","137","Revised JLL\'s draft memorandum ","2500","","1.5","3750","1","15","2016-11-07 17:25:28","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("997","15","0","2016-07-25 00:00:00","80","Researched for rules on whether the HEAB can provide interim service for an already divested affiliate","0","","1","0","1","15","2016-11-07 17:26:59","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("998","15","0","2016-07-25 00:00:00","14","Researched and drafted second motion for reconsideration.","0","","2.1","0","1","15","2016-11-07 17:28:11","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("999","15","0","2016-07-25 00:00:00","64","Drafted secretary\'s certficates for HMDC group on opening of bank accounts","0","","1.3","0","1","15","2016-11-07 17:29:15","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1000","15","0","2016-07-26 00:00:00","14","Revised draft second motion for reconsideration as per EMP\'s comments","0","","1.2","0","1","15","2016-11-07 17:32:25","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1001","15","0","2016-07-26 00:00:00","64","Revised secretary\'s certificates on opening of bank accounts","0","","0.8","0","1","15","2016-11-07 17:34:04","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1002","15","0","2016-07-26 00:00:00","9","Wrote email to and communicated with Yayie of Republic regarding lacking documents for new CAR applications.","0","","1.2","0","1","15","2016-11-07 17:36:32","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1003","15","0","2016-07-26 00:00:00","147","Researched on additional FIT regulatory question from client. CW with EMP and MAC re research results and revision of opinion","3000","","1.4","4200","1","15","2016-11-07 17:38:45","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1004","15","0","2016-07-26 00:00:00","59","Wrote email to Alvin Tan on status of requested copies of 1604CF and certifications as documentary requirements for admin claim for refund (consolidated entry)","2500","","1.2","3000","1","15","2016-11-07 17:41:54","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1005","15","0","2016-07-27 00:00:00","64","Drafted secretary\'s certificates for HMDC group in the opening of government accounts","0","","1.2","0","1","15","2016-11-07 17:44:59","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1006","15","0","2016-07-27 00:00:00","64","Internally discussed with EMP regarding pending corp sec work for HMDC group","0","","0.6","0","1","15","2016-11-07 17:45:19","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1007","15","0","2016-07-27 00:00:00","19","Wrote email to Laina Esquerra of Feati after internal discusison with EMP on whether the 2015 GIS can be filed based on tentative annual income tax return. ","0","","1","0","1","15","2016-11-07 17:47:33","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1008","15","0","2016-07-27 00:00:00","163","Performed Other Service: answered and submitted writing exercises to Janet","0","","0.8","0","1","15","2016-11-07 17:49:39","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1009","15","0","2016-07-27 00:00:00","64","Revised secretary\'s certificates on government mandated opening of accounts to reflect per resolution and not per corporation","0","","1.2","0","1","15","2016-11-07 17:50:36","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1010","15","0","2016-07-27 00:00:00","136","Internally discussed with MAC regarding decision of CTA to disallow some exhibits. ID with EMP aftewards","2500","","1.6","4000","1","15","2016-11-07 17:53:12","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1011","15","0","2016-07-27 00:00:00","19","Wrote email to EMP after reading Mrs. Segovia\'s email regarding submission of FEATI\'s updated GIS and that the GIS cannot be updated because FEATI has not yet submitted its FS since 2014","0","","1","0","1","15","2016-11-07 17:55:37","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1012","15","0","2016-07-27 00:00:00","19","Internally discussed with EMP on pending corp sec items","0","","0.8","0","1","15","2016-11-07 17:56:26","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1013","15","0","2016-07-28 00:00:00","80","Revised GIS for HEAB removing Ms. Piangskol as officer. Drafted certificate authorizing retirement plan signatory","0","","1.2","0","1","15","2016-11-07 17:57:49","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1014","15","0","2016-07-28 00:00:00","163","Performed Other Service: Attended TMAP seminar in Makati Diamond Residence","0","","3.8","0","1","15","2016-11-07 17:59:22","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1015","15","0","2016-08-01 00:00:00","163","Performed Other Service: Lawyer\'s Lunch; reporting and writing class","0","","3.5","0","1","15","2016-11-07 18:00:44","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1016","12","0","2016-11-08 00:00:00","18","Internal routing MOTEX Memorandum\n","0","","0.1","0","1","21","2016-11-08 17:13:35","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1017","12","0","2016-11-08 00:00:00","63","Internal routing Letter to CENRO Januel Peras dtd 10/25/16\n","0","","0.1","0","1","21","2016-11-08 17:17:19","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1018","12","0","2016-11-08 00:00:00","142","Internal routing Minute resolution\n","0","","0.1","0","1","21","2016-11-08 17:18:28","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1019","12","0","2016-11-08 00:00:00","94","Internal routing FOE\n","0","","0.1","0","1","21","2016-11-08 17:18:54","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1020","12","0","2016-11-08 00:00:00","18","Internal routing Respondent\'s MOTEX Memorandum \n","0","","0.1","0","1","21","2016-11-08 17:19:19","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1021","12","0","2016-11-08 00:00:00","136","Internal routing notice of resolution 10/24/16\n","0","","0.1","0","1","21","2016-11-08 17:19:42","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1022","12","0","2016-11-08 00:00:00","94","Internal routing Respondent\'s Comment\n","0","","0.1","0","1","21","2016-11-08 17:20:09","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1023","12","0","2016-11-08 00:00:00","81","Internal routing Sworn statement of Reywen Delos Reyes\n","0","","0.1","0","1","21","2016-11-08 17:20:40","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1024","16","0","2016-11-08 00:00:00","81","Internally discussed with EMP re: Ed Santiago\'s query on Holderfin BV and Holcim Lanka","0","","0.4","0","1","16","2016-11-08 17:41:53","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1025","16","0","2016-11-08 00:00:00","85","Reviewed documents/drafted letter to Registry of Deeds of Paranaque (TGP Land)","0","","1.75","0","1","16","2016-11-08 17:42:26","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1026","18","0","2016-10-18 00:00:00","155","Drafted General Information Sheet 2016","3000","","2","6000","1","18","2016-11-09 09:07:57","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1027","18","0","2016-10-18 00:00:00","142","Revise Pre-Trial Brief","2500","","2","5000","1","18","2016-11-09 09:08:41","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1028","18","0","2016-10-18 00:00:00","142","Revise Judicial Affidavit of Apple Malapad","2500","","2","5000","1","18","2016-11-09 09:09:07","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1029","18","0","2016-10-19 00:00:00","120","Traveled to Court of Tax Appeals (Quezon City)","2500","","2","5000","1","18","2016-11-09 09:10:21","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1030","18","0","2016-10-19 00:00:00","120","Attended Commissioner\'s Hearing ","0","","2","0","1","18","2016-11-09 09:10:55","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1031","18","0","2016-10-19 00:00:00","142","Revise Pre-Trial Brief","2500","","2","5000","1","18","2016-11-09 09:11:26","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1032","18","0","2016-10-19 00:00:00","142","Revise Judicial Affidavit of Apple Malapad","0","","2","0","1","18","2016-11-09 09:14:48","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1033","18","0","2016-10-20 00:00:00","142","Revise Pre-trial Brief","2500","","2","5000","1","18","2016-11-09 09:15:14","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1034","18","0","2016-10-20 00:00:00","142","Revise Judicial Affidavit of Apple Malapad","0","","3","0","1","18","2016-11-09 09:17:02","18","2016-11-09 09:17:56","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1035","18","0","2016-10-20 00:00:00","142","Drafted Judicial Affidavit of Emmanuel Mendoza","0","","3","0","1","18","2016-11-09 09:17:28","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1036","18","0","2016-10-21 00:00:00","142","Revise Pre-Trial Brief","2500","","2","5000","1","18","2016-11-09 09:18:44","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1037","18","0","2016-10-21 00:00:00","142","Revise Judicial Affidavit of Apple Malapad","0","","2","0","1","18","2016-11-09 09:19:11","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1038","18","0","2016-10-21 00:00:00","142","Drafted Judicial Affidavit of Emmanuel Mendoza","0","","3","0","1","18","2016-11-09 09:19:41","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1039","18","0","2016-10-21 00:00:00","142","Supervised filing of of Pre-Trial Brief and Prepared Exhibits","0","","2","0","1","18","2016-11-09 09:51:43","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("1040","18","0","2016-10-24 00:00:00","163","Reviewed of case assignment","0","","0.5","0","1","18","2016-11-09 10:00:04","","","2","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1041","18","0","2016-10-24 00:00:00","120","Wrote email to Ms. Ada Aquino","2500","","0.5","1250","1","18","2016-11-09 10:01:44","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1042","18","0","2016-10-24 00:00:00","134","Drafted Minutes of Meeting.","100","","1.5","150","1","18","2016-11-09 10:02:13","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1043","18","0","2016-10-24 00:00:00","134","Drafted Director\'s Certificate","100","","1.5","150","1","18","2016-11-09 10:02:38","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1044","18","0","2016-10-25 00:00:00","120","Traveled to Hedcor Office","2500","","1.5","3750","1","18","2016-11-09 10:13:37","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1045","18","0","2016-10-25 00:00:00","120","Attended meeting with Ms. Charisse Bacurio","0","","1.5","0","1","18","2016-11-09 10:14:00","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1046","18","0","2016-10-26 00:00:00","134","meeting with Mr. Matt Ashe","100","","1","100","1","18","2016-11-09 10:14:34","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1047","18","0","2016-10-26 00:00:00","120","Traveled to Court of Tax Appeals (QC)","2500","","2","5000","1","18","2016-11-09 10:14:55","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1048","18","0","2016-10-26 00:00:00","120","Attended Hearing at CTA","2500","","2","5000","1","18","2016-11-09 10:15:27","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1049","18","0","2016-10-27 00:00:00","142","Traveled to Court of Tax Appeals","2500","","2","5000","1","18","2016-11-09 10:20:37","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1050","18","0","2016-10-27 00:00:00","142","Attended Pre-Trial","0","","2","0","1","18","2016-11-09 10:21:04","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1051","18","0","2016-10-27 00:00:00","142","Wrote email to Client for update","0","","0.5","0","1","18","2016-11-09 10:21:32","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1052","18","0","2016-10-27 00:00:00","80","Drafted Memo on legal effects of divestment of interest in affiliate company.","0","","3","0","1","18","2016-11-09 10:23:02","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1053","18","0","2016-10-27 00:00:00","80","Revise diagram on the ownership structure of HEAB ROHQ","0","","1","0","1","18","2016-11-09 10:23:29","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1054","15","0","2016-08-01 00:00:00","80","Revised HEAB diagram to include HMDC group. Revised GIS to reflect new officers and additional affiliates. ","0","","1.2","0","1","15","2016-11-09 12:43:13","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1055","15","0","2016-08-02 00:00:00","80","Reviewed final drafts of diagram and GIS before filing. ","0","","0.6","0","1","15","2016-11-09 12:57:31","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1056","15","0","2016-08-02 00:00:00","58","Performed Other Service. prepared and supervised filing of DST return and payment of tax for MBG increase in ACS","0","","2.5","0","1","15","2016-11-09 12:59:02","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1057","15","0","2016-08-02 00:00:00","140","Internally discussed with EMP regarding denial of MR to admit excluded evidence. Drafted Motion to Admit Exhibits","2500","","2.8","7000","1","15","2016-11-09 14:11:28","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1058","15","0","2016-08-08 00:00:00","136","Conferred with EMP regarding status of Hedcor cases particularly pending ones like Taurus. ","2500","","0.8","2000","1","15","2016-11-09 14:20:11","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1059","15","0","2016-08-10 00:00:00","147","Traveled to Shangri-La BGC to meet with Emerging Power lawyers to discuss pending issue. ","3000","","3.8","11400","1","15","2016-11-09 14:21:57","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1060","15","0","2016-08-10 00:00:00","147","Reviewed opinion to prepare for meeting with Emerging Power.","0","","0.7","0","1","15","2016-11-09 14:23:16","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1061","15","0","2016-08-10 00:00:00","66","Internally discussed with EMP re status of pending contracts","0","","0.6","0","1","15","2016-11-09 14:26:05","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1062","15","0","2016-08-10 00:00:00","13","Revised Roliva/UCHC minutes based on client\'s comments","3000","","0.5","1500","1","15","2016-11-09 14:26:33","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1063","15","0","2016-08-10 00:00:00","58","Drafted sec certs and minutes for MBG Capital and EIFI on authority to use MBG name for GVF review","0","","1.5","0","1","15","2016-11-09 14:28:36","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1064","15","0","2016-08-10 00:00:00","64","Internally discussed with Joy regarding updates to HMDC group\'s GIS; complied with Ms. Cabangon\'s request for LORVI GIS; studied if change of address requires amendment of articles","0","","1","0","1","15","2016-11-09 14:42:24","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1065","15","0","2016-08-12 00:00:00","64","Internally discussed with EMP and MAC regarding pending AOI amendments for HMDC; also discussed amendments of GIS to reflect change of address","0","","1.3","0","1","15","2016-11-09 14:45:58","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1066","15","0","2016-08-12 00:00:00","64","Drafted corp sec certs for remaining items in the HMDC Group treasury memoranda. ","0","","1.5","0","1","15","2016-11-09 14:57:37","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1067","15","0","2016-08-12 00:00:00","163","Traveled to Shangri-La Makati to attend seminar on the Phil. Competition Act","0","","3.8","0","1","15","2016-11-09 14:59:07","","","2","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1068","15","0","2016-08-15 00:00:00","58","Revised MBG GIS to reflect changes in ACS and MBG EIFI to reflect changes in director composition","0","","1","0","1","15","2016-11-09 15:23:19","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1069","18","0","2016-10-25 00:00:00","167","Drafted memo on remedies to wipe out trade payables/deficit.","0","","3.5","0","1","18","2016-11-09 17:38:53","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1070","18","0","2016-10-26 00:00:00","167","Drafted memo on remedies to wipe out trade payables/deficit.","0","","5","0","1","18","2016-11-09 17:39:53","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1071","16","0","2016-11-09 00:00:00","163","Performed Other Service: attended Accounting for Non-Accountants seminar","0","","8.33333","0","1","16","2016-11-09 19:36:26","","","1","09:00:00","17:20:00","11");
INSERT INTO file_billing_tbl VALUES("1072","16","0","2016-11-09 00:00:00","124","Internally discussed with GVF and EMP: remedies against PMCAI, Supalai, Petron","3000","","1","3000","1","16","2016-11-09 19:36:51","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1073","12","0","2016-11-10 00:00:00","63","Reviewed various Deed of Assignment and status report","0","","0.3","0","1","12","2016-11-10 14:35:52","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1074","12","0","2016-11-08 00:00:00","166","Internal Discussion with Richelle Orpilla","0","","0.2","0","1","12","2016-11-10 14:38:08","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1075","12","0","2016-11-08 00:00:00","166","Wrote email to Michelle Basco","0","","0.3","0","1","12","2016-11-10 14:38:37","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1076","12","0","2016-11-08 00:00:00","166","Internally discussed with Richelle","0","","0.1","0","1","12","2016-11-10 14:45:43","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1077","12","0","2016-11-08 00:00:00","166","Made telephone call to Ms. Subido-Amatong of SEC","0","","0.2","0","1","12","2016-11-10 14:46:22","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1078","12","0","2016-11-08 00:00:00","166","Internally discussed with Richelle","0","","0.1","0","1","12","2016-11-10 14:46:47","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1079","12","0","2016-11-10 00:00:00","166","Internally discussed with Richelle","0","","0.1","0","1","12","2016-11-10 14:47:41","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1080","12","0","2016-11-10 00:00:00","166","Made telephone call to SEC - Ms. Subido-Amatong","0","","0.2","0","1","12","2016-11-10 14:47:59","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1081","12","0","2016-11-10 00:00:00","19","Reviewed of Minutes of Meeting","0","","0.2","0","1","12","2016-11-10 14:51:03","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1082","12","0","2016-11-10 00:00:00","19","Made telephone call to Fritz Segovia and discussion with SLP","0","","0.3","0","1","12","2016-11-10 14:51:32","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1083","12","0","2016-11-10 00:00:00","9","Internally discussed with Maki re ACC assessment","0","","0.3","0","1","12","2016-11-10 14:55:15","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1084","12","0","2016-11-11 00:00:00","80","Wrote Opinion on Service to HSL","0","","1.5","0","1","12","2016-11-11 23:31:24","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("1085","12","0","2016-11-11 00:00:00","88","Conferred with Mr. Kim","6000","","1.2","7200","1","12","2016-11-11 23:32:16","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1086","12","0","2016-11-11 00:00:00","66","Drafted Various Assignment Agreements and Status Table with email to client","0","","1.2","0","1","12","2016-11-11 23:33:33","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1087","12","0","2016-11-09 00:00:00","64","Wrote email to Kitten and Directors","0","","0.3","0","1","12","2016-11-11 23:34:43","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1088","12","0","2016-11-09 00:00:00","81","Internally discussed with Maki re Thusitha[s query on Malaysia withholding tax","0","","0.3","0","1","12","2016-11-11 23:37:29","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1089","12","0","2016-11-09 00:00:00","81","Wrote email to thusitha re RP-MLAYSIA TAX","0","","0.5","0","1","12","2016-11-11 23:38:28","","","0","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1090","12","0","2016-11-14 00:00:00","124","Reviewed of files and documents","6000","","0.45","2700","1","12","2016-11-15 12:40:11","","","0","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1091","12","0","2016-11-14 00:00:00","124","Conferred with client","0","","1.5","0","1","12","2016-11-15 12:40:36","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1092","12","0","2016-11-14 00:00:00","64","Wrote email to Directors re time of Dec 2 meeting; email to Kitten re Notices of Meeting","0","","0.5","0","1","12","2016-11-15 12:41:18","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1093","12","0","2016-11-14 00:00:00","144","Wrote email to Ms. Carina Go","0","","0.3","0","1","12","2016-11-15 12:42:04","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1094","12","0","2016-11-14 00:00:00","166","Wrote email to Ms. Basco","0","","0.2","0","1","12","2016-11-15 12:42:43","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1095","12","0","2016-11-14 00:00:00","163","Conferred with  Sam, Nikki, Tina, Gary","0","","3","0","1","12","2016-11-15 12:43:28","","","2","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1096","12","0","2016-11-14 00:00:00","104","Received telephone call from Sharon","6000","","0.5","3000","1","12","2016-11-15 12:44:13","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("1097","12","0","2016-11-15 00:00:00","81","Revising Opinion to Thusitha","0","","2.8","0","1","12","2016-11-15 12:44:48","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("1098","12","0","2016-11-15 00:00:00","166","Internally discussed with Richelle re pending SEC application","0","","0.2","0","1","12","2016-11-15 12:45:24","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1099","12","0","2016-11-15 00:00:00","24","Wrote letter to Mrs. Santiago","0","","0.1","0","1","12","2016-11-15 12:45:45","","","1","00:00:00","00:00:00","9");
INSERT INTO file_billing_tbl VALUES("1100","12","0","2016-11-15 00:00:00","64","Drafted minutes and notices","0","","1","0","1","12","2016-11-15 13:57:46","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1101","16","0","2016-11-16 00:00:00","124","Drafted demand letter to PMCAI and Supalai","0","","3","0","1","16","2016-11-17 10:11:16","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1102","16","0","2016-11-16 00:00:00","124","Drafted Director\'s Certificate","0","","1","0","1","16","2016-11-17 10:11:24","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1103","16","0","2016-11-16 00:00:00","97","Internally discussed with EMP, SLP and RHO re Aquavillage","2500","","0.75","1875","1","16","2016-11-17 10:11:57","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1104","16","0","2016-11-16 00:00:00","81","Internally discussed with EMP and RHO re: query on data privacy","0","","0.75","0","1","16","2016-11-17 10:12:27","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1105","16","0","2016-11-16 00:00:00","124","Internally discussed with EMP and MAC re: Branch Profits Remittance Tax query","3000","","0.75","2250","1","16","2016-11-17 10:12:55","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1106","16","0","2016-11-16 00:00:00","124","Made telephone call to Lea Molino re: signing of Director\'s Certificate","3000","","0.2","600","1","16","2016-11-17 10:13:31","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1107","16","0","2016-11-16 00:00:00","40","Revised/finalized CAC and CAHC Minutes and Sec Cert shortening corporate term","100","","1","100","1","16","2016-11-17 10:14:02","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1108","16","0","2016-11-16 00:00:00","99","Wrote email to Pau Villarosa re: birth certificate affidavit of Ms. Chan","2500","","0.2","500","1","16","2016-11-17 10:14:52","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1109","16","0","2016-11-16 00:00:00","39","Revised/finalized and emailed draft of Joint Stipulation of Facts to Atty Labra","100","","1","100","1","16","2016-11-17 10:15:52","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1110","16","0","2016-11-15 00:00:00","163","Sick Leave","0","","8","0","1","16","2016-11-17 10:16:22","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1111","16","0","2016-11-14 00:00:00","163","Sick Leave","0","","8","0","1","16","2016-11-17 10:16:45","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1112","16","0","2016-11-15 00:00:00","39","Drafted Joint Stipulation of Facts","100","","3","300","1","16","2016-11-17 10:17:13","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1113","16","0","2016-11-15 00:00:00","39","Made telephone call to RTC Makati Br 132","100","","0.3","30","1","16","2016-11-17 10:17:26","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1114","16","0","2016-11-17 00:00:00","97","Made telephone call to BFAR re: Aquavillage Project","2500","","0.4","1000","1","16","2016-11-17 11:08:46","16","2016-11-17 11:08:52","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1115","16","0","2016-11-17 00:00:00","97","Made telephone call to NWRB re: Aquavillage Project","2500","","0.3","750","1","16","2016-11-17 11:09:09","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1116","16","0","2016-11-17 00:00:00","97","Researched on fishpond permits, licenses","2500","","1.3","3250","1","16","2016-11-17 11:09:28","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1117","16","0","2016-11-17 00:00:00","141","Traveled to CTA for Commissioner\'s Hearing","2500","","1","2500","1","16","2016-11-17 11:17:02","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1118","16","0","2016-11-17 00:00:00","141","Attended Commissioner\'s Hearing","2500","","1.5","3750","1","16","2016-11-17 11:17:36","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("1119","12","0","2016-11-10 00:00:00","120","Internal routing Order dtd 10.26.16\n","0","","0.1","0","1","21","2016-11-18 09:52:44","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1120","12","0","2016-11-10 00:00:00","63","Internal routing Letter to CENRO Januel Peras dtd 10/25/16\n","0","","0.1","0","1","21","2016-11-18 09:53:18","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1121","12","0","2016-11-16 00:00:00","80","Internal routing Letter to SEC from BOI\n","0","","0.1","0","1","21","2016-11-18 09:53:57","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1122","12","0","2016-11-16 00:00:00","143","Internal routing MOTEX to file Comment\n","0","","0.1","0","1","21","2016-11-18 09:54:31","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1123","17","0","2016-11-02 00:00:00","86","Reviewed BAI letters to Igusol and requested Ignasi to provide supporting documents","2500","","1","2500","1","17","2016-11-18 15:56:37","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1124","17","0","2016-11-02 00:00:00","134","Sent email to EMP re: ICC Memo","100","","0.25","25","1","17","2016-11-18 15:59:03","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1125","17","0","2016-11-02 00:00:00","87","Drafted letter to BAI re: Pro-Vet\'s complaint","2500","","5","12500","1","17","2016-11-18 16:53:38","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1126","17","0","2016-11-03 00:00:00","9","Traveled to RDO 39 to follow-up issuance of CAR","0","","3.5","0","1","17","2016-11-18 16:54:24","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1127","17","0","2016-11-03 00:00:00","87","Drafted letter to BAI requesting for 10 days within which to file reply to Pro-Vet\'s complaint","2500","","1","2500","1","17","2016-11-18 16:55:22","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1128","17","0","2016-11-03 00:00:00","134","Drafted short email re: ICC application","100","","0.5","50","1","17","2016-11-18 16:56:16","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1129","17","0","2016-11-03 00:00:00","163","Prepared liquidation","0","","2.5","0","1","17","2016-11-18 16:56:57","17","2016-11-21 09:30:29","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1130","17","0","2016-11-04 00:00:00","19","Wrote email to Sam re: FEATI Board Resolution and Secretary\'s Certificate for High School offer","0","","0.25","0","1","17","2016-11-18 16:59:19","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1131","17","0","2016-11-04 00:00:00","9","Reviewed Project Cities transfer documents and drafted email to EMP","0","","1.5","0","1","17","2016-11-18 16:59:59","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1132","17","0","2016-11-04 00:00:00","9","Went to RDO 39 to follow-up issuance of CAR","0","","3","0","1","17","2016-11-18 17:00:44","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1133","17","0","2016-11-04 00:00:00","9","Updated EMP re: Davao FLAs","0","","0.25","0","1","17","2016-11-18 17:01:37","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1134","17","0","2016-11-06 00:00:00","63","Traveled to Davao to check transfer of FLAs","0","","3","0","1","17","2016-11-18 17:02:20","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1135","17","0","2016-11-06 00:00:00","63","Attended meeting with Ryan Mejillano","0","","2","0","1","17","2016-11-18 17:02:50","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1136","17","0","2016-11-07 00:00:00","63","Attended meeting with Cathy Orella of DENR XI","0","","2","0","1","17","2016-11-18 17:03:45","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1137","17","0","2016-11-07 00:00:00","63","Attended meeting with Perla Guarra of CENRO Davao","0","","2","0","1","17","2016-11-18 17:04:12","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1138","17","0","2016-11-07 00:00:00","63","Attended meeting with Ryan Mejillano and April Militar","0","","2","0","1","17","2016-11-18 17:04:42","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1139","17","0","2016-11-07 00:00:00","63","Traveled back to Manila","0","","5","0","1","17","2016-11-18 17:05:06","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1140","17","0","2016-11-08 00:00:00","9","Updated table on prior transfer","0","","0.75","0","1","17","2016-11-18 17:05:51","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1141","17","0","2016-11-08 00:00:00","82","Researched on valid job contracting","0","","4","0","1","17","2016-11-18 17:06:27","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1142","17","0","2016-11-08 00:00:00","87","Revised letter to BAI","2500","","0.5","1250","1","17","2016-11-18 17:07:09","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1143","17","0","2016-11-09 00:00:00","163","Sick Leave","0","","8","0","1","17","2016-11-18 17:07:47","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1144","17","0","2016-11-10 00:00:00","92","Followed-up work at Assumption Antipolo and drafted email to GVF","2500","","0.25","625","1","17","2016-11-18 17:10:34","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("1145","17","0","2016-11-10 00:00:00","163","Reviewed Benito Ching document for protest","0","","0.75","0","1","17","2016-11-18 17:11:28","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1146","17","0","2016-11-11 00:00:00","163","Attended meeting with EMP","0","","2","0","1","17","2016-11-18 17:12:04","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1147","17","0","2016-11-12 00:00:00","165","Attended Board Meeting of Ayala Greenfields ","0","","9","0","1","17","2016-11-18 17:12:42","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1148","17","0","2016-11-13 00:00:00","87","Reviewed documents and drafted letter to BAI re:  Bai letter dated October 19, 2016","2500","","2.5","6250","1","17","2016-11-18 17:13:31","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1149","17","0","2016-11-11 00:00:00","165","Attended meeting re: burglary at Ayala Greenfields","0","","9","0","1","17","2016-11-18 17:14:10","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1150","17","0","2016-11-14 00:00:00","87","Finalized Igusol\'s response to BAI","2500","","2","5000","1","17","2016-11-18 17:15:08","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1151","17","0","2016-11-14 00:00:00","82","Internally discussed with GVF re:  HEABS concern","0","","0.17","0","1","17","2016-11-18 17:16:20","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1152","17","0","2016-11-14 00:00:00","163","Internally discussed with GVF","0","","2","0","1","17","2016-11-18 17:16:48","","","2","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1153","17","0","2016-11-14 00:00:00","23","Drafted letter to Revenue Region V","0","","1.5","0","1","17","2016-11-18 17:17:17","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1154","17","0","2016-11-15 00:00:00","9","Went to BIR RDO 29","0","","3","0","1","17","2016-11-18 17:18:06","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1155","17","0","2016-11-15 00:00:00","82","Researched on HEABS labor issue re: apprenticeship","0","","3","0","1","17","2016-11-18 17:18:45","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1156","17","0","2016-11-15 00:00:00","86","Researched on VAT tax exemption","2500","","0.5","1250","1","17","2016-11-18 17:19:23","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1157","17","0","2016-11-15 00:00:00","163","(Benito Ching) Drafted supplemental letter to BIR and reviewed additional documents","0","","3","0","1","17","2016-11-18 17:20:15","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1158","12","0","2016-11-18 00:00:00","124","Revise of demand letter","6000","","1.5","9000","1","12","2016-11-18 19:15:33","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1159","12","0","2016-11-18 00:00:00","63","Internally discussed with Jan and Sam re BIR Ruling Revisions","0","","0.5","0","1","12","2016-11-18 19:16:08","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1160","12","0","2016-11-18 00:00:00","134","Reviewed of work of contract MOU with Benchmark Singapore","180","","0.5","90","1","12","2016-11-18 19:16:43","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1161","12","0","2016-11-18 00:00:00","106","Reviewed of work of Badeth - re VAT calculatipn plus interest and penalties; internal discussion with Bobby and Maki; review of emails - Raytheon Matter","0","","0.75","0","1","12","2016-11-18 19:17:39","12","2016-11-18 19:29:53","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1162","12","0","2016-11-17 00:00:00","63","Conferred with Dep. Commissioner Clint Aranas","0","","1.5","0","1","12","2016-11-18 19:18:32","","","0","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1163","12","0","2016-11-17 00:00:00","166","Made telephone call to PICC SEC","0","","1.75","0","1","12","2016-11-18 19:19:22","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1164","12","0","2016-11-17 00:00:00","166","Conferred with SEC Officers re amendment of AOI","0","","1.2","0","1","12","2016-11-18 19:20:01","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1165","12","0","2016-11-17 00:00:00","80","Reviewed of work of various documents re Indonesia Affiliates","0","","0.5","0","1","12","2016-11-18 19:21:23","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1166","12","0","2016-11-17 00:00:00","80","Discuss with Maki and Richelle re table","0","","0.3","0","1","12","2016-11-18 19:21:43","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1167","12","0","2016-11-17 00:00:00","80","Wrote email to Thusitha","0","","0.3","0","1","12","2016-11-18 19:22:07","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1168","12","0","2016-11-17 00:00:00","144","Received telephone call from Carina Go to discuss minutes of meeting","0","","0.5","0","1","12","2016-11-18 19:23:02","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("1169","12","0","2016-11-17 00:00:00","10","Internally discussed with Maki","0","","0.4","0","1","12","2016-11-18 19:23:29","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1170","12","0","2016-11-17 00:00:00","80","Received telephone call from Det Tansinco - re Privacy Issues","0","","0.3","0","1","12","2016-11-18 19:26:25","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("1171","12","0","2016-11-18 00:00:00","163","Performed Other Service - Nayong ng Kabataan","0","","3","0","1","12","2016-11-18 19:29:18","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1172","17","0","2016-11-14 00:00:00","87","Finalized Igusol\'s response to BAI","2500","","2","5000","0","17","2016-11-21 09:23:58","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1173","17","0","2016-11-14 00:00:00","82","Internally discussed with GVF re: HEABS concern","0","","0.17","0","0","17","2016-11-21 09:24:55","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1174","17","0","2016-11-14 00:00:00","163","Internally discussed with GVF","0","","2","0","0","17","2016-11-21 09:25:25","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1175","17","0","2016-11-14 00:00:00","23","Drafted letter to Revenue Region V","0","","1.5","0","0","17","2016-11-21 09:25:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1176","12","0","2016-11-21 00:00:00","63","Internally discussed with Jan and Sam - re status ","0","","0.5","0","1","12","2016-11-21 11:23:10","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1177","12","0","2016-11-21 00:00:00","91","Internally discussed with Dianne - re possible cross examination questions","0","","0.5","0","1","12","2016-11-21 11:24:09","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1178","12","0","2016-11-21 00:00:00","9","Internally discussed with Jan re status of CARs","0","","0.5","0","1","12","2016-11-21 11:25:20","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1179","16","0","2016-11-18 00:00:00","91","Drafted cross-examination questions for RO Abutazil/reviewed files","2500","","3","7500","1","16","2016-11-21 11:27:46","16","2016-11-22 11:09:08","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1180","16","0","2016-11-18 00:00:00","91","Internally discussed with EMP re: cross examination of RO Abutazil","2500","","0.5","1250","0","16","2016-11-21 11:28:03","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1181","16","0","2016-11-18 00:00:00","91","Revised cross examination questions per EMP\'s comments","2500","","0.5","1250","0","16","2016-11-21 11:28:18","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1182","16","0","2016-11-21 00:00:00","91","Internally discussed with EMP re: cross examination of RO Abutazil","0","","0.5","0","1","16","2016-11-21 11:29:17","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1183","16","0","2016-11-21 00:00:00","91","Revised cross examination questions per EMP\'s comments","0","","0.5","0","1","16","2016-11-21 11:29:44","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1184","16","0","2016-11-21 00:00:00","91","Traveled to CTA","0","","1.25","0","1","16","2016-11-21 11:29:54","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1185","16","0","2016-11-21 00:00:00","91","Attended at trial at CTA","0","","2.5","0","1","16","2016-11-21 11:30:11","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("1186","16","0","2016-11-21 00:00:00","124","Revised/finalized Demand Letter to PMCAI and Supalai","3000","","0.3","900","1","16","2016-11-21 11:30:42","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1187","16","0","2016-11-21 00:00:00","124","Received telephone call from Ms. Lyn re: copies of previous demand letters to be attached to new demand letter","0","","0.3","0","1","16","2016-11-22 10:17:21","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("1188","16","0","2016-11-21 00:00:00","91","Drafted status report on hearing","2500","","1","2500","1","16","2016-11-22 10:17:43","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1189","16","0","2016-11-21 00:00:00","91","Examined BIR docket before hearing to prepare for cross examination of RO Abutazil","2500","","1.75","4375","1","16","2016-11-22 10:17:57","16","2016-11-22 10:22:32","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1190","16","0","2016-11-22 00:00:00","65","Internally discussed with EMP re: RFM memo on bad debts","0","","0.2","0","1","16","2016-11-22 10:22:56","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1191","12","0","2016-11-21 00:00:00","63","Conferred with Allen Arbis ","0","","2","0","1","12","2016-11-22 10:35:38","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1192","12","0","2016-11-22 00:00:00","63","Reviewed documents","0","","0.5","0","1","12","2016-11-22 10:37:54","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1193","16","0","2016-11-22 00:00:00","65","Revised RFM memo on bad debts","0","","1","0","1","16","2016-11-22 11:04:25","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1194","16","0","2016-11-17 00:00:00","65","Drafted RFM memo on bad debts/conducted research","0","","4","0","1","16","2016-11-22 11:04:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1195","16","0","2016-11-18 00:00:00","163","Performed Other Service: outreach at DSWD Nayon ng Kabataan","0","","2","0","1","16","2016-11-22 11:08:40","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1196","16","0","2016-11-18 00:00:00","65","Drafted RFM memo on bad debts/conducted research","0","","3","0","1","16","2016-11-22 11:09:23","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1197","16","0","2016-11-10 00:00:00","163","Performed Other Service: Accounting for Non-Accountants","0","","8.5","0","1","16","2016-11-22 11:11:29","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1198","16","0","2016-11-11 00:00:00","163","Accounting for Non-Accountants","0","","8.2","0","1","16","2016-11-22 11:12:11","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1199","16","0","2016-11-04 00:00:00","163","Researched for/drafted VLAP-FIFASCI memo","0","","3","0","1","16","2016-11-22 11:16:44","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1200","16","0","2016-11-04 00:00:00","39","Examined/reviewed files in preparation for Monday\'s Pretrial","100","","2","200","1","16","2016-11-22 11:17:35","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1201","16","0","2016-11-22 00:00:00","99","Drafted Director\'s Indemnity","2500","","0.5","1250","1","16","2016-11-22 11:19:44","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1202","16","0","2016-11-04 00:00:00","65","Researched on capital losses/writing off of investment receivables","0","","2","0","1","16","2016-11-22 11:22:45","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1203","16","0","2016-11-22 00:00:00","81","Researched on Data Privacy/studied HEABS\' query on access to mailboxes","0","","6.3","0","1","16","2016-11-22 11:26:20","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1204","16","0","2016-11-08 00:00:00","124","Examined GIS of PMCAI, Petron Corp. and Supalai","3000","","1","3000","1","16","2016-11-22 11:29:52","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1205","16","0","2016-11-08 00:00:00","65","Researched re: memo on sales discounts and allowances","0","","6","0","1","16","2016-11-22 11:31:56","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1206","12","0","2016-11-22 00:00:00","138","Reviewed of Memorandum","0","","1.5","0","1","12","2016-11-22 15:11:11","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1207","12","0","2016-11-22 00:00:00","80","Reviewed of work of documents from Thusitha; email to Thusitha; internal discussion with Maki","0","","0.7","0","1","12","2016-11-22 15:12:12","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1208","12","0","2016-11-22 00:00:00","168","Wrote letter to bir","0","","0.5","0","1","12","2016-11-22 15:13:01","","","1","00:00:00","00:00:00","9");
INSERT INTO file_billing_tbl VALUES("1209","12","0","2016-11-22 00:00:00","166","Wrote letter to Michelle transmitting AOI, By-laws and stock and transfer books","0","","0.3","0","1","12","2016-11-22 15:14:01","","","1","00:00:00","00:00:00","9");
INSERT INTO file_billing_tbl VALUES("1210","12","0","2016-11-22 00:00:00","163","Performed Other Service","0","","1.5","0","1","12","2016-11-22 15:14:42","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1211","19","0","2016-10-26 00:00:00","166","Internally discussed with EMP and SLP on the SEC\'s comments on pre-clearance of the submitted documents.","0","","0.25","0","1","19","2016-11-23 10:35:03","","","1","10:30:00","10:45:00","8");
INSERT INTO file_billing_tbl VALUES("1212","19","0","2016-10-26 00:00:00","166","Revise documentary requirements for reclassification of shares and incorporated SEC comments.","0","","2.5","0","1","19","2016-11-23 10:37:43","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1213","19","0","2016-10-26 00:00:00","168","Revise draft minutes of annual stockholders\' meeting.","0","","0.5","0","1","19","2016-11-23 10:39:02","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1214","19","0","2016-10-26 00:00:00","140","Drafted motion to set new commissioner\'s hearing for CTA case No. 9218","2500","","0.5","1250","1","19","2016-11-23 10:41:39","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1215","19","0","2016-10-27 00:00:00","166","Wrote letter to MARINA for endorsement in compliance with SEC requirements for re-classification of shares and amendment of Articles of Incorporation and By-laws","0","","0.5","0","1","19","2016-11-23 10:43:41","","","1","00:00:00","00:00:00","9");
INSERT INTO file_billing_tbl VALUES("1216","19","0","2016-10-27 00:00:00","166","Made telephone call to SEC regarding clearance or endorsements from other government agency for amendment of articles of incorporation and by-laws.","0","","0.5","0","1","19","2016-11-23 10:45:15","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1217","19","0","2016-10-26 00:00:00","140","Made telephone call to Court of Tax Appeals First Division for the setting of Commissioner\'s Hearing for CTA Case No. 9218.","2500","","0.25","625","1","19","2016-11-23 10:46:11","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1218","19","0","2016-10-27 00:00:00","166","Traveled to MARINA office at Manila for endorsement regarding amendment of articles of incorporation and by-laws for the reclassification of shares.","0","","4","0","1","19","2016-11-23 10:49:50","","","1","02:00:00","06:00:00","14");
INSERT INTO file_billing_tbl VALUES("1219","19","0","2016-10-28 00:00:00","166","Made telephone call to MARINA (Atty. Fernan Cabral) for follow-up on the endorsement for the amendment of AOI and By-laws.","0","","0.5","0","1","19","2016-11-23 10:51:50","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1220","19","0","2016-10-28 00:00:00","166","Examined documents to be submitted for SEC approval on the reclassification of shares and amendments of AOI and By-laws.","0","","0.5","0","1","19","2016-11-23 10:53:19","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1221","19","0","2016-10-28 00:00:00","166","Traveled to MARINA office at Manila for follow-up and release of endorsement to SEC for the amendment of AOI and by-laws.","0","","2","0","1","19","2016-11-23 10:54:41","19","2016-11-23 10:56:56","1","01:00:00","03:00:00","14");
INSERT INTO file_billing_tbl VALUES("1222","19","0","2016-10-28 00:00:00","166","Traveled to SEC Robinsons Galleria for completion and submission of documentary requirements for approval of reclassification of shares.","0","","3","0","1","19","2016-11-23 10:56:04","","","1","03:00:00","06:00:00","14");
INSERT INTO file_billing_tbl VALUES("1223","19","0","2016-11-11 00:00:00","166","Traveled to SEC Robinsons Galleria for follow-up on approval for the reclassification of shares and amendment of AOI and by-laws.","0","","4","0","1","19","2016-11-23 11:02:24","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1224","19","0","2016-11-14 00:00:00","166","Traveled to SEC Robinsons Galleria for follow-up on approval for the reclassification of shares and amendment of AOI and by-laws.","0","","7","0","1","19","2016-11-23 11:04:29","19","2016-11-23 11:05:01","1","10:00:00","17:00:00","14");
INSERT INTO file_billing_tbl VALUES("1225","19","0","2016-11-16 00:00:00","166","Traveled to SEC Main office at PICC, Pasay to follow-up on the release of certificate of filing amended AOI and by-laws.","0","","4.5","0","1","19","2016-11-23 11:07:45","","","1","09:30:00","14:00:00","14");
INSERT INTO file_billing_tbl VALUES("1226","19","0","2016-11-17 00:00:00","166","Traveled to SEC main office at PICC, Pasay to follow-up on the release of certificate of filing amended AOI and by-laws.","0","","2","0","1","19","2016-11-23 11:10:10","","","1","09:00:00","11:00:00","14");
INSERT INTO file_billing_tbl VALUES("1227","19","0","2016-11-17 00:00:00","166","Traveled to SEC main office at PICC to follow-up on the release of certificate of filing amended AOI and by-laws.","0","","3.5","0","1","19","2016-11-23 11:11:20","","","1","13:30:00","17:00:00","14");
INSERT INTO file_billing_tbl VALUES("1228","19","0","2016-11-18 00:00:00","166","Traveled to SEC main office at PICC to follow-up on the release of certificate of filing amended AOI and by-laws.","0","","1.5","0","1","19","2016-11-23 11:12:31","","","1","09:30:00","11:00:00","14");
INSERT INTO file_billing_tbl VALUES("1229","19","0","2016-11-18 00:00:00","166","Traveled to SEC main office at PICC, Pasay to follow-up the release of certificate of filing amended AOI and by-laws","0","","2","0","1","19","2016-11-23 11:13:42","","","1","15:00:00","17:00:00","14");
INSERT INTO file_billing_tbl VALUES("1230","12","0","2016-11-16 00:00:00","143","Internal routing MOTEX to file Comment\n","0","","0.1","0","1","21","2016-11-23 11:23:06","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1231","12","0","2016-11-08 00:00:00","22","Internal routing Request fo Consideration letter to Dr. Leonida dated 11.15.16\n","0","","0.1","0","1","21","2016-11-23 11:23:38","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1232","16","0","2016-11-23 00:00:00","81","Internally discussed with EMP re: memo on IT access to mailboxes of separated employees","0","","0.5","0","1","16","2016-11-23 11:24:42","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1233","16","0","2016-11-23 00:00:00","81","Researched for memo on IT access to mailboxes of separated employees","0","","1.5","0","1","16","2016-11-23 11:24:59","16","2016-11-23 11:25:32","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1234","16","0","2016-11-23 00:00:00","81","Drafted memo on IT access to mailboxes of separated employees","0","","2","0","1","16","2016-11-23 11:25:10","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1235","16","0","2016-11-23 00:00:00","124","Researched on BPRT query","3000","","5","15000","1","16","2016-11-23 11:26:14","16","2016-11-23 14:48:58","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1236","16","0","2016-10-28 00:00:00","163","Sick Leave","0","","8","0","1","16","2016-11-23 11:34:40","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1237","16","0","2016-10-27 00:00:00","65","Research for and drafting of opinion on the deductibility of shelf rentals and listing fees from gross income for VAT-purposes","0","","3","0","1","16","2016-11-23 11:35:42","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1238","16","0","2016-10-27 00:00:00","65","Research for and drafting of opinion on the possibility of writing-off of uncollectible investment receivable","0","","3","0","1","16","2016-11-23 11:36:00","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1239","16","0","2016-10-26 00:00:00","163","Research for VLAP/FIFASCI issue/studied documents","0","","3","0","1","16","2016-11-23 11:37:12","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1240","16","0","2016-10-26 00:00:00","11","Drafted Motion for Extension of Time to File Comment on FOE","0","","1.25","0","1","16","2016-11-23 11:37:47","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1241","16","0","2016-10-26 00:00:00","11","Drafted Comment on FOE/examined files","0","","4","0","1","16","2016-11-23 11:38:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1242","16","0","2016-10-25 00:00:00","81","Revised/finalized Amendment Agreement to Malaysia SLA","0","","1","0","1","16","2016-11-23 11:39:26","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1243","16","0","2016-10-25 00:00:00","158","Wrote email to Atty. My Pablico re: GANV TTRA documents","3000","","0.3","900","1","16","2016-11-23 11:39:57","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1244","16","0","2016-10-25 00:00:00","158","Examined/reviewed documents for GANV TTRA","3000","","1.5","4500","1","16","2016-11-23 11:40:26","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1245","16","0","2016-10-25 00:00:00","124","Revised opinion/memo on and conducted research for legal remedies available to Alvis for PMCAI/Supalai issue","3000","","2.5","7500","1","16","2016-11-23 11:41:26","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1246","16","0","2016-10-25 00:00:00","11","Examined documents in preparation for drafting of Comment on FOE","0","","3.5","0","1","16","2016-11-23 11:42:23","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1247","12","0","2016-11-18 00:00:00","11","Internal routing Comment/Opposition\n","0","","0.1","0","1","21","2016-11-23 13:04:55","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1248","16","0","2016-11-23 00:00:00","163","GENATO/LANDMART: Revised demand letter to Concorde Condominium","0","","0.5","0","1","16","2016-11-23 14:48:45","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1249","12","0","2016-11-23 00:00:00","91","Internal routing Hearing letter\n","0","","0.1","0","1","21","2016-11-23 17:26:24","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1250","12","0","2016-11-23 00:00:00","81","Internal routing Letter to BOI re updated list of Indonesian affiliates\n","0","","0.1","0","1","21","2016-11-23 17:26:55","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1251","12","0","2016-11-23 00:00:00","17","Internal routing Letter to BIR re Benchmarking notice\n","0","","0.1","0","1","21","2016-11-23 17:27:16","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1252","12","0","2016-11-24 00:00:00","104","Drafted  Revised Loan Agreement and email to Sharon","6000","","2.5","15000","1","12","2016-11-24 09:52:29","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1253","12","0","2016-11-24 00:00:00","10","Conferred with Shirley and Vicky","0","","2","0","1","12","2016-11-24 09:53:03","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1254","12","0","2016-11-23 00:00:00","80","Email to Thusitha - re BOI letter","0","","0.1","0","1","12","2016-11-24 09:53:57","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1255","12","0","2016-11-23 00:00:00","80","Wrote Opinion on Data Privacy","0","","2.5","0","1","12","2016-11-24 09:54:16","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("1256","12","0","2016-11-23 00:00:00","65","Wrote Opinion on Write Off of Promissory Note","0","","2.8","0","1","12","2016-11-24 09:55:29","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("1257","12","0","2016-11-23 00:00:00","163","Conferred with ","6000","","2.5","15000","1","12","2016-11-24 09:57:07","","","2","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1258","12","0","2016-11-23 00:00:00","166","Revising of Subscription Agreement\n","0","","1.5","0","1","12","2016-11-24 10:01:48","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1259","12","0","2016-11-24 00:00:00","9","Meeting with Shirley and Vicky","0","","0.5","0","1","12","2016-11-24 10:03:26","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1260","12","0","2016-11-24 00:00:00","80","Revising of Amendment to SLA","0","","0.75","0","1","12","2016-11-24 14:39:09","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1261","12","0","2016-11-24 00:00:00","104","Conferred with Sharon via whatsapp and viber","0","","0.3","0","1","12","2016-11-24 14:40:00","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1262","12","0","2016-11-24 00:00:00","166","Drafted revised Subscription Agreement","0","","0.8","0","1","12","2016-11-24 19:36:12","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1263","16","0","2016-11-25 00:00:00","124","Revised opinion on reinvestment of branch profits","3000","","3","9000","1","16","2016-11-25 16:46:05","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1264","16","0","2016-11-24 00:00:00","163","Sick Leave","0","","8","0","1","16","2016-11-25 16:46:26","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1265","16","0","2016-11-24 00:00:00","124","Researched on reinvestment of branch profits, constructive branch profits","3000","","3","9000","1","16","2016-11-25 16:47:03","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1266","16","0","2016-11-25 00:00:00","124","Internally discussed with EMP and RHO re: Alvis memo on branch profits","3000","","0.5","1500","1","16","2016-11-25 16:47:23","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1267","16","0","2016-11-25 00:00:00","141","Examined/studied various resolutions issued by the CTA","2500","","1","2500","1","16","2016-11-25 16:47:52","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1268","16","0","2016-11-25 00:00:00","141","Examined/studied Motion for Early Resolution filed by Respondent","2500","","1.5","3750","1","16","2016-11-25 16:48:20","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1269","16","0","2016-11-25 00:00:00","143","Examined/studied various resolutions issued by the CTA","2500","","1","2500","1","16","2016-11-25 16:48:36","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1270","16","0","2016-11-25 00:00:00","143","Examined/studied Respondent\'s Comment on Motion for Reconsideration","2500","","1","2500","1","16","2016-11-25 16:49:08","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1271","16","0","2016-11-25 00:00:00","11","Wrote email to Jong Bautista re: surety bond","0","","0.3","0","1","16","2016-11-25 16:49:28","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1272","16","0","2016-11-25 00:00:00","11","Internally discussed with EMP re: surety bond","0","","0.3","0","1","16","2016-11-25 16:49:40","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1273","16","0","2016-11-25 00:00:00","11","Examined/studied various resolutions issued by the CTA","0","","1","0","1","16","2016-11-25 16:50:17","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1274","16","0","2016-11-25 00:00:00","11","Wrote email to EMP re: memorandum filing","0","","0.3","0","1","16","2016-11-25 16:50:29","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1275","12","0","2016-11-25 00:00:00","124","Revising Opinion","6000","","1.5","9000","1","12","2016-11-28 09:26:13","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("1276","12","0","2016-11-25 00:00:00","64","Conferred with Senen Matoto and Ray Goco","0","","1.75","0","1","12","2016-11-28 09:27:19","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1277","12","0","2016-11-25 00:00:00","64","Drafted revised minutes","0","","1.5","0","1","12","2016-11-28 09:28:04","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1278","12","0","2016-11-25 00:00:00","80","Read Email from and reply to Thusitha - re Australia MSA and BOI requirements","0","","0.2","0","1","12","2016-11-28 09:29:16","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("1279","12","0","2016-11-25 00:00:00","167","Revising of Memo on Merger","0","","1.25","0","1","12","2016-11-28 09:30:23","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1280","16","0","2016-11-28 00:00:00","39","Examined/reviewed files in preparation for pretrial","100","","1.5","150","1","16","2016-11-28 13:23:21","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1281","16","0","2016-11-28 00:00:00","39","Attended pretrial at RTC Makati Br. 132","100","","3.5","350","1","16","2016-11-28 13:23:45","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("1282","16","0","2016-11-28 00:00:00","158","Internally discussed with Ms. Lyn re: TTRA filing with ITAD","3000","","0.3","900","1","16","2016-11-28 13:24:27","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1283","16","0","2016-11-28 00:00:00","141","Drafted Comment on Motion for Early Resolution","2500","","4","10000","1","16","2016-11-28 14:29:53","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1284","16","0","2016-11-28 00:00:00","141","Internally discussed with EMP re: Comment on Motion for Early Resolution","2500","","0.3","750","1","16","2016-11-28 16:27:07","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1285","16","0","2016-10-20 00:00:00","143","Supervised filing of/revised Motion for Reconsideration","2500","","4","10000","1","16","2016-11-28 16:28:47","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("1286","16","0","2016-10-20 00:00:00","143","Internally discussed with EMP re: Motion for REconsideration","2500","","0.5","1250","1","16","2016-11-28 16:28:58","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1287","16","0","2016-10-20 00:00:00","90","Revised/finalized Comment on Motion to Recall","0","","2","0","1","16","2016-11-28 16:30:06","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1288","16","0","2016-10-24 00:00:00","141","Wrote email to Ms. Gen of CTA 3rd Div re: Joint Stipulation of Facts","2500","","0.3","750","1","16","2016-11-28 16:33:25","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1289","16","0","2016-10-24 00:00:00","124","Research for memo for Alvis Realty on PMCAI/Supalai issue","3000","","3","9000","1","16","2016-11-28 16:34:12","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1290","16","0","2016-10-24 00:00:00","11","Examined documents in preparation for drafting of Comment on FOE","0","","2","0","1","16","2016-11-28 16:38:25","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1291","16","0","2016-10-24 00:00:00","11","Researched in preparation for drafting of Memorandum","0","","4","0","1","16","2016-11-28 16:38:43","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1292","16","0","2016-10-21 00:00:00","11","Researched in preparation for drafting of Memorandum","0","","8","0","1","16","2016-11-28 16:39:05","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1293","16","0","2016-11-28 00:00:00","11","Internally discussed with EMP re: surety bond and memorandum filing","0","","0.3","0","1","16","2016-11-28 18:40:21","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1294","12","0","2016-11-28 00:00:00","124","Wrote Opinion on BPRT","6000","","1.5","9000","1","12","2016-11-29 05:36:41","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("1295","12","0","2016-11-29 00:00:00","80","Revise of Master Service Agreement","0","","1.8","0","1","12","2016-11-29 05:37:26","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1296","12","0","2016-11-28 00:00:00","10","Internal routing SPA of EAS","0","","0.1","0","1","21","2016-11-29 10:20:59","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1297","12","0","2016-11-28 00:00:00","134","Internal routing Statement of acct. from Maybank\n","180","","0.1","18","1","21","2016-11-29 10:21:28","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1298","12","0","2016-11-28 00:00:00","81","Internal routing BOI Assessment\n","0","","0.1","0","1","21","2016-11-29 10:22:38","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1299","12","0","2016-11-28 00:00:00","138","Internal routing MOTEX Memorandum\n","0","","0.1","0","1","21","2016-11-29 10:23:16","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1300","12","0","2016-11-28 00:00:00","11","Internal routing Notice of resolution 11/10/16\n","0","","0.1","0","1","21","2016-11-29 10:25:51","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1301","12","0","2016-11-28 00:00:00","141","Internal routing Minute resolution\n","0","","0.1","0","1","21","2016-11-29 10:26:22","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1302","12","0","2016-11-28 00:00:00","18","Internal routing Notice of resolution 11/10/16\n ","0","","0.1","0","1","21","2016-11-29 10:26:49","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1303","12","0","2016-11-28 00:00:00","141","Internal routing Notice of resolution 10/20/16\n","0","","0.1","0","1","21","2016-11-29 10:27:17","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1304","12","0","2016-11-28 00:00:00","158","Internal routing Letter to Atty. Bandon of BIR ITAD\n","6000","","0.1","600","1","21","2016-11-29 10:30:13","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1305","16","0","2016-11-28 00:00:00","91","Internally discussed with EMP re: revisions to Motion for Production and Inspection of Waiver","2500","","0.5","1250","1","16","2016-11-29 11:42:03","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1306","16","0","2016-11-28 00:00:00","91","Revised Motion for Production and Inspection of Waiver","2500","","3","7500","0","16","2016-11-29 11:42:22","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1307","16","0","2016-11-29 00:00:00","91","Revised Motion for Production and Inspection of Waiver","0","","2","0","1","16","2016-11-29 11:42:54","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1308","16","0","2016-11-29 00:00:00","91","Traveled to CTA to inspect BIR records","0","","1.25","0","1","16","2016-11-29 11:43:10","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1309","16","0","2016-11-29 00:00:00","91","Examined BIR records","2500","","3","7500","1","16","2016-11-29 11:43:26","16","2016-11-29 11:43:34","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1310","16","0","2016-11-29 00:00:00","11","Reviewed Pretrial Order against files to check if motion for amendment of Pretrial Order is necessary (deadline Dec 1)","0","","3","0","1","16","2016-11-29 11:44:26","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1311","16","0","2016-12-01 00:00:00","163","Attended Concorde Board Meeting (client: Genato/Landmart)","0","","3.25","0","1","16","2016-11-29 11:45:21","16","2016-12-01 17:01:05","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1312","16","0","2016-12-01 00:00:00","163","Traveled to Concorde Board meeting","0","","0.5","0","1","16","2016-11-29 11:45:40","16","2016-12-01 17:00:58","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1313","16","0","2016-12-01 00:00:00","11","Examined Bond Endorsement","0","","0.3","0","1","16","2016-12-01 12:54:23","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1314","16","0","2016-12-01 00:00:00","11","Made telephone call to CTA 3rd Div","0","","0.3","0","1","16","2016-12-01 12:54:34","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1315","16","0","2016-12-01 00:00:00","11","Wrote emails to Jong Bautista re: surety bond","0","","0.3","0","1","16","2016-12-01 12:54:50","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1316","16","0","2016-12-01 00:00:00","163","Traveled back to office from Concorde board meeting","0","","0.5","0","1","16","2016-12-01 17:01:29","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1317","16","0","2016-12-01 00:00:00","90","Internally discussed with GVF re: Reply filed by Oppositor/Motion to Recall","0","","0.3","0","1","16","2016-12-01 17:24:44","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1318","16","0","2016-12-01 00:00:00","80","Reviewed Master Sourcing Agreement","0","","3","0","1","16","2016-12-01 17:50:12","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1319","12","0","2016-11-29 00:00:00","64","Performed Other Service - Review and preparation of meeting materials","0","","2.5","0","1","12","2016-12-02 04:53:18","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1320","12","0","2016-11-29 00:00:00","1","Finance Committee Meeting","0","","3.5","0","1","12","2016-12-02 04:54:14","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1321","12","0","2016-11-29 00:00:00","163","Attended MAP Meeting","0","","2.5","0","1","12","2016-12-02 04:55:03","","","0","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1322","12","0","2016-11-29 00:00:00","64","Performed Other Service - Preparation of Meeting Materials","0","","1.5","0","1","12","2016-12-02 04:58:23","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1323","12","0","2016-11-29 00:00:00","1","Attended Board Meeting","0","","5.25","0","1","12","2016-12-02 04:58:52","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1324","12","0","2016-12-02 00:00:00","64","Drafted meeting materials - re LHAI amendments","0","","1.25","0","1","12","2016-12-02 08:39:28","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1325","12","0","2016-12-02 00:00:00","166","Revised Subscription Agreement","0","","0.75","0","1","12","2016-12-02 08:40:04","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1326","12","0","2016-12-02 00:00:00","64","Traveled to HPI Office","0","","0.7","0","1","12","2016-12-02 08:40:36","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1327","18","0","2016-11-07 00:00:00","134","Drafted Secretary\'s certificate on Authorization of Bank Signatories","100","","2","200","1","18","2016-12-02 14:54:03","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1328","18","0","2016-11-07 00:00:00","142","Drafted Joint Stipulation of Facts","2500","","2","5000","1","18","2016-12-02 14:55:10","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1329","18","0","2016-11-07 00:00:00","142","Made telephone call to Atty. Rowell Vicente","0","","0.5","0","1","18","2016-12-02 14:56:12","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1330","18","0","2016-11-08 00:00:00","138","Drafted Memorandum","2500","","3","7500","1","18","2016-12-02 14:57:00","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1331","18","0","2016-11-08 00:00:00","142","Revise Joint Stipulation of Facts","2500","","2","5000","1","18","2016-12-02 14:58:09","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1332","18","0","2016-11-08 00:00:00","167","Made telephone call to Charlemagne Ramil ","0","","0.5","0","1","18","2016-12-02 14:59:43","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1333","18","0","2016-11-08 00:00:00","80","Drafted Memo on Effect of Divestment of Holcim Sri Lanka","0","","2","0","1","18","2016-12-02 15:00:20","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1334","18","0","2016-11-09 00:00:00","120","Performed Other Service- Updated table on case Status","2500","","1","2500","1","18","2016-12-02 15:03:08","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1335","18","0","2016-11-09 00:00:00","10","Drafted request for Extension of Time to File Schedule of Special Power of Attorney","0","","2","0","1","18","2016-12-02 15:04:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1336","18","0","2016-11-09 00:00:00","106","Drafted Transmittal letter to City of Treasurer of Makati","2500","","1.5","3750","1","18","2016-12-02 15:05:07","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1337","18","0","2016-11-09 00:00:00","106","Made telephone call to Ms. Badeth ","0","","0.5","0","1","18","2016-12-02 15:05:24","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1338","18","0","2016-11-09 00:00:00","64","Internally discussed with EMP and SLP re: December 2, 2016 Board Meeting","0","","1","0","1","18","2016-12-02 15:06:12","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1339","18","0","2016-11-09 00:00:00","80","Drafted Memo on Applicability of RP-Malaysia Tax Treaty","0","","4","0","1","18","2016-12-02 15:06:55","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1340","18","0","2016-11-10 00:00:00","163","Aboitiz Power-Traveled to Department of Energy ","0","","2","0","1","18","2016-12-02 15:12:04","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1341","18","0","2016-11-10 00:00:00","163","Aboitiz Power- Attended meeting with Atty. Joyce delos Santos","0","","1.5","0","1","18","2016-12-02 15:12:39","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1342","18","0","2016-11-10 00:00:00","10","Internally discussed with EMP and RAB","0","","1","0","1","18","2016-12-02 15:13:06","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1343","18","0","2016-11-10 00:00:00","147","Attended meeting with Gina Martinez","3000","","2","6000","1","18","2016-12-02 15:13:41","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1344","18","0","2016-11-10 00:00:00","80","Revise Memo on Applicability of RP -Malaysia Tax Treaty","0","","3","0","1","18","2016-12-02 15:14:14","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1345","18","0","2016-11-11 00:00:00","80","Revise memo on Effect of Divestment of Holcim Sri Lanka","0","","2","0","1","18","2016-12-02 15:14:59","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1346","18","0","2016-11-11 00:00:00","80","Internally discussed with EMP and RHO","0","","1","0","1","18","2016-12-02 15:15:33","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1347","18","0","2016-11-11 00:00:00","142","Made telephone call to Ms. Ada Aquino","2500","","0.5","1250","1","18","2016-12-02 15:16:10","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1348","18","0","2016-11-11 00:00:00","142","Performed Other Service- Sort documents for Commissioner\'s Hearing","0","","1","0","1","18","2016-12-02 15:20:42","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1349","18","0","2016-11-11 00:00:00","138","Drafted Memorandum ","2500","","3","7500","1","18","2016-12-02 15:21:07","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1350","18","0","2016-11-14 00:00:00","120","Revise Judicial Affidavit of Richard Querido","2500","","2.5","6250","1","18","2016-12-02 15:21:43","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1351","18","0","2016-11-14 00:00:00","10","Drafted Special Power of Attorney of Ed Sahagun","0","","1.5","0","1","18","2016-12-02 15:22:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1352","18","0","2016-11-14 00:00:00","142","Performed Other Service- Prepare Documents for Commissioner\'s Hearing","2500","","1","2500","1","18","2016-12-02 15:23:31","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1353","18","0","2016-11-14 00:00:00","80","Revise Memo on Applicability of RP-Malaysia Tax Treaty","0","","2","0","1","18","2016-12-02 15:50:41","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1354","16","0","2016-12-02 00:00:00","80","Conference call with EMP and Thusitha re: PTHI MSA","0","","0.75","0","1","16","2016-12-02 15:54:27","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("1355","16","0","2016-12-02 00:00:00","80","Revised MSA pursuant to details of call with Thusi","0","","1","0","1","16","2016-12-02 15:55:08","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1356","16","0","2016-12-02 00:00:00","80","Reviewed PTHI MSA","0","","2.5","0","1","16","2016-12-02 15:55:24","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1357","16","0","2016-12-02 00:00:00","11","Drafted Motion to Suspend Filing of Memorandum","0","","1.5","0","1","16","2016-12-02 15:55:46","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1358","16","0","2016-12-02 00:00:00","163","Drafted memo on setting up of branch office","0","","1","0","1","16","2016-12-02 15:57:02","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1359","18","0","2016-11-15 00:00:00","10","Traveled to BIR RDO","0","","1.5","0","1","18","2016-12-02 16:07:17","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1360","18","0","2016-11-15 00:00:00","10","Attended meeting with BIR Officer Ernesto Gamad","0","","2","0","1","18","2016-12-02 16:07:39","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1361","18","0","2016-11-15 00:00:00","142","Traveled to CTA ","2500","","2","5000","1","18","2016-12-02 16:08:06","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1362","18","0","2016-11-15 00:00:00","142","Attended at Commissioner\'s hearing","0","","2","0","1","18","2016-12-02 16:08:38","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("1363","18","0","2016-11-16 00:00:00","10","Performed Other Service-Update on Meeting with BIR","0","","1.5","0","1","18","2016-12-02 16:09:17","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1364","18","0","2016-11-16 00:00:00","120","Revise Judicial Affidavit of Richard Querido","2500","","2","5000","1","18","2016-12-02 16:10:11","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1365","18","0","2016-11-16 00:00:00","120","Revise Memorandum","0","","2","0","1","18","2016-12-02 16:11:28","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1366","18","0","2016-11-17 00:00:00","163","Researched on Tax Blast on RMC 109-2016","0","","1","0","1","18","2016-12-02 16:12:07","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1367","18","0","2016-11-17 00:00:00","142","Traveled to CTA ","2500","","2","5000","1","18","2016-12-02 16:12:54","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1368","16","0","2016-12-05 00:00:00","143","Reviewed work of JLL-Reply re: Comment dated Nov 17, 2016","2500","","3","7500","1","16","2016-12-05 12:00:29","16","2016-12-05 12:03:32","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1369","16","0","2016-12-05 00:00:00","143","Internally discussed with JLL re: filing MOTEX","2500","","0.2","500","1","16","2016-12-05 12:00:54","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1370","16","0","2016-12-05 00:00:00","143","Internally discussed with  EMP re: Reply to Comment","2500","","0.3","750","1","16","2016-12-05 12:01:13","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1371","16","0","2016-12-05 00:00:00","141","Internally discussed with EMP re: Comment on Motion for Early Resolution","2500","","0.3","750","1","16","2016-12-05 12:01:45","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1372","16","0","2016-12-05 00:00:00","143","Supervised filing of MOTEX","0","","0.5","0","1","16","2016-12-05 12:02:14","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("1373","16","0","2016-12-05 00:00:00","141","Supervised filing of Comment on Motion for Early Resolution","2500","","0.5","1250","1","16","2016-12-05 12:02:35","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("1374","16","0","2016-12-05 00:00:00","90","Drafted Rejoinder re: Reply dated November 22, 2016","0","","3.75","0","1","16","2016-12-05 12:03:07","16","2016-12-05 12:03:50","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1375","16","0","2016-12-02 00:00:00","91","Examined/read Respondent\'s FOE received on December 1, 2016","2500","","1.5","3750","1","16","2016-12-05 12:04:45","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1376","18","0","2016-11-17 00:00:00","163","Researched on Tax Blast on RMC 109-2016","0","","1","0","0","18","2016-12-05 14:26:02","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1377","18","0","2016-11-17 00:00:00","142","Attended at trial/hearing (Commissioner\'s Hearing).","2500","","2","5000","0","18","2016-12-05 14:26:59","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("1378","18","0","2016-11-18 00:00:00","167","Internally discussed with EMP","0","","1","0","1","18","2016-12-05 14:27:38","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1379","18","0","2016-11-18 00:00:00","167","Made telephone call to Atty. Baquiran","0","","0.5","0","1","18","2016-12-05 14:28:11","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1380","18","0","2016-11-18 00:00:00","167","Made telephone call to Ms. Badeth.","0","","0.5","0","1","18","2016-12-05 14:28:34","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1381","18","0","2016-11-18 00:00:00","167","Revise Computation on Taxes to be Recovered from Raytheon","0","","3","0","1","18","2016-12-05 14:28:59","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1382","18","0","2016-11-18 00:00:00","138","Revise Memorandum","2500","","3","7500","1","18","2016-12-05 14:29:24","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1383","18","0","2016-11-19 00:00:00","138","Revise Memorandum","2500","","4","10000","1","18","2016-12-05 14:29:59","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1384","18","0","2016-11-21 00:00:00","120","Traveled to CTA","2500","","2","5000","1","18","2016-12-05 14:31:58","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1385","18","0","2016-11-21 00:00:00","120","Attended at trial/hearing on Presentation of ICPA as witness.","0","","2","0","1","18","2016-12-05 14:33:23","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("1386","18","0","2016-11-17 00:00:00","142","Attended at trial/hearing Commissioner\'s Hearing","2500","","2","5000","1","18","2016-12-05 14:34:41","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("1387","18","0","2016-11-21 00:00:00","134","Wrote email to Client on Maybank Statement of Account","100","","1","100","1","18","2016-12-05 14:35:38","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1388","18","0","2016-11-21 00:00:00","106","Revise Computation on Taxes to be recovered from Raytheon","2500","","3","7500","1","18","2016-12-05 14:36:50","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1389","18","0","2016-11-22 00:00:00","80","Drafted Updated List of Indonesian Affiliates","0","","5","0","1","18","2016-12-05 14:38:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1390","18","0","2016-11-22 00:00:00","138","Revise Memorandum ","2500","","2","5000","1","18","2016-12-05 14:38:27","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1391","18","0","2016-11-24 00:00:00","10","Traveled to BGC","0","","2","0","1","18","2016-12-05 14:39:43","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1392","18","0","2016-11-24 00:00:00","10","Attended meeting with Vicky Tomelden, Shirley Go, RAB and EMP.","0","","2","0","1","18","2016-12-05 14:40:50","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1393","18","0","2016-11-24 00:00:00","138","Drafted Motion for Extension of time to file Memorandum","2500","","2.5","6250","1","18","2016-12-05 14:41:20","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1394","18","0","2016-11-24 00:00:00","40","Revise General Representation letter, Secretary\'s Certificate approving FS and Minutes of the BOD Meeting approving 2014-2016 FS.","100","","6","600","1","18","2016-12-05 14:42:26","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1395","18","0","2016-11-25 00:00:00","155","Drafted Memorandum of Understanding ","3000","","3","9000","1","18","2016-12-05 14:42:58","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1396","18","0","2016-11-25 00:00:00","167","Traveled to BIR RDO 50 to follow up transmittal of documents","0","","3","0","1","18","2016-12-05 14:43:33","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1397","18","0","2016-11-28 00:00:00","40","Drafted Minutes of the Meeting re: authorization for release of audited FS for 2014-2016 ","100","","2.5","250","1","18","2016-12-05 14:44:35","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1398","18","0","2016-11-28 00:00:00","120","Revise Formal Offer of Evidence and prepare documents attached to FOE","2500","","4","10000","1","18","2016-12-05 14:45:14","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1399","18","0","2016-11-28 00:00:00","40","Internally discussed with GVF re: liquidation process of CAC and CAHC","100","","0.5","50","1","18","2016-12-05 14:45:49","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1400","18","0","2016-11-28 00:00:00","80","Wrote email to Client re: reportorial requirements and penalties with BOI","0","","0.5","0","1","18","2016-12-05 14:46:34","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1401","18","0","2016-11-29 00:00:00","40","Traveled to BIR to inquire re: deadlines on short period FS/Return","100","","1.5","150","1","18","2016-12-05 14:47:25","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1402","18","0","2016-11-29 00:00:00","80","Traveled to BIR to inquire re: registration of retirement plan","0","","1.5","0","1","18","2016-12-05 14:48:01","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1403","18","0","2016-11-29 00:00:00","120","Drafted Omnibus Motion to replace ICPA with Moton to admit Judicial Affidavit ","2500","","3","7500","1","18","2016-12-05 14:50:48","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1404","18","0","2016-11-29 00:00:00","138","Revise Memorandum","2500","","2","5000","1","18","2016-12-05 14:51:13","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1405","18","0","2016-12-01 00:00:00","142","Revise Omnibus Motion to Replace ICPA and Admit Judicial Affidavit ","2500","","3","7500","1","18","2016-12-05 14:52:07","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1406","18","0","2016-12-01 00:00:00","80","Researched on Tax Deductibility of company contributions to retirement plan","0","","3","0","1","18","2016-12-05 14:53:13","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1407","18","0","2016-12-01 00:00:00","163","MBG Equity-Drafted Memo on requirements for foreign insurance company to appoint Philippine Agent.","0","","3","0","1","18","2016-12-05 14:54:05","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1408","16","0","2016-12-05 00:00:00","141","Internally discussed with EMP re: Comment on Motion for Early Resolution","2500","","0.5","1250","1","16","2016-12-05 16:53:29","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1409","16","0","2016-12-05 00:00:00","143","Internally discussed with EMP re: Reply to Comment","2500","","0.5","1250","1","16","2016-12-05 16:53:43","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1410","16","0","2016-12-05 00:00:00","141","Drafted Motion for Extension","2500","","0.5","1250","1","16","2016-12-05 16:53:52","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1411","16","0","2016-12-05 00:00:00","11","Wrote email to Jong Bautista re: Bond Endorsement","0","","0.3","0","1","16","2016-12-05 16:54:09","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1412","16","0","2016-12-05 00:00:00","11","Examined Bond Endorsement","0","","0.3","0","1","16","2016-12-05 16:54:21","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1413","16","0","2016-12-05 00:00:00","11","Drafted Manifestation re: Bond Endorsement","0","","0.75","0","1","16","2016-12-05 16:54:38","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1414","12","0","2016-12-02 00:00:00","64","Attended BOD/Shareholders Meeting","0","","3.5","0","1","12","2016-12-06 11:49:47","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1415","12","0","2016-12-03 00:00:00","18","Revising Memorandum","0","","2.75","0","1","12","2016-12-06 11:53:09","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1416","12","0","2016-12-03 00:00:00","138","Revising Memorandum","0","","1.2","0","1","12","2016-12-06 11:53:37","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1417","12","0","2016-12-05 00:00:00","138","Revise - Finalizing Memorandum","0","","0.3","0","1","12","2016-12-06 11:54:18","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1418","12","0","2016-12-05 00:00:00","18","Revising Memorandum","0","","2.25","0","1","12","2016-12-06 11:54:40","12","2016-12-06 11:55:04","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1419","12","0","2016-12-05 00:00:00","120","Revised FOE","0","","0.2","0","1","12","2016-12-06 11:57:22","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1420","12","0","2016-12-06 00:00:00","120","Revised FOE","0","","0.2","0","1","12","2016-12-06 11:58:04","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1421","12","0","2016-12-06 00:00:00","11","Read Email to/from Jong re surety bond","0","","0.2","0","1","12","2016-12-06 11:59:10","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("1422","17","0","2016-11-16 00:00:00","125","Drafted Deed of Sales for the sale of two Palawan properties","2500","","2","5000","1","17","2016-12-06 12:47:13","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1423","17","0","2016-11-16 00:00:00","125","Sent various emails to Agnes Bohnen","0","","0.5","0","1","17","2016-12-06 12:47:49","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1424","17","0","2016-11-16 00:00:00","19","Performed Other Service - looked for bonding companies","0","","0.5","0","1","17","2016-12-06 12:48:43","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1425","17","0","2016-11-16 00:00:00","163","Performed Other Service - Prepared time charges","0","","1","0","1","17","2016-12-06 12:49:18","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1426","17","0","2016-11-16 00:00:00","163","Performed Other Service -  Prepared request for payment and liquidation","0","","1","0","1","17","2016-12-06 12:49:44","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1427","17","0","2016-11-17 00:00:00","144","Internally discussed with EMP and revised Minutes  and draft board resolutions","0","","2","0","1","17","2016-12-06 12:50:47","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1428","17","0","2016-11-17 00:00:00","125","Revised Deed of Absolute Sale","2500","","1","2500","1","17","2016-12-06 12:51:12","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1429","17","0","2016-11-18 00:00:00","125","Sent emails to Agnes Bohnen","0","","0.5","0","1","17","2016-12-06 12:57:27","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1430","17","0","2016-11-18 00:00:00","163","Performed Other Service - Company Outreach","0","","3","0","1","17","2016-12-06 12:58:18","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1431","17","0","2016-11-18 00:00:00","163","Performed Other Service - meeting with Nikki","0","","0.5","0","1","17","2016-12-06 12:59:35","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1432","17","0","2016-11-18 00:00:00","163","Performed Other Service -  meeting with Associates","0","","1","0","1","17","2016-12-06 12:59:53","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1433","17","0","2016-11-21 00:00:00","63","Revised update on the status of Davao FLAs","0","","0.75","0","1","17","2016-12-06 13:00:43","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1434","17","0","2016-11-21 00:00:00","63","Internally discussed with EMP re: Holcim spin-off","0","","0.75","0","1","17","2016-12-06 13:07:45","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1435","17","0","2016-11-21 00:00:00","9","Performed Other Service -  Updated list of pending CAR applications","0","","0.5","0","1","17","2016-12-06 13:15:48","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1436","17","0","2016-11-21 00:00:00","165","Drafted RAB\'s resignation as Assistant Corporate Secretary of Ayala Greenfields","0","","0.5","0","1","17","2016-12-06 13:16:37","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1437","17","0","2016-11-21 00:00:00","92","Performed Other Service -  Prepared for the hearing and arranged exhibits","2500","","2.5","6250","1","17","2016-12-06 13:17:19","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1438","17","0","2016-11-21 00:00:00","143","Performed Other Service - Updated table of updates for Hedcor cases","2500","","0.58","1450","1","17","2016-12-06 13:18:39","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1439","17","0","2016-11-22 00:00:00","92","Traveled to Binangonan, Rizal and attended first hearing of the Jeremi Garais Hodges case","2500","","6","15000","1","17","2016-12-06 13:20:37","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1440","17","0","2016-11-22 00:00:00","63","Traveled to Davao City to follow-up transfer of FLAs","0","","6","0","1","17","2016-12-06 13:21:18","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1441","17","0","2016-11-22 00:00:00","63","Attended meeting with Ryan Mejillano","0","","3","0","1","17","2016-12-06 13:21:42","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1442","17","0","2016-11-22 00:00:00","144","Performed Other Service - Finalized documents for amendment of AAOI of VSI","0","","1.5","0","1","17","2016-12-06 13:22:25","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1443","17","0","2016-11-23 00:00:00","63","Followed-up with the DENR Regional Office, PENRO and CENRO the documents necessary for the transfer of Davao FLAs","0","","8","0","1","17","2016-12-06 13:23:47","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("1444","17","0","2016-11-24 00:00:00","63","Followed-up with the DENR Regional Office, PENRO and CENRO the documents necessary for the transfer of Davao FLAs","0","","8","0","1","17","2016-12-06 13:24:10","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("1445","17","0","2016-11-25 00:00:00","163","Performed Other Service - Lawyers\' lunch","0","","2.5","0","1","17","2016-12-06 13:26:40","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1446","17","0","2016-11-25 00:00:00","163","Performed Other Service - Prepare report","0","","1","0","1","17","2016-12-06 13:27:03","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1447","17","0","2016-11-25 00:00:00","165","Drafted Board Resolutions for Ayala Greenfields","0","","1.5","0","1","17","2016-12-06 13:27:41","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1448","17","0","2016-11-25 00:00:00","162","Sent to Vitalite copy of the letter to Director Misajon","2500","","0.25","625","1","17","2016-12-06 13:29:42","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1449","17","0","2016-11-25 00:00:00","125","Sent email to Agnes Bohnen","2500","","0.25","625","1","17","2016-12-06 13:31:12","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1450","17","0","2016-11-28 00:00:00","144","Finalized VSI\'s Directors\' Certificate and Certificate of No Intra-Corporate Dispute ","0","","2.5","0","1","17","2016-12-06 13:32:38","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1451","12","0","2016-12-06 00:00:00","11","Review and Signing of Motion to Suspend","0","","0.2","0","1","12","2016-12-06 13:44:45","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1452","12","0","2016-12-06 00:00:00","11","Reviewed of Manifestation","0","","0.2","0","1","12","2016-12-06 13:45:05","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1453","12","0","2016-12-06 00:00:00","141","Performed Other Service - Signing of Manifestation","0","","0.1","0","1","12","2016-12-06 13:46:03","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1454","17","0","2016-11-28 00:00:00","92","Followed-up Assumption Antipolo and updated GVF","2500","","0.5","1250","1","17","2016-12-06 14:51:13","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("1455","17","0","2016-11-28 00:00:00","125","Wrote email to Agnes Bohnen","2500","","0.25","625","1","17","2016-12-06 14:52:11","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1456","17","0","2016-11-28 00:00:00","9","Attended meeting with Almira Navarro of RDO 29","0","","4","0","1","17","2016-12-06 14:55:05","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1457","17","0","2016-11-29 00:00:00","146","Performed Other Service -  Updated Genshi on Shea Mira incorporation","3000","","0.5","1500","1","17","2016-12-06 14:55:42","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1458","17","0","2016-11-29 00:00:00","63","Traveled to Davao City to facilitate signing of Order of Transfer of Davao FLAs","0","","8","0","1","17","2016-12-06 14:56:29","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1459","17","0","2016-11-30 00:00:00","63","Performed Other Service - Compiled and arranged documents for the transfer of Davao FLAs and meeting with Ryan Mejillano","0","","4","0","1","17","2016-12-06 14:57:39","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1460","17","0","2016-12-01 00:00:00","63","Performed Other Service - Obtained approval of RED Felix Alicer on the transfer of Davao FLAs","0","","8","0","1","17","2016-12-06 14:58:21","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1461","17","0","2016-12-02 00:00:00","63","Traveled back to Manila and updated EMP and Atty. Allen","0","","6","0","1","17","2016-12-06 14:58:52","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1462","17","0","2016-12-04 00:00:00","143","Drafted Reply to Respondent\'s Opposition to Petitioner\'s Motion for Reconsideration","2500","","6.5","16250","1","17","2016-12-06 14:59:48","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1463","12","0","2016-12-06 00:00:00","22","Made telephone call to Annabelle","0","","0.2","0","1","12","2016-12-07 08:08:48","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1464","12","0","2016-12-06 00:00:00","80","Internally discussed with Maki and Dianne","0","","0.2","0","1","12","2016-12-07 08:10:13","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1465","12","0","2016-12-06 00:00:00","80","Read Email from Thusitha","0","","0.2","0","1","12","2016-12-07 08:10:30","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("1466","12","0","2016-12-06 00:00:00","10","Internally discussed with Jan and Maki","0","","0.2","0","1","12","2016-12-07 08:10:56","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1467","12","0","2016-12-05 00:00:00","142","Internal routing Omnibus Motion to Replace ICPA\n","0","","0.1","0","1","21","2016-12-07 16:38:14","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1468","12","0","2016-12-05 00:00:00","55","Internal routing Signed &amp; notarized Sec Cert\n","0","","0.1","0","1","21","2016-12-07 16:38:47","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1469","12","0","2016-12-05 00:00:00","22","Internal routing Initial waiver of the defense of prescription under the statue of limitation of the national internal revenue code\n","0","","0.1","0","1","21","2016-12-07 16:39:21","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1470","12","0","2016-12-05 00:00:00","36","Internal routing Minutes of special meeting of BOD of New Coast Hotel\n","0","","0.1","0","1","21","2016-12-07 16:40:01","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1471","12","0","2016-12-05 00:00:00","36","Internal routing Minutes of special meeting of BOD of New Coast Hotel\n","0","","0.1","0","1","21","2016-12-07 16:42:16","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1472","12","0","2016-12-05 00:00:00","11","Internal routing Bond endorsement\n","0","","0.1","0","1","21","2016-12-07 16:42:41","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1473","12","0","2016-12-05 00:00:00","143","Internal routing MOTEX to file reply\n","0","","0.1","0","1","21","2016-12-07 16:43:06","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1474","12","0","2016-12-05 00:00:00","138","Internal routing Memorandum filed on 12.5.16\n","0","","0.1","0","1","21","2016-12-07 16:43:34","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1475","12","0","2016-12-05 00:00:00","18","Internal routing Memorandum filed on 12.5.16\n","0","","0.1","0","1","21","2016-12-07 16:43:57","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1476","12","0","2016-12-05 00:00:00","141","Internal routing MOTEX to file COMMENT\n","0","","0.1","0","1","21","2016-12-07 16:44:22","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1477","12","0","2016-12-05 00:00:00","125","Internal routing Deed of absolute sale b/w Sarah Pascual &amp; Nicchoong Family Corp\n","6000","","0.1","600","1","21","2016-12-07 16:44:43","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1478","12","0","2016-12-07 00:00:00","11","Internal routing Manifestation","0","","0.1","0","1","21","2016-12-08 09:41:43","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1479","12","0","2016-12-07 00:00:00","141","Internal routing Manifestation","0","","0.1","0","1","21","2016-12-08 09:42:07","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1480","15","0","2016-11-04 00:00:00","63","Internally discussed with EMP and JLL and RAB re pending CAR matters new acquisition","0","","1","0","1","15","2016-12-08 13:53:55","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1481","15","0","2016-11-04 00:00:00","9","Reviewed JLL\'s updated table re Cities\' prior transaction CAR applications","0","","0.6","0","1","15","2016-12-08 13:55:20","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1482","15","0","2016-11-08 00:00:00","9","Reviewed EMP\'s email to Bong Malibiran regarding possible penalties on the SCMC CAR","0","","0.5","0","1","15","2016-12-08 14:16:32","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1483","15","0","2016-11-08 00:00:00","172","Reviewed EMP\'s email to Bong Malibiran regarding possible penalties on the SCMC CAR","0","","0.5","0","1","15","2016-12-08 15:10:41","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1484","12","0","2016-12-07 00:00:00","172","Reviewed of letter to BIR and Affidavit of Vicky Tomelden","0","","2.5","0","1","12","2016-12-09 04:49:26","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1485","12","0","2016-12-07 00:00:00","172","Internally discussed with Macky","0","","0.3","0","1","12","2016-12-09 04:49:46","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1486","12","0","2016-12-08 00:00:00","172","Made telephone call to Vicky Tomelden","0","","0.3","0","1","12","2016-12-09 04:50:55","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1487","12","0","2016-12-08 00:00:00","172","Reviewed of letter to BIR","0","","1.5","0","1","12","2016-12-09 04:51:29","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1488","12","0","2016-12-08 00:00:00","104","Internally discussed with Ariel and Tin ","6000","","0.5","3000","1","12","2016-12-09 04:52:04","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1489","12","0","2016-12-08 00:00:00","104","Read Email from Philip Tent","6000","","0.5","3000","1","12","2016-12-09 04:52:25","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("1490","16","0","2016-12-13 00:00:00","163","Performed Other Service: sick leave","0","","8","0","1","16","2016-12-14 10:52:17","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1491","16","0","2016-12-12 00:00:00","163","Internally discussed with RHO re: memo for Project Compass on buy-back of minority shares","0","","0.3","0","1","16","2016-12-14 10:52:54","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1492","16","0","2016-12-12 00:00:00","163","Research re: buy-back of minority shares (Project Compass)","0","","3","0","1","16","2016-12-14 10:55:49","16","2016-12-14 10:56:22","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1493","16","0","2016-12-12 00:00:00","163","Drafted memo re buy-back of minority shares (Project Compass)","0","","3","0","1","16","2016-12-14 10:56:13","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1494","16","0","2016-12-12 00:00:00","141","Revised Comment on Motion for Early Resolution ","2500","","4","10000","1","16","2016-12-14 10:57:00","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1495","16","0","2016-12-12 00:00:00","143","Revised Reply re: Comment/Opposition on MR","2500","","3","7500","1","16","2016-12-14 10:57:19","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1496","16","0","2016-12-08 00:00:00","163","Performed Other Service: sick leave","0","","8","0","1","16","2016-12-14 11:00:28","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1497","19","0","2016-12-01 00:00:00","163","MBG Capital- Drafted Memo on Foreign Insurance company appointing agent in the Philippines","0","","1.5","0","1","23","2016-12-22 15:30:15","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1498","19","0","2016-12-01 00:00:00","163","LHAI/HMDC - organized reviewed BOD meeting materials Performed Other Service","0","","1.5","0","1","23","2016-12-22 15:31:27","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1499","15","0","2016-10-07 00:00:00","166","Conferred with SPFI and EMP regarding the amendment of articles and drafting of subscription agreement (include travel time)","0","","2.5","0","1","15","2016-12-22 16:26:02","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1500","15","0","2016-10-10 00:00:00","166","Conferred with EMP and RHO on division of tasks i.e. drafting of documentary requirements for increase of ACS ","0","","0.8","0","1","15","2016-12-22 16:31:35","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1501","15","0","2016-10-11 00:00:00","166","Drafted SEC documentary requirements for increase of ACS and conversion of shares.","0","","4.5","0","1","15","2016-12-22 16:33:14","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1502","15","0","2016-10-13 00:00:00","166","Revised and reviewed drafts of ACS requirements as per EMP\'s comments. Reviewed draft of revised AOI. ","0","","4.8","0","1","15","2016-12-22 16:34:07","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1503","15","0","2016-10-17 00:00:00","166","Conferred with RHO and supervised filing of requirements for ACS conversion (consolidated entry, including bi-weekly updates with RHO and EMP on status of application)","0","","3.2","0","1","15","2016-12-22 16:36:33","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1504","15","0","2016-10-24 00:00:00","166","Reviewed drafts of Subscription Agreement","0","","1.8","0","1","15","2016-12-22 16:37:42","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1505","15","0","2016-10-27 00:00:00","166","Reviewed and revised RHOs letter to Marina for endorsement of conversion","0","","0.8","0","1","15","2016-12-22 16:40:24","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1506","15","0","2016-12-15 00:00:00","166","Drafted subscription agreement for single subscriber.","0","","1.5","0","1","15","2016-12-22 16:42:19","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1507","19","0","2016-12-23 00:00:00","163","Drafted Memo on Foreign insurance company appointing agent in the Philippines.","0","","2.5","0","0","23","2016-12-23 11:56:53","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1508","19","0","2016-12-02 00:00:00","163","LHAI/HMDC-Attended meeting of Board of Directors","0","","5","0","1","23","2016-12-23 14:27:02","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1509","19","0","2016-12-05 00:00:00","168","Reviewed of work of  Memorandum for filing and assisted filing of the Memorandum","0","","7","0","1","23","2016-12-23 14:42:51","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1510","19","0","2016-12-06 00:00:00","163","LHAI-Drafted minutes for the December 2, 2016, BOD meeting","0","","3","0","1","23","2016-12-27 10:54:02","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1511","19","0","2016-12-08 00:00:00","163","LHAI-Drafted minutes of the Dec. 2, 2016 BOD meeting.","0","","4","0","1","23","2016-12-27 10:55:04","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1512","19","0","2016-12-08 00:00:00","80","Internally discussed with EMP on inward remittance/assigned capital from HEABS Netherland","0","","0.5","0","1","23","2016-12-27 10:57:36","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1513","19","0","2016-12-08 00:00:00","163","Reviewed of memo on setting-up a branch office in the Philippines and read term sheet of crescent Point and Axelum Resources Corporation.","0","","1.5","0","1","23","2016-12-27 10:58:48","","","2","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1514","19","0","2016-12-08 00:00:00","80","Internally discussed with MAC on HEABS ROHQ vs. Subsidiary","0","","0.5","0","1","23","2016-12-27 10:59:19","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1515","19","0","2016-12-09 00:00:00","80","Traveled to SEC for inquiry on assigned capital/inward remittance from HEABS netherland","0","","6","0","1","23","2016-12-27 11:03:31","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1516","19","0","2016-12-09 00:00:00","80","Made telephone call to SEC fpr HEABS ROHQ on assigned capital and securities deposit requisites.","0","","1","0","1","23","2016-12-27 11:04:18","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1517","19","0","2016-12-09 00:00:00","163","Internally discussed with GVF, SLP and DRP for Crescent point and Axelum Resources Corp.","0","","0.5","0","1","23","2016-12-27 11:18:04","","","2","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1518","19","0","2016-12-12 00:00:00","80","Traveled to SEC - inquiring and confirmation of securities deposit requisites in case of assigned capital/inward remittance from HEABS netherland to HEABS ROHQ and Crescent Point on inquiry re: reacquisition/buyback of minority SH shares.","0","","5","0","1","23","2016-12-27 11:23:15","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1519","19","0","2016-12-12 00:00:00","80","Wrote email to EMP on SEC Advisory re: securities deposit and treatment of the assigned capital","0","","0.5","0","1","23","2016-12-27 11:24:03","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1520","19","0","2016-12-12 00:00:00","163","HMDC- Drafted minutes of the meeting Dec. 2, 2016 BOD meeting ","0","","1","0","1","23","2016-12-27 11:24:39","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1521","19","0","2016-12-12 00:00:00","163","HMDC-Drafted minutes to Dec 2, 2016 BOD meeting ","0","","1","0","1","23","2016-12-27 11:25:15","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1522","19","0","2016-12-12 00:00:00","163","Crescent Point- Wrote email to DRP on buy-back of shares inquiry and comment of SEC","0","","0.5","0","1","23","2016-12-27 11:28:11","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1523","19","0","2016-12-14 00:00:00","163","LHAI-Drafted task list based on the Dec. 2, 2016 BOD meeting ","0","","1.5","0","1","23","2016-12-27 11:28:51","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1524","19","0","2016-12-14 00:00:00","163","LHAI-Revise and read minutes to December 2, 2016 BOD meeting ","0","","1","0","1","23","2016-12-27 11:32:10","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1525","19","0","2016-12-14 00:00:00","163","HMDC-revise and read minutes to Dec. 2, 2016 BOD meeting ","0","","1","0","1","23","2016-12-27 11:32:46","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1526","19","0","2016-12-14 00:00:00","163","Performed Other Service completed status reports for Southwest Premier\'s and Hedcor 9218; Luzon Hydro; Holcim and HEABS ","0","","1.5","0","1","23","2016-12-27 11:34:39","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1527","19","0","2016-12-13 00:00:00","163","HMDC-Drafted minutes to Dec. 2, 2016 BOD meeting ","0","","0.5","0","1","23","2016-12-27 11:35:38","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1528","19","0","2016-12-13 00:00:00","163","Performed Other Service- Photoshoot","0","","0.5","0","1","23","2016-12-27 11:36:06","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1529","19","0","2016-12-13 00:00:00","163","HMDC-Drafted Minutes to Dec. 2, 2016 BOD meeting ","0","","1.5","0","1","23","2016-12-27 11:36:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1530","19","0","2016-12-13 00:00:00","163","Drafted minutes to Dec. 2, 2016 BOD meeting ","0","","1","0","1","23","2016-12-27 11:37:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1531","19","0","2016-12-16 00:00:00","163","Greefin-filing and payment for SEC certification of incorporation","0","","1","0","1","23","2016-12-27 11:46:02","","","2","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("1532","19","0","2016-12-16 00:00:00","163","HMDC-Finalized drafted minutes to Dec. 2, 2016 BOD meeting HMDC and Task list ","0","","2","0","1","23","2016-12-27 11:48:43","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1533","16","0","2017-01-03 00:00:00","65","Internally discussed with EMP re memo on write-off of uncollectible investment receivable","0","","0.3","0","1","16","2017-01-03 13:18:03","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1534","16","0","2017-01-03 00:00:00","65","Conducted further research for memo on write-off","0","","3","0","1","16","2017-01-03 13:18:22","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1535","16","0","2017-01-03 00:00:00","48","Internally discussed with EMP re: Cemco GIS amendment","0","","0.2","0","1","16","2017-01-03 13:18:39","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1536","16","0","2017-01-03 00:00:00","47","Internally discussed with EMP re: Cemco GIS amendment","0","","0.2","0","1","16","2017-01-03 13:18:57","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1537","16","0","2017-01-03 00:00:00","47","Reviewed records of previous GIS filed with SEC","0","","0.5","0","1","16","2017-01-03 13:19:33","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1538","16","0","2017-01-03 00:00:00","48","Reviewed records of previous GIS filed with SEC","0","","0.5","0","1","16","2017-01-03 13:19:58","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1539","16","0","2017-01-03 00:00:00","65","Revised memo on write-off","0","","3","0","1","16","2017-01-03 13:20:16","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1540","16","0","2017-01-03 00:00:00","170","Supervised revisions to Amendment of AOI","0","","1.5","0","1","16","2017-01-03 13:20:38","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("1541","16","0","2017-01-05 00:00:00","141","Internally discussed with EMP, SLP and MAC re: Zodiac case updates","2500","","1","2500","1","16","2017-01-05 16:12:45","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1542","16","0","2017-01-05 00:00:00","143","Internally discussed with EMP, SLP and MAC re: Zodiac case updates","2500","","1","2500","1","16","2017-01-05 16:13:02","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1543","16","0","2017-01-05 00:00:00","143","Performed Other Service: updated table of deadlines/status updates for Zodiac cases","2500","","1","2500","1","16","2017-01-05 16:13:20","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1544","16","0","2017-01-05 00:00:00","56","Drafted Minutes of Special Meeting for election of new treasurer","0","","0.5","0","1","16","2017-01-05 16:13:47","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1545","16","0","2017-01-05 00:00:00","56","Drafted Affidavit for GDS Global","0","","0.5","0","1","16","2017-01-05 16:14:00","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1546","16","0","2017-01-05 00:00:00","56","Wrote several emails to Engel Gutierrez re: date of BOD meeting, other details for Minutes and Affidavit","0","","0.75","0","1","16","2017-01-05 16:14:27","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1547","16","0","2017-01-05 00:00:00","163","Examined docs downloaded from Project Compass VDR (Client: Crescent)","0","","5","0","1","16","2017-01-05 16:15:13","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1548","16","0","2017-01-04 00:00:00","65","Multiple internal discussions with EMP re: RFM memo on write-off","0","","1.2","0","1","16","2017-01-05 16:15:59","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1549","16","0","2017-01-04 00:00:00","65","Conducted further research for RFM memo on write-off","0","","2","0","1","16","2017-01-05 16:16:14","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1550","16","0","2017-01-04 00:00:00","65","Revised memo on write-off","0","","2","0","1","16","2017-01-05 16:16:37","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1551","16","0","2017-01-04 00:00:00","163","Examined documents downloaded from Project Compass VDR (Client: Crescent)","0","","4","0","1","16","2017-01-05 16:17:16","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1552","16","0","2016-12-29 00:00:00","163","Performed Other Service: sick leave","0","","8","0","1","16","2017-01-05 16:17:34","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1553","16","0","2017-01-09 00:00:00","163","Internally discussed with EMP re: GIS filings and Mayor\'s Permit renewals for: Sustento, Acquapower, Source Leader, ZHC","0","","1","0","1","16","2017-01-09 16:54:15","16","2017-01-09 16:57:43","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1554","16","0","2017-01-09 00:00:00","163","Performed Other Service: tutorial on Office 365","0","","2","0","1","16","2017-01-09 16:54:30","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1555","16","0","2017-01-09 00:00:00","170","Drafted emails to Dr. Hazel and Audrey Lee re: Mayor\'s Permit renewal requirements","0","","0.4","0","1","16","2017-01-09 16:55:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1556","16","0","2017-01-09 00:00:00","170","Reviewed documents from previous year re: Mayor\'s Permit","0","","0.4","0","1","16","2017-01-09 16:55:24","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1557","16","0","2017-01-09 00:00:00","39","Drafted email to Atty. Arnaldo re: Cora Calumba\'s Judicial Affidavit","100","","0.3","30","1","16","2017-01-09 16:55:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1558","16","0","2017-01-09 00:00:00","11","Internally discussed with EMP re: rebuttal evidence for TA Oil v. CIR","0","","0.5","0","1","16","2017-01-09 16:56:17","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1559","16","0","2017-01-09 00:00:00","11","Reviewed TSN of Teresita Villamor\'s testimony","0","","1","0","1","16","2017-01-09 16:56:50","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1560","16","0","2017-01-09 00:00:00","11","Drafted email to Jong Bautista re: rebuttal evidence","0","","0.4","0","1","16","2017-01-09 16:57:03","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1561","16","0","2017-01-09 00:00:00","163","Performed Other Service: lawters\' lunch and reporting","0","","2","0","1","16","2017-01-09 16:57:31","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1562","16","0","2017-01-09 00:00:00","91","Drafted Reply to Auditor for GADC/DCFII/reviewed DCFII files","2500","","3","7500","1","16","2017-01-09 16:58:05","16","2017-01-09 18:12:33","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1563","16","0","2017-01-10 00:00:00","163","Performed Other Service: due diligence for Project Compass","0","","4","0","1","16","2017-01-10 12:37:12","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1564","16","0","2017-01-10 00:00:00","11","Attended meeting at TA Oil with Jong Bautista and EMP for rebuttal evidence preparation","0","","2","0","1","16","2017-01-10 12:37:39","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1565","16","0","2017-01-10 00:00:00","11","Reviewed TSN of Revenue Officer Teresita Villamor in preparation for meeting with Ms. Bautista","0","","1","0","1","16","2017-01-10 12:38:06","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1566","16","0","2017-01-10 00:00:00","163","Research for Project Compass","0","","1.5","0","1","16","2017-01-10 12:38:26","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1567","12","0","2017-01-09 00:00:00","104","Conferred with Sharon and Philp","0","","2.5","0","1","12","2017-01-10 17:08:53","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1568","12","0","2017-01-09 00:00:00","144","Read Email from Carina Go","0","","0.2","0","1","12","2017-01-10 17:09:23","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("1569","12","0","2017-01-09 00:00:00","11","Conferred with  Jong","0","","1.2","0","1","12","2017-01-10 17:10:22","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1570","12","0","2017-01-09 00:00:00","64","Received telephone call from Kat Madamba","0","","0.1","0","1","12","2017-01-10 17:11:09","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("1571","12","0","2017-01-09 00:00:00","125","Performed Other Service - TRANSFER OF PROPERTIES; discussion; coordination.","6000","","0.5","3000","1","12","2017-01-10 17:43:24","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1572","12","0","2017-01-09 00:00:00","125","Conferred with Philip","6000","","0.5","3000","1","12","2017-01-11 05:02:48","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1573","12","0","2017-01-06 00:00:00","9","Reviewed of status of CARs","0","","0.5","0","1","12","2017-01-11 05:04:22","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1574","19","0","2016-12-19 00:00:00","163","Greefin Management-Traveled to SEC for assessment of incorporation requirements in relation to the comments made by SEC examiner on the purpose of the corporation","0","","2.5","0","1","23","2017-01-11 09:37:39","","","2","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1575","19","0","2016-12-19 00:00:00","163","Crescent-Reviewed/read AOI","0","","1","0","1","23","2017-01-11 09:44:30","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1576","19","0","2016-12-20 00:00:00","163","Crescent Point-Reviewed/Read AOI and By-Laws; GIS and FS","0","","3","0","1","23","2017-01-11 09:50:49","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1577","19","0","2016-12-20 00:00:00","163","LHAI-Drafted Affidavit for William Lumley","0","","0.5","0","1","23","2017-01-11 09:52:19","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1578","19","0","2016-12-21 00:00:00","163","Crescent Point-Reviewed/Read AOI, By-Laws, GIS and FS","0","","1","0","1","23","2017-01-11 10:00:56","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1579","19","0","2016-12-21 00:00:00","163","LHAI-Revised Affidavit/Sec\'s Certificate for William de Lumley","0","","0.5","0","1","23","2017-01-11 10:10:21","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1580","19","0","2016-12-21 00:00:00","163","Performed Other Service- Turn over briefing with Atty. Lumanta","0","","0.5","0","1","23","2017-01-11 10:14:05","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1581","12","0","2017-01-04 00:00:00","64","Internal routing Notice of meeting\n","0","","0.1","0","1","21","2017-01-11 11:13:40","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1582","19","0","2016-12-27 00:00:00","65","Researched on write off of bad debts and donors tax liability of creditor","0","","1","0","1","23","2017-01-11 11:19:54","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1583","19","0","2016-12-27 00:00:00","65","Researched on write off of bad debts and donor\'s tax liability of creditor","0","","2","0","1","23","2017-01-11 13:28:51","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1584","12","0","2017-01-04 00:00:00","64","Internal routing Transmittal ltr to AB Capital\n","0","","0.1","0","1","21","2017-01-11 13:38:52","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1585","12","0","2017-01-05 00:00:00","86","Internal routing response of Corporation letters \n","6000","","0.1","600","1","21","2017-01-11 13:39:36","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1586","12","0","2017-01-04 00:00:00","66","Internal routing Notarized MOA \n","0","","0.1","0","1","21","2017-01-11 13:40:06","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1587","12","0","2017-01-05 00:00:00","80","Internal routing BOI Atty. Sales letter\n","0","","0.1","0","1","21","2017-01-11 13:41:02","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1588","12","0","2017-01-05 00:00:00","140","Internal routing Notice of resolution\n","0","","0.1","0","1","21","2017-01-11 13:41:40","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1589","12","0","2017-01-05 00:00:00","138","Internal routing Notice of resolution\n","0","","0.1","0","1","21","2017-01-11 13:42:08","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1590","12","0","2017-01-05 00:00:00","142","Internal routing Order\n","0","","0.1","0","1","21","2017-01-11 13:50:17","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1591","19","0","2016-12-27 00:00:00","65","Drafted memo on donor\'s tax liability of creditor for writing off bad debts","0","","1","0","1","23","2017-01-11 13:51:04","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1592","12","0","2017-01-05 00:00:00","134","Internal routing Statement of Account from Maybank\n","180","","0.1","18","1","21","2017-01-11 13:52:12","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1593","12","0","2017-01-05 00:00:00","128","Internal routing Transmittal of Sec Cert\n","0","","0.1","0","1","21","2017-01-11 13:52:37","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1594","12","0","2017-01-05 00:00:00","158","Internal routing Transmittal letter\n","6000","","0.1","600","1","21","2017-01-11 13:54:07","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1595","12","0","2017-01-05 00:00:00","10","Internal routing Letter to Lindagrace Sagun\n","0","","0.1","0","1","21","2017-01-11 13:54:37","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1596","12","0","2017-01-10 00:00:00","94","Internal routing Minute Resolution\n","0","","0.1","0","1","21","2017-01-11 13:55:06","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1597","12","0","2017-01-10 00:00:00","141","Internal routing Withdrawal of appearance\n","0","","0.1","0","1","21","2017-01-11 13:55:36","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1598","12","0","2017-01-10 00:00:00","140","Internal routing Withdrawal of appearance\n","0","","0.1","0","1","21","2017-01-11 13:56:03","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1599","19","0","2016-12-27 00:00:00","65","Drafted  memo on donor\'s tax liability of creditor for writing off bad debts","0","","2.5","0","1","23","2017-01-11 14:05:10","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1600","16","0","2017-01-11 00:00:00","163","Internally discussed with EMP and MAC re: HKS agreements","0","","0.75","0","1","16","2017-01-11 16:29:23","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1601","16","0","2017-01-11 00:00:00","163","Internally discussed with EMP re: Vertical Space Interiors local business tax query","0","","0.5","0","1","16","2017-01-11 16:29:57","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1602","16","0","2017-01-11 00:00:00","163","Internally discussed with RHO re: Vertical Space Interiors local business tax query","0","","0.3","0","1","16","2017-01-11 16:30:08","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1603","16","0","2017-01-11 00:00:00","163","Reviewed HKS-SLMC Contracts","0","","6","0","1","16","2017-01-11 16:30:30","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1604","16","0","2017-01-11 00:00:00","163","Drafted South Luzon Tollway Corp Reply to Auditor","0","","0.5","0","1","16","2017-01-11 16:31:11","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1605","19","0","2016-12-23 00:00:00","163","Hedcor Sibulan, Inc. CTA CASE no. 9009-Reviewed Memorandum","0","","2.5","0","1","23","2017-01-12 14:40:49","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1606","19","0","2016-12-28 00:00:00","65","Revise drafted memo on donor\'s tax liability of creditor for writing off bad debts","0","","1.5","0","1","23","2017-01-12 14:45:32","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1607","19","0","2016-12-28 00:00:00","163","Hedcor Sibulan CTA CASE no. 9080-Reviewed Petition for Review","0","","2","0","1","23","2017-01-12 14:46:40","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1608","19","0","2017-01-29 00:00:00","163","Hedcor Sibulan Inc. CTA CASE No. 9080-Reviewed cases for Petition for Review","0","","3","0","1","23","2017-01-12 14:48:50","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1609","16","0","2017-01-12 00:00:00","56","Attended meeting with Bruce Hutchison and EMP for GDS Global Services (re: assignment of shares, sale of computer equipment, loan agreement, service contracts)","0","","1.25","0","1","16","2017-01-12 14:48:57","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1610","16","0","2017-01-12 00:00:00","56","Drafted Deed of Assignment of Shares, Declarations of Trust, Deed of Absolute Sale, Deed of Assignment of Contract, Service Contracts","0","","6.5","0","1","16","2017-01-12 14:49:29","16","2017-01-13 15:39:22","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1611","16","0","2017-01-12 00:00:00","163","conference call with carina go of vertical space interiors (with emp and rho)","0","","0.5","0","1","16","2017-01-12 18:04:00","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("1612","12","0","2017-01-12 00:00:00","144","Conferred with Carina Go","0","","0.5","0","1","12","2017-01-12 21:00:08","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1613","12","0","2017-01-12 00:00:00","144","Internally discussed with Dianne and Richelle re Local Business Tax","0","","0.3","0","1","12","2017-01-12 21:00:30","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1614","12","0","2017-01-12 00:00:00","56","Conferred with Bruce","0","","1.5","0","1","12","2017-01-12 21:00:59","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1615","12","0","2017-01-12 00:00:00","56","Reviewed Drafts of Deed of Assignment","0","","0.7","0","1","12","2017-01-12 21:01:24","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1616","12","0","2017-01-12 00:00:00","163","Reviewed of HKS Agreement and Opinions","0","","5","0","1","12","2017-01-12 21:02:00","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1617","12","0","2017-01-12 00:00:00","141","Internal routing Notice of resolution dtd 12.19.16\n","0","","0.1","0","1","21","2017-01-13 10:41:41","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1618","12","0","2017-01-12 00:00:00","18","Internal routing Notice of resolution dtd 12.21.16\n","0","","0.1","0","1","21","2017-01-13 10:42:27","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1619","12","0","2017-01-12 00:00:00","86","Internal routing BAI application forms\n","6000","","0.1","600","1","21","2017-01-13 10:43:40","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1620","12","0","2017-01-12 00:00:00","99","Internal routing SPA\n","0","","0.1","0","1","21","2017-01-13 10:44:07","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1621","12","0","2017-01-12 00:00:00","163","Internal routing transmittal of returned check (Filipinas Paradise &amp; Atty. Imperio)\n","0","","0.1","0","1","21","2017-01-13 10:45:07","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1622","12","0","2017-01-12 00:00:00","140","Internal routing Minute Resolution\n","0","","0.1","0","1","21","2017-01-13 10:50:35","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1623","12","0","2017-01-12 00:00:00","11","Internal routing Notice of resolution dtd 12.15.16\n","0","","0.1","0","1","21","2017-01-13 10:51:08","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1624","12","0","2017-01-12 00:00:00","91","Internal routing Order dtd 11.21.16\n","0","","0.1","0","1","21","2017-01-13 10:51:30","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1625","12","0","2017-01-12 00:00:00","143","Internal routing Notice of resolution dtd 12.19.16\n","0","","0.1","0","1","21","2017-01-13 10:52:00","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1626","12","0","2017-01-12 00:00:00","18","Internal routing Transmittal of Memo\n","0","","0.1","0","1","21","2017-01-13 10:52:21","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1627","16","0","2017-01-13 00:00:00","163","Attended meeting with Bruce Hutchison and Engel Gutierrez for Deed of Assignment of Shares (GDS Global)","0","","1","0","1","16","2017-01-13 15:35:03","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1628","16","0","2017-01-13 00:00:00","163","Performed Other Service: finalized Deed of Assignment of Shares (GDS Global)","0","","0.5","0","1","16","2017-01-13 15:35:20","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1629","16","0","2017-01-13 00:00:00","163","Wrote multiple emails to Bruce Hutchison and Engel Gutierrez re: Deed of Assignment of Shares, one-time TINs (GDS Global)","0","","0.5","0","1","16","2017-01-13 15:36:42","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1630","16","0","2017-01-13 00:00:00","163","Attended meeting with Larry Kim and EMP","0","","1.5","0","1","16","2017-01-13 15:37:01","16","2017-01-13 15:40:18","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1631","16","0","2017-01-13 00:00:00","86","Attended meeting with EMP and Ignasi Vegas","2500","","1.5","3750","1","16","2017-01-13 15:40:03","16","2017-01-13 15:40:24","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1632","16","0","2017-01-17 00:00:00","124","Research for Mr. Ezerins\' queries on setting up Philippine investment company","3000","","4","12000","1","16","2017-01-17 14:54:59","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1633","16","0","2017-01-17 00:00:00","80","Drafted Reply to Auditor","0","","1","0","1","16","2017-01-17 14:55:16","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1634","16","0","2017-01-17 00:00:00","163","Internally discussed with GVF re: Axelum","0","","0.25","0","1","16","2017-01-17 14:55:42","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1635","12","0","2017-01-18 00:00:00","80","Conferred with Malaysia - re Malaysia Tax","0","","1","0","1","12","2017-01-18 11:04:58","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1636","12","0","2017-01-18 00:00:00","80","Internally discussed with Maki","0","","0.2","0","1","12","2017-01-18 11:05:11","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1637","12","0","2017-01-13 00:00:00","63","Conferred with Kitten and Glenn re SGV Opinion","0","","2.5","0","1","12","2017-01-18 11:05:53","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1638","12","0","2017-01-14 00:00:00","63","Reviewed and Revising of SGV Letter","0","","1.75","0","1","12","2017-01-18 11:06:43","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1639","12","0","2017-01-14 00:00:00","1","Reviewed of Technical Services Agreement","0","","1.5","0","1","12","2017-01-18 11:07:15","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1640","12","0","2017-01-13 00:00:00","88","Conferred with Mr. Kim","6000","","1.5","9000","1","12","2017-01-18 11:11:01","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1641","16","0","2017-01-18 00:00:00","163","Attended meeting at Axelum office (Project Compass DD) ","0","","3","0","1","16","2017-01-19 12:33:52","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1642","16","0","2017-01-18 00:00:00","163","Traveled to Axelum office (Project Compass DD)","0","","0.5","0","1","16","2017-01-19 12:34:15","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1643","16","0","2017-01-18 00:00:00","163","Traveled back to office from Axelum (Project Compass DD)","0","","0.75","0","1","16","2017-01-19 12:35:09","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1644","16","0","2017-01-18 00:00:00","163","Internally discussed with RHO re: Project Compass DD","0","","0.75","0","1","16","2017-01-19 12:35:30","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1645","16","0","2017-01-18 00:00:00","163","Performed Other Service: Project Compass DD","0","","4","0","1","16","2017-01-19 12:35:44","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1646","16","0","2017-01-19 00:00:00","86","Drafted Minutes for Igusol (election of new directors), proxy form","2500","","1.5","3750","1","16","2017-01-19 12:36:31","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1647","16","0","2017-01-19 00:00:00","48","Drafted Cemco RTA","0","","1","0","1","16","2017-01-19 12:36:52","16","2017-01-19 14:01:03","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1648","16","0","2017-01-19 00:00:00","11","Drafted summary of facts for benefit of rebuttal witness","0","","1","0","1","16","2017-01-19 13:26:17","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1649","16","0","2017-01-19 00:00:00","56","Wrote email to Bruce Hutchison re: TIN and tax payment for share transfer from dallas to uk holdings","0","","0.25","0","1","16","2017-01-19 14:01:41","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1650","16","0","2017-01-19 00:00:00","163","Performed Other Service: Due dil for Project Compass","0","","5","0","1","16","2017-01-19 14:02:01","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1651","12","0","2017-01-18 00:00:00","140","Reviewed of work of Sam - Motion for Reconsideration","0","","1.5","0","1","12","2017-01-19 16:20:44","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1652","12","0","2017-01-18 00:00:00","11","Discussion with Dianne; review of Petition for Review","0","","0.5","0","1","12","2017-01-19 16:21:44","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1653","12","0","2017-01-18 00:00:00","11","Memo from Dianne","0","","0.5","0","1","12","2017-01-19 16:22:25","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1654","12","0","2017-01-19 00:00:00","100","Conferred with Client","0","","1","0","1","12","2017-01-19 16:23:40","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1655","12","0","2017-01-12 00:00:00","64","Internal routing Minutes \n","0","","0.1","0","1","21","2017-01-20 17:27:56","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1656","12","0","2017-01-18 00:00:00","142","Internal routing MOTEX ICPA Report\n","0","","0.1","0","1","21","2017-01-20 17:29:05","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1657","12","0","2017-01-18 00:00:00","143","Internal routing Motion for Reconsideration\n","0","","0.1","0","1","21","2017-01-20 17:30:03","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1658","12","0","2017-01-18 00:00:00","8","Internal routing Transmittal of Sec Cert to Atty. Mamba\n","0","","0.1","0","1","21","2017-01-20 17:31:15","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1659","12","0","2017-01-19 00:00:00","80","Internal routing Letter to BOI\n","0","","0.1","0","1","21","2017-01-20 17:32:55","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1660","12","0","2017-01-19 00:00:00","94","Internal routing MOTEX Memorandum\n","0","","0.1","0","1","21","2017-01-20 17:34:01","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1661","18","0","2016-12-09 00:00:00","10","Revise/Review Letter Reply to BIR ELTAD II and Supervise filing","0","","4","0","1","23","2017-01-23 10:23:08","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1662","18","0","2016-12-09 00:00:00","80","Internally discussed with EMP and DRP re: Requirements on assigned capital","0","","1.5","0","1","23","2017-01-23 10:25:12","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1663","18","0","2016-12-12 00:00:00","80","Registration of Retirement Plan-Reviewed/Study files of and law on retirement plan","0","","2.5","0","1","23","2017-01-23 10:48:54","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1664","18","0","2016-12-12 00:00:00","80","Drafted email to client- re: lacking files ","0","","1","0","1","23","2017-01-23 10:49:23","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1665","18","0","2016-12-13 00:00:00","134","Made telephone call to Matt Ashe re: Clearing check with Maybank.","100","","1.5","150","1","23","2017-01-23 11:08:36","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1666","18","0","2016-12-13 00:00:00","163","Traveled to SEC (PICC) to attend Seminar on Lending companies","0","","5","0","1","23","2017-01-23 11:09:09","","","2","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1667","18","0","2016-12-14 00:00:00","141","Revise/Revise Comment on the Motion for Early Resolution ","2500","","3","7500","1","23","2017-01-23 11:12:11","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1668","18","0","2016-12-15 00:00:00","141","Revise/Review Comment on the Motion for Early Resolution of Case","0","","3","0","1","23","2017-01-23 11:38:32","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1669","18","0","2016-12-15 00:00:00","141","Supervised filing of Comment on the Motion for Early Resolution of Case","2500","","2.5","6250","1","23","2017-01-23 13:30:11","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("1670","18","0","2016-12-16 00:00:00","106","Traveled to BIR RR No. 8 and followup up on re: 2011 Tax Assessment","2500","","4.5","11250","1","23","2017-01-23 14:48:47","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1671","18","0","2016-12-19 00:00:00","10","Internally discussed with EMP re: CAR on Sale of Shares","0","","2","0","1","23","2017-01-23 14:49:28","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1672","18","0","2017-01-20 00:00:00","10","Wrote email to (CAR on Sale of Shares) – Email Update on Meeting with BIR ","0","","2","0","0","23","2017-01-23 14:50:12","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1673","18","0","2016-12-22 00:00:00","65","Researched on BIR rulings/Cases on the donor\'s tax liability on the write-off/Condonation of debt/payables.","0","","2.5","0","1","23","2017-01-23 15:33:45","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1674","18","0","2016-12-23 00:00:00","65","Reviewed BIR rulings/Case on the donor\'s Tax liability on the write-off/condonation of debt/payables","0","","3","0","1","23","2017-01-23 16:47:56","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1675","18","0","2017-01-03 00:00:00","163","Performed Other Service- write letter to clients re: renewal of business/barangay permit","0","","2","0","1","23","2017-01-23 16:48:45","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1676","18","0","2017-01-03 00:00:00","163","Performed Other Service- Case reporting Assignments.","0","","2","0","1","23","2017-01-23 16:49:43","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1677","18","0","2017-01-03 00:00:00","80","Internally discussed with EMP re: update of affiliates","0","","1","0","1","23","2017-01-23 16:50:12","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1678","18","0","2017-01-04 00:00:00","163","Clarus RCM- Drafted re: subsidiary vs. branch","0","","4","0","1","23","2017-01-23 16:51:13","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1679","18","0","2017-01-04 00:00:00","80","Performed Other Service- Updated/report on registration of Vietnamese/Australian and NZ affiliates","0","","2","0","1","23","2017-01-23 16:52:01","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1680","18","0","2017-01-04 00:00:00","134","Performed Other Service-Answer Client querries","100","","1","100","1","23","2017-01-23 16:52:35","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1681","12","0","2017-01-23 00:00:00","64","Internally discussed with Sam; review of emails from Kitten and Allen.","0","","0.5","0","1","12","2017-01-24 13:01:20","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1682","12","0","2017-01-23 00:00:00","63","Reviewed of work of SGV Opinion","0","","1.5","0","1","12","2017-01-24 13:01:39","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1683","12","0","2017-01-23 00:00:00","11","Conferred with Mr. Sadogascol","0","","0.5","0","1","12","2017-01-24 13:02:29","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1684","12","0","2017-01-20 00:00:00","11","Conferred with Mr. Sadogascol","0","","1.5","0","1","12","2017-01-24 13:03:26","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1685","12","0","2017-01-20 00:00:00","151","Performed Other Service - Renewal of Mayor\'s permit","6000","","0.4","2400","1","12","2017-01-24 13:04:41","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1686","12","0","2017-01-19 00:00:00","100","Conferred with  Client","0","","0.5","0","1","12","2017-01-24 13:05:33","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1687","12","0","2017-01-19 00:00:00","102","Conferred with Client","0","","0.5","0","1","12","2017-01-24 13:05:56","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1688","12","0","2017-01-23 00:00:00","10","Performed Other Service - Gathering of cost; discussion with Maki; letter to BIR","0","","0.5","0","1","12","2017-01-24 13:08:08","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1689","12","0","2017-01-20 00:00:00","106","Email to Charlie Casas","0","","0.3","0","1","12","2017-01-24 13:11:39","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1690","12","0","2017-01-20 00:00:00","106","Conferred with Badeth","0","","1.5","0","1","12","2017-01-24 13:12:15","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1691","12","0","2017-01-20 00:00:00","10","Reviewed of documents - re FS","0","","0.5","0","1","12","2017-01-24 13:13:33","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1692","12","0","2017-01-20 00:00:00","10","Made telephone call to Allen Arbis","0","","0.2","0","1","12","2017-01-24 13:14:35","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1693","12","0","2017-01-20 00:00:00","10","Internally discussed with Maki","0","","0.5","0","1","12","2017-01-24 13:14:50","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1694","12","0","2017-01-24 00:00:00","146","Discussion re filing requirements; filing fee","0","","0.3","0","1","12","2017-01-24 14:08:14","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1695","12","0","2017-01-24 00:00:00","172","Internally discussed with Sam and Ian re pending matters.","0","","0.4","0","1","12","2017-01-24 17:05:38","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1696","12","0","2017-01-24 00:00:00","178","Wrote email to client re: indemnity","200","","0.5","100","1","12","2017-01-24 17:06:11","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1697","12","0","2017-01-25 00:00:00","125","Performed Other Service  - emails to/from Agnes and Philip and calls to Mr. Monsod; checking of records","6000","","1.5","9000","1","12","2017-01-26 10:05:39","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1698","12","0","2017-01-25 00:00:00","11","Reviewed of work of - q &amp; a","0","","0.5","0","1","12","2017-01-26 10:06:34","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1699","16","0","2017-01-26 00:00:00","63","Internally discussed with GVF and EMP re: CAGAT Nationality Opinion","0","","0.5","0","1","16","2017-01-26 14:03:11","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1700","16","0","2017-01-26 00:00:00","163","Internally discussed with EMP and GVF re: Mr. Kim BIR issue","0","","0.5","0","1","16","2017-01-26 14:03:33","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1701","16","0","2017-01-26 00:00:00","143","Drafted Comment on MR","2500","","5","12500","1","16","2017-01-26 14:03:45","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1702","16","0","2017-01-26 00:00:00","61","Reviewed GIS of other logistics companies (new project)","0","","1","0","1","16","2017-01-26 14:04:10","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1703","16","0","2017-01-26 00:00:00","61","Attended meeting at Marubeni office with GVF","0","","1","0","1","16","2017-01-26 14:04:24","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1704","16","0","2017-01-25 00:00:00","163","Sick Leave","0","","8","0","1","16","2017-01-26 14:04:45","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1705","16","0","2017-01-24 00:00:00","163","Sick Leave","0","","8","0","1","16","2017-01-26 14:05:01","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1706","16","0","2017-01-23 00:00:00","135","Reviewed files and drafted case summary for RTA","2500","","0.5","1250","1","16","2017-01-26 14:05:46","16","2017-01-26 14:05:59","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1707","16","0","2017-01-23 00:00:00","141","Reviewed files and drafted case summary for RTA","2500","","0.5","1250","1","16","2017-01-26 14:06:23","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1708","16","0","2017-01-23 00:00:00","143","Reviewed files and drafted case summary for RTA","2500","","0.5","1250","1","16","2017-01-26 14:06:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1709","16","0","2017-01-25 00:00:00","86","Wrote emails to Ignasi re: GIS, replacement of Treasurer and directors","2500","","0.75","1875","1","16","2017-01-26 14:07:23","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1710","16","0","2017-01-25 00:00:00","72","Wrote email to Jose-Manuel Izquierdo re: closure of Source Leader and filing of GIS","0","","0.25","0","1","16","2017-01-26 14:07:59","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1711","16","0","2017-01-25 00:00:00","170","Wrote email to Dr. Zuellig re: new directors and officers of ZHC and CMI","0","","0.25","0","1","16","2017-01-26 14:08:39","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1712","16","0","2017-01-23 00:00:00","11","Attended meeting with Mr Jekell Salosagcol and EMP","0","","1.5","0","1","16","2017-01-26 14:09:10","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1713","16","0","2017-01-23 00:00:00","11","Drafted Q&amp;A for Mr. Jekell Salosagcol","0","","2","0","1","16","2017-01-26 14:09:27","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1714","16","0","2017-01-23 00:00:00","177","Wrote emails to Victoria Robertson (GDS Holdings UK counsel) re: Articles of Incorporation and Change of Name of GDS UK","0","","0.5","0","1","16","2017-01-26 14:10:07","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1715","16","0","2017-01-23 00:00:00","177","Supervised preparation of application for TIN, GIS","0","","0.5","0","1","16","2017-01-26 14:10:51","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("1716","16","0","2017-01-23 00:00:00","11","Drafted Motion to Postpone Hearing","0","","1","0","1","16","2017-01-26 14:11:43","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1717","16","0","2017-01-23 00:00:00","143","Reviewed files in preparation for drafting of Comment on MR","2500","","2","5000","1","16","2017-01-26 14:12:18","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1718","12","0","2017-01-27 00:00:00","125","Reviewed of work of","6000","","0.666667","4000","1","21","2017-01-30 10:18:41","","","1","10:20:00","11:00:00","12");
INSERT INTO file_billing_tbl VALUES("1719","12","0","2017-01-27 00:00:00","63","Reviewed of work of","0","","0.5","0","1","21","2017-01-30 10:19:07","","","1","11:00:00","11:30:00","12");
INSERT INTO file_billing_tbl VALUES("1720","12","0","2017-01-27 00:00:00","144","Conferred with Carina Go\n","0","","0.416667","0","1","21","2017-01-30 10:19:53","","","1","11:35:00","12:00:00","2");
INSERT INTO file_billing_tbl VALUES("1721","12","0","2017-01-27 00:00:00","163","Internally discussed with Lawyers","0","","2","0","1","21","2017-01-30 10:20:50","","","2","12:00:00","14:00:00","8");
INSERT INTO file_billing_tbl VALUES("1722","12","0","2017-01-27 00:00:00","63","Internally discussed re CAGAT Opinion","0","","0.5","0","1","21","2017-01-30 10:21:38","","","1","14:00:00","14:30:00","8");
INSERT INTO file_billing_tbl VALUES("1723","12","0","2017-01-27 00:00:00","169","Received telephone call from Hazel ","0","","0.416667","0","1","21","2017-01-30 10:22:24","","","1","14:35:00","15:00:00","17");
INSERT INTO file_billing_tbl VALUES("1724","12","0","2017-01-27 00:00:00","125","Reviewed of work of","6000","","0.25","1500","1","21","2017-01-30 10:23:26","","","1","15:00:00","15:15:00","12");
INSERT INTO file_billing_tbl VALUES("1725","12","0","2017-01-27 00:00:00","177","Wrote email to Brian","0","","0.416667","0","1","21","2017-01-30 10:24:00","","","1","15:15:00","15:40:00","6");
INSERT INTO file_billing_tbl VALUES("1726","12","0","2017-01-26 00:00:00","63","Reviewed of CAGAT Opinion","0","","2.15","0","1","21","2017-01-30 10:31:04","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1727","12","0","2017-01-26 00:00:00","81","Conferred with Malaysia - re withholding tax","0","","0.58","0","1","21","2017-01-30 10:31:42","12","2017-01-31 15:33:56","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1728","12","0","2017-01-26 00:00:00","63","Reviewed of work of","0","","0.75","0","1","21","2017-01-30 10:32:31","","","1","10:15:00","11:00:00","12");
INSERT INTO file_billing_tbl VALUES("1729","12","0","2017-01-26 00:00:00","81","Reviewed of work of","0","","0.25","0","1","21","2017-01-30 10:32:56","","","1","11:00:00","11:15:00","12");
INSERT INTO file_billing_tbl VALUES("1730","12","0","2017-01-26 00:00:00","182","Reviewed of work of","200","","0.25","50","1","21","2017-01-30 10:33:16","","","1","11:15:00","11:30:00","12");
INSERT INTO file_billing_tbl VALUES("1731","12","0","2017-01-26 00:00:00","163","Attended Seminar","0","","1.75","0","1","21","2017-01-30 10:33:56","","","2","12:00:00","13:45:00","1");
INSERT INTO file_billing_tbl VALUES("1732","12","0","2017-01-26 00:00:00","163","BBC","0","","2.25","0","1","21","2017-01-30 10:34:33","","","2","13:45:00","16:00:00","1");
INSERT INTO file_billing_tbl VALUES("1733","12","0","2017-01-26 00:00:00","63","Conferred with Kitten","0","","0.5","0","1","21","2017-01-30 10:35:05","","","1","17:00:00","17:30:00","2");
INSERT INTO file_billing_tbl VALUES("1734","18","0","2017-01-04 00:00:00","142","Made telephone call to Richard Querido re: ICPA Report","2500","","1","2500","1","23","2017-01-30 10:41:05","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1735","18","0","2017-01-05 00:00:00","134","Performed Other Service- Answer client\'s queries. ","100","","1","100","1","23","2017-01-30 10:41:45","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1736","18","0","2017-01-05 00:00:00","142","Made telephone call to Ms. Ada Santiago","2500","","1","2500","1","23","2017-01-30 10:44:36","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1737","18","0","2017-01-05 00:00:00","140","Internally discussed with DRP and SLP","2500","","2","5000","1","23","2017-01-30 10:57:19","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1738","18","0","2017-01-05 00:00:00","134","Wrote email to Client re: Statement of account with Maybank for Nov. 1-30, 2016.","100","","1","100","1","23","2017-01-30 11:06:46","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1739","18","0","2017-01-05 00:00:00","142","Reviewed of work of pre-trial order issued by CTA","2500","","2","5000","1","23","2017-01-30 11:09:26","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1740","18","0","2017-01-06 00:00:00","64","Traveled to BIR National Office and Follow up issuance of BIR Ruling at BIR National Office","0","","2","0","1","23","2017-01-30 11:10:32","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1741","18","0","2017-01-06 00:00:00","45","Followed-up issuance of BIR ruling at BIR National Office","0","","2","0","1","23","2017-01-30 11:28:26","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("1742","18","0","2017-01-06 00:00:00","116","Followed-up issuance of BIR Ruling at BIR National Office","0","","2","0","1","23","2017-01-30 11:28:53","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("1743","18","0","2017-01-09 00:00:00","80","Drafted registration Update of Affiliates with BOI","0","","2","0","1","23","2017-01-30 11:36:32","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1744","18","0","2017-01-09 00:00:00","182","Drafted Memo re: Subsidiary vs. brance","120","","3","360","1","23","2017-01-30 11:36:55","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1745","18","0","2017-01-10 00:00:00","80","Drafted General Information Sheet (GIS)","0","","2","0","1","23","2017-01-30 14:29:14","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1746","18","0","2017-01-10 00:00:00","142","Drafted Motion to Suspend ICPA Review Proceedings","2500","","2","5000","1","23","2017-01-30 14:30:09","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1747","18","0","2017-01-10 00:00:00","182","Drafted Memo re: Subsidiary vs. Branch","120","","2","240","1","23","2017-01-30 14:30:43","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1748","18","0","2017-01-10 00:00:00","120","Performed Other Service- Status Update on Hedcor and LHC cases (as of January 5, 2017).","2500","","2","5000","1","23","2017-01-30 14:31:43","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1749","18","0","2017-01-11 00:00:00","182","Drafted Board Resolution on setting up of branch in the Philippines.","120","","3","360","1","23","2017-01-30 14:33:47","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1750","18","0","2017-01-11 00:00:00","134","Performed Other Service- Request SEC for Certificate of Good Standing","100","","2","200","1","23","2017-01-30 14:34:21","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1751","18","0","2017-01-11 00:00:00","178","Reviewed BIR rulings, re: discussing&quot;Effective Connection&quot; or &quot;Attribution&quot; to the PE and invoking the non-PE clauses of the RP-US Tax Treaty.","120","","2.5","300","1","23","2017-01-30 14:39:39","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1752","18","0","2017-01-11 00:00:00","163","Z lifestyle-Drafted Appeal Letter of name Reservation","0","","2","0","1","23","2017-01-30 14:40:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1753","18","0","2017-01-12 00:00:00","142","Drafted Motion to Suspend ICPA Review Proceedings.","2500","","3.5","8750","1","23","2017-01-30 14:41:47","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1754","18","0","2017-01-12 00:00:00","182","Revise Board Resolution on setting up of Branch in the Philippines.","120","","2","240","1","23","2017-01-30 14:42:19","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1755","18","0","2017-01-13 00:00:00","182","Performed Other Service- Answer client inquiry re: deposit of Securities","0","","2","0","1","23","2017-01-30 14:42:55","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1756","18","0","2017-01-13 00:00:00","178","Revise opinion on contract and internal discussion with EMP","120","","4","480","1","23","2017-01-30 14:43:29","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1757","18","0","2017-01-13 00:00:00","163","Traveled to Robinsons Ermita to claim NBI Clearance and draft Affidavit re: No relative/s in Bureau of Immigration","0","","4","0","1","23","2017-01-30 14:44:27","","","2","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1758","18","0","2017-01-17 00:00:00","80","Performed Other Service- Update if Vietnamese Affiliates with BOI- and internal discussion with FGS and EMP","0","","3.5","0","1","23","2017-01-30 14:49:25","23","2017-01-30 14:50:29","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1759","18","0","2017-01-17 00:00:00","182","Performed Other Service- name reservation","120","","1","120","1","23","2017-01-30 14:51:14","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1760","18","0","2017-01-17 00:00:00","22","Drafted transmittal letter","0","","1","0","1","23","2017-01-30 15:03:21","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1761","18","0","2017-01-17 00:00:00","186","Tax Assessment-Reviewed/Study PAN and Schedule of Discrepancies","3000","","2","6000","1","23","2017-01-30 15:04:52","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1762","18","0","2017-01-17 00:00:00","22","Drafted transmittal letter to BIR ","0","","1","0","0","23","2017-01-30 15:09:59","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1763","18","0","2017-01-18 00:00:00","22","Drafted transmittal letter to BIR ","0","","1","0","1","23","2017-01-30 15:11:24","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1764","18","0","2017-01-18 00:00:00","182","Attended meeting with MR. Sudarshan","120","","3","360","1","23","2017-01-30 15:13:17","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1765","18","0","2017-01-18 00:00:00","163","Drafted Minutes of Meeting of Shareholders and Board of Directors","0","","2","0","1","23","2017-01-30 15:14:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1766","18","0","2017-01-18 00:00:00","80","Made telephone call to (conference Call) with Michael Lim, Swee Tok and Reywen delos Reyes","0","","2","0","1","23","2017-01-30 15:15:11","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1767","12","0","2017-01-23 00:00:00","140","Internal routing Manifestation\n","0","","0.1","0","1","21","2017-01-30 17:15:19","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1768","12","0","2017-01-23 00:00:00","140","Internal routing Motion for Reconsideration\n","0","","0.1","0","1","21","2017-01-30 17:15:51","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1769","12","0","2017-01-23 00:00:00","10","Internal routing Letter to BIR\n","0","","0.1","0","1","21","2017-01-30 17:17:45","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1770","12","0","2017-01-23 00:00:00","81","Internal routing Notification update to SEC\n","0","","0.1","0","1","21","2017-01-30 17:18:07","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1771","12","0","2017-01-23 00:00:00","186","Internal routing BIR Assessment 2013\n","6000","","0.1","600","1","21","2017-01-30 17:18:33","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1772","12","0","2017-01-23 00:00:00","22","Internal routing Letter to BIR\n","0","","0.1","0","1","21","2017-01-30 17:19:16","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1773","12","0","2017-01-23 00:00:00","22","Internal routing Letter to BIR\n","0","","0.1","0","1","21","2017-01-30 17:21:35","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1774","12","0","2017-01-24 00:00:00","141","Internal routing Minute Resolution\n","0","","0.1","0","1","21","2017-01-30 17:23:42","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1775","12","0","2017-01-24 00:00:00","143","Internal routing Notice of pre-trial conference\n","0","","0.1","0","1","21","2017-01-30 17:26:39","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1776","12","0","2017-01-24 00:00:00","143","Internal routing Notice of resolution dtd 1-9-17\n","0","","0.1","0","1","21","2017-01-30 17:27:07","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1777","12","0","2017-01-27 00:00:00","177","Internal routing minutes &amp; declaration of trust\n","0","","0.1","0","1","21","2017-01-30 17:27:42","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1778","12","0","2017-01-27 00:00:00","142","Internal routing Order dtd 11.17.17\n","0","","0.1","0","1","21","2017-01-30 17:32:29","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1779","12","0","2017-01-27 00:00:00","94","Internal routing Order dtd 11.19.17\n","0","","0.1","0","1","21","2017-01-30 17:32:53","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1780","12","0","2017-01-27 00:00:00","11","Internal routing Urgent motion to reset hearing\n","0","","0.1","0","1","21","2017-01-30 17:34:04","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1781","12","0","2017-01-27 00:00:00","134","Internal routing Maybank Statement of Acct.\n","180","","0.1","18","1","21","2017-01-30 17:34:29","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1782","12","0","2017-01-27 00:00:00","143","Internal routing Resolution dtd 1.20.17\n","0","","0.1","0","1","21","2017-01-30 17:34:57","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1783","18","0","2016-12-23 00:00:00","101","Performed Other Service-Update/Report on 2011 Tax Assessment and steps taken ","0","","2","0","1","23","2017-01-31 09:53:00","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1784","18","0","2017-01-17 00:00:00","106","Traveled to BIR RDO No. 50 to follow up 2012 tax assessment","2500","","2","5000","1","23","2017-01-31 09:56:55","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1785","18","0","2017-01-19 00:00:00","163","Internally discussed with FGS","0","","1","0","1","23","2017-01-31 10:07:29","","","2","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1786","18","0","2017-01-19 00:00:00","186","Study/Reviewed of PAN, client files; reply to PAN; and internal discussion with EMP, RHO, and FGS","3000","","8","24000","1","23","2017-01-31 10:09:09","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1787","18","0","2017-01-20 00:00:00","10","Drafted Motion for Extension of time to file FS and other documents and internal discussion with EMP","0","","2.5","0","1","23","2017-01-31 10:11:36","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1788","18","0","2017-01-20 00:00:00","163","MPF BIR Accreditation-Internally discussed with Ms. Tina","0","","1","0","1","23","2017-01-31 10:12:12","","","2","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1789","18","0","2017-01-20 00:00:00","186","Attended meeting with Ms. Badeth Nanaga, EMP and RHO and drafted Protest letter to FAN ","3000","","5.5","16500","1","23","2017-01-31 10:12:52","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1790","18","0","2017-01-10 00:00:00","163","Philip Teng-Attended meeting re: AEP and 9g visa of Khita Hua","0","","1","0","1","23","2017-01-31 10:24:43","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1791","12","0","2017-01-26 00:00:00","163","TMAP Induction","0","","1.5","0","1","12","2017-01-31 15:34:34","","","2","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1792","12","0","2017-01-25 00:00:00","163","MAP Induction","0","","2","0","1","12","2017-01-31 15:35:22","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1793","12","0","2017-01-25 00:00:00","63","Researched on PLDT, GAMBOA and Roy Cases","0","","2.5","0","1","12","2017-01-31 15:36:16","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1794","12","0","2017-01-27 00:00:00","63","Reviewed of work of CG Opinion","0","","2.5","0","1","12","2017-01-31 15:36:51","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1795","12","0","2017-01-24 00:00:00","163","Attended meeting at PWC re Tax Reform Bill","0","","2","0","1","12","2017-01-31 15:37:54","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1796","12","0","2017-01-25 00:00:00","125","Performed Other Service - various emails re Palawan Property; review of files","6000","","1.5","9000","1","12","2017-01-31 15:39:16","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1797","12","0","2017-01-24 00:00:00","125","Performed Other Service - Various emails","0","","0.5","0","1","12","2017-01-31 15:40:22","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1798","12","0","2017-01-28 00:00:00","63","Review of Caguioa Opinion; review of cases; email to Kitten","0","","2.5","0","1","12","2017-01-31 15:41:14","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1799","12","0","2017-01-30 00:00:00","125","Conferred with Atty. Monsod","6000","","1.5","9000","1","12","2017-01-31 15:41:57","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1800","12","0","2017-01-30 00:00:00","125","Traveled to meeting with Atty. Monsod","6000","","1.5","9000","1","12","2017-01-31 15:42:14","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1801","12","0","2017-01-30 00:00:00","63","Reviewed of work of SGV Opinion","0","","0.8","0","1","12","2017-01-31 15:43:53","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1802","12","0","2017-01-31 00:00:00","120","Wrote letter to Auditor","0","","0.5","0","1","12","2017-01-31 17:34:50","","","1","00:00:00","00:00:00","9");
INSERT INTO file_billing_tbl VALUES("1803","12","0","2017-01-31 00:00:00","120","Reviewed of work of - Manifestation and Motion re FOE","0","","0.7","0","1","12","2017-01-31 17:35:10","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1804","12","0","2017-01-31 00:00:00","125","Reviewed of work of SLP - GIS","6000","","0.5","3000","1","12","2017-01-31 17:35:34","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1805","12","0","2017-01-31 00:00:00","151","Reviewed of work of SLP- GIS","6000","","0.5","3000","1","12","2017-01-31 17:36:05","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1806","25","0","2017-01-26 00:00:00","73","Drafted GIS 2016","2500","","3","7500","1","25","2017-01-31 18:07:09","","","1","13:00:00","16:00:00","3");
INSERT INTO file_billing_tbl VALUES("1807","25","0","2017-01-30 00:00:00","181","Wrote Opinion on tax liabilities and accounting procedures","3000","","3","9000","1","25","2017-01-31 18:09:48","","","1","10:00:00","13:00:00","10");
INSERT INTO file_billing_tbl VALUES("1808","25","0","2017-01-20 00:00:00","163","Wrote Opinion on tax exemption of SPARK Women - for EMP","0","","3","0","1","25","2017-01-31 18:13:54","","","2","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("1809","25","0","2017-01-20 00:00:00","39","Internally discussed with DRP and RHO regarding facts of the case","100","","1","100","1","25","2017-01-31 18:15:32","","","2","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1810","25","0","2017-01-18 00:00:00","163","Performed Other Service - BI Accreditation as Law Office","0","","4","0","1","25","2017-01-31 18:18:25","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1811","25","0","2017-01-19 00:00:00","80","Traveled to Bureau of Immigration for updating","0","","2","0","1","25","2017-01-31 18:22:04","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1812","25","0","2017-01-17 00:00:00","80","Drafted papers needed for Bureau of Investment updating ","0","","2","0","1","25","2017-01-31 18:23:13","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1813","25","0","2017-01-17 00:00:00","80","Drafted documents for SEC updating","0","","3","0","1","25","2017-01-31 18:23:56","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1814","25","0","2017-01-17 00:00:00","80","Internally discussed with MAC re procedures","0","","1","0","1","25","2017-01-31 18:24:47","","","2","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1815","25","0","2017-01-18 00:00:00","80","Drafted SEC Notification Update Form","0","","2","0","1","25","2017-01-31 18:25:31","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1816","25","0","2017-02-01 00:00:00","163","Researched on BIR rulings - for EMP","0","","1","0","1","25","2017-02-01 17:39:11","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1817","25","0","2017-02-01 00:00:00","163","Wrote email to EMP re research","0","","1","0","1","25","2017-02-01 17:39:38","","","2","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1818","25","0","2017-02-01 00:00:00","163","Examined for BI Accreditation","0","","2","0","1","25","2017-02-01 17:41:34","","","2","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("1819","25","0","2017-02-01 00:00:00","163","Drafted case digests","0","","2","0","1","25","2017-02-01 17:42:18","","","2","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1820","19","0","2017-01-10 00:00:00","94","Drafted Motion for Extension Hedcor Sibulan, Inc. ","2500","","0.3","750","1","23","2017-02-06 12:00:18","19","2017-03-01 15:08:31","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1821","19","0","2017-01-10 00:00:00","94","Reviewed of work of record files of CTA","0","","1.5","0","1","23","2017-02-06 12:00:41","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1822","19","0","2017-01-10 00:00:00","144","Reviewed of work of record files of Vertical Space, Interiors, ","0","","0.3","0","1","23","2017-02-06 12:01:11","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1823","19","0","2017-01-10 00:00:00","100","Made telephone call to Ms. Phia San Gabriel","0","","0.15","0","1","23","2017-02-06 12:01:39","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1824","19","0","2017-01-10 00:00:00","144","Read Email from VSI query. ","0","","0.15","0","1","23","2017-02-06 12:02:20","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("1825","19","0","2017-01-10 00:00:00","144","Researched on and Drafted Opinion on VSI query: re local Business Tax","0","","2","0","1","23","2017-02-06 12:03:01","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1826","19","0","2017-01-11 00:00:00","144","Reviewed GIS and Minutes of meeting from January 1, 2016 to Dec. 31, 2016","0","","1","0","1","23","2017-02-06 14:31:22","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1827","19","0","2017-01-11 00:00:00","144","Drafted Secretary\'s certificate on Capital Stock Information","0","","0.3","0","1","23","2017-02-06 14:31:51","19","2017-03-21 12:02:13","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1828","19","0","2017-01-11 00:00:00","94","Reviewed Petition for Review and record files of CTA ","2500","","2","5000","1","23","2017-02-06 14:32:44","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1829","19","0","2017-01-12 00:00:00","144","Reviewed draft opinion of VSI query re: Local Business Tax","0","","0.3","0","1","23","2017-02-06 14:33:33","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1830","19","0","2017-01-12 00:00:00","93","Reviewed Memorandum filed for CTA ","2500","","1.5","3750","1","23","2017-02-06 14:34:46","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1831","19","0","2017-01-12 00:00:00","144","Conferred with Carina Go of VSI","0","","1","0","1","23","2017-02-06 14:35:32","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1832","19","0","2017-01-13 00:00:00","163","Reviewed assigned cases","0","","1","0","1","23","2017-02-06 14:39:48","","","2","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1833","19","0","2017-01-13 00:00:00","80","Traveled to Board of Investments for pre-clearance of Holcim ROHQ affiliates in Vietnam.","0","","3","0","1","23","2017-02-06 14:41:22","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1834","19","0","2017-01-16 00:00:00","67","Traveled to Registry of Deeds Pasig for Mrs. Teresitya Perez ","0","","4","0","1","23","2017-02-06 14:42:38","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1835","19","0","2017-01-16 00:00:00","182","Traveled to SEC for Claurus regarding securities deposit","120","","4","480","1","23","2017-02-06 14:50:06","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1836","19","0","2017-01-17 00:00:00","140","Revise Motion for Reconsideration.","2500","","2.5","6250","1","23","2017-02-06 14:50:36","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1837","19","0","2017-01-17 00:00:00","94","Drafted Memorandum.","2500","","3","7500","1","23","2017-02-06 14:50:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1838","19","0","2017-01-17 00:00:00","94","Revise Motion for Extension due for filing.","2500","","0.15","375","1","23","2017-02-06 14:51:20","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1839","19","0","2017-01-18 00:00:00","94","Revise Motion for Extension due for filing.","0","","0.15","0","1","23","2017-02-06 15:06:39","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1840","19","0","2017-01-18 00:00:00","181","Attended meeting with Mrs. Josephine Lichauco together with EMP. ","3000","","2","6000","1","23","2017-02-06 15:07:14","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1841","19","0","2017-01-18 00:00:00","140","Reviewed/Proofread Motion for Reconsideration","2500","","1.5","3750","1","23","2017-02-06 15:07:47","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1842","19","0","2017-01-18 00:00:00","163","Traveled to to NBI for clearance for MPF immigration accreditation","0","","2","0","1","23","2017-02-06 15:08:20","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1843","19","0","2017-01-19 00:00:00","140","Reviewed/Proofread Motion for Reconsideration; Supervised filing of Motion for Reconsideration","2500","","3","7500","1","23","2017-02-06 15:09:02","23","2017-02-06 15:10:22","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1844","19","0","2017-01-19 00:00:00","64","Drafted amendment of AOI and By-Laws","0","","0.4","0","1","23","2017-02-06 15:10:51","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1845","19","0","2017-01-19 00:00:00","100","Attended meeting with Phia San Gabriel  ","0","","1.5","0","1","23","2017-02-06 15:17:32","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1846","19","0","2017-01-20 00:00:00","163","Reviewed/read cases for reporting ","0","","1","0","1","23","2017-02-06 15:18:18","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1847","19","0","2017-01-20 00:00:00","67","Reviewed documents on record for on TCT of Condominium","0","","0.4","0","1","23","2017-02-06 15:19:41","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1848","19","0","2017-01-20 00:00:00","167","Conferred with Ms. Badeht and Read BIR Assessment for Casas Architects.","0","","2","0","1","23","2017-02-06 15:20:22","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1849","19","0","2017-01-20 00:00:00","167","Reviewed/Read Next Mobile cases protest to FAN","0","","2","0","1","23","2017-02-06 15:21:34","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1850","19","0","2017-01-24 00:00:00","100","Reviewed records for Jazy Policrete","0","","0.5","0","1","23","2017-02-06 15:23:04","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1851","19","0","2017-01-24 00:00:00","102","Reviewed records for AsiaMortar ","0","","1","0","1","23","2017-02-06 15:23:27","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1852","19","0","2017-01-24 00:00:00","140","Drafted email for Ada Santiago to give update on CTA CASE no. 9218","2500","","0.3","750","1","23","2017-02-06 15:24:05","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1853","19","0","2017-01-24 00:00:00","102","Drafted SEC required documents.","0","","1","0","1","23","2017-02-06 15:28:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1854","19","0","2017-01-20 00:00:00","100","Drafted SEC required documents.","0","","1","0","1","23","2017-02-06 15:29:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1855","19","0","2017-01-20 00:00:00","163","One Accrete-Drafted SEC required Documents ","0","","1","0","1","23","2017-02-06 15:29:55","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1856","19","0","2017-01-20 00:00:00","163","Performed Other Service- iManila fixed Computer","0","","2","0","1","23","2017-02-06 15:30:24","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1857","19","0","2017-01-25 00:00:00","163","Performed Other Service-MPF labeling","0","","0.3","0","1","23","2017-02-06 15:31:49","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1858","19","0","2017-01-25 00:00:00","163","Performed Other Service- Imanila fixed computers.","0","","1","0","1","23","2017-02-06 15:32:13","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1859","19","0","2017-01-25 00:00:00","140","Wrote email to Ms. Ada Santiago for update on CTA CASE no. 9218","2500","","0.15","375","1","23","2017-02-06 15:32:55","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1860","19","0","2017-01-25 00:00:00","102","Drafted Minutes for amendment of AOI ","0","","1","0","1","23","2017-02-06 15:33:32","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1861","19","0","2017-01-25 00:00:00","100","Drafted Minutes for Amendment of AOI","0","","1","0","1","23","2017-02-06 15:33:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1862","19","0","2017-01-25 00:00:00","163","One Accrete-Drafted Minutes for Amendment of AOI ","0","","0.5","0","1","23","2017-02-06 15:34:25","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1863","19","0","2017-01-26 00:00:00","67","Reviewed  documents on record for on TCT of Condominium property ","0","","0.3","0","1","23","2017-02-06 15:35:41","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1864","19","0","2017-01-26 00:00:00","67","Wrote email to Mrs. Teresita Perez .","0","","1","0","1","23","2017-02-06 15:36:54","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1865","19","0","2017-01-26 00:00:00","100","Made telephone call to Ms. Phia San Gabriel.","0","","0.15","0","1","23","2017-02-06 15:39:06","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1866","19","0","2017-01-26 00:00:00","140","Drafted Reply to Auditor ","2500","","1.5","3750","1","23","2017-02-06 15:43:24","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1867","19","0","2017-01-26 00:00:00","94","Drafted Reply to Auditor","2500","","1.5","3750","1","23","2017-02-06 15:49:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1868","19","0","2017-01-26 00:00:00","102","Drafted Amended AOI","0","","0.5","0","1","23","2017-02-06 15:51:32","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1869","19","0","2017-01-27 00:00:00","100","Drafted Amended AOI","0","","0.5","0","1","23","2017-02-06 15:51:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1870","19","0","2017-01-26 00:00:00","163","One Accrete- Drafted Amended AOI","0","","0.5","0","1","23","2017-02-06 15:52:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1871","19","0","2017-01-27 00:00:00","163","Performed Other Service-digest for Next Mobile cases ","0","","0.3","0","1","23","2017-02-06 15:53:05","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1872","19","0","2017-01-27 00:00:00","102","Reviewed soft copy of AOI ","0","","0.5","0","1","23","2017-02-06 15:53:45","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1873","19","0","2017-01-27 00:00:00","100","Reviewed soft copy of AOI ","0","","0.5","0","1","23","2017-02-06 15:54:03","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1874","19","0","2017-01-27 00:00:00","163","One Accrete-Reviewed soft copy of AOI ","0","","1","0","1","23","2017-02-06 15:54:37","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1875","15","0","2016-11-02 00:00:00","64","Drafted and reviewed SPA giving authority to HMDC to process necessary documents to for Pantonial royalty agreement registration","0","","0.45","0","1","15","2017-02-06 15:58:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1876","15","0","2016-11-02 00:00:00","18","Drafted and supervised filing of Motion to Extend","0","","0.45","0","1","15","2017-02-06 16:01:29","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1877","15","0","2016-11-02 00:00:00","18","Performed Other Service: received phone call from Fritz Segovia regarding issuance of sec certificate for the opening of the university\'s Junior Highschool program. ","0","","0.45","0","1","15","2017-02-06 16:03:25","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1878","12","0","2017-02-06 00:00:00","167","Conferred with ","0","","2","0","1","12","2017-02-07 10:09:48","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1879","16","0","2017-02-06 00:00:00","141","Traveled to CTA for hearing for 9187","2500","","1.25","3125","1","16","2017-02-07 10:40:02","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1880","16","0","2017-02-06 00:00:00","141","Attended hearing at CTA 3rd Div for 9187","0","","3","0","1","16","2017-02-07 10:40:23","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("1881","16","0","2017-02-06 00:00:00","170","Made telephone call to Jeric re: ZHC Amendment of Articles","0","","0.2","0","1","16","2017-02-07 10:41:06","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1882","16","0","2017-02-06 00:00:00","85","Followed-up re: TGP Land title transfer and TGP CAR amendments","0","","0.5","0","1","16","2017-02-07 10:42:02","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("1883","16","0","2017-02-06 00:00:00","185","Researched on actions requiring approval of specific class of shares","100","","4","400","1","16","2017-02-07 10:42:57","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1884","16","0","2017-02-01 00:00:00","141","Traveled to CTA for hearing for 9188","2500","","1","2500","1","16","2017-02-07 10:43:45","16","2017-02-07 10:44:17","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1885","16","0","2017-02-01 00:00:00","141","Attended hearing for 9188","0","","3","0","1","16","2017-02-07 10:44:06","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("1886","12","0","2017-01-31 00:00:00","94","Internal routing Withdrawal of appearance\n","0","","0.1","0","1","21","2017-02-07 10:44:09","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1887","16","0","2017-02-01 00:00:00","141","Traveled to office from CTA hearing for 9188","0","","1.5","0","1","16","2017-02-07 10:44:34","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1888","12","0","2017-01-31 00:00:00","91","Internal routing Withdrawal of appearance\n","0","","0.1","0","1","21","2017-02-07 10:44:35","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1889","12","0","2017-01-31 00:00:00","93","Internal routing Withdrawal of appearance\n","0","","0.1","0","1","21","2017-02-07 10:44:58","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1890","16","0","2017-02-01 00:00:00","61","Drafted memo on hauling/delivery of petroleum products","0","","5","0","1","16","2017-02-07 10:45:09","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1891","12","0","2017-01-31 00:00:00","120","Internal routing Withdrawal of appearance\n","0","","0.1","0","1","21","2017-02-07 10:45:21","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1892","12","0","2017-02-06 00:00:00","170","Internal routing certificate of filing of Amended AOI\n","0","","0.1","0","1","21","2017-02-07 10:45:52","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1893","16","0","2017-01-31 00:00:00","143","Drafted revised Q&amp;A for Ms. Malapad\'s direct examination for 9188 LEO","2500","","1","2500","1","16","2017-02-07 10:45:58","16","2017-02-09 18:57:11","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1894","12","0","2017-02-06 00:00:00","11","Internal routing notice of resolution dtd 1.30.17\n","0","","0.1","0","1","21","2017-02-07 10:46:41","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1895","12","0","2017-02-06 00:00:00","143","Internal routing Comment/Opposition\n","0","","0.1","0","1","21","2017-02-07 10:47:05","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1896","12","0","2017-02-06 00:00:00","120","Internal routing Motion for Reconsideration and Manifestation\n","0","","0.1","0","1","21","2017-02-07 10:47:26","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1897","12","0","2017-02-06 00:00:00","81","Internal routing Letter from Board of Investment to SEC\n","0","","0.1","0","1","21","2017-02-07 10:48:49","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1898","16","0","2017-02-07 00:00:00","169","Attended meeting with EMP, Dr. Zuellig, Mr. Zuellig","0","","2","0","1","16","2017-02-07 16:37:01","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1899","16","0","2017-02-07 00:00:00","163","Notarized Deeds of Assignment for Mrs. Genato","0","","1","0","1","16","2017-02-07 16:37:35","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1900","16","0","2017-02-07 00:00:00","115","Internally discussed with EMP, RHO and FGS re: Padma/San Miguel matter","0","","0.25","0","1","16","2017-02-07 16:38:03","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1901","16","0","2017-02-07 00:00:00","115","Performed Other Service: segregated files with EMP re: Padma/San Miguel matter","0","","1.25","0","1","16","2017-02-07 16:38:22","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1902","16","0","2017-02-07 00:00:00","91","Drafted Reply to Auditor","2500","","0.5","1250","1","16","2017-02-07 16:38:44","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1903","16","0","2017-02-07 00:00:00","170","Wrote emails to Dr. Zuellig re: amendment of AOI","0","","0.5","0","1","16","2017-02-07 16:39:30","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1904","16","0","2017-02-07 00:00:00","170","Reviewed ZHC files for meeting","0","","0.5","0","1","16","2017-02-07 16:39:49","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1905","16","0","2017-02-07 00:00:00","124","Researched on follow-up query of Mr. Ezerins","3000","","2","6000","0","16","2017-02-07 16:40:31","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1906","16","0","2017-02-07 00:00:00","124","Researched re: followup query of Mr. Ezerins","3000","","2","6000","1","16","2017-02-07 16:40:40","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("1907","16","0","2017-02-08 00:00:00","56","Internally discussed with EMP re: Loan Agreement","0","","0.3","0","1","16","2017-02-08 15:15:12","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1908","16","0","2017-02-08 00:00:00","56","Drafted Loan Agreement","0","","2.5","0","1","16","2017-02-08 15:15:23","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1909","16","0","2017-02-08 00:00:00","124","Internally discussed with EMP re: Alvis follow-up query","3000","","0.2","600","1","16","2017-02-08 15:15:40","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1910","16","0","2017-02-08 00:00:00","47","Received telephone call from Atty. Riki Guevara re: Clinco minutes","0","","0.2","0","1","16","2017-02-08 15:15:59","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("1911","16","0","2017-02-08 00:00:00","48","Received telephone call from Atty. Riki Guevara re: Cemco minutes","0","","0.2","0","1","16","2017-02-08 15:16:16","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("1912","16","0","2017-02-08 00:00:00","48","Drafted Minutes of Special BOD meeting","0","","0.5","0","1","16","2017-02-08 15:16:25","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1913","16","0","2017-02-08 00:00:00","47","Drafted Minutes of special BOD meeting","0","","0.5","0","1","16","2017-02-08 15:16:39","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1914","16","0","2017-02-08 00:00:00","48","Drafted Comment on MR","0","","3","0","1","16","2017-02-08 15:16:49","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1915","16","0","2017-02-08 00:00:00","169","Internally discussed with FGS re: CGT and DST for assignment of shares to ZHC","0","","0.25","0","1","16","2017-02-08 15:17:16","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1916","16","0","2017-02-08 00:00:00","48","Revised Comment on MR per GVF\'s comments","0","","2","0","1","16","2017-02-08 15:17:51","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1917","12","0","2017-02-08 00:00:00","178","Conferred with Angela, then with SLMC and Quash","200","","4.2","840","1","12","2017-02-08 18:07:45","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1918","12","0","2017-02-08 00:00:00","178","Reviewed of files","200","","0.45","90","1","12","2017-02-08 18:08:01","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("1919","12","0","2017-02-08 00:00:00","178","Drafted  Loan Agreement","200","","1.25","250","1","12","2017-02-08 18:08:26","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1920","12","0","2017-02-08 00:00:00","155","Revised MOU","6000","","1.2","7200","1","12","2017-02-08 18:11:39","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("1921","12","0","2017-02-07 00:00:00","3","Made telephone call to Alvin","0","","0.3","0","1","12","2017-02-08 18:18:58","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1922","12","0","2017-02-07 00:00:00","3","Internally discussed with Dianne and review of various files/documents","0","","1.75","0","1","12","2017-02-08 18:19:33","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1923","12","0","2017-02-09 00:00:00","3","Made telephone call to Alvin","0","","0.2","0","1","12","2017-02-09 18:34:12","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1924","12","0","2017-02-09 00:00:00","97","Drafted partnership admission agreement","6000","","0.75","4500","1","12","2017-02-09 18:35:07","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1925","12","0","2017-02-09 00:00:00","80","Internally discussed with Maki -re subsidiary registration; internally discussed with Dianne re amendment agreements","0","","0.75","0","1","12","2017-02-09 18:36:49","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1926","12","0","2017-02-09 00:00:00","80","Wrote email to email to April Santiago","0","","0.2","0","1","12","2017-02-09 18:37:21","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1927","12","0","2017-02-09 00:00:00","56","Drafted -Loan Agreement","0","","1.2","0","1","12","2017-02-09 18:38:26","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1928","16","0","2017-02-09 00:00:00","81","Internally discussed with EMP re: amendment of SLAs","0","","0.25","0","1","16","2017-02-09 18:40:46","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1929","16","0","2017-02-09 00:00:00","81","Conference call with April Santiago re: amendment of SLAs for 2017","0","","0.25","0","1","16","2017-02-09 18:41:05","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("1930","16","0","2017-02-09 00:00:00","81","Drafted letter-amendments to SLAs with HEABS\' OpCos","0","","1.5","0","1","16","2017-02-09 18:41:24","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1931","16","0","2017-02-09 00:00:00","61","Attended meeting at Locsin Bldg with GVF and Marubeni officers (new matter, pre-litigation with Megawide)","0","","2","0","1","16","2017-02-09 18:42:03","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1932","16","0","2017-02-09 00:00:00","61","Traveled to office from Marubeni meeting at Locsin building","0","","0.75","0","1","16","2017-02-09 18:42:28","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("1933","16","0","2017-02-09 00:00:00","163","Attended meeting with Nikki re: planning","0","","3","0","1","16","2017-02-09 18:42:43","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1934","16","0","2017-02-09 00:00:00","124","Internally discussed with EMP re: Alvis follow-up query","3000","","0.4","1200","1","16","2017-02-09 18:42:59","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1935","16","0","2017-02-09 00:00:00","56","Drafted Loan Agreement (shorter version)","0","","2","0","1","16","2017-02-09 18:43:23","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1936","16","0","2017-02-09 00:00:00","177","Internally discussed with Ms. Lyn re: TINs of GDS Dallas and GDS Holdings UK","0","","0.25","0","1","16","2017-02-09 18:43:47","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1937","16","0","2017-02-09 00:00:00","177","Wrote emails to Victoria Robertson (GDS UK counsel) re: incorporation papers of GDS UK","0","","0.5","0","1","16","2017-02-09 18:44:14","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1938","16","0","2017-02-09 00:00:00","177","Wrote email to Kent Roberts re: GDS Dallas incorporation papers","0","","0.2","0","1","16","2017-02-09 18:44:44","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1939","16","0","2017-02-08 00:00:00","169","Wrote email to Dr Zuellig re: Derma 360 GIS and FS","0","","0.2","0","1","16","2017-02-09 18:45:29","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1940","16","0","2017-02-02 00:00:00","40","Performed Other Service: due diligence (Project Compass)","100","","8","800","1","16","2017-02-09 18:55:18","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1941","16","0","2017-02-03 00:00:00","40","Performed Other Service: due diligence (Project Compass)","0","","8","0","1","16","2017-02-09 18:55:27","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1942","16","0","2017-01-31 00:00:00","169","Drafted Minutes of SH and BOD meetings; Secretary\'s Certificate","0","","3","0","1","16","2017-02-09 18:57:41","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1943","16","0","2017-01-31 00:00:00","169","Wrote emails to Dr. Zuellig re: minutes of meetings and seccert","0","","0.5","0","1","16","2017-02-09 18:58:11","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1944","16","0","2017-01-31 00:00:00","56","Wrote email to Brian Hachez re: securing TIN for GDS Link HK","0","","0.2","0","1","16","2017-02-09 18:59:19","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1945","16","0","2017-01-31 00:00:00","11","Wrote email to Jong Bautista re: postponement of presentation of rebuttal evidence","0","","0.2","0","1","16","2017-02-09 18:59:47","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1946","16","0","2017-01-31 00:00:00","47","Performed Other Service: reviewed files to check date of previous annual meeting; wrote email to EMP ","0","","0.3","0","1","16","2017-02-09 19:00:28","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1947","16","0","2017-01-31 00:00:00","48","Performed Other Service: reviewed files to check date of previous annual meeting; wrote email to EMP ","0","","0.3","0","1","16","2017-02-09 19:00:42","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1948","16","0","2017-01-31 00:00:00","40","Performed Other Service: due diligence","100","","3","300","1","16","2017-02-09 19:01:06","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1949","12","0","2017-02-07 00:00:00","48","Internal routing sworn certification\n","0","","0.1","0","1","21","2017-02-10 13:42:05","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1950","12","0","2017-02-07 00:00:00","94","Internal routing minute resolution dtd 2.1.17\n","0","","0.1","0","1","21","2017-02-10 13:42:44","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1951","12","0","2017-02-07 00:00:00","120","Internal routing notice of resolution dtd 2.3.17\n","0","","0.1","0","1","21","2017-02-10 13:45:06","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1952","12","0","2017-02-07 00:00:00","100","Internal routing BIR Payment annual registration\n","0","","0.1","0","1","21","2017-02-10 13:46:16","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1953","12","0","2017-02-07 00:00:00","100","Internal routing BIR Payment annual registration\n","0","","0.1","0","1","21","2017-02-10 13:49:51","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1954","12","0","2017-02-07 00:00:00","45","Internal routing BIR Payment annual registration\n","0","","0.1","0","1","21","2017-02-10 13:51:41","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1955","12","0","2017-02-07 00:00:00","146","Internal routing BIR Payment annual registration\n","0","","0.1","0","1","21","2017-02-10 13:53:52","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1956","12","0","2017-02-07 00:00:00","73","Internal routing BIR Payment annual registration\n","6000","","0.1","600","1","21","2017-02-10 13:54:55","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1957","12","0","2017-02-07 00:00:00","72","Internal routing BIR Payment annual registration\n","0","","0.1","0","1","21","2017-02-10 13:55:40","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1958","12","0","2017-02-08 00:00:00","120","Internal routing minute resolution dtd 1.27.17\n","0","","0.1","0","1","21","2017-02-10 13:56:34","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1959","12","0","2017-02-08 00:00:00","93","Internal routing minute resolution dtd 1.27.17\n","0","","0.1","0","1","21","2017-02-10 13:56:57","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1960","12","0","2017-02-09 00:00:00","81","Internal routing Email from April\n","0","","0.1","0","1","21","2017-02-10 13:57:30","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("1961","12","0","2017-02-01 00:00:00","142","Attended at trial/hearing with DRP for presentation of Ms. Malapad","0","","0","0","0","21","2017-02-10 16:07:08","","","1","08:11:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("1962","12","0","2017-02-01 00:00:00","163","Attended meeting with Divina Panaguiton, GVF","0","","0","0","0","21","2017-02-10 16:08:37","","","1","15:16:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("1963","12","0","2017-02-03 00:00:00","125","Wrote email to Agnes Bohnen","6000","","0","0","0","21","2017-02-10 16:11:58","","","1","09:15:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("1964","12","0","2017-02-03 00:00:00","63","Drafted Secretary\'s Certificate","0","","0.166667","0","1","21","2017-02-10 16:12:56","","","1","09:15:00","09:25:00","3");
INSERT INTO file_billing_tbl VALUES("1965","12","0","2017-02-01 00:00:00","142","Attended at trial/hearing at CTA with DRP, for the presentation of Arazeli Malapad","0","","3","0","1","21","2017-02-10 16:17:05","","","1","08:00:00","11:00:00","15");
INSERT INTO file_billing_tbl VALUES("1966","12","0","2017-02-10 00:00:00","56","Drafted Loan Agreement and Service Agreement","0","","1.5","0","1","12","2017-02-10 18:42:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1967","12","0","2017-02-10 00:00:00","66","Drafted Zayco Operatiang Agreement","0","","3.85","0","1","12","2017-02-10 18:43:38","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1968","12","0","2017-02-10 00:00:00","3","Meeting with Alvin","0","","0.75","0","1","12","2017-02-10 18:44:23","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("1969","12","0","2017-02-10 00:00:00","3","Performed Other Service - Review of Files","0","","1.2","0","1","12","2017-02-10 18:44:46","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("1970","12","0","2017-02-10 00:00:00","66","Made telephone call to Allen Arbis","0","","0.5","0","1","12","2017-02-10 18:45:15","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("1971","12","0","2017-02-03 00:00:00","125","Wrote email to Agnes Bohnen","6000","","0.25","1500","1","21","2017-02-13 10:40:04","","","1","09:00:00","09:15:00","6");
INSERT INTO file_billing_tbl VALUES("1972","12","0","2017-02-03 00:00:00","64","Wrote email to note/email","0","","0.166667","0","1","21","2017-02-13 10:40:42","","","1","09:25:00","09:35:00","6");
INSERT INTO file_billing_tbl VALUES("1973","12","0","2017-02-06 00:00:00","84","Conferred with ","6000","","0.5","3000","1","21","2017-02-13 10:41:19","","","1","13:30:00","14:00:00","2");
INSERT INTO file_billing_tbl VALUES("1974","12","0","2017-02-06 00:00:00","106","Reviewed of work of Raytheon","0","","1.5","0","1","21","2017-02-13 10:42:22","","","1","14:00:00","15:30:00","12");
INSERT INTO file_billing_tbl VALUES("1975","12","0","2017-02-06 00:00:00","84","Wrote email to Dutch counsels","6000","","0.5","3000","1","21","2017-02-13 10:43:01","","","1","16:00:00","16:30:00","6");
INSERT INTO file_billing_tbl VALUES("1976","12","0","2017-02-06 00:00:00","144","Received telephone call from  Caina Go various tax matters","0","","0.5","0","1","21","2017-02-13 10:43:46","","","1","18:00:00","18:30:00","17");
INSERT INTO file_billing_tbl VALUES("1977","12","0","2017-02-07 00:00:00","3","Received telephone call from Alvin","0","","0.25","0","1","21","2017-02-13 10:44:19","","","1","09:00:00","09:15:00","17");
INSERT INTO file_billing_tbl VALUES("1978","12","0","2017-02-07 00:00:00","163","Wrote email to Art Personas","0","","0.25","0","1","21","2017-02-13 10:45:01","","","1","09:45:00","10:00:00","6");
INSERT INTO file_billing_tbl VALUES("1979","12","0","2017-02-07 00:00:00","151","Wrote email to Agnes re Sec Certs","6000","","0.416667","2500","1","21","2017-02-13 10:45:44","","","1","10:00:00","10:25:00","6");
INSERT INTO file_billing_tbl VALUES("1980","12","0","2017-02-07 00:00:00","19","Reviewed of work of Sec. Cert.","0","","0.416667","0","1","21","2017-02-13 10:46:13","","","1","11:00:00","11:25:00","12");
INSERT INTO file_billing_tbl VALUES("1981","12","0","2017-02-07 00:00:00","3","Reviewed of work of files","0","","1.5","0","1","21","2017-02-13 10:46:44","","","1","13:00:00","14:30:00","12");
INSERT INTO file_billing_tbl VALUES("1982","12","0","2017-02-07 00:00:00","170","Attended meeting with Dr. Hazel, David &amp; DRP","0","","0.5","0","1","21","2017-02-13 10:47:51","","","1","14:30:00","15:00:00","1");
INSERT INTO file_billing_tbl VALUES("1983","12","0","2017-02-07 00:00:00","169","Attended meeting with Dr. Hazel, David &amp; DRP","0","","0.5","0","1","21","2017-02-13 10:48:23","","","1","15:00:00","15:30:00","1");
INSERT INTO file_billing_tbl VALUES("1984","12","0","2017-02-07 00:00:00","163","Attended meeting with Dr. Hazel, David &amp; DRP re Derma 360","0","","0.5","0","1","21","2017-02-13 10:49:55","","","1","15:30:00","16:00:00","1");
INSERT INTO file_billing_tbl VALUES("1985","12","0","2017-02-07 00:00:00","81","Wrote email Malaysia Tax","0","","1.41667","0","1","21","2017-02-13 10:50:32","","","1","18:00:00","19:25:00","6");
INSERT INTO file_billing_tbl VALUES("1986","12","0","2017-02-08 00:00:00","84","Wrote various email to Dutch counsel","6000","","0.75","4500","1","21","2017-02-13 10:51:12","","","1","08:00:00","08:45:00","6");
INSERT INTO file_billing_tbl VALUES("1987","12","0","2017-02-08 00:00:00","144","Reviewed of work of Amended AOI","0","","0.333333","0","1","21","2017-02-13 10:51:54","","","1","09:40:00","10:00:00","12");
INSERT INTO file_billing_tbl VALUES("1988","12","0","2017-02-08 00:00:00","178","Performed Other Service ","200","","0.5","100","1","21","2017-02-13 10:52:42","","","1","10:15:00","10:45:00","11");
INSERT INTO file_billing_tbl VALUES("1989","12","0","2017-02-08 00:00:00","155","Performed Other Service","6000","","0.5","3000","1","21","2017-02-13 10:53:08","","","1","11:00:00","11:30:00","11");
INSERT INTO file_billing_tbl VALUES("1990","12","0","2017-02-08 00:00:00","178","Attended meeting with Angela Lee","200","","4","800","1","21","2017-02-13 10:53:43","","","1","12:00:00","16:00:00","1");
INSERT INTO file_billing_tbl VALUES("1991","12","0","2017-02-08 00:00:00","155","Performed Other Service","6000","","0.5","3000","1","21","2017-02-13 10:54:16","","","1","16:00:00","16:30:00","11");
INSERT INTO file_billing_tbl VALUES("1992","12","0","2017-02-08 00:00:00","56","Performed Other Service","0","","1","0","1","21","2017-02-13 10:55:09","","","1","17:00:00","18:00:00","11");
INSERT INTO file_billing_tbl VALUES("1993","16","0","2017-02-13 00:00:00","159","Internally discussed with GVF re: Preliminary Notice received from BIR","0","","0.2","0","1","16","2017-02-13 11:51:07","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1994","16","0","2017-02-13 00:00:00","39","Internally discussed with GVF re due diligence","100","","0.2","20","1","16","2017-02-13 11:51:23","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1995","16","0","2017-02-13 00:00:00","90","Internally discussed with GVF re: application for approval of sale","0","","0.2","0","1","16","2017-02-13 11:51:42","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1996","16","0","2017-02-13 00:00:00","163","Internally discussed with GVF re: Intelligens AOI","0","","0.2","0","1","16","2017-02-13 11:52:01","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("1997","16","0","2017-02-13 00:00:00","159","Drafted Reply to Preliminary Notice","0","","1","0","1","16","2017-02-13 11:52:16","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("1998","16","0","2017-02-13 00:00:00","169","Supervised filing of DST returns; GIS","0","","0.5","0","1","16","2017-02-13 11:52:47","16","2017-02-13 12:22:39","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("1999","16","0","2017-02-13 00:00:00","56","Drafted Sec Cert and minutes to authorize corporation to secure tax clearance from BIR","0","","1","0","1","16","2017-02-13 11:53:16","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2000","16","0","2017-02-13 00:00:00","163","Drafted Minutes for Derma 360 appointing EMP as Corp Sec","0","","1","0","1","16","2017-02-13 12:04:09","16","2017-02-13 12:22:28","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2001","16","0","2017-02-13 00:00:00","163","Supervised filing/preparation of GIS for Derma 360","0","","0.3","0","1","16","2017-02-13 12:23:10","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("2002","16","0","2017-02-13 00:00:00","39","Internally discussed with SLP, RHO and FGS re: Project Compass due diligence checklist and due diligence update","100","","2","200","1","16","2017-02-13 17:30:01","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2003","16","0","2017-02-13 00:00:00","169","Supervised preparation of CGT and DST returns; drafted email of draft returns to Dr. Zuellig","0","","0.5","0","1","16","2017-02-13 17:30:29","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("2004","16","0","2017-02-13 00:00:00","169","Internally discussed with EMP re: Sec Cert appointing Dr. Jao as attorney-in-fact for previous transactions entered into by Dr. Benjamin Co","0","","0.3","0","1","16","2017-02-13 17:31:32","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2005","16","0","2017-02-13 00:00:00","81","Internally discussed with GVF, then RHO, re: HEABS v. Victoria Hernandez Motion for Reconsideration","0","","0.3","0","1","16","2017-02-13 17:32:11","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2006","16","0","2017-02-13 00:00:00","39","Performed Other Service: due diligence","100","","2","200","1","16","2017-02-13 17:32:34","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2007","16","0","2017-02-10 00:00:00","163","Performed Other Service: Sick Leave","0","","8","0","1","16","2017-02-13 17:33:01","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2008","16","0","2017-02-10 00:00:00","169","Drafted minutes and sec cert appointing Dr. Jao as attorney-in-fact for previous transactions entered into by Dr. Co","0","","1.2","0","1","16","2017-02-13 17:33:37","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2009","16","0","2017-02-10 00:00:00","177","Wrote emails to Kent Roberts and Victoria Robertson re: incorporation papers of GDS Dallas and GDS UK (for CGT payment of transfer of shares of GDS Global)","0","","0.4","0","1","16","2017-02-13 17:34:31","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2010","16","0","2017-02-10 00:00:00","56","Drafted Service Agreement between GDS Dallas and GDS Link Asia","0","","1","0","1","16","2017-02-13 17:34:59","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2011","15","0","2017-02-13 00:00:00","181","Drafted and researched applicable laws, jurisprudence and regulations in drafting of opinion on options available to Mrs. Lichauco. (consolidated entry)","3000","","3.8","11400","1","15","2017-02-14 15:24:28","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2012","15","0","2017-02-13 00:00:00","181","Conferred with EMP and FGS on EMP\'s comments and revisions on the draft opinion. \n","0","","1","0","1","15","2017-02-14 15:25:20","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2013","15","0","2017-02-13 00:00:00","128","Drafted 3 sec certs for updating of bank signatories ","0","","0.5","0","1","15","2017-02-14 15:26:30","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2014","16","0","2017-02-14 00:00:00","124","Researched for/drafted memo re: Mr. Ezerin\'s follow-up query on reinvestment of branch profits","3000","","7.6","22800","1","16","2017-02-14 15:31:35","16","2017-02-14 15:32:45","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2015","16","0","2017-02-14 00:00:00","177","Internally discussed with Ms. Lyn re: TIN of GDS Link LLC","0","","0.2","0","1","16","2017-02-14 15:32:04","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2016","16","0","2017-02-14 00:00:00","177","Wrote email to Kent Roberts re: TIN of GDS Link LLC","0","","0.2","0","1","16","2017-02-14 15:32:26","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2017","15","0","2017-02-13 00:00:00","128","Drafted 3 secretary\'s certificates to update bank signatories. ","0","","0.8","0","1","15","2017-02-14 15:54:57","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2018","15","0","2017-02-13 00:00:00","64","Performed Other Service - addressed Raquel de Guzman\'s email and Micha\'s Lingan\'s requests for Cert of AOI amendment for HMDC","0","","1","0","1","15","2017-02-14 15:56:43","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2019","15","0","2017-02-13 00:00:00","66","Revised DORIC operating agreement as per EMP\'s instructions; include conference with EMP on the agreement to clean up last minute issues before sending to client (consolidated entry)","0","","2.5","0","1","15","2017-02-14 15:57:44","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2020","15","0","2017-02-13 00:00:00","94","Reviewed RHO\'s working draft of the Memorandum. Include research of cited laws and cases to verify applicability. ","2500","","2.8","7000","1","15","2017-02-14 16:01:04","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2021","15","0","2017-02-11 00:00:00","64","Drafted and finalized Notice for February 23 BOD meeting","0","","0.5","0","1","15","2017-02-14 16:02:59","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2022","15","0","2017-02-10 00:00:00","128","Drafted and finalized Notice for Feb. 23 BOD meeting","0","","0.5","0","1","15","2017-02-14 16:03:42","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2023","15","0","2017-02-13 00:00:00","185","Conferred with DRP, RHO and FGS on the preparation and division of labor for the due diligence report. Include review of uploaded documents to update checklist of requested documents. ","100","","2","200","1","15","2017-02-14 16:05:09","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2024","12","0","2017-02-13 00:00:00","163","Performed Other Service - Various office matter","0","","3.5","0","1","12","2017-02-14 16:06:03","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2025","12","0","2017-02-13 00:00:00","66","Drafted - Doric Operating Agreement and discussed with Sam and Ian","0","","1.75","0","1","12","2017-02-14 16:06:45","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2026","15","0","2017-02-10 00:00:00","110","Revised and finalized RHO\'s draft legal confirmation letters for SGV. ","0","","0.8","0","1","15","2017-02-14 16:07:01","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2027","15","0","2017-02-10 00:00:00","64","Revised and finalized RHO\'s draft legal confirmation letters for SGV. ","0","","0.8","0","1","15","2017-02-14 16:07:51","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2028","15","0","2017-02-10 00:00:00","128","Revised and finalized RHO\'s draft legal confirmation letters for SGV. ","0","","0.8","0","1","15","2017-02-14 16:08:21","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2029","15","0","2017-02-10 00:00:00","112","Revised and finalized RHO\'s draft legal confirmation letters for SGV. ","0","","0.8","0","1","15","2017-02-14 16:09:25","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2030","15","0","2017-02-10 00:00:00","111","Revised and finalized RHO\'s draft legal confirmation letters for SGV. ","0","","0.8","0","1","15","2017-02-14 16:09:42","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2031","15","0","2017-02-08 00:00:00","58","Drafted, revised and finalized Subscription Agreement (include conference with GVF on the revisions) (consolidated entry)","0","","3.7","0","1","15","2017-02-14 16:11:10","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2032","12","0","2017-02-13 00:00:00","163","Conferred with  Gary re various matters","0","","2","0","0","12","2017-02-14 16:13:50","","","2","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2033","12","0","2017-02-13 00:00:00","66","Drafted revised Doric Operating AGreement","0","","1.2","0","0","12","2017-02-14 16:14:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2034","12","0","2017-02-14 00:00:00","66","Drafted revised DORIC Operating Agreement","0","","1.5","0","1","12","2017-02-14 16:15:07","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2035","12","0","2017-02-14 00:00:00","163","Conferred with Gary","0","","2","0","1","12","2017-02-14 16:15:30","","","2","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2036","15","0","2016-11-15 00:00:00","19","Performed Other Service: Coordinated and communicated with Luz Canlapan on the drafting of affidavit of loss for missing stock certificate. ","0","","1","0","1","15","2017-02-14 16:16:36","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2037","15","0","2016-11-15 00:00:00","19","Performed Other Service - coordinated with Luz Canlapan on the requirements and procedure for replace of Feati\'s lost stock certificate. Include supervising paralegal for the publication of the notice ","0","","2.5","0","1","15","2017-02-14 16:18:03","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2038","15","0","2016-11-15 00:00:00","64","Drafted BOD minutes in preparation for December 2 meeting. ","0","","1","0","1","15","2017-02-14 16:19:02","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2039","15","0","2016-11-15 00:00:00","128","Drafted BOD minutes in preparation for December meeting. Include drafting of sec cert for asset disposal. ","0","","1.5","0","1","15","2017-02-14 16:19:57","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2040","15","0","2017-02-06 00:00:00","22","Traveled to Araneta Compound in Malabon to meet witjj BIR Examiner and Group Supervisor for VLAP\'s 2011 audit who will undertake examination of documents","0","","6.8","0","1","15","2017-02-14 16:21:53","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("2041","15","0","2016-11-15 00:00:00","136","Wrote email to other handling associates and updated table of case status to send update to client and to facilitate drafting of Replies to Auditor. ","2500","","0.8","2000","1","15","2017-02-14 16:23:45","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2042","15","0","2016-11-15 00:00:00","64","Conferred with EMP and subsequently Raquel de Guzman re request for sec cert - not included in master list of permits. ","0","","0.5","0","1","15","2017-02-14 17:15:51","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2043","16","0","2017-02-15 00:00:00","3","Reviewed documents from Salvador re CMMTC/AAIBV SHA","0","","1.25","0","1","16","2017-02-15 11:58:19","16","2017-02-15 11:59:44","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2044","16","0","2017-02-15 00:00:00","3","Attended meeting with EMP, RHO, Alvin Bugtas, Suegene Ang re: CMMTC/AAIBV SHA","0","","2","0","1","16","2017-02-15 11:58:44","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2045","16","0","2017-02-15 00:00:00","163","Attended board meeting for Concorde Condominium (client: Lydia Genato/Landmart Philippines) - meeting cancelled","0","","0.5","0","1","16","2017-02-15 11:59:34","16","2017-02-15 14:53:35","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2046","16","0","2017-02-15 00:00:00","163","Wrote email to GVF re meeting with Cora Calumba","0","","0.2","0","1","16","2017-02-15 12:01:10","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2047","16","0","2017-02-15 00:00:00","163","Wrote email to Atty. Jay Arnaldo of Salvador re: meeting with Cora Calumba","0","","0.2","0","1","16","2017-02-15 12:01:26","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2048","16","0","2017-02-15 00:00:00","163","Traveled to Concorde Condominium for board meeting","0","","0.5","0","1","16","2017-02-15 12:02:19","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("2049","16","0","2017-02-15 00:00:00","39","Performed Other Service: due diligence","100","","4","400","1","16","2017-02-15 12:02:34","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2050","16","0","2017-02-15 00:00:00","163","Traveled to office from Concorde Condominium ","0","","1","0","1","16","2017-02-15 14:55:50","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("2051","16","0","2017-02-15 00:00:00","159","Internally discussed with GVF re: Sustento and Acquapower","0","","0.35","0","1","16","2017-02-15 14:56:13","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2052","12","0","2017-02-15 00:00:00","3","Conferred with Alvin and Wong lawyers","0","","4.25","0","1","12","2017-02-15 19:31:42","12","2017-02-15 19:34:08","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2053","12","0","2017-02-15 00:00:00","178","Conferred with Charlie and Meloy Casas","200","","1","200","1","12","2017-02-15 19:32:09","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2054","12","0","2017-02-15 00:00:00","63","Reviewed of work of HOLCIM meeting materials re RF and Trust Agreement; discussions with Kitten","0","","0.5","0","1","12","2017-02-15 19:33:16","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2055","12","0","2017-02-15 00:00:00","144","Made telephone call to Carina re Fringe Benefits on Car and Share Transfers","0","","0.5","0","1","12","2017-02-15 19:33:46","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2056","12","0","2017-02-15 00:00:00","163","Attended meeting at FINEX","0","","2.25","0","1","12","2017-02-15 19:34:33","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2057","18","0","2017-01-23 00:00:00","163","Drafted letter of undertakin re: MPF Accreditation with Bureau of Immigration","0","","1.5","0","1","18","2017-02-16 10:51:35","","","2","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2058","18","0","2017-01-23 00:00:00","116","Performed Other Service-Update on Request for Ruling","0","","1.5","0","1","18","2017-02-16 10:52:02","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2059","18","0","2017-01-23 00:00:00","163","the Big @ St., Inc-Drafted Proposal for Business Permit","0","","1","0","1","18","2017-02-16 10:53:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2060","18","0","2017-01-23 00:00:00","188","Drafted Board Resolution/Director\'s Certificate re: ICC Application","3000","","2.5","7500","1","18","2017-02-16 10:53:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2061","18","0","2017-01-24 00:00:00","120","Drafted Legal Confirmation Reply","2500","","2","5000","1","18","2017-02-16 10:54:13","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2062","18","0","2017-01-24 00:00:00","141","Made telephone call to Ms. Ada Aquino","2500","","1","2500","1","18","2017-02-16 10:54:51","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2063","18","0","2017-01-24 00:00:00","163","Philip Teng- (Khita Hua\'s 9g Visa Application) Drafted Proposal for legal services-AEP and 9g","0","","1","0","1","18","2017-02-16 10:57:28","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2064","18","0","2017-01-24 00:00:00","163","Philip Teng- Internally discussed with EMP and FGS ","0","","1","0","1","18","2017-02-16 10:58:06","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2065","18","0","2017-01-24 00:00:00","163","Philip Teng- Reviewed list of Requirements ","0","","1.5","0","1","18","2017-02-16 10:58:38","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2066","18","0","2017-01-24 00:00:00","80","Wrote email to client for required additional information","0","","0.5","0","1","18","2017-02-16 10:59:20","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2067","18","0","2017-01-25 00:00:00","163","Phlip Teng-Wrote email to Sharon re: list of documents required in connection with Khita hua\'s Applications for an Alien Employment Permit and a 9g visa","0","","1","0","1","18","2017-02-16 11:00:24","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2068","18","0","2017-01-25 00:00:00","163","Philip Teng-Reviewed of checklist","0","","1","0","1","18","2017-02-16 11:09:57","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2069","18","0","2017-01-25 00:00:00","80","Update Client re: Registration Documents for Australia and new Zealand","0","","1","0","1","18","2017-02-16 11:16:04","18","2017-02-16 11:19:14","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2070","18","0","2017-01-25 00:00:00","188","Wrote email to update the client re: ICC","3000","","1","3000","1","18","2017-02-16 11:25:26","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2071","18","0","2017-01-25 00:00:00","142","Wrote email to client re: Judicial Affidavit of Arazeli L. Malapad.","2500","","0.5","1250","1","18","2017-02-16 11:26:27","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2072","18","0","2017-01-25 00:00:00","186","Drafted reply to FAN","3000","","2","6000","1","18","2017-02-16 11:26:56","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2073","18","0","2017-01-26 00:00:00","138","Drafted Reply to Auditor","2500","","2","5000","1","18","2017-02-16 11:30:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2074","18","0","2017-01-26 00:00:00","139","Drafted Reply to Auditor","2500","","2","5000","1","18","2017-02-16 11:30:26","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2075","18","0","2017-01-26 00:00:00","120","Drafted Reply to Auditor","2500","","2","5000","1","18","2017-02-16 11:36:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2076","18","0","2017-01-26 00:00:00","142","Drafted Reply to Auditor","2500","","2","5000","1","18","2017-02-16 11:37:20","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2077","18","0","2017-01-27 00:00:00","163","South Luzon Tollways Corp.- Drafted Reply to Auditor","0","","2","0","1","18","2017-02-16 11:42:12","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2078","18","0","2017-01-27 00:00:00","155","Drafted Memorandum of Undertaking","3000","","5","15000","1","18","2017-02-16 11:44:07","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2079","18","0","2017-01-30 00:00:00","155","Drafted General Information Sheet","0","","1.5","0","1","18","2017-02-16 11:45:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2080","18","0","2017-01-30 00:00:00","80","Drafted General Information Sheet","0","","1.5","0","1","18","2017-02-16 11:45:22","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2081","18","0","2017-01-30 00:00:00","120","Revise Reply to Auditor","2500","","2","5000","1","18","2017-02-16 11:45:53","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2082","18","0","2017-01-30 00:00:00","120","Made telephone call to Ms. Ada Santiago","0","","0.5","0","1","18","2017-02-16 11:46:14","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2083","18","0","2017-01-30 00:00:00","138","Revise Reply to Auditor","2500","","1","2500","1","18","2017-02-16 11:46:41","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2084","18","0","2017-01-30 00:00:00","142","Revise Reply to Auditor","2500","","1","2500","1","18","2017-02-16 11:47:10","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2085","18","0","2017-01-31 00:00:00","120","Drafted MR with Manifestation","2500","","3","7500","1","18","2017-02-16 11:49:02","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2086","18","0","2017-01-31 00:00:00","142","Revise Reply to Auditor","2500","","1","2500","1","18","2017-02-16 11:49:34","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2087","18","0","2017-01-31 00:00:00","120","Revise Reply to Auditor","2500","","1","2500","1","18","2017-02-16 11:49:57","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2088","18","0","2017-01-31 00:00:00","155","Update- SEC re: Lending Companies","3000","","2","6000","1","18","2017-02-16 13:51:48","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2089","18","0","2017-01-31 00:00:00","163","Art Personas-Drafted  Minutes of Meeting electing new directors","0","","2","0","1","18","2017-02-16 13:53:44","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2090","18","0","2017-02-01 00:00:00","120","Revise MR with Manifestation","2500","","2","5000","1","18","2017-02-16 13:54:10","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2091","18","0","2017-02-01 00:00:00","163","Z lifestyle &amp; Science-Revise AOI","0","","1","0","1","18","2017-02-16 13:54:54","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2092","18","0","2017-02-01 00:00:00","163","Wrote email to client re: Certificate of Incorporation","0","","1","0","1","18","2017-02-16 13:55:34","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2093","18","0","2017-02-01 00:00:00","186","Drafted Reply to FAN","3000","","2","6000","1","18","2017-02-16 13:56:03","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2094","18","0","2017-02-02 00:00:00","155","Revise Memorandum of Undertaking","3000","","2","6000","1","18","2017-02-16 13:59:38","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2095","18","0","2017-02-02 00:00:00","186","Drafted Reply to FAN","3000","","2","6000","1","18","2017-02-16 14:01:25","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2096","18","0","2017-02-02 00:00:00","186","Internally discussed with RHO and EMP","3000","","2","6000","1","18","2017-02-16 14:02:48","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2097","18","0","2017-02-02 00:00:00","163","Drafted Certificate of Employment","0","","1.5","0","1","18","2017-02-16 14:03:12","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2098","18","0","2017-02-03 00:00:00","186","Revise Reply to FAN","3000","","4","12000","1","18","2017-02-16 14:04:32","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2099","18","0","2017-02-03 00:00:00","186","Internally discussed with EMP re: Raytheon Issue","0","","1","0","1","18","2017-02-16 14:04:55","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2100","18","0","2017-02-03 00:00:00","163","Updated list-Case Reporting Assignments","0","","2","0","1","18","2017-02-16 14:05:30","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2101","18","0","2017-02-06 00:00:00","120","Traveled to CTA and attended hearing ","2500","","4.5","11250","1","18","2017-02-16 14:23:16","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("2102","18","0","2017-02-06 00:00:00","186","Attended meeting with Charlie Casas and Badeht Nanaga","3000","","2","6000","1","18","2017-02-16 14:23:43","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2103","18","0","2017-02-06 00:00:00","186","Revise Reply to FAN","0","","2","0","1","18","2017-02-16 14:25:23","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2104","18","0","2017-02-07 00:00:00","186","Revise Reply to FAN ","0","","3.5","0","1","18","2017-02-16 14:26:24","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2105","18","0","2017-02-07 00:00:00","155","Revise Memorandum of Undertaking","3000","","1","3000","1","18","2017-02-16 14:26:53","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2106","18","0","2017-02-07 00:00:00","163","Revise Certificate of Employment","0","","0.5","0","1","18","2017-02-16 14:28:15","","","2","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2107","18","0","2017-02-07 00:00:00","163","Art Personas- Drafted ","0","","2","0","1","18","2017-02-16 14:28:45","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2108","15","0","2017-02-16 00:00:00","64","Drafted and listened to 1.3 hours of recorded BOD minutes to prepare minutes and task list of December 2, 2016 board meeting","0","","2.8","0","1","15","2017-02-16 15:01:35","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2109","15","0","2017-02-16 00:00:00","64","Conferred with EMP and Atty. Allen over the phone re February 23 board meeting. ","0","","0.8","0","1","15","2017-02-16 15:02:05","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2110","15","0","2017-02-16 00:00:00","163","Performed Other Service - consolidated SEC rules on ASH and filing of GIS","0","","2.3","0","1","15","2017-02-16 15:02:45","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2111","15","0","2017-02-15 00:00:00","128","Drafted and listend to 1.8 hours of recorded BOD meeting to prepare minutes and task list of December 2, 2016 meeting. ","0","","3.2","0","1","15","2017-02-16 15:03:37","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2112","15","0","2017-02-15 00:00:00","94","Reviewed RHO\'s work to include additional comments. ","2500","","1.2","3000","1","15","2017-02-16 15:04:53","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2113","12","0","2017-02-16 00:00:00","94","Reviewed of Memorandum and internal discussion with SLP","0","","1.5","0","1","12","2017-02-16 17:16:41","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2114","12","0","2017-02-16 00:00:00","63","Conference call with Allen re Doric Marble, internal discussion with Sam and revising of Doric Marble Operating Agreement","0","","0.5","0","1","12","2017-02-16 17:17:37","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2115","12","0","2017-02-16 00:00:00","3","Conferred with Alvin, Fema and Wong Lawyers","0","","2","0","1","12","2017-02-16 17:18:07","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2116","12","0","2017-02-16 00:00:00","3","Examined files","0","","0.6","0","1","12","2017-02-16 17:18:40","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("2117","12","0","2017-02-16 00:00:00","186","Reviewed of work of MAC - Protest","6000","","0.6","3600","1","12","2017-02-16 17:28:24","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2118","16","0","2017-02-16 00:00:00","159","Internally discussed with GVF in preparation for meeting with Marjorie Torres, Diego Recalde and Andrew Cunanan","0","","1","0","1","16","2017-02-16 17:28:35","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2119","16","0","2017-02-16 00:00:00","159","Attended eeting with Marjorie Torres, Diego Recalde and Andrew Cunanan","0","","1","0","1","16","2017-02-16 17:28:54","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2120","16","0","2017-02-16 00:00:00","163","Internally discussed with GVF in preparation for meeting with Marjorie Torres, Diego Recalde and Andrew Cunanan (Sustento)","0","","1","0","1","16","2017-02-16 17:29:17","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2121","16","0","2017-02-16 00:00:00","163","Attended meeting with Marjorie Torres, Diego Recalde and Andrew Cunanan (Sustento)","0","","2","0","1","16","2017-02-16 17:29:34","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2122","16","0","2017-02-16 00:00:00","163","Reviewed corpsec documents for Sustento","0","","1","0","1","16","2017-02-16 17:29:53","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2123","16","0","2017-02-16 00:00:00","159","Reviewed corpsec documents for Acquapower","0","","1","0","1","16","2017-02-16 17:30:13","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2124","16","0","2017-02-16 00:00:00","56","Wrote email to Jatrina Chua re: Sec Cert and Minutes","0","","0.2","0","1","16","2017-02-16 17:30:39","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2125","12","0","2017-02-16 00:00:00","80","Reviewed of work LIST OF DOCUMENTS; internal discussion with maki and rochelle","0","","1","0","1","12","2017-02-16 19:13:11","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2126","12","0","2017-02-16 00:00:00","63","Revising of Doric Marble Operating Agreement","0","","1.2","0","1","12","2017-02-16 19:13:39","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2127","15","0","2017-02-16 00:00:00","64","Revised and rewrote HMDC minutes and task list by RHO in order to account for other matters in the December 2 BOD minutes. ","0","","1.8","0","1","15","2017-02-17 09:14:02","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2128","15","0","2017-02-16 00:00:00","94","Revised RHO\'s draft based on EMP\'s comments. Emailed draft to client for comments. ","2500","","0.8","2000","1","15","2017-02-17 09:14:35","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2129","15","0","2017-02-16 00:00:00","66","Revised draft DORIC agreement to conform with old draft. Include conference with EMP and Atty. Allen on the agreement. ","0","","1","0","1","15","2017-02-17 09:15:33","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2130","16","0","2017-02-16 00:00:00","169","Wrote email to Pia Yturzaeta re: CMI GIS","0","","0.2","0","1","16","2017-02-17 11:53:04","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2131","16","0","2017-02-16 00:00:00","56","Revised minutes and Sec Cert for sworn application to secure tax clearance","0","","1","0","1","16","2017-02-17 11:53:31","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2132","16","0","2017-02-17 00:00:00","124","Revised Alvis follow-up memo on reinvestment of branch profits","3000","","2.5","7500","1","16","2017-02-17 12:09:01","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2133","16","0","2017-02-17 00:00:00","159","Internally discussed with GVF re: outcome of meeting with client","0","","0.5","0","1","16","2017-02-17 12:09:24","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2134","16","0","2017-02-17 00:00:00","61","Internally discussed with GVF re: outcome of meeting with client (Sustento)","0","","0.5","0","1","16","2017-02-17 12:10:14","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2135","15","0","2017-02-16 00:00:00","185","Performed Other Service: Read and examined ARC financial statements as initial review of required due diligence information.","100","","3.5","350","0","15","2017-02-17 15:59:43","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2136","15","0","2017-02-18 00:00:00","185","Performed Other Service: Read and examined ARC financial statements as initial review of required due diligence information.","0","","3.5","0","1","15","2017-02-17 16:00:32","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2137","16","0","2017-02-17 00:00:00","61","Internally discussed with GVF","0","","0.4","0","1","16","2017-02-20 11:15:25","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2138","16","0","2017-02-17 00:00:00","169","Wrote emails to Dr. Zuellig re: CMI GIS details","0","","0.5","0","1","16","2017-02-20 11:15:53","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2139","16","0","2017-02-17 00:00:00","85","Internally discussed with GVF and Ms. Lyn re: TGP Land RD issues; drafted email containing list of additional requirements","0","","0.6","0","1","16","2017-02-20 11:16:33","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2140","16","0","2017-02-17 00:00:00","185","Performed Other Service: Due diligence","100","","5","500","1","16","2017-02-20 11:17:12","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2141","16","0","2017-02-17 00:00:00","97","Internally discussed with EMP re: draft agreements","2500","","0.3","750","1","16","2017-02-20 11:17:32","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2142","16","0","2017-02-17 00:00:00","163","Drafted Minutes of Meetings (Sustento)","0","","1.25","0","1","16","2017-02-20 11:18:04","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2143","16","0","2017-02-20 00:00:00","159","Drafted Minutes of Meetings ","0","","0.75","0","1","16","2017-02-20 11:18:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2144","16","0","2017-02-20 00:00:00","163","Drafted Minutes of Meetings (Sustento)","0","","1.25","0","1","16","2017-02-20 11:18:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2145","16","0","2017-02-20 00:00:00","97","Internally discussed with EMP re: draft agreements/revisions","2500","","0.4","1000","1","16","2017-02-20 11:19:13","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2146","16","0","2017-02-20 00:00:00","81","Internally discussed with EMP re: Master Service Agreement with Australia","0","","0.2","0","1","16","2017-02-20 11:19:37","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2147","16","0","2017-02-20 00:00:00","163","Drafted Declarations of Trust with Deeds of Assignment/Reviewed Sustento Share Transfers","0","","3","0","1","16","2017-02-20 11:20:22","16","2017-02-20 12:15:46","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2148","16","0","2017-02-20 00:00:00","185","Attended meeting with GVF at Axelum Office","100","","3","300","1","16","2017-02-20 11:20:40","16","2017-02-20 18:32:31","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2149","16","0","2017-02-20 00:00:00","124","Wrote email to Lea Molino re: conference call","3000","","0.1","300","1","16","2017-02-20 18:32:51","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2150","16","0","2017-02-20 00:00:00","80","Reviewed Motion for Reconsideration drafted by RHO","0","","2","0","1","16","2017-02-20 18:33:18","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2151","16","0","2017-02-20 00:00:00","141","Wrote email to MAC re: SGV query on Mr. Querido\'s commissioning as ICPA","2500","","0.3","750","1","16","2017-02-20 18:34:01","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2152","16","0","2017-02-20 00:00:00","163","Internally discussed with Ms. Lyn re; drafts of Sustento stock certificates","0","","0.5","0","1","16","2017-02-20 18:34:34","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2153","16","0","2017-02-20 00:00:00","163","Wrote email to Dr. Zuellig re: Derma 360 GIS","0","","0.3","0","1","16","2017-02-20 18:38:13","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2154","16","0","2017-02-20 00:00:00","61","Researched for query on hauling/wrote email with cases to GVF","0","","0.5","0","1","16","2017-02-20 18:43:45","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2155","16","0","2017-02-21 00:00:00","163","Filled out entries for Sustento\'s stock and transfer book (assisted by Ms. Lyn)","0","","1.2","0","1","16","2017-02-21 16:17:36","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2156","16","0","2017-02-21 00:00:00","159","Filled out entries for Acquapower\'s stock and transfer book (assisted by Ms. Lyn)","0","","0.75","0","1","16","2017-02-21 16:17:52","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2157","16","0","2017-02-21 00:00:00","169","Wrote email to Dr. Zuellig re: CMI CGT returns","0","","0.2","0","1","16","2017-02-21 16:18:23","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2158","16","0","2017-02-21 00:00:00","47","Reviewed draft GIS","0","","0.4","0","1","16","2017-02-21 16:18:44","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2159","16","0","2017-02-21 00:00:00","48","Reviewed draft GIS","0","","0.4","0","1","16","2017-02-21 16:19:01","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2160","16","0","2017-02-21 00:00:00","48","Wrote email to EMP re GIS filing and amendment of AOI","0","","0.3","0","1","16","2017-02-21 16:19:18","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2161","16","0","2017-02-21 00:00:00","47","Wrote email to EMP re GIS filing and amendment of AOI","0","","0.3","0","1","16","2017-02-21 16:19:33","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2162","16","0","2017-02-21 00:00:00","159","Wrote email to Marjorie Torres re: meeting for deliverables","0","","0.2","0","1","16","2017-02-21 16:19:54","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2163","16","0","2017-02-21 00:00:00","124","Internally discussed with EMP re: Alvis memo (3 meetings total)","3000","","1.25","3750","1","16","2017-02-21 16:20:29","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2164","16","0","2017-02-21 00:00:00","124","Further revised Alvis follow-up memo","3000","","4","12000","1","16","2017-02-21 16:20:46","16","2017-02-21 16:20:56","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2165","16","0","2017-02-21 00:00:00","84","Drafted comparison of fee proposals for DutchCo/LuxCo","2500","","2","5000","1","16","2017-02-21 16:52:20","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2166","12","0","2017-02-21 00:00:00","63","Received telephone call from  Kitten re HMDC Directors","0","","0.5","0","1","12","2017-02-22 05:18:50","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("2167","12","0","2017-02-21 00:00:00","181","Wrote Opinion on Mrs. Lichauco/Memorandum of Agreement/TAx","6000","","1.5","9000","1","12","2017-02-22 05:19:55","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("2168","12","0","2017-02-21 00:00:00","124","Wrote Opinion on Branch Profits","6000","","1.5","9000","1","12","2017-02-22 05:20:15","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("2169","12","0","2017-02-21 00:00:00","84","Wrote email to client/Dutch Service Providers","6000","","1","6000","1","12","2017-02-22 05:20:59","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2170","12","0","2017-02-20 00:00:00","64","Drafted Minutes of meeting","0","","1.5","0","1","12","2017-02-22 06:21:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2171","12","0","2017-02-22 00:00:00","64","Wrote email to Directors","0","","1","0","1","12","2017-02-22 06:21:42","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2172","12","0","2017-02-22 00:00:00","80","Reviewed of work of Australia MSA","0","","1.5","0","1","12","2017-02-22 06:22:25","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2173","16","0","2017-02-22 00:00:00","124","Conference call with Alvis","3000","","0.5","1500","1","16","2017-02-22 15:34:42","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("2174","16","0","2017-02-22 00:00:00","84","Attended meeting with Marjorie Torres and Andrew Cunanan","2500","","2.25","5625","1","16","2017-02-22 15:35:07","16","2017-02-22 15:38:06","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2175","16","0","2017-02-22 00:00:00","39","Attended meeting at Salvador office with Cora Calumba and Atty. Arnaldo","100","","1","100","1","16","2017-02-22 15:36:14","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2176","16","0","2017-02-22 00:00:00","84","Performed Other Service: reviewed documents in preparation for Sustento/Acquapower/WTL meeting","2500","","1.25","3125","1","16","2017-02-22 15:37:58","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2177","12","0","2017-02-23 00:00:00","80","Conferred with  ","0","","0.8","0","1","12","2017-02-23 09:46:15","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2178","12","0","2017-02-22 00:00:00","64","Performed Other Service - Coordinating meeting schedule and various phone calls","0","","0.75","0","1","12","2017-02-23 09:47:53","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2179","12","0","2017-02-22 00:00:00","66","Conferred with  HAZ representives and Atty Allen Arbis re HAZ Operating Agreement","0","","1.75","0","1","12","2017-02-23 09:48:30","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2180","12","0","2017-02-22 00:00:00","66","Traveled to Holcim","0","","0.75","0","1","12","2017-02-23 09:48:49","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("2181","12","0","2017-02-22 00:00:00","124","Conferred with  Mr. Ezerins","6000","","0.75","4500","1","12","2017-02-23 09:49:37","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2182","12","0","2017-02-20 00:00:00","124","Finalizing of Opinion","6000","","1.75","10500","1","12","2017-02-23 09:50:22","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("2183","12","0","2017-02-20 00:00:00","181","Wrote Opinion on income tax","6000","","1.75","10500","1","12","2017-02-23 09:50:55","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("2184","12","0","2017-02-20 00:00:00","84","Wrote email to Netherlands/Marjorie","6000","","0.75","4500","1","12","2017-02-23 09:51:47","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2185","16","0","2017-02-22 00:00:00","84","Drafted table of comparison of fees, steps and scope of work for Dutch-LuxCo structure","0","","4","0","1","16","2017-02-23 12:20:59","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2186","16","0","2017-02-22 00:00:00","84","Drafted table of comparison of fees, steps and scope of work for Dutch-LuxCo structure","0","","1","0","1","16","2017-02-23 12:21:17","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2187","16","0","2017-02-22 00:00:00","81","Revised/finalized Motion for Reconsideration for filing","0","","1.5","0","1","16","2017-02-23 12:21:37","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2188","16","0","2017-02-23 00:00:00","81","Revised/finalized Motion for Reconsideration for HEABS v. Hernandez","0","","1.25","0","1","16","2017-02-23 12:22:07","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2189","16","0","2017-02-23 00:00:00","84","Drafted table of comparison of fees, steps and scope of work for Dutch-LuxCo structure","2500","","2","5000","1","16","2017-02-23 12:22:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2190","12","0","2017-02-20 00:00:00","64","Attended BOD Meeting of HMDC","0","","3.25","0","1","12","2017-02-23 13:42:17","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2191","12","0","2017-02-20 00:00:00","64","Attended BOD Meeting","0","","3.25","0","1","12","2017-02-23 13:42:36","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2192","12","0","2017-02-09 00:00:00","169","Internal routing minutes of organizational meeting 1.27.17\n","0","","0.1","0","1","21","2017-02-24 13:57:02","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2193","12","0","2017-02-09 00:00:00","81","Internal routing GIS 2016\n","0","","0.1","0","1","21","2017-02-24 13:58:16","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2194","12","0","2017-02-20 00:00:00","142","Internal routing Order dtd. 2.1.17\n","0","","0.1","0","1","21","2017-02-24 13:59:13","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2195","12","0","2017-02-20 00:00:00","143","Internal routing Notice of resolution dtd 2.8.17\n","0","","0.1","0","1","21","2017-02-24 13:59:35","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2196","12","0","2017-02-20 00:00:00","186","Internal routing Letter to BIR\n","6000","","0.1","600","1","21","2017-02-24 14:00:20","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2197","12","0","2017-02-20 00:00:00","140","Internal routing Comment by Respondent\n","0","","0.1","0","1","21","2017-02-24 14:00:57","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2198","12","0","2017-02-21 00:00:00","134","Internal routing certification of good standing from SEC\n","180","","0.1","18","1","21","2017-02-24 14:01:30","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2199","12","0","2017-02-23 00:00:00","141","Internal routing Order dtd. 2.6.17\n","0","","0.1","0","1","21","2017-02-24 14:39:02","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2200","12","0","2017-02-23 00:00:00","142","Internal routing Compliance\n","0","","0.1","0","1","21","2017-02-24 14:39:31","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2201","12","0","2017-02-23 00:00:00","49","Internal routing notice of resolution 2.20.17\n","0","","0.1","0","1","21","2017-02-24 14:39:58","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2202","12","0","2017-02-23 00:00:00","93","Internal routing Notice of decision\n","0","","0.1","0","1","21","2017-02-24 14:40:47","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2203","12","0","2017-02-23 00:00:00","94","Internal routing Memorandum\n","0","","0.1","0","1","21","2017-02-24 14:41:45","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2204","12","0","2017-02-23 00:00:00","10","Internal routing Letter to BIR\n","0","","0.1","0","1","21","2017-02-24 14:42:22","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2205","12","0","2017-02-23 00:00:00","186","Internal routing transmittal letter\n","6000","","0.1","600","1","21","2017-02-24 14:42:57","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2206","15","0","2017-02-27 00:00:00","105","Conferred with EMP, MAC, Erik Chan, Martin Apanda and Dato Dennis re revival of solar panel leasing contract","100","","1","100","1","15","2017-02-27 16:13:45","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2207","15","0","2017-02-27 00:00:00","105","Internally discussed with EMP, MAC and FGS to review issues on solar generation and panel leasing.","100","","0.8","80","1","15","2017-02-27 16:14:22","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2208","15","0","2017-03-01 00:00:00","105","Reviewed previous opinions on solar energy laws to prep for meeting. Reviewed ERC Regulation No. 5-2016 to updated on PPA issue","100","","1.5","150","1","15","2017-03-01 11:44:09","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2209","15","0","2017-03-01 00:00:00","163","Performed Other Service: filed up evaluation form for non-legal staff","0","","2.5","0","1","15","2017-03-01 12:58:36","15","2017-03-01 12:59:37","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2210","15","0","2017-03-01 00:00:00","66","Revised HZ-HRDC OPerating Agreement to conform with EMP\'s notes on the negotiations with HAZ representative. ","0","","2.1","0","1","15","2017-03-01 12:59:24","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2211","19","0","2017-01-26 00:00:00","67","Drafted reply email to Mrs. Teresita Perez","0","","0.2","0","0","19","2017-03-01 15:06:03","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2212","19","0","2017-01-26 00:00:00","67","Examined documents and records of Mrs. Teresita Perez for transfer of title requirements","0","","0.3","0","0","19","2017-03-01 15:11:14","19","2017-03-01 15:12:12","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("2213","15","0","2017-03-01 00:00:00","163","Performed Other Service: conducted individual staff evaluation of Joy and Anne. ","0","","2","0","1","15","2017-03-01 18:47:03","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2214","15","0","2017-02-27 00:00:00","140","Revised Reply based on EMP\'s comments. Finalized and supervsied filing.","2500","","3","7500","1","15","2017-03-01 18:48:09","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2215","15","0","2017-03-26 00:00:00","140","Drafted Reply for Project Taurus (CTA Case No. 9218). Include additional research of statutes and jurisprduence. ","0","","3.2","0","1","15","2017-03-01 18:48:59","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2216","15","0","2017-02-28 00:00:00","163","Performed Other Service: Attended seminar on Tax Audit","0","","4","0","1","15","2017-03-01 18:49:42","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2217","15","0","2017-02-28 00:00:00","105","Conferred with EMP, EriK Chan and Marlon Apanda. Continuation of catching and moving forward with the solar project. ","100","","1.3","130","1","15","2017-03-01 18:50:19","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2218","15","0","2017-02-28 00:00:00","66","Conferred with with EMP on revisions for the HZ-HRDC Operating Agreement. ","0","","0.5","0","1","15","2017-03-01 18:51:19","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2219","19","0","2017-01-30 00:00:00","163","APC Properties-Drafted Secretary\'s Certificate on minutes","0","","0.2","0","1","19","2017-03-03 14:42:46","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2220","19","0","2017-01-30 00:00:00","163","APC Properties-Reviewed transmittal letter ","0","","0.3","0","1","19","2017-03-03 14:43:24","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2221","19","0","2017-01-30 00:00:00","163","APC Properties-Drafted Secretary\'s Certificate on Shareholdings","0","","0.2","0","1","19","2017-03-03 14:44:16","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2222","19","0","2017-01-30 00:00:00","163","APC Properties-Drafted Secretary\'s Certificate for Bank Signatories","0","","0.15","0","1","19","2017-03-03 14:44:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2223","19","0","2017-01-30 00:00:00","163","Sigma Cee Mining-Drafted Secretary\'s Certificate on minutes","0","","0.2","0","1","19","2017-03-03 14:45:30","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2224","19","0","2017-01-30 00:00:00","163","SCMC-Reviewed Transmittal letter ","0","","0.3","0","1","19","2017-03-03 14:46:02","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2225","19","0","2017-01-30 00:00:00","163","Drafted Secretary\'s Certificate on Shareholdings and for Bank Signatories","0","","0.35","0","1","19","2017-03-03 15:00:08","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2226","19","0","2017-01-30 00:00:00","163","HRDC-Drafted Secretary\'s Certificate on Minutes and Secretary\'s Certificate on Shareholdings.","0","","0.4","0","1","19","2017-03-03 15:01:52","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2227","19","0","2017-01-30 00:00:00","163","HRDC-Reviewed Transmittal letter","0","","0.03","0","1","19","2017-03-03 15:02:29","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2228","19","0","2017-01-30 00:00:00","140","Reviewed Reply to Auditor","2500","","0.4","1000","1","19","2017-03-03 15:04:20","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2229","19","0","2017-01-30 00:00:00","94","Reviewed Reply to Auditor","2500","","0.45","1125","1","19","2017-03-03 15:05:11","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2230","19","0","2017-01-31 00:00:00","163","LORVI-Drafted Secretary\'s Certificate on minutes; and Secretary\'s Certificate on shareholdings","0","","0.4","0","1","19","2017-03-03 15:06:13","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2231","19","0","2017-01-31 00:00:00","163","LORVI-Reviewed transmittal letter","0","","0.03","0","1","19","2017-03-03 15:07:03","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2232","19","0","2017-01-31 00:00:00","163","QLI-Drafted Secretary\'s Certificate on minutes and Secretary\'s Certificate on Shareholdings","0","","0.4","0","1","19","2017-03-03 15:07:43","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2233","19","0","2017-01-31 00:00:00","163","QLI-Reviewed transmittal letter","0","","0.03","0","1","19","2017-03-03 15:08:09","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2234","19","0","2017-01-31 00:00:00","64","Drafted Secretary\'s Certificate on Minutes and on shareholdings","0","","0.4","0","1","19","2017-03-03 15:08:49","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2235","19","0","2017-01-31 00:00:00","64","Reviewed transmittal letter","0","","0.03","0","1","19","2017-03-03 15:09:12","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2236","19","0","2017-01-31 00:00:00","128","Drafted Secretary\'s Certificate on minutes and Secretary\'s Certificate on Shareholdings","0","","0.4","0","1","19","2017-03-03 15:12:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2237","19","0","2017-01-31 00:00:00","128","Reviewed transmittal letter and previously issued Secretary\'s Certificate","0","","0.25","0","1","19","2017-03-03 15:12:28","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2238","15","0","2017-02-28 00:00:00","93","Researched and studied denial of CTA Case no. 9009 for purspoes of filing MR. Conference with FGS on the drafting of the MR. ","2500","","2","5000","1","15","2017-03-03 15:18:35","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2239","15","0","2017-03-02 00:00:00","58","Performed Other Service: communicated with John Merin re authentication of documents for MEIF","0","","0.5","0","1","15","2017-03-03 17:14:58","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2240","15","0","2017-03-02 00:00:00","163","Performed Other Service: evaluated staff","0","","3.8","0","1","15","2017-03-03 17:46:10","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2241","15","0","2017-03-02 00:00:00","151","Revised FGS\' draft of minutes for BDO dollar account. Drafted secretary\'s certficate","2500","","1","2500","1","15","2017-03-03 17:53:26","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2242","15","0","2017-03-02 00:00:00","64","Reviewed incorporated changes to December 2, 2016 minutes of meeeting for LHAI and HMDC. ","0","","0.8","0","1","15","2017-03-03 17:54:55","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2243","15","0","2017-03-03 00:00:00","58","Performed Other Service: traveled to MBG office to authenticate documents. ","0","","1.5","0","1","15","2017-03-03 17:58:24","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2244","15","0","2017-03-03 00:00:00","163","Performed Other Service: read cases for friday lawyer\'s lunch and drafted digests. Include lawyer\'s lunch. ","0","","4.5","0","1","15","2017-03-03 18:00:30","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2245","15","0","2017-03-03 00:00:00","163","Performed Other Service: staff evaluation and discussion regarding procedure to cascade incoming documents with dockets. ","0","","3.2","0","1","15","2017-03-03 18:01:19","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2246","15","0","2017-03-05 00:00:00","93","Revised and reviewed and redrafted  FGS\'s MR draft. Include research of updated rules regulations and cases on VAT refund. ","2500","","4.8","12000","1","15","2017-03-06 02:12:22","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2247","15","0","2017-03-01 00:00:00","93","Researched on updated rules and cases on input VAT refund and reviewed court decision denying the judicial claim. ","2500","","2.5","6250","1","15","2017-03-06 02:13:53","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2248","12","0","2017-03-03 00:00:00","63","Received telephone call from ","0","","0.5","0","1","12","2017-03-06 08:16:49","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("2249","12","0","2017-03-02 00:00:00","63","Received telephone call from Kitten - re various RF issues","0","","1","0","1","12","2017-03-06 08:17:19","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("2250","12","0","2017-03-04 00:00:00","80","Drafted Collaboration Agreement","0","","1.75","0","1","12","2017-03-06 08:18:26","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2251","12","0","2017-03-03 00:00:00","80","Read Email from Thusitha re Collaboration Agreement","0","","0.3","0","1","12","2017-03-06 08:18:58","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("2252","12","0","2017-03-03 00:00:00","144","Read Email from Carina Go re SGV requirements","0","","0.2","0","1","12","2017-03-06 08:20:19","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("2253","12","0","2017-02-27 00:00:00","163","Attended meeting at Sofitel Hotel re ICD","0","","3","0","1","12","2017-03-06 08:21:23","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2254","12","0","2017-02-27 00:00:00","84","Performed Other Service - Various emails to Netherlands Counsel and Marjorie","6000","","1.5","9000","1","12","2017-03-06 08:21:57","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2255","12","0","2017-02-28 00:00:00","84","Wrote email to Marjorie and Dutch Counsel; review of emails","0","","1","0","1","12","2017-03-06 08:23:05","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2256","12","0","2017-02-28 00:00:00","80","Conferred with Holcim Australia and Jon Testor","0","","0.8","0","1","12","2017-03-06 08:23:51","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2257","12","0","2017-02-28 00:00:00","1","Attended Board Meeting","0","","2.5","0","1","12","2017-03-06 08:24:42","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2258","12","0","2017-02-28 00:00:00","1","Conference Call with Shadik","0","","0.75","0","1","12","2017-03-06 08:25:03","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2259","12","0","2017-02-28 00:00:00","151","Read Email from Philip Teng re PPIC Board Resolutions","6000","","0.2","1200","1","12","2017-03-06 08:26:10","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("2260","12","0","2017-03-01 00:00:00","66","Drafted Revised HAZ Operating Agreement","0","","1.75","0","1","12","2017-03-06 08:27:10","12","2017-03-06 08:31:22","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2261","12","0","2017-03-01 00:00:00","163","Performed Other Service  - Billings","0","","1.5","0","1","12","2017-03-06 08:28:05","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2262","12","0","2017-02-27 00:00:00","105","Conferred with Erik Chan and Co.","0","","2","0","1","12","2017-03-06 08:30:17","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2263","12","0","2017-02-28 00:00:00","105","Conferred with Erik Chan","0","","1","0","1","12","2017-03-06 08:30:45","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2264","12","0","2017-03-01 00:00:00","105","Read Email from Erik Chan","0","","0.2","0","1","12","2017-03-06 08:31:12","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("2265","12","0","2017-02-28 00:00:00","163","Attended meeting at  MAP GMM","0","","2","0","1","12","2017-03-06 08:32:00","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2266","12","0","2017-03-02 00:00:00","163","Attended meeting at FINEX - NAC ","0","","2","0","1","12","2017-03-06 08:32:49","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2267","12","0","2017-03-02 00:00:00","124","Wrote email to Mr. Ezerins","6000","","0.5","3000","1","12","2017-03-06 08:34:50","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2268","19","0","2017-01-31 00:00:00","163","Attended meeting on MPF library rules, labeling and book acquisition ","0","","0.3","0","1","19","2017-03-06 09:44:04","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2269","19","0","2017-01-31 00:00:00","163","APC-Reviewed drafted Secretary\'s Certificate on minutes and shareholdings.","0","","0.1","0","1","19","2017-03-06 10:00:11","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2270","19","0","2017-01-31 00:00:00","163","SCMC-Reviewed drafted Secretary\'s Certificate on minutes and shareholdings.","0","","0.1","0","1","19","2017-03-06 10:01:25","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2271","19","0","2017-01-31 00:00:00","163","LORVI-Reviewed drafted Secretary\'s Certificate on minutes and shareholdings.","0","","0.1","0","1","19","2017-03-06 10:01:51","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2272","19","0","2017-01-31 00:00:00","163","QLI-Reviewed drafted Secretary\'s Certificate on minutes and shareholdings.","0","","0.1","0","1","19","2017-03-06 10:02:08","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2273","19","0","2017-01-31 00:00:00","128","Reviewed drafted Secretary\'s Certificate on minutes and shareholdings","0","","0.1","0","1","19","2017-03-06 10:03:52","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2274","19","0","2017-01-31 00:00:00","64","-Reviewed drafted Secretary\'s Certificate on minutes and shareholdings","0","","0.1","0","1","19","2017-03-06 10:04:13","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2275","15","0","2016-11-09 00:00:00","66","Revised all draft assignment agreements after EMP\'s review. Include updating of status of contracts","0","","1.5","0","1","15","2017-03-06 15:05:18","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2276","19","0","2017-02-01 00:00:00","64","Reviewed/Proofread minutes and listened to recordings ","0","","1","0","1","19","2017-03-06 15:20:42","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2277","19","0","2017-02-01 00:00:00","128","Reviewed/Proofread minutes and listened to recordings ","0","","1.5","0","1","19","2017-03-06 15:39:34","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2278","19","0","2017-02-01 00:00:00","163","Performed Other Service- digest previously reported cases","0","","0.15","0","1","19","2017-03-06 15:40:49","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2279","19","0","2017-02-01 00:00:00","94","Reviewed/examined CIR\'s Answer","2500","","0.35","875","0","19","2017-03-06 15:41:33","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2280","19","0","2017-02-01 00:00:00","94","Drafted Memorandum ","0","","1","0","1","19","2017-03-06 15:42:24","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2281","19","0","2017-02-02 00:00:00","163","Researched on SEC rules","0","","0.3","0","1","19","2017-03-06 15:42:51","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2282","19","0","2017-02-02 00:00:00","163","Performed Other Service-digest previously reported cases","0","","0.15","0","1","19","2017-03-06 15:43:43","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2283","19","0","2017-02-02 00:00:00","94","Reviewed/examined CIR\'s Answer ","0","","0.35","0","1","19","2017-03-06 15:45:44","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2284","19","0","2017-02-02 00:00:00","94","Drafted Memorandum ","0","","2","0","1","19","2017-03-06 15:46:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2285","19","0","2017-02-03 00:00:00","163","Performed Other Service digest previously repored cases","0","","0.15","0","1","19","2017-03-06 15:46:36","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2286","19","0","2017-02-03 00:00:00","163","Researched on SEC Rules ","0","","0.3","0","1","19","2017-03-06 15:51:13","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2287","19","0","2017-02-03 00:00:00","94","Drafted Memorandum ","2500","","2","5000","1","19","2017-03-06 15:54:21","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2288","19","0","2017-02-07 00:00:00","94","Drafted Memorandum ","2500","","4","10000","1","19","2017-03-06 16:04:15","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2289","19","0","2017-02-06 00:00:00","94","Drafted Memorandum ","0","","2","0","1","19","2017-03-06 16:05:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2290","19","0","2017-02-06 00:00:00","94","Reviewed/examined Formal Offer of Evidence ","0","","1","0","1","19","2017-03-06 16:05:51","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2291","19","0","2017-02-08 00:00:00","94","Drafted Memorandum ","2500","","4","10000","1","19","2017-03-06 16:06:39","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2292","19","0","2017-02-09 00:00:00","94","Reviewed drafted Memorandum ","2500","","1.5","3750","1","19","2017-03-06 16:07:15","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2293","19","0","2017-03-09 00:00:00","167","Drafted Protests to FAN","0","","2.5","0","1","19","2017-03-06 16:08:05","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2294","15","0","2017-01-05 00:00:00","125","Performed Other Service: reviewed list of pending work for Nichoong properties, including post-transfer of property requirements. Conference with EMP and Ariel Elcane on the urgent items on the list. ","0","","1.8","0","1","15","2017-03-06 16:09:23","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2295","19","0","2017-02-09 00:00:00","167","Drafted Protest to FAN","0","","2.5","0","1","19","2017-03-06 16:20:07","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2296","19","0","2017-02-09 00:00:00","163","Attended meeting with Ms. Nikki","0","","2","0","1","19","2017-03-06 16:20:30","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2297","19","0","2017-02-10 00:00:00","163","Performed Other Service-digest of reported case","0","","0.15","0","1","19","2017-03-06 16:24:49","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2298","19","0","2017-02-10 00:00:00","3","Reviewed transmitted files from Salvador Law","0","","7","0","1","19","2017-03-06 16:25:18","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2299","19","0","2017-02-13 00:00:00","94","Reviewed/Proofread Memorandum","2500","","0.5","1250","1","19","2017-03-06 16:26:14","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2300","19","0","2017-02-13 00:00:00","185","Attended meeting on due diligence with SLP, DRP and FGS","100","","1","100","1","19","2017-03-06 16:26:51","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2301","19","0","2017-02-13 00:00:00","80","Reviewed documents for BOI accreditation","0","","0.3","0","1","19","2017-03-06 16:28:26","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2302","19","0","2017-02-13 00:00:00","163","Performed Other Service-digest previously reported cases","0","","0.15","0","1","19","2017-03-06 16:29:02","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2303","25","0","2017-02-09 00:00:00","172","Wrote Opinion on status of project cities","0","","2","0","1","22","2017-03-06 16:47:47","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("2304","25","0","2017-02-09 00:00:00","186","Internally discussed with EMP and MAC","0","","1","0","1","22","2017-03-06 16:48:19","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2305","25","0","2017-02-10 00:00:00","125","Drafted minutes of SH meeting","0","","2","0","1","22","2017-03-06 16:49:07","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2306","25","0","2017-02-10 00:00:00","104","Drafted minutes of SH meeting","0","","1","0","1","22","2017-03-06 16:53:38","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2307","25","0","2017-02-10 00:00:00","3","Examined PADMA files","0","","4","0","1","22","2017-03-06 16:54:22","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("2308","25","0","2017-02-13 00:00:00","151","Drafted Articles of Incorporation for amendment","2500","","2","5000","1","22","2017-03-06 16:55:09","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2309","25","0","2017-02-13 00:00:00","151","Drafted Minutes","0","","1","0","1","22","2017-03-06 16:55:23","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2310","25","0","2017-02-13 00:00:00","151","Drafted Director\'s Certificate","0","","1","0","1","22","2017-03-06 16:55:53","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2311","25","0","2017-02-13 00:00:00","151","Drafted Corporate Secretary\'s Certificate","0","","1","0","1","22","2017-03-06 16:56:20","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2312","25","0","2017-02-13 00:00:00","181","Made telephone call to HLURB","3000","","1","3000","1","22","2017-03-06 16:57:04","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2313","25","0","2017-02-13 00:00:00","181","Wrote email to SLP re HLURB","0","","1","0","1","22","2017-03-06 16:59:04","","","1","00:00:00","00:00:00","9");
INSERT INTO file_billing_tbl VALUES("2314","25","0","2017-02-13 00:00:00","185","Attended meeting with Associates","0","","3","0","1","22","2017-03-06 16:59:32","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2315","25","0","2017-02-14 00:00:00","185","Drafted due diligence","0","","3","0","1","22","2017-03-06 16:59:59","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2316","25","0","2017-02-14 00:00:00","66","Reviewed work of SLP re operating agreement","0","","2","0","1","22","2017-03-06 17:00:51","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2317","25","0","2017-02-09 00:00:00","163","Internally discussed with Ms. Nikki and Associates","0","","3","0","1","22","2017-03-06 17:01:24","","","2","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2318","25","0","2017-02-09 00:00:00","163","Performed Other Service:  Bi Accreditation","0","","1","0","1","22","2017-03-06 17:01:48","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2319","25","0","2017-02-10 00:00:00","163","Performed Other Service:  BI Accreditation","0","","1","0","1","22","2017-03-06 17:02:06","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2320","25","0","2017-02-14 00:00:00","163","Conferred with EMP re 2017 PHL budget","0","","1","0","1","22","2017-03-06 17:02:33","","","2","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2321","25","0","2017-02-14 00:00:00","163","Researched on cases re DAP/PDAF, etc.","0","","2","0","1","22","2017-03-06 17:03:02","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2322","25","0","2017-02-16 00:00:00","163","Researched on GIS filing rules","0","","1","0","1","22","2017-03-06 17:04:16","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2323","25","0","2017-02-16 00:00:00","163","Wrote email to RHO re GIS filing","0","","1","0","1","22","2017-03-06 17:05:01","","","2","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2324","25","0","2017-02-16 00:00:00","185","Drafted portion of due diligence for Project Compass","0","","3","0","1","22","2017-03-06 17:06:09","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2325","25","0","2017-02-16 00:00:00","185","Wrote email to DRP re assignment for Project Compass","0","","2","0","1","22","2017-03-06 17:06:43","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2326","25","0","2017-02-16 00:00:00","163","Revised COE for BI Accreditation","0","","1","0","1","22","2017-03-06 17:07:16","","","2","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2327","25","0","2017-02-17 00:00:00","183","Researched on requirements for PEZA registration","0","","3","0","1","22","2017-03-06 17:07:49","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2328","25","0","2017-02-17 00:00:00","183","Traveled to PEZA-BGC","0","","2","0","1","22","2017-03-06 17:08:18","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("2329","25","0","2017-02-17 00:00:00","183","Drafted memo on PEZA registration requirements","0","","3","0","1","22","2017-03-06 17:08:49","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2330","25","0","2017-02-20 00:00:00","104","Drafted minutes","0","","2","0","1","22","2017-03-06 17:09:16","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2331","25","0","2017-02-20 00:00:00","151","Drafted minutes","2500","","2","5000","1","22","2017-03-06 17:09:36","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2332","25","0","2017-02-20 00:00:00","163","Internally discussed with Joy re common transactions of the firm for MPF planning","0","","1","0","1","22","2017-03-06 17:10:12","","","2","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2333","25","0","2017-02-21 00:00:00","163","Drafted letter re BI Accreditation","0","","1","0","1","22","2017-03-06 17:10:45","","","2","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2334","25","0","2017-02-21 00:00:00","181","Reviewed - proofread legal opinion","3000","","2","6000","1","22","2017-03-06 17:11:19","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2335","25","0","2017-02-21 00:00:00","163","Researched on estate tax amnesty bill","0","","1","0","1","22","2017-03-06 17:11:45","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2336","25","0","2017-02-21 00:00:00","181","Drafted legal opinion for consolidation with SLP and EMP\'s comments","3000","","2","6000","1","22","2017-03-06 17:12:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2337","25","0","2017-02-21 00:00:00","181","Wrote email to Ms. Anne re consolidation of opinion","3000","","1","3000","1","22","2017-03-06 17:12:46","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2338","25","0","2017-02-21 00:00:00","185","Performed Other Service:  Comparison of Definitive Agreement vs Stock Certificate","0","","2","0","1","22","2017-03-06 17:13:26","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2339","25","0","2017-02-21 00:00:00","163","Wrote email to Ms. Nikki re planning presentation","0","","2","0","1","22","2017-03-06 17:13:50","","","2","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2340","25","0","2017-02-22 00:00:00","163","AMSPEC (2013 Assessment) - Drafted Reply to PAN","0","","7","0","1","22","2017-03-06 17:14:39","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2341","25","0","2017-02-22 00:00:00","163","AMSPEC (2013 Assessment) - Wrote email to MAC re draft","0","","1","0","1","22","2017-03-06 17:15:03","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2342","25","0","2017-02-23 00:00:00","163","AMSPEC (2013 Assessment) - Attended meeting with client, EMP and MAC","0","","3","0","1","22","2017-03-06 17:15:34","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2343","25","0","2017-02-23 00:00:00","163","AMSPEC (2013 Assessment) - Drafted Reply to PAN ","0","","5","0","1","22","2017-03-06 17:16:07","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2344","25","0","2017-02-23 00:00:00","163","Researched on Mindanao Geothermal and Allegro rulings","0","","2","0","1","22","2017-03-06 17:16:32","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2345","25","0","2017-02-24 00:00:00","163","Performed Other Service: Planning","0","","5","0","1","22","2017-03-06 17:16:52","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2346","25","0","2017-02-27 00:00:00","93","Researched on provisional remedy after denial of CTA","0","","3","0","1","22","2017-03-06 17:17:46","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2347","25","0","2017-02-28 00:00:00","93","Drafted Motion for Reconsideration","0","","2","0","1","22","2017-03-06 17:18:21","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2348","25","0","2017-02-27 00:00:00","105","Attended meeting with EMP, SLP and MAC","0","","2","0","1","22","2017-03-06 18:01:22","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2349","25","0","2017-02-27 00:00:00","105","Researched on provisional remedy after denial of CTA","0","","3","0","1","22","2017-03-06 18:01:48","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2350","25","0","2017-02-28 00:00:00","86","Attended meeting with GVF re documents needed to be drafted","0","","1","0","1","22","2017-03-06 18:02:30","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2351","25","0","2017-02-28 00:00:00","86","Drafted several documents re BAI licensing","0","","4","0","1","22","2017-03-06 18:02:49","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2352","15","0","2017-03-06 00:00:00","94","Revised further the MR on the denial of the petition. Include additional research. ","2500","","2.1","5250","1","15","2017-03-08 19:41:14","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2353","15","0","2017-03-06 00:00:00","63","Conferred with EMP and Atty. Allen on the HAZ agreement (consolidated entry)","0","","2.3","0","1","15","2017-03-08 19:41:51","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2354","15","0","2017-03-06 00:00:00","66","Revised the HAZ agreement based on instructions from EMP. Include further study of the expert determination on royalty payments. ","0","","1.5","0","1","15","2017-03-08 19:42:32","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2355","15","0","2017-03-06 00:00:00","66","Revised the reviews made by RHO on the Survey Contract Agreement for EMP\'s review. ","0","","1.3","0","1","15","2017-03-08 19:43:48","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2356","15","0","2017-03-06 00:00:00","64","Reviewed the changes incorporated by Atty. Evangelista on the draft December 2, 2016 minutes of the HMDC and LHAI meetings. ","0","","0.8","0","1","15","2017-03-08 19:44:40","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2357","15","0","2017-03-07 00:00:00","116","Traveled to BIR Central office to inquire on status of request for ruling. ","0","","3.1","0","1","15","2017-03-08 19:57:04","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("2358","15","0","2017-03-07 00:00:00","45","Traveled to BIR Central Office to inquire on the status of request for ruling. ","0","","1.6","0","1","15","2017-03-08 19:57:42","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("2359","15","0","2017-03-07 00:00:00","64","Performed Other Service: various telephone conference to RHO and secretaries to ensure the release of HMDC sec certs. ","0","","0.8","0","1","15","2017-03-08 20:16:29","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2360","15","0","2016-11-09 00:00:00","64","Reviewed MAC\'s draft of sec cert on disposal of LHAI assets","0","","0.8","0","1","15","2017-03-08 21:07:00","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2361","19","0","2017-02-13 00:00:00","163","APC Properties, Inc.- Reviewed/Proofread Secretary\'s Certificates","0","","0.1","0","1","19","2017-03-09 09:50:05","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2362","19","0","2017-02-13 00:00:00","163","LHAI-Reviewed/Proofread Secretary\'s Certificates","0","","0.1","0","1","19","2017-03-09 09:58:06","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2363","16","0","2017-03-09 00:00:00","39","Drafted direct examination questions for Cora Calumba/sent email to Ms. Calumba","100","","1.5","150","1","16","2017-03-09 12:57:05","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2364","16","0","2017-03-09 00:00:00","163","Reviewed files/Email to Dr. Zuellig re: Derma 360 Subscription Agreement","0","","0.4","0","1","16","2017-03-09 12:58:06","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2365","16","0","2017-03-09 00:00:00","48","Revised/finalized Cemco GIS for filing/Email to Atty. Kitten and Atty. Riki re: TIN of Jesusa Rojas","0","","0.5","0","1","16","2017-03-09 12:58:51","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2366","16","0","2017-03-09 00:00:00","47","Revised/finalized Clinco GIS for filing/Email to Atty. Kitten and Atty. Riki re: TIN of Jesusa Rojas","0","","0.5","0","1","16","2017-03-09 12:59:12","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2367","16","0","2017-03-09 00:00:00","48","Drafted notice of SH meeting","0","","0.3","0","1","16","2017-03-09 12:59:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2368","16","0","2017-03-09 00:00:00","47","Drafted notice of SH meeting","0","","0.3","0","1","16","2017-03-09 12:59:48","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2369","16","0","2017-03-09 00:00:00","11","Reviewed files/Drafted reply to auditor","0","","1.25","0","1","16","2017-03-09 13:03:48","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2370","16","0","2017-03-09 00:00:00","185","Performed Other Service: due diligence","100","","5","500","1","16","2017-03-09 15:07:02","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2371","16","0","2017-03-09 00:00:00","163","Received telephone call from EMP re: Advatech Warrant of Garnishment","0","","0.2","0","1","16","2017-03-09 18:51:37","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("2372","16","0","2017-03-09 00:00:00","163","Researched on remedies against Warrant of Garnishment","0","","1","0","1","16","2017-03-09 18:51:53","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2373","18","0","2017-02-08 00:00:00","155","Revise Memorandum of Undertaking","3000","","3","9000","1","18","2017-03-10 09:21:58","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2374","18","0","2017-02-08 00:00:00","120","Revise Reply to Auditor","2500","","1.5","3750","1","18","2017-03-10 09:22:18","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2375","18","0","2017-02-08 00:00:00","188","Reviewed/Study documents sent by client for Australian/NZ affiliates","3000","","2","6000","0","18","2017-03-10 09:30:26","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2376","18","0","2017-02-08 00:00:00","188","request for SEC Certificate of Good Standing","3000","","1","3000","1","18","2017-03-10 09:31:13","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2377","18","0","2017-02-09 00:00:00","80","Reviewed/Study documents sent by client for Australian N/Z affiliates","0","","2","0","1","18","2017-03-10 09:31:54","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2378","18","0","2017-02-09 00:00:00","186","Drafted Reply to FAN","3000","","5","15000","1","18","2017-03-10 09:32:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2379","18","0","2017-02-10 00:00:00","163","Reviewed/Digest of Report Case/s","0","","1","0","1","18","2017-03-10 09:32:56","","","2","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2380","18","0","2017-02-10 00:00:00","163","Updated |ist of Case Reporting Assignments ","0","","1.5","0","1","18","2017-03-10 09:33:29","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2381","18","0","2017-02-10 00:00:00","186","Reviewed/study jurisprudence on due process in tax assessment ","3000","","3","9000","1","18","2017-03-10 09:34:10","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2382","18","0","2017-02-10 00:00:00","186","Drafted Reply to FAN","0","","1.5","0","1","18","2017-03-10 09:34:30","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2383","18","0","2017-02-13 00:00:00","163","Art Personas-Made telephone call to Ronnie Cruz and drafted GIS ","0","","1.5","0","1","18","2017-03-10 09:36:11","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2384","18","0","2017-02-13 00:00:00","80","Reviewed/Study documents sent by client for Malaysian Affiliates","0","","2","0","1","18","2017-03-10 09:36:46","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2385","18","0","2017-02-13 00:00:00","186","Revise Reply to FAN","3000","","3","9000","1","18","2017-03-10 09:37:04","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2386","18","0","2017-02-14 00:00:00","80","Reviewed status of documents on Malaysian Affiliates","0","","2","0","1","18","2017-03-10 09:37:50","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2387","18","0","2017-02-14 00:00:00","186","Revise Reply to FAN","3000","","1.5","4500","1","18","2017-03-10 09:38:09","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2388","18","0","2017-02-14 00:00:00","163","Supervised/assist (immigration case with GVF)\n-List of Documents of AEP and 9g Visa Application\n-Prepare Documents, applications forms to be sent to client.\n-Internal Discussion with GVF","0","","4","0","1","18","2017-03-10 09:39:47","","","2","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("2389","18","0","2017-02-15 00:00:00","163","Dojesta Philippines-Examined requirements on TIN for Non Resident Foreigner  and Name reservation ","0","","1.5","0","1","18","2017-03-10 09:41:51","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("2390","18","0","2017-02-15 00:00:00","163","Art Personas-Drafted ","0","","1.5","0","1","18","2017-03-10 09:47:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2391","18","0","2017-02-15 00:00:00","186","Revise Reply to FAN\nand contact Badeth Nanaga","3000","","2","6000","1","18","2017-03-10 09:47:40","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2392","18","0","2017-02-16 00:00:00","186","Revise Reply to FAN","0","","4","0","1","18","2017-03-10 09:48:00","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2393","18","0","2017-02-16 00:00:00","186","Made telephone call to Badeth Nanaga","0","","0.5","0","1","18","2017-03-10 09:48:22","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2394","18","0","2017-02-16 00:00:00","80","Revise status of documents for the Malaysian, Australian and New Zealand Affiliates","0","","1","0","1","18","2017-03-10 09:49:03","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2395","18","0","2017-02-17 00:00:00","80","table of forwarded documents- Malaysia, Australia and NZ affiliates","0","","1.5","0","1","18","2017-03-10 09:51:12","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2396","18","0","2017-02-17 00:00:00","163","Case reporting","0","","0.5","0","1","18","2017-03-10 09:52:39","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2397","18","0","2017-02-17 00:00:00","163","Art Personas-Made telephone call to Contact Ronnie Cruz re: GIS","0","","0.5","0","1","18","2017-03-10 09:53:36","18","2017-03-10 09:53:56","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2398","18","0","2017-02-17 00:00:00","163","performance evaluation of staff","0","","2.5","0","1","18","2017-03-10 09:54:24","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2399","18","0","2017-02-17 00:00:00","186","Revise reply to FAN and Supervise filing of Reply to FAN","3000","","4","12000","1","18","2017-03-10 09:54:59","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2400","18","0","2017-02-20 00:00:00","142","Drafted Compliance and supervise filing ","2500","","3","7500","1","18","2017-03-10 09:56:24","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2401","18","0","2017-02-20 00:00:00","163","updated list of Case reporting assignments","0","","1.5","0","1","18","2017-03-10 09:56:52","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2402","18","0","2017-02-20 00:00:00","163","Art Personas-Wrote email to EMP re: GIS","0","","0.5","0","1","18","2017-03-10 09:57:20","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2403","18","0","2017-02-20 00:00:00","142","Internally discussed with DRP re: reply to Auditor and answer SGV queries.","2500","","2","5000","1","18","2017-03-10 09:58:01","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2404","18","0","2017-02-20 00:00:00","120","Reviewed/study ICPA report and drafted Judicial Affidavit of ICPA","2500","","5","12500","1","18","2017-03-10 09:58:32","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2405","18","0","2017-02-21 00:00:00","163","Dojesta Philippines-Attended meeting with Sagit and Zohar","0","","2","0","1","18","2017-03-10 09:59:10","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2406","18","0","2017-02-21 00:00:00","120","Revise Judicial Affidavit of ICPA","2500","","2","5000","1","18","2017-03-10 10:01:29","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2407","18","0","2017-02-21 00:00:00","163","AMSPEC-Reviewed/Study Jurisprudence, rulings, tax regulations and drafted Reply to PAN","0","","5.5","0","1","18","2017-03-10 10:02:42","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2408","18","0","2017-02-22 00:00:00","163","AMSPEC-Attended meeting with Bong Alcaraz and Leecho Thompson","0","","3","0","1","18","2017-03-10 10:03:16","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2409","18","0","2017-02-22 00:00:00","120","Revise Judicial Affidavit of ICPA ","2500","","2.5","6250","1","18","2017-03-10 10:04:47","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2410","18","0","2017-02-22 00:00:00","163","AMSPEC-Reviewed/Study Jurisprudence, rulings, tax regulations and drafted Reply to PAN","0","","8.5","0","1","18","2017-03-10 10:06:37","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2411","18","0","2017-02-23 00:00:00","182","contact information of surety companies","120","","0.5","60","1","18","2017-03-10 10:07:29","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2412","18","0","2017-02-23 00:00:00","163","AMSPEC-Revise reply to PAN, internal discussion with EMP and FGS and contact Bong Alcaraz","0","","7.5","0","1","18","2017-03-10 10:08:29","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2413","18","0","2017-02-23 00:00:00","120","Revise Judicial Affidavit of ICPA and supervise filing ","2500","","3","7500","1","18","2017-03-10 10:08:55","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2414","18","0","2017-02-24 00:00:00","163","AMSPEC-Revise reply to PAN","0","","5","0","1","18","2017-03-10 10:09:42","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2415","18","0","2017-02-27 00:00:00","163","Updated List of Case Reporting Assignments","0","","1.5","0","1","18","2017-03-10 10:10:15","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2416","18","0","2017-02-27 00:00:00","142","Made telephone call to Richard Querido re: Resetting of hearing ","2500","","0.5","1250","1","18","2017-03-10 10:10:54","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2417","18","0","2017-02-27 00:00:00","163","Dojesta Philippines-Follow up TIN of Sagit and Zohar","0","","1","0","1","18","2017-03-10 10:11:56","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2418","18","0","2017-02-27 00:00:00","101","Drafted Reply to Auditor","0","","1","0","1","18","2017-03-10 10:12:16","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2419","18","0","2017-02-27 00:00:00","105","Attended meeting at with Erik Chan, Marlon Apanada, and Dato Dennis Ganendra","100","","2","200","1","18","2017-03-10 10:12:43","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2420","18","0","2017-02-28 00:00:00","163","Pinoy Properties-Attended meeting with Myra Desiderio, Khita Hua and Leonard Yu ","0","","2","0","1","18","2017-03-10 10:13:59","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2421","18","0","2017-02-28 00:00:00","163","PPIC-prepare AEP application documents for Khita\'s signature","0","","2","0","1","18","2017-03-10 10:16:09","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2422","18","0","2017-02-28 00:00:00","182","Reviewed SEC Form 103 of Clarus and update client on Incorporation Process","120","","2.5","300","1","18","2017-03-10 10:17:22","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2423","18","0","2017-02-28 00:00:00","163","Format of Update blast to clients and compile UBL newsletter issuances","0","","2","0","1","18","2017-03-10 10:25:13","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2424","18","0","2017-03-01 00:00:00","163","PPIC-Reviewed Contract of employment of Khita Hua and email Desiderio re: PPIC annual income tax return","0","","1.25","0","1","18","2017-03-10 10:26:06","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2425","18","0","2017-03-01 00:00:00","182","Made telephone call to Ms. Jewel Pangilinan of BDO for TITF account ","120","","0.5","60","1","18","2017-03-10 10:26:41","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2426","18","0","2017-03-01 00:00:00","163","Staff evaluation","0","","2","0","1","18","2017-03-10 10:44:25","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2427","18","0","2017-03-01 00:00:00","142","Drafted Q &amp; A for Presentation of witness Ms. Malapad and contact Ms. ADA","2500","","1.25","3125","1","18","2017-03-10 10:45:10","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2428","18","0","2017-03-01 00:00:00","182","Drafted Treasurer\'s Affidavit","120","","1","120","1","18","2017-03-10 10:45:57","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2429","18","0","2017-03-02 00:00:00","182","Traveled to SEC for inquiry with SEC CRMD re: Surety  bond requirement and contact insurance companies and email Jewel Re: TITF account","0","","6.5","0","1","18","2017-03-10 10:47:15","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("2430","18","0","2017-03-02 00:00:00","101","Drafted Reply to Auditor","0","","1.5","0","1","18","2017-03-10 10:47:42","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2431","18","0","2017-03-02 00:00:00","163","PPIC-Wrote email to Myra Desiderio","0","","0.5","0","1","18","2017-03-10 10:48:37","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2432","18","0","2017-03-02 00:00:00","141","Made telephone call to Ms. Ada","2500","","0.5","1250","1","18","2017-03-10 10:49:14","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2433","18","0","2017-03-03 00:00:00","80","Traveled to RTC Taguig and hearing on MR ","0","","1","0","1","18","2017-03-10 10:53:46","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("2434","18","0","2017-03-03 00:00:00","163","PPIC Khita Hua Immigration-Drafted Minutes of the Meeting and Secretary\'s Certificate; Email Philip Teng and Myra Desiderio","0","","2.5","0","1","18","2017-03-10 10:59:20","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2435","18","0","2017-03-03 00:00:00","141","Revise Reply to Auditor","2500","","0.5","1250","1","18","2017-03-10 10:59:42","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2436","18","0","2017-03-03 00:00:00","163","staff evaluation and case digest","0","","2.5","0","1","18","2017-03-10 11:00:12","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2437","18","0","2017-03-06 00:00:00","141","Traveled to CTA and attended hearing on the Presentation of Petitioner\'s First witness (Apple Malapad)","2500","","4.5","11250","1","18","2017-03-10 11:01:17","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("2438","18","0","2017-03-06 00:00:00","186","Drafted memo on VAT liability of on Subcontractor agreement with Raytheon and internal discussed with EMP","3000","","1","3000","1","18","2017-03-10 11:02:26","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2439","18","0","2017-03-03 00:00:00","163","Go Lifestyle-Wrote email to Gemma Merin re: GIS","0","","0.5","0","1","18","2017-03-10 11:04:16","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2440","18","0","2017-03-07 00:00:00","163","updated list of case reporting assigment","0","","1.5","0","1","18","2017-03-10 11:06:44","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2441","18","0","2017-03-07 00:00:00","182","Followed-up with BDO bank manager client\'s remittance in TITF account","120","","0.5","60","1","18","2017-03-10 11:07:42","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("2442","18","0","2017-03-07 00:00:00","186","Drafted Memo on VAT liability of Casas on subcontractor agreement with Raytheon","3000","","6","18000","1","18","2017-03-10 11:09:58","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2443","18","0","2017-03-07 00:00:00","10","Internally discussed with EMP re: documents to be submitted to BIR ELTAD","0","","0.5","0","1","18","2017-03-10 11:10:42","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2444","18","0","2017-03-07 00:00:00","141","drafted reply to SGV queries re: RTA","2500","","2","5000","1","18","2017-03-10 11:15:49","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2445","18","0","2017-03-07 00:00:00","163","Reviewed/study laws/regulations for EMP lecture with PIA","0","","1.5","0","1","18","2017-03-10 11:20:50","","","2","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2446","18","0","2017-03-08 00:00:00","186","Reviewed/Study on &quot;doing business&quot;in the Philippines and drafted memo on VAT liability of Casas on Subcontractor agreement with Ratyheon","3000","","6","18000","1","18","2017-03-10 11:22:04","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2447","18","0","2017-03-08 00:00:00","182","Wrote email to bank re:&quot;remittance and contact Mr. Sudarshan","120","","1","120","1","18","2017-03-10 11:25:43","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2448","18","0","2017-03-08 00:00:00","163","Internally discussed with RHO and FGS re: EMP lecture with PIA","0","","0.5","0","1","18","2017-03-10 11:26:15","","","2","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2449","18","0","2017-03-09 00:00:00","10","Traveled to One Campus Place Office and attended meeting with Vicky Tomelden and Allen Arbis","0","","3.5","0","1","18","2017-03-10 11:29:02","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("2450","18","0","2017-03-09 00:00:00","163","Dojesta Philippines -Wrote email to Cherry Calleja","0","","0.5","0","1","18","2017-03-10 11:29:42","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2451","18","0","2017-03-09 00:00:00","182","Made telephone call to Ms. Jewel Pangilinan","120","","0.5","60","1","18","2017-03-10 11:34:07","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2452","18","0","2017-03-09 00:00:00","163","Reviewed FINEX article of EMP","0","","0.5","0","1","18","2017-03-10 11:34:51","","","2","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2453","18","0","2017-03-09 00:00:00","186","Revise Memo on VAT liability of Casas on subcontractor agreement with Raytheon","3000","","3","9000","1","18","2017-03-10 11:35:30","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2454","16","0","2017-03-10 00:00:00","84","Conference call with EMP and Marjorie Torres re WTL Dutch/LuxCo ","2500","","1.25","3125","1","16","2017-03-10 12:06:39","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2455","16","0","2017-03-10 00:00:00","84","Internally discussed with EMP re: Dutch/LuxCo requirements","2500","","0.2","500","1","16","2017-03-10 12:06:56","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2456","16","0","2017-03-10 00:00:00","47","Internally discussed with EMP re: SH and BOD meeting notices","0","","0.1","0","1","16","2017-03-10 12:07:18","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2457","16","0","2017-03-10 00:00:00","48","Internally discussed with EMP re: SH and BOD meeting notices","0","","0.1","0","1","16","2017-03-10 12:07:28","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2458","16","0","2017-03-10 00:00:00","48","Revised SH and BOD meeting notices","0","","0.3","0","1","16","2017-03-10 12:07:45","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2459","16","0","2017-03-10 00:00:00","47","Revised SH and BOD meeting notices","0","","0.3","0","1","16","2017-03-10 12:07:56","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2460","16","0","2017-03-10 00:00:00","48","Internally discussed with EMP and RHO re: Cemco Treasury Memo and Sec Certs","0","","0.25","0","1","16","2017-03-10 12:08:30","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2461","19","0","2017-02-13 00:00:00","163","SCMC-Reviewed/Proofread Secretary\'s Certificates","0","","0.1","0","1","19","2017-03-10 13:14:04","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2462","19","0","2017-02-13 00:00:00","163","HRDC-Reviewed/Proofread Secretary\'s Certificates","0","","0.1","0","1","19","2017-03-10 13:14:30","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2463","19","0","2017-02-13 00:00:00","163","LORVI-Reviewed/Proofread Secretary\'s Certificates","0","","0.1","0","1","19","2017-03-10 13:14:59","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2464","19","0","2017-02-13 00:00:00","163","QLI-Reviewed/Proofread Secretary\'s Certificates","0","","0.1","0","1","19","2017-03-10 13:15:24","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2465","19","0","2017-02-13 00:00:00","64","Reviewed/Proofread Secretary\'s Certificates","0","","0.1","0","1","19","2017-03-10 13:15:49","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2466","19","0","2017-02-14 00:00:00","83","Reviewed case record","0","","0.3","0","1","19","2017-03-10 13:16:33","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2467","19","0","2017-02-14 00:00:00","83","Researched on proper service of summons and drafted motion for reconsideration on order of provisional dismissal","0","","2","0","1","19","2017-03-10 13:17:28","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2468","19","0","2017-02-14 00:00:00","167","Internally discussed with EMP and MAC and revised reply to FAN","0","","0.55","0","1","19","2017-03-10 13:18:14","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2469","19","0","2017-02-14 00:00:00","81","Reviewed documents for BOI accreditation","0","","0.3","0","1","19","2017-03-10 13:19:47","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2470","19","0","2017-02-14 00:00:00","185","Reviewed due diligence","100","","0.3","30","1","19","2017-03-10 13:20:30","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2471","19","0","2017-02-15 00:00:00","3","Attended meeting with Singaporean lawyers","0","","0.3","0","1","19","2017-03-10 13:21:01","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2472","19","0","2017-02-15 00:00:00","190","Internally discussed with GVF","2500","","0.15","375","1","19","2017-03-10 13:21:52","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2473","19","0","2017-02-15 00:00:00","190","Researched on property zonal value","0","","1","0","1","19","2017-03-10 13:22:10","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2474","19","0","2017-02-15 00:00:00","83","Drafted motion for reconsideration on order of provisional dismissal ","0","","1","0","1","19","2017-03-10 13:23:51","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2475","19","0","2017-02-15 00:00:00","94","Reviewed/proofread Memorandum","2500","","0.45","1125","1","19","2017-03-10 13:24:24","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2476","19","0","2017-02-15 00:00:00","167","Reviewed reply to FAN","0","","0.4","0","1","19","2017-03-10 13:24:54","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2477","19","0","2017-02-16 00:00:00","94","Reviewed/proofread Memorandum ","2500","","0.4","1000","1","19","2017-03-10 13:25:36","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2478","16","0","2017-03-10 00:00:00","84","Followed-up work at SEC for Intelligens incorporation papers","2500","","2.25","5625","1","16","2017-03-10 13:32:19","16","2017-03-10 16:35:22","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("2479","16","0","2017-03-10 00:00:00","84","Revised Intelligens incorporation papers","2500","","0.5","1250","1","16","2017-03-10 13:35:49","16","2017-03-10 13:36:35","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2480","16","0","2017-03-10 00:00:00","84","Traveled to SEC PICC to resubmit Intelligens incorporation papers","2500","","0.5","1250","1","16","2017-03-10 13:36:18","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("2481","16","0","2017-03-10 00:00:00","163","Performed Other Service: lawyers\' lunch","0","","2","0","1","16","2017-03-10 13:37:35","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2482","16","0","2017-03-10 00:00:00","48","Reviewed work of RHO re: Cemco Sec Certs (Treasury Memo)","0","","1","0","1","16","2017-03-10 13:47:00","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2483","15","0","2017-03-09 00:00:00","94","Revised and made additional research on the Motion for Reconsideration. Supervised filing. (Consolidated entry) ","2500","","3.5","8750","1","15","2017-03-10 16:07:44","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2484","15","0","2017-03-09 00:00:00","66","Additional Revisions on the Survey Service Contract. ","0","","0.8","0","1","15","2017-03-10 16:08:45","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2485","15","0","2017-03-09 00:00:00","94","Internally discussed with EMP and FGS on the arguments of the motion for reconsideration. ","2500","","1","2500","1","15","2017-03-10 16:09:42","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2486","15","0","2017-03-08 00:00:00","185","Performed Other Service: due diligence review on VR documents for Regulatory compliance","100","","3.9","390","1","15","2017-03-10 16:13:13","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2487","15","0","2017-03-08 00:00:00","185","Internally discussed with EMP and FGS on MR arguments","0","","0.6","0","1","15","2017-03-10 16:14:20","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2488","15","0","2017-03-08 00:00:00","64","Review of additional revisions on the December 2, 2016 BOD minutes of meeting. ","0","","0.8","0","1","15","2017-03-10 16:15:33","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2489","15","0","2017-03-08 00:00:00","163","Performed Other Service: discussion of labeling protocols with EMP and GVF","0","","0.5","0","1","15","2017-03-10 16:16:17","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2490","15","0","2017-03-07 00:00:00","158","Traveled to BIR to inquire on status of ITAD ruling. ","3000","","1.3","3900","1","15","2017-03-10 16:17:22","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("2491","15","0","2017-03-10 00:00:00","163","Performed Other Service: read and report on assigned cases. Lawyer\'s lunch. ","0","","3","0","1","15","2017-03-10 16:18:01","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2492","15","0","2017-03-10 00:00:00","64","Internally discussed with RHO and Jam on the deliverables for the March 17, 2017 board meeting","0","","1","0","1","15","2017-03-10 16:19:59","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2493","15","0","2017-03-10 00:00:00","64","Review of draft minutes and tasks lists for HMDC and LHAI board meeting February 23, 2017","0","","1.2","0","1","15","2017-03-10 16:20:38","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2494","15","0","2017-03-08 00:00:00","181","Conferred with EMP, Denise De Guzman and Mrs. Lichauco on the advisory opinion and options moving forward","3000","","1.8","5400","1","15","2017-03-10 16:21:22","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2495","15","0","2017-03-07 00:00:00","94","Review of case records and court decision for revision of motion for reconsideration","2500","","1.3","3250","1","15","2017-03-10 16:22:54","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2496","15","0","2017-03-09 00:00:00","185","Review of new documents uploaded in the VR.","100","","1.8","180","1","15","2017-03-10 16:24:34","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2497","15","0","2017-03-10 00:00:00","152","Performed Other Service: researched on computation of CTA filing fees for petition for review. ","0","","0.8","0","1","15","2017-03-10 17:34:33","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2498","15","0","2017-03-10 00:00:00","152","Conferred with Maricar Mendoza on new assessment against client for FY 2013. (To be transferred to different JEM once opened)","0","","1","0","1","15","2017-03-10 17:35:36","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2499","15","0","2017-03-10 00:00:00","163","Drafted digests of case reports.","0","","1","0","1","15","2017-03-11 18:00:47","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2500","15","0","2017-03-10 00:00:00","64","Drafted notice of ASHM and BOD for 7 corporations under the HMDC group","0","","0.8","0","1","15","2017-03-11 18:01:29","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2501","15","0","2017-03-11 00:00:00","64","Revised Minutes and Task list drafted by RHO. Include listening to recording of meeting to verify accuracy of minutes. ","0","","2.8","0","1","15","2017-03-11 21:46:35","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2502","15","0","2017-03-13 00:00:00","64","Conferred with EMP on the revised notices. ","0","","0.5","0","1","15","2017-03-13 10:28:50","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2503","15","0","2017-03-13 00:00:00","66","Conferred with EMP on review and revisions of the Survey Service Contract","0","","0.5","0","1","15","2017-03-13 10:29:19","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2504","15","0","2017-03-13 00:00:00","163","Drafted case digests for March 10 case reporting. ","0","","0.6","0","1","15","2017-03-13 10:29:58","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2505","15","0","2017-03-13 00:00:00","163","Performed Other Service: revised evaluation for Hazel and sent email to Nikki. ","0","","0.5","0","1","15","2017-03-13 10:30:34","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2506","19","0","2017-02-16 00:00:00","163","Reviewed/digest previously reported cases","0","","0.15","0","1","19","2017-03-13 10:33:13","","","2","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2507","19","0","2017-02-16 00:00:00","83","Drafted Motion for Reconsideration on Order of Provisional dismissal","0","","1","0","1","19","2017-03-13 10:34:00","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2508","19","0","2017-02-16 00:00:00","83","Reviewed motion for reconsideration on order of provisional dismissal","0","","0.3","0","1","19","2017-03-13 10:35:17","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2509","19","0","2017-02-16 00:00:00","83","Revise Motion for reconsideration on order of provisional dismissal","0","","0.3","0","1","19","2017-03-13 10:35:40","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2510","19","0","2017-02-16 00:00:00","163","staff Evaluation","0","","0.2","0","1","19","2017-03-13 10:36:13","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2511","19","0","2017-02-16 00:00:00","163","Wrote email to Atene Graduate School, Japan Foundation Manila for presentation on training and development","0","","0.15","0","1","19","2017-03-13 10:36:54","","","2","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2512","19","0","2017-02-16 00:00:00","185","due Diligence","100","","1","100","1","19","2017-03-13 10:37:27","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2513","19","0","2017-02-17 00:00:00","83","Reviewed/Proofread motion for reconsideration on order of provisional dismissal","0","","0.3","0","1","19","2017-03-13 10:38:19","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2514","19","0","2017-02-17 00:00:00","163","Made telephone call to Manila wine for presentation on training and development","0","","0.2","0","1","19","2017-03-13 10:38:50","","","2","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2515","19","0","2017-02-17 00:00:00","163","Made telephone call to Sofitel for Presentaion on training and development","0","","0.1","0","1","19","2017-03-13 10:39:47","","","2","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2516","19","0","2017-02-17 00:00:00","163","Made telephone call to Mapua Graduate school for presentation on training and development ","0","","0.15","0","1","19","2017-03-13 10:40:15","","","2","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2517","19","0","2017-02-17 00:00:00","185","due diligence","100","","1.5","150","1","19","2017-03-13 10:40:36","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2518","19","0","2017-02-17 00:00:00","163","staff evaluation and Presentation for planning","0","","0.5","0","1","19","2017-03-13 10:41:06","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2519","16","0","2017-03-13 00:00:00","39","Attended trial/hearing at RTC Makati Br. 132 for Casop Atlas v. City of Makati","100","","2.75","275","1","16","2017-03-13 14:31:58","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("2520","16","0","2017-03-13 00:00:00","48","Drafted Sec Cert for return of Holderfin advances","0","","0.5","0","1","16","2017-03-13 14:32:31","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2521","16","0","2017-03-13 00:00:00","85","Reviewed new CARs issued by the BIR RDO 38","0","","0.5","0","1","16","2017-03-13 14:32:51","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2522","16","0","2017-03-13 00:00:00","85","Drafted email update to GVF re: issues with newly issued CARs","0","","0.5","0","1","16","2017-03-13 14:35:12","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2523","16","0","2017-03-13 00:00:00","84","Supervised refiling of incorporation papers of Intelligens/extension of name reservation","2500","","0.5","1250","1","16","2017-03-13 14:35:41","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("2524","16","0","2017-03-13 00:00:00","84","Wrote email to Marjorie re update on Intelligens","2500","","0.2","500","1","16","2017-03-13 14:36:00","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2525","16","0","2017-03-13 00:00:00","185","Performed Other Service: due diligence","100","","4","400","1","16","2017-03-13 14:36:22","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2526","16","0","2017-03-13 00:00:00","61","Reviewed/proofread opinion on delivered service","0","","0.35","0","1","16","2017-03-13 14:43:57","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2527","16","0","2017-03-13 00:00:00","61","Attended meeting at Locsin Bldg with GVF","0","","1","0","1","16","2017-03-13 14:44:10","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2528","15","0","2017-03-13 00:00:00","163","(IPG - No JEM yet) Performed Other Service: traveled to Rufino Pacific Tower to notarize a document for a client. Include waiting for affiant and travel time. ","0","","1.5","0","1","15","2017-03-13 15:29:33","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2529","15","0","2017-03-13 00:00:00","64","Reviewed and revised RHO\'s draft of LHAI minutes and task list; include listening to record of meeting for confirmation and accuracy; reviewed draft notices revised by Anne based on EMP\'s comments. ","0","","3.2","0","1","15","2017-03-13 15:34:56","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2530","12","0","2017-03-12 00:00:00","167","Revising Raytheon Memo","0","","2","0","1","12","2017-03-14 04:25:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2531","12","0","2017-03-12 00:00:00","64","Reviewed of Survey Contract","0","","1.5","0","1","12","2017-03-14 04:25:47","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2532","12","0","2017-03-12 00:00:00","64","Reviewed of notices and minutes","0","","1.2","0","1","12","2017-03-14 04:26:15","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2533","12","0","2017-03-13 00:00:00","163","Conferred with Tina and Nikki","0","","3.5","0","1","12","2017-03-14 04:27:05","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2534","12","0","2017-03-09 00:00:00","10","Conferred with Allen and Vicky","0","","3.5","0","1","12","2017-03-14 05:41:30","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2535","12","0","2017-03-07 00:00:00","63","Drafted HAZ Operating Agreement","0","","1.75","0","1","12","2017-03-14 05:42:39","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2536","12","0","2017-03-06 00:00:00","63","Drafted revised HAZ Operating Agreement","0","","1.75","0","1","12","2017-03-14 05:43:44","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2537","12","0","2017-03-08 00:00:00","181","Conferred with Mrs. Lichauco","6000","","2.5","15000","1","12","2017-03-14 05:44:28","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2538","12","0","2017-03-05 00:00:00","80","Drafted initial draft of Collaboration Agreement","0","","2.5","0","1","12","2017-03-14 05:47:08","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2539","12","0","2017-03-06 00:00:00","10","Wrote emails to Vicky and Allen re meeting","0","","0.5","0","1","12","2017-03-14 05:47:56","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2540","12","0","2017-03-06 00:00:00","167","Internally discussed with Maki and Florian","0","","0.75","0","1","12","2017-03-14 05:48:54","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2541","12","0","2017-03-06 00:00:00","80","Drafted and revised Collaboration Agreement","0","","2.5","0","1","12","2017-03-14 05:49:31","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2542","12","0","2017-03-06 00:00:00","11","Read Email from and to Jong re Expert Witness","0","","0.3","0","1","12","2017-03-14 05:51:02","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("2543","12","0","2017-03-07 00:00:00","84","Performed Other Service - Various emails to Marjorie Torres; review of files; review of fees","6000","","2.75","16500","1","12","2017-03-14 05:52:07","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2544","12","0","2017-03-07 00:00:00","64","Drafted various secretary\'s certificates","0","","1.75","0","1","12","2017-03-14 05:53:21","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2545","12","0","2017-03-07 00:00:00","10","Wrote emails to Allen and Vicky","0","","0.3","0","1","12","2017-03-14 05:53:50","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2546","12","0","2017-03-13 00:00:00","167","Internally discussed with Maki re Raytheon Contract","0","","0.3","0","1","12","2017-03-14 05:56:35","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2547","12","0","2017-03-14 00:00:00","167","Drafted an revised Raytheon Opinion","0","","1.75","0","1","12","2017-03-14 05:57:05","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2548","12","0","2017-03-13 00:00:00","66","Revise of Survey Contract","0","","1.5","0","1","12","2017-03-14 07:26:31","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2549","12","0","2017-03-14 00:00:00","63","Revising HAZ OPERATING CONTRACT","0","","0.5","0","1","12","2017-03-14 07:29:44","12","2017-03-14 17:20:49","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2550","15","0","2017-03-13 00:00:00","151","Internally discussed with MAC re PPIC\'s request for firm to handle purchase of vehicle. ","2500","","0.3","750","1","15","2017-03-14 12:59:09","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2551","15","0","2017-03-13 00:00:00","66","Internally discussed with RHO regarding preparation of resolutions for ratification and going through records of minutes for confirmation and verification","0","","1.5","0","1","15","2017-03-14 13:00:06","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2552","12","0","2017-03-14 00:00:00","66","Drafted HAZ Contract","0","","0.5","0","1","12","2017-03-14 17:19:12","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2553","12","0","2017-03-14 00:00:00","167","Revised the memo re Raytheon","0","","1.75","0","0","12","2017-03-14 17:19:45","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2554","12","0","2017-03-14 00:00:00","66","Revised Survey Service Contract","0","","1.5","0","1","12","2017-03-14 17:20:22","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2555","12","0","2017-03-14 00:00:00","151","Performed Other Service -Assistance in Vehicle Sale","6000","","0.3","1800","1","12","2017-03-14 17:23:09","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2556","25","0","2017-03-15 00:00:00","186","Revised memo re VAT Liability on services with Raytheon","0","","6","0","1","25","2017-03-15 19:09:32","25","2017-03-15 19:14:13","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2557","25","0","2017-02-07 00:00:00","186","Drafted memo on VAT Liability","0","","4","0","1","25","2017-03-15 19:10:31","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2558","25","0","2017-03-02 00:00:00","186","Internally discussed with EMP and MAC re memo","0","","1","0","1","25","2017-03-15 19:11:31","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2559","12","0","2017-02-27 00:00:00","142","Internal routing Judicial Affidavit of Mr. Richard Querido filed on 2-23-2017\n","0","","0.1","0","1","21","2017-03-16 13:51:21","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2560","12","0","2017-02-28 00:00:00","163","Internal routing re Derma 360 GIS 2017\n","0","","0.1","0","1","21","2017-03-16 13:52:23","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2561","12","0","2017-03-01 00:00:00","87","Internal routing Authorized personnel to transact with BAI\n","6000","","0.1","600","1","21","2017-03-16 13:54:19","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2562","12","0","2017-03-01 00:00:00","87","Internal routing Transmittal of SPA \n","0","","0.1","0","1","21","2017-03-16 13:54:41","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2563","12","0","2017-03-01 00:00:00","140","Internal routing Reply re Respondents Comment/Opposition\n","0","","0.1","0","1","21","2017-03-16 13:55:21","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2564","12","0","2017-03-01 00:00:00","182","Internal routing Consularized documents for SEC requirements\n","200","","0.1","20","1","21","2017-03-16 13:55:49","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2565","12","0","2017-03-06 00:00:00","140","Internal routing notice of resolution\n","0","","0.1","0","1","21","2017-03-16 13:56:21","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2566","12","0","2017-03-06 00:00:00","142","Internal routing minute resolution dtd 2.27.17\n","0","","0.1","0","1","21","2017-03-16 13:56:54","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2567","12","0","2017-03-07 00:00:00","140","Internal routing transmittal of reply\n","0","","0.1","0","1","21","2017-03-16 13:57:25","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2568","12","0","2017-03-07 00:00:00","128","Internal routing transmittal of Sec certs to Peter\n","0","","0.1","0","1","21","2017-03-16 13:58:03","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2569","12","0","2017-03-07 00:00:00","64","Internal routing transmittal of Sec certs to Peter\n","0","","0.1","0","1","21","2017-03-16 14:00:21","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2570","12","0","2017-03-07 00:00:00","163","Internal routing Documents from client (AMSPEC)\n","0","","0.1","0","1","21","2017-03-16 14:01:04","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2571","12","0","2017-03-09 00:00:00","128","Internal routing Transmittal of Sec Certs to SGV, LHAI &amp; reply to auditor\n","0","","0.3","0","1","21","2017-03-16 14:01:54","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2572","12","0","2017-03-09 00:00:00","64","Internal routing Transmittal of Sec Certs to HMDC\n","0","","0.1","0","1","21","2017-03-16 14:02:22","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2573","12","0","2017-03-09 00:00:00","141","Internal routing Compliance\n","0","","0.1","0","1","21","2017-03-16 14:06:35","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2574","12","0","2017-03-09 00:00:00","120","Internal routing notice of resolution dtd. 3-7-2017\n","0","","0.1","0","1","21","2017-03-16 14:08:11","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2575","12","0","2017-03-09 00:00:00","99","Internal routing transmittal of Sec Certs\n","0","","0.1","0","1","21","2017-03-16 14:08:37","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2576","12","0","2017-03-13 00:00:00","47","Internal routing GIS 2016\n","0","","0.1","0","1","21","2017-03-16 14:09:35","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2577","12","0","2017-03-13 00:00:00","48","Internal routing GIS 2016\n","0","","0.1","0","1","21","2017-03-16 14:09:53","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2578","12","0","2017-03-13 00:00:00","93","Internal routing Manifestation filing of M.R.\n","0","","0.2","0","1","21","2017-03-16 14:11:18","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2579","12","0","2017-03-14 00:00:00","155","Internal routing minutes of special meeting held on March 3, 2017\n","6000","","0.1","600","1","21","2017-03-16 14:11:47","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2580","12","0","2017-03-14 00:00:00","151","Internal routing Transmittal of the Minutes\n","6000","","0.1","600","1","21","2017-03-16 14:13:05","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2581","15","0","2017-03-14 00:00:00","66","Revised the survey service contract as per EMP\'s additional comments","0","","2","0","1","15","2017-03-16 23:12:06","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2582","15","0","2017-03-14 00:00:00","151","Conferred with client on purchase of vehicle and application for alien work permit. ","2500","","2.5","6250","1","15","2017-03-16 23:13:50","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2583","15","0","2017-03-14 00:00:00","185","Conferred with DRP, RHO and FGS on due diligence report","100","","1.2","120","1","15","2017-03-16 23:14:52","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2584","15","0","2017-03-14 00:00:00","64","Revised and reviewed HMDC and LHAi minutes. Conferred with RHO on the table of transfer pricing provisions to be presented to the board. Conferred with EMP and RHO on pending matters for the board meeting. (consolidated entry)","0","","3.4","0","1","15","2017-03-16 23:16:29","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2585","15","0","2017-03-15 00:00:00","163","Performed Other Service: Attended seminar","0","","8","0","1","15","2017-03-16 23:18:19","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2586","15","0","2017-03-15 00:00:00","163","Met with RHO to update on status of board materials.","0","","1.2","0","1","15","2017-03-16 23:19:28","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2587","15","0","2017-03-16 00:00:00","163","Performed Other Service: attended seminar","0","","8","0","1","15","2017-03-16 23:20:04","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2588","15","0","2017-03-16 00:00:00","64","Revised the table of transfer pricing provisions and minutes on treasury memorandum for the 5 other corporations. Drafted minutes of previous stockholders\' meeting on April 7.","0","","2.1","0","1","15","2017-03-16 23:21:59","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2589","16","0","2017-03-16 00:00:00","56","Made telephone call to Jatrina Chua re: Sec Cert for vendor accreditation with Sterling Bank","0","","0.2","0","1","16","2017-03-17 12:05:41","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2590","16","0","2017-03-16 00:00:00","56","Drafted minutes and Sec Cert for vendor accreditation with Sterling Bank","0","","1.1","0","1","16","2017-03-17 12:06:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2591","16","0","2017-03-16 00:00:00","169","Wrote emails to Pia Yturzaeta re: Sec Cert for POS terminal","0","","0.3","0","1","16","2017-03-17 12:06:41","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2592","16","0","2017-03-16 00:00:00","169","Drafted Sec Cert and minutes for POS terminal","0","","1.1","0","1","16","2017-03-17 12:06:59","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2593","16","0","2017-03-16 00:00:00","84","Supervised preparation of bank requirements for Intelligens","2500","","0.4","1000","1","16","2017-03-17 12:07:33","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("2594","16","0","2017-03-16 00:00:00","84","Performed Other Service: updated tables of fees for Greyfriars/Graham Smith and Vistra/Houthoff; made comparison of fees; emailed Marjorie","0","","1.2","0","1","16","2017-03-17 12:09:05","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2595","16","0","2017-03-16 00:00:00","84","Wrote emails to Marjorie re: Intelligens bank account opening/signing of documents for BDO","2500","","0.3","750","1","16","2017-03-17 12:10:32","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2596","16","0","2017-03-16 00:00:00","84","Revised tax memo for Dutch/LuxCo","0","","2","0","1","16","2017-03-17 12:11:12","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2597","16","0","2017-03-16 00:00:00","185","Performed Other Service: due diligence","100","","2.5","250","1","16","2017-03-17 12:11:31","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2598","16","0","2017-03-16 00:00:00","169","Revised minutes and Sec Cert for POS terminal","0","","0.75","0","0","16","2017-03-17 12:11:48","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2599","16","0","2017-03-16 00:00:00","99","Drafted Sec Cert on annual meeting and no intracorporate dispute","2500","","1","2500","0","16","2017-03-17 12:12:19","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2600","16","0","2017-03-17 00:00:00","99","Drafted Sec Cert on annual meeting and no intracorporate dispute","0","","1.2","0","1","16","2017-03-17 12:12:54","16","2017-03-22 17:18:53","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2601","16","0","2017-03-17 00:00:00","99","Reviewed files and previous GIS ","0","","0.5","0","1","16","2017-03-17 12:13:09","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2602","16","0","2017-03-17 00:00:00","169","Revised minutes and Sec Cert for POS terminal","0","","0.75","0","1","16","2017-03-17 12:13:42","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2603","16","0","2017-03-17 00:00:00","158","Followed-up work at BIR National ITAD re: GANV TTRA","3000","","1.5","4500","1","16","2017-03-17 12:15:13","16","2017-03-22 17:17:50","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("2604","16","0","2017-03-17 00:00:00","163","Followed-up work at BIR National re: Behn Meyer ruling","0","","1.5","0","1","16","2017-03-17 12:15:44","16","2017-03-22 17:18:00","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("2605","25","0","2017-03-01 00:00:00","80","Wrote email to MAC re list of subsidiaries for updating","0","","1","0","1","22","2017-03-20 17:09:59","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2606","25","0","2017-03-01 00:00:00","163","Made telephone call to BI re accreditation","0","","2","0","1","22","2017-03-20 17:10:40","","","2","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2607","25","0","2017-03-01 00:00:00","163","Drafted letter to BI re outstanding documents","0","","2","0","1","22","2017-03-20 17:29:16","","","2","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2608","25","0","2017-03-01 00:00:00","163","Supervised filing of BI Accreditation","0","","2","0","1","22","2017-03-20 17:29:40","","","2","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("2609","25","0","2017-03-01 00:00:00","163","Conferred with GVF re legal issues of client with civil registry","0","","2","0","0","22","2017-03-20 17:39:19","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2610","25","0","2017-03-01 00:00:00","163","Drafted memo (via email) re legal basis of civil registry - Andrew Cunanan","0","","4","0","1","22","2017-03-20 17:40:02","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2611","25","0","2017-03-01 00:00:00","163","Conferred with GVF re legal issues of client with civil registry - Andrew Cunanan","0","","2","0","1","22","2017-03-20 17:40:48","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2612","25","0","2017-03-02 00:00:00","163","Drafted evaluation re non-legal staff performance evaluation","0","","2","0","1","22","2017-03-20 17:41:21","","","2","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2613","25","0","2017-03-02 00:00:00","151","Drafted minutes","2500","","2","5000","1","22","2017-03-20 17:41:46","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2614","25","0","2017-03-02 00:00:00","151","Wrote email to SLP re minutes","2500","","1","2500","1","22","2017-03-20 17:42:22","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2615","25","0","2017-03-02 00:00:00","86","Attended meeting with GVF re documents needed","0","","2","0","1","22","2017-03-20 17:43:49","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2616","25","0","2017-03-03 00:00:00","86","Drafted several documents re BAI transactions","0","","5","0","1","22","2017-03-20 17:44:15","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2617","25","0","2017-03-03 00:00:00","86","Wrote email to GVF re documents needed by the client","0","","1","0","1","22","2017-03-20 17:44:39","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2618","25","0","2017-03-03 00:00:00","93","Drafted MR for case no. 9009","0","","3","0","1","22","2017-03-20 17:45:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2619","25","0","2017-03-06 00:00:00","93","Attended meeting EMP and SLPO re MR","0","","1","0","1","22","2017-03-20 17:45:26","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2620","25","0","2017-03-06 00:00:00","93","Researched on BIR issuances (RMO 17-2006 and RR16-2005)","0","","2","0","1","22","2017-03-20 17:46:01","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2621","25","0","2017-03-06 00:00:00","93","Reviewed work of SLP re MR","0","","3","0","1","22","2017-03-20 17:46:26","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2622","25","0","2017-03-07 00:00:00","151","Drafted minutes","2500","","2","5000","1","22","2017-03-20 17:46:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2623","25","0","2017-03-07 00:00:00","104","Drafted minutes","0","","2","0","1","22","2017-03-20 17:47:11","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2624","25","0","2017-03-07 00:00:00","93","Revised the MR","0","","4","0","1","22","2017-03-20 17:47:31","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2625","25","0","2017-03-08 00:00:00","93","Attended meeting with EMP and SLP re MR","0","","2","0","1","22","2017-03-20 17:48:02","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2626","25","0","2017-03-08 00:00:00","93","Drafted timetable","0","","2","0","1","22","2017-03-20 17:48:20","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2627","25","0","2017-03-08 00:00:00","93","Revised MR","0","","3","0","1","22","2017-03-20 17:48:36","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2628","25","0","2017-03-09 00:00:00","93","Researched on BIR issuance re audit as SOP in case of application for credit/refund","0","","2","0","1","22","2017-03-20 17:49:08","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2629","25","0","2017-03-09 00:00:00","93","Wrote email to SLP re BIR Audit Program","0","","1","0","1","22","2017-03-20 17:49:33","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2630","25","0","2017-03-09 00:00:00","93","Supervised filing of MR","0","","1","0","1","22","2017-03-20 17:49:48","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("2631","25","0","2017-03-09 00:00:00","105","Researched on several ERC issuances","0","","3","0","1","22","2017-03-20 17:50:12","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2632","25","0","2017-03-09 00:00:00","163","Drafted outline on PIA Lecture of EMP","0","","2","0","1","22","2017-03-20 17:50:41","","","2","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2633","25","0","2017-03-09 00:00:00","93","Drafted internal memo (via email) re Total Gas vis-a-vis Hedcor case","0","","2","0","1","22","2017-03-20 17:51:14","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2634","25","0","2017-03-09 00:00:00","80","Drafted summary of resolutions","0","","2","0","1","22","2017-03-20 17:51:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2635","16","0","2017-03-20 00:00:00","163","Attended meeting with Advatech Industries and EMP","0","","2","0","1","16","2017-03-20 18:12:10","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2636","16","0","2017-03-20 00:00:00","11","Attended meeting with Ms. Tess Dimaculangan and EMP","0","","2","0","1","16","2017-03-20 18:12:32","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2637","16","0","2017-03-20 00:00:00","169","Drafted Consultancy Agreement","0","","2","0","1","16","2017-03-20 18:13:19","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2638","16","0","2017-03-20 00:00:00","169","Drafted waiver form/informed consent form","0","","1.5","0","1","16","2017-03-20 18:13:34","16","2017-03-20 18:14:47","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2639","16","0","2017-03-20 00:00:00","169","Received telephone call from Ms. PIa Yturzaeta re: Sec Cert","0","","0.2","0","1","16","2017-03-20 18:13:55","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("2640","16","0","2017-03-20 00:00:00","84","Received telephone call from Marjorie Torres re: BIR Registration of INtelligens","2500","","0.3","750","1","16","2017-03-20 18:14:17","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("2641","16","0","2017-03-20 00:00:00","84","Supervised filing of mayor\'s permit application","2500","","0.2","500","1","16","2017-03-20 18:14:32","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("2642","25","0","2017-03-10 00:00:00","185","Revised draft on due diligence","0","","5","0","1","22","2017-03-20 18:21:08","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2643","25","0","2017-03-10 00:00:00","163","Revised work of RHO re PIC Lecture","0","","2","0","1","22","2017-03-20 18:21:40","","","2","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2644","12","0","2017-03-15 00:00:00","187","Attended meeting with Ms. Pam Tangso and Ms. Alva Marasigan at Global Business Power","6000","","1","6000","1","21","2017-03-21 10:32:39","","","1","15:30:00","16:30:00","1");
INSERT INTO file_billing_tbl VALUES("2645","12","0","2017-03-16 00:00:00","163","Conferred with AOTCA Conference call","0","","1","0","1","21","2017-03-21 10:33:46","","","2","10:00:00","11:00:00","2");
INSERT INTO file_billing_tbl VALUES("2646","12","0","2017-03-16 00:00:00","163","FINEX GMM","0","","2","0","1","21","2017-03-21 10:40:32","","","2","12:00:00","14:00:00","1");
INSERT INTO file_billing_tbl VALUES("2647","12","0","2017-03-17 00:00:00","64","Attended board meeting at Venice Corporate Center","0","","3.5","0","1","21","2017-03-21 10:41:18","","","1","12:00:00","15:30:00","1");
INSERT INTO file_billing_tbl VALUES("2648","12","0","2017-03-20 00:00:00","163","Attended MAP meeting at Citibank Plaza","0","","2","0","1","21","2017-03-21 10:42:12","","","2","12:00:00","14:00:00","1");
INSERT INTO file_billing_tbl VALUES("2649","12","0","2017-03-20 00:00:00","152","Attended meeting with Kel Pascual  ","0","","1.75","0","1","21","2017-03-21 10:42:55","","","1","14:00:00","15:45:00","1");
INSERT INTO file_billing_tbl VALUES("2650","12","0","2017-03-20 00:00:00","64","Conferred with Kitten, Richelle","0","","0.5","0","1","21","2017-03-21 10:44:25","","","1","17:45:00","18:15:00","2");
INSERT INTO file_billing_tbl VALUES("2651","12","0","2017-03-21 00:00:00","186","Attended meeting with Charlie Casas, Badeth ","6000","","1.66667","10000","1","21","2017-03-21 17:36:46","","","1","10:00:00","11:40:00","1");
INSERT INTO file_billing_tbl VALUES("2652","12","0","2017-03-17 00:00:00","81","Signed documents for standard chartered\n","0","","0.2","0","1","21","2017-03-21 17:37:55","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2653","12","0","2017-03-17 00:00:00","93","Internal routing transmittal of decision &amp; M.R.\n","0","","0.1","0","1","21","2017-03-21 17:38:34","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2654","12","0","2017-03-17 00:00:00","48","Internal routing transmittal of Sec certs to Ms. Shirley Go\n","0","","0.1","0","1","21","2017-03-21 17:39:00","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2655","12","0","2017-03-17 00:00:00","163","Internal routing Transmittal of AOI, Cert. of bank deposit to Navarro Amper (DOJESTA)\n","0","","0.1","0","1","21","2017-03-21 17:39:46","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2656","16","0","2017-03-21 00:00:00","48","Drafted minutes for 2016 annual meeting","0","","1","0","1","16","2017-03-21 18:07:56","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2657","16","0","2017-03-21 00:00:00","47","Drafted minutes for 2016 annual meeting","0","","1","0","1","16","2017-03-21 18:08:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2658","16","0","2017-03-21 00:00:00","84","Internally discussed with Ms. Lyn and Jeric re status of mayor\'s permit application and BIR registration","2500","","0.5","1250","1","16","2017-03-21 18:08:41","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2659","16","0","2017-03-21 00:00:00","84","Wrote email to Marjorie Torres re: mayor\'s permit application and BIR registration","2500","","0.3","750","1","16","2017-03-21 18:09:09","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2660","16","0","2017-03-21 00:00:00","158","Internally discussed with EMP re: GANV TTRA status and follow-up","3000","","0.5","1500","1","16","2017-03-21 18:09:36","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2661","16","0","2017-03-21 00:00:00","158","Drafted GANV TTRA follow-up letter","3000","","0.5","1500","1","16","2017-03-21 18:09:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2662","16","0","2017-03-21 00:00:00","84","Drafted tax memo for WTL Dutch/LuxCo","2500","","4.2","10500","1","16","2017-03-21 18:10:21","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2663","12","0","2017-03-22 00:00:00","63","Conferred with Atty. Allen re HAZ Operating Agreement","0","","1.25","0","1","21","2017-03-22 11:45:15","12","2017-03-22 16:44:15","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2664","12","0","2017-03-21 00:00:00","86","Internal routing letter request to BAI\n","6000","","0.1","600","1","21","2017-03-22 11:45:46","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2665","12","0","2017-03-21 00:00:00","141","Internal routing order dated Mar. 6, 2017\n","0","","0.1","0","1","21","2017-03-22 11:46:20","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2666","12","0","2017-03-21 00:00:00","63","Drafted of the revised HAZ Agreement","0","","1.5","0","1","12","2017-03-22 12:57:19","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2667","12","0","2017-03-21 00:00:00","186","Conferred with BIR Regional Director and Bobby","6000","","1.75","10500","0","12","2017-03-22 12:59:07","","","0","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2668","12","0","2017-03-21 00:00:00","125","Wrote email to Agnes re shareholdings","6000","","0.3","1800","1","12","2017-03-22 12:59:33","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2669","12","0","2017-03-21 00:00:00","125","Internally discussed with Sam an Florian","6000","","0.5","3000","1","12","2017-03-22 12:59:56","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2670","12","0","2017-03-20 00:00:00","63","Drafted the HAZ Operating Agreement","0","","1.2","0","1","12","2017-03-22 13:30:52","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2671","12","0","2017-03-20 00:00:00","63","Conferred with Patrick and Kitten","0","","1.25","0","1","12","2017-03-22 13:32:37","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2672","12","0","2017-03-22 00:00:00","106","Internally discussed with Maki","0","","0.5","0","1","12","2017-03-22 15:54:42","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2673","12","0","2017-03-21 00:00:00","186","Conferred with BIR Regional director","6000","","1.75","10500","1","12","2017-03-22 16:24:53","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2674","12","0","2017-03-20 00:00:00","11","Conferred with Ms. Dimaculangan","0","","0.75","0","1","12","2017-03-22 16:26:38","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2675","12","0","2017-03-22 00:00:00","1","Conferred with CMMTC Finance Committee (including travel time)","0","","2.5","0","1","12","2017-03-22 16:27:36","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2676","12","0","2017-03-22 00:00:00","99","Conferred with Gregory and Jenny Chan","0","","1.75","0","1","12","2017-03-22 16:43:56","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2677","19","0","2017-02-20 00:00:00","94","Reviewed/proofread Memorandum","2500","","0.45","1125","1","19","2017-03-22 16:55:25","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2678","19","0","2017-02-20 00:00:00","94","Supervised filing of Memorandum","0","","2","0","1","19","2017-03-22 16:56:04","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("2679","19","0","2017-02-20 00:00:00","163","Digest reported cases","0","","0.15","0","1","19","2017-03-22 16:56:29","","","2","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2680","19","0","2017-02-20 00:00:00","64","Wrote email to Ms. Shirley Go and Carmel Necor","0","","0.1","0","1","19","2017-03-22 16:56:57","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2681","19","0","2017-02-21 00:00:00","67","Drafted Letter to Registry of Deeds of PAsig","0","","0.25","0","1","19","2017-03-22 16:57:44","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2682","19","0","2017-02-22 00:00:00","185","due diligence ","100","","2.5","250","1","19","2017-03-22 16:58:19","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2683","19","0","2017-02-21 00:00:00","64","Wrote email to Mariesse for BOD meeting materials","0","","0.05","0","1","19","2017-03-22 16:59:09","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2684","19","0","2017-02-21 00:00:00","64","Made telephone call to from Marisse for Board meeting materials","0","","0.1","0","1","19","2017-03-22 16:59:27","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2685","19","0","2017-02-21 00:00:00","163","Presentation for planning","0","","0.3","0","1","19","2017-03-22 17:00:03","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2686","19","0","2017-02-22 00:00:00","185","due diligence","100","","2","200","1","19","2017-03-22 17:00:29","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2687","19","0","2017-02-22 00:00:00","67","Revise draft letter to Registry of Deeds Pasig","0","","0.15","0","1","19","2017-03-22 17:01:11","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2688","19","0","2017-02-22 00:00:00","64","Made telephone call to Mr. Norlito Adusara for Previous BOD meeting and assisted in the preparation of BOD materials","0","","4.1","0","1","19","2017-03-22 17:01:47","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2689","19","0","2017-02-22 00:00:00","163","MPF planning","0","","0.2","0","1","19","2017-03-22 17:02:09","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2690","19","0","2017-02-23 00:00:00","64","Attended Board Meeting and drafted Secretary\'s Certificate ","0","","2.2","0","1","19","2017-03-22 17:02:46","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2691","19","0","2017-02-24 00:00:00","163","Planning Trip","0","","3","0","1","19","2017-03-22 17:03:30","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2692","19","0","2017-02-27 00:00:00","140","Reviewed reply to comment","2500","","0.45","1125","1","19","2017-03-22 17:03:55","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2693","19","0","2017-02-27 00:00:00","100","Read Email from Client","0","","0.5","0","1","19","2017-03-22 17:04:30","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("2694","19","0","2017-02-27 00:00:00","100","Drafted Secretary\'s Certificate on authorized signatory","0","","0.2","0","1","19","2017-03-22 17:04:52","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2695","19","0","2017-02-27 00:00:00","102","Revise draft minutes","0","","0.15","0","1","19","2017-03-22 17:05:13","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2696","19","0","2017-02-27 00:00:00","100","Drafted Minutes of the meeting","0","","0.3","0","1","19","2017-03-22 17:05:35","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2697","19","0","2017-02-28 00:00:00","102","Drafted Director\'s Certificate and phone call to Phia San Gabriel","0","","0.3","0","1","19","2017-03-22 17:06:14","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2698","19","0","2017-02-28 00:00:00","100","Drafted Director\'s Certificate and revised minutes ","0","","0.35","0","1","19","2017-03-22 17:06:45","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2699","19","0","2017-02-28 00:00:00","163","Wise Train-Made telephone call to Australian Embassy/return phone call talked to Consular Officer ","0","","1.1","0","1","19","2017-03-22 17:09:31","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2700","19","0","2017-02-28 00:00:00","163","Wise Train-Wrote email to Australian Embassy","0","","0.2","0","1","19","2017-03-22 17:09:54","19","2017-03-22 17:10:11","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2701","19","0","2017-02-28 00:00:00","67","Drafted letter to President of Condo Corp.","0","","0.15","0","1","19","2017-03-22 17:11:53","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2702","19","0","2017-02-28 00:00:00","185","due diligence","100","","0.4","40","1","19","2017-03-22 17:12:10","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2703","16","0","2017-03-21 00:00:00","163","Internally discussed with MAC and EMP re: Falcon Waterfree tax query","0","","0.5","0","1","16","2017-03-22 17:15:05","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2704","16","0","2017-03-21 00:00:00","163","Researched on Falcon Waterfree tax query ","0","","4","0","0","16","2017-03-22 17:15:20","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2705","16","0","2017-03-22 00:00:00","163","Researched on Falcon Waterfree tax query","0","","3","0","1","16","2017-03-22 17:15:45","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2706","16","0","2017-03-22 00:00:00","99","Attended meeting with EMP, Greg Chan, Jenny Chan ","2500","","2.25","5625","1","16","2017-03-22 17:16:05","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2707","16","0","2017-03-22 00:00:00","84","Received telephone calls from Andrew Cunanan re: Intelligens bank account documents","2500","","0.2","500","1","16","2017-03-22 17:16:30","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("2708","16","0","2017-03-22 00:00:00","197","Received telephone call from Andrew Cunanan re: Sustento online banking details","2500","","0.2","500","1","16","2017-03-22 17:16:53","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("2709","16","0","2017-03-22 00:00:00","84","Supervised preparation of Intelligens bank opening documents","2500","","0.4","1000","1","16","2017-03-22 17:17:14","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("2710","16","0","2017-03-22 00:00:00","163","Drafted memo for Falcon Waterfree tax query","0","","5","0","1","16","2017-03-22 17:17:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2711","16","0","2017-03-17 00:00:00","84","Wrote email to Marjorie Torres re: Intelligens","2500","","0.3","750","1","16","2017-03-22 17:18:40","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2712","16","0","2017-03-17 00:00:00","185","Performed Other Service: due diligence","100","","2.25","225","1","16","2017-03-22 17:20:36","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2713","16","0","2017-02-28 00:00:00","163","Performed Other Service: on leave","0","","8","0","1","16","2017-03-22 17:21:06","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2714","16","0","2017-03-01 00:00:00","163","Performed Other Service: on leave","0","","8","0","1","16","2017-03-22 17:21:16","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2715","16","0","2017-03-02 00:00:00","163","Performed Other Service: on leave","0","","8","0","1","16","2017-03-22 17:21:25","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2716","16","0","2017-03-03 00:00:00","163","Performed Other Service: on leave","0","","8","0","1","16","2017-03-22 17:21:35","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2717","16","0","2017-03-06 00:00:00","163","Performed Other Service: on leave","0","","8","0","1","16","2017-03-22 17:21:46","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2718","16","0","2017-03-07 00:00:00","163","Performed Other Service: on leave","0","","8","0","1","16","2017-03-22 17:21:57","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2719","16","0","2017-03-08 00:00:00","163","Performed Other Service: on leave","0","","8","0","1","16","2017-03-22 17:22:22","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2720","16","0","2017-02-24 00:00:00","163","Performed Other Service: firm planning meeting","0","","8","0","1","16","2017-03-22 17:22:46","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2721","16","0","2017-02-23 00:00:00","163","Traveled to Cambodia for firm planning","0","","6","0","1","16","2017-03-22 17:23:13","","","2","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("2722","12","0","2017-03-22 00:00:00","63","Drafted HAZ Operating Agreement","0","","1.5","0","1","12","2017-03-23 14:04:45","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2723","12","0","2017-03-23 00:00:00","63","Revised the HAZ Operating Agreement","0","","1.5","0","1","12","2017-03-23 14:06:20","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2724","12","0","2017-03-23 00:00:00","63","Conferred with Allen Arbis re HAZ Operating Agreement","0","","0.75","0","1","12","2017-03-23 14:07:06","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2725","12","0","2017-03-23 00:00:00","163","Conferred with Tina and tin re budget","0","","1","0","1","12","2017-03-23 14:07:36","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2726","12","0","2017-03-23 00:00:00","118","Revised the Opinion re withholding tax","0","","1.2","0","1","12","2017-03-23 14:08:59","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2727","12","0","2017-03-22 00:00:00","183","Conferred with Sharon via Watsapp","0","","0.25","0","1","12","2017-03-23 16:47:55","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2728","12","0","2017-03-22 00:00:00","63","Conferred with Kitten and Allen @ Holiday Inn","0","","1.5","0","1","12","2017-03-23 16:53:29","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2729","15","0","2017-03-17 00:00:00","64","Performed Other Service: Attended board meeting for HMDC Group and LHAI. ","0","","4.2","0","1","15","2017-03-27 11:20:27","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2730","15","0","2017-03-17 00:00:00","163","Performed Other Service: Attended seminar for non-accountants","0","","4.5","0","1","15","2017-03-27 11:21:01","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2731","15","0","2017-03-17 00:00:00","163","Performed Other Service: supervised final preparation of materials for the board meeting.","0","","1","0","1","15","2017-03-27 11:21:38","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2732","15","0","2017-03-17 00:00:00","64","Performed Other Service: finalized preparation of BOD Materials. ","0","","1","0","1","15","2017-03-27 11:22:44","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2733","15","0","2017-03-27 00:00:00","19","Performed Other Service: attended board meeting. prepared last minute material for board meeting. ","0","","2","0","1","15","2017-03-27 11:42:20","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2734","15","0","2017-03-27 00:00:00","19","Internally discussed with FGS on deliverables post-BOT meeting.","0","","0.5","0","1","15","2017-03-27 11:42:44","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2735","15","0","2017-03-27 00:00:00","63","Internally discussed with EMP re revisions for Doric and HAZ agreement","0","","0.3","0","1","15","2017-03-27 11:43:13","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2736","15","0","2017-03-25 00:00:00","183","Wrote email to Sharon and Philip on moving forward with the incorporation of the BPO. Include revising and updating information list. ","0","","1","0","1","15","2017-03-27 11:45:32","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2737","15","0","2017-03-25 00:00:00","163","Performed Other Service: drafted digests for case reporting","0","","1","0","1","15","2017-03-27 12:02:52","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2738","15","0","2016-08-08 00:00:00","18","Attended at trial/hearing at the CTA for presentation of Respondent\'s witness","0","","3.5","0","1","15","2017-03-27 15:03:27","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("2739","15","0","2016-12-05 00:00:00","18","Drafted, researched, revised and reviewed Memorandum. Include discussions with EMP on the arguments and revisiting statutes and jurisprudence (consolidated entry)","0","","10.5","0","1","15","2017-03-27 15:07:14","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2740","15","0","2017-03-28 00:00:00","63","Wrote email to Atty. Kat Mamba requesting case details on the FLA conflict in davao","0","","0.5","0","1","15","2017-03-28 16:36:00","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2741","15","0","2017-03-27 00:00:00","63","Conferred with EMP and Micha Lingan over telephone to discuss and revise the Doric Operating Agreement.","0","","1.5","0","1","15","2017-03-28 16:37:03","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2742","15","0","2017-03-27 00:00:00","63","Conferred with EMP and Atty. Allen and Mr. San Miguel to work on the HAZ operating Agreement ","0","","2.5","0","1","15","2017-03-28 17:56:49","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2743","15","0","2017-03-27 00:00:00","63","Conferred with Atty. Allen and EMP on the Doric Agreement","0","","1.5","0","1","15","2017-03-28 17:57:27","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2744","15","0","2017-03-27 00:00:00","63","Revised and reviewed draft amended articles, directors certificate and by-laws for amendment of articles and by laws. Include discussion with EMP and RHO.","0","","2.6","0","1","15","2017-03-28 17:58:16","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2745","15","0","2017-03-28 00:00:00","63","Conferred with aTTY. Allen, EMP and Engr. San Miguel on the final revisions for the HAZ agreement","0","","3","0","1","15","2017-03-28 17:59:00","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2746","15","0","2017-03-28 00:00:00","63","Conferred with Atty. Allen and EMP on the Doric amendments","0","","1.5","0","1","15","2017-03-28 18:01:00","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2747","15","0","2017-03-28 00:00:00","63","Revise and redrafted amended articles, director\'s certificate and by-laws for the amended of articles and by laws","0","","2.8","0","1","15","2017-03-28 18:03:29","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2748","15","0","2017-03-28 00:00:00","63","Revised Doric agreement to incorporate recent changes from Doric/","0","","0.8","0","1","15","2017-03-28 18:04:13","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2749","15","0","2017-03-20 00:00:00","185","Performed Other Service: Due diligence review of ARC assets and liabilities; include drafting of report","100","","4","400","1","15","2017-03-28 23:34:45","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2750","15","0","2017-03-21 00:00:00","185","Performed Other Service: due diligence on ARC\'s regulatory compliance","0","","3.1","0","1","15","2017-03-28 23:35:18","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2751","15","0","2017-03-23 00:00:00","185","Performed Other Service: Due diligence on ARC\'s material contracts. Include research on applicable contract laws for recommendations.","0","","6.6","0","1","15","2017-03-28 23:36:02","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2752","15","0","2017-03-23 00:00:00","185","Conferred with DRP, RHO and FGS to consolidate draft report and line by line edit of report and review completeness of documents reviewed.","0","","4.5","0","1","15","2017-03-28 23:36:49","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2753","15","0","2017-03-24 00:00:00","185","Revised draft report to conform with team\'s findings","0","","2.8","0","1","15","2017-03-28 23:37:46","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2754","15","0","2017-03-14 00:00:00","185","Internally discussed with RHO on her findings in the assets and liabilities due diligence for ARC.","0","","1.9","0","1","15","2017-03-28 23:38:26","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2755","12","0","2017-03-28 00:00:00","63","Revising HAZ Operating Agreements","0","","3.5","0","1","12","2017-03-29 13:41:33","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2756","12","0","2017-03-28 00:00:00","63","Conferred with  Allen and HAZ Representative","0","","2.8","0","1","12","2017-03-29 13:41:49","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2757","12","0","2017-03-28 00:00:00","64","Drafted revised AOI and Direcctor\'s Certifiates","0","","2.5","0","1","12","2017-03-29 13:42:07","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2758","12","0","2017-03-29 00:00:00","158","Followed-up work at BIR","6000","","2.5","15000","1","12","2017-03-29 13:43:18","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("2759","12","0","2017-03-29 00:00:00","63","Followed-up work at BIR of BIR Ruling","0","","2.5","0","1","12","2017-03-29 13:43:40","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("2760","12","0","2017-03-29 00:00:00","63","Drafted DORIC Operating Agreement","0","","2.5","0","1","12","2017-03-29 13:44:15","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2761","12","0","2017-03-29 00:00:00","63","Call with Allen to discuss Doric","0","","0.5","0","1","12","2017-03-29 13:44:33","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("2762","12","0","2017-03-27 00:00:00","63","Drafted Haz Operating Agreement","0","","1.8","0","1","12","2017-03-29 13:45:24","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2763","12","0","2017-03-27 00:00:00","63","Drafted DORIC Operating Agreemet","0","","0.5","0","1","12","2017-03-29 13:45:53","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2764","12","0","2017-03-27 00:00:00","141","Wrote email to client and discussion with Dianne","0","","0.5","0","1","12","2017-03-29 13:46:55","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2765","12","0","2017-03-20 00:00:00","186","Conferred with Charlie and Badeth re 2012 Assessment (time for transfer)","6000","","1.5","9000","0","12","2017-03-29 13:48:17","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2766","12","0","2017-03-27 00:00:00","186","Conferred with Charlie and Badeth re 2012 Assessment","6000","","1.5","9000","1","12","2017-03-29 13:49:03","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2767","12","0","2017-03-24 00:00:00","80","Reviewed of Confidentiality Agreement","0","","0.75","0","1","12","2017-03-29 14:14:48","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2768","12","0","2017-03-24 00:00:00","80","Wrote email to David Paean","0","","0.75","0","1","12","2017-03-29 14:15:37","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2769","12","0","2017-03-24 00:00:00","183","Reviewed of AOI and By-laws of ROMAR, Inc.","0","","0.5","0","1","12","2017-03-29 14:16:16","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2770","12","0","2017-03-30 00:00:00","164","Conferred with Simone Sweeney and discussed various potential tax issues of Haven Asia Philippines","180","","0.6","108","1","12","2017-03-30 16:29:49","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2771","12","0","2017-03-30 00:00:00","125","Email to Agnes Bohnen","6000","","0.4","2400","1","12","2017-03-30 16:30:20","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2772","12","0","2017-03-30 00:00:00","63","Drafted and revised HAZ Operating Agreement","0","","1.25","0","1","12","2017-03-30 16:31:05","12","2017-03-30 19:06:59","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2773","12","0","2017-03-30 00:00:00","64","Performed Other Service - Sending Director\'s certificate to directors","0","","0.5","0","1","12","2017-03-30 16:32:13","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2774","12","0","2017-03-30 00:00:00","151","Conferred with Philip and Sharon via WhatsApp","6000","","0.3","1800","1","12","2017-03-30 16:32:59","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2775","12","0","2017-03-30 00:00:00","151","Internally discussed with Florian re Opening of bank accounts; review of minutes; ;email to client","6000","","0.5","3000","1","12","2017-03-30 16:34:28","12","2017-03-30 19:17:26","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2776","12","0","2017-03-30 00:00:00","151","Wrote email to Agnes Bohnen","6000","","0.5","3000","0","12","2017-03-30 19:05:09","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2777","12","0","2017-03-30 00:00:00","125","Wrote email to Agnes Bonen","6000","","0.5","3000","1","12","2017-03-30 19:05:45","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2778","12","0","2017-03-30 00:00:00","84","Emails to Andrew, Floris and Peter","6000","","0.5","3000","1","12","2017-03-30 19:06:33","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2779","12","0","2017-03-30 00:00:00","163","Conferred with Gemma re firm\'s ITR","0","","2","0","1","12","2017-03-30 19:17:57","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2780","15","0","2017-03-31 00:00:00","64","Performed Other Service signed CTC of IDs of the HMDC signatories, requested by Peter Lachaona","0","","1","0","1","21","2017-03-31 11:19:30","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2781","12","0","2017-03-22 00:00:00","186","Internal routing Letter to BIR RR No. 8 re 2012 &amp; 2013 Tax assessment)\n","6000","","0.1","600","1","21","2017-03-31 11:22:39","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2782","12","0","2017-03-22 00:00:00","102","Internal routing Transmittal of minutes\n","0","","0.1","0","1","21","2017-03-31 11:23:22","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2783","12","0","2017-03-22 00:00:00","100","Internal routing Transmittal of minutes\n","0","","0.1","0","1","21","2017-03-31 11:23:43","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2784","12","0","2017-03-22 00:00:00","99","Internal routing board resolution\n","0","","0.1","0","1","21","2017-03-31 11:24:16","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2785","12","0","2017-03-22 00:00:00","169","Internal routing transmittal of minutes &amp; sec certs\n","0","","0.1","0","1","21","2017-03-31 11:24:39","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2786","12","0","2017-03-22 00:00:00","93","Internal routing minute resolution dtd 3.14.17\n","0","","0.1","0","1","21","2017-03-31 11:26:22","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2787","12","0","2017-03-22 00:00:00","94","Internal routing resolution dated 3.20.17\n","0","","0.1","0","1","21","2017-03-31 11:26:47","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2788","12","0","2017-03-24 00:00:00","143","Internal routing Manifestation filing of Pretrial brief\n","0","","0.1","0","1","21","2017-03-31 11:27:19","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2789","12","0","2017-03-29 00:00:00","93","Internal routing notice of resolution\n","0","","0.1","0","1","21","2017-03-31 11:29:09","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2790","12","0","2017-03-29 00:00:00","151","Internal routing MAA Insurance\n","6000","","0.1","600","1","21","2017-03-31 11:29:37","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2791","12","0","2017-03-29 00:00:00","128","Internal routing Amended GIS 2017\n","0","","0.1","0","1","21","2017-03-31 11:30:10","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2792","12","0","2017-03-30 00:00:00","152","Internal routing Letter to BDO\n","0","","0.1","0","1","21","2017-03-31 11:30:37","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2793","12","0","2017-03-30 00:00:00","146","Internal routing transmittal of bank documents to Idein\n","0","","0.1","0","1","21","2017-03-31 11:31:03","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2794","12","0","2017-04-03 00:00:00","125","Reviewed of records; discussions with SLP and Florian; calls to RAB and Sharon","6000","","0.8","4800","1","12","2017-04-03 18:41:33","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2795","12","0","2017-04-03 00:00:00","63","Performed Other Service - Assistance in the signing and finalisation of HAZ Operating Agreement","0","","4.5","0","1","12","2017-04-03 18:42:21","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2796","12","0","2017-03-31 00:00:00","1","Attended meeting at ","0","","2.5","0","1","12","2017-04-03 18:43:46","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2797","12","0","2017-03-31 00:00:00","63","Revised HAZ Operating Agreement","0","","1.5","0","1","12","2017-04-03 18:44:42","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2798","12","0","2017-03-31 00:00:00","80","Revised HEAB Malaysia SLA","0","","2.5","0","1","12","2017-04-03 18:46:26","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2799","16","0","2017-04-03 00:00:00","39","Attended hearing at RTC Makati Br. 132 for Casop v. City of Makati","100","","3.5","350","1","16","2017-04-04 10:07:58","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("2800","16","0","2017-04-03 00:00:00","141","Internally discussed with EMP re: Presentation of Mr. Querido/conference call with Atty. Golda","2500","","0.6","1500","1","16","2017-04-04 10:08:34","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2801","16","0","2017-04-03 00:00:00","141","Reviewed work of FGS: Judicial Affidavit of Mr. Querido, covering manifestation","0","","1","0","1","16","2017-04-04 10:09:02","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2802","16","0","2017-04-03 00:00:00","141","Wrote email to Atty. Golda re: JA of Mr. Querido","0","","0.2","0","1","16","2017-04-04 10:09:29","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2803","16","0","2017-04-03 00:00:00","6","Researched on tax credit certificates re: Genato case","2500","","1","2500","1","16","2017-04-04 10:10:10","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2804","16","0","2017-04-03 00:00:00","6","Wrote email to GVF re: findings on TCCs","0","","0.4","0","1","16","2017-04-04 10:10:29","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2805","16","0","2017-04-03 00:00:00","169","Drafted minutes of special meeting of BOD approving AFS for 2016","0","","0.5","0","1","16","2017-04-04 10:10:57","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2806","16","0","2017-04-03 00:00:00","84","Supervised filing of Intelligens Mayor\'s Permit application/phone call to Atty. Pagente of Permits and Licensing office","2500","","0.75","1875","1","16","2017-04-04 10:11:37","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("2807","16","0","2017-04-03 00:00:00","84","Drafted tax memo for Dutch/LuxCo","0","","3","0","1","16","2017-04-04 10:12:04","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2808","16","0","2017-03-31 00:00:00","84","Drafted tax memo for Dutch/LuxCo","0","","2.5","0","1","16","2017-04-04 10:15:27","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2809","16","0","2017-04-04 00:00:00","163","Conducted research/Drafted tax memo for Global Business Power Corp. (tax treaty relief)","0","","6","0","1","16","2017-04-04 15:56:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2810","16","0","2017-04-04 00:00:00","84","Supervised filing of Mayor\'s permit application/emails to Marjorie Torres re: company profile, target market/client list; discussed with RHO re: feedback from Makati Permits office","2500","","1","2500","1","16","2017-04-04 15:56:47","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("2811","16","0","2017-04-04 00:00:00","163","Drafted Derma 360 minutes for approval of 2016 AFS","0","","0.4","0","1","16","2017-04-04 15:57:19","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2812","16","0","2017-04-04 00:00:00","143","Finalized 9183 Joint Stipulation of Facts and Issues/drafted email to Atty. Rowell Vicente of the BIR","2500","","1.5","3750","1","16","2017-04-04 15:58:00","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2813","12","0","2017-04-04 00:00:00","80","Conferred with Reywen","0","","0.5","0","1","12","2017-04-04 18:27:09","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2814","12","0","2017-04-04 00:00:00","10","Conferred with BIR OFFICIALS","0","","3.5","0","1","12","2017-04-04 18:27:52","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2815","12","0","2017-04-04 00:00:00","23","Attended BOARD MEETING","0","","2","0","1","12","2017-04-04 18:29:24","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2816","12","0","2017-04-03 00:00:00","151","Internal routing Alien employment permit of Chi Wen Hua\n","6000","","0.1","600","1","21","2017-04-05 13:30:58","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2817","12","0","2017-04-03 00:00:00","151","Internal routing transmittal of Sec certs\n","0","","0.1","0","1","21","2017-04-05 13:33:10","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2818","12","0","2017-04-03 00:00:00","170","Internal routing GIS 2017\n","0","","0.1","0","1","21","2017-04-05 13:33:49","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2819","12","0","2017-04-03 00:00:00","64","Internal routing transmittal of Directors\' Certificate to AMA\n","0","","0.1","0","1","21","2017-04-05 13:34:36","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2820","12","0","2017-04-03 00:00:00","116","Internal routing letter to BIR dtd Mar 30, 2017\n","0","","0.1","0","1","21","2017-04-05 13:35:05","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2821","12","0","2017-04-03 00:00:00","10","Internal routing letter to BIR dtd Mar 30, 2017\n","0","","0.1","0","1","21","2017-04-05 13:42:14","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2822","12","0","2017-04-03 00:00:00","151","Internal routing Transmittal of MAA General assurance policy, invoice &amp; receipt to Mr. Khita Hua\n","6000","","0.1","600","1","21","2017-04-05 13:43:12","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2823","12","0","2017-04-03 00:00:00","146","Internal routing transmittal of Sec certs\n","0","","0.1","0","1","21","2017-04-05 13:43:39","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2824","12","0","2017-04-03 00:00:00","47","Internal routing Power of Attorney\n","0","","0.1","0","1","21","2017-04-05 13:44:09","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2825","12","0","2017-04-03 00:00:00","196","Internal routing transmittal of treasurers aff.\n","0","","0.1","0","1","21","2017-04-05 13:44:37","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2826","12","0","2017-04-03 00:00:00","186","Internal routing letter to BIR dtd Mar 29, 2017\n","6000","","0.1","600","1","21","2017-04-05 13:45:22","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("2827","16","0","2017-04-05 00:00:00","163","Further revised/finalized tax memo for Global Business Power/reviewed FGS\' work","0","","3.5","0","1","16","2017-04-05 16:13:10","16","2017-04-05 16:24:17","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2828","16","0","2017-04-05 00:00:00","163","Attended meeting with GVF and new client (Tradeshow International, Inc.)","0","","1.2","0","1","16","2017-04-05 16:13:33","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2829","16","0","2017-04-05 00:00:00","163","Drafted Secretary\'s Certificate for Tradeshow International, Inc. - GVF new client","0","","0.5","0","1","16","2017-04-05 16:13:55","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2830","16","0","2017-04-05 00:00:00","84","Supervised filing of BIR Registration/Mayor\'s Permit applications of Intelligens","2500","","1","2500","1","16","2017-04-05 16:14:32","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("2831","16","0","2017-04-05 00:00:00","84","Wrote emails to Marjorie re: Intelligens/Sustento","2500","","0.3","750","1","16","2017-04-05 16:14:48","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2832","16","0","2017-04-05 00:00:00","163","Researched on libel laws re: Growl Audio v. Tradeshow Intl case (GVF new client)/reviewed files given by new client","0","","1.5","0","1","16","2017-04-05 16:15:43","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2833","16","0","2017-04-06 00:00:00","169","Drafted Sec Certs for two CMI Security Bank accounts; drafted underlying minutes","0","","1","0","1","16","2017-04-06 14:05:32","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2834","16","0","2017-04-06 00:00:00","81","Traveled to Two World Square for notarization of Trainee Contracts","0","","0.75","0","1","16","2017-04-06 14:06:15","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("2835","16","0","2017-04-06 00:00:00","81","Performed Other Service: notarization of trainee contracts at Two World Square HEABS office","0","","3.5","0","1","16","2017-04-06 14:06:49","16","2017-04-07 16:18:59","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2836","16","0","2017-04-06 00:00:00","163","Reviewed Dojesta contracts","0","","2","0","1","16","2017-04-06 14:07:24","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2837","12","0","2017-04-05 00:00:00","152","Conferred with BIR - Gilda Iglesias","0","","1.75","0","1","12","2017-04-07 09:42:12","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2838","12","0","2017-04-05 00:00:00","163","Conferred with BIR - CIR Dulay and Mon Abrea re CSR Philippiens","0","","1.5","0","1","12","2017-04-07 09:56:00","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2839","12","0","2017-04-05 00:00:00","186","Conferred with Charlie Casas at the Region - but BIR officer were not around","6000","","1.2","7200","1","12","2017-04-07 10:06:17","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2840","12","0","2017-04-06 00:00:00","152","Conferred with Kel and company, re options for the compromise","0","","1.5","0","1","12","2017-04-07 10:06:57","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2841","12","0","2017-04-06 00:00:00","152","Conferred with Kel and company re options for property dividends","0","","1.2","0","1","12","2017-04-07 10:07:15","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2842","12","0","2017-04-06 00:00:00","125","Conferred with Greefin, Sharon and Philip re booking of 2016 transactions","6000","","1.75","10500","1","12","2017-04-07 10:07:54","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2843","16","0","2017-04-06 00:00:00","11","Drafted Judicial Affidavit-Tess Dimaculangan","0","","2","0","1","16","2017-04-07 16:19:21","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2844","16","0","2017-04-06 00:00:00","163","Reviewed Dojesta Contracts","0","","3","0","0","16","2017-04-07 16:19:43","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2845","16","0","2017-04-07 00:00:00","163","Reviewed Dojesta Contracts","0","","3","0","1","16","2017-04-07 16:20:05","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2846","16","0","2017-04-07 00:00:00","11","Internally discussed with EMP re: judicial affidavit of Ms. Tess Dimaculangan","0","","0.3","0","1","16","2017-04-07 16:20:27","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2847","16","0","2017-04-07 00:00:00","11","Further revised judicial affidavit of Ms. Tess Dimaculangan","0","","1.7","0","1","16","2017-04-07 16:20:47","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2848","16","0","2017-04-07 00:00:00","90","Internally discussed with GVF and FGS re: Joanne Francisco case (replies to Oppositor\'s Comments)","0","","0.5","0","1","16","2017-04-07 16:21:20","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2849","16","0","2017-04-07 00:00:00","39","Drafted Casop Atlas Corp v. City of Makati FOE","100","","2.75","275","1","16","2017-04-07 16:21:58","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2850","15","0","2017-04-10 00:00:00","152","Drafted letter to BIR Region 7 RD reiterating request for compromise and amortization of payments. Meeting with EMP and Advatech (consolidated entry). Include research on laws and regulations on compromise/abatement","0","","4.2","0","0","15","2017-04-10 10:38:29","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2851","12","0","2017-04-07 00:00:00","152","Traveled to and from BIR","0","","2.5","0","1","12","2017-04-10 15:19:08","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("2852","12","0","2017-04-07 00:00:00","152","Conferred with Regional Dir. Marina de Guzman","0","","1","0","1","12","2017-04-10 15:19:30","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2853","12","0","2017-04-07 00:00:00","152","Drafted letter to BIR","0","","0.75","0","1","12","2017-04-10 15:20:11","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2854","12","0","2017-04-07 00:00:00","84","Wrote email to Diego and Marjorie","6000","","0.3","1800","1","12","2017-04-10 15:21:06","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2855","12","0","2017-04-07 00:00:00","163","Conferred with Lawyers \'s Lunch","0","","2","0","1","12","2017-04-10 15:21:37","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2856","12","0","2017-04-07 00:00:00","125","Internally discussed with GMP re FS","6000","","0.3","1800","1","12","2017-04-10 15:22:24","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2857","12","0","2017-04-10 00:00:00","125","Wrote email to Agnes","6000","","0.6","3600","1","12","2017-04-10 18:40:34","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2858","12","0","2017-04-10 00:00:00","186","Wrote email to Charlie - RAYTHEON","6000","","1.5","9000","1","12","2017-04-10 18:41:14","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2859","16","0","2017-04-10 00:00:00","163","Further revised Global Business Power legal opinion based on EMP\'s comments; conducted further research","0","","3.5","0","1","16","2017-04-11 15:06:15","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2860","16","0","2017-04-10 00:00:00","163","Reviewed Dojesta contracts","0","","3","0","1","16","2017-04-11 15:06:33","16","2017-04-11 15:12:15","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2861","16","0","2017-04-10 00:00:00","143","Revised Cancer Joint Stipulation of Facts based on comments of Atty. Vicente (counsel for respondent CIR)","2500","","1","2500","1","16","2017-04-11 15:08:06","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2862","16","0","2017-04-10 00:00:00","39","Drafted Casop Atlas authorization letter (to obtain certified true copies of TCC/CAR/Tax return for Formal Offer of Evidence)","100","","0.4","40","1","16","2017-04-11 15:08:44","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2863","16","0","2017-04-10 00:00:00","85","Internally discussed with GVF re: TGP Land transfer tax","0","","0.3","0","1","16","2017-04-11 15:12:07","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2864","16","0","2017-04-11 00:00:00","90","Reviewed/revised drafts of the ff:\n\nReply re: Comment on Motion to Release Rents;\nReply re: Comment on Motion to Surrender Titles;\nMotion to Exclude Oppositor; and\nManifestation and Motion re: Stale Check","0","","5","0","1","16","2017-04-11 15:13:27","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2865","16","0","2017-04-11 00:00:00","163","Drafted Motion for Extension of Time to File Answer","0","","1","0","1","16","2017-04-11 15:13:52","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2866","16","0","2017-04-11 00:00:00","163","Internally discussed with EMP re: Global Business Power legal opinion","0","","0.5","0","1","16","2017-04-11 15:14:10","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2867","16","0","2017-04-11 00:00:00","163","Conducted further research for Global Business Power legal opinion","0","","0.75","0","1","16","2017-04-11 15:14:29","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2868","16","0","2017-04-11 00:00:00","163","Reviewed/proofread Global Business Power legal opinion","0","","0.9","0","1","16","2017-04-11 15:14:47","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2869","19","0","2017-03-01 00:00:00","163","Wise Train - Made telephone call to Australian Embassy and phone call to DFA on Authentication of Passport ","0","","0.5","0","1","19","2017-04-17 13:12:52","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2870","19","0","2017-03-01 00:00:00","163","Wise Train-Wrote email to Australian Embassy ","0","","0.1","0","1","19","2017-04-17 13:45:00","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2871","19","0","2017-03-01 00:00:00","163","Staff Evaluations","0","","3","0","1","19","2017-04-17 13:45:20","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2872","19","0","2017-03-01 00:00:00","127","Reviewed/Proofread survey service contract.","0","","2","0","1","19","2017-04-17 15:41:15","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2873","16","0","2017-04-18 00:00:00","11","Attended meeting with Ms. Tess Dimaculangan and EMP for drafting of Judicial Affidavit","0","","3.5","0","1","16","2017-04-18 14:55:25","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2874","16","0","2017-04-18 00:00:00","11","Reviewed files in preparation for meeting with Ms. Dimaculangan","0","","0.75","0","1","16","2017-04-18 14:55:42","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2875","16","0","2017-04-18 00:00:00","90","Revised Supplemental Reply re: Comment on Motion to Release Rents","0","","1","0","1","16","2017-04-18 14:56:27","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2876","16","0","2017-04-18 00:00:00","90","Revised Supplemental Reply re Comment on MOtion to Surrender Titles","0","","1","0","1","16","2017-04-18 14:56:49","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2877","16","0","2017-04-18 00:00:00","85","Reviewed CARs, drafted email to GVF/EMP, supervised request for correction","0","","0.75","0","1","16","2017-04-18 14:57:24","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2878","16","0","2017-04-18 00:00:00","163","Research for invoicing memo","0","","1.5","0","1","16","2017-04-18 14:58:20","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2879","16","0","2017-04-17 00:00:00","163","Revised Dojesta Privacy Policy/revised covering email to Sagit","0","","3","0","1","16","2017-04-18 14:59:56","16","2017-04-27 11:21:49","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2880","16","0","2017-04-17 00:00:00","163","Internally discussed with EMP and RHO re: HavenAsia invoicing and tax treaty memoranda","0","","1","0","1","16","2017-04-18 15:00:21","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2881","12","0","2017-04-18 00:00:00","14","Conferred with Dep. Com Aranas, Atty. Manzanares and Atty. Mape Cantillep of BIR Legal Service","0","","3.5","0","1","12","2017-04-18 16:26:18","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2882","12","0","2017-04-18 00:00:00","10","Conferred with Ms. Tes Angeles, head of LT Division.","0","","3","0","1","12","2017-04-18 16:26:56","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2883","12","0","2017-04-18 00:00:00","11","Conferred with Independent CPA","0","","3","0","1","12","2017-04-18 16:27:25","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2884","12","0","2017-04-17 00:00:00","11","Revised Judicial Affidavit of Accountant","0","","1.75","0","1","12","2017-04-18 16:30:28","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2885","12","0","2017-04-17 00:00:00","196","Reviewed of Privacy Policy","0","","1.75","0","1","12","2017-04-18 16:43:59","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2886","12","0","2017-04-17 00:00:00","64","Reviewed of work of General Information Sheet","0","","2.5","0","1","12","2017-04-18 16:44:40","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2887","12","0","2017-04-18 00:00:00","22","Conferred with Annabelle re 2012 and 2011 BIR audit.","0","","1.75","0","1","12","2017-04-18 16:48:09","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2888","12","0","2017-04-18 00:00:00","10","Email to Kitten and Vicky","0","","0.3","0","1","12","2017-04-18 16:59:02","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2889","16","0","2017-04-18 00:00:00","97","Reviewed/proofread Partnership/Shareholders Agreements","2500","","1","2500","1","16","2017-04-18 17:59:57","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2890","16","0","2017-04-18 00:00:00","85","Internally discussed with RHO re: TGP CAR correction","0","","0.4","0","1","16","2017-04-18 18:00:16","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2891","16","0","2017-04-18 00:00:00","163","Internally discussed with Carlo (intern) re: consularization of documents by Vietnamese embassy","0","","0.5","0","1","16","2017-04-18 18:00:53","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2892","16","0","2017-04-19 00:00:00","11","Revised JA of Ms. Dimaculangan per EMP, Jong Bautista and Atty. Ascalon\'s comments","0","","3","0","1","16","2017-04-19 14:40:11","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2893","16","0","2017-04-19 00:00:00","163","Performed Other Service: style guide lecture","0","","1","0","1","16","2017-04-19 14:40:31","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2894","16","0","2017-04-19 00:00:00","163","Internally discussed with Carlo Soriano re: MBG Capital consularization of documents","0","","0.5","0","1","16","2017-04-19 14:41:13","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2895","16","0","2017-04-19 00:00:00","11","Supervised filing of TA Oil JA of Ms. Dimaculangan","0","","2","0","1","16","2017-04-19 14:41:35","16","2017-04-19 14:43:14","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("2896","16","0","2017-04-19 00:00:00","197","Wrote email to Marjorie Torres re: stock certificates","2500","","0.2","500","1","16","2017-04-19 14:42:06","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2897","16","0","2017-04-19 00:00:00","85","Internally discussed with RHO re: TGP CAR correction at RDO 38","0","","0.3","0","1","16","2017-04-19 14:42:50","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2898","16","0","2017-04-19 00:00:00","85","Internally discussed with Jeric and Joy re: TGP Land transfer of title","0","","0.3","0","1","16","2017-04-19 14:43:07","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2899","16","0","2017-04-19 00:00:00","90","Internally discussed with FGS and GVF re: Joanne Francisco hearings scheduled on 4/20/2017","0","","0.3","0","1","16","2017-04-19 14:44:38","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2900","16","0","2017-04-19 00:00:00","163","Reviewed MBG Capital docs for consularization","0","","0.5","0","1","16","2017-04-19 14:45:11","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2901","12","0","2017-04-19 00:00:00","80","Conference call with HO Malaysia","0","","2.3","0","1","12","2017-04-19 19:31:36","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2902","12","0","2017-04-19 00:00:00","106","Conferred with Maki re BIR findings","0","","0.4","0","1","12","2017-04-19 19:32:15","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2903","12","0","2017-04-19 00:00:00","210","Performed Other Service  - finalising opinion","6000","","0.4","2400","1","12","2017-04-19 19:32:43","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2904","12","0","2017-04-19 00:00:00","11","Performed Other Service - Finalising of Judicial Affidavit; various emails to and from client/Ms. Dimaculangan","0","","2.5","0","1","12","2017-04-19 19:34:05","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2905","12","0","2017-04-19 00:00:00","85","Performed Other Service - various discussions on CAR AND LAND","0","","0.5","0","1","12","2017-04-19 19:36:45","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2906","16","0","2017-04-20 00:00:00","210","Attended meeting at GBPC offices with EMP (attended by Ms. Pamela Tangso and Ms. Alva Marasigan)","3500","","1.5","5250","1","16","2017-04-20 16:49:37","16","2017-04-20 16:49:44","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2907","16","0","2017-04-20 00:00:00","84","Conference call with Martijn Perquin re: LuxCo incorporation","2500","","0.5","1250","1","16","2017-04-20 16:50:21","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("2908","16","0","2017-04-20 00:00:00","84","Internally discussed with EMP re: LuxCo documentation","2500","","0.3","750","1","16","2017-04-20 16:50:40","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2909","16","0","2017-04-20 00:00:00","84","Reviewed LuxCo documentation","2500","","0.5","1250","1","16","2017-04-20 16:50:59","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2910","16","0","2017-04-20 00:00:00","84","Internally discussed with GVF re: Sustento stock certificates","2500","","0.4","1000","1","16","2017-04-20 16:51:23","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2911","16","0","2017-04-20 00:00:00","84","Internally discussed with Ms. Lyn re: stock certs for Sustento/supervised preparation of new stock certs","2500","","0.5","1250","1","16","2017-04-20 16:51:52","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2912","16","0","2017-04-20 00:00:00","163","Reviewed work of RHO re: dividends memo for Haven Asia","0","","4.5","0","1","16","2017-04-20 16:52:24","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2913","19","0","2017-03-02 00:00:00","64","Drafted Minutes for February 23, 2017","0","","2","0","1","19","2017-04-21 14:53:05","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2914","19","0","2017-03-02 00:00:00","128","Drafted Minutes for Feb. 23, 2017","0","","2","0","1","19","2017-04-21 14:54:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2915","19","0","2017-03-02 00:00:00","163","Staff Evaluation and digested Case for reporting.","0","","2.3","0","1","19","2017-04-21 14:56:09","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2916","19","0","2017-03-03 00:00:00","83","Attended at hearing at RTC Taguig. re: HEABS v. Hernandez","0","","5","0","1","19","2017-04-21 15:32:57","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("2917","19","0","2017-03-03 00:00:00","163","Staff Evaluation ","0","","2","0","1","19","2017-04-21 15:36:02","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2918","19","0","2017-03-03 00:00:00","128","Drafted Secretary\'s certificate for Bank Signatories for several banks.","0","","1","0","1","19","2017-04-21 15:36:58","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2919","19","0","2017-03-07 00:00:00","83","Made telephone call to Sheriff Sherwin Luluquisin re: HEABS ROHQ V. Hernandez.","0","","0.3","0","1","19","2017-04-26 16:24:12","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2920","19","0","2017-03-07 00:00:00","64","Drafted Minutes of the meeting for Feb. 23, 2017.","0","","3","0","1","19","2017-04-26 16:25:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2921","19","0","2017-03-07 00:00:00","128","Drafted Minutes of the meeting for Feb. 23, 2017","0","","2.5","0","1","19","2017-04-26 16:25:47","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2922","16","0","2017-04-26 00:00:00","84","Attended meeting with EMP, Marjorie Torres, Diego Recalde and Andrew Cunanan re: DutchCo/LuxCo structure setup","2500","","2","5000","1","16","2017-04-27 10:42:53","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2923","16","0","2017-04-26 00:00:00","84","Drafted Intelligens Declarations of Trust/supervised execution","2500","","1.25","3125","1","16","2017-04-27 10:43:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2924","16","0","2017-04-26 00:00:00","84","Wrote various emails to EMP related to DutchCo/LuxCo structure (Intelligens, Pronimbus, Susteno primary purposes)","2500","","0.75","1875","1","16","2017-04-27 10:43:57","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2925","16","0","2017-04-26 00:00:00","85","Internally discussed with EMP and GVF re: TGP Land RD matters","0","","0.2","0","1","16","2017-04-27 10:44:32","16","2017-04-27 10:45:08","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2926","16","0","2017-04-26 00:00:00","85","Internally discussed with Jeric re: TGP Land status with RD","0","","0.3","0","1","16","2017-04-27 10:44:51","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2927","16","0","2017-04-26 00:00:00","85","Internally discussed with EMP re: TGP CAR correction","0","","0.2","0","1","16","2017-04-27 10:46:24","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2928","16","0","2017-04-26 00:00:00","143","Reviewed Pre-Trial Brief, exhibits, and JSFI in preparation for Commissioner\'s Hearing on 4/27/17","2500","","2","5000","1","16","2017-04-27 10:47:49","16","2017-04-27 10:48:01","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2929","16","0","2017-04-26 00:00:00","91","Reviewed files in preparation for Memorandum-drafting","2500","","1.5","3750","1","16","2017-04-27 10:48:53","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2930","16","0","2017-04-24 00:00:00","11","Attended trial/hearing at CTA for presentation of Ms. Tess Dimaculangan","0","","3","0","1","16","2017-04-27 10:49:27","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("2931","16","0","2017-04-24 00:00:00","11","Attended lunch meeting with Ms. Tess Dimaculangan in preparation for hearing","0","","1.5","0","1","16","2017-04-27 10:49:56","16","2017-04-27 11:02:30","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("2932","16","0","2017-04-24 00:00:00","11","Reviewed files in preparation for presentation of Ms. Tess Dimaculangan","0","","1","0","1","16","2017-04-27 10:50:17","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2933","19","0","2017-03-07 00:00:00","163","Conferred with EMP, MAC FGS on PIA lecture","0","","0.4","0","1","19","2017-04-27 10:51:03","","","2","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2934","16","0","2017-04-24 00:00:00","84","Internal discussion with Ms. Lyn re: Sustento/Acquapower minutes; supervised scanning of docs; Wrote email to Marjorie Torres re: Sustento/Acquapower minutes ","2500","","0.5","1250","1","16","2017-04-27 10:52:40","16","2017-04-27 10:53:13","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2935","19","0","2017-03-08 00:00:00","67","Prepared documents for RD Pasig Conference","0","","0.3","0","1","19","2017-04-27 10:52:52","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2936","16","0","2017-04-24 00:00:00","169","Internal discussion with Ms. Lyn re: execution of revised Sec Cert; Wrote email to Ms. Yturzaeta re: CMI Sec Cert","0","","0.4","0","1","16","2017-04-27 10:54:55","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2937","16","0","2017-04-24 00:00:00","97","Received telephone call from EMP re: Fortmancline meeting","2500","","0.2","500","1","16","2017-04-27 10:56:33","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("2938","16","0","2017-04-24 00:00:00","11","Received telephone call from EMP re: TA Oil hearing update","0","","0.2","0","1","16","2017-04-27 10:56:55","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("2939","19","0","2017-03-08 00:00:00","64","Drafted Summary of Approved Resolutions","0","","1.5","0","1","19","2017-04-27 10:59:10","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2940","19","0","2017-03-08 00:00:00","128","Drafted summary of approved resolutions","0","","1.5","0","1","19","2017-04-27 10:59:55","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2941","19","0","2017-03-08 00:00:00","128","Revise Minutes of the meeting for Feb. 23, 2017","0","","1.5","0","1","19","2017-04-27 11:00:19","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2942","19","0","2017-03-08 00:00:00","64","Revise Minutes of the meetings for Feb. 23, 2017","0","","1.5","0","1","19","2017-04-27 11:01:01","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2943","16","0","2017-04-24 00:00:00","91","Reviewed files in preparation for Memorandum drafting","2500","","1.25","3125","1","16","2017-04-27 11:03:10","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2944","19","0","2017-03-09 00:00:00","127","Drafted summary of approved resolutions","0","","1.5","0","1","19","2017-04-27 11:10:59","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2945","19","0","2017-03-09 00:00:00","110","Drafted Summary of approved resolutions","0","","1.5","0","1","19","2017-04-27 11:14:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2946","16","0","2017-04-25 00:00:00","84","Internally discussed with EMP re: DutchCo/LuxCo structure setup","2500","","1","2500","1","16","2017-04-27 11:15:29","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2947","16","0","2017-04-25 00:00:00","84","Reviewed emails from Greyfriars, Private Trustees, Vistra re: DutchCo/LuxCo structure setup","0","","2.5","0","1","16","2017-04-27 11:15:59","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2948","16","0","2017-04-25 00:00:00","84","Drafted email containing all pending matters for DutchCo/LuxCo structure","0","","1","0","1","16","2017-04-27 11:16:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2949","16","0","2017-04-25 00:00:00","143","Internally discussed with Ms. Lyn and Jam re: exhibits for marking at Commissioner\'s hearing","2500","","0.75","1875","1","16","2017-04-27 11:16:56","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2950","16","0","2017-04-25 00:00:00","143","Made telephone call to Ada Santiago-Aquino of LHC re: exhibits for marking at Commissioner\'s hearing","2500","","0.25","625","1","16","2017-04-27 11:17:17","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2951","16","0","2017-04-25 00:00:00","91","Researched re: DCFII Memorandum matters","2500","","2.5","6250","1","16","2017-04-27 11:18:15","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2952","16","0","2017-04-17 00:00:00","39","Drafted Affidavit of Loss re: request for Certified True Copies of Casop Atlas exhibits from BIR","100","","1","100","1","16","2017-04-27 11:19:43","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2953","16","0","2017-04-17 00:00:00","11","Internally discussed with EMP re: IFRIC 17 and other matters related to Ms. Dimaculangan\'s affidavit","0","","1","0","1","16","2017-04-27 11:20:19","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2954","19","0","2017-03-09 00:00:00","67","Conferred with RD Pasig","0","","3.5","0","1","19","2017-04-27 11:21:29","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("2955","16","0","2017-04-17 00:00:00","11","Revised Affidavit of Ms. Dimaculangan per EMP\'s comments","0","","2","0","1","16","2017-04-27 11:21:32","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2956","19","0","2017-03-09 00:00:00","163","Researched for EMP\'s PIA lecture","0","","1.5","0","1","19","2017-04-27 11:22:00","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2957","19","0","2017-03-09 00:00:00","163","digest of reported cases","0","","0.3","0","1","19","2017-04-27 11:22:23","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2958","19","0","2017-03-10 00:00:00","111","Drafted summary of approved resolutions","0","","1.5","0","1","19","2017-04-27 11:22:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2959","16","0","2017-04-21 00:00:00","85","Internally discussed with Jeric re: TGP Land RD status","0","","0.5","0","1","16","2017-04-27 11:23:04","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2960","19","0","2017-03-10 00:00:00","112","Drafted Summary of approved resolutions","0","","1.5","0","1","19","2017-04-27 11:23:16","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2961","16","0","2017-04-21 00:00:00","169","Wrote email to Ms. Pia Yturzaeta re: new Sec Cert for SBC account","0","","0.2","0","1","16","2017-04-27 11:23:41","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("2962","19","0","2017-03-10 00:00:00","189","Drafted Summary of approved resolutions","0","","1.5","0","1","19","2017-04-27 11:24:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2963","16","0","2017-04-21 00:00:00","163","Researched on invoicing for commission payments (HavenAsia)","0","","7.3","0","1","16","2017-04-27 11:24:08","16","2017-04-27 11:56:29","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2964","19","0","2017-03-10 00:00:00","48","Drafted Secretary\'s Certificates","0","","1.5","0","1","19","2017-04-27 11:24:25","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2965","19","0","2017-03-10 00:00:00","128","Drafted GIS for the year 2017","0","","1","0","1","19","2017-04-27 11:24:46","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2966","19","0","2017-03-10 00:00:00","144","Drafted Proxy Form","0","","0.1","0","1","19","2017-04-27 11:25:15","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2967","19","0","2017-03-13 00:00:00","67","Prepared requirements for submission to condo corporation","0","","0.3","0","1","19","2017-04-27 11:26:00","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2968","19","0","2017-03-13 00:00:00","100","Made telephone call to Phia San Gabriel","0","","0.15","0","1","19","2017-04-27 11:27:08","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2969","19","0","2017-03-13 00:00:00","102","Made telephone call to Phia San Gabriel","0","","0.15","0","1","19","2017-04-27 11:27:32","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("2970","19","0","2017-03-13 00:00:00","64","Reviewed resolutions","0","","0.2","0","1","19","2017-04-27 11:29:29","19","2017-04-27 11:40:30","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2971","19","0","2017-03-13 00:00:00","128","Reviewed resolutions","0","","0.2","0","1","19","2017-04-27 11:30:51","19","2017-04-27 11:40:40","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2972","19","0","2017-03-13 00:00:00","111","Reviewed  resolutions","0","","0.2","0","1","19","2017-04-27 11:31:19","19","2017-04-27 11:40:49","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2973","19","0","2017-03-13 00:00:00","110","Reviewed resolutions","0","","0.2","0","1","19","2017-04-27 11:33:19","19","2017-04-27 11:41:02","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2974","16","0","2017-04-12 00:00:00","48","Received telephone call from Atty. Riki Guevarra re: Cemco minutes","0","","0.2","0","1","16","2017-04-27 11:33:32","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("2975","16","0","2017-04-12 00:00:00","47","Received telephone call from Atty. Riki Guevarra re: Cemco minutes","0","","0.2","0","1","16","2017-04-27 11:33:42","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("2976","19","0","2017-03-13 00:00:00","112","Reviewed resolutions","0","","0.2","0","1","19","2017-04-27 11:33:59","19","2017-04-27 11:41:16","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2977","19","0","2017-03-13 00:00:00","127","Reviewed resolutions","0","","0.2","0","1","19","2017-04-27 11:34:17","19","2017-04-27 11:41:29","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2978","19","0","2017-03-13 00:00:00","189","Reviewed resolutions","0","","0.2","0","1","19","2017-04-27 11:34:42","19","2017-04-27 11:41:36","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2979","19","0","2017-03-13 00:00:00","110","Drafted Secretary\'s Certificate per Treasury Memo","0","","0.3","0","1","19","2017-04-27 11:39:24","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2980","19","0","2017-03-13 00:00:00","111","Drafted Secretary\'s certificates per Treasury memo","0","","0.3","0","1","19","2017-04-27 11:40:00","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2981","16","0","2017-04-12 00:00:00","47","Reviewed Clinco minute files/internal discussion with Joy, Ms. Lyn, and EMP","0","","0.5","0","1","16","2017-04-27 11:42:41","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2982","16","0","2017-04-12 00:00:00","48","Reviewed Clinco minute files/internal discussion with Joy, Ms. Lyn, and EMP","0","","0.5","0","1","16","2017-04-27 11:42:56","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2983","19","0","2017-03-13 00:00:00","112","Drafted Secretary\'s Certificates per Treasury Memo","0","","0.3","0","1","19","2017-04-27 11:43:03","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2984","16","0","2017-04-12 00:00:00","97","Revised/proofread Partnership Agreement and SHA","2500","","1.5","3750","1","16","2017-04-27 11:43:38","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2985","16","0","2017-04-12 00:00:00","163","Performed Other Service: Lingkod TMAP","0","","4","0","1","16","2017-04-27 11:44:07","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2986","16","0","2017-04-12 00:00:00","163","Revised/reviewed Dojesta Privacy Policy and Distribution Agreement","0","","2.5","0","1","16","2017-04-27 11:44:48","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("2987","16","0","2017-04-12 00:00:00","163","Internally discussed with EMP and FGS re: Dojesta Privacy Policy/Data Privacy Act","0","","0.75","0","1","16","2017-04-27 11:45:17","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2988","16","0","2017-04-13 00:00:00","163","Performed Other Service: Holy Week","0","","8","0","1","16","2017-04-27 11:46:14","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2989","16","0","2017-04-14 00:00:00","163","Performed Other Service: Holy Week","0","","8","0","1","16","2017-04-27 11:46:24","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2990","19","0","2017-03-13 00:00:00","64","Internally discussed with SLP on Minutes, Secretary\'s Certificate and March 17 Annual Stockholders Meeting.","0","","0.2","0","1","19","2017-04-27 11:47:10","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2991","19","0","2017-03-13 00:00:00","128","Internally discussed with SLP on Minutes, Secretary\'s Certificate and March 17 Annual Stockholders Meeting.","0","","0.2","0","1","19","2017-04-27 11:47:30","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("2992","16","0","2017-04-27 00:00:00","143","Reviewed documentary exhibits for marking during Commissioner\'s Hearing","2500","","2","5000","1","16","2017-04-27 11:50:02","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("2993","16","0","2017-04-27 00:00:00","143","Attended Commissioner\'s Hearing","2500","","2.5","6250","1","16","2017-04-27 11:50:30","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("2994","16","0","2017-04-27 00:00:00","143","Traveled to CTA for Commissioner\'s Hearing","2500","","1","2500","1","16","2017-04-27 11:50:50","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("2995","16","0","2017-04-27 00:00:00","84","Performed Other Service: clarified Intelligens, WTL, DutchCo/LuxCo billing","2500","","0.5","1250","1","16","2017-04-27 11:54:43","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("2996","16","0","2017-04-27 00:00:00","163","Researched on invoicing requirements for commission payments (Haven Asia)","0","","2","0","1","16","2017-04-27 11:55:27","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("2997","19","0","2017-03-14 00:00:00","64","Drafted Summary of Lease agreements","0","","0.2","0","1","19","2017-04-27 11:56:31","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2998","19","0","2017-03-14 00:00:00","128","Drafted Summary of Lease agreements","0","","0.2","0","1","19","2017-04-27 11:56:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("2999","19","0","2017-03-14 00:00:00","110","Drafted Summary of Lease agreements","0","","0.2","0","1","19","2017-04-27 11:57:08","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3000","19","0","2017-03-14 00:00:00","111","Drafted Summary of Lease agreements","0","","0.2","0","1","19","2017-04-27 11:57:49","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3001","19","0","2017-03-14 00:00:00","112","Drafted Summary of Lease agreements","0","","0.2","0","1","19","2017-04-27 11:58:07","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3002","19","0","2017-03-14 00:00:00","127","Drafted Summary of Lease agreements","0","","0.2","0","1","19","2017-04-27 12:00:23","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3003","19","0","2017-03-14 00:00:00","189","Drafted Summary of Lease agreements","0","","0.2","0","1","19","2017-04-27 12:00:41","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3004","19","0","2017-03-14 00:00:00","64","Drafted Summary of Supply Agreements","0","","0.2","0","1","19","2017-04-27 12:01:14","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3005","19","0","2017-03-14 00:00:00","128","Drafted Summary of Supply Agreements","0","","0.2","0","1","19","2017-04-27 12:01:30","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3006","19","0","2017-03-14 00:00:00","110","Drafted summary of Supply Agreements ","0","","0.2","0","1","19","2017-04-27 13:35:42","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3007","19","0","2017-03-14 00:00:00","111","Drafted summary of Supply Agreements ","0","","0.2","0","1","19","2017-04-27 13:35:57","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3008","19","0","2017-03-14 00:00:00","112","Drafted summary of Supply Agreements ","0","","0.2","0","1","19","2017-04-27 13:36:12","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3009","19","0","2017-03-14 00:00:00","127","Drafted summary of Supply Agreements ","0","","0.2","0","1","19","2017-04-27 13:36:30","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3010","19","0","2017-03-14 00:00:00","189","Drafted summary of Supply Agreements ","0","","0.2","0","1","19","2017-04-27 13:36:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3011","19","0","2017-03-14 00:00:00","127","Reviewed/proofread Survey Service Contract","0","","1","0","1","19","2017-04-27 13:37:19","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3012","19","0","2017-03-14 00:00:00","163","Axelum Resources Center- Due Diligence","0","","3.5","0","1","19","2017-04-27 13:40:05","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3013","19","0","2017-03-15 00:00:00","67","Conferred on status of transfer of title","0","","0.3","0","1","19","2017-04-27 13:48:07","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3014","19","0","2017-03-15 00:00:00","151","Conferred on Sale, transfer and insurance of vehicle","2500","","2.5","6250","1","19","2017-04-27 13:48:50","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3015","19","0","2017-03-15 00:00:00","127","Drafted Secretary\'s Certificate per treasury memo","0","","0.3","0","1","19","2017-04-27 13:52:37","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3016","19","0","2017-03-15 00:00:00","189","Drafted Secretary\'s Certificate per treasury memo","0","","0.3","0","1","19","2017-04-27 13:55:51","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3017","19","0","2017-03-15 00:00:00","110","Drafted Minutes for February 23, 2017 meeting ","0","","0.3","0","1","19","2017-04-27 14:33:21","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3018","25","0","2017-03-15 00:00:00","203","Revised memo on VAT liability","0","","5","0","1","22","2017-04-27 16:35:14","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3019","25","0","2017-03-15 00:00:00","163","Revised EMP\'s PIA pressentation","0","","2","0","1","22","2017-04-27 16:35:40","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3020","25","0","2017-03-15 00:00:00","163","Researched on jurisprudence on architects","0","","1","0","1","22","2017-04-27 16:36:08","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3021","25","0","2017-03-16 00:00:00","86","Revised several documents for client\'s application with BAI","0","","4","0","1","22","2017-04-27 16:37:04","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3022","25","0","2017-03-16 00:00:00","86","Attended meeting with GVF and client","0","","2","0","1","22","2017-04-27 16:37:26","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3023","25","0","2017-03-16 00:00:00","163","Attended meeting with EMP re PIA lecture","0","","1","0","1","22","2017-04-27 16:37:57","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3024","25","0","2017-03-16 00:00:00","163","Researched on other jurisprudence for PIA","0","","2","0","1","22","2017-04-27 16:38:30","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3025","25","0","2017-03-16 00:00:00","163","Revised EMP\'s presentation and referred the same to RHO for further revisions","0","","1","0","1","22","2017-04-27 16:39:08","","","2","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3026","25","0","2017-03-16 00:00:00","185","Revised Due Diligence Report","0","","3","0","1","22","2017-04-27 16:41:11","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3027","25","0","2017-03-20 00:00:00","125","Attended meeting with EMP re shares subscribed","0","","2","0","1","22","2017-04-27 16:49:00","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3028","25","0","2017-03-20 00:00:00","125","Drafted summary of subscribed shares","0","","2","0","1","22","2017-04-27 16:49:32","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3029","25","0","2017-03-21 00:00:00","185","Researched on DOF guideline on tax exemption of cooperative contractor of ARC","0","","2","0","0","22","2017-04-27 16:57:46","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3030","25","0","2017-03-22 00:00:00","185","Researched on DOF guideline on tax exemption of cooperative contractor of ARC","0","","2","0","1","22","2017-04-27 16:58:41","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3031","25","0","2017-03-22 00:00:00","104","Drafted minutes","0","","3","0","1","22","2017-04-27 16:59:08","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3032","25","0","2017-03-22 00:00:00","151","Drafted minutes","2500","","2","5000","1","22","2017-04-27 16:59:28","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3033","25","0","2017-03-22 00:00:00","183","Attended meeting with EMP and SLP on Romar BPO incorporation","0","","2","0","1","22","2017-04-27 17:00:06","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3034","25","0","2017-03-22 00:00:00","183","Drafted AOI of Romar","0","","3","0","1","22","2017-04-27 17:00:38","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3035","25","0","2017-03-23 00:00:00","183","Revised AOI of Romar","0","","2","0","1","22","2017-04-27 17:01:02","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3036","25","0","2017-03-23 00:00:00","203","Attended meeting re memo on VAT liability","0","","3","0","1","22","2017-04-27 17:01:42","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3037","25","0","2017-03-23 00:00:00","203","Revised memo on VAT liability","0","","2","0","1","22","2017-04-27 17:02:09","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3038","25","0","2017-03-23 00:00:00","183","Drafted By-Laws of Romar","0","","2","0","1","22","2017-04-27 17:02:47","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3039","25","0","2017-03-24 00:00:00","185","Researched on BIR RR adopting DOF joint guideline","0","","1","0","1","22","2017-04-27 17:03:35","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3040","25","0","2017-03-24 00:00:00","183","Drafted By-Laws of Romar","0","","2","0","1","22","2017-04-27 17:04:08","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3041","25","0","2017-03-24 00:00:00","125","Drafted notices to SH","0","","2","0","1","22","2017-04-27 17:05:26","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3042","25","0","2017-03-24 00:00:00","104","Drafted notices to SH","0","","2","0","1","22","2017-04-27 17:05:52","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3043","25","0","2017-03-24 00:00:00","185","Revised Due Diligence (labor and litigation)","0","","2","0","1","22","2017-04-27 17:06:35","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3044","25","0","2017-03-24 00:00:00","163","Attended meeting with associates","0","","1","0","1","22","2017-04-27 17:07:00","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3045","25","0","2017-03-24 00:00:00","185","Revised due diligence report","0","","2","0","1","22","2017-04-27 17:07:38","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3046","25","0","2017-03-27 00:00:00","163","Attended meeting re FINEX - tax filing","0","","4","0","1","22","2017-04-27 17:08:15","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3047","25","0","2017-03-27 00:00:00","203","Internally discussed with EMP","0","","2","0","1","22","2017-04-27 17:08:49","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3048","25","0","2017-03-28 00:00:00","203","Drafted letter request for meeting","0","","2","0","1","22","2017-04-27 17:09:23","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3049","25","0","2017-03-28 00:00:00","203","Revised letter as per MAC","0","","2","0","1","22","2017-04-27 17:09:51","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3050","25","0","2017-03-29 00:00:00","183","Revised draft AOI","0","","2","0","1","22","2017-04-27 17:10:24","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3051","25","0","2017-03-29 00:00:00","151","Drafted 11March minutes","2500","","2","5000","1","22","2017-04-27 17:11:16","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3052","25","0","2017-03-29 00:00:00","151","Drafted 12Dec minutes","0","","1","0","1","22","2017-04-27 17:11:39","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3053","25","0","2017-03-29 00:00:00","151","Wrote email to SLP re way forward on minutes due to the bank","0","","1","0","1","22","2017-04-27 17:12:07","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3054","25","0","2017-03-29 00:00:00","186","Revised letter to BIR","0","","1","0","1","22","2017-04-27 17:12:34","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3055","25","0","2017-03-29 00:00:00","151","Drafted Sec Certs re March 11 resolutions","2500","","1","2500","1","22","2017-04-27 17:13:11","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3056","25","0","2017-03-30 00:00:00","151","Revised Sec Certs re March 11 resolutions","2500","","2","5000","1","22","2017-04-27 17:13:36","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3057","25","0","2017-03-30 00:00:00","151","Revised minutes","0","","1","0","1","22","2017-04-27 17:13:53","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3058","25","0","2017-03-30 00:00:00","151","Drafted new minutes for opening of BDO account","2500","","2","5000","1","22","2017-04-27 17:14:22","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3059","25","0","2017-03-30 00:00:00","151","Conferred with SLP re need for Sec Cert for credit card account","0","","1","0","1","22","2017-04-27 17:14:53","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3060","25","0","2017-03-31 00:00:00","151","Drafted minutes re credit card account","0","","2","0","1","22","2017-04-27 17:15:24","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3061","25","0","2017-03-31 00:00:00","151","Wrote email to EMP confirming corporate secretary position","0","","1","0","1","22","2017-04-27 17:15:55","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3062","25","0","2017-03-31 00:00:00","151","Revised minutes as per SLP","2500","","3","7500","1","22","2017-04-27 17:16:16","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3063","25","0","2017-04-04 00:00:00","163","Meeting with EMP re estate tax filing","0","","2","0","1","22","2017-04-27 17:17:39","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3064","25","0","2017-04-04 00:00:00","163","Drafted checklist of requirements","0","","4","0","1","22","2017-04-27 17:18:35","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3065","25","0","2017-04-05 00:00:00","210","Revised memo on tax treaty relief ","3000","","3","9000","1","22","2017-04-27 17:19:53","22","2017-04-27 17:22:17","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3066","25","0","2017-04-05 00:00:00","163","Drafted BIR form 1904 (Estate of Laxina)","0","","3","0","1","22","2017-04-27 17:20:22","22","2017-04-27 17:21:39","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3067","25","0","2017-04-05 00:00:00","163","Drafted Notice of Death (Estate of Laxina)","0","","2","0","1","22","2017-04-27 17:20:42","22","2017-04-27 17:22:27","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3068","25","0","2017-04-05 00:00:00","163","Drafted SPA (Estate of Laxina)","0","","2","0","1","22","2017-04-27 17:23:10","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3069","25","0","2017-04-05 00:00:00","163","Revised checklist of requirements as per EMP (Estate of Laxina)","0","","2","0","1","22","2017-04-27 17:23:39","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3070","25","0","2017-04-05 00:00:00","163","Meeting with EMP re need for CPA report (Estate of Laxina)","0","","1","0","1","22","2017-04-27 17:24:17","22","2017-04-27 17:25:03","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3071","25","0","2017-04-05 00:00:00","163","Revised Form 1904 (Estate of Laxina)","0","","1","0","1","22","2017-04-27 17:24:41","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3072","25","0","2017-04-05 00:00:00","125","Conferred with Declaration of Trusts, Minutes and Sec Certs","0","","3","0","1","22","2017-04-27 17:27:02","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3073","25","0","2017-04-05 00:00:00","104","Drafted several minutes","0","","3","0","1","22","2017-04-27 17:27:35","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3074","25","0","2017-04-06 00:00:00","151","Drafted minutes and Sec Certs re obtainment of loan facilities","2500","","2","5000","1","22","2017-04-27 17:29:15","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3075","25","0","2017-04-06 00:00:00","125","Drafted minutes to revoke previous board resolution","0","","2","0","1","22","2017-04-27 17:29:55","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3076","25","0","2017-04-06 00:00:00","125","Drafted minutes re ASM","0","","1","0","1","22","2017-04-27 17:30:14","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3077","25","0","2017-04-06 00:00:00","104","Drafted several minutes","0","","3","0","1","22","2017-04-27 17:30:36","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3078","25","0","2017-04-06 00:00:00","151","Drafted several minutes","2500","","1","2500","1","22","2017-04-27 17:31:31","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3079","25","0","2017-04-06 00:00:00","163","Researched on SRC Rule 68 as EMP instructed","0","","1","0","1","22","2017-04-27 17:32:53","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3080","25","0","2017-04-06 00:00:00","163","Drafted Form 1801 (Estate of Laxina)","0","","3","0","1","22","2017-04-27 17:33:27","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3081","25","0","2017-04-06 00:00:00","183","Revised By-Laws for Romar","0","","1","0","1","22","2017-04-27 17:34:10","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3082","25","0","2017-04-06 00:00:00","104","Attended meeting with Sharon, Philip, EMP","0","","3","0","1","22","2017-04-27 17:34:43","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3083","25","0","2017-04-06 00:00:00","104","Revised several minutes as EMP instructed","0","","1","0","1","22","2017-04-27 17:35:23","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3084","25","0","2017-04-06 00:00:00","151","Revised several minutes as EMP instructed","2500","","1","2500","1","22","2017-04-27 17:35:49","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3085","12","0","2017-04-27 00:00:00","63","Drafted Deed of Accession","0","","1.5","0","1","12","2017-04-27 19:41:26","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3086","12","0","2017-04-26 00:00:00","84","Conferred with Diego, Andrew and Marjorie","6000","","2.5","15000","1","12","2017-04-27 19:42:29","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3087","12","0","2017-04-26 00:00:00","84","Wrote emails to John Graham and Martijn of Greyfriars","0","","1.5","0","1","12","2017-04-27 19:43:09","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3088","12","0","2017-04-26 00:00:00","163","Attended TMAP meeting  ","0","","2","0","1","12","2017-04-27 19:43:49","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3089","15","0","2017-04-01 00:00:00","45","Wrote email to ACI attaching GIS filed for 2015. ","0","","0.1","0","1","15","2017-04-30 15:13:56","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3090","15","0","2017-04-01 00:00:00","125","Conferred with EMP and Jan Lumanta regarding the status of the Nichoong property transfers and retracing the increase in the subscription of NFC\'s shares of stock. ","0","","1.5","0","1","15","2017-04-30 15:15:17","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3091","15","0","2017-04-03 00:00:00","125","Conferred with EMP and Jan Lumanta on the status of the property transfers and the recent subscriptions of shares by existing shareholders on July 6, 2016. ","0","","1.8","0","1","15","2017-04-30 15:17:19","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3092","15","0","2017-04-03 00:00:00","63","Performed Other Service: Prepared and drafted additional annexes , reviewed final drafts of the HAZ oeprating agreement and assisted in the contract signing. ","0","","2.8","0","1","15","2017-04-30 15:19:09","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3093","15","0","2017-04-03 00:00:00","152","Performed Other Service: coordinated with Maricar regarding the BDO letter that Advatech received notifying the corporation of its intention to honor the writ of garnishment. Conferred with Atty. Marasigan of BDO legal regarding the bank\'s protocol. Requested BDO to hold garnishment in view of scheduled meeting with BIR (consolidated entry)","0","","2.2","0","1","15","2017-04-30 15:25:12","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3094","15","0","2017-04-03 00:00:00","163","Performed Other Service: drafted case digests","0","","0.5","0","1","15","2017-04-30 15:26:00","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3095","15","0","2017-04-04 00:00:00","58","Wrote email to John Merin of MBG regarding no CAR requirement for increase in ACS. ","0","","0.2","0","1","15","2017-04-30 15:38:02","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3096","15","0","2017-04-04 00:00:00","64","Reviewed December 2 minutes before forwarding draft to EMP to finalize. ","0","","0.5","0","1","15","2017-04-30 15:39:23","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3097","15","0","2017-04-04 00:00:00","207","Reviewed draft Articles and By-Laws for SEC amendments. Include drafting of additional amendment requirements i.e. sec cert of no-intracorporate dispute. ","0","","1.5","0","1","15","2017-04-30 15:40:56","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3098","15","0","2017-04-03 00:00:00","163","Performed Other Service: Read Lyn\'s tax updates","0","","0.5","0","1","15","2017-04-30 15:43:05","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3099","15","0","2017-04-03 00:00:00","22","Reviewed 2012 BIR assessment in preparation for meeting with Annabelle. ","0","","0.5","0","1","15","2017-04-30 15:45:16","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3100","15","0","2017-04-06 00:00:00","152","Drafted Letter to BIR Regional Office regarding request for abatement of tax due. Include revisions. Meeting with EMP, Mr. Pascual, et al. of Advatech regarding the 2009 assessment and the options re property dividends. (consolidated entry)","0","","4.2","0","1","15","2017-04-30 15:53:23","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3101","15","0","2017-04-06 00:00:00","64","Performed Other Service: notarized voluminous documents for HPHIs treasury department\'s requirements.","0","","0.8","0","1","15","2017-04-30 15:54:33","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3102","15","0","2017-04-06 00:00:00","10","Performed Other Service: coordinated with docket to check if CAR was issued for the transfer of 1.9million shares. Including forwarding scanned documents to EMP and phone call discussion. ","0","","1.2","0","1","15","2017-04-30 15:57:38","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3103","15","0","2017-04-04 00:00:00","64","Reviewed RHO\'s drafts of sec certs for changes in bank signatories for the HMDC group. Supervised transmittal to client. Received phone call from Shirley GO. ","0","","1.1","0","1","15","2017-04-30 16:03:57","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3104","15","0","2017-04-06 00:00:00","152","Reviewed and studied RHO\'s research on issuance of property dividends to prepare for meeting with EMP and Advatech. ","0","","0.5","0","1","15","2017-04-30 16:07:16","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3105","15","0","2017-04-07 00:00:00","104","Reviewed FGS\' 7 drafts of various minutes of meetings for one versace.","2500","","1.8","4500","1","15","2017-04-30 16:09:29","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3106","15","0","2017-04-07 00:00:00","163","Performed Other Service. Case reporting and case digests. Include, lecture from Imanila on use of one drive with docket and secretaries. ","0","","3.8","0","1","15","2017-04-30 16:12:05","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3107","15","0","2017-04-07 00:00:00","151","Reviewed FGS\' draft of PPIC minutes on the corporation\'s bank accounts. ","2500","","0.8","2000","1","15","2017-04-30 16:27:30","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3108","15","0","2017-04-10 00:00:00","64","Revised RHO\'s draft GIS for HMDC group. ","0","","1.2","0","1","15","2017-04-30 16:34:19","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3109","15","0","2017-04-10 00:00:00","183","Reviewed FGS\' draft of ROMAR\'s incorporation documents (i.e. AOI, BL, Director\'s Certificate, etc.) Drafted treasurer\'s affidavit.","0","","2.5","0","1","15","2017-04-30 16:36:28","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3110","15","0","2017-04-10 00:00:00","183","Conferred with EMP. Researched on PEZA requirements and if there is any capitalization requirement for BPO with purely export services. ","0","","1.5","0","1","15","2017-04-30 16:39:40","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3111","15","0","2017-04-10 00:00:00","183","Performed Other Service: downloaded and filled-up SEC\'s FIA Form 100. Emailed researched materials to client plus request to complete FORM 100. ","0","","1","0","1","15","2017-04-30 16:40:46","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3112","15","0","2017-04-10 00:00:00","207","Conferred with Joy regarding issues with the HMDC\'s SEC compliance. ","0","","0.5","0","1","15","2017-04-30 16:54:53","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3113","15","0","2017-04-10 00:00:00","64","Made telephone call to Shirley Go regarding current total assets and URE of the HMDC group of companies. ","0","","0.3","0","1","15","2017-04-30 16:58:13","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3114","15","0","2017-04-10 00:00:00","163","Wrote email to Mr. Gallegos regarding schedule preference of MPF volunteer lawyers.","0","","0.2","0","1","15","2017-04-30 16:59:31","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3115","15","0","2017-04-11 00:00:00","163","Performed Other Service. Evaluation Lunch Meeting with EMP","0","","1.8","0","1","15","2017-04-30 17:00:11","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3116","15","0","2017-04-11 00:00:00","125","Revised further the minutes revoking the July 11 resolutions and reviewed notices and drafts of minutes for NFC\'s ASHM and OM in order to reflect the subsequent instructions from EMP. ","0","","1","0","1","15","2017-04-30 17:07:26","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3117","15","0","2017-04-11 00:00:00","163","Performed Other Service: Lingkod TMAP ","0","","4.5","0","1","15","2017-04-30 17:08:52","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3118","15","0","2017-04-12 00:00:00","64","Performed Other Service: Reviewed GIS of HMDC group","0","","0.8","0","1","15","2017-04-30 17:10:22","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3119","15","0","2017-04-12 00:00:00","45","Wrote email to ACI regarding business registration renewal. ","0","","0.3","0","1","15","2017-04-30 17:11:14","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3120","15","0","2017-04-17 00:00:00","64","Revised and finalized HMDC group 2017 GIS","0","","1.5","0","1","15","2017-04-30 21:44:06","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3121","15","0","2017-04-17 00:00:00","45","Wrote email to ACI to update on status of business permits renewal ","0","","0.3","0","1","15","2017-04-30 21:47:01","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3122","15","0","2017-04-17 00:00:00","183","Revised ROMAR documents to reflect change in stockholders. ","0","","0.5","0","1","15","2017-04-30 21:48:21","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3123","15","0","2017-04-18 00:00:00","172","Revised FGS\' letter to RDO 39 re-transmitting documents for the CAR application, as instructed. ","0","","0.5","0","1","15","2017-04-30 21:51:19","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3124","15","0","2017-04-18 00:00:00","183","Wrote email to Sharon and Philip regarding updates on the ROMAR incorporation. Include findings on capitalization requirement and request for information for Form 100. ","0","","0.8","0","1","15","2017-04-30 21:53:04","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3125","15","0","2017-04-18 00:00:00","183","Researched on PEZA requirements for ROMAR. ","0","","0.5","0","1","15","2017-04-30 21:54:02","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3126","15","0","2017-04-18 00:00:00","183","Internally discussed with FGS regarding coordination with Katherine Silva for signing of treasurer\'s affidavit and other incorporation requirements. Coordinated with Joy to initiate SEC\'s compliance review for PPIC","0","","1.2","0","1","15","2017-04-30 21:58:35","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3127","15","0","2017-04-18 00:00:00","45","Revised BIR follow-up letter for EMP to bring to Deputy Commissioner Aranas. ","0","","0.8","0","1","15","2017-04-30 22:01:25","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3128","15","0","2017-04-18 00:00:00","22","Conferred with EMP and Anabel of VLAP to discuss moving forward with the 2009 and 2011 assessments.","0","","1.8","0","1","15","2017-04-30 22:10:28","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3129","15","0","2017-04-17 00:00:00","207","Internally discussed with RHO on last minute details for the filing of the AOI amendment. Updated EMP on the status of Joy\'s comparison of GIS and FS signatories. Drafted email to Kitten for EMP\'s review. ","0","","1.2","0","1","15","2017-04-30 22:16:37","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3130","15","0","2017-04-18 00:00:00","183","Performed Other Service: Met Ms. Silva at the office and explained purpose of TITF. Presented documents for signature and gave last minute instructions to FGS before he accompanies Ms. Silva to the bank for opening of account. ","0","","1","0","1","15","2017-04-30 22:21:02","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3131","15","0","2017-04-19 00:00:00","151","Performed Other Service: supervised the drafting and preparation of documents for the opening of PPIC\'s OPE bank account. Updated with EMP on status of the revival of the US dollar account. Coordinated with BDO shangri-la to finalize revival of bank account. ","2500","","1.5","3750","1","15","2017-04-30 22:24:07","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3132","15","0","2017-04-19 00:00:00","151","Reviewed drafts of PPIC\'s AOI amendment for change of address. Drafted certificate of no intr-corporate dispute. Coordinated with Joy on status of monitoring. Updated EMP that amendments cannot be filed  because PPIC has not submitted GIS since incorporation.","2500","","1.2","3000","1","15","2017-04-30 22:27:07","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3133","15","0","2017-04-19 00:00:00","163","Performed Other Service: meeting with Partners, Tina and marketing team on the website, brochure and social media presence of the firm.","0","","1","0","1","15","2017-04-30 22:30:29","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3134","15","0","2017-04-19 00:00:00","163","Performed Other Service. attended Dianne\'s style guide lecture. ","0","","0.8","0","1","15","2017-04-30 22:31:35","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3135","15","0","2017-04-19 00:00:00","104","Reviewed of OVC\'s ASHM and BOD minutes for GIS filing. ","2500","","0.5","1250","1","15","2017-04-30 22:43:36","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3136","15","0","2017-04-19 00:00:00","125","Reviewed ASHM and BOD minutes of NFC for filing of GIS","0","","0.5","0","1","15","2017-04-30 22:45:24","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3137","15","0","2017-04-20 00:00:00","163","Conferred with Sudarshan of Clarus with EMP and MAC. ","0","","0.5","0","1","15","2017-04-30 22:48:47","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3138","15","0","2017-04-20 00:00:00","104","Revised OVC GIS and filled-up Form 100 for regulatory compliance of the 10,000,000 capital infusion. Emailed drafts to EMP for discussion with Sharon on how to book additional capital. ","2500","","0.8","2000","1","15","2017-04-30 22:52:14","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3139","15","0","2017-04-20 00:00:00","63","Drafted and revised Notice of Withdrawal from Operating Agreements with HPI. Include discussion with EMP and email to Atty. Allen","0","","0.8","0","1","15","2017-04-30 23:05:23","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3140","15","0","2017-04-21 00:00:00","163","Conferred with Sudarshan and Ms. Gemma of Idein after opening of bank account to discuss Clarus\' tax structure and to confirm opinion that structure is not subject to tax. ","0","","1.5","0","1","15","2017-04-30 23:07:27","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3141","15","0","2017-04-21 00:00:00","152","Made telephone call to Maricar of Advatech to coordinate with UCPB legal\'s contact person regarding the garnishment of accounts.","0","","0.2","0","1","15","2017-04-30 23:08:52","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3142","15","0","2017-04-21 00:00:00","63","Revised and reviewed intern\'s draft of the summary of events and documents for the case of HPI v. Cruz (to be substituted by HMDC.)","0","","0.5","0","1","15","2017-04-30 23:14:57","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3143","15","0","2017-05-01 00:00:00","125","Revised further the minutes and sec certs revoking the resolution on the loan agreement. Revised draft notice sent by FGS. Drafted cover email to EMP for above documents. ","0","","0.8","0","1","15","2017-05-01 12:31:47","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3144","25","0","2017-04-07 00:00:00","151","Drafted minutes, Sec Certs and Directors\' Cert re AOI amendment","0","","3","0","1","22","2017-05-02 09:17:15","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3145","25","0","2017-04-07 00:00:00","163","Revised the checklist as EMP instructed (simplify) - Estate of Laxina","0","","1","0","1","22","2017-05-02 09:18:24","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3146","25","0","2017-04-07 00:00:00","183","Revised AOI and By-laws for Romar","0","","1","0","1","22","2017-05-02 09:25:58","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3147","25","0","2017-04-07 00:00:00","151","Attended meeting with Phillip and bank officer at BDO Shangrila","2500","","3","7500","1","22","2017-05-02 09:26:29","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3148","25","0","2017-04-07 00:00:00","151","Revised several minutes for signature of Sharon et al","0","","3","0","1","22","2017-05-02 09:27:08","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3149","25","0","2017-04-10 00:00:00","163","Researched on Data Privacy Laws","0","","2","0","1","22","2017-05-02 09:27:52","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3150","25","0","2017-04-10 00:00:00","163","Researched on rules re Voluntary Licensing","0","","1","0","1","22","2017-05-02 09:28:22","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3151","25","0","2017-04-10 00:00:00","163","Drafted Motion, Manifestation, and Replies (Joanne Francisco case)","0","","5","0","1","22","2017-05-02 09:29:24","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3152","25","0","2017-04-11 00:00:00","163","Revised the motion, manifestation, and Replies (Joanne Francisco case)","0","","2","0","1","22","2017-05-02 09:30:02","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3153","25","0","2017-04-11 00:00:00","163","Revised the replies again, after DRP\'s comments (Joanne Francisco case)","0","","1","0","1","22","2017-05-02 09:30:37","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3154","25","0","2017-04-11 00:00:00","163","Drafted motion to exclude oppositor (Joanne Francisco case)","0","","3","0","1","22","2017-05-02 09:31:53","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3155","25","0","2017-04-11 00:00:00","163","Attended Lingkod TMAP at BIR Gil Puyat","0","","4","0","1","22","2017-05-02 09:32:25","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3156","25","0","2017-04-11 00:00:00","125","Reviewed work of Lyn re GIS","0","","1","0","1","22","2017-05-02 09:33:52","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3157","25","0","2017-04-12 00:00:00","163","Revised the Replies and Manifestation to incorporate GVF comments (Joanne Francisco case)","0","","2","0","1","22","2017-05-02 09:37:45","22","2017-05-02 09:38:08","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3158","25","0","2017-04-12 00:00:00","163","Supervised filing of court documents (Joanne Francisco case)","0","","2","0","1","22","2017-05-02 09:38:42","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("3159","25","0","2017-04-12 00:00:00","163","Reviewed work of DRP re Privacy Policy as EMP instructed (Dojesta Philippines)","0","","3","0","1","22","2017-05-02 09:40:35","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3160","25","0","2017-04-12 00:00:00","125","Drafted notice and proxy form for ASM as SLP instructed","0","","2","0","1","22","2017-05-02 09:41:11","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3161","25","0","2017-04-12 00:00:00","163","Attended meeting with EMP and DRP re data privacy act (Dojesta Philippines)","0","","1","0","1","22","2017-05-02 09:42:09","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3162","25","0","2017-04-12 00:00:00","163","Drafted cover letter/email re privacy policy  (Dojesta Philippines)","0","","1","0","1","22","2017-05-02 09:42:41","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3163","25","0","2017-04-17 00:00:00","163","Drafted Supplemental Replies as DRP instructed (Joanne Francisco case)","0","","3","0","1","22","2017-05-02 09:43:37","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3164","25","0","2017-04-17 00:00:00","198","Drafted checklist of requirements","2500","","2","5000","1","22","2017-05-02 09:44:14","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3165","25","0","2017-04-17 00:00:00","104","Revised minutes to change date of ASM","0","","1","0","1","22","2017-05-02 09:45:33","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3166","25","0","2017-04-17 00:00:00","125","Revised minutes to change date of ASM","0","","1","0","1","22","2017-05-02 09:46:24","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3167","25","0","2017-04-17 00:00:00","163","Revised Supplemental Replies","0","","2","0","1","22","2017-05-02 09:48:33","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3168","19","0","2017-03-15 00:00:00","111","Drafted Minutes for Feb. 23, 2017 meeting ","0","","0.3","0","1","19","2017-05-02 10:25:15","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3169","19","0","2017-03-15 00:00:00","112","Drafted Minutes for Feb. 23, 2017 meeting ","0","","0.3","0","1","19","2017-05-02 10:25:31","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3170","19","0","2017-03-15 00:00:00","127","Drafted Minutes for Feb. 23, 2017 meeting ","0","","0.3","0","1","19","2017-05-02 10:25:51","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3171","19","0","2017-03-15 00:00:00","189","Drafted Minutes for Feb. 23, 2017 meeting ","0","","0.3","0","1","19","2017-05-02 10:26:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3172","19","0","2017-03-15 00:00:00","64","Revised and updated approved resolutions ","0","","0.2","0","1","19","2017-05-02 10:26:57","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3173","19","0","2017-03-15 00:00:00","128","Revise and updated approved resolutions","0","","0.2","0","1","19","2017-05-02 10:27:37","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3174","19","0","2017-03-15 00:00:00","112","Revise and updated approved resolutions","0","","0.2","0","1","19","2017-05-02 10:34:38","19","2017-05-02 10:39:52","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3175","19","0","2017-03-15 00:00:00","110","Revise and updated approved resolutions","0","","0.2","0","1","19","2017-05-02 10:40:26","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3176","19","0","2017-03-15 00:00:00","111","Revise and updated approved resolutions","0","","0.2","0","1","19","2017-05-02 10:40:51","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3177","19","0","2017-03-15 00:00:00","127","Revise and updated approved resolutions","0","","0.2","0","1","19","2017-05-02 10:41:15","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3178","19","0","2017-03-15 00:00:00","189","Revise and updated approved resolutions","0","","0.2","0","1","19","2017-05-02 10:41:44","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3179","19","0","2017-03-16 00:00:00","64","Prepared materials for Annual Shareholders Meeting","0","","1.5","0","1","19","2017-05-02 10:42:48","19","2017-05-02 10:45:19","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3180","19","0","2017-03-16 00:00:00","128","prepared materials for Annual Shareholders meeting","0","","1.5","0","1","19","2017-05-02 10:44:14","19","2017-05-02 10:45:05","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3181","19","0","2017-03-16 00:00:00","163","Axelum Resources-Due diligence of Project compass","0","","3","0","1","19","2017-05-02 10:44:52","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3182","19","0","2017-03-17 00:00:00","64","Prepared materials for Annual Stockholders Meeting and attended Stockholders meeting","0","","2.5","0","1","19","2017-05-02 11:13:30","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3183","19","0","2017-03-17 00:00:00","128","Prepared materials for Annual Stockholders Meeting and attended Stockholders meeting","0","","2.5","0","1","19","2017-05-02 11:14:13","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3184","19","0","2017-03-20 00:00:00","67","Followed-up on condo corporation certification and drafted request letter for Certified true copy of Condominium Certificate of Title for Submission to LRA","0","","1","0","1","19","2017-05-02 11:18:00","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("3185","19","0","2017-03-20 00:00:00","64","Researched on rounding up of alloted Board of Directors seats","0","","3.5","0","1","19","2017-05-02 11:18:38","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3186","19","0","2017-03-21 00:00:00","64","Drafted General Information Sheet (GIS) for the year 2017","0","","1","0","1","19","2017-05-02 11:24:57","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3187","19","0","2017-03-21 00:00:00","110","Drafted GIS for the year 2017","0","","0.5","0","1","19","2017-05-02 11:25:24","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3188","19","0","2017-03-21 00:00:00","127","HRDC-Spinoff-Reviewed/proofread addendum to operating agreement ","0","","2","0","1","19","2017-05-02 11:26:06","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3189","19","0","2017-03-21 00:00:00","64","Wrote email to Ms. Kat Mamba","0","","0.2","0","1","19","2017-05-02 11:27:23","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3190","19","0","2017-03-22 00:00:00","111","Drafted GIS","0","","0.5","0","1","19","2017-05-02 11:28:05","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3191","19","0","2017-03-22 00:00:00","127","HRDC-Spinoff-Reviewed addendum to operating agreement","0","","2","0","1","19","2017-05-02 11:30:11","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3192","19","0","2017-03-22 00:00:00","118","Researched on rulings and cases ","0","","3","0","1","19","2017-05-02 11:30:34","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3193","19","0","2017-03-23 00:00:00","112","Drafted Minutes of the meeting","0","","1","0","1","19","2017-05-02 11:31:33","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3194","19","0","2017-03-23 00:00:00","127","Drafted Minutes of the meeting ","0","","1","0","1","19","2017-05-02 11:31:58","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3195","19","0","2017-03-22 00:00:00","189","Drafted Minutes of the meeting","0","","1","0","0","19","2017-05-02 11:32:24","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3196","19","0","2017-03-23 00:00:00","189","Drafted Minutes of the Meeting","0","","1","0","1","19","2017-05-02 11:33:14","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3197","19","0","2017-03-23 00:00:00","64","Drafted memo on rounding up of allotted Board of Directors seats.","0","","1.5","0","1","19","2017-05-02 11:33:49","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3198","19","0","2017-03-23 00:00:00","207","Drafted documents of AOI and By-laws","0","","1","0","1","19","2017-05-02 11:34:12","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3199","19","0","2017-03-23 00:00:00","100","Made telephone call to Phia San Gabriel","0","","0.15","0","1","19","2017-05-02 11:53:06","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3200","19","0","2017-04-23 00:00:00","102","Made telephone call to Phia San Gabriel","0","","0.15","0","0","19","2017-05-02 11:53:35","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3201","19","0","2017-03-23 00:00:00","102","Made telephone call to Phia San Gabriel","0","","0.15","0","1","19","2017-05-02 11:55:13","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3202","19","0","2017-03-24 00:00:00","67","Followed-up on Request for CTC of Condo Certificate of Title","0","","0.3","0","1","19","2017-05-02 12:02:02","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("3203","19","0","2017-03-24 00:00:00","168","Reviewed/Proofread October 21, 2016 Minutes of the BOD meeting and Drafted Declaration of Trust for New Directors","0","","2","0","1","19","2017-05-02 12:02:51","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3204","25","0","2017-04-17 00:00:00","183","Drafted email re contacting Kat Silva, as EMP instructed","0","","1","0","1","22","2017-05-02 12:33:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3205","25","0","2017-04-18 00:00:00","163","Drafted Notice of Death and Tax Return (Estate of Laxina)","0","","3","0","1","22","2017-05-02 12:33:56","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3206","25","0","2017-04-18 00:00:00","198","Drafted several letters and documents re Max Tobias\' AEP and visa renewal application","2500","","4","10000","1","22","2017-05-02 12:35:03","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3207","25","0","2017-04-18 00:00:00","163","Revised draft of Supplemental Replies (Joanne Francisco case)","0","","2","0","1","22","2017-05-02 12:35:38","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3208","25","0","2017-04-18 00:00:00","183","Made telephone call to PEZA re Romar\'s PEZA registration, as SLP instructed","0","","1","0","1","22","2017-05-02 12:36:28","22","2017-05-02 12:36:59","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3209","25","0","2017-04-18 00:00:00","163","Attended meeting with EMP re calculation of estate tax liability (Estate of Laxina)","0","","1","0","1","22","2017-05-02 12:59:19","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3210","25","0","2017-04-18 00:00:00","163","Revised Form 1904 (Estate of Laxina)","0","","1","0","1","22","2017-05-02 12:59:40","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3211","25","0","2017-04-18 00:00:00","163","Drafted Form 1801 (Estate of Laxina)","0","","4","0","1","22","2017-05-02 12:59:58","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3212","25","0","2017-04-18 00:00:00","163","Revised calculation of tax liability, as EMP instructed","0","","1","0","1","22","2017-05-02 13:00:15","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3213","25","0","2017-04-19 00:00:00","163","Revised Form 1801 after Piper\'s comments","0","","1","0","1","22","2017-05-02 13:31:36","","","2","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3214","25","0","2017-04-19 00:00:00","183","Wrote email to Kat Silva to request presence for signing documents on Romar incorporation","0","","1","0","1","22","2017-05-02 13:32:43","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3215","25","0","2017-04-19 00:00:00","163","Attended meeting with Firm staff re style guide and HR matters","0","","3","0","1","22","2017-05-02 13:33:29","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3216","25","0","2017-04-19 00:00:00","151","Conferred with SLP re Phillip\'s concerns re change of address","2500","","1","2500","1","22","2017-05-02 13:35:18","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3217","25","0","2017-04-19 00:00:00","104","Drafted 2017 GIS and supporting minutes","0","","2","0","1","22","2017-05-02 13:36:57","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3218","25","0","2017-04-19 00:00:00","104","Drafted SEC Form F-100, as SLP instructed","0","","2","0","1","22","2017-05-02 13:37:25","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3219","25","0","2017-04-20 00:00:00","104","Revised 2017 GIS after SLP\'s comments","0","","1","0","1","22","2017-05-02 13:38:01","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3220","25","0","2017-04-20 00:00:00","151","Drafted corporate governance matrix SLP instructed","2500","","2","5000","1","22","2017-05-02 13:38:39","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3221","25","0","2017-04-20 00:00:00","104","Drafted corporate governance matrix SLP instructed","0","","2","0","1","22","2017-05-02 13:38:58","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3222","25","0","2017-04-20 00:00:00","125","Drafted corporate governance matrix SLP instructed","0","","2","0","1","22","2017-05-02 13:39:20","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3223","25","0","2017-04-20 00:00:00","183","Romar BPO - Drafted corporate governance matrix as SLP instructed","0","","2","0","1","22","2017-05-02 13:40:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3224","25","0","2017-04-20 00:00:00","104","Drafted JLL\'s DecTrusts","0","","1","0","1","22","2017-05-02 13:40:42","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3225","25","0","2017-04-20 00:00:00","104","Drafted JLL\'s resignation letter as corporate director","0","","1","0","1","22","2017-05-02 13:41:08","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3226","25","0","2017-04-20 00:00:00","104","Revised 2017 GIS","0","","1","0","1","22","2017-05-02 13:41:27","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3227","25","0","2017-04-20 00:00:00","104","Made telephone call to BDO re requirements for cert of inward remittance","0","","1","0","1","22","2017-05-02 13:42:15","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3228","19","0","2017-03-24 00:00:00","163","digest or reported cases ","0","","0.3","0","1","19","2017-05-02 13:44:46","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3229","19","0","2017-03-24 00:00:00","163","Axelum Resources-Internally discussed on due diligence","0","","2","0","1","19","2017-05-02 13:46:15","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3230","25","0","2017-04-20 00:00:00","104","Drafted letter to request Certificate of Inward Remittance","0","","1","0","1","22","2017-05-02 13:48:30","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3231","25","0","2017-04-20 00:00:00","163","Made telephone call to BI to inquire for status update on accreditation","0","","1","0","1","22","2017-05-02 13:49:06","","","2","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3232","25","0","2017-04-24 00:00:00","151","Revised Director\'s Cert re AOI amendment, as SLP instructed","2500","","2","5000","1","22","2017-05-02 13:49:43","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3233","19","0","2017-03-27 00:00:00","64","Attended meeting with SGV on minutes viewing and checking","0","","0.2","0","1","19","2017-05-02 13:50:40","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3234","19","0","2017-03-27 00:00:00","128","Attended meeting with SGV on Minutes viewing and checking","0","","0.2","0","1","19","2017-05-02 13:54:17","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3235","19","0","2017-03-27 00:00:00","110","Attended meeting with SGV on Minutes viewing and checking","0","","0.2","0","1","19","2017-05-02 13:54:45","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3236","19","0","2017-03-27 00:00:00","111","Attended meeting with SGV on Minutes viewing and checking","0","","0.2","0","1","19","2017-05-02 13:58:51","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3237","19","0","2017-03-27 00:00:00","112","Attended meeting with SGV on Minutes viewing and checking","0","","0.2","0","1","19","2017-05-02 14:00:00","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3238","19","0","2017-03-27 00:00:00","112"," Attended meeting with SGV on Minutes viewing and checking","0","","0.2","0","1","19","2017-05-02 14:00:38","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3239","19","0","2017-03-27 00:00:00","127","Attended meeting with SGV on Minutes viewing and checking","0","","0.2","0","1","19","2017-05-02 14:01:00","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3240","19","0","2017-03-27 00:00:00","189","Attended meeting with SGV on Minutes viewing and checking","0","","0.2","0","1","19","2017-05-02 14:01:20","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3241","19","0","2017-03-27 00:00:00","127","Reviewed/Proofread Contract Operating Agreement","0","","2","0","1","19","2017-05-02 14:04:53","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3242","19","0","2017-03-27 00:00:00","64","Revise director\'s Certificate ","0","","0.4","0","1","19","2017-05-02 14:05:19","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3243","19","0","2017-03-28 00:00:00","64","Drafted Minutes for March 17, 2017 Annual Stockholders Meeting","0","","1.5","0","1","19","2017-05-02 14:06:24","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3244","19","0","2017-03-28 00:00:00","207","Reviewed/Proofread AOI and By-Laws","0","","4.5","0","1","19","2017-05-02 14:06:47","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3245","19","0","2017-03-29 00:00:00","207","Reviewed/Proofread AOI and By-Laws","0","","1.5","0","1","19","2017-05-02 14:07:43","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3246","19","0","2017-03-29 00:00:00","127","Drafted Secretary\'s Certificate","0","","0.2","0","1","19","2017-05-02 14:08:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3247","19","0","2017-03-29 00:00:00","64","Drafted Secretary\'s Certificate","0","","0.2","0","1","19","2017-05-02 14:10:36","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3248","19","0","2017-03-29 00:00:00","64","Reviewed previous minutes for Secretary\'s Certificate","0","","1.25","0","1","19","2017-05-02 14:11:59","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3249","19","0","2017-03-29 00:00:00","127","Reviewed previous minutes for Secretary\'s Certificate","0","","1.25","0","1","19","2017-05-02 14:12:17","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3250","19","0","2017-03-29 00:00:00","64","Reviewed/Proofread director\'s Certificate","0","","0.2","0","1","19","2017-05-02 14:12:48","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3251","12","0","2017-04-05 00:00:00","64","Internal routing transmittal of Directors\' Certificate to Ms. Jena\n","0","","0.1","0","1","21","2017-05-02 15:05:01","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3252","12","0","2017-04-05 00:00:00","64","Internal routing Notarized statement management responsibility, and CTCs of GIS of HMDC Group\n","0","","0.1","0","1","21","2017-05-02 15:05:41","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3253","12","0","2017-04-07 00:00:00","169","Internal routing sec certs\n","0","","0.1","0","1","21","2017-05-02 15:06:42","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3254","12","0","2017-04-07 00:00:00","128","Internal routing Transmittal of CTCs of bank documents requested by Peter\n","0","","0.1","0","1","21","2017-05-02 15:07:18","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3255","12","0","2017-04-07 00:00:00","64","Internal routing transmittal of SPA\n","0","","0.1","0","1","21","2017-05-02 15:07:45","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3256","25","0","2017-04-24 00:00:00","125","Revised DecTrusts and minutes","0","","1","0","1","22","2017-05-02 15:08:35","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3257","12","0","2017-04-07 00:00:00","64","Internal routing transmittal of Sec certs\n","0","","0.1","0","1","21","2017-05-02 15:08:44","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3258","12","0","2017-04-07 00:00:00","120","Internal routing Order dtd March 29, 2017\n","0","","0.1","0","1","21","2017-05-02 15:09:08","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3259","25","0","2017-04-24 00:00:00","151","Revised SecCert and Minutes, as per SLP","2500","","1","2500","1","22","2017-05-02 15:09:09","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3260","25","0","2017-04-24 00:00:00","125","Revised DecTrusts after SLP comments","0","","1","0","1","22","2017-05-02 15:09:33","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3261","25","0","2017-04-24 00:00:00","125","Drafted SecCert for SLP","0","","1","0","1","22","2017-05-02 15:09:52","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3262","12","0","2017-04-07 00:00:00","134","Internal routing Preliminary Notice\n","180","","0.1","18","1","21","2017-05-02 15:10:07","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3263","25","0","2017-04-24 00:00:00","73","Drafted 2017 GIS and minutes","2500","","2","5000","1","22","2017-05-02 15:10:11","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3264","12","0","2017-04-10 00:00:00","128","Internal routing Metrobank info sheet\n","0","","0.1","0","1","21","2017-05-02 15:10:35","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3265","12","0","2017-04-10 00:00:00","182","Internal routing application of a foreign corporation \n","200","","0.1","20","1","21","2017-05-02 15:11:11","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3266","25","0","2017-03-17 00:00:00","163","Meeting with DRP re memo on ratification of sale (Joanne Francisco case)","0","","3","0","1","22","2017-05-02 15:11:20","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3267","12","0","2017-04-10 00:00:00","202","Internal routing Raytheon BIR Ruling\n","0","","0.1","0","1","21","2017-05-02 15:11:45","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3268","25","0","2017-03-17 00:00:00","163","Drafted memo on ratification of sale (Joanne Francisco case)","0","","4","0","1","22","2017-05-02 15:11:51","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3269","12","0","2017-04-10 00:00:00","146","Internal routing Minutes of the meeting held on March 15, 2017 for signature \n","0","","0.1","0","1","21","2017-05-02 15:12:08","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3270","25","0","2017-03-20 00:00:00","163","Revised minutes for Oct 2016 meetings (FEATI - COS)","0","","2","0","1","22","2017-05-02 15:12:32","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3271","25","0","2017-03-20 00:00:00","163","Supervised filing of notices of meeting (FEATI - COS)","0","","2","0","1","22","2017-05-02 15:13:07","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("3272","25","0","2017-03-21 00:00:00","163","Attended meeting re ASM (FEATI - COS)","0","","2","0","1","22","2017-05-02 15:13:32","22","2017-05-02 15:13:49","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3273","12","0","2017-04-11 00:00:00","152","Internal routing Letter to RD No. 7\n","0","","0.1","0","1","21","2017-05-02 15:13:34","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3274","12","0","2017-04-11 00:00:00","186","Internal routing Letter to BIR Region No. 8\n","6000","","0.1","600","1","21","2017-05-02 15:14:34","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3275","25","0","2017-03-24 00:00:00","163","Conferred with RHO re further amendment to the 2016 minutes (FEATI - COS)","0","","1","0","1","22","2017-05-02 15:14:34","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3276","25","0","2017-03-24 00:00:00","163","Drafted BOT attendace (FEATI - COS)","0","","1","0","1","22","2017-05-02 15:15:07","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3277","25","0","2017-03-28 00:00:00","163","Attended trial/hearing (Luzon Hydro Corporation CTA Case 9183)","0","","4","0","1","22","2017-05-02 15:16:19","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3278","25","0","2017-03-29 00:00:00","163","Drafted minutes and amended GIS (FEATI - COS)","0","","2","0","1","22","2017-05-02 15:16:49","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3279","25","0","2017-03-30 00:00:00","163","Drafted JSOF (Luzon Hydro Corporation CTA Case 9183)","0","","4","0","1","22","2017-05-02 15:17:55","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3280","25","0","2017-04-03 00:00:00","163","Drafted judicial affidavit of witness (Luzon Hydro Corporation CTA Case 9187)","0","","4","0","1","22","2017-05-02 15:18:38","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3281","25","0","2017-04-03 00:00:00","163","Drafted covering manifestation (Luzon Hydro Corporation CTA Case 9187)","0","","3","0","1","22","2017-05-02 15:19:02","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3282","25","0","2017-04-04 00:00:00","163","Supervised filing of JSOF (Luzon Hydro Corporation CTA Case 9187)","0","","1","0","1","22","2017-05-02 15:19:38","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("3283","12","0","2017-04-17 00:00:00","151","Internal routing Minutes for signature\n","6000","","0.1","600","1","21","2017-05-02 15:19:44","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3284","12","0","2017-04-17 00:00:00","64","Internal routing transmittal of Directors\' Certificate to Atty. Allen\n","0","","0.1","0","1","21","2017-05-02 15:20:09","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3285","25","0","2017-04-05 00:00:00","163","Revised memo on tax treaty relief (Global Business Power)","0","","3","0","1","22","2017-05-02 15:20:20","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3286","12","0","2017-04-17 00:00:00","104","Internal routing Minutes for signature\n","6000","","0.2","1200","1","21","2017-05-02 15:20:34","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3287","12","0","2017-04-17 00:00:00","104","Internal routing letter from Pag-Ibig\n","0","","0.1","0","1","21","2017-05-02 15:21:03","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3288","12","0","2017-04-17 00:00:00","104","Internal routing letter from Pag-Ibig\n","0","","0.1","0","1","21","2017-05-02 15:28:16","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3289","12","0","2017-04-17 00:00:00","72","Internal routing letter from Pag-Ibig\n","0","","0.1","0","1","21","2017-05-02 15:28:55","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3290","12","0","2017-04-19 00:00:00","127","Internal routing GIS 2017\n","0","","0.1","0","1","21","2017-05-02 15:29:36","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3291","12","0","2017-04-19 00:00:00","64","Internal routing GIS 2017\n","0","","0.1","0","1","21","2017-05-02 15:30:01","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3292","12","0","2017-04-19 00:00:00","143","Internal routing Joint stipulation of facts\n","0","","0.1","0","1","21","2017-05-02 15:30:28","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3293","12","0","2017-04-19 00:00:00","141","Internal routing notice of resolution\n","0","","0.1","0","1","21","2017-05-02 15:31:01","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3294","12","0","2017-04-19 00:00:00","143","Internal routing Order dtd March 28, 2017\n","0","","0.1","0","1","21","2017-05-02 15:31:31","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3295","12","0","2017-04-19 00:00:00","91","Internal routing notice of resolution dtd 3/23/17\n","0","","0.1","0","1","21","2017-05-02 15:32:45","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3296","12","0","2017-04-19 00:00:00","141","Internal routing notice of resolution dtd 4/3/2017\n","0","","0.1","0","1","21","2017-05-02 15:33:18","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3297","12","0","2017-04-20 00:00:00","151","Internal routing Transmittal of Deed of absolute sale to Ms. Janet Brul\n","6000","","0.1","600","1","21","2017-05-02 15:33:47","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3298","12","0","2017-04-20 00:00:00","48","Internal routing Signed bank documents \n","0","","0.1","0","1","21","2017-05-02 15:34:15","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3299","12","0","2017-04-20 00:00:00","73","Internal routing Pag-IBIG Fund letter\n","6000","","0.1","600","1","21","2017-05-02 15:34:40","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3300","12","0","2017-04-20 00:00:00","134","Internal routing Letter to BIR RDO 49\n","180","","0.1","18","1","21","2017-05-02 15:35:59","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3301","12","0","2017-04-27 00:00:00","142","Internal routing request for admission of documents\n","0","","0.1","0","1","21","2017-05-02 15:36:38","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3302","12","0","2017-04-27 00:00:00","11","Internal routing FS 2013 &amp;  2014\n","0","","0.2","0","1","21","2017-05-02 15:37:22","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3303","12","0","2017-04-27 00:00:00","106","Internal routing Letter to BIR dtd Apr. 26, 2017\n","0","","0.1","0","1","21","2017-05-02 15:37:51","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3304","19","0","2017-03-30 00:00:00","163","Axelum Resources-Researched on statement of Management responsibility signatories","0","","1","0","1","19","2017-05-03 10:29:55","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3305","19","0","2017-03-30 00:00:00","64","Reviewed/Proofread December 2 Minutes of the meeting","0","","1","0","1","19","2017-05-03 10:33:15","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3306","19","0","2017-04-30 00:00:00","163","Attended TMAP lecture/Seminar","0","","4","0","1","19","2017-05-03 10:33:49","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3307","19","0","2017-03-31 00:00:00","163","digest of reported cases","0","","0.3","0","1","19","2017-05-03 10:34:17","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3308","19","0","2017-03-31 00:00:00","163","RTC Makati Notarial Commission oath","0","","4","0","1","19","2017-05-03 10:35:06","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3309","18","0","2017-03-10 00:00:00","163","Pinoy Properties Investment Corp-Drafted Minutes of the meeting dated March 11, 2017","0","","1","0","1","18","2017-05-03 11:00:35","18","2017-05-03 11:00:52","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3310","18","0","2017-03-10 00:00:00","163","Prepared documents to be sent to sharon lim","0","","0.5","0","1","18","2017-05-03 13:37:06","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3311","18","0","2017-03-10 00:00:00","163","Case reporting and updated list of case reporting assignments","0","","1.5","0","1","18","2017-05-03 13:37:49","18","2017-05-03 13:37:59","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3312","18","0","2017-03-10 00:00:00","116","Wrote email Email updated to Atty. Euney ","0","","0.5","0","1","18","2017-05-03 13:41:10","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3313","18","0","2017-03-10 00:00:00","196","Wrote email to Ms. Cherry Calleja and Deposit Php60,000 to TITF account in BDO","0","","2","0","1","18","2017-05-03 13:42:05","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3314","12","0","2017-05-02 00:00:00","102","Internal routing orig. stock &amp; transfer book\n\n","0","","0.1","0","1","21","2017-05-03 14:04:24","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3315","12","0","2017-05-02 00:00:00","81","Internal routing Signed declaration of ownership\n","0","","0.1","0","1","21","2017-05-03 14:04:51","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3316","12","0","2017-05-02 00:00:00","99","Internal routing sec certs &amp; board res\n","0","","0.1","0","1","21","2017-05-03 14:05:24","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3317","12","0","2017-05-02 00:00:00","72","Internal routing Notice letter from office of the city treasurer\n","0","","0.1","0","1","21","2017-05-03 14:10:15","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3318","12","0","2017-05-02 00:00:00","128","Internal routing Signed bank documents for LHAI\n","0","","0.1","0","1","21","2017-05-03 14:10:56","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3319","12","0","2017-05-02 00:00:00","81","Internal routing Application for preferential tax of Elrick John B. Cruz\n","0","","0.1","0","1","21","2017-05-03 14:11:18","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3320","12","0","2017-05-02 00:00:00","81","Internal routing Transmittal to HEAB re Application for preferential tax of Elrick John B. Cruz\n","0","","0.1","0","1","21","2017-05-03 14:11:58","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3321","12","0","2017-05-02 00:00:00","93","Internal routing notice of resolution dtd 4.27.17\n","0","","0.1","0","1","21","2017-05-03 14:13:49","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3322","18","0","2017-03-10 00:00:00","146","Made telephone call to Gemma Merin and Drafted Minutes of Organization Meeting of Stockholdrs and BOD ","0","","2.5","0","1","18","2017-05-03 15:57:26","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3323","18","0","2017-03-10 00:00:00","155","Drafted minutes of meeting dated March 3, 2017","3000","","1.5","4500","1","18","2017-05-03 15:58:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3324","18","0","2017-03-10 00:00:00","211","Reviewed/study documents re: 2013 tax Assessment","3000","","1.5","4500","1","18","2017-05-03 15:58:57","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3325","12","0","2017-05-03 00:00:00","84","Wrote emails to WTL and DutchCo/LuxCo counsels","6000","","1.5","9000","1","12","2017-05-04 10:18:19","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3326","12","0","2017-05-03 00:00:00","84","Read Emails from Diego","0","","0.5","0","1","12","2017-05-04 10:18:51","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("3327","12","0","2017-05-03 00:00:00","84","Conferred with Diego Recallde","6000","","0.4","2400","1","12","2017-05-04 10:19:28","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3328","12","0","2017-05-03 00:00:00","203","Internally discussed with MAC re meeting with BIR","0","","0.5","0","1","12","2017-05-04 10:20:20","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3329","12","0","2017-05-02 00:00:00","84","Conference call with DutchCo/LuxCo counsels and WTL","6000","","1.25","7500","1","12","2017-05-04 10:21:07","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3330","16","0","2017-05-03 00:00:00","163","Performed Other Service: sick leave","0","","8","0","1","16","2017-05-04 15:51:55","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3331","16","0","2017-05-04 00:00:00","163","Attended meeting at GT Tower with Ms. Pamela Tangso and EMP (for Global Business Power Corp)","0","","1","0","1","16","2017-05-04 15:53:10","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3332","16","0","2017-05-04 00:00:00","163","Traveled to office from GT Tower (GBPC meeting)","0","","1","0","1","16","2017-05-04 15:53:36","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3333","16","0","2017-05-04 00:00:00","72","Reviewed/proofread reply to City of Makati re: business tax","0","","0.5","0","1","16","2017-05-04 15:53:58","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3334","16","0","2017-05-04 00:00:00","72","Received telephone call from Jose-Manuel Izquierdo re: business license","0","","0.2","0","1","16","2017-05-04 15:54:29","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("3335","12","0","2017-05-03 00:00:00","93","Internal routing notice of resolution dtd 4.27.17\n","0","","0.1","0","1","21","2017-05-04 15:58:23","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3336","16","0","2017-05-04 00:00:00","197","Reviewed 2017 GIS for filing","2500","","0.5","1250","1","16","2017-05-04 15:58:54","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3337","16","0","2017-05-04 00:00:00","124","Made telephone call to Atty Melina Tecson re: Petron Megaplaza issue","3000","","0.4","1200","1","16","2017-05-04 16:19:56","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3338","16","0","2017-05-04 00:00:00","124","Drafted email update to EMP re: conversation with Atty. Melina Tecson","3000","","0.3","900","1","16","2017-05-04 16:21:42","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3339","16","0","2017-05-04 00:00:00","124","Drafted second final demand leltter to PMCAI","3000","","1","3000","1","16","2017-05-04 16:22:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3340","18","0","2017-03-12 00:00:00","146","Drafted Minutes of Organization Meeting of Stockholders and Board of Directors.","0","","2","0","1","18","2017-05-05 10:05:13","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3341","18","0","2017-03-13 00:00:00","186","Traveled to BIR RDO 50 to inquire re: Status of Assessment and to BIR RR No. 8 to inquire the status of assessment.","3000","","3.5","10500","1","18","2017-05-05 10:11:58","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3342","18","0","2017-03-13 00:00:00","186","Internally discussed with EMP , drafted letter to RDO for pullout of docket files from Revenue Region ","0","","1.5","0","1","18","2017-05-05 10:13:03","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3343","18","0","2017-03-13 00:00:00","182","Drafted SEC form F-103","120","","1.5","180","1","18","2017-05-05 10:14:56","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3344","18","0","2017-03-13 00:00:00","163","PPIC-Chi-Wen Hua-Prepared application paper for AEP","0","","1.5","0","1","18","2017-05-05 10:15:47","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3345","16","0","2017-05-04 00:00:00","39","Drafted Formal Offer of Evidence","100","","3.2","320","1","16","2017-05-05 12:58:14","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3346","16","0","2017-05-05 00:00:00","158","Follow-up work at BIR National re: GANV TTRA","3000","","1","3000","1","16","2017-05-08 09:07:42","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("3347","16","0","2017-05-05 00:00:00","163","Follow-up work at BIR National re: The Big @ St Ig","0","","1","0","1","16","2017-05-08 09:08:08","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("3348","16","0","2017-05-05 00:00:00","158","Traveled to BIR National ","3000","","1.25","3750","1","16","2017-05-08 09:08:48","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3349","16","0","2017-05-08 00:00:00","97","Performed Other Service: Prepared execution copies of documents; attended signing of Partnership, Admission, and Shareholders\' Agreements at Fortman Cline offices","2500","","2","5000","1","16","2017-05-08 10:55:05","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3350","16","0","2017-05-08 00:00:00","81","Further revised HEABS memo on market research services","0","","4","0","1","16","2017-05-08 10:55:31","16","2017-05-10 16:55:34","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3351","16","0","2017-05-08 00:00:00","85","Internally discussed with EMP re: TGP Land/Register of Deeds","0","","0.3","0","1","16","2017-05-08 11:09:24","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3352","16","0","2017-05-08 00:00:00","85","Researched on Land Registration Act requirements for conveyance of land","0","","0.4","0","1","16","2017-05-08 11:09:43","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3353","16","0","2017-05-08 00:00:00","85","Internally discussed with Ms. Lyn re: TGP Land/Register of Deeds","0","","0.4","0","1","16","2017-05-08 11:10:00","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3354","18","0","2017-03-13 00:00:00","182","Drafted SEC Form F-103","120","","1.5","180","1","18","2017-05-08 11:10:46","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3355","12","0","2017-05-04 00:00:00","203","Attended meeting with RD Geraldino, MAC at the BIR Revenue Region 8","0","","2","0","1","21","2017-05-10 11:49:02","","","1","08:00:00","10:00:00","1");
INSERT INTO file_billing_tbl VALUES("3356","12","0","2017-05-04 00:00:00","163","Attended meeting with Mr. Mon Silos","0","","2","0","1","21","2017-05-10 11:49:36","","","2","10:00:00","12:00:00","1");
INSERT INTO file_billing_tbl VALUES("3357","12","0","2017-05-04 00:00:00","210","Attended meeting ","6000","","1.5","9000","1","21","2017-05-10 11:52:26","","","1","14:30:00","16:00:00","1");
INSERT INTO file_billing_tbl VALUES("3358","12","0","2017-05-05 00:00:00","9","Attended meeting with Atty. Kitten","0","","2","0","1","21","2017-05-10 11:58:56","","","1","10:00:00","12:00:00","1");
INSERT INTO file_billing_tbl VALUES("3359","12","0","2017-05-05 00:00:00","163","Performed Other Service - Lawyers lunch and case reporting","0","","2","0","1","21","2017-05-10 11:59:37","","","2","12:00:00","14:00:00","11");
INSERT INTO file_billing_tbl VALUES("3360","12","0","2017-05-08 00:00:00","97","Attended meeting, execution of shareholders and partnership agreements","6000","","1","6000","1","21","2017-05-10 12:01:00","","","1","09:30:00","10:30:00","1");
INSERT INTO file_billing_tbl VALUES("3361","12","0","2017-05-08 00:00:00","163","Attended meeting with Ms. Jocelyn Ng","0","","1.5","0","1","21","2017-05-10 12:01:40","","","1","13:00:00","14:30:00","1");
INSERT INTO file_billing_tbl VALUES("3362","12","0","2017-05-09 00:00:00","163","Attended meeting with Mr. Ronnie Liepno &amp; FGS","0","","2","0","1","21","2017-05-10 12:02:22","","","1","10:00:00","12:00:00","1");
INSERT INTO file_billing_tbl VALUES("3363","12","0","2017-05-09 00:00:00","163","Attended meeting with Atty. Fema","0","","2","0","1","21","2017-05-10 12:02:55","","","1","12:00:00","14:00:00","1");
INSERT INTO file_billing_tbl VALUES("3364","12","0","2017-05-09 00:00:00","63","HMDC HAZ signing","0","","1","0","0","21","2017-05-10 12:03:32","","","1","16:00:00","17:00:00","1");
INSERT INTO file_billing_tbl VALUES("3365","12","0","2017-05-03 00:00:00","213","Attended meeting at Aboitiz","6000","","2","12000","1","21","2017-05-10 12:04:23","12","2017-05-11 06:58:14","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3366","12","0","2017-05-03 00:00:00","86","Internal routing ITR &amp; Statement of management responsibility signed by GVF, DRP\n","6000","","0.1","600","1","21","2017-05-10 13:57:17","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3367","12","0","2017-05-04 00:00:00","64","Internal routing Notarized certification of bulkcem phils., amended trust agreement b/w HPI &amp; AB Capital\n","0","","0.1","0","1","21","2017-05-10 13:58:15","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3368","12","0","2017-05-04 00:00:00","104","Internal routing Leter to PAG-IBIG Fund\n","6000","","0.1","600","1","21","2017-05-10 13:59:05","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3369","12","0","2017-05-10 00:00:00","213","Conferred with SPPI and AP Team","6000","","2.25","13500","1","12","2017-05-10 15:56:48","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3370","12","0","2017-05-10 00:00:00","80","Revising Opinion on Affiliates","0","","1.25","0","1","12","2017-05-10 15:57:48","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("3371","12","0","2017-05-10 00:00:00","84","Read Email from Martijn and email to WTL","6000","","0.5","3000","1","12","2017-05-10 15:58:54","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("3372","16","0","2017-05-08 00:00:00","143","Wrote emails to Ms. Ada Santiago-Aquino re: exhibits for 9183","2500","","0.4","1000","1","16","2017-05-10 16:56:16","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3373","16","0","2017-05-08 00:00:00","143","Reviewed documentary exhibits in preparation for Commissioner\'s Hearing on May 9","0","","1","0","1","16","2017-05-10 16:57:00","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3374","16","0","2017-05-09 00:00:00","185","Internally discussed with Ms. Lyn and GVF re: Project Compass DD documents","100","","0.5","50","1","16","2017-05-10 16:57:28","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3375","16","0","2017-05-09 00:00:00","163","Revised Dojesta Intercompany Agreement","0","","1.2","0","1","16","2017-05-10 16:57:53","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3376","16","0","2017-05-09 00:00:00","84","Drafted legalization documents for Andrew\'s passport and proof of address (WTL Dutch/LuxCo)","2500","","0.75","1875","1","16","2017-05-10 16:58:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3377","16","0","2017-05-09 00:00:00","143","Reviewed documentary exhibits in preparation for Commissioner\'s Hearing ","2500","","0.7","1750","1","16","2017-05-10 16:58:56","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3378","16","0","2017-05-09 00:00:00","143","Traveled to CTA for Commissioner\'s Hearing","0","","1.5","0","1","16","2017-05-10 16:59:10","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3379","16","0","2017-05-09 00:00:00","143","Attended Commissioner\'s Hearing","0","","1.5","0","1","16","2017-05-10 16:59:23","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("3380","16","0","2017-05-09 00:00:00","81","Drafted memo on affiliates","0","","2","0","1","16","2017-05-10 17:01:53","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3381","16","0","2017-05-10 00:00:00","201","Reviewed files; drafted Motion to Resolve Motion for Reconsideration/supervised filing","0","","2.5","0","1","16","2017-05-10 17:02:24","16","2017-05-10 17:03:36","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3382","16","0","2017-05-10 00:00:00","81","Further revised memo on market research services","0","","2","0","1","16","2017-05-10 17:02:54","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3383","16","0","2017-05-10 00:00:00","81","Further revised memo on affiliates","0","","3","0","1","16","2017-05-10 17:03:10","16","2017-05-10 17:03:42","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3384","16","0","2017-05-10 00:00:00","81","Internally discussed with EMP re: memo on affiliates","0","","0.5","0","1","16","2017-05-10 17:03:26","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3385","12","0","2017-05-10 00:00:00","80","Wrote Opinion on &quot;\nAffiliates&quot;","0","","1.25","0","1","12","2017-05-11 06:37:33","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("3386","12","0","2017-05-10 00:00:00","80","Internally discussed with Dianne","0","","0.5","0","1","12","2017-05-11 06:37:55","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3387","12","0","2017-05-10 00:00:00","207","Internally discussed with Sam","0","","0.5","0","1","12","2017-05-11 06:38:57","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3388","12","0","2017-05-10 00:00:00","152","Conferred with Kel and Maricar, and preparing of letter to BIR.","0","","1.25","0","1","12","2017-05-11 06:44:15","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3389","12","0","2017-05-05 00:00:00","213","Reviewed term sheet, identification of issues, discussion with SLP","6000","","2.25","13500","1","12","2017-05-11 06:46:06","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("3390","12","0","2017-05-05 00:00:00","213","Read Email from Joseph Gonzales","6000","","0.3","1800","1","12","2017-05-11 06:46:54","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("3391","12","0","2017-05-05 00:00:00","63","Read Email from Allen re HAZ Operating Agreement","0","","0.5","0","1","12","2017-05-11 06:48:01","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("3392","12","0","2017-05-08 00:00:00","63","Revising the HAZ Operating Agreement","0","","2.25","0","1","12","2017-05-11 06:48:36","12","2017-05-11 06:54:35","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3393","12","0","2017-05-09 00:00:00","63","Assistance in the signing of the HAZ Operating Agreement","0","","3.5","0","1","12","2017-05-11 06:49:13","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3394","12","0","2017-05-05 00:00:00","158","Followed-up email to BIR","6000","","0.5","3000","1","12","2017-05-11 06:51:53","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("3395","12","0","2017-05-08 00:00:00","158","Wrote email to Sonny  Nisce re update; internally discussed with DRP","6000","","0.5","3000","1","12","2017-05-11 06:54:08","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3396","12","0","2017-05-08 00:00:00","97","Performed Other Service - Signing","6000","","1.25","7500","1","12","2017-05-11 06:55:13","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3397","12","0","2017-05-09 00:00:00","63","Drafted - Review of execution copies","0","","0.75","0","1","12","2017-05-11 06:56:07","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3398","12","0","2017-05-03 00:00:00","213","Reviewed term sheet","6000","","1.25","7500","1","12","2017-05-11 06:58:52","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3399","12","0","2017-05-11 00:00:00","80","Reviewed Opinion on Affiliates","0","","0.75","0","1","12","2017-05-11 06:59:37","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("3400","16","0","2017-05-11 00:00:00","185","Internally discussed with GVF re: due diligence report","100","","0.3","30","1","16","2017-05-11 17:13:09","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3401","16","0","2017-05-11 00:00:00","185","Internally discussed with GVF, SLP, FGS re: due diligence report","100","","1.2","120","1","16","2017-05-11 17:13:26","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3402","16","0","2017-05-11 00:00:00","185","Performed Other Service: due diligence","100","","6","600","1","16","2017-05-11 17:13:38","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3403","16","0","2017-05-11 00:00:00","81","Internally discussed with EMP re: memo on affiliates","0","","0.4","0","1","16","2017-05-11 17:13:57","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3404","16","0","2017-05-11 00:00:00","81","Further revised memo on affiliates","0","","1","0","1","16","2017-05-11 17:14:19","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3405","16","0","2017-05-11 00:00:00","81","Internally discussed with EMP re: memo on market research","0","","0.4","0","1","16","2017-05-11 17:14:36","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3406","16","0","2017-05-11 00:00:00","81","Further revised memo on market research","0","","0.6","0","1","16","2017-05-11 17:14:53","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3407","16","0","2017-05-12 00:00:00","185","Performed Other Service: due diligence","100","","8","800","1","16","2017-05-11 17:15:19","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3408","12","0","2017-05-04 00:00:00","104","Internal routing Leter to PAG-IBIG Fund\n","6000","","0.1","600","1","21","2017-05-12 09:57:21","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3409","12","0","2017-05-09 00:00:00","169","Internal routing Sec Cert.\n","0","","0.1","0","1","21","2017-05-12 09:57:50","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3410","12","0","2017-05-09 00:00:00","210","Internal routing Invoking provisions of double taxation treaties\n","6000","","0.1","600","1","21","2017-05-12 09:58:21","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3411","12","0","2017-05-09 00:00:00","141","Internal routing notice of resolution dtd 5.4.17\n","0","","0.1","0","1","21","2017-05-12 09:58:47","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3412","12","0","2017-05-09 00:00:00","151","Internal routing Alien employment permit of Hua, Chi Wen\n","6000","","0.1","600","1","21","2017-05-12 09:59:10","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3413","12","0","2017-05-09 00:00:00","134","Internal routing S.A. from Maybank\n","180","","0.1","18","1","21","2017-05-12 09:59:34","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3414","12","0","2017-05-09 00:00:00","134","Internal routing Application Form for BIR Importer clearance certificate\n","180","","0.1","18","1","21","2017-05-12 09:59:59","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3415","12","0","2017-05-12 00:00:00","45","Internal routing Orig. minutes of the annual stockholders\n","0","","0.1","0","1","21","2017-05-15 10:31:06","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3416","12","0","2017-05-12 00:00:00","64","Internal routing Letter to Atty. Sales of SEC re issuance of clearance and certificate of good standing \n","0","","0.1","0","1","21","2017-05-15 10:32:27","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3417","12","0","2017-05-15 00:00:00","141","Internal routing Manifestation filed on May 9, 2017\n","0","","0.1","0","1","21","2017-05-15 10:33:04","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3418","12","0","2017-05-15 00:00:00","81","Internal routing signed, notarized and filed Notification Update Form\n","0","","0.2","0","1","21","2017-05-15 10:34:03","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3419","12","0","2017-05-15 00:00:00","19","Internal routing Transmittal of signed bank signature cards\n","0","","0.1","0","1","21","2017-05-15 10:34:38","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3420","12","0","2017-05-15 00:00:00","127","Internal routing Transmittal of Deed of Accession between the heirs of Arturo Zayco, Sr. and HRDC\n","0","","0.1","0","1","21","2017-05-15 10:35:06","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3421","12","0","2017-05-15 00:00:00","128","Internal routing Transmittal of ID of Mr. Renato Baja &amp; Mr. William De Lumley\n","0","","0.2","0","1","21","2017-05-15 10:37:47","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3422","12","0","2017-05-15 00:00:00","128","Internal routing Transmittal of Sec Cert re online banking system\n","0","","0.1","0","1","21","2017-05-15 10:38:05","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3423","12","0","2017-05-15 00:00:00","48","Internal routing Signed and transmittal of Sworn Certification\n","0","","0.2","0","1","21","2017-05-15 10:38:22","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3424","12","0","2017-05-15 00:00:00","208","Internal routing Orig. FS of Tommie Creative &amp; AMSPEC\n","6000","","0.1","600","1","21","2017-05-15 10:38:47","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3425","18","0","2017-03-13 00:00:00","163","PPIC (Khita Hua)- prepare Application papers","0","","1.5","0","1","18","2017-05-15 11:38:26","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3426","18","0","2017-03-13 00:00:00","202","Revise memo on the  VAT liability of Casas+Architects on its Subcontractor Agreement with Raytheon Company","0","","2","0","1","18","2017-05-15 11:41:30","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3427","18","0","2017-03-13 00:00:00","163","PPIC-Philip Teng-Wrote email to Philip Tent re: signed minutes","0","","0.5","0","1","18","2017-05-15 11:43:06","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3428","16","0","2017-05-15 00:00:00","141","Attended meeting at Eton Centris with Richard Querido to discuss ICPA report and testimony","2500","","1.5","3750","1","16","2017-05-15 19:58:54","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3429","16","0","2017-05-15 00:00:00","141","Traveled to CTA/Eton Centris for 9187 hearing","2500","","1.25","3125","1","16","2017-05-15 19:59:06","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3430","16","0","2017-05-15 00:00:00","141","Attended trial/hearing at CTA 3rd division for presentation of ICPA","2500","","2.2","5500","1","16","2017-05-15 19:59:23","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("3431","16","0","2017-05-15 00:00:00","141","Traveled to office from CTA","2500","","1","2500","1","16","2017-05-15 19:59:34","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3432","16","0","2017-05-15 00:00:00","141","Internally discussed with EMP, SLP, RHO and FGS re: Hedcor Group case updates","2500","","1","2500","1","16","2017-05-15 19:59:52","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3433","16","0","2017-05-15 00:00:00","141","Drafted case update letter re: Hedcor Group cases","2500","","1.5","3750","1","16","2017-05-15 20:00:11","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3434","16","0","2017-05-15 00:00:00","163","Internally discussed with EMP and FGS re: Dojesta Intercompany agreement","0","","0.75","0","1","16","2017-05-15 20:00:29","16","2017-05-15 20:00:46","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3435","16","0","2017-05-15 00:00:00","163","Revised Dojesta Intercompany agreement","0","","0.5","0","1","16","2017-05-15 20:01:00","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3436","16","0","2017-05-15 00:00:00","212","Internally discussed with RHO re: Tradeshow Answer with Counterclaim","3000","","1","3000","1","16","2017-05-15 20:01:18","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3437","16","0","2017-05-14 00:00:00","212","Reviewed work of RHO re: Answer with Counterclaim","0","","5","0","1","16","2017-05-15 20:01:34","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3438","16","0","2017-05-14 00:00:00","141","Drafted Comment on MR (re: Resolution dated April 6, 2017)","2500","","1.6","4000","1","16","2017-05-15 20:02:08","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3439","16","0","2017-05-15 00:00:00","212","Reviewed work of RHO re: Answer with Counterclaim ","3000","","2","6000","1","16","2017-05-15 20:06:07","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3440","16","0","2017-05-15 00:00:00","48","Drafted proxy form for HPI meeting","0","","0.3","0","1","16","2017-05-15 20:07:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3441","12","0","2017-05-15 00:00:00","9","Internal routing Letter from SGV re Accounting consultation for HPI\'s LandCo project dated Apr. 26, 2017\n","0","","0.1","0","1","21","2017-05-16 13:16:19","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3442","12","0","2017-05-15 00:00:00","152","Internal routing Letter to Dir Marina De Guzman re request for calculation and extension of time to settle first installment of compromise settlement of tax liabilities\n","0","","0.1","0","1","21","2017-05-16 13:16:53","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3443","12","0","2017-05-15 00:00:00","22","Internal routing Docs from Ms. Annabel\n","0","","0.1","0","1","21","2017-05-16 13:17:24","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3444","12","0","2017-05-15 00:00:00","207","Internal routing Letter to SEC re issuance of clearance &amp; certificate of good standing\n","0","","0.1","0","1","21","2017-05-16 13:17:48","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3445","12","0","2017-05-15 00:00:00","73","Internal routing Business Permit\n","6000","","0.1","600","1","21","2017-05-16 13:18:12","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3446","12","0","2017-05-15 00:00:00","182","Internal routing transmittal to Idein of SSS, Pagibig, philhealth\n","200","","0.1","20","1","21","2017-05-16 13:18:34","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3447","12","0","2017-05-15 00:00:00","146","Internal routing certificate of registration \n","0","","0.1","0","1","21","2017-05-16 13:19:01","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3448","12","0","2017-05-15 00:00:00","163","Internal routing transmittal of SSS, Pagibig, philhealth\n","0","","0.1","0","1","21","2017-05-16 13:19:21","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3449","12","0","2017-05-15 00:00:00","64","Internal routing Letter to MGB &amp; EMB DENR re officers of HMDC\n","0","","0.2","0","1","21","2017-05-16 13:20:20","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3450","12","0","2017-05-15 00:00:00","64","Internal routing Transmittal letter to AB Capital of Directors cert.\n","0","","0.1","0","1","21","2017-05-16 13:20:40","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3451","12","0","2017-05-15 00:00:00","81","Internal routing Memo re provision of market/telephone interview service by an ROHQ to an affilliate\n","0","","0.1","0","1","21","2017-05-16 13:21:04","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3452","12","0","2017-05-15 00:00:00","81","Internal routing Memo re Provision of ROHQ qualifying services to HMDC\n","0","","0.1","0","1","21","2017-05-16 13:21:20","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3453","12","0","2017-05-15 00:00:00","81","Internal routing Memo re Provision of ROHQ qualifying services to HMDC\n","0","","0.1","0","1","21","2017-05-16 13:23:05","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3454","12","0","2017-05-15 00:00:00","99","Internal routing sec certs &amp; other bank documents\n","0","","0.1","0","1","21","2017-05-16 13:23:32","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3455","12","0","2017-05-15 00:00:00","48","Internal routing notarized certification\n","0","","0.1","0","1","21","2017-05-16 13:23:53","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3456","12","0","2017-05-15 00:00:00","163","Internal routing AXA Global health access service request form of EMP &amp; GVF transmitted to AXA thru LBC\n","0","","0.1","0","1","21","2017-05-16 13:24:27","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3457","12","0","2017-05-15 00:00:00","104","Internal routing GIS 2017\n","6000","","0.1","600","1","21","2017-05-16 13:24:50","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3458","12","0","2017-05-15 00:00:00","125","Internal routing GIS 2017\n","6000","","0.1","600","1","21","2017-05-16 13:25:11","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3459","16","0","2017-05-16 00:00:00","141","Internally discussed with EMP re: case updates for Hedcor Group cases","2500","","1","2500","1","16","2017-05-18 11:08:59","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3460","16","0","2017-05-16 00:00:00","141","Revised Hedcor Group case updates file per EMP\'s comments","2500","","1","2500","1","16","2017-05-18 11:09:18","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3461","16","0","2017-05-16 00:00:00","212","Drafted second Motion for Extension of Time to File Answer","3000","","0.75","2250","1","16","2017-05-18 11:09:55","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3462","16","0","2017-05-16 00:00:00","169","Drafted Formal Offer of Evidence/reviewed exhibits","0","","3","0","1","16","2017-05-18 11:10:19","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3463","16","0","2017-05-16 00:00:00","210","Researched on merger/tax free exchange for GBPC ","3500","","3","10500","1","16","2017-05-18 11:11:17","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3464","16","0","2017-05-17 00:00:00","91","Drafted Motion for Extension of Time to File Memorandum","2500","","0.75","1875","1","16","2017-05-18 11:11:47","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3465","16","0","2017-05-17 00:00:00","91","Supervised filing of Motion for Extension of Time to File Memorandum","0","","0.5","0","1","16","2017-05-18 11:12:00","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("3466","16","0","2017-05-17 00:00:00","212","Supervised filing of Motion for Extension of Time to File Answer","3000","","0.5","1500","1","16","2017-05-18 11:12:22","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("3467","16","0","2017-05-17 00:00:00","143","Supervised filing of Comment (re: MR)","2500","","0.5","1250","1","16","2017-05-18 11:12:43","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("3468","16","0","2017-05-17 00:00:00","90","Internally discussed with GVF and RHO re: May 18 hearing","0","","0.5","0","1","16","2017-05-18 11:20:09","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3469","16","0","2017-05-17 00:00:00","81","Internally discussed with GVF re: memo on discrimination","0","","0.5","0","1","16","2017-05-18 11:20:26","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3470","16","0","2017-05-17 00:00:00","81","Researched on antidiscrimination labor laws","0","","2","0","1","16","2017-05-18 11:20:39","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3471","16","0","2017-05-17 00:00:00","81","Drafted memo re: anti-gender discrimination","0","","1.2","0","1","16","2017-05-18 11:21:10","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3472","16","0","2017-05-17 00:00:00","84","Attended conference call with Martijn Perquin (Dutch/LuxCo)","2500","","0.75","1875","1","16","2017-05-18 11:21:55","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3473","16","0","2017-05-17 00:00:00","84","Attended conference call with Diego Recalde (Dutch/LuxCo)","2500","","1","2500","1","16","2017-05-18 11:22:11","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3474","16","0","2017-05-17 00:00:00","97","Internally discussed with EMP re: new page 7 of Shareholders Agreement/supervised change of page 7","2500","","0.5","1250","1","16","2017-05-18 11:27:39","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3475","16","0","2017-05-17 00:00:00","90","Internally discussed with RHO re: May 18 motion hearing","0","","0.3","0","1","16","2017-05-18 11:28:04","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3476","16","0","2017-05-17 00:00:00","163","Internally discussed with EMP re: HavenAsia; supervised reservation of new names with SEC for change of corporate name","0","","0.75","0","1","16","2017-05-18 11:28:51","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3477","16","0","2017-05-18 00:00:00","86","Attended meeting with EMP and Ignasi Vegas ","2500","","1","2500","1","16","2017-05-18 11:36:30","16","2017-05-18 12:10:58","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3478","16","0","2017-05-18 00:00:00","163","Wrote email to EMP re: HavenAsia query on whether or not a foreigner may occupy position of treasurer","0","","0.2","0","1","16","2017-05-18 11:54:05","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3479","16","0","2017-05-18 00:00:00","86","Revised Igusol Sec Cert and minutes","2500","","1.2","3000","1","16","2017-05-18 11:54:26","16","2017-05-18 12:10:51","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3480","12","0","2017-05-18 00:00:00","80","Read Email from Eolani - re Affiliates Registration","0","","0.3","0","1","12","2017-05-18 14:36:27","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("3481","12","0","2017-05-18 00:00:00","134","Conferred with Veena re Maki\'s Shares; examining files","180","","0.4","72","1","12","2017-05-18 14:36:57","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3482","12","0","2017-05-18 00:00:00","22","Conferred with Annabelle re 2011 and 2012 assessment of VLAP","0","","1.5","0","1","12","2017-05-18 14:37:36","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3483","12","0","2017-05-18 00:00:00","86","Conferred with Ignasi re: amendment of place of business; other transactions","6000","","0.75","4500","1","12","2017-05-18 14:38:31","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3484","12","0","2017-05-16 00:00:00","202","Wrote email to Charlie re: Raytheon","0","","0.5","0","1","12","2017-05-18 15:12:48","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3485","16","0","2017-05-18 00:00:00","47","Reviewed files to check GIS filing/previous minutes prepared","0","","0.5","0","1","16","2017-05-18 18:22:14","16","2017-05-18 18:23:27","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3486","16","0","2017-05-18 00:00:00","48","Reviewed files to check GIS filing/previous minutes prepared","0","","0.5","0","1","16","2017-05-18 18:22:29","16","2017-05-18 18:23:34","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3487","16","0","2017-05-18 00:00:00","90","Reviewed work of RHO re: Manifestation and Motion","0","","0.5","0","1","16","2017-05-18 18:22:53","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3488","16","0","2017-05-18 00:00:00","39","Drafted Formal Offer of Evidence","100","","4.2","420","1","16","2017-05-18 18:23:12","16","2017-05-18 18:23:40","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3489","12","0","2017-05-16 00:00:00","134","Internal routing SSS &amp; Philhealth\n","180","","0.1","18","1","21","2017-05-19 10:21:27","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3490","12","0","2017-05-18 00:00:00","219","Internal routing Sec Cert &amp; Entry of appearance\n\n","6000","","0.2","1200","1","21","2017-05-19 10:23:40","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3491","12","0","2017-05-18 00:00:00","49","Internal routing notice of resolution dtd May 12, 2017\n","0","","0.1","0","1","21","2017-05-19 10:24:02","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3492","12","0","2017-05-18 00:00:00","64","Internal routing transmittal of Dir. Cert.\n","0","","0.1","0","1","21","2017-05-19 13:46:50","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3493","12","0","2017-05-18 00:00:00","219","Internal routing Resume of Engr. Alfonso Nonato &amp; Company Profile\n","6000","","0.1","600","1","21","2017-05-19 13:47:23","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3494","12","0","2017-05-18 00:00:00","219","Internal routing Appraisal of Property\n","0","","0.1","0","1","21","2017-05-19 13:47:47","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3495","12","0","2017-05-18 00:00:00","142","Internal routing Opposition\n","0","","0.1","0","1","21","2017-05-19 13:48:20","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3496","12","0","2017-05-18 00:00:00","11","Internal routing Order dtd 4/24/2017\n","0","","0.1","0","1","21","2017-05-19 13:49:59","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3497","12","0","2017-05-18 00:00:00","120","Internal routing Order dtd 5/3/2017\n","0","","0.1","0","1","21","2017-05-19 13:53:40","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3498","12","0","2017-05-18 00:00:00","128","Internal routing signed bdo &amp; security bank documents\n","0","","0.1","0","1","21","2017-05-19 13:54:14","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3499","12","0","2017-05-18 00:00:00","11","Internal routing Order dtd 4/24/2017\n","0","","0.1","0","1","21","2017-05-19 13:54:58","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3500","12","0","2017-05-18 00:00:00","81","Internal routing Notarized proof of residency of Ms. Thusitha Perera\n","0","","0.1","0","1","21","2017-05-19 13:55:30","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3501","12","0","2017-05-18 00:00:00","48","Internal routing transmittal of Sec. Certs and minutes\n","0","","0.1","0","1","21","2017-05-19 13:56:25","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3502","18","0","2017-03-14 00:00:00","186","Traveled to BIR RDO 50 to inquire with the status of 2011 Assessment and meet up with the revenue examiner Hosnia Sundad, and to email update to Client","3000","","2.5","7500","1","18","2017-05-22 09:38:12","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3503","18","0","2017-03-14 00:00:00","182","Made telephone call to Jewel and arrange/collate documents for filing","120","","2","240","1","18","2017-05-22 09:40:12","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3504","18","0","2017-03-14 00:00:00","151","Internally discussed with SLP and RHO, Drafted Deed of Sale of Motor Vehicle and Affidavit of Undertaking","2500","","3","7500","1","18","2017-05-22 09:43:43","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3505","18","0","2017-03-14 00:00:00","218","Attended meeting at Khita Hua and Leonard Yu","2500","","2","5000","1","18","2017-05-22 09:45:11","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3506","16","0","2017-05-22 00:00:00","163","Conference call/organizational meeting of the BOD (HavenAsia)","0","","0.5","0","1","16","2017-05-22 10:06:25","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("3507","16","0","2017-05-22 00:00:00","163","Revised minutes of BOD and SH meetings (HavenAsia)","0","","0.5","0","1","16","2017-05-22 10:07:01","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3508","16","0","2017-05-22 00:00:00","209","Revised guidelines on Philippine employment ","3000","","1.25","3750","1","16","2017-05-22 10:07:25","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3509","15","0","2017-05-22 00:00:00","63","Conferred with EMP and Atty. Allen to discuss the status of contracts and mining and foreshore rights. ","0","","2.5","0","1","15","2017-05-22 10:31:02","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3510","18","0","2017-03-14 00:00:00","151","Wrote email to Sharon Lim re: Insurance Company quotation and inquire with insurance companies amount of insurance rate for car","2500","","1.25","3125","1","18","2017-05-22 11:01:37","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3511","18","0","2017-03-15 00:00:00","146","Drafted Minutes of Organization Meeting of Stockholders and BOD.","0","","1.5","0","1","18","2017-05-22 11:04:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3512","18","0","2017-03-15 00:00:00","106","Internally discussed with EMP","2500","","1","2500","1","18","2017-05-22 11:04:39","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3513","18","0","2017-03-15 00:00:00","163","Attended Seminar on Accounting","0","","6","0","1","18","2017-05-22 11:05:02","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3514","18","0","2017-03-16 00:00:00","146","Revise Minutes and Proxy","0","","2","0","1","18","2017-05-22 11:17:21","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3515","18","0","2017-03-16 00:00:00","151","Revise Minutes of the Meeting","2500","","1","2500","1","18","2017-05-22 11:17:42","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3516","18","0","2017-03-16 00:00:00","80","Review forwarded documents re: Malaysia, Australia and NZ Affiliates","0","","2","0","1","18","2017-05-22 11:20:20","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3517","18","0","2017-03-15 00:00:00","163","Reviewed/Proofread PIA lecture draft outline","0","","1.5","0","1","18","2017-05-22 11:25:50","","","2","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3518","18","0","2017-03-15 00:00:00","218","Drafted Minutes of the Meeting re: Appointment of Khita Hua","2500","","1","2500","1","18","2017-05-22 11:26:26","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3519","18","0","2017-03-15 00:00:00","163","Attended Seminar on Accounting ","0","","6","0","1","18","2017-05-22 11:27:01","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3520","18","0","2017-03-17 00:00:00","80","Reviewed forwarded documents re: Malaysia, Australia and NZ Affiliates, and Internal discussion with EMP and RHO","0","","3","0","1","18","2017-05-22 11:29:14","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3521","18","0","2017-03-17 00:00:00","163","Attended meeting on Seminar Accounting","0","","6","0","1","18","2017-05-22 11:29:42","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3522","18","0","2017-03-20 00:00:00","80","Drafted Table of forwarded of documents-Malaysia, Australia and NZ Affiliates","0","","2.5","0","1","18","2017-05-22 11:32:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3523","18","0","2017-03-20 00:00:00","182","Revise SEC Form No. F-103-","120","","1","120","1","18","2017-05-22 11:34:28","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3524","18","0","2017-03-20 00:00:00","151","Made telephone call to MAA insurance re: quote on vehicle insurance","2500","","1","2500","1","18","2017-05-22 11:38:20","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3525","18","0","2017-04-21 00:00:00","163","Axelum Resources-Drafted Memo on requirement to secure CAR on conversion of Shares","0","","3","0","0","18","2017-05-22 13:46:57","","","2","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3526","18","0","2017-03-21 00:00:00","163","Axelum Resources-Drafted Memo on requirement to secure CAR on conversion of Shares","0","","3","0","1","18","2017-05-22 13:47:37","","","2","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3527","18","0","2017-03-21 00:00:00","151","Followed-up on vehicle insurance quote with MAA insurance","2500","","2","5000","1","18","2017-05-22 13:48:55","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("3528","18","0","2017-03-21 00:00:00","186","Drafted  proposals re:  2012 and 2013 Assessment ","3000","","1","3000","1","18","2017-05-22 13:53:41","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3529","18","0","2017-03-21 00:00:00","186","Internally discussed with EMP re: 2012 and 2013 Assessment ","3000","","1","3000","1","18","2017-05-22 13:54:43","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3530","18","0","2017-03-22 00:00:00","151","Drafted deed of sale of Vehicle","2500","","2","5000","1","18","2017-05-22 13:58:12","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3531","18","0","2017-03-22 00:00:00","10","Drafted letter of Extension to ELTAD II","0","","1","0","1","18","2017-05-22 13:58:46","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3532","18","0","2017-03-22 00:00:00","151","Followed-up on vehicle insurance quote with MAA insurance","2500","","0.5","1250","1","18","2017-05-22 13:59:16","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("3533","18","0","2017-03-22 00:00:00","146","Drafted transmittal for AOI and By-laws to Gemma Merin","0","","0.5","0","1","18","2017-05-22 13:59:52","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3534","18","0","2017-03-22 00:00:00","80","Internally discussed with EMP re: Malaysia, Australia and NZ affiliates ","0","","1","0","1","18","2017-05-22 14:00:23","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3535","18","0","2017-03-22 00:00:00","203","Internally discussed with EMP","0","","1","0","1","18","2017-05-22 14:00:53","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3536","18","0","2017-03-23 00:00:00","146","Wrote email to Client re: Mayor\'s Permit ","0","","0.5","0","1","18","2017-05-22 14:28:41","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3537","16","0","2017-05-22 00:00:00","209","Further revised guidelines on Philippine employment per GVF\'s comments","3000","","1.5","4500","1","16","2017-05-22 15:55:49","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3538","16","0","2017-05-22 00:00:00","163","Conference call with Jocelyn Ng and EMP (Re: Esther Ng matter)","0","","1.1","0","1","16","2017-05-22 15:56:21","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("3539","16","0","2017-05-22 00:00:00","163","Internally discussed with EMP re: Esther Ng matter","0","","0.3","0","1","16","2017-05-22 15:56:34","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3540","16","0","2017-05-22 00:00:00","39","Revised Casop Atlas FOE","100","","1","100","1","16","2017-05-22 15:57:00","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3541","16","0","2017-05-22 00:00:00","163","Drafted HavenAsia GIS","0","","0.75","0","1","16","2017-05-22 15:57:47","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3542","16","0","2017-05-22 00:00:00","163","Researched for/drafted memo on reply to demand letters from Eric Ng (Esther Ng matter)/right of first refusal","0","","1.8","0","1","16","2017-05-22 15:58:31","16","2017-05-22 18:02:22","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3543","16","0","2017-05-22 00:00:00","6","Drafted Comment/Opposition re: MR (Decision dated March 30, 2017) for Genato/LPI/CPI v. CIR","2500","","2","5000","1","16","2017-05-22 16:04:49","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3544","12","0","2017-05-19 00:00:00","172","Wrote letter to BIR - to argue for the FOREX issue once again.","0","","2.5","0","1","12","2017-05-22 17:33:45","","","1","00:00:00","00:00:00","9");
INSERT INTO file_billing_tbl VALUES("3545","12","0","2017-05-19 00:00:00","215","Drafted Lease Agreement.","200","","2.5","500","1","12","2017-05-22 17:40:00","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3546","12","0","2017-05-19 00:00:00","215","Wrote Opinion on Branch v. Subsidiary","200","","2.3","460","1","12","2017-05-22 17:40:41","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("3547","12","0","2017-05-19 00:00:00","217","Conferred with Sagit and the Banks; discussed the agreement with Sagit.","200","","2.3","460","1","12","2017-05-22 17:41:37","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3548","16","0","2017-05-22 00:00:00","217","Conference call with Oron Ben Haim (Israel counsel) re: Distribution/Intercompany Agreement ","120","","0.5","60","1","16","2017-05-22 18:01:57","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("3549","12","0","2017-05-22 00:00:00","63","Conferred with Allen Arbis re: Various Outstanding Issues","0","","4","0","1","12","2017-05-22 18:36:30","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3550","18","0","2017-03-28 00:00:00","80","Made telephone call to Eolani Osorio","0","","0.5","0","1","18","2017-05-23 10:14:42","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3551","18","0","2017-04-05 00:00:00","80","Made telephone call to Eolani Osorio re: HEAB Malaysian Affiliates","0","","0.5","0","1","18","2017-05-23 10:15:41","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3552","18","0","2017-04-20 00:00:00","80","Prepared documents re: Malaysian Affiliates","0","","2","0","1","18","2017-05-23 10:16:31","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3553","18","0","2017-05-04 00:00:00","80","Internally discussed with EMP and conference call with Eolani Osorio and prepared documents for filing with BOI","0","","2.5","0","1","18","2017-05-23 10:17:48","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3554","18","0","2017-03-05 00:00:00","80","Prepare docs for filing of updated of Malaysian Affiliates","0","","2","0","1","18","2017-05-23 10:18:27","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3555","18","0","2017-05-08 00:00:00","80","Drafted letter request re: Updated of Malaysian Affiliates and prepared documents for filing of update of Malaysian Affiliates ","0","","2","0","1","18","2017-05-23 10:19:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3556","18","0","2017-05-09 00:00:00","80","Prepare docs for filing of update of Malaysian Affiliates","0","","2","0","1","18","2017-05-23 10:19:33","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3557","18","0","2017-04-10 00:00:00","80","Drafted updated of Malaysian Affiliates with BOI and SEC Notification update Form ","0","","4","0","1","18","2017-05-23 10:20:17","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3558","25","0","2017-05-11 00:00:00","80","Internally discussed with DRP re need to confirm with BOI the status of HMDC as &quot;affiliate.&quot;","0","","1","0","1","22","2017-05-23 11:01:15","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3559","25","0","2017-05-15 00:00:00","80","Traveled to BOI","0","","1","0","1","22","2017-05-23 11:02:24","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3560","25","0","2017-05-15 00:00:00","80","Attended meeting with Atty. Albano re status of HMDC as affiliate","0","","4","0","1","22","2017-05-23 11:02:49","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3561","25","0","2017-05-15 00:00:00","80","Wrote on opinion (internal) on status of HMDC as &quot;affiliate&quot;","0","","2","0","1","22","2017-05-23 11:14:52","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("3562","18","0","2017-03-30 00:00:00","10","Wrote email to client and drafted letter to set meeting with BIR ","0","","1.5","0","1","18","2017-05-23 11:27:16","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3563","18","0","2017-04-04 00:00:00","10","Traveled to BIR national Office and attended meeting with EMP, Ernest Gamad and Francis Nabua","0","","4","0","1","18","2017-05-23 11:28:08","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3564","18","0","2017-04-17 00:00:00","10","Internally discussed with EMP and SLP","0","","1","0","1","18","2017-05-23 11:28:40","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3565","18","0","2017-04-18 00:00:00","10","Traveled to BIR national Office and attended meeting with Tess Angeles and EMP","0","","4","0","1","18","2017-05-23 11:29:34","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3566","18","0","2017-04-24 00:00:00","10","Traveled to Venice Corporate Center Office and search files on proof of cost","0","","5","0","1","18","2017-05-23 11:30:06","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3567","18","0","2017-05-07 00:00:00","10","Drafted letter to ELTAD to explain prescription of assessment and justification of forex rate","0","","3.5","0","1","18","2017-05-23 11:31:00","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3568","18","0","2017-05-12 00:00:00","10","Revised letter to Atty. Tess Angeles","0","","2","0","1","18","2017-05-23 11:31:28","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3569","16","0","2017-05-23 00:00:00","81","Conference call with Thusitha Perera and EMP re: ROHQ report","0","","0.5","0","1","16","2017-05-23 11:52:38","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("3570","16","0","2017-05-23 00:00:00","81","Internally discussed with EMP, RHO and Joy re: ROHQ report","0","","1","0","1","16","2017-05-23 11:53:39","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3571","16","0","2017-05-23 00:00:00","143","Internally discussed with EMP and FGS re: 9188/Leo Reply to Opposition (Request for Admission)","2500","","0.3","750","1","16","2017-05-23 11:54:30","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3572","16","0","2017-05-23 00:00:00","39","Revised/supervised filing of Formal Offer of Evidence","100","","2","200","1","16","2017-05-23 12:50:54","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3573","16","0","2017-05-23 00:00:00","163","Drafted memo for Mrs. Esther Ng re: Mr. Eric Ng\'s demand letters","0","","1.2","0","1","16","2017-05-23 12:51:25","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3574","19","0","2017-05-03 00:00:00","80","Researched on definition of affiliates","0","","0.3","0","1","19","2017-05-23 14:18:05","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3575","19","0","2017-05-04 00:00:00","80","Researched on on added services of ROHQ and drafted opinion on added services of ROHQ","0","","3.5","0","1","19","2017-05-23 14:19:42","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3576","19","0","2017-05-08 00:00:00","80","Researched on affiliates and ROHQ and drafted opinion on disaffiliation of affiliates and ROHQ","0","","4","0","1","19","2017-05-23 14:20:56","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3577","19","0","2017-05-09 00:00:00","80","Revise drafted opinion on affiliates and ROHQ","0","","1.5","0","1","19","2017-05-23 14:21:23","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3578","16","0","2017-05-23 00:00:00","217","Reviewed new Intercompany Agreement","120","","1","120","1","16","2017-05-23 14:36:17","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3579","16","0","2017-05-23 00:00:00","163","Revised Esther Ng memo per EMP\'s comments","0","","1.2","0","1","16","2017-05-23 18:05:22","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3580","16","0","2017-05-23 00:00:00","185","Performed Other Service: due diligence","100","","1.5","150","1","16","2017-05-23 18:05:47","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3581","16","0","2017-05-24 00:00:00","185","Performed Other Service: due diligence","100","","6","600","1","16","2017-05-25 12:37:35","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3582","16","0","2017-05-24 00:00:00","185","Internally discussed with GVF and SLP re: document checklist updates","100","","0.4","40","1","16","2017-05-25 12:37:51","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3583","16","0","2017-05-24 00:00:00","185","Updated document checklist for Project Compass","100","","0.7","70","1","16","2017-05-25 12:38:05","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3584","16","0","2017-05-24 00:00:00","163","Revised Esther Ng memo on Eric\'s demand letters per EMP\'s comments","0","","1","0","1","16","2017-05-25 12:38:35","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3585","16","0","2017-05-24 00:00:00","169","Drafted minutes for replacement of president; seccerts for change in bank signatories","0","","1.25","0","1","16","2017-05-25 12:39:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3586","16","0","2017-05-24 00:00:00","217","Revised/reviewed Dojesta privacy policy and EULA per Sagit Attar\'s comments","120","","1","120","1","16","2017-05-25 12:39:36","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3587","16","0","2017-05-24 00:00:00","85","Wrote emails to GVF and EMP re: update on TGP CARs and TGP Land transfer","0","","0.4","0","1","16","2017-05-25 12:40:06","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3588","16","0","2017-05-19 00:00:00","163","sick leave","0","","8","0","1","16","2017-05-25 12:40:28","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3589","16","0","2017-05-02 00:00:00","197","Reviewed Sustento corpsec files; prepared Declarations of Trust","2500","","1.25","3125","1","16","2017-05-25 12:53:38","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3590","16","0","2017-05-02 00:00:00","185","Performed Other Service: due diligence","100","","10","1000","1","16","2017-05-25 12:54:39","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3591","16","0","2017-05-25 00:00:00","143","Drafted Motion to Replace ICPA and JA of ICPA","2500","","2","5000","1","16","2017-05-25 14:33:47","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3592","16","0","2017-05-25 00:00:00","169","Wrote email to Ms. Yturzaeta and Dr. Zuellig re: CMI replacement of president","0","","0.5","0","1","16","2017-05-25 14:40:20","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3593","16","0","2017-05-25 00:00:00","163","Drafted cover letter for amendment of MBG Capital GIS","0","","0.5","0","1","16","2017-05-25 14:41:03","16","2017-05-25 18:17:22","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3594","16","0","2017-05-25 00:00:00","185","Performed Other Service: due diligence","100","","5","500","1","16","2017-05-25 14:41:26","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3595","12","0","2017-05-25 00:00:00","158","Performed Other Service - Obtained signed copy of TTRA","6000","","3","18000","1","12","2017-05-25 16:33:49","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3596","12","0","2017-05-25 00:00:00","45","Followed-up work at BIR - BIR Ruling","0","","1.5","0","1","12","2017-05-25 16:34:39","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("3597","12","0","2017-05-25 00:00:00","14","Followed-up work at Dep Commissioner Clint Aranas Office","0","","2","0","1","12","2017-05-25 16:35:16","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("3598","12","0","2017-05-25 00:00:00","158","Wrote email to Sonny Nisce and GANV","6000","","0.3","1800","1","12","2017-05-25 16:35:44","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3599","12","0","2017-05-25 00:00:00","158","Internally discussed with Dianne","6000","","0.4","2400","1","12","2017-05-25 16:35:55","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3600","12","0","2017-05-24 00:00:00","84","Conferred with WTL and Greyfriars","6000","","1.25","7500","1","12","2017-05-25 16:36:33","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3601","12","0","2017-05-24 00:00:00","64","Reviewed of Minutes","0","","0.75","0","1","12","2017-05-25 16:58:09","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3602","12","0","2017-05-24 00:00:00","217","Conferred with Oron via conference call","200","","0.5","100","1","12","2017-05-25 16:59:07","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3603","12","0","2017-05-24 00:00:00","203","Drafted letter to BIR; emails to Badeth/Charlie","0","","0.5","0","1","12","2017-05-25 16:59:53","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3604","12","0","2017-05-23 00:00:00","22","Drafted - Memo on Audit Findings","0","","1.5","0","1","12","2017-05-25 17:00:55","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3605","16","0","2017-05-25 00:00:00","217","Internally discussed with EMP re: Dojesta Privacy Policy","120","","0.2","24","1","16","2017-05-25 18:16:52","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3606","16","0","2017-05-25 00:00:00","217","Drafted cover email re: Dojesta Privacy Policy","120","","0.3","36","1","16","2017-05-25 18:17:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3607","16","0","2017-05-25 00:00:00","47","Reviewed Clinco GIS draft","0","","0.3","0","1","16","2017-05-25 18:17:37","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3608","16","0","2017-05-25 00:00:00","48","Reviewed Cemco GIS draft","0","","0.3","0","1","16","2017-05-25 18:17:51","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3609","16","0","2017-05-25 00:00:00","163","Finalized Esther Ng memo on Eric\'s demand letters","0","","0.3","0","1","16","2017-05-25 18:18:19","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3610","16","0","2017-05-25 00:00:00","158","Internally discussed with EMP re: CAR application of GANV","3000","","0.3","900","1","16","2017-05-25 18:18:46","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3611","12","0","2017-05-22 00:00:00","219","Internal routing Hearing report\n","6000","","0.1","600","1","21","2017-05-29 11:36:27","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3612","12","0","2017-05-22 00:00:00","48","Internal routing signed bank documents \n","0","","0.1","0","1","21","2017-05-29 11:36:57","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3613","12","0","2017-05-22 00:00:00","151","Internal routing transmittal of check book to Cza\n","6000","","0.1","600","1","21","2017-05-29 11:37:24","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3614","12","0","2017-05-22 00:00:00","142","Internal routing Order dated 5/9/2017\n","0","","0.1","0","1","21","2017-05-29 11:37:52","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3615","12","0","2017-05-22 00:00:00","48","Internal routing Minutes for signature dated May 15, 2017\n","0","","0.1","0","1","21","2017-05-29 11:38:24","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3616","12","0","2017-05-22 00:00:00","141","Internal routing Comment/Opposition\n","0","","0.1","0","1","21","2017-05-29 11:38:51","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3617","12","0","2017-05-22 00:00:00","91","Internal routing MOTEX MEMORANDUM\n","0","","0.1","0","1","21","2017-05-29 11:39:12","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3618","12","0","2017-05-22 00:00:00","81","Internal routing Notarized certification of Thusitha Perera\n","0","","0.1","0","1","21","2017-05-29 11:39:39","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3619","12","0","2017-05-22 00:00:00","45","Internal routing MOTEX MEMORANDUM\n","0","","0.1","0","1","21","2017-05-29 11:40:02","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3620","12","0","2017-05-22 00:00:00","10","Internal routing letter to BIR\n","0","","0.1","0","1","21","2017-05-29 11:40:33","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3621","12","0","2017-05-24 00:00:00","86","Internal routing Sec Cert\n","6000","","0.1","600","1","21","2017-05-29 11:41:01","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3622","12","0","2017-05-24 00:00:00","64","Internal routing transmittal of minutes to Mr. Sahagun\n","0","","0.1","0","1","21","2017-05-29 11:41:30","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3623","12","0","2017-04-25 00:00:00","163","Attended MAP GMM at Manila Peninsula","0","","2.5","0","1","21","2017-05-29 11:56:28","","","2","11:30:00","14:00:00","1");
INSERT INTO file_billing_tbl VALUES("3624","12","0","2017-04-25 00:00:00","106","Attended meeting with Mr. Charlie Casas, Ms. Badeth","0","","1","0","1","21","2017-05-29 12:03:34","","","1","16:00:00","17:00:00","1");
INSERT INTO file_billing_tbl VALUES("3625","16","0","2017-05-26 00:00:00","217","Received telephone call from Philip Pesigan of Deloitte re: Dojesta permit and clearance requirements","120","","0.3","36","1","16","2017-05-30 14:17:08","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("3626","16","0","2017-05-26 00:00:00","217","Supervised preparation of Dojesta permit and clearance requirements","0","","0.5","0","1","16","2017-05-30 14:17:24","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("3627","16","0","2017-05-26 00:00:00","163","Supervised preparation and filing of request for CANA (MBG Capital)","0","","0.5","0","1","16","2017-05-30 14:17:51","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("3628","16","0","2017-05-26 00:00:00","185","Internally discussed with GVF re: Project Compass (Bulk Sales Law)","100","","0.5","50","1","16","2017-05-30 14:18:20","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3629","16","0","2017-05-26 00:00:00","185","Researched for Project Compass (Bulk Sales Law)","0","","1","0","1","16","2017-05-30 14:18:37","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3630","16","0","2017-05-26 00:00:00","185","Performed Other Service: due diligence","0","","5","0","1","16","2017-05-30 14:18:55","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3631","16","0","2017-05-26 00:00:00","217","Internally discussed with EMP re: Dojesta Privacy Policy and other agreements","120","","0.3","36","1","16","2017-05-30 14:19:25","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3632","16","0","2017-05-26 00:00:00","217","Wrote email to Sagit Attar re Dojesta Privacy Policy and other agreements","120","","0.5","60","1","16","2017-05-30 14:19:37","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3633","16","0","2017-05-28 00:00:00","143","Reviewed work of FGS (Leo 9188 Reply re: Opposition to Request for Admission)","2500","","3","7500","1","16","2017-05-30 14:20:23","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3634","16","0","2017-05-29 00:00:00","143","Finalized and supervised filing of LEO 9188 Reply re: Opposition to Request for Admission","0","","1.2","0","1","16","2017-05-30 14:21:06","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("3635","16","0","2017-05-29 00:00:00","6","Supervised filing of Genato Comment","2500","","0.8","2000","1","16","2017-05-30 14:21:41","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("3636","16","0","2017-05-29 00:00:00","158","Reviewed files, prepared checklist for CAR application, discussed with EMP","3000","","1.5","4500","1","16","2017-05-30 14:22:11","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3637","16","0","2017-05-29 00:00:00","221","Reviewed work of RHO re: amendment of AOI","3500","","1","3500","1","16","2017-05-30 14:22:42","16","2017-05-30 14:23:16","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3638","16","0","2017-05-29 00:00:00","221","Internally discussed with EMP re: memo on tax and invoicing","3500","","0.6","2100","1","16","2017-05-30 14:22:57","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3639","16","0","2017-05-29 00:00:00","221","Researched for memo on tax/invoicing of royalty payments to nonresidents","3500","","2","7000","1","16","2017-05-30 14:23:39","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3640","16","0","2017-05-29 00:00:00","221","Drafted memo on tax/invoicing of royalty payments to nonresidents","3500","","7","24500","0","16","2017-05-30 14:23:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3641","16","0","2017-05-30 00:00:00","221","Drafted memo on tax/invoicing of royalty payments to nonresidents","0","","6","0","1","16","2017-05-30 14:24:08","16","2017-05-30 18:09:14","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3642","16","0","2017-05-29 00:00:00","185","Performed Other Service: due diligence","100","","1.2","120","1","16","2017-05-30 14:24:53","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3643","16","0","2017-05-30 00:00:00","163","Wrote email to Michael Jack Garcia re authentication of documents","0","","0.3","0","1","16","2017-05-30 14:25:21","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3644","16","0","2017-05-30 00:00:00","163","Internally discussed with GVF re: MBG authentication of documents","0","","0.2","0","1","16","2017-05-30 14:25:37","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3645","16","0","2017-05-30 00:00:00","212","Attended meeting with GVF and client Tradeshow","3000","","1.75","5250","1","16","2017-05-30 14:36:03","16","2017-05-30 17:14:21","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3646","16","0","2017-05-30 00:00:00","81","Drafted turnover memo on HEABS/ROHQs","0","","1","0","1","16","2017-05-30 17:01:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3647","16","0","2017-05-30 00:00:00","212","Drafted minutes of meeting with Sophie delos Santos and Gian Carlo Nieves","3000","","0.6","1800","1","16","2017-05-30 17:03:00","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3648","16","0","2017-05-30 00:00:00","212","Revised draft Answer","3000","","1.25","3750","1","16","2017-05-30 18:08:57","16","2017-05-30 18:09:07","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3649","16","0","2017-05-31 00:00:00","221","Revised HavenAsia memo on invoicing per EMP\'s comments","3500","","3.5","12250","1","16","2017-05-31 17:30:28","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3650","16","0","2017-05-31 00:00:00","204","Internally discussed with GVF and FGS re: query on MISI rep office","2500","","0.5","1250","1","16","2017-05-31 17:30:56","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3651","16","0","2017-05-31 00:00:00","204","Researched on MISI rep office issue","2500","","1.5","3750","1","16","2017-05-31 17:31:05","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3652","16","0","2017-05-31 00:00:00","217","Received telephone calls from Philip Pesigan of Deloitte re Mayor\'s PErmit of Dojesta","120","","0.4","48","1","16","2017-05-31 17:31:36","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("3653","16","0","2017-05-31 00:00:00","81","Drafted Holcim memo on ROHQ taxation","0","","3","0","1","16","2017-05-31 17:32:14","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3654","12","0","2017-06-02 00:00:00","213","Conferred with SPPI and Aboitiz Team","6000","","1.25","7500","1","12","2017-06-05 09:46:19","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3655","12","0","2017-06-02 00:00:00","213","Traveled to ABoitiz Office ","6000","","1.25","7500","1","12","2017-06-05 09:46:53","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3656","12","0","2017-06-02 00:00:00","80","Conferred with Dianne/Richelle","0","","0.5","0","1","12","2017-06-05 09:47:32","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3657","12","0","2017-06-02 00:00:00","80","Reviewed of Files - Various Opinions","0","","2.5","0","1","12","2017-06-05 09:47:56","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3658","12","0","2017-06-02 00:00:00","215","Reviewed of Opinion","200","","1.5","300","1","12","2017-06-05 09:54:14","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3659","12","0","2017-06-03 00:00:00","144","BOD Meeting ","0","","4.5","0","1","12","2017-06-05 09:55:07","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3660","12","0","2017-05-29 00:00:00","158","Wrote email to Sony Nisce","6000","","0.2","1200","1","12","2017-06-05 09:56:29","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3661","12","0","2017-05-29 00:00:00","158","Internally discussed with Dianne","0","","0.5","0","1","12","2017-06-05 09:57:06","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3662","12","0","2017-05-29 00:00:00","144","Drafted Notices to the Board; emails to the Board","0","","0.65","0","1","12","2017-06-05 09:58:05","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3663","12","0","2017-05-29 00:00:00","64","Performed Other Service - Preparation for BOD Meeting","0","","1.5","0","1","12","2017-06-05 09:59:06","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3664","12","0","2017-05-29 00:00:00","215","Reviewed of Opinion","200","","1.5","300","1","12","2017-06-05 09:59:27","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3665","12","0","2017-05-29 00:00:00","221","Wrote email to Tracy re Directors","6000","","0.2","1200","1","12","2017-06-05 10:00:48","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3666","12","0","2017-05-30 00:00:00","64","Attended BOD Meeting at HMDC Office","0","","4.5","0","1","12","2017-06-05 10:02:20","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3667","12","0","2017-05-30 00:00:00","220","Wrote email to Jocelyn Ng","6000","","1.25","7500","1","12","2017-06-05 19:44:15","12","2017-06-05 19:52:26","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3668","12","0","2017-05-30 00:00:00","221","Review of AOI Amendment Docs","6000","","0.5","3000","1","12","2017-06-05 19:45:17","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3669","12","0","2017-05-30 00:00:00","207","Wrote email to Directors","0","","0.3","0","1","12","2017-06-05 19:46:09","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3670","12","0","2017-05-31 00:00:00","221","Wrote Opinion on Tax Consequences","6000","","2.25","13500","1","12","2017-06-05 19:47:27","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("3671","12","0","2017-05-31 00:00:00","213","Wrote emails","6000","","0.4","2400","1","12","2017-06-05 19:47:51","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3672","12","0","2017-06-01 00:00:00","220","Conferred with Jocelyn Ng.","6000","","0.85","5100","1","12","2017-06-05 19:49:13","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3673","12","0","2017-06-01 00:00:00","213","Attended meeting at Aboitiz Office","6000","","1.24","7440","1","12","2017-06-05 19:49:55","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3674","12","0","2017-06-01 00:00:00","213","Reviewed of documents/emails","6000","","0.5","3000","1","12","2017-06-05 19:50:52","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3675","12","0","2017-06-01 00:00:00","213","Traveled to Aboitiz Office","6000","","1.2","7200","1","12","2017-06-05 19:51:20","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3676","18","0","2017-04-27 00:00:00","182","Prepare documents for Business Permit Processing","120","","2","240","1","18","2017-06-06 14:12:54","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3677","18","0","2017-04-27 00:00:00","163","Drafted Turn over Report","0","","2","0","1","18","2017-06-06 14:13:16","","","2","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3678","18","0","2017-04-27 00:00:00","188","Internally discussed with FGS re: ICC Application Requirements and Contacted Ms. Gemma Merin","3000","","1.5","4500","1","18","2017-06-06 14:14:55","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3679","18","0","2017-04-28 00:00:00","182","Prepare documents for LGU registration and contacted Surdarshan","120","","1.5","180","1","18","2017-06-06 14:18:10","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3680","18","0","2017-04-28 00:00:00","163","Case reporting, Updating list of case reporting assignment and drafted turnover report","0","","2","0","1","18","2017-06-06 14:18:42","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3681","18","0","2017-05-03 00:00:00","120","Traveled to CTA and attended hearing on the initial presentation of Respondent\'s evidence","2500","","3.5","8750","1","18","2017-06-06 14:20:25","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3682","12","0","2017-06-05 00:00:00","210","Reviewed of work of Merger Memo","0","","1.75","0","1","12","2017-06-06 14:21:11","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3683","18","0","2017-05-03 00:00:00","163","Revise turn over report","0","","1","0","1","18","2017-06-06 14:21:11","","","2","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3684","18","0","2017-05-03 00:00:00","163","Go lifestyle- Drafted  Declaration of Trust and Resignation letter","0","","0.5","0","1","18","2017-06-06 14:21:57","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3685","18","0","2017-05-03 00:00:00","134","Drafted Declaration of Trust and Resignation letter ","100","","0.5","50","1","18","2017-06-06 14:22:25","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3686","12","0","2017-06-05 00:00:00","11","Internally discussed with Dianne and Tes Dimaculangan","0","","0.5","0","1","12","2017-06-06 14:23:14","12","2017-06-06 14:27:02","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3687","12","0","2017-06-06 00:00:00","202","Review of Ruling Request","0","","1.5","0","1","12","2017-06-06 14:24:01","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3688","18","0","2017-05-03 00:00:00","163","Padma Citra Maharlika-Drafted Declaration of trust and resignation letter","0","","0.5","0","1","18","2017-06-06 14:24:22","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3689","12","0","2017-06-06 00:00:00","215","Reviewed of Regulatory Memo","200","","2.5","500","1","12","2017-06-06 14:24:28","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3690","18","0","2017-05-03 00:00:00","146","Drafted resignation letter","0","","0.5","0","1","18","2017-06-06 14:24:36","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3691","12","0","2017-06-06 00:00:00","80","Reviewed of memo","0","","0.75","0","1","12","2017-06-06 14:24:54","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3692","18","0","2017-05-03 00:00:00","203","Drafted transmittal of documents dated May 4, 2017, internal discussion with EMP and contacted Ms. Badeth.","0","","3","0","1","18","2017-06-06 14:25:31","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3693","18","0","2017-05-04 00:00:00","203","Traveled to RR no. 8, attended meeting with Regional Director Glen Geraldino and with Ms. Badeth and EMP, internal discussion with RHO","0","","4.5","0","1","18","2017-06-06 14:26:28","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3694","12","0","2017-06-06 00:00:00","11","Reviewed of Manifestation","0","","0.3","0","1","12","2017-06-06 14:26:30","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3695","18","0","2017-05-04 00:00:00","198","Made telephone call to Ms. Tess Villanueva","2500","","0.5","1250","1","18","2017-06-06 14:27:03","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3696","18","0","2017-05-04 00:00:00","218","Followed-up of AEP application of Khita hua with DOLE","2500","","0.5","1250","1","18","2017-06-06 14:27:43","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("3697","18","0","2017-05-04 00:00:00","106","Wrote email to update to client","2500","","0.5","1250","1","18","2017-06-06 14:29:16","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3698","18","0","2017-05-05 00:00:00","182","Followed-up work at brgy. certification and contacted Anderson Business holdings","120","","2","240","1","18","2017-06-06 14:30:39","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("3699","12","0","2017-06-05 00:00:00","143","Reviewed of Manifestation","0","","0.2","0","1","12","2017-06-06 14:31:30","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3700","18","0","2017-05-05 00:00:00","163","Intelligence Tempus-Drafted email to client and prepare documents for AEP Application and 9g Visa of Diego Recalde","0","","3","0","1","18","2017-06-06 14:31:37","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3701","18","0","2017-05-08 00:00:00","218","Wrote email to Khita Hua re: AEP and prepared documents for application for BI clearance Certificate and documents for filing of 9g Visa","2500","","3.5","8750","1","18","2017-06-06 14:32:49","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3702","18","0","2017-05-08 00:00:00","142","Made telephone call to Richard Queriod","2500","","0.5","1250","1","18","2017-06-06 14:33:45","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3703","18","0","2017-05-09 00:00:00","142","Traveled to CTA and attended hearing on the presentation of witnesses","0","","4","0","1","18","2017-06-06 14:34:13","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3704","18","0","2017-05-09 00:00:00","182","Made telephone call to Anderson Business holdings re: Certification on area occupied under lease ","120","","0.5","60","1","18","2017-06-06 14:35:42","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3705","18","0","2017-05-09 00:00:00","198","prepare documents for AEP/9g visa application of Aman Luthra","2500","","2","5000","1","18","2017-06-06 14:36:18","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3706","18","0","2017-05-10 00:00:00","163","Ester Ng-Attended meeting with EMP, FGS and Jocelyn Ng.","0","","1","0","1","18","2017-06-06 14:39:33","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3707","18","0","2017-05-10 00:00:00","182","Followed-up brgy. Certification","120","","1.5","180","1","18","2017-06-06 14:39:56","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("3708","18","0","2017-05-11 00:00:00","182","prepare documents for SSS, PAG-IBIG and Philhealth regisrtration","0","","2","0","1","18","2017-06-06 14:40:58","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3709","18","0","2017-05-11 00:00:00","163","Timeless Green-Drafted Memo on Branch v.s Subsidiary","0","","2","0","1","18","2017-06-06 14:41:41","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3710","18","0","2017-05-11 00:00:00","163","case reporting and updated list of Case assignment","0","","2","0","1","18","2017-06-06 14:42:05","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3711","18","0","2017-05-11 00:00:00","120","Wrote email to client update on Schedule and deadlines","2500","","1","2500","1","18","2017-06-06 14:43:33","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3712","18","0","2017-05-12 00:00:00","182","Drafted table of Post- SEC incorporation guide and email to update client","120","","2.5","300","1","18","2017-06-06 14:44:22","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3713","18","0","2017-05-12 00:00:00","195","Drafted minutes of SH and BOD meeting and email to Genshi Shikagawa","0","","1.5","0","1","18","2017-06-06 14:45:02","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3714","18","0","2017-05-12 00:00:00","188","Wrote email to client Re: update ICC application","3000","","0.5","1500","1","18","2017-06-06 14:45:39","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3715","16","0","2017-06-01 00:00:00","212","Drafted Motion to Admit","3000","","0.6","1800","1","16","2017-06-06 17:01:44","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3716","16","0","2017-06-01 00:00:00","212","Finalized and supervised filing of Answer","3000","","1.2","3600","1","16","2017-06-06 17:16:53","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("3717","16","0","2017-06-01 00:00:00","185","Attended meeting at Axelum office for due diligence","100","","3","300","1","16","2017-06-06 17:17:34","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3718","16","0","2017-06-01 00:00:00","185","Performed Other Service: due diligence","0","","7","0","1","16","2017-06-06 17:17:51","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3719","16","0","2017-06-02 00:00:00","124","Conference call with EMP, Mr Ezerins and Lea Molino re: PMCAI issue","3000","","0.5","1500","1","16","2017-06-06 17:18:46","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("3720","16","0","2017-06-02 00:00:00","124","Made telephone call to Atty. Tecson re: PMCAI issue","3000","","0.4","1200","1","16","2017-06-06 17:19:09","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3721","16","0","2017-06-02 00:00:00","185","Performed Other Service: due diligence","100","","12","1200","1","16","2017-06-06 17:19:34","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3722","16","0","2017-06-05 00:00:00","11","Attended meeting with Tess Dimaculangan and EMP re: rebuttal evidence for TA Oil case","0","","1.5","0","1","16","2017-06-06 17:23:39","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3723","16","0","2017-06-05 00:00:00","11","Drafted judicial affidavits of Ms. Tess Dimaculangan and Yolly Anonuevo","0","","2","0","1","16","2017-06-06 17:23:58","16","2017-06-06 17:25:12","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3724","16","0","2017-06-05 00:00:00","185","Performed Other Service: due diligence","100","","9","900","1","16","2017-06-06 17:25:36","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3725","16","0","2017-06-06 00:00:00","163","Internally discussed with GVF and FGS re: ATI Konsulta labor issue","0","","0.6","0","1","16","2017-06-06 17:26:05","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3726","16","0","2017-06-06 00:00:00","86","Internally discussed with FGS and GVF re: Igusol BAI issue","2500","","0.5","1250","1","16","2017-06-06 17:26:24","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3727","16","0","2017-06-06 00:00:00","86","Attended meeting with GVF, Ignasi Vegas and JLL re: BAI meeting","2500","","1.5","3750","1","16","2017-06-06 17:26:46","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3728","16","0","2017-06-06 00:00:00","80","Drafted memo on ROHQ, supervised compilation of opinions, accreditations","0","","5","0","1","16","2017-06-06 17:27:23","16","2017-06-06 17:28:13","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3729","16","0","2017-06-06 00:00:00","169","Performed Other Service: review of Nondisclosure and Confidentiality Agreement requested by Dr. Donn Valdez","0","","1.75","0","1","16","2017-06-06 17:28:08","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3730","12","0","2017-05-24 00:00:00","196","Internal routing certificate of no rental\n","0","","0.1","0","1","21","2017-06-07 10:41:20","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3731","12","0","2017-05-24 00:00:00","64","Internal routing transmittal of Dir. Cert. to HPI\n","0","","0.1","0","1","21","2017-06-07 10:42:29","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3732","12","0","2017-05-29 00:00:00","220","Internal routing demand letters for inspection of corporate books \n","6000","","0.1","600","1","21","2017-06-07 10:43:30","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3733","12","0","2017-05-29 00:00:00","203","Internal routing letter to the BIR dated 5.24.17\n","0","","0.1","0","1","21","2017-06-07 10:44:04","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3734","12","0","2017-05-30 00:00:00","91","Internal routing letter from CTA\n","0","","0.1","0","1","21","2017-06-07 10:45:10","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3735","12","0","2017-05-30 00:00:00","141","Internal routing letter from CTA\n","0","","0.1","0","1","21","2017-06-07 10:46:01","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3736","12","0","2017-05-30 00:00:00","158","Internal routing Certification\n","6000","","0.1","600","1","21","2017-06-07 10:46:56","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3737","12","0","2017-05-30 00:00:00","169","Internal routing Minutes, Sec. Certs\n","0","","0.1","0","1","21","2017-06-07 10:58:41","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3738","12","0","2017-05-30 00:00:00","64","Internal routing transmittal of materials for BOD Mtg\n","0","","0.1","0","1","21","2017-06-07 10:59:23","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3739","12","0","2017-05-30 00:00:00","47","Internal routing GIS 2017\n","0","","0.1","0","1","21","2017-06-07 11:07:57","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3740","12","0","2017-05-30 00:00:00","48","Internal routing GIS 2017\n","0","","0.1","0","1","21","2017-06-07 11:08:29","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3741","12","0","2017-06-09 00:00:00","215","Wrote Opinion on Regulatory Framework and Issues","0","","2.8","0","1","12","2017-06-09 20:04:50","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("3742","12","0","2017-06-09 00:00:00","215","Reviewed and Revised Lease-To-Own Agreement","200","","1.75","350","1","12","2017-06-09 20:05:38","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3743","12","0","2017-06-09 00:00:00","213","Performed Other Services - Various emails to AP, BJ of SPPI; internal discussion","6000","","0.75","4500","1","12","2017-06-09 20:06:21","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3744","12","0","2017-06-09 00:00:00","182","Review of GIS","200","","0.4","80","1","12","2017-06-09 20:06:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3745","12","0","2017-06-09 00:00:00","221","Call from Tracy Chen","6000","","0.3","1800","1","12","2017-06-09 20:07:21","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("3746","12","0","2017-06-09 00:00:00","80","Conferred with Call with Indonesia","6000","","0.75","4500","1","12","2017-06-09 20:08:00","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3747","12","0","2017-06-09 00:00:00","215","Made telephone call to DOE - Mr. Peter Sablay","200","","0.5","100","1","12","2017-06-09 20:08:49","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3748","12","0","2017-06-08 00:00:00","80","Review of Malaysia and Indonesia MSA","0","","2.25","0","1","12","2017-06-09 20:09:30","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3749","12","0","2017-06-08 00:00:00","215","Review of Opinion","200","","0.65","130","1","12","2017-06-09 20:11:30","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("3750","12","0","2017-06-08 00:00:00","213","Conferred with PEZA OFFICIALS, AP and SPPI officers ","6000","","1.5","9000","1","12","2017-06-09 20:12:07","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3751","12","0","2017-06-08 00:00:00","213","Travel to and from DOE","6000","","1.5","9000","1","12","2017-06-09 20:12:26","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("3752","12","0","2017-06-08 00:00:00","210","Wrote Opinion on Merger","6000","","1.5","9000","1","12","2017-06-09 20:14:05","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("3753","12","0","2017-06-08 00:00:00","86","Wrote email to Directors re ASM and BOD meeting","6000","","0.75","4500","1","12","2017-06-09 20:15:03","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3754","12","0","2017-06-07 00:00:00","84","Received telephone call from Martijn of Greyfriars","6000","","0.3","1800","1","12","2017-06-09 20:17:44","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("3755","12","0","2017-06-07 00:00:00","84","Wrote email to Diego","0","","0.3","0","1","12","2017-06-09 20:18:05","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3756","12","0","2017-06-07 00:00:00","220","Revised Jocelyn\'s letter to her siblings","6000","","0.75","4500","1","12","2017-06-09 20:19:09","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3757","12","0","2017-06-07 00:00:00","215","Wrote Opinion and discussed with SLP","200","","0.75","150","1","12","2017-06-09 20:19:39","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("3758","12","0","2017-06-07 00:00:00","202","Drafted and reviewed the BIR Request forRuling","0","","0.75","0","1","12","2017-06-09 20:21:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3759","12","0","2017-06-07 00:00:00","80","Performed Other Service - Review of Opinion and Documents for Transmittal","0","","3.75","0","1","12","2017-06-09 20:22:56","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3760","12","0","2017-06-06 00:00:00","80","Wrote Opinion on ROHQ - reviewed","0","","1.35","0","1","12","2017-06-09 20:23:40","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("3761","12","0","2017-06-13 00:00:00","80","Received telephone call from Reywen re Indonesia MSA","0","","0.3","0","1","12","2017-06-14 05:17:30","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("3762","12","0","2017-06-13 00:00:00","213","Attended meeting at NAC with JT and his team","6000","","1.5","9000","1","12","2017-06-14 05:18:06","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3763","12","0","2017-06-13 00:00:00","213","Traveled to NAC building","6000","","1.2","7200","1","12","2017-06-14 05:18:25","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3764","12","0","2017-06-13 00:00:00","11","Attended at trial/hearing CTA","0","","3.5","0","1","12","2017-06-14 05:20:51","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("3765","12","0","2017-06-13 00:00:00","11","Reviewed of files","0","","0.75","0","1","12","2017-06-14 05:21:09","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3766","12","0","2017-06-14 00:00:00","80","Reviewed of MSA for Indonesia","0","","1.65","0","1","12","2017-06-14 05:21:55","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3767","12","0","2017-06-14 00:00:00","213","Reviewed of Temporary Power Contract","6000","","1.5","9000","1","12","2017-06-14 05:22:25","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3768","12","0","2017-06-01 00:00:00","203","Internal routing Letter to BIR RR No. 8\n","0","","0.1","0","1","21","2017-06-15 10:54:34","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3769","12","0","2017-06-01 00:00:00","169","Internal routing Sec. Cert\n","0","","0.1","0","1","21","2017-06-15 10:56:04","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3770","12","0","2017-06-01 00:00:00","142","Internal routing Reply\n","0","","0.1","0","1","21","2017-06-15 10:56:36","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3771","12","0","2017-06-01 00:00:00","99","Internal routing Sec. Cert &amp; Board Res\n","0","","0.1","0","1","21","2017-06-15 10:57:04","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3772","12","0","2017-06-01 00:00:00","196","Internal routing transmittal of certificate of no rental &amp; application form for locational clearance\n","0","","0.1","0","1","21","2017-06-15 10:57:29","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3773","12","0","2017-06-01 00:00:00","221","Internal routing Sec. Cert &amp; Proxy\n","6000","","0.1","600","1","21","2017-06-15 10:59:44","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3774","12","0","2017-06-05 00:00:00","124","Internal routing Letter to Petron MegaPlaza\n","6000","","0.1","600","1","21","2017-06-15 11:00:24","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3775","12","0","2017-06-05 00:00:00","142","Internal routing notice of resolution dated 6.1.17\n","0","","0.1","0","1","21","2017-06-15 11:04:13","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3776","12","0","2017-06-05 00:00:00","11","Internal routing Letter from CTA\n","0","","0.1","0","1","21","2017-06-15 11:04:44","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3777","16","0","2017-06-12 00:00:00","163","Performed Other Service: Independence day holiday","0","","8","0","1","16","2017-06-15 11:11:42","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3778","16","0","2017-06-13 00:00:00","11","Attended trial/hearing to present Tess Dimaculangan and Yolly Anonuevo","0","","2","0","1","16","2017-06-15 11:24:08","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("3779","16","0","2017-06-13 00:00:00","143","Attended trial/hearing for commissioning of ICPA","2500","","2","5000","1","16","2017-06-15 11:24:52","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("3780","16","0","2017-06-13 00:00:00","163","Supervised filing of complaints for Calumboyan, UCHC and LHPI","0","","5","0","1","16","2017-06-15 11:25:21","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("3781","16","0","2017-06-14 00:00:00","91","Drafted Memorandum","2500","","12","30000","1","16","2017-06-15 11:26:19","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3782","12","0","2017-06-05 00:00:00","91","Internal routing notice of resolution dated 5.26.17\n","0","","0.1","0","1","21","2017-06-15 15:46:25","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3783","12","0","2017-06-05 00:00:00","32","Internal routing Stock certificates Nos. 1-11 (Fortunegate Holiday Phils Inc.)\n","0","","0.1","0","1","21","2017-06-15 15:47:26","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3784","12","0","2017-06-06 00:00:00","99","Internal routing sec certs &amp; board res\n","0","","0.1","0","1","21","2017-06-15 15:47:48","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3785","12","0","2017-06-06 00:00:00","86","Internal routing signed &amp; notarized directors cert.\n","6000","","0.1","600","1","21","2017-06-15 15:48:30","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3786","12","0","2017-06-06 00:00:00","196","Internal routing signed BIR Form 1905\n","0","","0.1","0","1","21","2017-06-15 16:33:43","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3787","12","0","2017-06-06 00:00:00","49","Internal routing Petition for review\n","0","","0.1","0","1","21","2017-06-15 16:34:09","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3788","12","0","2017-06-08 00:00:00","86","Internal routing treasurer\' certification\n","6000","","0.1","600","1","21","2017-06-15 16:34:34","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3789","12","0","2017-06-08 00:00:00","64","Internal routing notarized certifications\n","0","","0.1","0","1","21","2017-06-15 16:35:19","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3790","12","0","2017-06-08 00:00:00","182","Internal routing signed philhealth &amp; sss forms\n","200","","0.1","20","1","21","2017-06-15 16:35:50","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3791","12","0","2017-06-08 00:00:00","221","Internal routing signed sec. cert\n","6000","","0.1","600","1","21","2017-06-15 16:36:18","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3792","12","0","2017-06-08 00:00:00","182","Internal routing business permit and other documents\n","200","","0.1","20","1","21","2017-06-15 16:36:38","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3793","12","0","2017-06-08 00:00:00","64","Internal routing transmittal of directors\' cert.\n","0","","0.1","0","1","21","2017-06-15 16:37:18","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3794","12","0","2017-06-08 00:00:00","99","Internal routing revised sec cert &amp; board res\n","0","","0.1","0","1","21","2017-06-15 16:38:21","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3795","12","0","2017-06-09 00:00:00","81","Internal routing transmittal of memo &amp; opinions\n","0","","0.1","0","1","21","2017-06-15 16:38:53","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3796","12","0","2017-06-09 00:00:00","11","Internal routing Judicial affidavit for signature of Ms. Yolly\n","0","","0.1","0","1","21","2017-06-15 16:39:19","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3797","12","0","2017-06-09 00:00:00","182","Internal routing Philhealth signature card, signed by EMP\n","200","","0.1","20","1","21","2017-06-15 16:39:41","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3798","12","0","2017-06-09 00:00:00","218","Internal routing Original passport of Chi-Wen Hua\n","5000","","0.1","500","1","21","2017-06-15 16:40:14","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3799","12","0","2017-06-09 00:00:00","87","Internal routing Photocopies of files\n","6000","","0.1","600","1","21","2017-06-15 16:40:41","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3800","12","0","2017-06-09 00:00:00","127","Internal routing Amended GIS 2017\n","0","","0.1","0","1","21","2017-06-15 16:41:14","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3801","12","0","2017-06-09 00:00:00","64","Internal routing Amended GIS 2017\n","0","","0.1","0","1","21","2017-06-15 16:41:37","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3802","12","0","2017-06-09 00:00:00","128","Internal routing Amended GIS 2017\n","0","","0.1","0","1","21","2017-06-15 16:42:02","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3803","12","0","2017-06-09 00:00:00","10","Internal routing Letter dtd 6.5.17, requesting for a meeting on 6.15.17\n","0","","0.1","0","1","21","2017-06-15 16:42:32","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3804","12","0","2017-06-09 00:00:00","139","Internal routing Notice of decision dtd 7.7.17\n","0","","0.1","0","1","21","2017-06-15 16:43:11","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3805","12","0","2017-06-09 00:00:00","196","Internal routing signed and notarized business permit application\n","0","","0.1","0","1","21","2017-06-15 16:43:35","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3806","12","0","2017-06-09 00:00:00","64","Internal routing transmittal of directors\' cert. to Ms. Jena &amp; Sapna\n","0","","0.1","0","1","21","2017-06-15 16:44:06","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3807","12","0","2017-06-09 00:00:00","139","Internal routing Letter from CTA\n","0","","0.1","0","1","21","2017-06-15 16:44:35","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3808","12","0","2017-06-09 00:00:00","143","Internal routing Manifestation and Motion\n","0","","0.1","0","1","21","2017-06-15 16:45:18","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3809","12","0","2017-06-09 00:00:00","143","Internal routing Manifestation and Motion\n","0","","0.1","0","1","21","2017-06-15 16:58:52","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3810","12","0","2017-06-09 00:00:00","151","Internal routing Secretary\'s Certificate\n","6000","","0.1","600","1","21","2017-06-15 16:59:35","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3811","12","0","2017-06-14 00:00:00","66","Internal routing Transmittal of original SPA between Cristina Cuenca, et al. &amp; Operating Agreement between Zayco and HRDC\n","0","","0.1","0","1","21","2017-06-15 17:00:05","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3812","12","0","2017-06-14 00:00:00","183","Internal routing Certificate of Incorporation of Romar BPO\n","0","","0.1","0","1","21","2017-06-15 17:00:33","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3813","12","0","2017-06-14 00:00:00","99","Internal routing transmittal of sec cert\n","0","","0.1","0","1","21","2017-06-15 17:01:00","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3814","12","0","2017-06-14 00:00:00","64","Internal routing Treasury memo\n","0","","0.1","0","1","21","2017-06-15 17:01:23","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3815","12","0","2017-06-14 00:00:00","120","Internal routing Submission Judicial affidavit of Revenue Officer Evangeline Casipe\n","0","","0.1","0","1","21","2017-06-15 17:01:57","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("3816","16","0","2017-06-09 00:00:00","86","Attended meeting at BAI for Igusol","2500","","3","7500","1","16","2017-06-15 19:43:41","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3817","16","0","2017-06-09 00:00:00","163","Further drafted/revised draft complaints for UCHC, Calumboyan, LHPI","0","","5","0","1","16","2017-06-15 19:44:12","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3818","16","0","2017-06-08 00:00:00","163","Drafted complaints for UCHC, Calumboyan, LHPI","0","","5","0","1","16","2017-06-15 19:44:58","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3819","16","0","2017-06-08 00:00:00","163","Finalized/Supervised filing of ATI Konsulta MR and Affidavit of Explanation with DOLE and BIR, respectively","0","","1.5","0","1","16","2017-06-15 19:45:27","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("3820","16","0","2017-06-08 00:00:00","11","Supervised filing of TA Oil Judicial Affidavits of Tess Dimaculangan and Yolly Anonuevo","0","","3","0","1","16","2017-06-15 19:46:28","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("3821","16","0","2017-06-07 00:00:00","11","Drafted/finalized judicial affidavits of Tess Dimaculangan and Yolly Anonuevo","0","","5","0","1","16","2017-06-15 19:46:52","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3822","16","0","2017-06-07 00:00:00","163","Reviewed work of FGS re: ATI Konsulta MR and Affidavit of Explanation","0","","1.75","0","1","16","2017-06-15 19:47:23","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3823","16","0","2017-06-07 00:00:00","185","Performed Other Service: due diligence and DD meeting","100","","4.5","450","1","16","2017-06-15 19:47:41","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3824","12","0","2017-06-16 00:00:00","80","Revising and review of the MSA and Collaboration Agreement for Australia","0","","2.5","0","1","12","2017-06-16 10:53:33","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3825","12","0","2017-06-14 00:00:00","80","Conferred with Thusitha and Emmanuel","0","","1.5","0","1","12","2017-06-16 10:54:27","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3826","12","0","2017-06-14 00:00:00","80","Reviewed of work Indonesia MSA; discussion with Reywen","0","","0.65","0","1","12","2017-06-16 10:56:39","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3827","12","0","2017-06-14 00:00:00","144","Wrote email to Carina; review of sec certs","0","","0.5","0","1","12","2017-06-16 10:58:18","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3828","16","0","2017-06-16 00:00:00","81","Internally discussed with EMP re: deliverables/services issue in Malaysia MSA","0","","0.4","0","1","16","2017-06-16 18:41:03","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3829","16","0","2017-06-16 00:00:00","81","Drafted memo re: deliverables/services issue in Malaysia MSA","0","","3","0","1","16","2017-06-16 18:41:13","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3830","16","0","2017-06-16 00:00:00","91","Internally discussed with EMP re: DCFII memorandum draft","2500","","0.5","1250","1","16","2017-06-16 18:42:13","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3831","16","0","2017-06-16 00:00:00","91","Revised DCFII memorandum per EMP\'s comments","2500","","4.1","10250","1","16","2017-06-16 18:42:39","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3832","16","0","2017-06-15 00:00:00","91","Drafted DCFII memorandum","0","","8","0","1","16","2017-06-16 18:43:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3833","16","0","2017-06-22 00:00:00","11","Attended commissioner\'s hearing; reviewed court docket for filing of FOE; reproduced documents for FOE","0","","4.5","0","1","16","2017-06-22 13:29:57","16","2017-07-05 12:08:31","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("3834","16","0","2017-06-22 00:00:00","143","Drafted Omnibus Motion for issuance of subpoena or for resolution of objection to Request for Admission (CTA Case No. 9188)","2500","","2","5000","1","16","2017-06-22 13:30:33","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3835","16","0","2017-06-22 00:00:00","143","Internally discussed with EMP re: omnibus motion","2500","","0.5","1250","1","16","2017-06-22 13:31:05","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3836","16","0","2017-06-22 00:00:00","220","Internally discussed with EMP and RHO re: esther ng memo","3500","","0.5","1750","1","16","2017-06-22 13:31:23","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3837","16","0","2017-06-22 00:00:00","47","Drafted minutes for election of Alexander Taar as treasurer","0","","0.4","0","1","16","2017-06-22 13:31:47","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3838","16","0","2017-06-22 00:00:00","48","Drafted minutes for election of Alexander Taar as treasurer","0","","0.4","0","1","16","2017-06-22 13:32:02","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3839","16","0","2017-06-22 00:00:00","204","Drafted memo on scope of work re: data privacy act","2500","","1.5","3750","1","16","2017-06-22 13:32:37","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3840","16","0","2017-06-22 00:00:00","220","Drafted Esther Ng memo","3500","","1.5","5250","0","16","2017-06-22 13:32:58","16","2017-06-22 18:38:03","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3841","16","0","2017-06-21 00:00:00","163","Internally discussed with GVF and KRA re: Strongview memo on investment adviser regulation","0","","0.5","0","1","16","2017-06-22 13:33:43","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3842","16","0","2017-06-21 00:00:00","204","Internally discussed with GVF re: scope of work for Data Privacy Act compliance","2500","","0.2","500","1","16","2017-06-22 13:34:16","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3843","16","0","2017-06-21 00:00:00","204","Reviewed Data Privacy Act, IRR, NPC circulars; draft memo on scope of work","2500","","1.5","3750","1","16","2017-06-22 13:34:42","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3844","16","0","2017-06-21 00:00:00","221","Drafted Certification re: election of officers","3500","","0.4","1400","1","16","2017-06-22 13:35:12","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3845","16","0","2017-06-21 00:00:00","221","Internally discussed with EMP re: bank account of HavenAsia","0","","0.4","0","1","16","2017-06-22 13:35:29","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3846","16","0","2017-06-21 00:00:00","163","Researched on investment adviser regulation for Strongview","0","","3","0","1","16","2017-06-22 13:36:11","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3847","16","0","2017-06-19 00:00:00","91","Finalized and supervised filing of memorandum","2500","","3","7500","1","16","2017-06-22 13:37:15","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("3848","16","0","2017-06-19 00:00:00","217","Drafted minutes of organizational meeting of SH and BOD","120","","1","120","1","16","2017-06-22 13:37:52","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3849","16","0","2017-06-19 00:00:00","158","Drafted cover letter for issuance of CAR","3000","","1","3000","1","16","2017-06-22 13:38:21","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3850","12","0","2017-06-23 00:00:00","196","Reviewed certificates; email to SAgit","0","","0.3","0","1","12","2017-06-23 11:18:21","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3851","12","0","2017-06-23 00:00:00","139","Revised Motion for Reconsideration","0","","1.5","0","1","12","2017-06-23 11:19:27","12","2017-06-23 14:26:29","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3852","12","0","2017-06-22 00:00:00","139","Revised MR","0","","0.75","0","1","12","2017-06-23 11:20:58","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3853","12","0","2017-06-21 00:00:00","215","Revised Lease Agreement, internal discussion, reviewed timeline.","200","","3.5","700","1","12","2017-06-23 11:45:24","12","2017-06-23 14:54:07","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3854","12","0","2017-06-21 00:00:00","221","Performed Other Service - Assistance on bank matters","6000","","0.5","3000","1","12","2017-06-23 11:49:22","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3855","12","0","2017-06-23 00:00:00","188","Internally discussed with IAN","6000","","0.4","2400","1","12","2017-06-23 14:25:20","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3856","12","0","2017-06-23 00:00:00","139","Internally discussed with SLP re MR","0","","0.3","0","1","12","2017-06-23 14:26:01","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3857","12","0","2017-06-23 00:00:00","220","Internally discussed with Dianne and Kim re tax calculation","6000","","0.5","3000","1","12","2017-06-23 14:27:09","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3858","12","0","2017-06-22 00:00:00","196","Performed Other Services - Conference call with Sagit; revising of various Sec certs","0","","0.5","0","1","12","2017-06-23 14:28:17","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3859","12","0","2017-06-22 00:00:00","188","Internally discussed with Jeric re BIR requirements","6000","","0.3","1800","1","12","2017-06-23 14:28:52","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3860","12","0","2017-06-22 00:00:00","213","Reviewed of initial due diligence report; internal discussion with Ernie and Sam","6000","","0.75","4500","1","12","2017-06-23 14:29:45","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3861","12","0","2017-06-22 00:00:00","220","Preparation of Opinion Outline","6000","","1.2","7200","1","12","2017-06-23 14:30:23","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("3862","12","0","2017-06-22 00:00:00","80","Performed Other Service - BIR filing for employee incentive","0","","0.4","0","1","12","2017-06-23 14:35:13","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3863","12","0","2017-06-02 00:00:00","124","Conference call/Skype with Lea Molino, DRP","6000","","1","6000","1","21","2017-06-27 11:59:31","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3864","19","0","2017-04-17 00:00:00","64","Drafted GIS for 2017","0","","0.3","0","1","19","2017-06-28 11:09:41","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3865","19","0","2017-04-17 00:00:00","128","Drafted GIS 2017","0","","0.3","0","1","19","2017-06-28 11:10:00","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3866","19","0","2017-04-17 00:00:00","110","Drafted GIS 2017","0","","0.3","0","1","19","2017-06-28 11:10:19","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3867","19","0","2017-04-17 00:00:00","127","Drafted GIS 2017","0","","0.3","0","1","19","2017-06-28 11:10:43","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3868","19","0","2017-04-17 00:00:00","189","Drafted GIS 2017","0","","0.3","0","1","19","2017-06-28 11:11:03","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3869","19","0","2017-04-17 00:00:00","112","Drafted GIS 2017","0","","0.3","0","1","19","2017-06-28 11:11:22","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3870","19","0","2017-04-17 00:00:00","111","Drafted GIS 2017","0","","0.3","0","1","19","2017-06-28 11:11:38","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3871","19","0","2017-04-18 00:00:00","64","Drafted Minutes of the BOD held on March 17, 2017 meeting","0","","2.5","0","1","19","2017-06-28 11:12:32","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3872","19","0","2017-04-18 00:00:00","128","Drafted Minutes of the meeting of BOD held on March 17, 2017 ","0","","2.5","0","1","19","2017-06-28 11:13:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3873","19","0","2017-04-19 00:00:00","64","Drafted Corporate Governance matrix","0","","1","0","1","19","2017-06-28 11:13:56","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3874","19","0","2017-05-19 00:00:00","128","Drafted Corporate Governance Matrix","0","","1","0","0","19","2017-06-28 11:14:22","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3875","19","0","2017-04-19 00:00:00","128","Drafted Corporate Governance Matrix","0","","1","0","1","19","2017-06-28 11:15:39","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3876","19","0","2017-04-19 00:00:00","127","Drafted Minutes of the meeting dated March 17, 2017","0","","1","0","1","19","2017-06-28 11:16:55","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3877","19","0","2017-04-19 00:00:00","110","Drafted Minutes held on March 17, 2017","0","","1","0","1","19","2017-06-28 11:17:35","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3878","19","0","2017-04-19 00:00:00","189","Drafted Minutes of the Meeting March 17, 2017","0","","1","0","1","19","2017-06-28 11:17:55","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3879","19","0","2017-04-19 00:00:00","112","Drafted Minutes of the meeting March 17, 2017","0","","1","0","1","19","2017-06-28 11:18:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3880","19","0","2017-04-19 00:00:00","111","Drafted minutes of the meeting held on March 17, 2017","0","","1","0","1","19","2017-06-28 11:18:45","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3881","19","0","2017-04-21 00:00:00","64","Reviewed/Proofread Minutes of the Meeting","0","","0.4","0","1","19","2017-06-28 11:19:30","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3882","19","0","2017-04-21 00:00:00","128","Reviewed/Proofread Minutes of the Meeting","0","","0.4","0","1","19","2017-06-28 11:19:44","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3883","19","0","2017-04-21 00:00:00","110","Reviewed/Proofread Minutes of the Meeting","0","","0.3","0","1","19","2017-06-28 11:20:05","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3884","19","0","2017-04-21 00:00:00","127","Reviewed/Proofread Minutes of the Meeting","0","","0.3","0","1","19","2017-06-28 11:20:22","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3885","19","0","2017-04-21 00:00:00","189","Reviewed/Proofread Minutes of the Meeting","0","","0.3","0","1","19","2017-06-28 11:20:37","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3886","19","0","2017-04-21 00:00:00","112","Reviewed/Proofread Minutes of the Meeting","0","","0.3","0","1","19","2017-06-28 11:21:10","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3887","19","0","2017-04-21 00:00:00","111","Reviewed/Proofread Minutes of the Meeting","0","","0.3","0","1","19","2017-06-28 11:21:24","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3888","19","0","2017-04-24 00:00:00","64","Traveled to Holcim Office at Taguig for document review","0","","5","0","1","19","2017-06-28 11:23:19","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3889","19","0","2017-04-25 00:00:00","64","Reviewed GIS 2017 ","0","","0.2","0","1","19","2017-06-28 11:24:09","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3890","19","0","2017-04-25 00:00:00","128","Reviewed GIS 2017","0","","0.2","0","1","19","2017-06-28 11:24:33","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3891","19","0","2017-04-25 00:00:00","127","Reviewed GIS 2017","0","","0.2","0","1","19","2017-06-28 11:24:52","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3892","19","0","2017-04-25 00:00:00","127","Reviewed GIS 2017","0","","0.2","0","1","19","2017-06-28 11:25:12","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3893","19","0","2017-04-25 00:00:00","110","Reviewed GIS 2017","0","","0.2","0","1","19","2017-06-28 11:25:38","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3894","19","0","2017-04-25 00:00:00","112","Reviewed GIS 2017","0","","0.2","0","1","19","2017-06-28 11:25:54","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3895","19","0","2017-04-25 00:00:00","111","Reviewed GIS 2017","0","","0.2","0","1","19","2017-06-28 11:26:11","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3896","19","0","2017-04-26 00:00:00","64","reviewed/Proofread Feb. 23, 2017 Minutes of the Meeting","0","","0.3","0","1","19","2017-06-28 11:26:58","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3897","19","0","2017-04-26 00:00:00","128","reviewed/Proofread Feb. 23, 2017 Minutes of the Meeting","0","","0.3","0","1","19","2017-06-28 11:27:18","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3898","19","0","2017-04-26 00:00:00","128","reviewed/Proofread Dec. 2, 2016  Minutes of the Meeting","0","","0.3","0","1","19","2017-06-28 11:27:44","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3899","19","0","2017-04-26 00:00:00","64","reviewed/Proofread Dec. 2, 2016  Minutes of the Meeting","0","","0.3","0","1","19","2017-06-28 11:28:01","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3900","19","0","2017-05-02 00:00:00","64","Revise and correction on Minutes on March \n17, 2017","0","","0.3","0","1","19","2017-06-28 11:28:45","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3901","19","0","2017-05-02 00:00:00","64","Drafted Letter addressed to DENR-MGB and EMB","0","","0.2","0","1","19","2017-06-28 11:29:46","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3902","19","0","2017-05-02 00:00:00","127","Drafted Letter addressed to DENR-MGB and EMB","0","","0.2","0","1","19","2017-06-28 11:30:04","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3903","19","0","2017-05-02 00:00:00","127","Drafted Director\'s Certificate","0","","0.2","0","1","19","2017-06-28 11:30:26","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3904","19","0","2017-05-02 00:00:00","64","Drafted Director\'s Certificate","0","","0.2","0","1","19","2017-06-28 11:30:41","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3905","19","0","2017-05-03 00:00:00","163","Holcim- Spin-OFF-Reviewed and compiled issued opinions","0","","3","0","1","19","2017-06-28 11:32:30","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3906","19","0","2017-05-03 00:00:00","64","review of all minutes issued on 2016 for deficiency or unsigned minutes","0","","1","0","1","19","2017-06-28 11:33:16","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3907","19","0","2017-05-03 00:00:00","128","review of all minutes issued on 2016 for deficiency or unsigned minutes","0","","1","0","1","19","2017-06-28 11:33:30","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3908","19","0","2017-05-03 00:00:00","127","review of all minutes issued on 2016 for deficiency or unsigned minutes","0","","1","0","1","19","2017-06-28 11:33:44","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3909","19","0","2017-05-03 00:00:00","110","review of all minutes issued on 2016 for deficiency or unsigned minutes","0","","0.3","0","1","19","2017-06-28 11:34:01","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3910","19","0","2017-05-03 00:00:00","111","review of all minutes issued on 2016 for deficiency or unsigned minutes","0","","0.3","0","1","19","2017-06-28 11:34:16","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3911","19","0","2017-05-03 00:00:00","189","review of all minutes issued on 2016 for deficiency or unsigned minutes","0","","0.3","0","1","19","2017-06-28 11:34:30","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3912","19","0","2017-05-03 00:00:00","112","review of all minutes issued on 2016 for deficiency or unsigned minutes","0","","0.3","0","1","19","2017-06-28 11:34:48","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3913","19","0","2017-05-04 00:00:00","64","finalize Minutes of the Meeting March 17, 2017","0","","0.2","0","1","19","2017-06-28 11:35:55","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3914","19","0","2017-05-04 00:00:00","128","finalize Minutes of the Meeting March 17, 2017","0","","0.2","0","1","19","2017-06-28 11:36:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3915","19","0","2017-05-04 00:00:00","127","reviewed/revised deed of Accession","0","","1","0","1","19","2017-06-28 11:37:06","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3916","19","0","2017-05-08 00:00:00","207","Revise Amendment of AOI and By-Laws","0","","1","0","1","19","2017-06-28 11:37:51","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3917","19","0","2017-05-09 00:00:00","207","Traveled to SEC Pasay for Amendment of AOI and By-Laws","0","","3","0","1","19","2017-06-28 11:39:10","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3918","19","0","2017-05-10 00:00:00","64","Attended meeting with Atty. Ladrido of SEC-CRMD","0","","3","0","1","19","2017-06-28 11:39:59","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3919","19","0","2017-05-10 00:00:00","207","Internally discussed with SLP and MAC on amendment of AOI and by-Laws","0","","1","0","1","19","2017-06-28 11:40:35","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3920","19","0","2017-05-11 00:00:00","207","Traveled to SEC for updated on amendment of AOI and by-laws","0","","3","0","1","19","2017-06-28 11:41:07","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3921","19","0","2017-05-29 00:00:00","207","prepared meeting materials for May 30, 2017 meeting","0","","1.5","0","1","19","2017-06-28 11:42:45","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3922","19","0","2017-05-29 00:00:00","128","Prepared meeting materials for May 30, 2017","0","","1","0","1","19","2017-06-28 11:43:17","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3923","19","0","2017-05-30 00:00:00","128","Attended meeting at BGS ","0","","4","0","1","19","2017-06-28 11:43:48","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3924","19","0","2017-06-21 00:00:00","128","Revise and reviewed minutes for May 30, 2017 meeting","0","","0.5","0","1","19","2017-06-28 11:44:27","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3925","19","0","2017-05-30 00:00:00","64","Attended meeting at BGC","0","","4","0","1","19","2017-06-28 11:44:28","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3926","19","0","2017-05-30 00:00:00","64","finalized meeting materials","0","","1.5","0","1","19","2017-06-28 11:44:48","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3927","19","0","2017-06-21 00:00:00","128","Drafted GIS","0","","0.3","0","1","19","2017-06-28 11:45:02","19","2017-06-28 11:47:11","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3928","19","0","2017-05-30 00:00:00","128","Finalized meeting materials","0","","1.5","0","1","19","2017-06-28 11:45:11","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3929","19","0","2017-06-21 00:00:00","128","Drafted GIS","0","","0.5","0","0","19","2017-06-28 11:45:30","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3930","19","0","2017-06-21 00:00:00","110","Drafted GIS","0","","0.3","0","1","19","2017-06-28 11:45:49","19","2017-06-28 11:47:31","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3931","19","0","2017-06-21 00:00:00","64","Drafted GIS","0","","0.3","0","1","19","2017-06-28 11:46:36","19","2017-06-28 11:47:44","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3932","19","0","2017-06-05 00:00:00","64","Drafted GIS 2017","0","","0.4","0","1","19","2017-06-28 11:47:16","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3933","19","0","2017-06-05 00:00:00","128","Drafted GIS 2017","0","","0.4","0","1","19","2017-06-28 11:48:02","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3934","19","0","2017-06-21 00:00:00","189","Drafted GIS","0","","0.3","0","1","19","2017-06-28 11:48:20","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3935","19","0","2017-06-21 00:00:00","111","Drafted GIS","0","","0.3","0","1","19","2017-06-28 11:48:44","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3936","19","0","2017-06-05 00:00:00","127","Drafted GIS 2017","0","","0.4","0","1","19","2017-06-28 11:48:48","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3937","19","0","2017-06-21 00:00:00","112","Drafted GIS","0","","0.3","0","1","19","2017-06-28 11:49:04","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3938","19","0","2017-06-07 00:00:00","128","Drafted Minutes for May 30 Meeting ","0","","2.5","0","1","19","2017-06-28 11:49:20","19","2017-08-01 14:24:25","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3939","19","0","2017-06-21 00:00:00","127","Drafted GIS","0","","0.3","0","1","19","2017-06-28 11:49:40","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3940","19","0","2017-06-07 00:00:00","127","Prepared Operating and SPA","0","","1.5","0","1","19","2017-06-28 11:50:00","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3941","19","0","2017-06-13 00:00:00","128","Drafted Minutes for May 30, 2017 meeting","0","","1.5","0","1","19","2017-06-28 11:50:25","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3942","19","0","2017-06-13 00:00:00","64","Revise Secretary\'s Certificate re: Treasury Memos ","0","","0.3","0","1","19","2017-06-28 11:50:55","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3943","19","0","2017-06-20 00:00:00","110","Drafted minutes May 30 meeting","0","","0.3","0","1","19","2017-06-28 11:51:00","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3944","19","0","2017-06-13 00:00:00","128","Revise Secretary\'s Certificate re: Treasury Memos","0","","0.3","0","1","19","2017-06-28 11:51:12","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3945","19","0","2017-06-13 00:00:00","127","Revise Secretary\'s Certificate re: Treasury Memos","0","","0.3","0","1","19","2017-06-28 11:51:28","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3946","19","0","2017-06-20 00:00:00","127","Drafted minutes May 30 meeting","0","","0.4","0","1","19","2017-06-28 11:51:28","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3947","19","0","2017-06-13 00:00:00","110","Revise Secretary\'s Certificate re: Treasury Memos","0","","0.3","0","1","19","2017-06-28 11:51:41","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3948","19","0","2017-06-20 00:00:00","189","Drafted minutes May 30","0","","0.3","0","1","19","2017-06-28 11:51:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3949","19","0","2017-06-13 00:00:00","112","Revise Secretary\'s Certificate re: Treasury Memos","0","","0.3","0","1","19","2017-06-28 11:52:01","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3950","19","0","2017-06-20 00:00:00","111","Drafted minutes May 30","0","","0.3","0","1","19","2017-06-28 11:52:12","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3951","19","0","2017-06-13 00:00:00","189","Revise Secretary\'s Certificate re: Treasury Memos","0","","0.3","0","1","19","2017-06-28 11:52:16","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3952","19","0","2017-06-13 00:00:00","111","Revise Secretary\'s Certificate re: Treasury Memos","0","","0.3","0","1","19","2017-06-28 11:52:30","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3953","19","0","2017-06-20 00:00:00","111","Drafted  minutes May 30","0","","0.3","0","1","19","2017-06-28 11:52:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3954","19","0","2017-06-14 00:00:00","64","Reviewed Secretary\'s Certificate re: Treasury Memos ","0","","0.15","0","1","19","2017-06-28 11:53:56","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3955","19","0","2017-06-14 00:00:00","128","Reviewed Secretary\'s Certificate re: Treasury Memos ","0","","0.15","0","1","19","2017-06-28 11:54:09","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3956","19","0","2017-06-19 00:00:00","64","Revise and reviewed minutes for May 30 meeting  ","0","","1.3","0","1","19","2017-06-28 11:54:14","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3957","19","0","2017-06-05 00:00:00","127","Reviewed Secretary\'s Certificate re: Treasury Memos ","0","","0.15","0","1","19","2017-06-28 11:54:42","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3958","19","0","2017-06-19 00:00:00","128","Revise and reviewed minutes May 30 meeting","0","","1.3","0","1","19","2017-06-28 11:54:43","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3959","19","0","2017-06-14 00:00:00","127","Reviewed Secretary\'s Certificate re: Treasury Memos ","0","","0.15","0","1","19","2017-06-28 11:55:34","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3960","19","0","2017-06-14 00:00:00","110","Reviewed Secretary\'s Certificate re: Treasury Memos ","0","","0.15","0","1","19","2017-06-28 11:55:54","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3961","19","0","2017-06-14 00:00:00","112","Reviewed Secretary\'s Certificate re: Treasury Memos ","0","","0.15","0","1","19","2017-06-28 11:56:12","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3962","19","0","2017-06-14 00:00:00","189","Reviewed Secretary\'s Certificate re: Treasury Memos ","0","","0.15","0","1","19","2017-06-28 11:56:41","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3963","19","0","2017-06-14 00:00:00","111","Reviewed Secretary\'s Certificate re: Treasury Memos ","0","","0.15","0","1","19","2017-06-28 11:56:55","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3964","19","0","2017-06-23 00:00:00","172","Checked documents for CAR application and prepared documents for Tax declaration application on the Pinagtulayan Property","0","","1.3","0","1","19","2017-06-28 11:57:01","19","2017-06-28 11:58:44","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3965","19","0","2017-06-14 00:00:00","64","Drafted Minutes for May 30, 2017","0","","1","0","1","19","2017-06-28 11:57:21","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3966","19","0","2017-06-14 00:00:00","64","Drafted Secretary\'s Certificate for single log-in entry ","0","","0.15","0","1","19","2017-06-28 11:57:44","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3967","19","0","2017-06-14 00:00:00","128","Drafted Secretary\'s Certificate for single log-in entry","0","","0.15","0","1","19","2017-06-28 11:58:09","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3968","19","0","2017-06-26 00:00:00","172","Revise and reviewed position paper on tax-free exchange","0","","1.3","0","0","19","2017-06-28 11:58:16","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3969","19","0","2017-06-16 00:00:00","128","Reviewed Secretary\'s Certificate re: Treasury Memos","0","","0.1","0","1","19","2017-06-28 11:58:49","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3970","19","0","2017-06-16 00:00:00","64","Reviewed Secretary\'s Certificate re: Treasury Memos","0","","0.1","0","1","19","2017-06-28 11:59:07","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3971","19","0","2017-06-16 00:00:00","127","Reviewed Secretary\'s Certificate re: Treasury Memos","0","","0.1","0","1","19","2017-06-28 11:59:32","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3972","19","0","2017-06-16 00:00:00","110","Reviewed Secretary\'s Certificate re: Treasury Memos","0","","0.1","0","1","19","2017-06-28 11:59:47","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3973","19","0","2017-06-16 00:00:00","112","Reviewed Secretary\'s Certificate re: Treasury Memos","0","","0.1","0","1","19","2017-06-28 12:00:07","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3974","19","0","2017-06-16 00:00:00","189","Reviewed Secretary\'s Certificate re: Treasury Memos","0","","0.1","0","1","19","2017-06-28 12:00:30","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3975","19","0","2017-06-16 00:00:00","111","Reviewed Secretary\'s Certificate re: Treasury Memos","0","","0.1","0","1","19","2017-06-28 12:00:48","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("3976","19","0","2017-06-27 00:00:00","67","Traveled to LRA Quezon City for update on condominium title","0","","2","0","1","19","2017-06-28 12:00:57","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3977","19","0","2017-06-16 00:00:00","172","Internally discussed on transfer of CAR","0","","1","0","1","19","2017-06-28 12:01:12","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3978","19","0","2017-06-16 00:00:00","128","Supervised documentary requirements for MERALCO deposits","0","","0.3","0","1","19","2017-06-28 12:02:00","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("3979","12","0","2017-06-26 00:00:00","63","Drafted supplemental letter request to BIR.","0","","1.5","0","1","12","2017-06-28 16:07:09","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3980","12","0","2017-06-27 00:00:00","63","Drafted supplemental letter to BIR","0","","2.35","0","1","12","2017-06-28 16:07:42","12","2017-06-28 16:22:55","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3981","12","0","2017-06-27 00:00:00","188","Email to Veena, discussion with Ian, call to Gemma re additional requirements","6000","","0.5","3000","1","12","2017-06-28 16:18:46","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3982","12","0","2017-06-26 00:00:00","221","Received telephone call from Tracy","6000","","0.5","3000","1","12","2017-06-28 16:21:30","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("3983","12","0","2017-06-27 00:00:00","221","Conferred with Gemma re tax calculation; email to Gemma","6000","","0.5","3000","1","12","2017-06-28 16:21:58","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3984","12","0","2017-06-28 00:00:00","63","Wrote letter to BIR - re VAT on tax-free transfers","0","","1.75","0","1","12","2017-06-28 16:23:51","","","1","00:00:00","00:00:00","9");
INSERT INTO file_billing_tbl VALUES("3985","12","0","2017-06-28 00:00:00","188","Wrote email to Veena","6000","","0.2","1200","1","12","2017-06-28 16:24:16","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3986","12","0","2017-06-28 00:00:00","220","Read Email fromJocelyn Ng","6000","","0.2","1200","1","12","2017-06-28 16:24:35","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("3987","12","0","2017-06-28 00:00:00","163","Performed Other Service - Billing Letters","0","","1.75","0","1","12","2017-06-28 16:25:05","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3988","12","0","2017-06-27 00:00:00","151","Conferred with Greg; reviewed email re employee benefits","6000","","0.3","1800","1","12","2017-06-28 16:25:51","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("3989","12","0","2017-06-23 00:00:00","142","Performed Other Service - Revised Motion to Resolve Objection to Request for Admission","0","","1.2","0","1","12","2017-06-28 16:34:04","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("3990","12","0","2017-06-28 00:00:00","63","Drafted - Letter and Position Paper to BIR re VAT on tax-free transfer","0","","1.2","0","1","12","2017-06-29 11:26:29","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("3991","12","0","2017-06-28 00:00:00","220","Internally discussed with Richelle and Kim","6000","","0.5","3000","1","12","2017-06-29 11:27:04","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3992","12","0","2017-06-28 00:00:00","220","Revised Memo to Client","6000","","1.75","10500","1","12","2017-06-29 11:27:33","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("3993","12","0","2017-06-28 00:00:00","220","Internally discussed with Richelle and Kim","6000","","0.75","4500","1","12","2017-06-29 11:27:47","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("3994","12","0","2017-06-28 00:00:00","220","Wrote email to Jocelyn; review of email.","0","","0.5","0","1","12","2017-06-29 11:28:15","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("3995","25","0","2017-05-17 00:00:00","215","Attended meeting  with EMP and SLP re memo on SPV project","100","","3","300","1","25","2017-06-29 15:05:32","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3996","25","0","2017-05-18 00:00:00","215","Traveled to ERC and DOE re SPV project","0","","6","0","1","25","2017-06-29 15:06:34","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("3997","25","0","2017-05-18 00:00:00","215","Attended meeting with EMP and SLP re outcome of research at ERC and DOE","0","","2","0","1","25","2017-06-29 15:07:25","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("3998","25","0","2017-05-19 00:00:00","215","Researched on PEZA zones","0","","2","0","1","25","2017-06-29 15:08:10","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("3999","25","0","2017-05-19 00:00:00","215","Revise the memo","0","","4","0","1","25","2017-06-29 15:08:45","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4000","25","0","2017-05-22 00:00:00","215","Drafted memo on SPV project","0","","2","0","1","25","2017-06-29 15:09:33","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4001","25","0","2017-05-23 00:00:00","215","Revise the memo on SPV project","0","","4","0","1","25","2017-06-29 15:10:14","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4002","25","0","2017-05-24 00:00:00","215","Attended meeting with SLP re ERC resolution","0","","2","0","1","25","2017-06-29 15:10:46","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4003","25","0","2017-05-25 00:00:00","215","Attended meeting with SLP re DU intervention","0","","2","0","1","25","2017-06-29 15:11:20","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4004","25","0","2017-05-26 00:00:00","215","Revise memo on SPV project","0","","3","0","1","25","2017-06-29 15:11:55","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4005","25","0","2017-05-30 00:00:00","215","Revised the memo on SPV project","0","","3","0","1","25","2017-06-29 15:12:38","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4006","25","0","2017-05-30 00:00:00","215","Researched on regulations on financial lease","0","","3","0","1","25","2017-06-29 15:13:02","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4007","25","0","2017-05-30 00:00:00","215","Traveled to to BOI to clarify remaining questions for SPV memo","0","","4","0","1","25","2017-06-29 15:13:43","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4008","25","0","2017-06-07 00:00:00","215","Supervised filing of memo and prepared the attachments","0","","2","0","1","25","2017-06-29 15:14:25","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4009","25","0","2017-05-02 00:00:00","213","Attended meeting with EMP and SLP re new client and issues needed to be addressed","3000","","2","6000","1","25","2017-06-29 16:15:05","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4010","25","0","2017-05-02 00:00:00","213","Researched on applicable regulatory requirements and rules (EPIRA)","0","","3","0","1","25","2017-06-29 16:15:48","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4011","25","0","2017-06-05 00:00:00","213","Attended meeting with EMP and SLP re possible need to conduct due diligence","0","","3","0","1","25","2017-06-29 16:26:09","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4012","25","0","2017-06-15 00:00:00","213","Researched on RMC 26-2013","3000","","1","3000","1","25","2017-06-29 16:29:23","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4013","25","0","2017-06-20 00:00:00","213","Attended meeting with EMP/SLP re due diligence ","3000","","2","6000","1","25","2017-06-29 16:30:34","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4014","25","0","2017-06-21 00:00:00","213","Attended meeting with EMP and SLP re due diligence ","0","","2","0","1","25","2017-06-29 16:32:24","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4015","25","0","2017-06-22 00:00:00","213","Traveled to Tanauan to conduct due diligence ","0","","4","0","1","25","2017-06-29 16:33:18","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4016","25","0","2017-06-22 00:00:00","213","Traveled to Malvar to conduct due diligence","0","","4","0","1","25","2017-06-29 16:33:39","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4017","25","0","2017-06-22 00:00:00","213","Drafted Due Diligence Report for LISP Batangas Lot","3000","","3","9000","1","25","2017-06-29 16:34:32","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4018","25","0","2017-06-22 00:00:00","213","Supervised filing of request for TCT from LRA","0","","2","0","1","25","2017-06-29 16:35:10","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4019","25","0","2017-06-23 00:00:00","213","Revise the due diligence report as EMP instructed ","0","","3","0","1","25","2017-06-29 16:49:03","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4020","25","0","2017-06-23 00:00:00","213","Revise further the due diligence report as instructed","0","","2","0","1","25","2017-06-29 16:49:26","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4021","15","0","2017-06-29 00:00:00","64","Revised and supervised filing of GIS for LORVI, SCMC, APC, QLI and HRDC. ","0","","1","0","1","15","2017-06-29 17:36:55","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4022","15","0","2017-06-29 00:00:00","142","Attended trial/hearing presentation of Mr. Querido and hearing on the motion to resolve opposition to request for admission","2500","","4.5","11250","1","15","2017-06-29 17:38:00","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("4023","15","0","2017-06-29 00:00:00","213","Revised FGS\' due diligence report on the Malvar property. ","3000","","1","3000","1","15","2017-06-29 17:38:43","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4024","25","0","2017-04-25 00:00:00","183","(Romar BPO, Inc.) Drafted Secretary\'s Certificate","0","","3","0","2","22","2017-06-30 09:03:48","22","2017-06-30 10:08:40","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4025","25","0","2017-04-25 00:00:00","151","Drafted Secretary\'s Certificate","2500","","3","7500","2","22","2017-06-30 09:04:40","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4026","25","0","2017-04-25 00:00:00","151","Researched on remedy if subscription is not fully paid","0","","3","0","2","22","2017-06-30 09:05:16","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4027","25","0","2017-04-26 00:00:00","198","Drafted AEP Form for Mr. Panda","2500","","3","7500","2","22","2017-06-30 09:06:07","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4028","25","0","2017-04-27 00:00:00","104","Revised minutes","0","","2","0","2","22","2017-06-30 09:10:44","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4029","25","0","2017-04-27 00:00:00","125","Revised GIS","0","","3","0","2","22","2017-06-30 09:11:15","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4030","25","0","2017-05-02 00:00:00","214","Drafted Estate Tax Return and Letter","0","","4","0","2","22","2017-06-30 09:11:55","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4031","25","0","2017-05-02 00:00:00","163","Meeting with GVF and Carlo (Intern)","0","","2","0","2","22","2017-06-30 09:12:48","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4032","25","0","2017-05-02 00:00:00","163","Meeting with Carlo re memo on applicability of Rule 84 Sec 3","0","","2","0","2","22","2017-06-30 09:13:43","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4033","25","0","2017-05-04 00:00:00","104","Revised minutes","0","","2","0","2","22","2017-06-30 09:14:08","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4034","25","0","2017-05-04 00:00:00","125","Revised minutes","0","","2","0","2","22","2017-06-30 09:14:31","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4035","25","0","2017-05-04 00:00:00","151","Conferred with SLP re need for AOI and by-laws for bank account","2500","","2","5000","2","22","2017-06-30 09:15:08","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4036","25","0","2017-05-04 00:00:00","125","Drafted 2017 GIS","0","","3","0","2","22","2017-06-30 09:15:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4037","25","0","2017-05-04 00:00:00","104","Drafted 2017 GIS","0","","3","0","2","22","2017-06-30 09:15:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4038","25","0","2017-05-04 00:00:00","172","Conferred with SLP re letter to RDO 39","0","","3","0","2","22","2017-06-30 09:16:35","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4039","25","0","2017-05-04 00:00:00","214","Drafted cover letter re request for CAR","0","","3","0","2","22","2017-06-30 09:17:57","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4040","25","0","2017-05-08 00:00:00","214","Drafted transmittal letter, etc re filing of birth certificate and certificate of landholdings","0","","4","0","2","22","2017-06-30 09:18:43","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4041","25","0","2017-05-08 00:00:00","125","Revised the minutes","0","","2","0","2","22","2017-06-30 09:20:04","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4042","25","0","2017-05-08 00:00:00","151","Conferred with SLP and secretaries re original AOI of PPIC","2500","","3","7500","2","22","2017-06-30 09:20:37","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4043","25","0","2017-05-08 00:00:00","163","(Joanne Francisco) Revised Carlo\'s memo re applicability of Rule 84 Sec 3","0","","4","0","2","22","2017-06-30 09:58:32","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4044","25","0","2017-05-08 00:00:00","183","(Romar BPO, Inc.) Drafted email memo re status of incorporation and need for further documents as SLP required ","0","","2","0","2","22","2017-06-30 09:59:37","22","2017-06-30 10:07:52","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4045","25","0","2017-05-09 00:00:00","163","(AMSPEC) Attended meeting with Ronnie Lipio re estate tax","0","","3","0","2","22","2017-06-30 10:02:59","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4046","25","0","2017-05-09 00:00:00","163","(Joanne Francisco) Revised Carlo\'s memo re applicability of Rule 84 Sec 3","0","","4","0","2","22","2017-06-30 10:03:51","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4047","25","0","2017-05-10 00:00:00","163","(Joanne Francisco) Drafted memo re applicability of Rule 84 Sec 3","0","","4","0","2","22","2017-06-30 10:04:26","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4048","25","0","2017-05-10 00:00:00","214","Drafted authorization for staff","0","","2","0","2","22","2017-06-30 10:05:26","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4049","25","0","2017-05-10 00:00:00","104","Revised 2017 GIS","0","","3","0","2","22","2017-06-30 10:06:01","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4050","25","0","2017-05-10 00:00:00","183","Revised AOI of Romar after SEC comments","0","","2","0","2","22","2017-06-30 10:07:26","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4051","25","0","2017-05-10 00:00:00","183","(Romar BPO, Inc.) Revised SEC Form F-100 after SEC comments","0","","2","0","2","22","2017-06-30 10:09:39","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4052","25","0","2017-05-10 00:00:00","210","Meeting with Carlo to discuss memo","3000","","2","6000","2","22","2017-06-30 10:10:10","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4053","25","0","2017-05-10 00:00:00","125","Revised the ASM and Organization Meeting minutes","0","","2","0","2","22","2017-06-30 10:10:47","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4054","25","0","2017-05-11 00:00:00","86","Drafted Secretary\'s Certificate, etc.","0","","3","0","2","22","2017-06-30 10:11:31","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4055","25","0","2017-05-12 00:00:00","198","Supervised filing/transmittal of Mr. Panda\'s passport","2500","","2","5000","2","22","2017-06-30 10:12:12","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4056","25","0","2017-05-12 00:00:00","185","Revised the Due Diligence","0","","4","0","2","22","2017-06-30 10:12:48","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4057","25","0","2017-05-12 00:00:00","198","Drafted documents for AEP and visa application","2500","","3","7500","2","22","2017-06-30 10:13:19","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4058","25","0","2017-05-12 00:00:00","198","(ECCI) Drafted documents for AEP and visa application","0","","3","0","2","22","2017-06-30 10:14:03","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4059","25","0","2017-05-12 00:00:00","86","Drafted Secretary\'s Certificate, etc.","0","","3","0","2","22","2017-06-30 10:14:39","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4060","25","0","2017-05-15 00:00:00","214","Revised the documents for BIR filing","0","","3","0","2","22","2017-06-30 10:15:12","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4061","25","0","2017-05-16 00:00:00","217","Revised/Proofread Intercompany Agreement","100","","3","300","2","22","2017-06-30 10:16:10","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4062","25","0","2017-05-16 00:00:00","217","Meeting with EMP and DRP re intercompany agreement","100","","2","200","2","22","2017-06-30 10:16:46","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4063","25","0","2017-05-16 00:00:00","217","Researched on mandatory and prohibited clauses under IP Code as EMP instructed","0","","2","0","2","22","2017-06-30 10:17:30","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4064","25","0","2017-05-16 00:00:00","163","(Renato Francisco) Meeting with GVF re status of case and way forward","0","","3","0","2","22","2017-06-30 10:18:13","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4065","25","0","2017-05-16 00:00:00","163","(Renato Francisco) Researched on remedies to move forward with the case","0","","4","0","2","22","2017-06-30 10:18:43","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4066","25","0","2017-05-16 00:00:00","163","(Renato Francisco) Drafted internal memo for GVF re remedy","0","","3","0","2","22","2017-06-30 10:19:12","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4067","25","0","2017-05-16 00:00:00","163","(Davao City Foods Ind) Drafted Motion to extend","0","","4","0","2","22","2017-06-30 10:19:56","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4068","25","0","2017-05-16 00:00:00","163","(Joanne Francisco) Drafted Sur-rejoinders for the two motions","0","","5","0","2","22","2017-06-30 10:20:32","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4069","25","0","2017-05-15 00:00:00","80","Traveled to BOI re status of HMDC as affiliate.  Spoke to Atty. Albano","0","","4","0","2","22","2017-06-30 10:21:28","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4070","25","0","2017-05-16 00:00:00","210","Revised Carlo\'s memo re transfer of land","3000","","5","15000","2","22","2017-06-30 10:22:20","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4071","25","0","2017-05-17 00:00:00","214","Drafted internal memo re status","0","","3","0","2","22","2017-06-30 10:23:19","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4072","25","0","2017-05-17 00:00:00","214","Conferred with secretary re assessment for com penalty","0","","2","0","2","22","2017-06-30 10:23:51","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4073","25","0","2017-05-17 00:00:00","163","(Clarus RCM) Meeting with EMP re status of LGU registration","0","","2","0","2","22","2017-06-30 10:24:49","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4074","25","0","2017-05-17 00:00:00","214","Meeting re address to be declared","0","","2","0","2","22","2017-06-30 10:25:29","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4075","25","0","2017-05-17 00:00:00","214","Drafted letter to QC Assessor","0","","3","0","2","22","2017-06-30 10:25:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4076","25","0","2017-05-17 00:00:00","163","(Clarus) Drafted internal memo re status of LGU registration","0","","3","0","2","22","2017-06-30 10:26:32","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4077","19","0","2017-04-17 00:00:00","163","Attended TMAP seminar","0","","4.5","0","1","19","2017-06-30 10:27:06","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4078","25","0","2017-05-17 00:00:00","215","Meeting with EMP and SLP re memo on SPV project","100","","3","300","2","22","2017-06-30 10:27:14","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4079","25","0","2017-05-18 00:00:00","215","Travelled to ERC and DOE re SPV project procedure","0","","6","0","2","22","2017-06-30 10:27:52","22","2017-07-12 13:35:34","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4080","25","0","2017-05-18 00:00:00","215","Meeting with EMP re outcome of inquiries","0","","2","0","2","22","2017-06-30 10:28:29","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4081","12","0","2017-06-20 00:00:00","10","Internal routing computation from BIR\n","0","","0.1","0","1","21","2017-06-30 10:28:37","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4082","25","0","2017-05-19 00:00:00","217","Meeting with EMP re status of contract as TTA","100","","2","200","2","22","2017-06-30 10:29:12","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4083","12","0","2017-06-20 00:00:00","82","Internal routing DOLE RKS Form 5, establishment termination report\n","0","","0.1","0","1","21","2017-06-30 10:29:46","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4084","25","0","2017-05-19 00:00:00","217","Made telephone call to IPOPhil re status of contract as TTA","0","","3","0","2","22","2017-06-30 10:30:00","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("4085","25","0","2017-05-19 00:00:00","217","Attended meeting with CMS re status of contract as TTA ","0","","3","0","2","22","2017-06-30 10:30:31","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4086","25","0","2017-05-19 00:00:00","217","Wrote email to IPOPhil re TTAs","0","","3","0","2","22","2017-06-30 10:30:54","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4087","12","0","2017-06-21 00:00:00","213","Internal routing Authorization letter from Science Park of the Phils.\n","6000","","0.1","600","1","21","2017-06-30 10:31:14","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4088","25","0","2017-05-19 00:00:00","215","Researched on PEZA zones","100","","2","200","2","22","2017-06-30 10:32:13","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4089","12","0","2017-06-21 00:00:00","196","Internal routing Original Certificate of Inc. AOI &amp; BL\n","0","","0.1","0","1","21","2017-06-30 10:32:13","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4090","25","0","2017-05-19 00:00:00","215","Revised memo","0","","4","0","2","22","2017-06-30 10:32:26","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4091","25","0","2017-05-22 00:00:00","215","Drafted memo on SPV project","0","","2","0","2","22","2017-06-30 10:32:56","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4092","12","0","2017-06-21 00:00:00","144","Internal routing Notarized Sec Certs\n","0","","0.1","0","1","21","2017-06-30 10:33:02","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4093","25","0","2017-05-23 00:00:00","151","Wrote email to Khita Hua re outstanding information needed for visa application","2500","","2","5000","2","22","2017-06-30 10:33:29","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4094","12","0","2017-06-21 00:00:00","221","Internal routing Certification for review of EMP\n","6000","","0.1","600","1","21","2017-06-30 10:33:48","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4095","25","0","2017-05-23 00:00:00","163","(Clarus RCM) Researched on transfer pricing regulations","0","","3","0","2","22","2017-06-30 10:34:08","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4096","12","0","2017-06-21 00:00:00","196","Internal routing Addt\'l documenta requirements for locational clearance for review of EMP\n","0","","0.1","0","1","21","2017-06-30 10:34:19","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4097","25","0","2017-05-23 00:00:00","215","Revised memo on SPV project","100","","4","400","2","22","2017-06-30 10:34:38","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4098","12","0","2017-06-21 00:00:00","141","Internal routing notice of resolution dated 6.16.17\n","0","","0.1","0","1","21","2017-06-30 10:34:46","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4099","12","0","2017-06-21 00:00:00","221","Internal routing TIN application of King, Yvonne Helen\n","6000","","0.1","600","1","21","2017-06-30 10:35:09","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4100","25","0","2017-05-24 00:00:00","215","Meeting with SLP re ERC resolution","100","","2","200","2","22","2017-06-30 10:35:10","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4101","12","0","2017-06-21 00:00:00","86","Internal routing board resolution\n","6000","","0.1","600","1","21","2017-06-30 10:35:37","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4102","25","0","2017-05-25 00:00:00","215","Meeting with SLP re DU intervention","100","","2","200","2","22","2017-06-30 10:35:49","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4103","12","0","2017-06-21 00:00:00","91","Internal routing Memorandum filed on 6.19.17\n","0","","0.1","0","1","21","2017-06-30 10:36:06","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4104","25","0","2017-05-26 00:00:00","215","Revised memo on SPV project","100","","3","300","2","22","2017-06-30 10:36:15","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4105","12","0","2017-06-21 00:00:00","64","Internal routing Transmittal of Sec Certs\n","0","","0.1","0","1","21","2017-06-30 10:36:31","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4106","12","0","2017-06-22 00:00:00","81","Internal routing Application for preferential tax\n","0","","0.1","0","1","21","2017-06-30 10:38:17","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4107","12","0","2017-06-22 00:00:00","213","Internal routing TCTs\n","6000","","0.1","600","1","21","2017-06-30 10:38:43","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4108","25","0","2017-05-26 00:00:00","183","(Romar BPO, Inc.) Drafted internal memo on status of incorporation","0","","2","0","2","22","2017-06-30 10:39:11","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4109","12","0","2017-06-22 00:00:00","221","Internal routing GIS &amp; Sec Cert\n","6000","","0.1","600","1","21","2017-06-30 10:39:15","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4110","25","0","2017-05-26 00:00:00","163","(LHC CTA Case 9188) Drafted Reply re Request for Admission","0","","4","0","2","22","2017-06-30 10:40:07","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4111","12","0","2017-06-22 00:00:00","99","Internal routing sec certs &amp; board res\n","0","","0.1","0","1","21","2017-06-30 10:40:44","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4112","25","0","2017-05-29 00:00:00","214","Drafted internal memo re status (need for TIN)","0","","2","0","2","22","2017-06-30 10:40:59","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4113","12","0","2017-06-22 00:00:00","81","Internal routing Memo\n","0","","0.1","0","1","21","2017-06-30 10:41:39","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4114","25","0","2017-05-29 00:00:00","183","Requirements re exporting fruits","0","","4","0","2","22","2017-06-30 10:41:43","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4115","12","0","2017-06-22 00:00:00","172","Internal routing letter to BIR No. 39\n","0","","0.1","0","1","21","2017-06-30 10:42:23","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4116","25","0","2017-05-29 00:00:00","163","Revised the MOA","0","","4","0","2","22","2017-06-30 10:42:32","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4117","25","0","2017-05-30 00:00:00","215","Revised the memo on SPV project","100","","3","300","2","22","2017-06-30 10:43:07","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4118","12","0","2017-06-22 00:00:00","47","Internal routing transmittal of Cert. of AOI\n","0","","0.1","0","1","21","2017-06-30 10:43:27","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4119","12","0","2017-06-22 00:00:00","120","Internal routing TSN dtd March 29, 2017 &amp; TSN dtd May 3, 2017\n\n","0","","0.2","0","1","21","2017-06-30 10:44:00","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4120","12","0","2017-06-22 00:00:00","128","Internal routing Supply agreement b/w LHAI &amp; HPI, HRDC &amp; HPI\n","0","","0.1","0","1","21","2017-06-30 10:45:13","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4121","12","0","2017-06-27 00:00:00","81","Internal routing Transmittal of preferential tax of Renato Eje Jr., Ben John Tormon\n","0","","0.1","0","1","21","2017-06-30 10:45:40","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4122","12","0","2017-06-27 00:00:00","182","Internal routing GIS 2017\n","200","","0.1","20","1","21","2017-06-30 10:46:06","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4123","12","0","2017-06-27 00:00:00","202","Internal routing transmittal letter to BIR\n","0","","0.1","0","1","21","2017-06-30 10:47:04","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4124","12","0","2017-06-27 00:00:00","221","Internal routing Certificate of Incorporation\n","6000","","0.1","600","1","21","2017-06-30 10:47:38","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4125","12","0","2017-06-27 00:00:00","91","Internal routing Transmittal of memorandum\n","0","","0.1","0","1","21","2017-06-30 10:47:56","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4126","12","0","2017-06-27 00:00:00","11","Internal routing Order dtd 6.13.17\n","0","","0.1","0","1","21","2017-06-30 11:16:35","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4127","12","0","2017-06-27 00:00:00","120","Internal routing Order dtd 6.14.17\n","0","","0.1","0","1","21","2017-06-30 11:17:15","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4128","25","0","2017-05-30 00:00:00","215","Traveled to BOI to clarify remaining questions for SPV memo","0","","4","0","2","22","2017-06-30 14:17:48","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4129","25","0","2017-05-31 00:00:00","163","(Clarus RCM) Drafted memo re update and need for info for post incorporation registrations","0","","2","0","2","22","2017-06-30 14:18:46","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4130","25","0","2017-05-31 00:00:00","163","(Marubeni) Meeting with GVF and DRP re memo for client on Mr. Kano-san assignment as VP","0","","3","0","2","22","2017-06-30 14:19:46","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4131","25","0","2017-06-01 00:00:00","214","Supervised filing of outstanding documents","0","","3","0","2","22","2017-06-30 14:20:24","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4132","25","0","2017-06-01 00:00:00","214","Drafted application for TIN","0","","3","0","2","22","2017-06-30 14:20:46","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4133","25","0","2017-06-01 00:00:00","163","(Clarus RCM) Drafted memo re authority of MPF to act, as per License to Operate","0","","3","0","2","22","2017-06-30 14:21:25","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4134","25","0","2017-06-01 00:00:00","163","(Clarus RCM) Drafted email memo re outstanding documents","0","","3","0","2","22","2017-06-30 14:21:59","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4135","25","0","2017-06-01 00:00:00","163","(Clarus RCM) Supervised filing for business registration","0","","3","0","2","22","2017-06-30 14:22:29","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4136","25","0","2017-06-01 00:00:00","183","(Romar BPO, Inc.) Supervised filing of outstanding documents","0","","3","0","2","22","2017-06-30 14:23:04","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4137","25","0","2017-06-01 00:00:00","163","(Clarus RCM) Drafted email memo re outstanding documents and further clarifications re x-ray requirement","0","","3","0","2","22","2017-06-30 14:23:45","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4138","25","0","2017-06-02 00:00:00","185","Revised Due Diligence","0","","4","0","2","22","2017-06-30 14:24:17","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4139","25","0","2017-06-05 00:00:00","163","(FEATI) Revised MOA on scholarship","0","","4","0","2","22","2017-06-30 14:25:02","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4140","25","0","2017-06-05 00:00:00","185","Revised Due Diligence","0","","4","0","2","22","2017-06-30 14:25:32","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4141","25","0","2017-06-05 00:00:00","210","Researched on memo re tax free exchanges","3000","","3","9000","2","22","2017-06-30 14:25:58","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4142","25","0","2017-06-05 00:00:00","203","Drafted Request for Ruling","0","","4","0","2","22","2017-06-30 14:26:51","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4143","25","0","2017-06-06 00:00:00","203","Revised Request for Ruling","0","","4","0","2","22","2017-06-30 14:27:16","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4144","25","0","2017-06-06 00:00:00","203","Meeting with EMP re Request for Ruling","0","","2","0","2","22","2017-06-30 14:27:48","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4145","25","0","2017-06-06 00:00:00","163","Researched on RA 7729 as EMP instructed","0","","2","0","2","22","2017-06-30 14:28:20","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4146","25","0","2017-06-06 00:00:00","163","(ATI Konsulta) Meeting with GVF re remedy after DOLE denial fo AEP application","0","","3","0","2","22","2017-06-30 14:29:07","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4147","25","0","2017-06-06 00:00:00","151","Supervised filing of visa application for Khita Hua","2500","","3","7500","2","22","2017-06-30 14:29:38","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4148","25","0","2017-06-06 00:00:00","203","Wrote email to Badeth re need for certificate of registration","0","","2","0","2","22","2017-06-30 14:30:23","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4149","25","0","2017-06-06 00:00:00","210","Researched on rulings on de facto merger","3000","","2","6000","2","22","2017-06-30 14:30:50","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4150","25","0","2017-06-06 00:00:00","210","Revised memo on land transfer","0","","4","0","2","22","2017-06-30 14:31:10","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4151","25","0","2017-06-07 00:00:00","163","(ATI Konsulta) Drafted MR, Affidavits","0","","5","0","2","22","2017-06-30 14:31:43","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4152","25","0","2017-06-07 00:00:00","215","Supervised filing of memo (prepared attachments)","100","","2","200","2","22","2017-06-30 14:32:10","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4153","25","0","2017-06-08 00:00:00","163","Attended seminar for BI accreditation ","0","","8","0","2","22","2017-06-30 14:32:41","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4154","25","0","2017-06-08 00:00:00","151","Supervised filing of visa application for Khita Hua","2500","","2","5000","2","22","2017-06-30 14:33:06","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4155","25","0","2017-06-09 00:00:00","163","Attended seminar for BI accreditation","0","","8","0","2","22","2017-06-30 14:33:36","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4156","25","0","2017-06-09 00:00:00","163","(Clarus RCM) Drafted 2017 GIS","0","","3","0","2","22","2017-06-30 14:34:17","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4157","12","0","2017-06-30 00:00:00","63","Internal routing letter to BIR Dep Com. Aranas\n","0","","0.1","0","1","21","2017-07-03 09:51:31","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4158","12","0","2017-06-30 00:00:00","64","Internal routing transmittal of Sec Certs to Mr. Sioting\n","0","","0.1","0","1","21","2017-07-03 09:52:55","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4159","12","0","2017-06-30 00:00:00","143","Internal routing motion for commissioning of independent CPA\n","0","","0.1","0","1","21","2017-07-03 09:53:55","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4160","12","0","2017-06-30 00:00:00","213","Internal routing CTCs of Titles\n","6000","","0.1","600","1","21","2017-07-03 09:56:33","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4161","12","0","2017-06-30 00:00:00","158","Internal routing letter to BIR RDO 39 re issuance of tax clearance certificate and CAR\n","6000","","0.1","600","1","21","2017-07-03 09:58:54","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4162","12","0","2017-06-30 00:00:00","111","Internal routing Amended GIS 2017\n","0","","0.1","0","1","21","2017-07-03 09:59:18","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4163","12","0","2017-06-30 00:00:00","189","Internal routing Amended GIS 2017\n","0","","0.1","0","1","21","2017-07-03 09:59:42","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4164","12","0","2017-06-30 00:00:00","127","Internal routing Amended GIS 2017\n","0","","0.1","0","1","21","2017-07-03 10:00:08","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4165","12","0","2017-06-30 00:00:00","112","Internal routing Amended GIS 2017\n","0","","0.1","0","1","21","2017-07-03 10:00:38","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4166","12","0","2017-06-30 00:00:00","110","Internal routing Amended GIS 2017\n","0","","0.1","0","1","21","2017-07-03 10:01:06","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4167","12","0","2017-06-30 00:00:00","64","Internal routing Amended GIS 2017\n","0","","0.1","0","1","21","2017-07-03 10:01:40","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4168","16","0","2017-06-26 00:00:00","163","Holiday: End of Ramadan","0","","8","0","1","16","2017-07-03 16:14:29","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4169","16","0","2017-06-27 00:00:00","163","Performed Other Service: Vacation Leave","0","","8","0","1","16","2017-07-03 16:14:42","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4170","16","0","2017-06-28 00:00:00","163","Performed Other Service: Vacation Leave","0","","8","0","1","16","2017-07-03 16:14:58","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4171","16","0","2017-06-29 00:00:00","163","Performed Other Service: Vacation Leave","0","","8","0","1","16","2017-07-03 16:16:02","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4172","16","0","2017-06-30 00:00:00","163","Performed Other Service: Vacation Leave","0","","8","0","1","16","2017-07-03 16:16:18","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4173","12","0","2017-07-03 00:00:00","47","Internal routing certificate of filing of AAOI\n","0","","0.1","0","1","21","2017-07-04 10:17:02","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4174","12","0","2017-07-03 00:00:00","48","Internal routing certificate of filing of AAOI\n","0","","0.1","0","1","21","2017-07-04 10:17:31","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4175","12","0","2017-07-03 00:00:00","182","Internal routing transmittal to BDO notarized Egovernment payment services letter agreement\n","200","","0.1","20","1","21","2017-07-04 10:18:14","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4176","12","0","2017-07-03 00:00:00","169","Internal routing GIS 2017\n","0","","0.1","0","1","21","2017-07-04 10:18:40","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4177","12","0","2017-07-03 00:00:00","183","Internal routing stock &amp; transfer book\nof Romar","0","","0.1","0","1","21","2017-07-04 10:19:08","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4178","12","0","2017-07-03 00:00:00","221","Internal routing stock &amp; transfer book\n","6000","","0.1","600","1","21","2017-07-04 10:19:31","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4179","12","0","2017-07-03 00:00:00","91","Internal routing notice of resolution dtd. 6-28-2017\n","0","","0.1","0","1","21","2017-07-04 10:19:54","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4180","12","0","2017-07-03 00:00:00","139","Internal routing notice of resolution dtd. 6-28-2017\n","0","","0.1","0","1","21","2017-07-04 10:21:34","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4181","12","0","2017-07-03 00:00:00","143","Internal routing Order dtd 6.13.17\n","0","","0.1","0","1","21","2017-07-04 10:21:57","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4182","12","0","2017-07-03 00:00:00","67","Internal routing Certificate of title\n","0","","0.1","0","1","21","2017-07-04 10:22:26","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4183","19","0","2017-04-18 00:00:00","97","Reviewed capital markets Shareholders Agreements and Partnership Agreements","2500","","2","5000","1","19","2017-07-04 10:51:25","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4184","19","0","2017-04-18 00:00:00","212","Internally discussed on Answer to Complaint","3000","","0.3","900","1","19","2017-07-04 10:54:06","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4185","12","0","2017-07-04 00:00:00","221","Conferred with Tracy re: Licensing Invoicing ","6000","","1.5","9000","1","12","2017-07-04 11:10:55","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4186","16","0","2017-07-04 00:00:00","221","Received telephone call from Tracy Chen re: Amendment of AOI and BIR/Mayor\'s Permit update","3500","","0.4","1400","1","16","2017-07-04 11:41:04","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("4187","16","0","2017-07-04 00:00:00","221","Conference call with EMP and Tracy Chen re: HavenAsia licensing/tax matters","3500","","1.2","4200","1","16","2017-07-04 11:41:37","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("4188","16","0","2017-07-04 00:00:00","163","Drafted DST Return for Intelligens Loan Agreement","0","","0.4","0","1","16","2017-07-04 11:42:07","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4189","16","0","2017-07-03 00:00:00","90","Internally discussed with GVF and FGS re: Joanne Francisco MR","0","","0.4","0","1","16","2017-07-04 11:42:47","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4190","16","0","2017-07-03 00:00:00","90","Reviewed case files in preparation for MR drafting","0","","1","0","1","16","2017-07-04 11:43:19","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4191","16","0","2017-07-03 00:00:00","143","Reviewed JA of Mr. Wilfrido Rodriguez (new ICPA) and Compliance","2500","","0.75","1875","1","16","2017-07-04 11:44:15","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4192","16","0","2017-07-03 00:00:00","142","Drafted status update re: June 29 hearing attended by EMP and FGS","2500","","0.3","750","1","16","2017-07-04 11:45:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4193","16","0","2017-07-03 00:00:00","56","Drafted Sec Cert and minutes for Land Bank vendor accreditation","0","","0.75","0","1","16","2017-07-04 11:45:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4194","16","0","2017-07-03 00:00:00","163","Reviewed/proofread EMP\'s article on waivers","0","","1","0","1","16","2017-07-04 11:46:29","","","2","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4195","16","0","2017-07-03 00:00:00","90","Researched on contempt for MR","0","","4","0","1","16","2017-07-04 11:46:49","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4196","16","0","2017-07-04 00:00:00","86","Attended SH and BOD meeting","2500","","1","2500","1","16","2017-07-04 17:05:38","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4197","16","0","2017-07-04 00:00:00","86","Drafted minutes of SH and BOD meetings","2500","","1.25","3125","1","16","2017-07-04 17:05:52","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4198","16","0","2017-07-04 00:00:00","48","Internally discussed with EMP re: increase of capital stock ","0","","0.3","0","1","16","2017-07-04 17:06:11","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4199","16","0","2017-07-04 00:00:00","48","Reviewed Cemco minutes to find minutes approving return of deposit for future subscription / Reviewed AFS for 2016","0","","1","0","1","16","2017-07-04 17:06:38","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4200","16","0","2017-07-04 00:00:00","142","Reviewed status update/converted to formal latter","2500","","0.3","750","1","16","2017-07-04 17:07:06","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4201","16","0","2017-07-04 00:00:00","143","Received telephone call from Ada Santiago-Aquino re: meeting with Arazeli Malapad","2500","","0.2","500","1","16","2017-07-04 17:07:33","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("4202","16","0","2017-07-04 00:00:00","85","Reviewed newly issued CAR for Sara Ongsun\'s TGPI shares","0","","0.4","0","1","16","2017-07-04 17:07:59","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4203","16","0","2017-07-04 00:00:00","217","Made telephone call to Cherry Calleja re: passport for notarization of Dojesta Sec Cert","120","","0.2","24","1","16","2017-07-04 17:08:27","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("4204","16","0","2017-07-04 00:00:00","221","Wrote emails to Tracy Chen re: update on amendment of AOI process","3500","","0.5","1750","1","16","2017-07-04 17:09:11","16","2017-07-04 17:17:24","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4205","16","0","2017-07-04 00:00:00","81","Internally discussed with EMP re: submission to BOI of applications for new affiliates previously omitted","0","","0.4","0","1","16","2017-07-04 17:11:19","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4206","12","0","2017-07-03 00:00:00","221","Wrote email to TRACY","0","","0.3","0","1","12","2017-07-04 17:38:00","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4207","12","0","2017-07-04 00:00:00","48","Examined documents; email to Shirley","0","","1.5","0","1","12","2017-07-04 17:41:26","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("4208","12","0","2017-07-03 00:00:00","48","Examined documents","0","","1.5","0","1","12","2017-07-04 17:43:05","","","1","00:00:00","00:00:00","5");
INSERT INTO file_billing_tbl VALUES("4209","16","0","2017-07-04 00:00:00","163","Reviewed KRA\'s memo on investment advice (Strongvieiw/Anton Romulo)","0","","1","0","1","16","2017-07-04 17:48:22","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4210","12","0","2017-07-03 00:00:00","86","Annual SM and BOD meeting by teleconference","6000","","0.45","2700","1","12","2017-07-04 17:48:31","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4211","12","0","2017-07-04 00:00:00","213","Reviewed of Tripartite Memorandum of Agreement","6000","","1.5","9000","1","12","2017-07-04 18:37:39","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4212","12","0","2017-07-04 00:00:00","196","Internally discussed with Dianne","0","","0.5","0","1","12","2017-07-04 18:39:49","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4213","16","0","2017-06-23 00:00:00","11","Finalized Supplemental FOE, reviewed documentary attachments, supervised filing","0","","3","0","1","16","2017-07-05 12:08:11","16","2017-07-05 12:22:13","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4214","16","0","2017-06-19 00:00:00","11","Reviewed files/drafted supplemental FOE","0","","3","0","1","16","2017-07-05 12:08:57","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4215","16","0","2017-06-20 00:00:00","221","Internally discussed with Ms Lyn re: requirements for GIS filing, TINs of directors/shareholders; monitored status","3500","","1","3500","1","16","2017-07-05 12:10:20","16","2017-07-05 12:10:29","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4216","16","0","2017-06-20 00:00:00","143","Internally discussed with KRA re: submission of new JA of ICPA (Wilfrido Rodriguez)","2500","","0.4","1000","1","16","2017-07-05 12:12:04","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4217","16","0","2017-06-20 00:00:00","143","Wrote email to Atty Golda re: Mr. Wilfrido Rodriguez\'s credentials as ICPA","0","","0.2","0","1","16","2017-07-05 12:12:37","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4218","16","0","2017-06-20 00:00:00","217","Drafted BOD and SH minutes, and indemnity letters","120","","1.5","180","1","16","2017-07-05 12:13:27","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4219","16","0","2017-06-20 00:00:00","47","Internally discussed with docket and Ms Lyn re: transmittal of Certificate of Filing of Amended Articles to Atty. Wilwayco of CAGAT Law","0","","0.4","0","1","16","2017-07-05 12:14:32","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4220","16","0","2017-06-20 00:00:00","81","Revised/reviewed Malaysia MSA","0","","2","0","1","16","2017-07-05 12:15:23","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4221","16","0","2017-06-21 00:00:00","163","Performed Other Service: sick leave in the am","0","","4","0","1","16","2017-07-05 12:16:50","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4222","16","0","2017-06-20 00:00:00","217","Reviewed Dojesta minutes, Sec Certs, board resolutions and other documentation","120","","1","120","1","16","2017-07-05 12:17:36","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4223","16","0","2017-06-20 00:00:00","11","Further revised Supplemental FOE and reviewed documentation that needs to be remarked","0","","1.5","0","1","16","2017-07-05 12:19:03","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4224","16","0","2017-06-23 00:00:00","142","Drafted Motion to Resolve Objection/Motion for Issuance of Subpoena Ad Testificandum","2500","","2","5000","1","16","2017-07-05 12:20:08","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4225","16","0","2017-06-23 00:00:00","142","Internally discussed with EMP re: Project Leo 9188 Motion","2500","","0.3","750","1","16","2017-07-05 12:20:24","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4226","16","0","2017-06-23 00:00:00","142","Revised Motion to Resolve Objection/Supervised filing","0","","1.5","0","1","16","2017-07-05 12:20:49","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4227","16","0","2017-06-23 00:00:00","220","Drafted tax calculations for Esther Ng and Ng-family owned corporations","3500","","5","17500","1","16","2017-07-05 12:22:03","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4228","16","0","2017-07-05 00:00:00","221","Drafted memo on illustration of royalty tax payments","3500","","4","14000","1","16","2017-07-05 12:54:03","16","2017-07-05 17:08:05","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4229","16","0","2017-07-05 00:00:00","81","Internally discussed with EMP and RHO re: reporting of affiliates / status of applications","0","","0.5","0","1","16","2017-07-05 12:59:26","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4230","16","0","2017-07-05 00:00:00","38","Further drafted/revised MSPI RTA per discussion with EMP","0","","1","0","1","16","2017-07-05 17:05:28","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4231","16","0","2017-07-05 00:00:00","163","Internal discussion with and reviewed work of KRA re: memo for Strongview/Anton Romulo re: investment advisers","0","","1.5","0","1","16","2017-07-05 17:06:13","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4232","16","0","2017-07-05 00:00:00","86","Revised ASM minutes and sent email to Sara Gutierrez","2500","","0.4","1000","1","16","2017-07-05 17:07:47","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4233","16","0","2017-07-05 00:00:00","169","Reviewed informed consent form/Security Bank MOA","0","","1","0","1","16","2017-07-05 17:08:45","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4234","12","0","2017-07-04 00:00:00","144","Internal routing GIS 2017\n","0","","0.1","0","1","21","2017-07-06 09:57:20","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4235","12","0","2017-07-04 00:00:00","213","Internal routing Certification from Tanauan Batangas\n","6000","","0.1","600","1","21","2017-07-06 09:57:45","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4236","12","0","2017-07-04 00:00:00","85","Internal routing CAR\n","0","","0.1","0","1","21","2017-07-06 09:58:35","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4237","12","0","2017-07-04 00:00:00","189","Internal routing Sec. Cert\n","0","","0.1","0","1","21","2017-07-06 09:59:01","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4238","12","0","2017-07-04 00:00:00","120","Internal routing FOE\n","0","","0.1","0","1","21","2017-07-06 09:59:26","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4239","12","0","2017-07-04 00:00:00","47","Internal routing Minutes held on June 20, 2017\n","0","","0.1","0","1","21","2017-07-06 09:59:51","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4240","12","0","2017-07-04 00:00:00","48","Internal routing Minutes held on June 20, 2017\n","0","","0.1","0","1","21","2017-07-06 10:00:12","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4241","12","0","2017-07-04 00:00:00","219","Internal routing Documents from Kat Mamba \n","6000","","0.1","600","1","21","2017-07-06 10:00:40","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4242","12","0","2017-07-05 00:00:00","183","Internal routing BIR Form 2000-DST &amp; payment form of Romar","0","","0.1","0","1","21","2017-07-06 10:01:22","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4243","12","0","2017-07-05 00:00:00","143","Internal routing compliance\n","0","","0.1","0","1","21","2017-07-06 10:02:53","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4244","16","0","2017-07-06 00:00:00","163","Attended meeting at HPI with Jena Rojas, EMP, SLP re: Holcim Simplification","0","","1.25","0","1","16","2017-07-06 17:41:58","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4245","16","0","2017-07-06 00:00:00","163","Traveled to and from HPI office for Holcim Simplification meeting","0","","1.5","0","1","16","2017-07-06 17:42:28","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4246","16","0","2017-07-06 00:00:00","163","Attended meeting with new client (Friendlycare Foundation) with EMP","0","","1.2","0","1","16","2017-07-06 17:42:54","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4247","16","0","2017-07-06 00:00:00","169","Reviewed work of KRA re: review of Pacific Cross Agreement","0","","1","0","1","16","2017-07-06 17:43:13","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4248","16","0","2017-07-06 00:00:00","56","Followed-up status of Sec Cert with Ms. Lyn/Wrote email to Jatrina Chua re: Sec Cert for Land Bank vendor accreditation","0","","0.3","0","1","16","2017-07-06 17:43:49","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4249","16","0","2017-07-06 00:00:00","163","Internally discussed with KRA re: research for Friendlycare Foundation tax exemption issue","0","","0.3","0","1","16","2017-07-06 17:44:21","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4250","16","0","2017-07-06 00:00:00","212","Reviewed files in preparation for mediation/discussed with GVF re: Sec Cert","3000","","0.75","2250","1","16","2017-07-06 18:11:47","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4251","12","0","2017-07-06 00:00:00","172","Conferred with SLP/FGS","0","","1.2","0","1","12","2017-07-06 19:36:30","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4252","12","0","2017-07-06 00:00:00","172","Wrote letter to Jena","0","","1.5","0","1","12","2017-07-06 19:36:53","","","1","00:00:00","00:00:00","9");
INSERT INTO file_billing_tbl VALUES("4253","12","0","2017-07-05 00:00:00","172","Wrote letter to Jena","0","","1.5","0","1","12","2017-07-06 19:37:19","","","1","00:00:00","00:00:00","9");
INSERT INTO file_billing_tbl VALUES("4254","12","0","2017-07-05 00:00:00","213","Performed Other Service - Coordinating DD report","6000","","0.5","3000","1","12","2017-07-06 19:38:23","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4255","12","0","2017-07-05 00:00:00","66","Internally discussed with SAM re new agreements for review","0","","0.3","0","1","12","2017-07-06 19:39:39","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4256","12","0","2017-07-05 00:00:00","188","Performed Other Service - coordination with Ian/Gemma","6000","","0.5","3000","1","12","2017-07-06 19:40:19","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4257","12","0","2017-07-06 00:00:00","152","Drafted letter to BIR; internal discussion with RHO","0","","0.5","0","1","12","2017-07-06 19:44:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4258","16","0","2017-07-07 00:00:00","212","Attended mediation for Growl v Tradeshow","0","","2","0","1","16","2017-07-10 14:13:51","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("4259","16","0","2017-07-10 00:00:00","85","Traveled to Paranaque RD to confer with Registrar of Deeds on transfer of TGP Land title","0","","1.2","0","1","16","2017-07-10 14:14:52","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4260","16","0","2017-07-10 00:00:00","85","Conferred with Registrar of Deeds on transfer of TGP Land title/conferred with City Treasurer re: unpaid property taxes","0","","4.2","0","1","16","2017-07-10 14:15:16","16","2017-07-25 13:28:02","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4261","16","0","2017-07-10 00:00:00","221","Internally discussed with EMP re HavenAsia followup memo on royalty computations","3500","","0.75","2625","1","16","2017-07-10 14:15:55","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4262","16","0","2017-07-10 00:00:00","221","Revised followup memo on royalty tax computations based on discussion with EMP","3500","","2","7000","1","16","2017-07-10 14:16:19","16","2017-07-25 13:22:48","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4263","12","0","2017-07-11 00:00:00","134","Performed Other Service, signed letter to BIR RDO No. 49 re closing of open &quot;Stop Filer&quot; case","180","","0.1","18","1","21","2017-07-11 16:07:52","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4264","12","0","2017-07-11 00:00:00","81","Performed Other Service signed letter of intent to Bureau of Investments re Updated list of Switzerland and USA Affiliates","0","","0.2","0","1","21","2017-07-11 16:08:57","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4265","12","0","2017-07-11 00:00:00","81","Performed Other Service, signed letter of intent to BOI re Amended updated list of Singaporean affiliates","0","","0.2","0","1","21","2017-07-11 16:10:00","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4266","12","0","2017-07-11 00:00:00","134","Performed Other Service, signed management\'s responsibility for Annual ITR &amp; FS","180","","0.2","36","1","21","2017-07-11 16:10:40","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4267","12","0","2017-07-11 00:00:00","221","Performed Other Service, signed management\'s responsibility of Annual ITR &amp; FS","6000","","0.2","1200","1","21","2017-07-11 16:11:14","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4268","12","0","2017-07-11 00:00:00","19","Performed Other Service, review &amp; signed Secretary\'s Certificate for senior high-school","0","","0.2","0","1","21","2017-07-11 17:38:14","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4269","12","0","2017-07-11 00:00:00","19","Performed Other Service, review &amp; signed Minutes for SH","0","","0.2","0","1","21","2017-07-11 17:40:19","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4270","12","0","2017-07-06 00:00:00","81","Internal routing Letter to BOI re Amended updated list of Malaysian affiliates\n","0","","0.1","0","1","21","2017-07-11 17:42:25","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4271","12","0","2017-07-06 00:00:00","142","Internal routing notice of hearing\n","0","","0.1","0","1","21","2017-07-11 17:42:49","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4272","12","0","2017-07-10 00:00:00","139","Internal routing notice of resolution dtd 7.7.17\n","0","","0.1","0","1","21","2017-07-11 17:43:31","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4273","12","0","2017-07-06 00:00:00","93","Internal routing notice of resolution dtd 7.5.17\n","0","","0.1","0","1","21","2017-07-11 17:44:00","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4274","12","0","2017-07-06 00:00:00","142","Internal routing Order dtd 6.29.17\n","0","","0.1","0","1","21","2017-07-11 17:44:27","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4275","12","0","2017-07-06 00:00:00","120","Internal routing comment/opposition\n","0","","0.1","0","1","21","2017-07-11 17:44:45","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4276","12","0","2017-07-06 00:00:00","213","Internal routing Certification from Tanauan Batangas\n","6000","","0.1","600","1","21","2017-07-11 17:45:05","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4277","12","0","2017-07-06 00:00:00","134","Internal routing Maybank statement of acct.\n","180","","0.1","18","1","21","2017-07-11 17:45:25","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4278","12","0","2017-07-06 00:00:00","196","Internal routing Sec. Certs\n","0","","0.1","0","1","21","2017-07-11 17:45:43","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4279","12","0","2017-07-06 00:00:00","81","Internal routing Notification update form \n","0","","0.1","0","1","21","2017-07-11 17:48:32","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4280","12","0","2017-07-06 00:00:00","128","Internal routing Letter to William de Lumley &amp; Carmel Necor, notarized deed of absolute sale\n","0","","0.1","0","1","21","2017-07-11 17:48:54","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4281","12","0","2017-07-06 00:00:00","196","Internal routing transmittal of documents\n","0","","0.1","0","1","21","2017-07-11 17:49:15","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4282","12","0","2017-07-06 00:00:00","64","Internal routing Transmittal of Sec. Certs, Southern cross, limay, HPMC\n","0","","0.1","0","1","21","2017-07-11 17:49:49","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4283","12","0","2017-07-11 00:00:00","63","Conferred with  Allen - re final turn-over report","0","","1.75","0","1","12","2017-07-11 19:20:07","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4284","12","0","2017-07-11 00:00:00","188","Wrote letter/email to client","6000","","0.5","3000","1","12","2017-07-11 19:20:41","","","1","00:00:00","00:00:00","9");
INSERT INTO file_billing_tbl VALUES("4285","12","0","2017-07-11 00:00:00","128","Drafted Hard Rock Agreement","0","","1.2","0","1","12","2017-07-11 19:22:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4286","12","0","2017-07-11 00:00:00","158","Wrote email to Sonny Nisce","6000","","0.5","3000","1","12","2017-07-11 19:22:25","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4287","12","0","2017-07-11 00:00:00","104","Wrote email/what/s app to Sharon re taxes on potential sale of condo owned by One Versace","6000","","0.3","1800","1","12","2017-07-11 19:24:20","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4288","26","0","2017-06-19 00:00:00","87","Internally discussed with GVF","2500","","0.3","750","1","26","2017-07-12 11:47:58","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4289","26","0","2017-06-19 00:00:00","80","Internally discussed with GVF","0","","0.25","0","1","26","2017-07-12 11:48:27","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4290","26","0","2017-06-19 00:00:00","80","Researched on non-dimunition","0","","1.15","0","1","26","2017-07-12 11:48:50","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4291","26","0","2017-06-19 00:00:00","80","Drafted memo and email to sir GVF","0","","1.3","0","1","26","2017-07-12 11:50:30","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4292","26","0","2017-06-19 00:00:00","63","Internally discussed with SLP","0","","0.15","0","1","26","2017-07-12 11:51:32","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4293","12","0","2017-07-12 00:00:00","220","Conference call with Jocelyn  Ng","6000","","1.25","7500","1","12","2017-07-12 11:57:12","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4294","12","0","2017-07-12 00:00:00","220","Internally discussed with DRP and team","6000","","0.5","3000","1","12","2017-07-12 11:57:26","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4295","12","0","2017-07-12 00:00:00","226","Revised the Second Amendment Agreement; review of original Agreement; internal discussion with SLP; call to Kat Madamba","0","","1.75","0","1","12","2017-07-12 11:58:44","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4296","12","0","2017-07-12 00:00:00","228","Internal discussion with DRP re stock transaction tax on sales outside the PSE","6000","","0.75","4500","1","12","2017-07-12 11:59:32","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4297","12","0","2017-07-11 00:00:00","228","Internally discussed with the team","6000","","1.75","10500","1","12","2017-07-12 12:00:20","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4298","12","0","2017-07-07 00:00:00","228","Internally discussed with team","6000","","1.75","10500","1","12","2017-07-12 12:00:59","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4299","26","0","2017-06-19 00:00:00","63","Researched on Tax free exchange cases and laws issuance, and drafted email to SLP.","0","","4","0","1","26","2017-07-12 13:02:39","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4300","26","0","2017-06-20 00:00:00","87","Researched on BAI procedures ","2500","","1","2500","1","26","2017-07-12 13:03:42","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4301","26","0","2017-06-20 00:00:00","80","Attended meeting with GVF and research on policy, drafted internal memo and email it GVF","0","","8.5","0","1","26","2017-07-12 13:05:58","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4302","26","0","2017-06-20 00:00:00","143","Attended meeting with DRP and reviewed email","2500","","0.15","375","1","26","2017-07-12 13:08:22","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4303","26","0","2017-06-20 00:00:00","63","Attended meeting with SLP","0","","0.3","0","1","26","2017-07-12 13:08:44","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4304","26","0","2017-06-21 00:00:00","63","Attended meeting with SLP, review supplemental letter and draft part of the supplemental letter ","0","","5.3","0","1","26","2017-07-12 13:09:20","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4305","26","0","2017-06-21 00:00:00","63","Attended meeting with SLP executive overreach, research, draft summary, and email to SLP","0","","1.15","0","1","26","2017-07-12 13:10:06","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4306","26","0","2017-06-21 00:00:00","80","Attended meeting with GVF","0","","0.25","0","1","26","2017-07-12 13:10:52","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4307","26","0","2017-06-21 00:00:00","80","Researched on leverage ","0","","0.3","0","1","26","2017-07-12 13:11:18","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4308","26","0","2017-06-21 00:00:00","163","Marubeni Philippines-Attended meeting with DRP and GVF","0","","0.1","0","1","26","2017-07-12 13:11:52","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4309","26","0","2017-06-21 00:00:00","163","Anton Romulo-Attended meeting with GVF and DRP and research on investment adviser","0","","1","0","1","26","2017-07-12 13:13:20","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4310","26","0","2017-06-21 00:00:00","143","Reviewed email and attachments and drafted motion for commissioning ICPA","2500","","0.35","875","1","26","2017-07-12 13:14:02","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4311","12","0","2017-07-12 00:00:00","226","Drafted - Revised Second Amendment (v2) of Sto. Tomas Property","0","","1.5","0","1","12","2017-07-12 13:33:33","12","2017-07-12 13:34:25","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4312","25","0","2017-06-20 00:00:00","215","Meeting with SLP re need to confirm time line for regulatory compliance ","100","","2","200","2","22","2017-07-12 13:38:12","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4313","25","0","2017-06-20 00:00:00","215","Telephone call to Mr. Jose Angeles of DOE re tinmeline","0","","2","0","2","22","2017-07-12 13:39:19","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("4314","26","0","2017-06-22 00:00:00","143","Drafted Judicial Affidavit of Mr. Rodriguez and email to DRP; read email of DRP and called Mr. Rodriguez .","0","","1.28","0","1","26","2017-07-12 13:39:48","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4315","25","0","2017-06-20 00:00:00","215","Internally discussed with SCS re need to confirm timeline for clearance certificate with BOI","0","","1","0","2","22","2017-07-12 13:40:11","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4316","25","0","2017-06-20 00:00:00","215","Internally discussed with SCS re outcome of inquiry with BOI","0","","1","0","0","22","2017-07-12 13:40:35","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4317","26","0","2017-06-22 00:00:00","163","Marubeni-Read Email and attachments, research on data privacy and email","0","","3.15","0","1","26","2017-07-12 13:41:00","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("4318","25","0","2017-06-21 00:00:00","215","Meeting with SCS re outcome of inquiry with BOI","0","","1","0","2","22","2017-07-12 13:41:22","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4319","25","0","2017-06-21 00:00:00","215","Drafted Gantt chart for memo","100","","3","300","2","22","2017-07-12 13:42:08","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4320","25","0","2017-06-21 00:00:00","215","Revised Gantt chart upon SLP instruction","0","","2","0","2","22","2017-07-12 13:42:31","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4321","25","0","2017-07-03 00:00:00","213","Attended meeting with EMP and SLP re due diligence","3000","","2","6000","2","22","2017-07-12 13:52:11","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4322","25","0","2017-07-03 00:00:00","213","Researched on court branches for due diligence","3000","","2","6000","2","22","2017-07-12 13:53:24","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4323","25","0","2017-07-03 00:00:00","213","Travelled to Tanauan and Malvar for due diligence","3000","","6","18000","0","22","2017-07-12 13:53:53","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4324","25","0","2017-07-05 00:00:00","213","Traveled to Tanauan and Malvar for due diligence","0","","6","0","2","22","2017-07-12 13:54:57","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4325","25","0","2017-07-05 00:00:00","213","Revised due diligence report","3000","","2","6000","2","22","2017-07-12 13:55:28","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4326","25","0","2017-07-07 00:00:00","213","Revised due diligence report","0","","3","0","2","22","2017-07-12 13:55:58","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4327","25","0","2017-06-13 00:00:00","143","Attended at hearing at CTA fro Mr. Mendoza commissioning","2500","","3","7500","2","22","2017-07-12 14:27:07","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("4328","25","0","2017-06-13 00:00:00","139","Drafted MR","2500","","3","7500","2","22","2017-07-12 14:27:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4329","25","0","2017-06-15 00:00:00","183","(Romar BPO, Inc.) Meeting with SLP re Romar incorporation","0","","2","0","2","22","2017-07-12 14:31:25","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4330","25","0","2017-06-15 00:00:00","172","Revised letter to RDO 39","0","","2","0","2","22","2017-07-12 14:32:04","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4331","25","0","2017-06-15 00:00:00","198","Researched on requirement for dependent visa for 9G visa applicant\'s dependent","2500","","2","5000","2","22","2017-07-12 14:32:46","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4332","25","0","2017-06-15 00:00:00","198","Drafted internal memo for GVF re dependents visa","2500","","1","2500","2","22","2017-07-12 14:33:31","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4333","25","0","2017-06-14 00:00:00","10","Meeting with EMP and SLP re Alsons CAR application","0","","2","0","2","22","2017-07-12 14:34:09","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4334","25","0","2017-06-15 00:00:00","198","Telephone call to Ms. Judy Angeles of BI","2500","","1","2500","2","22","2017-07-12 14:35:42","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("4335","25","0","2017-06-16 00:00:00","182","Supervised filing of Form 1904 (Registration) of directors for GIS filing","120","","1","120","2","22","2017-07-12 14:37:04","22","2017-07-12 14:37:36","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4336","25","0","2017-06-16 00:00:00","182","Revised GIS","0","","2","0","2","22","2017-07-12 14:38:04","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4337","25","0","2017-06-16 00:00:00","198","(ECCI) Drafted form for visa extension application of Aman Luthra","2500","","2","5000","2","22","2017-07-12 14:39:55","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4338","25","0","2017-06-16 00:00:00","198","(ASSIST) Drafted form for visa extension application of Max Bengtsson","0","","2","0","2","22","2017-07-12 14:40:47","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4339","25","0","2017-06-16 00:00:00","172","Revised matrix re update of CAR applications","0","","2","0","2","22","2017-07-12 14:41:43","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4340","25","0","2017-06-16 00:00:00","198","(ASSIST) Drafted internal memo for GVF re need for visa extension for Bengtsson","2500","","0.5","1250","2","22","2017-07-12 14:42:50","22","2017-07-12 14:44:12","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4341","25","0","2017-06-16 00:00:00","198","(ECCI) Drafted internal memo for GVF re need for visa extension for Luthra","2500","","0.5","1250","2","22","2017-07-12 14:43:28","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4342","25","0","2017-06-20 00:00:00","213","Researched for relevant govt agencies and on requirements for securing documents for due diligence","3000","","2","6000","2","22","2017-07-12 14:45:38","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4343","25","0","2017-06-23 00:00:00","163","Revised Carlo\'s article on waivers","0","","2","0","2","22","2017-07-12 14:46:23","22","2017-07-12 14:46:46","2","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4344","25","0","2017-06-23 00:00:00","139","Meeting with EMP re MR and RR 1-2017","2500","","3","7500","2","22","2017-07-12 14:47:19","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4345","25","0","2017-06-23 00:00:00","188","Meeting with EMP re status of ICC application","3000","","2","6000","2","22","2017-07-12 14:48:05","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4346","25","0","2017-06-23 00:00:00","188","Travelled to RDO 49 re ICC application","0","","2","0","2","22","2017-07-12 14:51:14","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4347","25","0","2017-06-23 00:00:00","188","Drafted internal memo on status of ICC application","0","","2","0","2","22","2017-07-12 14:51:43","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4348","25","0","2017-06-23 00:00:00","182","Wrote email to HR Clarus re need for x-ray result","120","","1","120","2","22","2017-07-12 14:52:38","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4349","25","0","2017-06-27 00:00:00","134","Meeting with Sudarshan re labor concerns","100","","3","300","2","22","2017-07-12 14:59:25","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4350","25","0","2017-06-27 00:00:00","163","Meeting with EMP and SCS re article on waiver","0","","2","0","2","22","2017-07-12 15:00:06","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4351","25","0","2017-06-27 00:00:00","143","Drafted Motion for commissioning","2500","","3","7500","2","22","2017-07-12 15:00:35","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4352","25","0","2017-06-27 00:00:00","143","Drafted Compliance","2500","","1","2500","2","22","2017-07-12 15:01:15","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4353","25","0","2017-06-27 00:00:00","183","(Romar BPO, Inc.) Revised post incorporation matrix","0","","2","0","2","22","2017-07-12 15:02:14","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4354","25","0","2017-06-27 00:00:00","198","Drafted internal memo for GVF re permit for less than 6 months of gainful employment","2500","","3","7500","2","22","2017-07-12 15:03:17","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4355","25","0","2017-06-28 00:00:00","151","Meeting with SLP re update","2500","","1","2500","2","22","2017-07-12 15:07:52","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4356","25","0","2017-06-28 00:00:00","169","Supervised filing of GIS","0","","1","0","2","22","2017-07-12 15:08:15","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4357","25","0","2017-06-28 00:00:00","169","Wrote email to DRP re update","0","","1","0","2","22","2017-07-12 15:08:41","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4358","25","0","2017-06-28 00:00:00","169","Wrote email to client re need for TIN and address of new president","0","","1","0","2","22","2017-07-12 15:09:02","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4359","25","0","2017-06-28 00:00:00","172","Meeting with SLP and RHO re update","0","","2","0","2","22","2017-07-12 15:09:50","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4360","25","0","2017-06-28 00:00:00","134","Wrote email to Ms. Gemma  re eFPS enrollment","100","","1","100","2","22","2017-07-12 15:10:48","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4361","25","0","2017-06-28 00:00:00","198","Meeting with GVF re proposal for SWP","2500","","1","2500","2","22","2017-07-12 15:11:25","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4362","25","0","2017-06-28 00:00:00","198","Revised the proposal re SWP to reflect update on requirements and fees involved","0","","3","0","2","22","2017-07-12 15:11:56","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4363","25","0","2017-06-28 00:00:00","142","Meeting with SLP re hearing for Mr. Querido\'s ICPA report","2500","","3","7500","2","22","2017-07-12 15:12:33","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4364","25","0","2017-06-28 00:00:00","142","Drafted outline for Mr. Querido\'s testimony","0","","2","0","2","22","2017-07-12 15:13:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4365","25","0","2017-06-29 00:00:00","142","Attended at hearing at CTA to present Mr. Querido ","0","","4","0","2","22","2017-07-12 15:18:27","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("4366","25","0","2017-06-29 00:00:00","142","Meeting with EMP re update on hearing","2500","","1","2500","2","22","2017-07-12 15:19:06","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4367","25","0","2017-06-29 00:00:00","221","Drafted status update on AOI amendment","3500","","2","7000","2","22","2017-07-12 15:19:39","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4368","25","0","2017-06-30 00:00:00","188","Drafted letter of intent and board res re ICC application and eFPS enrollment","3000","","2","6000","2","22","2017-07-12 15:20:26","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4369","12","0","2017-07-12 00:00:00","224","Internal routing Order dated 6.30.17\n","6000","","0.1","600","1","21","2017-07-13 13:50:15","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4370","12","0","2017-07-12 00:00:00","81","Internal routing transmittal of letter to BOI\n","0","","0.1","0","1","21","2017-07-13 13:52:30","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4371","12","0","2017-07-12 00:00:00","155","Internal routing transmittal of Sec. Certs &amp; Minutes\n","6000","","0.1","600","1","21","2017-07-13 13:52:55","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4372","12","0","2017-07-12 00:00:00","128","Internal routing Transmittal of Amended GIS 2017, Amended AOI, Sec. Certs. To Jonah Togueno\n","0","","0.1","0","1","21","2017-07-13 13:53:37","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4373","12","0","2017-07-12 00:00:00","56","Internal routing transmittal of Sec. Certs &amp; Minutes\n","0","","0.1","0","1","21","2017-07-13 13:54:00","","","2","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4374","12","0","2017-07-12 00:00:00","11","Internal routing transmittal of order &amp; supplemantal FOE\n","0","","0.1","0","1","21","2017-07-13 13:54:31","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4375","12","0","2017-07-12 00:00:00","81","Internal routing Letter to BOI re Amended updated list of Singaporean affiliates\n","0","","0.1","0","1","21","2017-07-13 13:55:06","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4376","26","0","2017-06-22 00:00:00","80","Drafted memo on leverage, email to GVF and research and draft memo on contract email","0","","2.3","0","1","26","2017-07-14 14:00:40","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4377","26","0","2017-06-22 00:00:00","220","check files, ask for AFS","2500","","0.3","750","1","26","2017-07-14 14:01:52","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4378","26","0","2017-06-22 00:00:00","180","Researched on files.","0","","1","0","1","26","2017-07-14 14:02:41","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4379","26","0","2017-06-22 00:00:00","63","Drafted supplemental letter, and edit draft email to SLP","0","","1.2","0","1","26","2017-07-14 14:03:15","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4380","26","0","2017-06-22 00:00:00","87","Reviewed the files ","2500","","1","2500","1","26","2017-07-14 14:12:20","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4381","26","0","2017-06-23 00:00:00","143","Read Email and reply to Mr. Rodriguez and edited JA of Mr. Rodriguez ","2500","","1.15","2875","1","26","2017-07-14 14:25:48","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("4382","26","0","2017-06-23 00:00:00","180","Researched on jurisdiction of SEC over investment advising on foreign securities, Laws governing investment advising, SRC, Investment House Law, General Banking Law, Bank Manual for bank and non bank institutions, check SEC issuances, opinions regarding the subject matter, definition of Investment Adviser/advising on laws, check cases regarding foreign securities/unregistered securities. Check on when a person advising on investments should be regulated by law.  ","0","","1","0","1","26","2017-07-14 14:42:28","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4383","26","0","2017-06-23 00:00:00","163","case reporting and make digest","0","","1","0","1","26","2017-07-14 14:43:05","","","2","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4384","26","0","2017-06-23 00:00:00","63","Reviewed the draft and research on RA 7716 and EO 273 email to EMP","0","","0.45","0","1","26","2017-07-14 14:43:53","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4385","26","0","2017-06-23 00:00:00","220","Conferred with  DRP and EMP, computation and review computation","2500","","2.1","5250","1","26","2017-07-14 14:45:35","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4386","12","0","2017-07-17 00:00:00","226","Conferred with Kat Madamba","0","","0.5","0","1","12","2017-07-17 09:54:20","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4387","12","0","2017-07-17 00:00:00","228","Reviewed Opinion/Slides","6000","","4.5","27000","1","12","2017-07-19 03:59:46","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4388","12","0","2017-07-14 00:00:00","228","Conferred with Gena","6000","","3.5","21000","1","12","2017-07-19 04:01:32","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4389","12","0","2017-07-10 00:00:00","80","Wrote email to Eolani re update  on BOI filing","0","","0.3","0","1","12","2017-07-19 04:04:30","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4390","12","0","2017-07-10 00:00:00","221","Wrote email to client; reviewed memo; discussion with Dianne","6000","","0.3","1800","1","12","2017-07-19 04:05:00","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4391","12","0","2017-07-17 00:00:00","226","Conferred with Kat Madamba; reviewed draft ","0","","1.25","0","1","12","2017-07-19 04:06:13","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4392","12","0","2017-07-17 00:00:00","14","Conferred with Atty. William Manzares ","0","","1.5","0","1","12","2017-07-19 04:06:59","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4393","12","0","2017-07-17 00:00:00","45","Followed-up work at BIR","0","","1.5","0","1","12","2017-07-19 04:07:57","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("4394","12","0","2017-07-17 00:00:00","10","Conferred with  Nestor Valeroso","0","","2.5","0","1","12","2017-07-19 04:08:26","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4395","12","0","2017-07-18 00:00:00","228","Meetings with Christian, Laurent, Jena &amp; Team","6000","","9.5","57000","1","12","2017-07-19 04:09:08","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4396","16","0","2017-07-20 00:00:00","81","Conference call with EMP, Jon Testor and Reywen delos Reyes re: Malaysia, HPI and LHPI MSAs","0","","0.75","0","1","16","2017-07-20 10:57:58","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("4397","16","0","2017-07-20 00:00:00","135","Internally discussed with KRA re: research 8875 Motion for Reconsideration","2500","","1","2500","1","16","2017-07-20 10:58:25","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4398","16","0","2017-07-20 00:00:00","141","Internally discussed with FGS re: hearing for 9187 on July 24, 1:30 pm (request for admission of BIR documents)","2500","","0.5","1250","1","16","2017-07-20 10:58:57","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4399","16","0","2017-07-19 00:00:00","135","Attended meeting at NAC Tower with Atty Tugonon, Atty Golda Gabriel, Charisse Bacurio, EMP and SLP re: 8875 Motion for Reconsideration (Hedcor case updates)","2500","","2.75","6875","1","16","2017-07-20 10:59:47","16","2017-07-25 13:20:21","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4400","16","0","2017-07-18 00:00:00","228","Attended meeting at Seda Hotel for Holcim Simplification","3500","","12","42000","1","16","2017-07-20 11:15:02","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4401","16","0","2017-07-17 00:00:00","143","Attended trial/hearing at CTA 3rd Div to present Arazeli Malapad and for commissioning of ICPA","2500","","4","10000","1","16","2017-07-20 11:15:41","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("4402","16","0","2017-07-17 00:00:00","228","Revised powerpoint for HPI Simplification/revised memo/internal meeting with EMP and SLP","3500","","6.4","22400","1","16","2017-07-20 11:16:14","16","2017-07-20 11:16:34","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4403","16","0","2017-07-14 00:00:00","228","Attended meeting at HPI with Ms. Jena Rojas, EMP, GVF and SLP re: Simplification","3500","","4","14000","1","16","2017-07-20 11:17:14","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4404","19","0","2017-04-19 00:00:00","85","Traveled to RDO 38, QC for TGP CAR Application","0","","3.5","0","1","19","2017-07-24 09:10:26","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4405","19","0","2017-04-25 00:00:00","212","Researched on libel and damages claim of corporation","3000","","1","3000","1","19","2017-07-24 09:11:53","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4406","19","0","2017-04-26 00:00:00","163","MPF digest, and case assignment research","0","","1.2","0","1","19","2017-07-24 09:12:42","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4407","19","0","2017-04-27 00:00:00","220","Conferred with  Mrs. Esther Ng and Jocelyn Ng","2500","","2.5","6250","1","19","2017-07-24 09:13:27","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4408","19","0","2017-04-28 00:00:00","212","Researched on libel and damages claim of corporation","3000","","0.4","1200","1","19","2017-07-24 09:15:02","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4409","19","0","2017-05-03 00:00:00","81","Researched on Affiliates ","0","","1","0","1","19","2017-07-24 09:15:49","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4410","19","0","2017-05-04 00:00:00","81","Drafted  opinion on added services ","0","","3","0","1","19","2017-07-24 09:16:15","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4411","19","0","2017-05-04 00:00:00","167","Conferred with Ms. Badeth","0","","1.5","0","1","19","2017-07-24 09:17:14","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4412","19","0","2017-05-05 00:00:00","163","MPF read case and drafted digest","0","","0.4","0","1","19","2017-07-24 09:18:14","","","2","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4413","19","0","2017-05-05 00:00:00","97","Reviewed SHA, and Admin Partnership Agreement ","2500","","2.5","6250","1","19","2017-07-24 09:18:50","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4414","19","0","2017-05-08 00:00:00","97","signing of SHA, and Admin and Partnership Agreement ","0","","2","0","1","19","2017-07-24 09:19:31","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("4415","19","0","2017-05-08 00:00:00","167","Internally discussed with EMP and MAC","0","","1","0","1","19","2017-07-24 09:19:47","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4416","19","0","2017-05-08 00:00:00","163","Drafted digest compilation","0","","1","0","1","19","2017-07-24 09:20:09","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4417","19","0","2017-05-08 00:00:00","81","Drafted memo on affiliates","0","","1.5","0","1","19","2017-07-24 09:20:39","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4418","19","0","2017-05-08 00:00:00","167","Reviewed CASAS file folder for 2012 assessment","0","","1","0","1","19","2017-07-24 09:21:12","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4419","19","0","2017-05-09 00:00:00","81","Drafted memo on Affiliates ","0","","2.5","0","1","19","2017-07-24 09:23:40","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4420","19","0","2017-05-10 00:00:00","163","MAC turnover meeting","0","","1","0","1","19","2017-07-24 09:24:06","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4421","19","0","2017-05-12 00:00:00","163","Axelum Resources Corporation-Due diligence ","0","","3.5","0","1","19","2017-07-24 09:29:54","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4422","19","0","2017-05-12 00:00:00","212","Drafted Answer to Complaint","3000","","1.5","4500","1","19","2017-07-24 09:30:18","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4423","19","0","2017-05-12 00:00:00","207","Traveled to SEC for updated on amendment of AOI and by-Laws ","0","","3","0","1","19","2017-07-24 09:44:59","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4424","19","0","2017-05-15 00:00:00","100","Drafted minutes, board resolution and Secretart\'s Certificate ","0","","2","0","1","19","2017-07-24 09:46:04","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4425","19","0","2017-06-15 00:00:00","212","Drafted Answer to Complaint","3000","","1.5","4500","1","19","2017-07-24 09:46:29","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4426","19","0","2017-05-16 00:00:00","167","Reviewed CASAS file folder for 2012 Assessment ","0","","2","0","1","19","2017-07-24 09:52:56","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4427","19","0","2017-05-16 00:00:00","167","Drafted Supplemental letter to BIR on 2012 Assessment ","0","","2","0","1","19","2017-07-24 09:53:27","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4428","19","0","2017-05-17 00:00:00","163","Attended EMP\'s Tax forum at Ateneo","0","","3.5","0","1","19","2017-07-24 09:54:30","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4429","19","0","2017-05-17 00:00:00","90","Reviewed pleadings/motion for May 18, hearing","0","","1.5","0","1","19","2017-07-24 09:55:10","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4430","19","0","2017-05-18 00:00:00","90","Attended hearing at RTC Paranaque","0","","3","0","1","19","2017-07-24 09:56:19","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4431","19","0","2017-05-18 00:00:00","90","Drafted manifestation and motion to release of rents","0","","0.3","0","1","19","2017-07-24 09:56:44","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4432","19","0","2017-05-18 00:00:00","167","Drafted supplemental letter to BIR on 2012 assessment ","0","","2","0","1","19","2017-07-24 09:57:09","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4433","19","0","2017-05-19 00:00:00","90","Supervised filing of manifestation and motion","0","","0.4","0","1","19","2017-07-24 10:06:09","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4434","19","0","2017-05-19 00:00:00","64","Drafted table of Agreements ","0","","1.5","0","1","19","2017-07-24 10:08:11","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4435","19","0","2017-05-19 00:00:00","163","Attended Tax Forum Write-up","0","","1","0","1","19","2017-07-24 10:08:40","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4436","19","0","2017-05-19 00:00:00","215","Drafted table PEZA incentives ","100","","3","300","1","19","2017-07-24 10:10:10","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4437","19","0","2017-05-23 00:00:00","90","Attended hearing at RTC Paranaque","0","","2","0","1","19","2017-07-24 10:10:50","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4438","19","0","2017-05-23 00:00:00","167","Internally discussed with EMP","0","","0.4","0","1","19","2017-07-24 10:11:09","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4439","19","0","2017-05-23 00:00:00","85","Reviewed new TGP CAR ","0","","0.3","0","1","19","2017-07-24 10:11:36","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4440","19","0","2017-05-23 00:00:00","167","Drafted supplemental letter to BIR on 2012 assessment ","0","","2","0","1","19","2017-07-24 10:12:02","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4441","19","0","2017-05-24 00:00:00","163","Attended MCLE ","0","","8","0","1","19","2017-07-24 10:12:37","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4442","19","0","2017-05-24 00:00:00","185","due diligence","100","","2.5","250","1","19","2017-07-24 10:13:11","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4443","19","0","2017-05-24 00:00:00","163","Researched on cases for reporting","0","","1","0","1","19","2017-07-24 10:13:47","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4444","19","0","2017-05-25 00:00:00","163","Attended MCLE","0","","8","0","1","19","2017-07-24 10:17:59","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4445","19","0","2017-05-25 00:00:00","167","Revise letter to BIR ","0","","2","0","1","19","2017-07-24 10:18:20","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4446","19","0","2017-05-25 00:00:00","163","Drafted case digest ","0","","0.3","0","1","19","2017-07-24 10:18:43","","","2","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4447","19","0","2017-05-26 00:00:00","163","Attended MCLE ","0","","8","0","1","19","2017-07-24 10:19:08","","","2","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4448","19","0","2017-05-26 00:00:00","185","Drafted due diligence","100","","5","500","1","19","2017-07-24 10:19:29","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4449","19","0","2017-05-29 00:00:00","163","photoshoot","0","","5","0","1","19","2017-07-24 10:20:05","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4450","19","0","2017-05-29 00:00:00","221","prepared documents for Amendment of AOI","3000","","2","6000","1","19","2017-07-24 10:20:37","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4451","19","0","2017-05-30 00:00:00","81","compiled documents for BOI, BIR, Pref tax rate, Labor bible","0","","1","0","1","19","2017-07-24 10:21:30","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4452","19","0","2017-05-31 00:00:00","81","compiled documents for BOI, BIR Pref tax Rate, Labor Bible","0","","4","0","1","19","2017-07-24 10:22:07","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4453","19","0","2017-05-31 00:00:00","221","Researched on BIR ruling ","3000","","1.5","4500","1","19","2017-07-24 10:22:34","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4454","19","0","2017-06-01 00:00:00","185","due diligence ","100","","5","500","1","19","2017-07-24 10:23:00","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4455","19","0","2017-06-02 00:00:00","185","due diligence ","0","","5","0","1","19","2017-07-24 10:23:13","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4456","12","0","2017-07-24 00:00:00","226","Reviewed of revised Agreement and email to William","0","","0.5","0","1","12","2017-07-24 11:04:28","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4457","12","0","2017-07-24 00:00:00","63","Revised report to Allen, and email to Allen","0","","0.75","0","1","12","2017-07-24 11:05:46","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4458","12","0","2017-07-19 00:00:00","228","Conferred with Jena, Laurent and Christian","6000","","3","18000","1","12","2017-07-24 11:07:33","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4459","12","0","2017-07-19 00:00:00","226","Conference call with William","0","","0.25","0","1","12","2017-07-24 11:08:21","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4460","12","0","2017-07-19 00:00:00","226","Revised draft of 2nd Amendment and Email to William","0","","0.75","0","1","12","2017-07-24 11:08:42","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4461","12","0","2017-07-19 00:00:00","163","Performed Other Service - APCACI Lecture","0","","3","0","1","12","2017-07-24 11:09:23","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4462","12","0","2017-07-14 00:00:00","228","Performed Other Service - Discussion with team; preparation of slides/outline","6000","","2.75","16500","1","12","2017-07-24 11:10:41","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4463","12","0","2017-07-13 00:00:00","228","Reviewed of work - Consolidated memo to Jena","6000","","7.5","45000","1","12","2017-07-24 11:11:28","12","2017-07-24 11:12:53","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4464","12","0","2017-07-20 00:00:00","149","Conferred with Mr. Del Mundo and his team","0","","1.5","0","1","12","2017-07-24 14:29:08","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4465","12","0","2017-07-20 00:00:00","80","Conferred with Jon and Reywen","0","","1.2","0","1","12","2017-07-24 14:29:32","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4466","12","0","2017-07-20 00:00:00","80","Revised Malaysia MSA and email to Reywen","0","","0.75","0","1","12","2017-07-24 14:31:30","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4467","12","0","2017-07-21 00:00:00","80","Conferred with Reywen via telephone","0","","0.5","0","1","12","2017-07-24 14:32:05","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4468","12","0","2017-07-21 00:00:00","80","Revised Malaysia MSA and email to Reywen","0","","0.75","0","1","12","2017-07-24 14:32:30","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4469","12","0","2017-07-17 00:00:00","127","Internal routing -  Amended GIS 2017","0","","0.1","0","1","22","2017-07-24 15:46:34","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4470","12","0","2017-07-17 00:00:00","64","Internal routing - Amended GIS 2017","0","","0.1","0","1","22","2017-07-24 15:47:42","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4471","12","0","2017-07-17 00:00:00","189","Internal routing - Letter to SEC re notification on the information of newly appointed Treasurer of LORVI","0","","0.1","0","1","22","2017-07-24 15:48:29","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4472","12","0","2017-07-17 00:00:00","112","Internal routing - Amended GIS 2017","0","","0.1","0","1","22","2017-07-24 15:48:57","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4473","12","0","2017-07-17 00:00:00","128","Internal routing - Amended GIS 2017","0","","0.1","0","1","22","2017-07-24 15:49:21","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4474","12","0","2017-07-17 00:00:00","110","Internal routing - Amended GIS 2017","0","","0.1","0","1","22","2017-07-24 15:50:32","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4475","12","0","2017-07-17 00:00:00","111","Internal routing - Amended GIS 2017","0","","0.1","0","1","22","2017-07-24 15:50:54","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4476","12","0","2017-07-17 00:00:00","27","Internal routing - Minutes of the meeting held on June 23, 2017 signed by EMP","0","","0.1","0","1","22","2017-07-24 15:55:05","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4477","12","0","2017-07-17 00:00:00","67","Internal routing - Letter to Renaissance Condominium Corporation re request for management certificate","0","","0.1","0","1","22","2017-07-24 15:56:28","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4478","16","0","2017-07-24 00:00:00","39","Attended trial/hearing at RTC Makati Br. 132","100","","3.25","325","1","16","2017-07-25 13:14:50","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("4479","16","0","2017-07-24 00:00:00","135","Internally discussed with EMP, KRA and RHO re: Libra MR","2500","","1","2500","1","16","2017-07-25 13:15:19","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4480","16","0","2017-07-24 00:00:00","135","Drafted Libra MR/conducted research","2500","","7","17500","1","16","2017-07-25 13:15:31","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4481","16","0","2017-07-24 00:00:00","86","Received telephone call from Ignasi Vegas re amendment of articles of Igusol","2500","","0.3","750","1","16","2017-07-25 13:15:54","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("4482","16","0","2017-07-24 00:00:00","86","Wrote email to Ignasi Vegas re amendment of Igusol AOI","0","","0.4","0","1","16","2017-07-25 13:16:10","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4483","16","0","2017-07-25 00:00:00","135","Drafted Libra MR","2500","","8","20000","1","16","2017-07-25 13:16:29","16","2017-07-25 13:16:43","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4484","16","0","2017-07-25 00:00:00","169","Drafted minutes, Sec Cert, Deed of Waiver for short name/acronym","0","","1.2","0","1","16","2017-07-25 13:17:08","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4485","16","0","2017-07-21 00:00:00","163","Performed Other Service: sick leave","0","","8","0","1","16","2017-07-25 13:17:25","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4486","16","0","2017-07-21 00:00:00","135","Drafted Libra MR/conducted research","2500","","6","15000","1","16","2017-07-25 13:17:42","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4487","16","0","2017-07-20 00:00:00","169","Reviewed Pacific Care contract/revised based on EMP\'s comments","0","","2","0","1","16","2017-07-25 13:18:47","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4488","16","0","2017-07-20 00:00:00","163","Drafted letter-request for continuance of audit (FriendlyCare)/emailed instructions to KRA","0","","0.4","0","1","16","2017-07-25 13:19:30","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4489","16","0","2017-07-20 00:00:00","135","Researched for Libra MR","2500","","4","10000","1","16","2017-07-25 13:20:06","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4490","16","0","2017-07-14 00:00:00","228","Prepared powerpoint/outline, revised memo ","3500","","4","14000","1","16","2017-07-25 13:21:20","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4491","16","0","2017-07-13 00:00:00","228","Drafted memo for Simplification/internal discussions with EMP","0","","8","0","1","16","2017-07-25 13:21:44","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4492","16","0","2017-07-12 00:00:00","228","Drafted memo for Simplification/internal discussions with EMP","3500","","11","38500","1","16","2017-07-25 13:26:35","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4493","16","0","2017-07-11 00:00:00","228","Drafted memo for Simplification/internal discussions with EMP","0","","12","0","1","16","2017-07-25 13:27:05","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4494","16","0","2017-07-28 00:00:00","163","Attended meeting at Locsin Building for Medi Linx (new client)","0","","1","0","1","16","2017-07-28 14:20:43","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4495","16","0","2017-07-28 00:00:00","135","Revised Motion for Reconsideration/Supervised filing","2500","","4","10000","1","16","2017-07-28 14:21:06","16","2017-08-03 13:09:40","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4496","16","0","2017-07-27 00:00:00","135","Revised Motion for Reconsideration per EMP\'s comments","0","","8","0","1","16","2017-07-28 14:24:05","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4497","16","0","2017-07-26 00:00:00","49","Drafted Comment on Petition for Review (en banc)","0","","3","0","1","16","2017-07-28 14:24:43","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4498","16","0","2017-07-26 00:00:00","221","Received telephone call from Tracy Chen re: amendment of Articles of Incorporation","3500","","0.3","1050","1","16","2017-07-28 14:25:09","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("4499","16","0","2017-07-26 00:00:00","86","Drafted documents for amendment of Articles","2500","","3","7500","1","16","2017-07-28 14:25:34","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4500","16","0","2017-07-26 00:00:00","221","Internally discussed with FGS re: amendment of AOI","3500","","0.3","1050","1","16","2017-07-28 14:25:52","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4501","16","0","2017-07-26 00:00:00","169","Revised/finalized security bank sec certs","0","","0.5","0","1","16","2017-07-28 14:26:28","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4502","16","0","2017-07-26 00:00:00","135","Internally discussed with EMP re: Motion for Reconsideration","2500","","1","2500","1","16","2017-07-28 14:26:48","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4503","12","0","2017-07-19 00:00:00","93","Internal routing - Transmittal letter to Charisse Bacurio re copy of Resolution dated July 5, 2017 denying our MR to the Order of Court denying our Petition for Review","0","","0.1","0","1","22","2017-07-31 11:37:09","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4504","12","0","2017-07-19 00:00:00","63","Internal routing - transmittal letter to Jesusa Natividad Rojas re copy of letter addressed to Atty. Faith Umandap dated June 28, 2017 re HMDC tax-free ruling request","0","","0.1","0","1","22","2017-07-31 11:42:36","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4505","12","0","2017-07-19 00:00:00","87","Internal routing - letter addressed to Dir. Enrico Garzon Jr. re Position Paper of Igusol (re Provet International Corporation\'s Complaint)","6000","","0.1","600","1","22","2017-07-31 11:45:05","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4506","12","0","2017-07-19 00:00:00","186","Internal routing - Petition to Annul Assessment","6000","","0.1","600","1","22","2017-07-31 11:48:26","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4507","12","0","2017-07-20 00:00:00","80","Internal routing - SEC Assessment with penalty of P3,980 dated July 19, 2017","0","","0.1","0","1","22","2017-07-31 11:50:05","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4508","12","0","2017-07-20 00:00:00","186","Internal routing - transmittal letter to Charlie Casas re copy of Petition to Annul Assessment","6000","","0.1","600","1","22","2017-07-31 12:10:56","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4509","12","0","2017-07-20 00:00:00","80","Internal routing - Letter to BOI re Compliance for Reportorial Requirements by HEABS-ROHQ","0","","0.1","0","1","22","2017-07-31 12:11:57","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4510","12","0","2017-07-21 00:00:00","49","Internal routing - CTA EB 1661 - Notice of Resolution with attached Resolution dated June 14, 2017 ordering the Respondent to file comment on the Petitioner\'s Petition for Review","0","","0.1","0","1","22","2017-07-31 12:13:14","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4511","12","0","2017-07-21 00:00:00","10","Internal routing - letter to Jesusa Natividad Rojas re update on ACC sale of Iligan Cement Shares","0","","0.1","0","1","22","2017-07-31 12:14:52","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4512","12","0","2017-07-21 00:00:00","64","Internal routing - signing of various Secretary\'s Certificates, Special Power of Attorney and List of Non-Essential Assets","0","","0.1","0","1","22","2017-07-31 12:21:35","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4513","12","0","2017-07-21 00:00:00","196","Internal routing - letter from Navarro Amper re Secretary\'s Certificates in relation to the opening of account with BDO and availment of BDO online banking","0","","0.1","0","1","22","2017-07-31 12:22:44","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4514","12","0","2017-07-21 00:00:00","196","Internal routing - notarized Board Resolution re authority for permits and picture of office space","0","","0.1","0","1","22","2017-07-31 12:23:22","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4515","12","0","2017-07-21 00:00:00","99","Internal routing - Secretary\'s Certificate and Board Resolution re authorization of the Corporation to apply for accreditation with BOC-AMO","0","","0.1","0","1","22","2017-07-31 12:24:16","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4516","12","0","2017-07-21 00:00:00","196","Internal routing - Secretary\'s Certificate and Business Online Banking Enrollment Form submitted to BDO Branch Manager","0","","0.1","0","1","22","2017-07-31 12:25:19","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4517","12","0","2017-07-21 00:00:00","169","Internal routing - transmittal to CMI re original GIS 2017","0","","0.1","0","1","22","2017-07-31 12:25:59","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4518","12","0","2017-07-27 00:00:00","141","Internal routing - Respondent\'s urgent motion to reset hearing scheduled on July 24, 2017","0","","0.1","0","1","22","2017-07-31 12:28:57","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4519","12","0","2017-07-27 00:00:00","213","Internal routing - Certification from the Municipal Treasurer of Malvar, Batangas issued on July 20, 2017 with OR No. 20149962 dated June 30, 2017","6000","","0.1","600","1","22","2017-07-31 12:30:14","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4520","12","0","2017-07-27 00:00:00","146","Internal routing - transmittal letter to Arlene del Rosario re notarized Secretary\'s Certificate in relation to the authorization to apply for accreditation with GHL Systems Philippines","0","","0.1","0","1","22","2017-07-31 12:34:46","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4521","12","0","2017-07-27 00:00:00","86","Internal routing - signed original Minutes of Organizational Meeting of board of Directors held on July 4, 2017 and Minutes of Annual Meeting held on the same day","6000","","0.1","600","1","22","2017-07-31 12:35:56","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4522","12","0","2017-07-27 00:00:00","86","Internal routing - signed original SSS specimen signature card and SSS confirmation letter ","0","","0.1","0","1","22","2017-07-31 12:36:46","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4523","12","0","2017-07-27 00:00:00","134","Internal routing - certified true copies of IDs of bank signatories","180","","0.1","18","1","22","2017-07-31 12:38:19","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4524","12","0","2017-07-27 00:00:00","67","Internal routing - letter to Teresita Perez re Renaissance 3000 Condominium Corporation\'s request for management certificate","0","","0.1","0","1","22","2017-07-31 12:39:28","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4525","12","0","2017-07-27 00:00:00","211","Internal routing - transmittal re copy of letter to Dir. Marina de Guzman re request for recalculation and extension of time to settle first installment of compromise settlement of tax liabilities","6000","","0.1","600","1","22","2017-07-31 12:46:51","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4526","12","0","2017-07-27 00:00:00","134","Internal routing - BPI Express Link Enrollment Form","180","","0.1","18","1","22","2017-07-31 12:47:39","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4527","12","0","2017-08-01 00:00:00","80","Conference call with Reywen","0","","0.5","0","1","12","2017-08-01 09:49:04","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4528","12","0","2017-07-28 00:00:00","135","Reviewed of work DRP - Petition for Review; various emails.","0","","1.5","0","1","12","2017-08-01 10:02:07","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4529","12","0","2017-07-28 00:00:00","135","Reviewed Petition for Review","0","","2.5","0","1","12","2017-08-01 10:02:42","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4530","12","0","2017-07-27 00:00:00","135","Reviewed Petition for Review","0","","1.5","0","0","12","2017-08-01 10:03:53","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4531","12","0","2017-07-24 00:00:00","134","Wrote email to DRP - re bank documents","180","","0.3","54","1","12","2017-08-01 10:09:06","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4532","12","0","2017-07-25 00:00:00","63","Conferred with Allen Arbis","0","","2","0","1","12","2017-08-01 11:09:09","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4533","12","0","2017-07-25 00:00:00","135","Reviewed of Motion for Reconsideration","0","","3.5","0","1","12","2017-08-01 11:10:35","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4534","12","0","2017-08-01 00:00:00","226","Internally discussed with SLP and RHO; review of email from Carmel","0","","1.2","0","1","12","2017-08-01 12:22:48","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4535","12","0","2017-07-31 00:00:00","226","Read Email from Carmel","0","","0.4","0","1","12","2017-08-01 12:23:12","","","0","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("4536","12","0","2017-07-31 00:00:00","49","Reviewed of Comment to Petition for Review","0","","0.3","0","1","12","2017-08-01 12:23:42","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4537","12","0","2017-07-31 00:00:00","134","Conferred with Bank officer re account opening forms","180","","0.3","54","1","12","2017-08-01 12:24:25","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4538","12","0","2017-07-31 00:00:00","196","Performed Other Service - Call to Bank and determination of other requirements","180","","0.5","90","1","12","2017-08-01 12:25:04","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4539","12","0","2017-08-01 00:00:00","196","Performed Other Service - Attending to bank requirements","0","","0.5","0","1","12","2017-08-01 12:26:19","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4540","12","0","2017-08-24 00:00:00","135","Reviewed of work of Motion for Reconsideration","0","","2.5","0","1","12","2017-08-01 12:27:43","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4541","12","0","2017-08-24 00:00:00","149","Reviewed of work of Petition","0","","2","0","1","12","2017-08-01 12:28:10","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4542","12","0","2017-07-17 00:00:00","10","Attended meeting at BIR National with DepComm Nestor Valeroso re ACC-CAR","0","","1","0","1","22","2017-08-01 12:36:04","22","2017-08-01 12:38:41","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4543","12","0","2017-07-17 00:00:00","214","Attended meeting with BIR RDO 39  to facilitate release of Laxina CAR","0","","1","0","1","22","2017-08-01 12:37:34","22","2017-08-01 12:39:33","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4544","12","0","2017-07-17 00:00:00","14","Attended meeting with Atty. William Manangares re Concepcion’s request for abatement of interest and surcharge","0","","1","0","1","22","2017-08-01 12:40:03","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4545","12","0","2017-07-17 00:00:00","135","Conference call with Atty. Tugonon, SLP and DRP re Hedcor cases","0","","1","0","1","22","2017-08-01 12:42:27","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("4546","12","0","2017-07-18 00:00:00","228","Attended meeting at Taguig City with GVF, SLP and DRP re HPI Simplification","6000","","4","24000","1","22","2017-08-01 12:43:56","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4547","12","0","2017-07-19 00:00:00","228","Attended meeting at Taguig City with GVF, SLP and DRP re HPI Simplification","0","","3","0","1","22","2017-08-01 12:45:39","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4548","12","0","2017-07-19 00:00:00","135","Attended meeting with Atty. Golda Gabriel, SLP and DRP re Hedcor case","0","","1","0","1","22","2017-08-01 12:46:53","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4549","12","0","2017-07-20 00:00:00","227","Conference call with HEABS\' Jon Testor and Reywen delos Reyes and DRP re Holcim Phils. MSA","0","","1","0","1","22","2017-08-01 12:50:07","","","1","00:00:00","00:00:00","17");
INSERT INTO file_billing_tbl VALUES("4550","12","0","2017-07-20 00:00:00","149","Attended meeting with Dayrelle, SLP, FGS and KRA","0","","0.3","0","1","22","2017-08-01 12:50:49","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4551","12","0","2017-07-24 00:00:00","135","Internally discussed with SLP, DRP, RHO and KRA re Hedcor CTA case 8875","0","","1","0","1","22","2017-08-01 12:51:32","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4552","19","0","2017-06-03 00:00:00","144","Drafted Annual Stockholders meeting at Cavite","0","","4","0","1","19","2017-08-01 14:04:59","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4553","19","0","2017-06-05 00:00:00","82","compiled documents for BOI, BIR, Preferrential Tax Rate, Labor bible","0","","2","0","1","19","2017-08-01 14:21:26","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4554","19","0","2017-06-05 00:00:00","185","due diligence","100","","3","300","1","19","2017-08-01 14:21:52","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4555","19","0","2017-06-07 00:00:00","185","due diligence","100","","3","300","1","19","2017-08-01 14:23:43","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4556","19","0","2017-06-07 00:00:00","64","Drafted Minutes of the Meeting for May 30, 2017","0","","2.5","0","1","19","2017-08-01 14:24:19","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4557","19","0","2017-06-07 00:00:00","222","Drafted documentary requirements for filing of Appeal on LBT assessment ","2500","","0.4","1000","1","19","2017-08-01 14:27:49","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4558","19","0","2017-06-07 00:00:00","223","Drafted  documentary requirements for filing of Appeal on LBT assessment","2500","","0.4","1000","1","19","2017-08-01 14:28:27","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4559","19","0","2017-06-07 00:00:00","224","Drafted  documentary requirements for filing of Appeal on LBT assessment","2500","","0.4","1000","1","19","2017-08-01 14:28:40","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4560","19","0","2017-06-08 00:00:00","223","Reviewed documents and drafted Petition to Annul LBT Assessment ","2500","","4.5","11250","1","19","2017-08-01 14:29:13","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4561","19","0","2017-06-08 00:00:00","90","Drafted Reply to Comment","0","","2.5","0","1","19","2017-08-01 14:29:35","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4562","19","0","2017-06-09 00:00:00","224","Reviewed documents and drafted Petition to Annul LBT Assessment","2500","","4.5","11250","1","19","2017-08-01 14:30:06","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4563","19","0","2017-06-09 00:00:00","222","Revise Petition to Annul LBT Assessment ","2500","","1","2500","1","19","2017-08-01 14:30:39","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4564","19","0","2017-06-09 00:00:00","224","Revise Petition to Annul LBT Assessment","2500","","1","2500","1","19","2017-08-01 14:31:04","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4565","19","0","2017-06-09 00:00:00","223","Revise Petition to Annul LBT Assessment","2500","","1","2500","1","19","2017-08-01 14:31:24","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4566","19","0","2017-06-11 00:00:00","11","Made telephone call to Ms. Joy and Secretaries on documents needed for June 13 hearing.","0","","1","0","1","19","2017-08-01 14:32:13","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("4567","19","0","2017-06-13 00:00:00","228","Traveled to SEC on downstream merger query","3000","","3","9000","1","19","2017-08-01 14:34:34","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4568","19","0","2017-06-13 00:00:00","222","Supervised filing of Petition to Annul","2500","","1.5","3750","1","19","2017-08-01 14:35:41","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4569","19","0","2017-06-13 00:00:00","224","Supervised filing of Petition to Annul ","2500","","1.5","3750","1","19","2017-08-01 14:36:30","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4570","19","0","2017-06-13 00:00:00","223","Supervised filing of Petition to Annul ","2500","","1.5","3750","1","19","2017-08-01 14:37:11","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4571","19","0","2017-06-14 00:00:00","80","Reviewed affiliates documents ","0","","1","0","1","19","2017-08-01 14:38:20","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4572","19","0","2017-06-14 00:00:00","80","Reviewed/update letter to BOI on Malaysia Affiliates","0","","1","0","1","19","2017-08-01 14:39:00","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4573","19","0","2017-06-14 00:00:00","144","Drafted Secretary\'s Certificate ","0","","1","0","1","19","2017-08-01 14:39:24","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4574","19","0","2017-06-15 00:00:00","144","Revise Secretary\'s Certificate","0","","0.3","0","1","19","2017-08-01 14:40:08","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4575","19","0","2017-06-15 00:00:00","163","Researched on case for case assignment","0","","0.4","0","1","19","2017-08-01 14:40:30","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4576","19","0","2017-06-15 00:00:00","144","Drafted GIS 2017","0","","0.4","0","1","19","2017-08-01 14:41:02","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4577","19","0","2017-06-15 00:00:00","163","Borromeo-Reviewed  files on donation of property","0","","1","0","1","19","2017-08-01 14:42:07","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4578","19","0","2017-06-15 00:00:00","163","Researched on RR 12-99 and 13-2013 ","0","","2","0","1","19","2017-08-01 14:42:33","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4579","19","0","2017-06-15 00:00:00","80","Revise affiliate structure diagram.","0","","0.3","0","1","19","2017-08-01 14:42:59","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4580","19","0","2017-06-16 00:00:00","172","Internally discussed on transfer of CAR","0","","1","0","0","19","2017-08-01 14:44:39","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4581","19","0","2017-06-16 00:00:00","163","digest cases and update on TMAP tax bulletin","0","","1.3","0","1","19","2017-08-01 14:46:09","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4582","19","0","2017-06-16 00:00:00","80","Made telephone call to Ms. Eolani on Affiliates documents","0","","0.2","0","1","19","2017-08-01 14:47:32","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("4583","19","0","2017-06-20 00:00:00","80","communicate with Ms. Osorio on Missing Affiliates","0","","0.3","0","1","19","2017-08-01 14:48:19","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("4584","19","0","2017-06-20 00:00:00","222","Drafted Verification and Sec Cert\'s on LBT assessment and sent to Ms. Hamtig on Verification and SecCert","2500","","0.35","875","1","19","2017-08-01 14:53:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4585","19","0","2017-06-20 00:00:00","144","Drafted Minutes on June 3 Meeting","0","","2.5","0","1","19","2017-08-01 14:56:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4586","19","0","2017-06-21 00:00:00","163","Researched on cases for reporting","0","","1","0","1","19","2017-08-01 14:57:37","","","2","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4587","19","0","2017-06-21 00:00:00","220","Internally discussed with EMP/DRP/KRA and research on share transfer ","2500","","1.4","3500","1","19","2017-08-01 14:58:33","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4588","19","0","2017-06-21 00:00:00","163","Reviewed MPF profile","0","","1","0","1","19","2017-08-01 14:58:58","","","2","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4589","19","0","2017-06-23 00:00:00","163","digest cases ","0","","0.3","0","1","19","2017-08-01 15:00:52","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4590","19","0","2017-06-23 00:00:00","220","Researched on share transfer ","2500","","1.5","3750","1","19","2017-08-01 15:01:25","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4591","19","0","2017-07-26 00:00:00","172","Reviewed and revised position paper on tax-free exchange","0","","1.5","0","1","19","2017-08-01 15:02:42","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4592","19","0","2017-06-27 00:00:00","172","Revise and reviewed position paper on tax-free exchange","0","","1.5","0","1","19","2017-08-01 15:03:27","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4593","19","0","2017-06-27 00:00:00","163","Borromeo-Traveled to QC for update on donation ","0","","2","0","1","19","2017-08-01 15:04:39","","","2","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4594","19","0","2017-06-27 00:00:00","220","Drafted memo","2500","","1.5","3750","1","19","2017-08-01 15:05:22","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4595","19","0","2017-06-27 00:00:00","196","received phone call Mr. Apron of Deloitte","0","","0.15","0","1","19","2017-08-01 15:10:35","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("4596","19","0","2017-06-27 00:00:00","167","Reviewed documents on LBT refund and research on remedy for denial of LBT refund","0","","1.5","0","1","19","2017-08-01 15:15:03","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4597","19","0","2017-06-27 00:00:00","211","received call from  Ms. Mendoza","3500","","0.15","525","1","19","2017-08-01 15:16:46","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("4598","19","0","2017-06-28 00:00:00","67","Traveled to LRA for update on request for copy condominium title","0","","2","0","1","19","2017-08-01 15:19:53","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4599","19","0","2017-06-28 00:00:00","220","Drafted memo","2500","","4","10000","1","19","2017-08-01 15:20:10","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4600","19","0","2017-07-28 00:00:00","64","Drafted Secretary disposal of non-essential assets, Sec\'s   Certificate general authority to sign","0","","0.3","0","0","19","2017-08-01 15:23:52","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4601","19","0","2017-06-28 00:00:00","64","Drafted Secretary disposal of non-essential assets, Sec\'s Certificate general authority to sign","0","","0.3","0","1","19","2017-08-01 15:24:17","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4602","19","0","2017-06-28 00:00:00","63","Revise/reviewed second amendment agreement ","0","","1.5","0","1","19","2017-08-01 15:25:19","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4603","19","0","2017-06-29 00:00:00","64","Supervised filing of GIS 2017 , reviewed and revised","0","","0.45","0","1","19","2017-08-01 15:26:30","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4604","19","0","2017-06-29 00:00:00","127","Supervised filing of GIS 2017 , reviewed and revised","0","","0.45","0","1","19","2017-08-01 15:27:10","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4605","19","0","2017-06-29 00:00:00","110","Supervised filing ofof GIS 2017 , reviewed and revised","0","","0.45","0","1","19","2017-08-01 15:27:36","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4606","19","0","2017-06-29 00:00:00","189","Supervised filing of of GIS 2017 , reviewed and revised","0","","0.45","0","1","19","2017-08-01 15:29:44","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4607","19","0","2017-06-29 00:00:00","111","Supervised filing of of GIS 2017 , reviewed and revised","0","","0.45","0","1","19","2017-08-01 15:30:13","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4608","19","0","2017-06-29 00:00:00","112","Supervised filing of of GIS 2017 , reviewed and revised","0","","0.45","0","1","19","2017-08-01 15:30:33","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4609","19","0","2017-06-29 00:00:00","220","Internally discussed with EMP and KRA","2500","","1","2500","1","19","2017-08-01 15:30:53","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4610","19","0","2017-06-30 00:00:00","220","Revised memo","0","","3","0","1","19","2017-08-01 15:35:21","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4611","19","0","2017-06-30 00:00:00","163","digest case and drafted table of comparison on rules of service of assessment ","0","","1","0","1","19","2017-08-01 15:35:59","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4612","19","0","2017-06-30 00:00:00","81","Drafted and prepared Malaysia Affiliates documents for submission to BOI","0","","2","0","1","19","2017-08-01 15:36:47","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4613","19","0","2017-06-30 00:00:00","144","Drafted and prepared 2017 GIS ","0","","1","0","1","19","2017-08-01 15:37:41","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4614","19","0","2017-07-05 00:00:00","81","Supervised filing of documents of Malaysia Affiliates documents to BOI","0","","1.5","0","1","19","2017-08-01 15:39:38","","","1","00:00:00","00:00:00","18");
INSERT INTO file_billing_tbl VALUES("4615","19","0","2017-07-05 00:00:00","81","Reviewed new documents for Singapore, America and Switzerland Affiliates ","0","","2","0","1","19","2017-08-01 15:40:51","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4616","19","0","2017-07-05 00:00:00","211","Revise letter to BIR\nand phonecall with Ms. Maricar Mendoza ","3500","","0.45","1575","1","19","2017-08-01 15:41:46","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4617","19","0","2017-07-05 00:00:00","163","Mitos Borromeo-Reviewed documents and drafted letter to Mayor Bautista on donation of Property","0","","1","0","1","19","2017-08-01 15:42:57","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4618","19","0","2017-07-05 00:00:00","189","Drafted SEC Cert on system administrator","0","","0.15","0","1","19","2017-08-01 15:43:47","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4619","19","0","2017-07-05 00:00:00","127","Drafted Sec\'s Cert on single log on Security Bank and Password administrator","0","","0.3","0","1","19","2017-08-01 15:44:19","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4620","19","0","2017-07-05 00:00:00","228","Internally discussed on merger with EMP, SLP, DRP, KRA","3000","","2","6000","1","19","2017-08-01 15:45:23","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4621","19","0","2017-07-06 00:00:00","211","Revise letter to BIR ","3500","","0.3","1050","1","19","2017-08-01 15:46:49","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4622","19","0","2017-07-06 00:00:00","163","Mitos Borromeo-Revise letter to Mayor Bautista on donation of property and transmitted letter ","0","","0.3","0","1","19","2017-08-01 15:47:28","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4623","19","0","2017-07-06 00:00:00","144","Wrote email to client re: copies of received GIS 2017","0","","0.15","0","1","19","2017-08-01 15:50:24","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4624","19","0","2017-07-06 00:00:00","128","Traveled to BGC on notarization on Deeds of Sale","0","","2.5","0","1","19","2017-08-01 15:51:10","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4625","19","0","2017-07-06 00:00:00","64","Update on 2017 GIS ","0","","0.3","0","1","19","2017-08-01 15:52:13","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4626","19","0","2017-07-06 00:00:00","128","Update on 2017 GIS ","0","","0.3","0","1","19","2017-08-01 15:52:35","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4627","19","0","2017-07-06 00:00:00","127","Update on 2017 GIS ","0","","0.3","0","1","19","2017-08-01 15:56:18","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4628","19","0","2017-07-06 00:00:00","112","Update on 2017 GIS","0","","0.3","0","1","19","2017-08-01 16:00:07","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4629","19","0","2017-07-06 00:00:00","111","Update on 2017 GIS","0","","0.3","0","1","19","2017-08-01 16:00:25","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4630","19","0","2017-07-06 00:00:00","63","compilation of agreements and opinions","0","","2","0","1","19","2017-08-01 16:00:57","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4631","19","0","2017-07-06 00:00:00","167","Made telephone call to Ms. Badeth","0","","0.2","0","1","19","2017-08-01 16:01:56","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("4632","19","0","2017-07-06 00:00:00","211","Internally discussed with EMP on letter to BIR","3500","","0.2","700","1","19","2017-08-01 16:02:15","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4633","19","0","2017-07-07 00:00:00","167","Drafted reply letter on refund of local business tax","0","","0.3","0","1","19","2017-08-01 16:04:40","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4634","19","0","2017-07-07 00:00:00","63","compilation of agreements and opinions","0","","1.5","0","1","19","2017-08-01 16:05:14","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4635","19","0","2017-07-07 00:00:00","163","Reviewed digested case ","0","","0.4","0","1","19","2017-08-01 16:05:53","","","2","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4636","19","0","2017-07-07 00:00:00","228","Internally discussed on merger","3000","","2.5","7500","1","19","2017-08-01 16:06:18","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4637","19","0","2017-07-07 00:00:00","81","Drafted letter to BOI and Illustration of relationship Singapore, America and Switzerland affiliates","0","","1","0","1","19","2017-08-01 16:06:53","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4638","19","0","2017-07-10 00:00:00","81","Made telephone call to John Biedelima of BOI on Malaysia affiliates submission ","0","","0.2","0","1","19","2017-08-01 16:07:42","","","1","00:00:00","00:00:00","16");
INSERT INTO file_billing_tbl VALUES("4639","19","0","2017-07-10 00:00:00","163","Centre Medicale Internationale-Reviewed contract with Security Bank","0","","2","0","1","19","2017-08-01 16:08:17","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4640","19","0","2017-07-10 00:00:00","64","Revise May 30, 2017 minutes and drafted Secretary Certificate on Trans-Asia Exchange of Property ","0","","0.4","0","1","19","2017-08-01 16:09:09","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4641","19","0","2017-07-10 00:00:00","67","Drafted letter to condo corporation for request for clearance on transfer of Condo Title and prepared documents for transmittal ","0","","1.1","0","1","19","2017-08-01 16:10:45","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4642","19","0","2017-07-10 00:00:00","81","prepared documents for submission on Malaysia Affiliates as communicated by Mr. Biendelima for submission to BOI on new affiliates ","0","","2","0","1","19","2017-08-01 16:11:41","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4643","26","0","2017-06-28 00:00:00","142","Wrote email to Mr. Rodriguez and read email of Mr. Rodriguez then email SLP and DRP","2500","","0.15","375","1","26","2017-08-01 16:47:25","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4644","26","0","2017-06-28 00:00:00","63","HMDC Tax Free exchange, clean up the position paper and email to EMP and checked annexes and prepare the same ","0","","1.5","0","1","26","2017-08-01 16:48:19","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4645","26","0","2017-06-28 00:00:00","104","Read Email and research on the increase of authorized capital stock, meeting with SLP and FGS and email czar for the Audited FS","2500","","1.15","2875","1","26","2017-08-01 16:49:12","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("4646","26","0","2017-06-28 00:00:00","180","Researched on memo and draft ","0","","2","0","1","26","2017-08-01 16:49:47","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4647","26","0","2017-06-28 00:00:00","201","Internally discussed with SLP and GVF research on CAR and other matters ","0","","1","0","1","26","2017-08-01 16:50:20","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4648","12","0","2017-07-24 00:00:00","226","Revised Agreement and email to William; internal discussion with SLP","0","","1.5","0","1","12","2017-08-01 21:05:17","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4649","12","0","2017-07-25 00:00:00","84","Wrote email to Diego and Dutch counsel","6000","","0.4","2400","1","12","2017-08-01 21:07:46","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4650","12","0","2017-07-27 00:00:00","149","Reviewed Petition for Review","0","","2.5","0","1","12","2017-08-01 21:11:08","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4651","12","0","2017-07-27 00:00:00","135","Reviewed Motion for Reconsideration","0","","1.75","0","1","12","2017-08-01 21:11:38","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4652","12","0","2017-07-26 00:00:00","213","Wrote email  to Jan transmitting RPT tax clearance","6000","","0.5","3000","1","12","2017-08-01 21:13:10","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4653","12","0","2017-07-27 00:00:00","228","Meeting with Atty. Faith Farolichen and Clint Aranas re merger of retirement fund at BIR National Office","6000","","1.2","7200","1","12","2017-08-01 21:15:16","","","1","00:00:00","00:00:00","7");
INSERT INTO file_billing_tbl VALUES("4654","12","0","2017-07-27 00:00:00","228","Traveled to and from BIR National Office","6000","","2.5","15000","1","12","2017-08-01 21:15:51","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4655","12","0","2017-07-26 00:00:00","135","Reviewed of Motion for Reconsideration; internal discussions","0","","1.75","0","1","12","2017-08-01 21:16:56","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4656","12","0","2017-07-26 00:00:00","120","Internally discussed with Sam re transmittal","0","","0.2","0","1","12","2017-08-01 21:17:53","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4657","12","0","2017-08-01 00:00:00","66","Drafted  and revised Lucas Royalty Agreement","0","","2","0","1","12","2017-08-01 22:47:06","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4658","15","0","2017-08-02 00:00:00","213","Conferred with EMP and FGS on proceeding with the land due diligence","3000","","0.7","2100","1","15","2017-08-02 10:27:28","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4659","15","0","2017-05-05 00:00:00","213","Conferred with  EMP and FGS  on moving forward with land due diligence","0","","0.5","0","1","15","2017-08-02 10:29:59","15","2017-08-02 10:30:52","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4660","15","0","2017-05-05 00:00:00","213","Conferred with  EMP regarding changes in the structure of the agreement as per JT\'s email dated May 5, 2017","0","","0.5","0","1","15","2017-08-02 10:30:24","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4661","15","0","2017-05-05 00:00:00","213","Conferred with and internally discussed pending issues for the transaction phases. Yielded output of list of issues","3000","","1.5","4500","1","15","2017-08-02 10:33:22","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4662","15","0","2017-05-09 00:00:00","213","Traveled to SPPI office in Robiinsons to meet with Aboitiz team and SPPI team to discuss commercial issues and tax implications of the transactions","0","","1.8","0","1","15","2017-08-02 10:34:39","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4663","15","0","2017-05-15 00:00:00","139","Performed Other Service: updated states of all hedcor group cases.","2500","","0.8","2000","1","15","2017-08-02 10:37:33","","","1","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4664","15","0","2017-05-17 00:00:00","213","Conferred with FGS on how to conduct land due diligence. ","3000","","0.7","2100","1","15","2017-08-02 10:38:55","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4665","15","0","2017-06-02 00:00:00","213","Conferred with EMP to discuss pending issues with the Aboitiz Temp Contract before Friday meeting.","0","","0.8","0","1","15","2017-08-02 10:42:52","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4666","15","0","2017-06-02 00:00:00","213","Traveled to NAC Office to meet with Aboitiz and SPPI team to discuss moving forward with the Temp ccontract","0","","2.5","0","1","15","2017-08-02 10:43:34","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4667","15","0","2017-06-01 00:00:00","213","Traveled to NAC for internal meeting with Aboitiz team to discuss and prep for Friday meeting with SPPI","0","","2","0","1","15","2017-08-02 10:44:48","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4668","15","0","2017-06-05 00:00:00","213","Conferred with EMP and FGS on moving forward with the land due diligence","0","","0.6","0","1","15","2017-08-02 10:47:47","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4669","15","0","2017-06-05 00:00:00","213","Drafted authorization letter to conduct land due diligence","0","","0.5","0","1","15","2017-08-02 10:48:42","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4670","15","0","2017-06-11 00:00:00","213","Reviewed Temporary Contract to prep for June 13 meeting with aboitiz group; incorporated suggested revisions","0","","1.6","0","1","15","2017-08-02 10:49:57","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4671","15","0","2017-06-09 00:00:00","213","Conferred and reviewed Temp Contract with EMP and give client draft of revised contractth ","0","","2.4","0","1","15","2017-08-02 10:51:06","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4672","15","0","2017-06-13 00:00:00","213","Traveled to NAC and conferred with Aboitiz group to revise the temp contract","0","","3.2","0","1","15","2017-08-02 10:56:55","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4673","15","0","2017-06-14 00:00:00","213","Drafted SPPIT letter of intent and Authorization letter in favor of MEZ as distribution utility","0","","0.8","0","1","15","2017-08-02 10:58:50","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4674","15","0","2017-06-14 00:00:00","213","Revised and reviewed temporary contract.","0","","1.8","0","1","15","2017-08-02 11:06:43","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4675","15","0","2017-06-19 00:00:00","213","Conferred with EMP and made further revisions on the temporary contract as per discussion","0","","1.5","0","1","15","2017-08-02 11:09:27","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4676","15","0","2017-06-25 00:00:00","213","Researched, reviewed and revised FGS\' due diligence report. ","0","","1.5","0","1","15","2017-08-02 15:00:44","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4677","15","0","2017-06-29 00:00:00","213","Revised and reviewed the Memorandum of Agreement between BATELEC, SPPI and Malvar EcoZone","0","","1.5","0","1","15","2017-08-02 15:08:44","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4678","15","0","2017-07-03 00:00:00","213","Conference with EMP on the Tripartite agreement; include live edits","0","","1.8","0","1","15","2017-08-02 15:09:46","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4679","15","0","2017-07-03 00:00:00","213","Revised the Temporary Power Contract to incorporate additional comments","0","","0.8","0","1","15","2017-08-02 15:10:28","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4680","15","0","2017-07-03 00:00:00","213","Revised the land due diligence report to incorporate discussion on zoning, CARP coverage and court cases","0","","2.5","0","1","15","2017-08-02 15:13:35","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4681","15","0","2017-07-03 00:00:00","213","Revised further the tripartite agreement and temporary power contract to incorporate further comments and revisions from EMP. (Consolidated entry)","0","","2.5","0","1","15","2017-08-02 15:18:10","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4682","15","0","2017-07-12 00:00:00","213","Revised the land due diligence report for final comments. Emailed report to Aboitiz group. Discussed moving forward with the DAR conversion order with EMP and FGS.","0","","1.8","0","1","15","2017-08-02 15:20:47","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4683","15","0","2017-05-10 00:00:00","215","Conferred with EMP and Maki to refresh on the solar panel lease structure and to apply the same to Timeless Green\'s project. ","120","","0.8","96","1","15","2017-08-02 15:25:25","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4684","12","0","2017-08-02 00:00:00","66","Drafted - Revised Royalty Agreement and Internal Discussion with SLP/KRA","0","","0.85","0","1","12","2017-08-02 16:53:35","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4685","12","0","2017-08-02 00:00:00","206","Drafted - Deeds of Assignment and discussion with RHO","6000","","0.75","4500","1","12","2017-08-02 16:54:09","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4686","12","0","2017-08-02 00:00:00","64","Drafted - Sec Cert re dividend declarations.","0","","0.5","0","1","12","2017-08-02 16:54:54","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4687","12","0","2017-08-02 00:00:00","137","Internal routing - Notice of Decision with attached Decision dated August 1, 2017","0","","0.5","0","2","22","2017-08-03 10:55:41","","","1","00:00:00","00:00:00","20");
INSERT INTO file_billing_tbl VALUES("4688","16","0","2017-08-01 00:00:00","185","Attended pre-closing meeting at ARC office","100","","2.5","250","1","16","2017-08-03 12:58:42","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4689","16","0","2017-08-01 00:00:00","185","Internally discussed with GVF and FGS re: closing documents for Project Compass","100","","2.5","250","1","16","2017-08-03 12:59:06","16","2017-08-03 13:00:44","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4690","16","0","2017-08-01 00:00:00","185","Internally discussed with SLP and GVF re: PCA\'s application on Crescent Point\'s subscription in ARC","0","","0.5","0","1","16","2017-08-03 13:00:21","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4691","16","0","2017-08-01 00:00:00","185","Revised due diligence report","0","","3","0","1","16","2017-08-03 13:00:34","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4692","16","0","2017-08-02 00:00:00","228","Internally discussed with EMP and SLP re: step plan for Lego/Simplification","3500","","2.5","8750","1","16","2017-08-03 13:01:10","16","2017-08-03 13:06:06","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4693","16","0","2017-08-02 00:00:00","86","Drafted Sec Cert and minutes for PLDT transaction","2500","","0.75","1875","1","16","2017-08-03 13:01:48","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4694","16","0","2017-08-02 00:00:00","163","Revised draft letter to Matt Ashe and Veena Manoharan re: BPI eLink documents/sent email to Matt and Veena/reviewed documents","0","","0.75","0","1","16","2017-08-03 13:02:31","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4695","16","0","2017-08-02 00:00:00","169","Internally discussed with GVF and KRA re: Nancy Jimenez criminal matter","0","","0.4","0","1","16","2017-08-03 13:02:59","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4696","16","0","2017-08-02 00:00:00","169","Researched on theft/estafa for Nancy Jimenez criminal matter/sent emails to KRA","0","","2","0","1","16","2017-08-03 13:03:41","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4697","16","0","2017-08-02 00:00:00","163","Revised Vertical Space Interiors Deeds of Assignment","0","","0.75","0","1","16","2017-08-03 13:04:12","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4698","16","0","2017-08-02 00:00:00","163","Internally discussed with RHO re: calculation of DST and CGT for VSI assignment of shares/prepared calculation of taxes","0","","0.75","0","1","16","2017-08-03 13:04:39","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4699","16","0","2017-08-02 00:00:00","80","Reviewed Order of RTC in Victoria Hernandez case, internal discussion with RHO re: filing of Motion for Substituted Service","0","","0.5","0","1","16","2017-08-03 13:05:59","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4700","16","0","2017-08-02 00:00:00","228","Drafted Step Plan for Lego/Simplification","3500","","4.5","15750","0","16","2017-08-03 13:06:28","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4701","16","0","2017-08-03 00:00:00","228","Drafted Step Plan for Lego/Simplification","0","","4.5","0","1","16","2017-08-03 13:06:51","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4702","16","0","2017-07-31 00:00:00","6","Internally discussed with GVF and KRA re: Genato estate tax/6-2013 application","2500","","0.4","1000","1","16","2017-08-03 13:07:42","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4703","16","0","2017-07-31 00:00:00","6","Drafted brief memo to KRA on applicability of 6-2013 to donation/inheritance","2500","","1","2500","1","16","2017-08-03 13:09:20","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4704","16","0","2017-07-28 00:00:00","49","Drafted Comment on Petition for Review (en banc)","0","","3.5","0","1","16","2017-08-03 13:10:15","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4705","15","0","2017-07-06 00:00:00","228","Conferred with Project Lego team for briefing on the project goals and timeline","3500","","2","7000","1","15","2017-08-04 10:55:22","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4706","15","0","2017-07-07 00:00:00","228","Conferred with Project Lego team on the SGV report for the upstream restructuring","0","","1.8","0","1","15","2017-08-04 10:56:19","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4707","15","0","2017-07-12 00:00:00","228","Researched, studied existing laws, jurisprudence and regulations to draft and revise the legal discussion on the upstream merger of HPI subsidiaries. (CONSOLIDATED ENTRY until July 13)","0","","3.5","0","1","15","2017-08-04 10:58:43","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4708","15","0","2017-07-14 00:00:00","228","Traveled to HPI Office and met with Jena Rojas and Finance team to go through MPF\'s discussion points before next week\'s workshop","0","","2.8","0","0","15","2017-08-04 11:01:56","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4709","15","0","2017-07-14 00:00:00","228","Traveled to HPI Office and met with Jena Rojas and Finance team to go through MPF\'s discussion points before next week\'s workshop","0","","3","0","1","15","2017-08-04 11:05:20","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4710","15","0","2017-07-04 00:00:00","228","Traveled to HPI office with DRP to meet with Jena Rojas and EMP on a new HPI project","0","","1.8","0","1","15","2017-08-04 11:06:13","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4711","15","0","2017-07-14 00:00:00","228","Drafted comparative table of options for the upstream merger","0","","1.8","0","1","15","2017-08-04 11:07:01","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4712","15","0","2017-07-16 00:00:00","228","Drafted and revised power point presentation. Includes additional research on PCA and other applicable laws to update presentation based on previous discussions. ","0","","3","0","1","15","2017-08-04 11:08:12","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4713","15","0","2017-07-14 00:00:00","228","Conferred with Project Lego team moving forward after briefing with Jena Rojas. Tasking is refined. ","0","","1.8","0","1","15","2017-08-04 11:09:02","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4714","15","0","2017-07-17 00:00:00","228","Revised powerpoint presentation based on comments from EMP","3500","","1.5","5250","1","15","2017-08-04 11:10:51","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4715","15","0","2017-07-18 00:00:00","228","Workshop Day 1: AM Downstream simplification with HPI ","0","","4.5","0","1","15","2017-08-04 11:13:32","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4716","15","0","2017-07-18 00:00:00","228","Workshop Day 1: PM Upstream merger discussion ","3500","","4.8","16800","1","15","2017-08-04 11:14:39","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4717","15","0","2017-07-19 00:00:00","228","Workshop Day2 AM: HMDC funding and discussion on structural issues","0","","3.7","0","1","15","2017-08-04 11:15:20","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4718","15","0","2017-07-19 00:00:00","136","Traveled to NAC Office to discuss latest dismissed case based on the Coral Bay doctrine with the Aboitiz tax group","2500","","3.2","8000","1","15","2017-08-04 11:16:18","","","1","00:00:00","00:00:00","14");
INSERT INTO file_billing_tbl VALUES("4719","15","0","2017-08-03 00:00:00","228","Conferred with EMP and DRP to formulate step plans for the downstream restructuring and the LHPI purchase","3500","","3.4","11900","1","15","2017-08-04 11:17:59","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4720","12","0","2017-08-03 00:00:00","221","Wrote Opinion on Taxes  and sent email opinion.","6000","","1.75","10500","1","12","2017-08-04 11:36:51","","","1","00:00:00","00:00:00","10");
INSERT INTO file_billing_tbl VALUES("4721","12","0","2017-08-02 00:00:00","228","Internal discussion with DRP, and Sam","6000","","1.5","9000","1","12","2017-08-04 11:37:49","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4722","12","0","2017-08-02 00:00:00","149","Internally discussed re CTA Case","0","","0.5","0","1","12","2017-08-04 11:39:04","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4723","12","0","2017-07-04 00:00:00","228","Attended meeting at HPI office to meet with Jena Rojas re new HPI project","6000","","1.5","9000","2","22","2017-08-04 11:49:42","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4724","26","0","2017-06-29 00:00:00","220","Read Email, meeting with EMP and RHO, edit and research Memo, CAR, Computation, and table of comparison, check FS ","2500","","7.5","18750","1","26","2017-08-04 14:20:01","","","1","00:00:00","00:00:00","4");
INSERT INTO file_billing_tbl VALUES("4725","26","0","2017-06-29 00:00:00","87","Reviewed/study papers double registration and meeting with GVF and Ignasi","2500","","2","5000","1","26","2017-08-04 14:22:10","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4726","26","0","2017-06-29 00:00:00","201","Attended meeting with SLP and GVF and research on what to ask from the heirs, draft email","0","","1.3","0","1","26","2017-08-04 14:22:50","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4727","26","0","2017-06-30 00:00:00","163","case assigned was read, and prepared digest email, lunch meeting","0","","5.5","0","1","26","2017-08-04 14:31:49","","","2","00:00:00","00:00:00","11");
INSERT INTO file_billing_tbl VALUES("4728","26","0","2017-06-30 00:00:00","143","Drafted/Finalize JA and emailed for printing, annexes ","2500","","0.4","1000","1","26","2017-08-04 14:32:23","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4729","26","0","2017-06-30 00:00:00","104","Drafted of requirements for the increase of authorized capital stock and computation of fees and emailed to SLP","2500","","2","5000","1","26","2017-08-04 14:37:23","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4730","26","0","2017-06-30 00:00:00","220","Drafted memo, computation of DST","2500","","0.3","750","1","26","2017-08-04 14:37:53","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4731","26","0","2017-06-30 00:00:00","220","Attended meeting with RHO and EMP, research, finalize memo","0","","1.3","0","1","26","2017-08-04 14:38:17","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4732","26","0","2017-06-30 00:00:00","220","Attended meeting with EMP and RHO and revise final draft memo","0","","0.35","0","1","26","2017-08-04 14:40:54","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4733","15","0","2017-06-13 00:00:00","120","Reviewed case files in preparation for hearing tomorrow. ","2500","","1.5","3750","0","15","2017-08-04 15:29:57","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4734","15","0","2017-06-13 00:00:00","120","Reviewed case files in preparation for hearing tomorrow. ","0","","1.8","0","1","15","2017-08-04 15:30:29","","","1","00:00:00","00:00:00","12");
INSERT INTO file_billing_tbl VALUES("4735","15","0","2017-06-14 00:00:00","120","Attended trial/hearing; presentation of respondent\'s witness","0","","3.4","0","1","15","2017-08-04 15:31:34","","","1","00:00:00","00:00:00","15");
INSERT INTO file_billing_tbl VALUES("4736","15","0","2017-07-03 00:00:00","120","Wrote email to client to update on status of the case and most recent hearing","0","","0.5","0","1","15","2017-08-04 15:32:08","","","1","00:00:00","00:00:00","6");
INSERT INTO file_billing_tbl VALUES("4737","15","0","2017-07-07 00:00:00","120","Drafted comment/opposition to formal offer of evidence filed by respondent","0","","1.5","0","1","15","2017-08-04 15:33:00","","","1","00:00:00","00:00:00","3");
INSERT INTO file_billing_tbl VALUES("4738","15","0","2017-07-10 00:00:00","120","Revised and supervised filing of comment/opposition to the CIR\'s FOE.","0","","2","0","1","15","2017-08-04 15:33:42","","","1","00:00:00","00:00:00","19");
INSERT INTO file_billing_tbl VALUES("4739","15","0","2017-05-11 00:00:00","215","Conferred with EMP on the pending queries from Yasmeen and Datu. Crafted reply to the queries and revised memorandum on the incentives available to branches v. subsidiaries","120","","2.1","252","1","15","2017-08-04 15:41:57","","","1","00:00:00","00:00:00","2");
INSERT INTO file_billing_tbl VALUES("4740","16","0","2017-08-04 00:00:00","185","Attended closing meeting at ARC office, 1058 EDSA","100","","4","400","1","16","2017-08-04 17:31:15","","","1","00:00:00","00:00:00","1");
INSERT INTO file_billing_tbl VALUES("4741","16","0","2017-08-04 00:00:00","220","Internally discussed with EMP and KRA for revised Ng memo","3500","","0.5","1750","1","16","2017-08-04 17:31:34","","","1","00:00:00","00:00:00","8");
INSERT INTO file_billing_tbl VALUES("4742","16","0","2017-08-04 00:00:00","185","Researched on registration of CP\'s investment with the BSP","100","","1","100","1","16","2017-08-04 17:32:24","","","1","00:00:00","00:00:00","13");
INSERT INTO file_billing_tbl VALUES("4743","16","0","2017-08-04 00:00:00","169","Revised memo on possible charges against Nancy Jimenez","0","","1","0","1","16","2017-08-04 17:49:44","","","1","00:00:00","00:00:00","19");
# end of file